## [mssdk](https://github.com/akfamily/mssdk) 银行数据

### 银保监分局本级行政处罚

接口: bank_fjcf_table_detail

目标地址: http://www.cbirc.gov.cn/cn/view/pages/ItemDetail.html?docId=881574&itemId=4115&generaltype=9

描述: 首页-政务信息-行政处罚-银保监分局本级-XXXX行政处罚信息公开表, 是信息公开表不是处罚决定书书

限量: 单次返回银保监分局本级行政处罚中的指定页数的所有表格数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| page | int  | Y    |  page=5, 获取前 5 页数据, 并返回处理好后的数据框|

输出参数

获取银保监分局本级行政处罚

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 行政处罚决定书文号      | -   | -        | -  |  
| 姓名      | -   | -        | -  |  
| 单位      | -   | -        | -  |  
| 名称      | -   | -        | -  |  
| 主要负责人姓名      | -   | -        | -  |  
| 主要违法违规事实（案由）      | -   | -        | -  |  
| 行政处罚依据      | -   | -        | -  |  
| 行政处罚决定      | -   | -        | -  |  
| 作出处罚决定的机关名称      | -   | -        | -  |  
| 作出处罚决定的日期      | -   | -        | -  |  

接口示例

```python
import mssdk as ms
bank_fjcf_table_detail_df = ms.bank_fjcf_table_detail(page=1)
print(bank_fjcf_table_detail_df)
```

数据示例
```
          行政处罚决定书文号                   姓名                单位 主要负责人姓名  \
内容  德银保监罚决字〔2019〕7号                  NaN  山东齐河农村商业银行股份有限公司      刘军   
内容  德银保监罚决字〔2019〕6号                  黄家信               NaN     NaN   
内容  德银保监罚决字〔2019〕5号                  NaN  山东宁津农村商业银行股份有限公司     方化臣   
内容  鹰银保监罚决字〔2019〕7号   刘峰(上饶银行股份有限公司鹰潭分行)               NaN     NaN   
内容  鹰银保监罚决字〔2019〕6号  张希望(上饶银行股份有限公司鹰潭分行)               NaN     NaN   
内容  鹰银保监罚决字〔2019〕5号                  NaN    上饶银行股份有限公司鹰潭分行     王新华   
                              主要违法违规事实（案由）                  行政处罚依据     行政处罚决定  \
内容                               贷款“三查”不到位  《中华人民共和国银行业监督管理法》第四十六条     罚款35万元   
内容                  对机构漏报案件及案件风险信息报告负有领导责任  《中华人民共和国银行业监督管理法》第四十八条         警告   
内容                           漏报案件及案件风险信息报告  《中华人民共和国银行业监督管理法》第四十六条     罚款35万元   
内容  对上饶银行股份有限公司鹰潭分行向监管部门出具虚假资料的违法违规问题负领导责任  《中华人民共和国银行业监督管理法》第四十八条         警告   
内容    对上饶银行股份有限公司鹰潭分行贷后管理严重不尽职的违法违规问题负领导责任  《中华人民共和国银行业监督管理法》第四十八条         警告   
内容                   贷后管理严重不尽职和向监管部门出具虚假资料  《中华人民共和国银行业监督管理法》第四十六条  罚款人民币40万元   
     作出处罚决定的机关名称    作出处罚决定的日期  
内容       德州银保监分局  2019年12月27日  
内容       德州银保监分局  2019年12月27日  
内容       德州银保监分局  2019年12月27日  
内容  中国银保监会鹰潭监管分局  2019年12月27日  
内容  中国银保监会鹰潭监管分局  2019年12月27日  
内容  中国银保监会鹰潭监管分局  2019年12月27日  
```
