## [mssdk](https://github.com/akfamily/mssdk) 能源数据

### 碳排放

#### 碳排放权-国内

接口: energy_carbon_domestic

目标地址: http://www.tanjiaoyi.com/

描述: 碳交易网-行情信息

限量: 全部历史数据

输入参数

| 名称   | 类型 |  描述  |
| -------- | ---- | --- |
| symbol | str  |   symbol="湖北"; choice of {'湖北', '上海', '北京', '重庆', '广东', '天津', '深圳', '福建'}|

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 日期     | object   |    |  
| 成交价     | float64   | 注意单位: 元 |  
| 成交量     | float64   |  注意单位: 吨  |  
| 成交额     | float64   | -  |  
| 地点     | object   | -  |  

接口示例

```python
import mssdk as ms
energy_carbon_domestic_df = ms.energy_carbon_domestic(symbol="湖北")
print(energy_carbon_domestic_df)
```

数据示例

```
      日期        成交价       成交量           成交额  地点
0     2014-04-02  21.000000  510020.0  1.071040e+07  湖北
1     2014-04-03  24.200001   51468.0  1.245530e+06  湖北
2     2014-04-04  26.620001  304125.0  8.092670e+06  湖北
3     2014-04-05  26.620001       0.0  0.000000e+00  湖北
4     2014-04-06  26.620001       0.0  0.000000e+00  湖北
          ...        ...       ...           ...  ..
1847  2021-03-17  31.799999     535.0  1.701280e+04  湖北
1848  2021-03-18  28.129999     551.0  1.550140e+04  湖北
1849  2021-03-19  30.350000    2074.0  6.293808e+04  湖北
1850  2021-03-22  30.350000    3073.0  9.326129e+04  湖北
1851  2021-03-23  30.350000     100.0  3.508000e+03  湖北
```

#### 碳排放权-北京

接口: energy_carbon_bj

目标地址: https://www.bjets.com.cn/article/jyxx/

描述: 北京市碳排放权电子交易平台-北京市碳排放权公开交易行情

注意: 注意在 2017-08-08 日的数据有误 70.074.00（BEA）

限量: 全部历史数据

输入参数

| 名称   | 类型 |  描述  |
| -------- | ---- | --- |
| - | -  |   -|

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 日期     | object   |    |  
| 成交量     | int64   | 注意单位: 吨 |  
| 成交均价     | float64   |  注意单位: 元/吨  |  
| 成交额     | float64   | 注意单位: 元  |  
| 成交单位     | object   | -  |  

接口示例

```python
import mssdk as ms
energy_carbon_bj_df = ms.energy_carbon_bj()
print(energy_carbon_bj_df)
```

数据示例

```
      日期    成交量   成交均价       成交额 成交单位
0     2021-07-20  59999  26.85  1610938.9  BEA
1     2021-07-19   9999  60.00   599940.0  BEA
2     2021-07-16  12500  61.60   770000.0  BEA
3     2021-07-15    110  60.00     6600.0  BEA
4     2021-07-14  18860  50.36   949697.6  BEA
          ...    ...    ...        ...  ...
1347  2013-12-11    100  50.50        NaN  NaN
1348  2013-12-06    100  50.00        NaN  NaN
1349  2013-12-05    100  50.20        NaN  NaN
1350  2013-12-02    300  55.10        NaN  NaN
1351  2013-11-28    800  51.25        NaN  NaN
```

#### 碳排放权-深圳

接口: energy_carbon_sz

目标地址: http://www.cerx.cn/dailynewsCN/index.htm

描述: 获取深圳碳排放交易所-国内碳情

限量: 全部历史数据

输入参数

| 名称   | 类型 |  描述    |
| -------- | ---- | --- |
| - | -  |   -|

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- | ---------------- |
| 交易日期     | object   | -  |  
| 市场交易指数     | object   |   - |  
| 开盘价     | float64   |  -  |  
| 最高价     | float64   | -  |  
| 最低价     | float64   | -  |  
| 成交均价     | float64   |  -  |  
| 收盘价     | float64   | -  |  
| 成交量     | int64   | -  |  
| 成交额     | float64   |  -  |  

接口示例

```python
import mssdk as ms
energy_carbon_sz_df = ms.energy_carbon_sz()
print(energy_carbon_sz_df)
```

数据示例

```
          交易日期    市场交易指数    开盘价    最高价    最低价   成交均价    收盘价   成交量       成交额
0   2021-07-20  SZA-2020  11.39  11.39  11.39  11.39  11.39     1     11.39
1   2021-07-20  SZA-2019  30.34    NaN    NaN    NaN  30.34     0      0.00
2   2021-07-20  SZA-2018   9.08   9.08   7.43   8.53   7.43     3     25.59
3   2021-07-20  SZA-2017   7.71   7.71   7.71   7.71   7.71     1      7.71
4   2021-07-20  SZA-2016   8.51    NaN    NaN    NaN   8.51     0      0.00
..         ...       ...    ...    ...    ...    ...    ...   ...       ...
75  2021-07-07  SZA-2017   8.74   8.74   8.74   8.74   8.74  3980  34785.20
76  2021-07-07  SZA-2016  11.79  14.41  11.79  13.10  14.41     4     52.40
77  2021-07-07  SZA-2015  11.06    NaN    NaN    NaN  11.06     0      0.00
78  2021-07-07  SZA-2014   9.58   9.58   9.58   9.58   9.58     2     19.16
79  2021-07-07  SZA-2013  11.67    NaN    NaN    NaN  11.67     0      0.00
```

#### 碳排放权-国际

接口: energy_carbon_eu

目标地址: http://www.cerx.cn/dailynewsOuter/index.htm

描述: 获取深圳碳排放交易所-国际碳情

限量: 全部历史数据

输入参数

| 名称   | 类型 | 描述 |
| -------- | ---- |--- |
| - | -  |   -|

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- | ---------------- |
| 交易日期     | object   | -  |  
| 市场交易指数     | object   |   - |  
| 开盘价     | float64   |  -  |  
| 最高价     | float64   | -  |  
| 最低价     | float64   | -  |  
| 成交均价     | float64   |  -  |  
| 收盘价     | float64   | -  |  
| 成交量     | int64   | -  |  
| 成交额     | float64   |  -  |  

接口示例

```python
import mssdk as ms
energy_carbon_eu_df = ms.energy_carbon_eu()
print(energy_carbon_eu_df)
```

数据示例

```
    交易日期 市场交易指数  开盘价  最高价  最低价  成交均价 收盘价 成交量  成交额
0     2020-04-29  欧盟CER  NaN  NaN  NaN   NaN   0.25     96000.0  NaN
1     2020-04-29  欧盟EUA  NaN  NaN  NaN   NaN  20.19  18621000.0  NaN
2     2020-04-28  欧盟CER  NaN  NaN  NaN   NaN   0.25      1000.0  NaN
3     2020-04-28  欧盟EUA  NaN  NaN  NaN   NaN  20.21  21249000.0  NaN
4     2020-04-27  欧盟CER  NaN  NaN  NaN   NaN   0.24      1000.0  NaN
          ...    ...  ...  ...  ...   ...    ...         ...  ...
997   2018-03-14  欧盟CER  NaN  NaN  NaN   NaN   0.19      3000.0  NaN
998   2018-03-14  欧盟EUA  NaN  NaN  NaN   NaN  11.18  17926000.0  NaN
999   2018-03-13  欧盟CER  NaN  NaN  NaN   NaN   0.19         NaN  NaN
1000  2018-03-13  欧盟EUA  NaN  NaN  NaN   NaN  11.40  15880000.0  NaN
1001  2018-11-30  欧盟EUA  NaN  NaN  NaN   NaN  20.50  11203000.0  NaN
```

#### 碳排放权-湖北

接口: energy_carbon_hb

目标地址: http://www.cerx.cn/dailynewsOuter/index.htm

描述: 获取湖北碳排放权交易中心-现货交易数据-配额-每日概况

限量: 全部历史数据

输入参数

| 名称   | 类型 |  描述 |
| -------- | ---- |  --- |
| - | -  |   -|

输出参数

| 名称          | 类型 | 描述           |
| --------------- | ----- | ---------------- |
| 交易品种     | object   | -  |  
| 日期     | object   |   - |  
| 最新     | float64   | -  |  
| 涨跌幅     | object   |  -  |  
| 最高     | float64   | -  |  
| 最低     | float64   |  -  |  
| 成交量     | float64   |  -  |  
| 成交额     | float64   |-  |  
| 昨收盘价     | float64   |  -  |

接口示例

```python
import mssdk as ms
energy_carbon_hb_df = ms.energy_carbon_hb()
print(energy_carbon_hb_df)
```

数据示例

```
      交易品种          日期     最新     涨跌幅     最高     最低      成交量        成交额   昨收盘价
0     HBEA  2021-07-20  33.55   2.54%  33.78  33.00    582.0   19604.79  32.72
1     HBEA  2021-07-19  32.72  -1.92%  34.00  31.33  10980.0  362764.81  33.36
2     HBEA  2021-07-16  33.36   2.84%  34.25  32.00   1753.0   58994.02  32.44
3     HBEA  2021-07-15  32.44   2.37%  32.48  31.80   3220.0  103920.18  31.69
4     HBEA  2021-07-14  31.69  -1.25%  32.40  31.60   2645.0   83991.06  32.09
    ...         ...    ...     ...    ...    ...      ...        ...    ...
1011  HBEA  2017-04-07  16.03  -3.14%  17.00  16.01  38449.0  637564.37  16.55
1012  HBEA  2017-04-06  16.55   0.00%  16.55  15.50  11126.0  179145.25  16.55
1013  HBEA  2017-04-05  16.55  -0.30%  17.90  16.50   9382.0  167152.08    NaN
1014        1970-01-01    NaN       %    NaN    NaN      NaN        NaN    NaN
1015               NaT    NaN       %    NaN    NaN      NaN        NaN    NaN
```

#### 碳排放权-广州

接口: energy_carbon_gz

目标地址: http://www.cnemission.com/article/hqxx/

描述: 获取广州碳排放权交易中心-行情信息

限量: 全部历史数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| - | -  | -    |  -|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期     | str   | Y        | -  |  
| 品种     | float   | Y        |  - |  
| 开盘价     | float   | Y        | -  |  
| 收盘价     | str   | Y        | -  |  
| 最高价     | str   | Y        | -  |  
| 最低价     | str   | Y        | -  |  
| 涨跌     | str   | Y        | -  |  
| 涨跌幅     | str   | Y        | -  |  
| 成交数量     | str   | Y        | -  |
| 成交金额     | str   | Y        | -  |

接口示例

```python
import mssdk as ms
energy_carbon_gz_df = ms.energy_carbon_gz()
print(energy_carbon_gz_df)
```

数据示例

```
      日期    品种    开盘价    收盘价  ...    涨跌    涨跌幅   成交数量   成交金额
0     20200911  GDEA  27.87  28.05  ...  0.18   0.65%  114991  3225804.60
1     20200910  GDEA  27.86  27.87  ...  0.01   0.04%    8863   246981.60
2     20200909  GDEA  27.54  27.86  ...  0.32   1.16%   38791  1080766.09
3     20200908  GDEA  27.81  27.54  ... -0.27  -0.97%   67679  1863576.77
4     20200907  GDEA  27.70  27.81  ...  0.11    0.4%   33501   931802.20
        ...   ...    ...    ...  ...   ...     ...     ...         ...
1353  20140317  GDEA  63.00  65.00  ...  2.00   3.17%     100     6500.00
1354  20140314  GDEA  60.00  63.00  ...  3.00      5%     200    12600.00
1355  20140311  GDEA  60.00  60.00  ...  0.00      0%    5242   314520.00
1356  20131220  GDEA  60.17  60.00  ... -0.17  -0.28%     100     6000.00
1357  20131219  GDEA  60.00  60.17  ...  0.17   0.28%  120029  7221740.00
```

### 中国油价

#### 汽柴油历史调价信息

接口: energy_oil_hist

目标地址: http://data.eastmoney.com/cjsj/oil_default.html

描述: 获取东方财富-数据中心-中国油价-汽柴油历史调价信息

限量: 全部中国油价的所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | -  | -    |  -|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期     | str   | -        | 价格调整的日期  |  
| 汽油价格     | float   | -        |  价格(元/吨) |  
| 柴油价格     | float   | -        | 价格(元/吨)  |  
| 汽油涨幅     | str   | -        | 价格(元/吨)  |  
| 柴油涨幅     | str   | -        | 价格(元/吨)  |  

接口示例

```python
import mssdk as ms
energy_oil_hist_df = ms.energy_oil_hist()
print(energy_oil_hist_df)
```

数据示例

```
             日期    汽油价格    柴油价格    汽油涨幅   柴油涨幅
0     2020/3/19  6090.0  5165.0 -1015.0 -975.0
1     2020/2/19  7105.0  6140.0  -415.0 -400.0
2      2020/2/5  7520.0  6540.0  -420.0 -405.0
3    2019/12/31  7940.0  6945.0   235.0  230.0
4     2019/12/3  7705.0  6715.0    55.0   50.0
..          ...     ...     ...     ...    ...
194  2000/10/20  3435.0  3440.0     NaN    NaN
195   2000/9/20  3615.0  3070.0     NaN    NaN
196   2000/8/18  3405.0  2770.0     NaN    NaN
197   2000/7/15  3135.0  2610.0     NaN    NaN
198    2000/6/6  2935.0  2430.0     NaN    NaN
```

#### 地区油价

接口: energy_oil_detail

目标地址: http://data.eastmoney.com/cjsj/oil_default.html

描述: 获取东方财富-数据中心-中国油价-地区油价

限量: 返回指定调价日的全国各地区的油价的历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| date | str  | Y    |  date="2020-03-19"; 此日期为调价日期, 通过调用 **energy_oil_hist** 可以获取历史调价日期|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| DIM_DATE     | str   | -        | 价格调整的日期  |  
| V_0     | float   | -        |  0#柴油价格(单位:元/升) |  
| V_92     | float   | -        | 92#汽油价格(单位:元/升)  |  
| V_95     | str   | -        | 95#汽油价格(单位:元/升)  |  
| V_89     | str   | -        | 89#汽油价格(单位:元/升)  |  
| CITYNAME     | str   | -        | 地区  |  
| ZDE_0     | str   | -        | 0#柴油涨幅(单位:元/升)  |  
| ZDE_92     | str   | -        | 92#汽油涨幅(单位:元/升)  |  
| ZDE_95     | str   | -        | 95#汽油涨幅(单位:元/升)  |  
| ZDE_89     | str   | -        | 89#汽油涨幅(单位:元/升)  |  
| QE_0     | str   | -        | 上一次调整时0#柴油价格(单位:元/升)  |  
| QE_92     | str   | -        | 上一次调整时92#汽油价格(单位:元/升)  |  
| QE_95     | str   | -        | 上一次调整时95#汽油价格(单位:元/升)  |  
| QE_89     | str   | -        | 上一次调整时89#汽油价格(单位:元/升)  |  

接口示例

```python
import mssdk as ms
energy_oil_detail_df = ms.energy_oil_detail(date="2020-09-19")
print(energy_oil_detail_df)
```

数据示例

```
     DIM_DATE       V_0      V_92  ...     QE_92     QE_95     QE_89
0   2020/9/19  5.120000  5.480000  ...  5.730000  6.160000  5.360000
1   2020/9/19  5.120000  5.500000  ...  5.750000  6.120000  5.380000
2   2020/9/19  5.090000  5.480000  ...  5.730000  6.120000  5.330000
3   2020/9/19  5.020000  5.450000  ...  5.680000  6.070000  5.300000
4   2020/9/19  5.110000  5.520000  ...  5.770000  6.250000  5.360000
5   2020/9/19  5.160000  5.570000  ...  5.820000  6.280000  5.410000
6   2020/9/19  5.210000  5.620000  ...  5.880000  6.210000  5.540000
7   2020/9/19  5.180000  6.620000  ...  6.620000  7.020000  6.130000
8   2020/9/19  5.080000  5.480000  ...  5.670000  5.990000  5.260000
9   2020/9/19  5.080000  5.500000  ...  5.750000  6.140000       NaN
10  2020/9/19  5.080000  5.500000  ...  5.750000  6.160000       NaN
11  2020/9/19  5.150992  5.466992  ...  5.717479  6.077585  5.357675
12  2020/9/19  5.070000  5.480000  ...  5.730000  6.100000  5.370000
13  2020/9/19  5.130000  5.470000  ...  5.720000  6.140000  5.320000
14  2020/9/19  5.000000  5.420000  ...  5.670000  5.990000  5.350000
15  2020/9/19  5.040000  5.450000  ...  5.700000  6.110000  5.350000
16  2020/9/19  5.080000  5.480000  ...  5.730000  6.150000  5.320000
17  2020/9/19  5.140000  5.470000  ...  5.720000  6.170000  5.350000
18  2020/9/19  5.010000  5.400000  ...  5.650000  5.970000  5.330000
19  2020/9/19  5.180000  5.610000  ...  5.860000  6.260000  5.440000
20  2020/9/19  5.080000  5.480000  ...  5.740000  6.060000  5.320000
21  2020/9/19  5.670000  6.400000  ...  6.650000  7.030000  6.270000
22  2020/9/19  5.181975  5.640430  ...  5.893526  6.325704  5.427900
23  2020/9/19  5.080000  5.480000  ...  5.730000  6.100000  5.310000
24  2020/9/19  5.180000  5.580000  ...  5.830000  6.160000  5.510000
```
