## [mssdk](https://github.com/akfamily/mssdk) 事件数据

### COVID

#### COVID-19-网易

接口: covid_19_163

目标地址: https://news.163.com/special/epidemic/

描述: 网易-新型冠状病毒肺炎-疫情数据

限量: 单次返回指定 **indicator** 的数据

输入参数-数据说明

| 名称   | 类型 |  描述       |
| -------- | ---- | --- |
| indicator | str |  indicator="数据说明"; 返回网易对相关字段的数据说明 |

输出参数-数据说明

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| info      | object   |  数据说明  |
						
接口示例-数据说明

```python
import mssdk as ms
covid_19_163_df = ms.covid_19_163(indicator="数据说明")
print(covid_19_163_df)
```

数据示例-数据说明

```
                                                   info
0             数据来源：国家卫健委、各省市区卫健委、各省市区政府、港澳台官方渠道公开数据。
1   数据更新时间：实时更新全国、各省市区数据，因核实计算需要，与官方的发布时间相比，将有一定时...
2   实时数据统计原则：① 每日上午优先将全国各类数据与国家卫健委公布数据对齐（此时各省市区数据...
3           疫情趋势图：全国数据使用国家卫健委公布的截至前一日24:00数据，每日更新一次。
4    网易新闻全力以赴提供权威、准确、及时的疫情数据，如有任何疑问，欢迎通过网易新闻客户端留言反馈。
```

输入参数-中国实时数据

| 名称   | 类型 | 必选 | 描述       |
| -------- | ---- | ---- | --- |
| indicator | str | Y | indicator="中国实时数据"; 返回中国实时疫情统计数据 |

输出参数-中国实时数据

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        | 参见: **数据示例-中国实时数据**  |
						
接口示例-中国实时数据

```python
import mssdk as ms
covid_19_163_df = ms.covid_19_163(indicator="中国实时数据")
print(covid_19_163_df)
```

数据示例-中国实时数据

```
                  today    total extData
confirm            41.0  81062.0     NaN
suspect            39.0    113.0     NaN
heal             1390.0  67039.0     NaN
dead               10.0   3204.0     NaN
severe           -384.0   3226.0     NaN
                 ...      ...     ...
suspectNote         NaN      NaN        
healNote            NaN      NaN        
deadNote            NaN      NaN        
incrConfirmNote     NaN      NaN        
incrSevereNote      NaN      NaN        
```

输入参数-中国历史时点数据

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| indicator | str | Y | indicator="中国历史时点数据", 返回中国历史每日新增数据 |

输出参数-中国历史时点数据

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        | 参见 **数据示例-中国历史时点数据**  |
						
接口示例-中国历史时点数据

```python
import mssdk as ms
covid_19_163_df = ms.covid_19_163(indicator="中国历史时点数据")
print(covid_19_163_df)
```

数据示例-中国历史时点数据

```
            confirm  suspect  heal  dead  severe storeConfirm
2020-01-20      291       27    25     6       0         None
2020-01-21      149       26     0     3       0         None
2020-01-22      131      257     3     8       0         None
2020-01-23      259      680     6     8       0         None
2020-01-24      457     1118     4    16       0         None
             ...      ...   ...   ...     ...          ...
2020-03-10       24       31  1578    22       0         None
2020-03-11       15       33  1318    11       0         None
2020-03-12       20       33  1318     7       0         None
2020-03-13       11       17  1430    13       0         None
2020-03-14       20       39  1370    10       0         None
```

输入参数-中国历史累计数据

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| indicator | str | Y | indicator="中国历史累计数据", 返回中国历史每日累计数据 |

输出参数-中国历史累计数据

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        | 参见 **数据示例-中国历史累计数据**  |
						
接口示例-中国历史累计数据

```python
import mssdk as ms
covid_19_163_df = ms.covid_19_163(indicator="中国历史累计数据")
print(covid_19_163_df)
```

数据示例-中国历史累计数据

```
            confirm  suspect   heal  dead  severe
2020-01-20      291       54     25     6       0
2020-01-21      440       37     25     9     102
2020-01-22      571      393     28    17      95
2020-01-23      830     1072     34    25     177
2020-01-24     1287     1965     38    41     237
             ...      ...    ...   ...     ...
2020-03-10    80778      285  61475  3158    4492
2020-03-11    80793      253  62793  3169    4257
2020-03-12    80813      147  64111  3176    4020
2020-03-13    80824      115  65541  3189    3610
2020-03-14    80844      113  66911  3199    3226
```

输入参数-世界历史时点数据

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| indicator | str | Y | indicator="世界历史时点数据", 返回世界历史每日新增数据 |

输出参数-世界历史时点数据

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        | 参见 **数据示例-世界历史时点数据**  |
						
接口示例-世界历史时点数据

```python
import mssdk as ms
covid_19_163_df = ms.covid_19_163(indicator="世界历史时点数据")
print(covid_19_163_df)
```

数据示例-世界历史时点数据

```
        confirm  suspect    heal  dead  severe storeConfirm
中国         41.0     39.0  1393.0  10.0  -384.0         None
日本        107.0      NaN    14.0   5.0     NaN         None
泰国         44.0      0.0     0.0   0.0     0.0         None
新加坡        26.0      0.0     8.0   0.0     0.0         None
韩国         76.0      NaN   120.0   3.0     NaN         None
         ...      ...     ...   ...     ...          ...
苏里南         NaN      0.0     NaN   NaN     0.0         None
刚果（布）       1.0      0.0     0.0   0.0     0.0         None
乌兹别克斯坦      1.0      0.0     0.0   0.0     0.0         None
刚果（金）       0.0      NaN     0.0   0.0     NaN         None
中非共和国       1.0      0.0     0.0   0.0     0.0         None
```

输入参数-世界历史累计数据

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| indicator | str | Y | indicator="世界历史累计数据", 返回世界历史每日累计数据 |

输出参数-世界历史累计数据

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        | 参见 **数据示例-世界历史累计数据**  |
						
接口示例-世界历史累计数据

```python
import mssdk as ms
covid_19_163_df = ms.covid_19_163(indicator="世界历史累计数据")
print(covid_19_163_df)
```

数据示例-世界历史累计数据

```
        confirm  suspect   heal  dead  severe
中国        81062      113  67042  3204    3226
日本         1515        0    525    31       0
泰国          114        0     35     1       0
新加坡         226        0    105     0       0
韩国         8162        0    834    75       0
         ...      ...    ...   ...     ...
苏里南           1        0      0     0       0
刚果（布）         1        0      0     0       0
乌兹别克斯坦        1        0      0     0       0
刚果（金）         2        0      0     0       0
中非共和国         1        0      0     0       0
```

输入参数-全球所有国家及地区时点数据

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| indicator | str | Y | indicator="全球所有国家及地区时点数据", 返回全球所有国家及地区时点数据 |

输出参数-全球所有国家及地区时点数据

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        | 参见 **数据示例-全球所有国家及地区时点数据**  |
						
接口示例-全球所有国家及地区时点数据

```python
import mssdk as ms
covid_19_163_df = ms.covid_19_163(indicator="全球所有国家及地区时点数据")
print(covid_19_163_df)
```

数据示例-全球所有国家及地区时点数据

```
        confirm  suspect    heal  dead  severe storeConfirm
中国         41.0     39.0  1393.0  10.0  -384.0         None
湖北          4.0      NaN  1346.0  10.0     NaN         None
武汉          4.0      0.0  1192.0  10.0     0.0         None
孝感          0.0      NaN    16.0   0.0     NaN         None
黄冈          0.0      NaN     8.0   0.0     NaN         None
         ...      ...     ...   ...     ...          ...
苏里南         NaN      0.0     NaN   NaN     0.0         None
刚果（布）       1.0      0.0     0.0   0.0     0.0         None
乌兹别克斯坦      1.0      0.0     0.0   0.0     0.0         None
刚果（金）       0.0      NaN     0.0   0.0     NaN         None
中非共和国       1.0      0.0     0.0   0.0     0.0         None
```

输入参数-全球所有国家及地区累计数据

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| indicator | str | Y | indicator="全球所有国家及地区累计数据", 返回全球所有国家及地区累计数据 |

输出参数-全球所有国家及地区累计数据

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        | 参见 **数据示例-全球所有国家及地区累计数据**  |
						
接口示例-全球所有国家及地区累计数据

```python
import mssdk as ms
covid_19_163_df = ms.covid_19_163(indicator="全球所有国家及地区累计数据")
print(covid_19_163_df)
```

数据示例-全球所有国家及地区累计数据

```
        confirm  suspect   heal  dead  severe
中国        81062      113  67042  3204    3226
湖北        67794        0  54289  3085       0
武汉        49999        0  37643  2456       0
孝感         3518        0   3253   126       0
黄冈         2907        0   2738   125       0
         ...      ...    ...   ...     ...
苏里南           1        0      0     0       0
刚果（布）         1        0      0     0       0
乌兹别克斯坦        1        0      0     0       0
刚果（金）         2        0      0     0       0
中非共和国         1        0      0     0       0
```

输入参数-中国各地区时点数据

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| indicator | str | Y | indicator="中国各地区时点数据", 返回中国各地区时点数据 |

输出参数-中国各地区时点数据

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        | 参见 **数据示例-中国各地区时点数据**  |
						
接口示例-中国各地区时点数据

```python
import mssdk as ms
covid_19_163_df = ms.covid_19_163(indicator="中国各地区时点数据")
print(covid_19_163_df)
```

数据示例-中国各地区时点数据

```
     confirm  suspect  heal  dead  severe storeConfirm
湖北         4      NaN  1346    10     NaN         None
广东         4      NaN     5     0     NaN         None
河南         0      NaN     1     0     NaN         None
浙江         4      NaN     0     0     NaN         None
湖南         0      0.0     5     0     0.0         None
..       ...      ...   ...   ...     ...          ...
内蒙古        0      NaN     0     0     NaN         None
台湾         9      0.0     0     0     0.0         None
青海         0      NaN     0     0     NaN         None
澳门         0      NaN     0     0     NaN         None
西藏         0      NaN     0     0     NaN         None
```

输入参数-中国各地区累计数据

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| indicator | str | Y | indicator="中国各地区累计数据", 返回中国各地区累计数据 |

输出参数-中国各地区累计数据

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        | 参见 **数据示例-中国各地区累计数据**  |
						
接口示例-中国各地区累计数据

```python
import mssdk as ms
covid_19_163_df = ms.covid_19_163(indicator="中国各地区累计数据")
print(covid_19_163_df)
```

数据示例-中国各地区累计数据

```
     confirm  suspect   heal  dead  severe
湖北     67794        0  54289  3085       0
广东      1360        0   1304     8       0
河南      1273        0   1250    22       0
浙江      1231        0   1211     1       0
湖南      1018        0   1014     4       0
..       ...      ...    ...   ...     ...
内蒙古       75        0     71     1       0
台湾        59        0     20     1       0
青海        18        0     18     0       0
澳门        10        0     10     0       0
西藏         1        0      1     0       0
```

输入参数-疫情学术进展

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| indicator | str | Y | indicator="疫情学术进展", 返回疫情学术进展数据 |

输出参数-疫情学术进展

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        | 参见 **数据示例-疫情学术进展**  |
						
接口示例-疫情学术进展

```python
import mssdk as ms
covid_19_163_df = ms.covid_19_163(indicator="疫情学术进展")
print(covid_19_163_df)
```

数据示例-疫情学术进展

```
                                                url3g  ...            stitle
0   http://3g.163.com/news/20/0313/01/F7IG6B4I0001...  ...               NaN
1   http://3g.163.com/news/20/0306/11/F71IP6280001...  ...  F71IP62800019NGP
2   http://3g.163.com/news/20/0303/11/F6PQGDCD0001...  ...  F6PQGDCD00019NGP
3   http://3g.163.com/news/20/0210/14/F51HPI890001...  ...  F51HPI8900019NGP
4   http://3g.163.com/news/20/0228/23/F6GRTAMN0001...  ...  F6GRTAMN00019NGP
..                                                ...  ...               ...
29  http://3g.163.com/news/20/0202/15/F4D23HC60001...  ...  F4D23HC600019NGP
30  http://3g.163.com/news/20/0202/14/F4CSKV890001...  ...  F4CSKV8900019NGP
31  http://3g.163.com/news/20/0202/17/F4D8C03S0001...  ...  F4D8C03S00019NGP
32  http://3g.163.com/news/20/0202/05/F4BUU2240001...  ...  F4BUU22400019NGP
33  http://3g.163.com/news/20/0202/05/F4BTHEQU0001...  ...  F4BTHEQU00019NGP
```

输入参数-实时资讯新闻播报

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| indicator | str | Y | indicator="实时资讯新闻播报", 返回实时资讯新闻播报数据 |

输出参数-实时资讯新闻播报

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        | 参见 **数据示例-实时资讯新闻播报**  |
						
接口示例-实时资讯新闻播报

```python
import mssdk as ms
covid_19_163_df = ms.covid_19_163(indicator="实时资讯新闻播报")
print(covid_19_163_df)
```

数据示例-实时资讯新闻播报

```
                         title  ...                                               link
0    新加坡新增新冠肺炎确诊病例14例 累计确诊226例  ...  https://news.163.com/20/0315/22/F7PT9IH100019B...
1        苏格兰新冠肺炎病毒检测呈阳性病例达153例  ...  https://news.163.com/20/0315/22/F7PT5PST00019B...
2         外媒：全球新冠肺炎死亡病例已超6000例  ...  https://news.163.com/20/0315/21/F7PRSOSN00019B...
3     法国数百“黄背心“无视禁令上街了 有人戴防护面罩  ...  https://news.163.com/20/0315/21/F7PRDBLK00019B...
4   荷兰已确诊新冠肺炎病例1135例 累计死亡20例    ...  https://news.163.com/20/0315/21/F7PQA54O000189...
..                         ...  ...                                                ...
45     英媒：因担心感染新冠病毒 英国女王离开白金汉宫  ...  https://news.163.com/20/0315/10/F7OJIAP200019B...
46    北京境外输入病例累计已达27例 首超外地来京病例  ...  https://news.163.com/20/0315/10/F7OJ5BR8000187...
47     英国医生：病毒太可怕 而我们没有中国那样的能力  ...  https://news.163.com/20/0315/09/F7OIQGNN000187...
48      古特雷斯第三次就疫情发表讲话：向新冠病毒宣战  ...  https://news.163.com/20/0315/09/F7OIC6S5000189...
49  7天确诊破5000 新冠如何在一周之内“闪袭“西班牙  ...  https://news.163.com/20/0315/09/F7OHPQQS000189...
```

输入参数-实时医院新闻播报

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| indicator | str | Y | indicator="实时医院新闻播报", 返回实时医院新闻播报数据 |

输出参数-实时医院新闻播报

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        | 参见 **数据示例-实时医院新闻播报**  |
						
接口示例-实时医院新闻播报

```python
import mssdk as ms
covid_19_163_df = ms.covid_19_163(indicator="实时医院新闻播报")
print(covid_19_163_df)
```

数据示例-实时医院新闻播报

```
                                           title  ...                                               link
0   宁夏回族自治区新型冠状病毒感染的肺炎医疗救治第一批定点医疗机构和设置发热门诊医疗机构名单  ...  https://news.163.com/20/0301/23/F6M1I3NF000189...
1                         湖南省新型冠状病毒感染的肺炎定点救治医院名单  ...  https://news.163.com/20/0301/23/F6M0VAAC000189...
2                      调整优化医院发热门诊 北京市76所医院保留发热门诊  ...  https://news.163.com/20/0301/22/F6LR1D52000189...
3                                四川省新冠肺炎救治定点医院名单  ...  http://sc.news.163.com/20/0228/08/F6F6M5QR0426...
4                        湖北公布新型肺炎医疗救治和发热门诊医疗机构名单  ...  https://news.163.com/20/0123/15/F3J7P4V600018A...
..                                           ...  ...                                                ...
25              黑龙江省卫健委公布130家新型肺炎定点医疗机构及513家发热门诊  ...  http://dy.163.com/v2/article/detail/F3HVO99705...
26                 吉林省设置发热门诊和新型冠状病毒感染的肺炎定点救治医疗机构  ...  http://dy.163.com/v2/article/detail/F3GK8OPS05...
27                  青海公布9家医院为新型冠状病毒感染的肺炎医疗救治定点医院  ...  http://dy.163.com/v2/article/detail/F3JLHHGO05...
28                       新疆公布新型冠状病毒感染的肺炎定点救治医院名单  ...  http://dy.163.com/v2/article/detail/F3JJU24T05...
29                          西藏公布新型冠状病毒感染救治定点医院名单  ...  http://dy.163.com/v2/article/detail/F3KTN6MQ05...
```

输入参数-前沿知识

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| indicator | str | Y | indicator="前沿知识", 返回前沿知识数据 |

输出参数-前沿知识

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        | 参见 **数据示例-前沿知识**  |
						
接口示例-前沿知识

```python
import mssdk as ms
covid_19_163_df = ms.covid_19_163(indicator="前沿知识")
print(covid_19_163_df)
```

数据示例-前沿知识

```
                           title  ...                                               link
0      钟南山:国内新冠疫情4月见顶，总感染规模约9.5万  ...  https://vip.open.163.com/mobile/activity/ncov/...
1   张文宏:上海已止住病例的指数增长，传播力比预期降低99%  ...  https://vip.open.163.com/mobile/activity/ncov/...
2         管轶:检测表明穿山甲可能是新冠病毒的中间宿主  ...  https://vip.open.163.com/mobile/activity/ncov/...
3  新冠病毒正式命名为SARS-Cov-2，是SARS姊妹病毒  ...  https://vip.open.163.com/mobile/activity/ncov/...
```

输入参数-权威发布

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| indicator | str | Y | indicator="权威发布", 返回权威发布数据 |

输出参数-权威发布

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        | 参见 **数据示例-权威发布**  |
						
接口示例-权威发布

```python
import mssdk as ms
covid_19_163_df = ms.covid_19_163(indicator="权威发布")
print(covid_19_163_df)
```

数据示例-权威发布

```
   title  ...                                               link
0    张文宏  ...  https://news.163.com/20/0315/17/F7PDEGB200018A...
1    张文宏  ...  https://news.163.com/20/0313/07/F7J5800Q000189...
2    钟南山  ...  https://news.163.com/20/0311/22/F7FM1PUI00018A...
3    李兰娟  ...  https://news.163.com/20/0310/18/F7CK07CV000189...
4    钟南山  ...  https://news.163.com/20/0309/14/F79KN0T4000189...
..   ...  ...                                                ...
26   钟南山  ...  https://news.163.com/20/0212/00/F554CHN4000189...
27   张文宏  ...  https://news.163.com/20/0206/16/F4NFU78S000189...
28   钟南山  ...  https://news.163.com/20/0131/17/F481L8JM000189...
29   李兰娟  ...  https://news.163.com/20/0123/16/F3JCMD5B00018A...
30   钟南山  ...           http://v.163.com/static/3/VK2EF0114.html
```

输入参数-境外输入疫情趋势

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| indicator | str | Y | indicator="境外输入疫情趋势", 返回境外输入疫情趋势数据 |

输出参数-境外输入疫情趋势

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        | 参见 **数据示例-境外输入疫情趋势**  |
						
接口示例-境外输入疫情趋势

```python
import mssdk as ms
covid_19_163_df = ms.covid_19_163(indicator="境外输入疫情趋势")
print(covid_19_163_df)
```

数据示例-境外输入疫情趋势

```
            境外输入新增确诊  境外输入累计确诊
date                          
2020-01-20         0         0
2020-01-21         0         0
2020-01-22         0         0
2020-01-23         0         0
2020-01-24         0         0
              ...       ...
2020-04-29         4      1664
2020-04-30         6      1670
2020-05-01         1      1671
2020-05-02         1      1672
2020-05-03         3      1675
```

输入参数-境外输入确诊病例来源

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| indicator | str | Y | indicator="境外输入确诊病例来源", 返回境外输入确诊病例来源数据 |

输出参数-境外输入确诊病例来源

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        | 参见 **数据示例-境外输入疫情趋势**  |
						
接口示例-境外输入确诊病例来源

```python
import mssdk as ms
covid_19_163_df = ms.covid_19_163(indicator="境外输入确诊病例来源")
print(covid_19_163_df)
```

数据示例-境外输入确诊病例来源

```
    source target  value
0       瑞典    内蒙古      2
1       瑞典     上海      1
2     孟加拉国     云南      1
3      俄罗斯     陕西     50
4      俄罗斯     天津      1
..     ...    ...    ...
188    俄罗斯     浙江      2
189    俄罗斯    内蒙古     77
190    俄罗斯     广东      4
191    俄罗斯     上海     88
192    俄罗斯    黑龙江    381
```

#### COVID-19-丁香园

接口: covid_19_dxy

目标地址: https://ncov.dxy.cn/ncovh5/view/pneumonia

描述: 丁香园-新型冠状病毒肺炎-疫情数据

限量: 单次返回指定 **indicator** 数据

输入参数-中国疫情分省统计详情

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| indicator | str | Y | indicator="中国疫情分省统计详情"|

输出参数-中国疫情分省统计详情

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        | 参见 **数据示例-中国疫情分省统计详情**  |

接口示例-中国疫情分省统计详情

```python
import mssdk as ms
covid_19_dxy_df = ms.covid_19_dxy(indicator="中国疫情分省统计详情")
print(covid_19_dxy_df)
```

数据示例-中国疫情分省统计详情

```
          地区 地区简称  现存确诊   累计确诊     治愈    死亡
0        湖北省   湖北  9604  67798  55095  3099
1        北京市   北京    84    452    360     8
2         香港   香港    67    155     84     4
3        广东省   广东    47   1361   1306     8
4         台湾   台湾    46     67     20     1
..       ...  ...   ...    ...    ...   ...
29       吉林省   吉林     0     93     92     1
30  新疆维吾尔自治区   新疆     0     76     73     3
31   宁夏回族自治区   宁夏     0     75     75     0
32       青海省   青海     0     18     18     0
33     西藏自治区   西藏     0      1      1     0
```

输入参数-中国疫情分市统计详情

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| indicator | str | Y | indicator="中国疫情分市统计详情"|

输出参数-中国疫情分市统计详情

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        | 参见 **数据示例-中国疫情分市统计详情**  |

接口示例-中国疫情分市统计详情

```python
import mssdk as ms
covid_19_dxy_df = ms.covid_19_dxy(indicator="中国疫情分市统计详情")
print(covid_19_dxy_df)
```

数据示例-中国疫情分市统计详情

```
    cityName  currentConfirmedCount  ...  locationId  province
0         武汉                 9149.0  ...    420100.0       湖北省
1         孝感                  125.0  ...    420900.0       湖北省
2         鄂州                   62.0  ...    420700.0       湖北省
3         随州                   41.0  ...    421300.0       湖北省
4         荆州                   38.0  ...    421000.0       湖北省
..       ...                    ...  ...         ...       ...
423       宁东                    0.0  ...         0.0   宁夏回族自治区
424      石嘴山                    0.0  ...    640200.0   宁夏回族自治区
425       西宁                    0.0  ...    630100.0       青海省
426      海北州                    0.0  ...    632200.0       青海省
427       拉萨                    0.0  ...    540100.0     西藏自治区
```

输入参数-全球疫情分国家统计详情

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| indicator | str | Y | indicator="全球疫情分国家统计详情"|

输出参数-全球疫情分国家统计详情

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        | 参见 **数据示例-全球疫情分国家统计详情**  |

接口示例-全球疫情分国家统计详情

```python
import mssdk as ms
covid_19_dxy_df = ms.covid_19_dxy(indicator="全球疫情分国家统计详情")
print(covid_19_dxy_df)
```

数据示例-全球疫情分国家统计详情

```
            id  ...                                     statisticsData
0    1130342.0  ...  https://file1.dxycdn.com/2020/0315/993/3402160...
1          NaN  ...  https://file1.dxycdn.com/2020/0315/383/3402160...
2    1130372.0  ...  https://file1.dxycdn.com/2020/0315/596/3402160...
3    1130344.0  ...  https://file1.dxycdn.com/2020/0315/812/3402160...
4    1130329.0  ...  https://file1.dxycdn.com/2020/0315/779/3402160...
..         ...  ...                                                ...
146  1130918.0  ...                                                NaN
147  1130920.0  ...                                                NaN
148  1130922.0  ...                                                NaN
149  1130332.0  ...  https://file1.dxycdn.com/2020/0315/813/3402160...
150  1130881.0  ...  https://file1.dxycdn.com/2020/0315/234/3402176...
```

输入参数-中国疫情实时统计

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| indicator | str | Y | indicator="中国疫情实时统计"|

输出参数-中国疫情实时统计

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        | 参见 **数据示例-中国疫情实时统计**  |

接口示例-中国疫情实时统计

```python
import mssdk as ms
covid_19_dxy_df = ms.covid_19_dxy(indicator="中国疫情实时统计")
print(covid_19_dxy_df)
```

数据示例-中国疫情实时统计

```
                        info
数据发布时间   2020-03-16 19:30:19
现存确诊                   10002
累计确诊                   81099
境外输入                     123
累计治愈                   67879
现存无症状                   1367
```

输入参数-国外疫情实时统计

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| indicator | str | Y | indicator="国外疫情实时统计"|

输出参数-国外疫情实时统计

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        | 参见 **数据示例-国外疫情实时统计**  |

接口示例-国外疫情实时统计

```python
import mssdk as ms
covid_19_dxy_df = ms.covid_19_dxy(indicator="国外疫情实时统计")
print(covid_19_dxy_df)
```

数据示例-国外疫情实时统计

```
currentConfirmedCount  76189
confirmedCount         89793
suspectedCount             0
curedCount             10181
deadCount               3423
suspectedIncr              0
currentConfirmedIncr    9347
confirmedIncr          11091
curedIncr               1162
deadIncr                 582
```

输入参数-全球疫情实时统计

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| indicator | str | Y | indicator="全球疫情实时统计"|

输出参数-全球疫情实时统计

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        | 参见 **数据示例-全球疫情实时统计**  |

接口示例-全球疫情实时统计

```python
import mssdk as ms
covid_19_dxy_df = ms.covid_19_dxy(indicator="全球疫情实时统计")
print(covid_19_dxy_df)
```

数据示例-全球疫情实时统计

```
currentConfirmedCount   86191
confirmedCount         170892
curedCount              78060
deadCount                6641
currentConfirmedIncr     8527
confirmedIncr           11142
curedIncr                2019
deadIncr                  596
```

输入参数-中国疫情防控医院

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| indicator | str | Y | indicator="中国疫情防控医院"|

输出参数-中国疫情防控医院

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        | 参见 **数据示例-中国疫情防控医院**  |

接口示例-中国疫情防控医院

```python
import mssdk as ms
covid_19_dxy_df = ms.covid_19_dxy(indicator="中国疫情防控医院")
print(covid_19_dxy_df)
```

数据示例-中国疫情防控医院

```
   省级行政区   市级      机构／医院
0    湖北省  NaN        NaN
1    湖北省   武汉  定点医院/发热门诊
2    湖北省   荆门  定点医院/发热门诊
3    湖北省   宜昌  定点医院/发热门诊
4    湖北省   恩施       定点医院
..   ...  ...        ...
81    宁夏    /  定点医院/发热门诊
82    西藏    /  定点医院/发热门诊
83    新疆    /       定点医院
84    青海    /       定点医院
85    甘肃    /       定点医院
```

输入参数-国内新闻

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| indicator | str | Y | indicator="国内新闻"|

输出参数-国内新闻

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        | 参见 **数据示例-国内新闻**  |

接口示例-国内新闻

```python
import mssdk as ms
covid_19_dxy_df = ms.covid_19_dxy(indicator="国内新闻")
print(covid_19_dxy_df)
```

数据示例-国内新闻

```
                           title  ...                                          sourceUrl
0     伊朗新增1053例新冠肺炎，累计确诊升至14991例  ...      http://m.weibo.cn/2803301701/4483175407422772
1                   零死亡！宁夏确诊病例清零  ...      http://m.weibo.cn/2803301701/4483140900884657
2   北京3月16日0时至14时新增报告境外输入确诊病例6例   ...  http://wjw.beijing.gov.cn/xwzx_20031/xwfb/2020...
3                       捷克宣布全国隔离  ...      http://m.weibo.cn/2656274875/4483064778472648
4               好消息！贵州所有确诊病例全部治愈  ...      http://m.weibo.cn/2656274875/4483062924149409
```

输入参数-浙江省

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| indicator | str | Y | indicator="浙江省"; 任意省份|

输出参数-浙江省

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        | 参见 **数据示例-浙江省**  |

接口示例-浙江省

```python
import mssdk as ms
covid_19_dxy_df = ms.covid_19_dxy(indicator="浙江省")
print(covid_19_dxy_df)
```

数据示例-浙江省

```
        区域  现在确诊人数  确诊人数  疑似人数  治愈人数  死亡人数  高危人数  中危人数
0     境外输入      10    90     2    80     0     0     0
1       温州       0   504     0   503     1     0     0
2       杭州       0   181     0   181     0     0     0
3       宁波       0   157     0   157     0     0     0
4       台州       0   147     0   147     0     0     0
5       金华       0    55     0    55     0     0     0
6       嘉兴       0    46     0    46     0     0     0
7       绍兴       0    42     0    42     0     0     0
8   省十里丰监狱       0    36     0    36     0     0     0
9       丽水       0    17     0    17     0     0     0
10      衢州       0    14     0    14     0     0     0
11      湖州       0    10     0    10     0     0     0
12      舟山       0    10     0    10     0     0     0
```

#### COVID-19-百度

接口: covid_19_baidu

目标地址: https://voice.baidu.com/act/newpneumonia/newpneumonia/?from=osari_pc_1

描述: 获取百度-新型冠状病毒肺炎-疫情实时大数据报告

限量: 单次返回所有数据

输入参数-实时播报

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| indicator | str | Y | indicator="实时播报"|

输出参数-实时播报

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| bjh_na      | str   | Y        |-   |
| eventDescription      | str   | Y        | 新闻描述  |
| eventTime      | str   | Y        | 新闻时间  |
| eventUrl      | str   | Y        | 链接  |
| homepageUrl      | str   | Y        | 链接  |
| item_avatar      | str   | Y        | -  |
| siteName      | str   | Y        | 新闻来源  |

接口示例-实时播报

```python
import mssdk as ms
covid_19_baidu_df = ms.covid_19_baidu(indicator="实时播报")
print(covid_19_baidu_df)
```

数据示例-实时播报

```
                                               bjh_na  ... siteName
0   {'easyBrowse': '1', 'easyBrowseConfirm': '1', ...  ...      环球网
1   {'easyBrowse': '1', 'easyBrowseConfirm': '1', ...  ...     人民日报
2   {'easyBrowse': '1', 'easyBrowseConfirm': '1', ...  ...    中国青年网
3   {'easyBrowse': '1', 'easyBrowseConfirm': '1', ...  ...     环球时报
4   {'easyBrowse': '1', 'easyBrowseConfirm': '1', ...  ...      环球网
..                                                ...  ...      ...
31  {'easyBrowse': '1', 'easyBrowseConfirm': '1', ...  ...     红星新闻
32  {'easyBrowse': '1', 'easyBrowseConfirm': '1', ...  ...  人民日报海外网
33  {'easyBrowse': '1', 'easyBrowseConfirm': '1', ...  ...      环球网
34  {'easyBrowse': '1', 'easyBrowseConfirm': '1', ...  ...  人民日报海外网
35  {'easyBrowse': '1', 'easyBrowseConfirm': '1', ...  ...      人民网
```

输入参数-中国分省份详情

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| indicator | str | Y | indicator="中国分省份详情"|

输出参数-中国分省份详情

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        |参见 **数据示例-中国分省份详情**   |

接口示例-中国分省份详情

```python
import mssdk as ms
covid_19_baidu_df = ms.covid_19_baidu(indicator="中国分省份详情")
print(covid_19_baidu_df)
```

数据示例-中国分省份详情

```
   confirmed  died  crued  ... curConfirmRelative icuDisable area
0          1            1  ...                  0          1   西藏
1         11           10  ...                  0          1   澳门
2         18           18  ...                  0          1   青海
3         67     1     20  ...                  6          1   台湾
4        155     4     84  ...                  4          1   香港
..       ...   ...    ...  ...                ...        ...  ...
29      1018     4   1014  ...                  0          1   湖南
30      1273    22   1250  ...                  0          1   河南
31      1361     8   1306  ...                  1          1   广东
32      1231     1   1216  ...                 -2          1   浙江
33     67798  3099  55094  ...               -826          1   湖北
```

输入参数-中国分城市详情

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| indicator | str | Y | indicator="中国分城市详情"|

输出参数-中国分城市详情

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        |参见 **数据示例-中国分城市详情**   |

接口示例-中国分城市详情

```python
import mssdk as ms
covid_19_baidu_df = ms.covid_19_baidu(indicator="中国分城市详情")
print(covid_19_baidu_df)
```

数据示例-中国分城市详情

```
     city confirmed died crued confirmedRelative curConfirm cityCode province
0      拉萨         1          1                 0          0      100       西藏
1      西宁        15         15                 0          0       66       青海
2     海北州         3          3                 0          0       67       青海
3     六盘水        10    1     9                 0          0      147       贵州
4    毕节地区        23         23                 0          0      206       贵州
..    ...       ...  ...   ...               ...        ...      ...      ...
434    黄冈      2907  125  2750                 0         32      271       湖北
435    孝感      3518  127  3266                 0        125      310       湖北
436    黄石      1015   38   950                 0         27      311       湖北
437    荆门       928   39   865                 0         24      217       湖北
438    鄂州      1394   57  1275                 0         62      122       湖北
```

输入参数-国外分国详情

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| indicator | str | Y | indicator="国外分国详情"|

输出参数-国外分国详情

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        |参见 **数据示例-国外分国详情**   |

接口示例-国外分国详情

```python
import mssdk as ms
covid_19_baidu_df = ms.covid_19_baidu(indicator="国外分国详情")
print(covid_19_baidu_df)
```

数据示例-国外分国详情

```
    confirmed died crued  ... curConfirm icuDisable      area
0           1             ...          1          1      坦桑尼亚
1           1             ...          1          1      利比里亚
2           1    1        ...          0          1  圭亚那合作共和国
3           1             ...          1          1       马约特
4           1             ...          1          1       巴哈马
..        ...  ...   ...  ...        ...        ...       ...
151       368    6    27  ...        335          1      澳大利亚
152       553         35  ...        518          1      马来西亚
153       823   25   144  ...        654          1        日本
154       243        105  ...        138          1       新加坡
155       147    1    37  ...        109          1        泰国
```

输入参数-国外分城市详情

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| indicator | str | Y | indicator="国外分城市详情"|

输出参数-国外分城市详情

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        |参见 **数据示例-国外分城市详情**   |

接口示例-国外分城市详情

```python
import mssdk as ms
covid_19_baidu_df = ms.covid_19_baidu(indicator="国外分城市详情")
print(covid_19_baidu_df)
```

数据示例-国外分城市详情

```
    province  city confirmed died crued
0         伊朗   德黑兰      2976           
1         伊朗    吉兰       684           
2         伊朗    库姆       888           
3         伊朗  伊斯法罕       902           
4         伊朗   法尔斯       232           
..       ...   ...       ...  ...   ...
105       日本    广岛         1           
106       日本    群马         5           
107       日本    福岛         2           
108       日本    佐贺         1           
109       日本    长崎         1 
```

输入参数-全球分洲详情

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| indicator | str | Y | indicator="全球分洲详情"|

输出参数-全球分洲详情

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        |参见 **数据示例-全球分洲详情**   |

接口示例-全球分洲详情

```python
import mssdk as ms
covid_19_baidu_df = ms.covid_19_baidu(indicator="全球分洲详情")
print(covid_19_baidu_df)
```

数据示例-全球分洲详情

```
  area  died crued confirmed confirmedRelative
0   亚洲   988  6661     27328              1673
1   欧洲  2347  3086     56831              6970
2   非洲     8    42       387                75
3  大洋洲     6    27       377                13
4  北美洲    73    71      4306               321
5  南美洲     6     1       511               152
6   其他     7   456       712                15
```

输入参数-全球分洲国家详情

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| indicator | str | Y | indicator="全球分洲国家详情"|

输出参数-全球分洲国家详情

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        |参见 **数据示例-全球分洲国家详情**   |

接口示例-全球分洲国家详情

```python
import mssdk as ms
covid_19_baidu_df = ms.covid_19_baidu(indicator="全球分洲国家详情")
print(covid_19_baidu_df)
```

数据示例-全球分洲国家详情

```
    confirmed died crued  relativeTime confirmedRelative  country province
0           6             1.584288e+09                 2   乌兹别克斯坦       亚洲
1           8             1.584202e+09                 2    哈萨克斯坦       亚洲
2          18             1.584202e+09                12      土耳其       亚洲
3           1             1.583683e+09                        蒙古国       亚洲
4          33             1.584202e+09                 7     塞浦路斯       亚洲
..        ...  ...   ...           ...               ...      ...      ...
151        45    2     1  1.584115e+09                        阿根廷      南美洲
152        75             1.584202e+09                14       智利      南美洲
153        37    2        1.584202e+09                 9     厄瓜多尔      南美洲
154       200             1.584202e+09                79       巴西      南美洲
155       712    7   456  1.584202e+09                15  钻石公主号邮轮       其他
```

输入参数-国内新型肺炎最新动态

| 名称   | 类型 |  描述     |
| -------- | ---- |  --- |
| indicator | str | indicator="国内新型肺炎最新动态"|

输出参数-国内新型肺炎最新动态

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| -      | -   | 参见 **数据示例-国内新型肺炎最新动态**   |

接口示例-国内新型肺炎最新动态

```python
import mssdk as ms
covid_19_baidu_df = ms.covid_19_baidu(indicator="国内新型肺炎最新动态")
print(covid_19_baidu_df)
```

数据示例-国内新型肺炎最新动态

```
                               新闻  ...                                                 链接
0                     北京新增输入病例4＋4  ...  http://www.163.com/dy/article/GFD0C4TP0526P5NJ...
1        7月20日甘肃新增1例境外输入性新冠肺炎确诊病例  ...  http://www.163.com/dy/article/GFCUNDHC0530X1P1...
2         周飞主持召开广西疫苗接种指挥平台建设方案研讨会  ...          http://www.sohu.com/a/478640008_121106875
3            北京两家疫苗公司累计产值突破1200亿元  ...  http://news.cnhubei.com/content/2021-07/20/con...
4                 香港已接种逾495万剂新冠疫苗  ...        http://www.jiemian.com/article/6380592.html
5                香港新增7宗输入新冠肺炎确诊个案  ...  http://baijiahao.baidu.com/s?id=17058096514231...
6   斯里兰卡大学研究表明中国国药新冠疫苗对德尔塔变异株非常有效  ...  http://m.news.cctv.com/2021/07/20/ARTIdgnVlxeI...
7         “蓝委”呼吁蔡英文、赖清德先打台湾“自产疫苗”  ...      http://taiwan.huanqiu.com/article/44175g20WcC
8                云南瑞丽一新增确诊病例丈夫被调查  ...  http://baijiahao.baidu.com/s?id=17057914430378...
9       北京市累计报告接种新冠病毒疫苗3612.86万剂次  ...    http://www.henan100.com/news/2021/1030164.shtml
10             台湾新增24例确诊病例、4例死亡病例  ...  http://www.guancha.cn/politics/2021_07_20_5991...
11            7月19日广东新增境外输入确诊病例4例  ...          http://www.sohu.com/a/478500817_121123774
12            云南南非通报高登省发生家猪非洲猪瘟疫情  ...  http://www.chinafarming.com/axfwnh/2021/07/20/...
13      湖北昨日新增新冠肺炎确诊病例3例、无症状感染者4例  ...  http://m.news.cctv.com/2021/07/20/ARTIqrx48VkA...
14           上海7月19日无新增本地新冠肺炎确诊病例  ...  http://sh.people.com.cn/n2/2021/0720/c138654-3...
15             7月19日贵州省新冠肺炎疫情信息发布  ...          http://www.sohu.com/a/478469231_121106902
16             7月20日安徽省报告新冠肺炎疫情情况  ...  http://www.bengbu.gov.cn/ywdt/ztzl/fkxxgzbdgrd...
17       广东清远市人民医院隔离区一护士判定为无症状感染者  ...             http://www.sohu.com/a/478457041_161795
18                  澳大利亚敌视中国疫苗进南太  ...  http://k.sina.com.cn/article_1686546714_6486a9...
19             四川8月起开展青少年人群新冠疫苗接种  ...  http://www.163.com/dy/article/GFAPIVT10514R9MQ...
20      中国台湾地区首次批准使用“本地企业研发的地产疫苗”  ...  http://www.163.com/dy/article/GFA8M7SB0534V2AI...
21         云南多地开展12至17岁人群新冠疫苗接种工作  ...  http://k.sina.com.cn/article_1784473157_6a5ce6...
22             香港航空公司响应新冠疫苗外展接种服务  ...  http://k.sina.com.cn/article_1893278624_70d923...
23       科兴生物新冠疫苗已正式用于我国青少年人群紧急使用  ...  http://www.163.com/dy/article/GFA2H2LJ0514R9KC...
24               重庆新冠肺炎疫苗接种工作有序推进  ...          http://www.sohu.com/a/478403144_120388781
25            厦门：5月以来已发现69例台湾输入病例  ...        http://www.jiemian.com/article/6375046.html
26      中国疫苗在埃及实现本地化生产，为非洲送去"及时雨"  ...  http://k.sina.com.cn/article_3057540037_b63e5b...
27  河北大学附属医院国家重大疫情救治基地预计2022年投入使用  ...  http://baijiahao.baidu.com/s?id=17057037160957...
28             2021重庆丰都新冠疫苗到苗接种通知  ...     http://cq.bendibao.com/news/2021719/98017.shtm
29           四川12-17岁人群新冠疫苗接种时间公布  ...  http://baijiahao.baidu.com/s?id=17056999036426...
30               广东夫妇为广州疫情捐款壹佰万元整  ...          http://www.sohu.com/a/478368815_120718280
31            台湾本土制造“高端”疫苗获紧急使用授权  ...  http://baijiahao.baidu.com/s?id=17056979234167...
32               云南新增本土新冠肺炎确诊病例5例  ...  http://www.163.com/dy/article/GF9E94CF0546QS9O...
33          浙江将召开第七十四场疫情防控工作新闻发布会  ...  http://baijiahao.baidu.com/s?id=17056963201612...
34       北京：1760.35万人完成新冠病毒疫苗全程接种  ...             http://www.sohu.com/a/478358635_162758
35          200万剂疫苗今晚上海出境前往乌兹别克斯坦  ...  http://www.163.com/dy/article/GF9CIIPU05506BEH...
36             台湾新增21例确诊病例、1例死亡病例  ...  http://www.guancha.cn/politics/2021_07_19_5990...
37              台湾名嘴：中国人当然要打祖国的疫苗  ...  http://baijiahao.baidu.com/s?id=17056926890216...
38   “光疫苗”新型消毒设备：“黑科技”助力中国代表团征战东京  ...  http://finance.sina.com.cn/china/2021-07-19/do...
```

输入参数-国外新型肺炎最新动态

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| indicator | str |  indicator="国外新型肺炎最新动态"|

输出参数-国外新型肺炎最新动态

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| -      | -   | 参见 **数据示例-国外新型肺炎最新动态**   |

接口示例-国外新型肺炎最新动态

```python
import mssdk as ms
covid_19_baidu_df = ms.covid_19_baidu(indicator="国外新型肺炎最新动态")
print(covid_19_baidu_df)
```

数据示例-国外新型肺炎最新动态

```
                               新闻  ...                                                 链接
0              意大利新增3558例新冠病毒确诊病例  ...           http://forex.cngold.org/fxb/c5574463.htm
1           法国过去24小时新增33例新冠肺炎死亡病例  ...           http://forex.cngold.org/fxb/c5574453.htm
2                  马耳他启动无预约新冠疫苗接种  ...  http://baijiahao.baidu.com/s?id=17058207077512...
3              英国新增新冠肺炎确诊病例46558例  ...  http://baijiahao.baidu.com/s?id=17058198547739...
4                 伊朗单日新增新冠确诊病例创新高  ...             http://www.sohu.com/a/478636457_267106
5               清迈数百名缅甸移民感染新冠肺炎病毒  ...  http://www.163.com/dy/article/GFCRNSOG0552ASSI...
6                 新加坡22日起收紧新冠防控措施  ...  http://k.sina.com.cn/article_213815211_0cbe8fa...
7           美国白宫官员、佩洛西助手新冠病毒检测呈阳性  ...             http://finance.ifeng.com/c/882bjqwbyM4
8      法国卫生部长：新冠肺炎确诊病例正以前所未有的速度上升  ...           http://forex.cngold.org/fxb/c5574403.htm
9          俄罗斯外长：正在研究尼加拉瓜生产俄制疫苗请求  ...  http://cn.dailyeconomic.com/finance/2021/07/20...
10             伊朗新增新冠肺炎确诊病例27444例  ...             http://finance.ifeng.com/c/882OjTLVZlQ
11      英国首相发言人：英国希望避免夜总会新冠肺炎病例激增  ...           http://forex.cngold.org/fxb/c5574289.htm
12             尼泊尔新增新冠肺炎确诊病例3108例  ...  http://finance.sina.com.cn/tech/2021-07-20/doc...
13             蒙古国新增新冠肺炎确诊病例1309例  ...  http://finance.sina.com.cn/tech/2021-07-20/doc...
14  斯里兰卡大学研究表明中国国药新冠疫苗对德尔塔变异株非常有效  ...  http://m.news.cctv.com/2021/07/20/ARTIdgnVlxeI...
15           波兰总理：希望不会出现强制接种疫苗的情况  ...          http://www.sohu.com/a/478591271_121124417
16  最新研究显示：印度真正死于新冠的人数可能是官方数字的10倍  ...  http://k.sina.com.cn/article_7132863516_1a926d...
17         日本东京都单日新增新冠肺炎确诊病例1387例  ...  http://www.163.com/dy/article/GFC788J30539AP40...
18             新加坡新增182例本地传播的新冠病例  ...           http://forex.cngold.org/fxb/c5574214.htm
19     中新网评：疫情反弹之际，美国应先算清自己的“糊涂账”  ...  http://baijiahao.baidu.com/s?id=17057917972902...
20              7月20日西加拿大疫情最新数据公布  ...  http://www.cnjiyin.com/guoneiyanjiu/0062021072...
21                7月20日印度疫情最新数据公布  ...  http://www.cnjiyin.com/news/00520210720_38548....
22               捷克新增216例新冠肺炎确诊病例  ...           http://forex.cngold.org/fxb/c5574097.htm
23               墨西哥国家棒球队2名队员确诊新冠  ...             http://www.sohu.com/a/478522945_162758
24      墨竹：美国疫情导致金融市场巨震，黄金多头欲借势飙升  ...          http://www.sohu.com/a/478499958_120020189
25               7月20日西班牙疫情最新数据公布  ...  http://www.cnjiyin.com/guoneiyanjiu/0062021072...
26            云南南非通报高登省发生家猪非洲猪瘟疫情  ...  http://www.chinafarming.com/axfwnh/2021/07/20/...
27                韩国新增1278例新冠确诊病例  ...        http://www.jiemian.com/article/6376809.html
28            苏州产治疗新冠药物获巴拉圭紧急使用授权  ...  http://jsnews.jschina.com.cn/sz/a/202107/t2021...
29         越南新增新冠确诊4195例创疫情暴发以来新高  ...  http://www.cnjiyin.com/news/00520210720_38494....
30             7月20日越南胡志明疫情最新数据公布  ...  http://www.cnjiyin.com/news/00520210720_38494....
31                7月20日泰国疫情最新数据公布  ...  http://www.cnjiyin.com/guoneiyanjiu/0062021072...
32            英国政府决定推迟向未成年人接种新冠疫苗  ...  http://baijiahao.baidu.com/s?id=17057599134433...
33             巴西新增新冠肺炎确诊病例15271例  ...  http://baijiahao.baidu.com/s?id=17057581967407...
34                  澳大利亚敌视中国疫苗进南太  ...  http://k.sina.com.cn/article_1686546714_6486a9...
35                南非政府担心骚乱后该国疫情恶化  ...  http://finance.sina.com.cn/tech/2021-07-20/doc...
36        希腊新冠疫苗接种范围将扩大到12岁至15岁人群  ...  http://finance.sina.com.cn/tech/2021-07-20/doc...
37               韩国为未成年人接种新冠疫苗遭反对  ...  http://www.163.com/dy/article/GFAQS6250514R9OJ...
```

#### 迁徙数据-百度

##### 迁入与迁出地详情

接口: migration_area_baidu

目标地址: https://qianxi.baidu.com/?from=shoubai#city=0

描述: 获取百度-百度地图慧眼-百度迁徙-迁入/迁出地数据接口

限量: 单次返回前 50 个城市, 由于百度接口限制, 目前只能返回前 50 个城市

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| area | str | Y | area="乌鲁木齐市", 输入需要查询的省份或者城市, 都需要用全称, 比如: "浙江省", "乌鲁木齐市" |
| indicator | str | Y | indicator="move_in", 返回迁入地详情, indicator="move_out", 返回迁出地详情 |
| date | str | Y | date="20200201", 需要滞后一天 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| city_name      | 城市名称   | Y        |   |
| province_name      | 所属省份   | Y        |   |
| value      | str   | 迁徙规模, 比例        |   |
			
接口示例

```python
import mssdk as ms
migration_area_baidu_df = ms.migration_area_baidu(area="浙江省", indicator="move_in", date="20200201")
print(migration_area_baidu_df)
```

数据示例

```
   city_name province_name  value
0        上海市           上海市   5.77
1        阜阳市           安徽省   4.68
2        上饶市           江西省   4.57
3        亳州市           安徽省   2.44
4        重庆市           重庆市   2.34
..       ...           ...    ...
95       咸阳市           陕西省   0.26
96       潍坊市           山东省   0.25
97       烟台市           山东省   0.25
98       常德市           湖南省   0.25
99       沈阳市           辽宁省   0.24
```

##### 迁徙规模

接口: migration_scale_baidu

目标地址: https://qianxi.baidu.com/?from=shoubai#city=0

描述: 获取百度-百度地图慧眼-百度迁徙-迁徙规模

- 迁徙规模指数：反映迁入或迁出人口规模，城市间可横向对比
- 城市迁徙边界采用该城市行政区划，包含该城市管辖的区、县、乡、村

限量: 单次返回当前城市的去年和今年的迁徙规模数据, 查询参数中的 **start_date** 不要随意更改

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| area | str | Y | area="乌鲁木齐市", 输入需要查询的省份或者城市, 都需要用全称, 比如: "浙江省", "乌鲁木齐市" |
| indicator | str | Y | indicator="move_in", 返回迁入地详情, indicator="move_out", 返回迁出地详情 |
| start_date | str | Y | start_date="20190112", 一般不要变化 |
| end_date | str | Y | end_date="20200201", 往后查询如 20200202 之后 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | 索引   | Y        | 去年和今年的日期  |
| 迁徙规模指数      | str   | Y        |  定义参见百度, 同 covid_19_baidu 定义 |
			
接口示例

```python
import mssdk as ms
migration_scale_baidu_df = ms.migration_scale_baidu(area="浙江省", indicator="move_out", start_date="20190112", end_date="20200201")
print(migration_scale_baidu_df)
```

数据示例

```
               迁徙规模指数
2019-01-12  82153.440
2019-01-13  75818.916
2019-01-14  82712.988
2019-01-15  83889.108
2019-01-16  90118.008
               ...
2020-01-28  29054.052
2020-01-29  22622.328
2020-01-30  20901.564
2020-01-31  19023.984
2020-02-01  15723.072
```

#### 同程查询

接口: covid_19_trip

目标地址: https://rl.inews.qq.com/h5/trip?from=newsapp&ADTAG=tgi.wx.share.message

描述: 获取新型肺炎确诊患者-相同行程查询工具中所有行程数据

限量: 单次返回新型肺炎确诊患者-相同行程查询工具中所有行程数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | - | - | - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| -      | -   | -        | 字段过多, 不单列  |
			
接口示例

```python
import mssdk as ms
covid_19_trip_df = ms.covid_19_trip()
print(covid_19_trip_df)
```

数据示例

```
    id  grab_id                    _ctime  ... grab_type        date _id
0    6        0  2021-01-18T08:05:44.000Z  ...            2021-01-16   6
1    7        0  2021-01-18T13:00:07.000Z  ...            2021-01-15   7
2   38        0  2021-01-21T06:55:52.000Z  ...            2021-01-15  38
3    8        0  2021-01-18T13:04:24.000Z  ...            2021-01-14   8
4    9        0  2021-01-18T13:36:35.000Z  ...            2021-01-14   9
5   10        0  2021-01-18T13:40:05.000Z  ...            2021-01-13  10
6   32        0  2021-01-19T15:54:09.000Z  ...            2021-01-13  32
7   37        0  2021-01-21T06:54:42.000Z  ...            2021-01-13  37
8   11        0  2021-01-18T13:49:57.000Z  ...            2021-01-10  11
9   14        0  2021-01-18T14:15:39.000Z  ...            2021-01-10  14
10  12        0  2021-01-18T14:08:01.000Z  ...            2021-01-09  12
11  13        0  2021-01-18T14:13:16.000Z  ...            2021-01-09  13
12  31        0  2021-01-19T15:50:42.000Z  ...            2021-01-09  31
13  15        0  2021-01-18T14:28:35.000Z  ...            2021-01-07  15
14  16        0  2021-01-18T14:32:47.000Z  ...            2021-01-07  16
15  17        0  2021-01-18T14:37:57.000Z  ...            2021-01-07  17
16  18        0  2021-01-18T14:40:40.000Z  ...            2021-01-07  18
17  19        0  2021-01-18T14:45:55.000Z  ...            2021-01-07  19
18  20        0  2021-01-18T15:05:36.000Z  ...            2021-01-06  20
19  21        0  2021-01-18T15:07:37.000Z  ...            2021-01-06  21
```

#### 病患轨迹

接口: covid_19_trace

目标地址: https://news.qq.com/hdh5/hebeicomeon.htm#/?ADTAG=yqi

描述: 获取腾讯新闻-疫情-病患轨迹的数据

限量: 单次返回所有省份的数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | - | - | - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 地址      | str  | Y        | -  |
| 城市      | str  | Y        | -  |
| 区      | str  | Y        | -  |
| 省份      | str  | Y        | -  |
| 标题      | str  | Y        | -  |
| 更新时间      | str  | Y        | -  |
| 风险等级      | str  | Y        | -  |
| 统计时间      | str  | Y        | -  |

接口示例

```python
import mssdk as ms
covid_19_trace_df = ms.covid_19_trace()
print(covid_19_trace_df)
```

数据示例

```
                    地址   城市    区  ...                更新时间 风险等级      统计时间
0           北京市西城区交大东路  北京市  西城区  ... 2021-01-21 13:52:29  低风险  20210119
1            北京市昌平区政府街  北京市  昌平区  ... 2021-01-21 13:52:28  低风险  20210119
2           北京市大兴区新源大街  北京市  大兴区  ... 2021-01-21 13:52:28  低风险  20210119
3            北京市昌平区政府街  北京市  昌平区  ... 2021-01-21 13:52:22  低风险  20210119
4    北京市朝阳区广顺北大街17-15号  北京市  朝阳区  ... 2021-01-21 13:52:20  低风险  20210119
..                 ...  ...  ...  ...                 ...  ...       ...
657       陕西省榆林市神木市迎宾路  榆林市  神木市  ... 2021-01-21 04:18:54  低风险  20210115
658       陕西省渭南市白水县新兴街  渭南市  白水县  ... 2021-01-21 04:18:53  低风险  20210114
659       陕西省咸阳市杨陵区神农路  咸阳市  杨陵区  ... 2021-01-21 04:18:52  低风险  20210114
660       陕西省榆林市神木市店红路  榆林市  神木市  ... 2021-01-13 16:18:30  低风险  20210112
661       陕西省榆林市神木市府阳路  榆林市  神木市  ... 2021-01-13 15:47:33  低风险  20210111
```

#### 疫情历史数据-细化到地市

接口: covid_19_hist_city

目标地址: https://github.com/norratek/Ncov2020HistoryData

描述: 获取 **COVID-19** 数据, 统计数据细化到地市, 该接口需要通过代理访问

限量: 单次返回指定 **city** 的所有数据

输入参数-covid_19_hist_city

| 名称   | 类型 |  描述      |
| -------- | ---- |  --- |
| city | str | city="武汉市" |

输出参数-covid_19_hist_city

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| date | str |  时间（天） |
| country | str |  国家 |
| countryCode | float | 国家代码 |
| province | float |  省 |
| provinceCode | float |  省代码 |
| city | float |  市 |
| cityCode | float |  市代码 |
| confirmed | str |  确诊人数 |
| suspected | str |  疑似人数 |
| cured | str | 治愈人数 |
| dead | str |  死亡人数 |
			
接口示例-covid_19_hist_city

```python
import mssdk as ms
covid_19_hist_city_df = ms.covid_19_hist_city(city="武汉市")
print(covid_19_hist_city_df)
```

数据示例-covid_19_hist_city

```
             date country countryCode  ... suspected  cured  dead
2      2019-12-01      中国          CN  ...         0      0     0
5      2019-12-02      中国          CN  ...         0      0     0
8      2019-12-03      中国          CN  ...         0      0     0
11     2019-12-04      中国          CN  ...         0      0     0
14     2019-12-05      中国          CN  ...         0      0     0
           ...     ...         ...  ...       ...    ...   ...
25699  2020-03-12      中国          CN  ...         0  34094  2430
26333  2020-03-13      中国          CN  ...         0  35197  2436
26980  2020-03-14      中国          CN  ...         0  36465  2446
27637  2020-03-15      中国          CN  ...         0  37643  2456
28302  2020-03-16      中国          CN  ...         0  38385  2469
```

输入参数-covid_19_hist_province

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| province | str | Y | province="湖北省" |

输出参数-covid_19_hist_province

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| date | str | Y | 时间（天） |
| country | str | Y | 国家 |
| countryCode | float | Y | 国家代码 |
| province | float | Y | 省 |
| provinceCode | float | Y | 省代码 |
| city | float | Y | 市 |
| cityCode | float | Y | 市代码 |
| confirmed | str | Y | 确诊人数 |
| suspected | str | Y | 疑似人数 |
| cured | str | Y | 治愈人数 |
| dead | str | Y | 死亡人数 |
			
接口示例-covid_19_hist_province

```python
import mssdk as ms
covid_19_hist_province_df = ms.covid_19_hist_province(province="湖北省")
print(covid_19_hist_province_df)
```

数据示例-covid_19_hist_province

```
             date country countryCode  ... suspected cured dead
1      2019-12-01      中国          CN  ...         0     0    0
2      2019-12-01      中国          CN  ...         0     0    0
4      2019-12-02      中国          CN  ...         0     0    0
5      2019-12-02      中国          CN  ...         0     0    0
7      2019-12-03      中国          CN  ...         0     0    0
           ...     ...         ...  ...       ...   ...  ...
28314  2020-03-16      中国          CN  ...         0   242    7
28315  2020-03-16      中国          CN  ...         0   529   22
28316  2020-03-16      中国          CN  ...         0   183    9
28317  2020-03-16      中国          CN  ...         0   477   15
28318  2020-03-16      中国          CN  ...         0    11    0
```

#### COVID-19-CSSE

##### 全球每日报告

接口: covid_19_csse_daily

目标地址: https://github.com/CSSEGISandData/COVID-19

描述: 获取 **COVID-19** 每个自然日的全球统计数据, 如本地无法读取数据，请参考 **[答疑专栏]** 问题 12 修改本地 host 后获取

限量: 单次返回指定 **date** 的所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| date | str | Y | date="2020-04-06"; 从 **2020-01-22** 开始至今 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ------- |
| Province/State | str | Y | Province/State: China - province name; US/Canada/Australia/ - city name, state/province name; Others - name of the event (e.g., "Diamond Princess" cruise ship); other countries - blank. |
| Country/Region | str | Y | country/region name conforming to WHO (will be updated). |
| Last Update | float | Y | MM/DD/YYYY HH:mm (24 hour format, in UTC). |
| Confirmed | float | Y |  the number of confirmed cases. For Hubei Province: from Feb 13 (GMT +8), we report both clinically diagnosed and lab-confirmed cases. For lab-confirmed cases only (Before Feb 17), please refer to who_covid_19_situation_reports. For Italy, diagnosis standard might be changed since Feb 27 to "slow the growth of new case numbers." |
| Deaths | float | Y | the number of deaths. |
| Recovered | float | Y | the number of recovered cases. |
			
接口示例

```python
import mssdk as ms
covid_19_csse_daily_df = ms.covid_19_csse_daily(date="2020-04-06")
print(covid_19_csse_daily_df)
```

数据示例

```
         FIPS      Admin2  ... Active                   Combined_Key
0     45001.0   Abbeville  ...      0  Abbeville, South Carolina, US
1     22001.0      Acadia  ...      0          Acadia, Louisiana, US
2     51001.0    Accomack  ...      0         Accomack, Virginia, US
3     16001.0         Ada  ...      0                 Ada, Idaho, US
4     19001.0       Adair  ...      0                Adair, Iowa, US
       ...         ...  ...    ...                            ...
2804      NaN         NaN  ...    229             West Bank and Gaza
2805      NaN         NaN  ...      4               ,,Western Sahara
2806      NaN         NaN  ...     33                         Zambia
2807      NaN         NaN  ...      9                       Zimbabwe
2808      NaN  unassigned  ...      0        unassigned, Wyoming, US
```

##### 美国确诊

接口: covid_19_csse_us_confirmed

目标地址: https://github.com/CSSEGISandData/COVID-19

描述: 获取美国确诊数据所有历史数据, 如本地无法读取数据，请参考 **[答疑专栏]** 问题 12 修改本地 host 后获取

限量: 单次返回所有历史数据，每日更新

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | - | - | - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ------- |
| Province/State | str | Y | Province/State: China - province name; US/Canada/Australia/ - city name, state/province name; Others - name of the event (e.g., "Diamond Princess" cruise ship); other countries - blank. |
| Country/Region | str | Y | country/region name conforming to WHO (will be updated). |
| Lat and Long | float | Y | a coordinates reference for the user. |
| Date fields | float | Y |  M/DD/YYYY (UTC), the same data as MM-DD-YYYY.csv file. |
			
接口示例

```python
import mssdk as ms
covid_19_csse_us_confirmed_df = ms.covid_19_csse_us_confirmed()
print(covid_19_csse_us_confirmed_df)
```

数据示例

```
           UID iso2 iso3  code3     FIPS      Admin2  \
0           16   AS  ASM     16     60.0         NaN   
1          316   GU  GUM    316     66.0         NaN   
2          580   MP  MNP    580     69.0         NaN   
3          630   PR  PRI    630     72.0         NaN   
4          850   VI  VIR    850     78.0         NaN   
        ...  ...  ...    ...      ...         ...   
3248  84090053   US  USA    840  90053.0  Unassigned   
3249  84090054   US  USA    840  90054.0  Unassigned   
3250  84090055   US  USA    840  90055.0  Unassigned   
3251  84090056   US  USA    840  90056.0  Unassigned   
3252  84099999   US  USA    840  99999.0         NaN   
                Province_State Country_Region      Lat     Long_  \
0               American Samoa             US -14.2710 -170.1320   
1                         Guam             US  13.4443  144.7937   
2     Northern Mariana Islands             US  15.0979  145.6739   
3                  Puerto Rico             US  18.2208  -66.5901   
4               Virgin Islands             US  18.3358  -64.8963   
                        ...            ...      ...       ...   
3248                Washington             US   0.0000    0.0000   
3249             West Virginia             US   0.0000    0.0000   
3250                 Wisconsin             US   0.0000    0.0000   
3251                   Wyoming             US   0.0000    0.0000   
3252            Grand Princess             US   0.0000    0.0000   
                       Combined_Key  1/22/20  1/23/20  1/24/20  1/25/20  \
0                American Samoa, US        0        0        0        0   
1                          Guam, US        0        0        0        0   
2      Northern Mariana Islands, US        0        0        0        0   
3                   Puerto Rico, US        0        0        0        0   
4                Virgin Islands, US        0        0        0        0   
                             ...      ...      ...      ...      ...   
3248     Unassigned, Washington, US        0        0        0        0   
3249  Unassigned, West Virginia, US        0        0        0        0   
3250      Unassigned, Wisconsin, US        0        0        0        0   
3251        Unassigned, Wyoming, US        0        0        0        0   
3252             Grand Princess, US        0        0        0        0   
      3/30/20  3/31/20  4/1/20  4/2/20  4/3/20  4/4/20  4/5/20  4/6/20  
0           0        0       0       0       0       0       0       0  
1          58       69      77      82      84      93     112     113  
2           0        2       6       6       6       6       6       6  
3         174      239     286     316     316     452     475     513  
4           0       30      30      30      37      40      42      43  
       ...      ...     ...     ...     ...     ...     ...     ...  
3248      274      274     303     344     501     483     533     648  
3249        0        0       0       0       0       0       0       0  
3250        0        0       0       0       0       0       0       0  
3251        0        0       0       0       0       0       0       0  
3252      103      103     103     103     103     103     103     103  
```

##### 美国死亡

接口: covid_19_csse_us_death

目标地址: https://github.com/CSSEGISandData/COVID-19

描述: 获取美国死亡数据所有历史数据, 如本地无法读取数据，请参考 **[答疑专栏]** 问题 12 修改本地 host 后获取

限量: 单次返回所有历史数据，每日更新

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | - | - | - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ------- |
| Province/State | str | Y | Province/State: China - province name; US/Canada/Australia/ - city name, state/province name; Others - name of the event (e.g., "Diamond Princess" cruise ship); other countries - blank. |
| Country/Region | str | Y | country/region name conforming to WHO (will be updated). |
| Lat and Long | float | Y | a coordinates reference for the user. |
| Date fields | float | Y |  M/DD/YYYY (UTC), the same data as MM-DD-YYYY.csv file. |
			
接口示例

```python
import mssdk as ms
covid_19_csse_us_death_df = ms.covid_19_csse_us_death()
print(covid_19_csse_us_death_df)
```

数据示例

```
           UID iso2 iso3  code3     FIPS      Admin2  \
0           16   AS  ASM     16     60.0         NaN   
1          316   GU  GUM    316     66.0         NaN   
2          580   MP  MNP    580     69.0         NaN   
3          630   PR  PRI    630     72.0         NaN   
4          850   VI  VIR    850     78.0         NaN   
        ...  ...  ...    ...      ...         ...   
3248  84090053   US  USA    840  90053.0  Unassigned   
3249  84090054   US  USA    840  90054.0  Unassigned   
3250  84090055   US  USA    840  90055.0  Unassigned   
3251  84090056   US  USA    840  90056.0  Unassigned   
3252  84099999   US  USA    840  99999.0         NaN   
                Province_State Country_Region      Lat     Long_  \
0               American Samoa             US -14.2710 -170.1320   
1                         Guam             US  13.4443  144.7937   
2     Northern Mariana Islands             US  15.0979  145.6739   
3                  Puerto Rico             US  18.2208  -66.5901   
4               Virgin Islands             US  18.3358  -64.8963   
                        ...            ...      ...       ...   
3248                Washington             US   0.0000    0.0000   
3249             West Virginia             US   0.0000    0.0000   
3250                 Wisconsin             US   0.0000    0.0000   
3251                   Wyoming             US   0.0000    0.0000   
3252            Grand Princess             US   0.0000    0.0000   
                       Combined_Key  1/22/20  1/23/20  1/24/20  1/25/20  \
0                American Samoa, US        0        0        0        0   
1                          Guam, US        0        0        0        0   
2      Northern Mariana Islands, US        0        0        0        0   
3                   Puerto Rico, US        0        0        0        0   
4                Virgin Islands, US        0        0        0        0   
                             ...      ...      ...      ...      ...   
3248     Unassigned, Washington, US        0        0        0        0   
3249  Unassigned, West Virginia, US        0        0        0        0   
3250      Unassigned, Wisconsin, US        0        0        0        0   
3251        Unassigned, Wyoming, US        0        0        0        0   
3252             Grand Princess, US        0        0        0        0   
      3/30/20  3/31/20  4/1/20  4/2/20  4/3/20  4/4/20  4/5/20  4/6/20  
0           0        0       0       0       0       0       0       0  
1          58       69      77      82      84      93     112     113  
2           0        2       6       6       6       6       6       6  
3         174      239     286     316     316     452     475     513  
4           0       30      30      30      37      40      42      43  
       ...      ...     ...     ...     ...     ...     ...     ...  
3248      274      274     303     344     501     483     533     648  
3249        0        0       0       0       0       0       0       0  
3250        0        0       0       0       0       0       0       0  
3251        0        0       0       0       0       0       0       0  
3252      103      103     103     103     103     103     103     103  
```

##### 全球确诊

接口: covid_19_csse_global_confirmed

目标地址: https://github.com/CSSEGISandData/COVID-19

描述: 获取全球确诊数据所有历史数据, 如本地无法读取数据，请参考 **[答疑专栏]** 问题 12 修改本地 host 后获取

限量: 单次返回所有历史数据，每日更新

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | - | - | - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ------- |
| Province/State | str | Y | Province/State: China - province name; US/Canada/Australia/ - city name, state/province name; Others - name of the event (e.g., "Diamond Princess" cruise ship); other countries - blank. |
| Country/Region | str | Y | country/region name conforming to WHO (will be updated). |
| Lat and Long | float | Y | a coordinates reference for the user. |
| Date fields | float | Y |  M/DD/YYYY (UTC), the same data as MM-DD-YYYY.csv file. |
			
接口示例

```python
import mssdk as ms
covid_19_csse_global_confirmed_df = ms.covid_19_csse_global_confirmed()
print(covid_19_csse_global_confirmed_df)
```

数据示例

```
           UID iso2 iso3  code3     FIPS      Admin2  \
0           16   AS  ASM     16     60.0         NaN   
1          316   GU  GUM    316     66.0         NaN   
2          580   MP  MNP    580     69.0         NaN   
3          630   PR  PRI    630     72.0         NaN   
4          850   VI  VIR    850     78.0         NaN   
        ...  ...  ...    ...      ...         ...   
3248  84090053   US  USA    840  90053.0  Unassigned   
3249  84090054   US  USA    840  90054.0  Unassigned   
3250  84090055   US  USA    840  90055.0  Unassigned   
3251  84090056   US  USA    840  90056.0  Unassigned   
3252  84099999   US  USA    840  99999.0         NaN   
                Province_State Country_Region      Lat     Long_  \
0               American Samoa             US -14.2710 -170.1320   
1                         Guam             US  13.4443  144.7937   
2     Northern Mariana Islands             US  15.0979  145.6739   
3                  Puerto Rico             US  18.2208  -66.5901   
4               Virgin Islands             US  18.3358  -64.8963   
                        ...            ...      ...       ...   
3248                Washington             US   0.0000    0.0000   
3249             West Virginia             US   0.0000    0.0000   
3250                 Wisconsin             US   0.0000    0.0000   
3251                   Wyoming             US   0.0000    0.0000   
3252            Grand Princess             US   0.0000    0.0000   
                       Combined_Key  1/22/20  1/23/20  1/24/20  1/25/20  \
0                American Samoa, US        0        0        0        0   
1                          Guam, US        0        0        0        0   
2      Northern Mariana Islands, US        0        0        0        0   
3                   Puerto Rico, US        0        0        0        0   
4                Virgin Islands, US        0        0        0        0   
                             ...      ...      ...      ...      ...   
3248     Unassigned, Washington, US        0        0        0        0   
3249  Unassigned, West Virginia, US        0        0        0        0   
3250      Unassigned, Wisconsin, US        0        0        0        0   
3251        Unassigned, Wyoming, US        0        0        0        0   
3252             Grand Princess, US        0        0        0        0   
      1/26/20  1/27/20  1/28/20  1/29/20  1/30/20  1/31/20  2/1/20  2/2/20  \
0           0        0        0        0        0        0       0       0   
1           0        0        0        0        0        0       0       0   
2           0        0        0        0        0        0       0       0   
3           0        0        0        0        0        0       0       0   
4           0        0        0        0        0        0       0       0   
       ...      ...      ...      ...      ...      ...     ...     ...   
3248        0        0        0        0        0        0       0       0   
3249        0        0        0        0        0        0       0       0   
3250        0        0        0        0        0        0       0       0   
3251        0        0        0        0        0        0       0       0   
3252        0        0        0        0        0        0       0       0   
      3/30/20  3/31/20  4/1/20  4/2/20  4/3/20  4/4/20  4/5/20  4/6/20  
0           0        0       0       0       0       0       0       0  
1          58       69      77      82      84      93     112     113  
2           0        2       6       6       6       6       6       6  
3         174      239     286     316     316     452     475     513  
4           0       30      30      30      37      40      42      43  
       ...      ...     ...     ...     ...     ...     ...     ...  
3248      274      274     303     344     501     483     533     648  
3249        0        0       0       0       0       0       0       0  
3250        0        0       0       0       0       0       0       0  
3251        0        0       0       0       0       0       0       0  
3252      103      103     103     103     103     103     103     103  
```

##### 全球死亡

接口: covid_19_csse_global_death

目标地址: https://github.com/CSSEGISandData/COVID-19

描述: 获取全球死亡数据所有历史数据, 如本地无法读取数据，请参考 **[答疑专栏]** 问题 12 修改本地 host 后获取

限量: 单次返回所有历史数据，每日更新

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | - | - | - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ------- |
| Province/State | str | Y | Province/State: China - province name; US/Canada/Australia/ - city name, state/province name; Others - name of the event (e.g., "Diamond Princess" cruise ship); other countries - blank. |
| Country/Region | str | Y | country/region name conforming to WHO (will be updated). |
| Lat and Long | float | Y | a coordinates reference for the user. |
| Date fields | float | Y |  M/DD/YYYY (UTC), the same data as MM-DD-YYYY.csv file. |
			
接口示例

```python
import mssdk as ms
covid_19_csse_global_death_df = ms.covid_19_csse_global_death()
print(covid_19_csse_global_death_df)
```

数据示例

```
           UID iso2 iso3  code3     FIPS      Admin2  \
0           16   AS  ASM     16     60.0         NaN   
1          316   GU  GUM    316     66.0         NaN   
2          580   MP  MNP    580     69.0         NaN   
3          630   PR  PRI    630     72.0         NaN   
4          850   VI  VIR    850     78.0         NaN   
        ...  ...  ...    ...      ...         ...   
3248  84090053   US  USA    840  90053.0  Unassigned   
3249  84090054   US  USA    840  90054.0  Unassigned   
3250  84090055   US  USA    840  90055.0  Unassigned   
3251  84090056   US  USA    840  90056.0  Unassigned   
3252  84099999   US  USA    840  99999.0         NaN   
                Province_State Country_Region      Lat     Long_  \
0               American Samoa             US -14.2710 -170.1320   
1                         Guam             US  13.4443  144.7937   
2     Northern Mariana Islands             US  15.0979  145.6739   
3                  Puerto Rico             US  18.2208  -66.5901   
4               Virgin Islands             US  18.3358  -64.8963   
                        ...            ...      ...       ...   
3248                Washington             US   0.0000    0.0000   
3249             West Virginia             US   0.0000    0.0000   
3250                 Wisconsin             US   0.0000    0.0000   
3251                   Wyoming             US   0.0000    0.0000   
3252            Grand Princess             US   0.0000    0.0000   
                       Combined_Key  1/22/20  1/23/20  1/24/20  1/25/20  \
0                American Samoa, US        0        0        0        0   
1                          Guam, US        0        0        0        0   
2      Northern Mariana Islands, US        0        0        0        0   
3                   Puerto Rico, US        0        0        0        0   
4                Virgin Islands, US        0        0        0        0   
                             ...      ...      ...      ...      ...   
3248     Unassigned, Washington, US        0        0        0        0   
3249  Unassigned, West Virginia, US        0        0        0        0   
3250      Unassigned, Wisconsin, US        0        0        0        0   
3251        Unassigned, Wyoming, US        0        0        0        0   
3252             Grand Princess, US        0        0        0        0   
      1/26/20  1/27/20  1/28/20  1/29/20  1/30/20  1/31/20  2/1/20  2/2/20  \
0           0        0        0        0        0        0       0       0   
1           0        0        0        0        0        0       0       0   
2           0        0        0        0        0        0       0       0   
3           0        0        0        0        0        0       0       0   
4           0        0        0        0        0        0       0       0   
       ...      ...      ...      ...      ...      ...     ...     ...   
3248        0        0        0        0        0        0       0       0   
3249        0        0        0        0        0        0       0       0   
3250        0        0        0        0        0        0       0       0   
3251        0        0        0        0        0        0       0       0   
3252        0        0        0        0        0        0       0       0   
      3/30/20  3/31/20  4/1/20  4/2/20  4/3/20  4/4/20  4/5/20  4/6/20  
0           0        0       0       0       0       0       0       0  
1          58       69      77      82      84      93     112     113  
2           0        2       6       6       6       6       6       6  
3         174      239     286     316     316     452     475     513  
4           0       30      30      30      37      40      42      43  
       ...      ...     ...     ...     ...     ...     ...     ...  
3248      274      274     303     344     501     483     533     648  
3249        0        0       0       0       0       0       0       0  
3250        0        0       0       0       0       0       0       0  
3251        0        0       0       0       0       0       0       0  
3252      103      103     103     103     103     103     103     103  
```

##### 全球治愈

接口: covid_19_csse_global_recovered

目标地址: https://github.com/CSSEGISandData/COVID-19

描述: 获取全球治愈数据所有历史数据, 如本地无法读取数据，请参考 **[答疑专栏]** 问题 12 修改本地 host 后获取

限量: 单次返回所有历史数据，每日更新

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | - | - | - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ------- |
| Province/State | str | Y | Province/State: China - province name; US/Canada/Australia/ - city name, state/province name; Others - name of the event (e.g., "Diamond Princess" cruise ship); other countries - blank. |
| Country/Region | str | Y | country/region name conforming to WHO (will be updated). |
| Lat and Long | float | Y | a coordinates reference for the user. |
| Date fields | float | Y |  M/DD/YYYY (UTC), the same data as MM-DD-YYYY.csv file. |
			
接口示例

```python
import mssdk as ms
covid_19_csse_global_recovered_df = ms.covid_19_csse_global_recovered()
print(covid_19_csse_global_recovered_df)
```

数据示例

```
           UID iso2 iso3  code3     FIPS      Admin2  \
0           16   AS  ASM     16     60.0         NaN   
1          316   GU  GUM    316     66.0         NaN   
2          580   MP  MNP    580     69.0         NaN   
3          630   PR  PRI    630     72.0         NaN   
4          850   VI  VIR    850     78.0         NaN   
        ...  ...  ...    ...      ...         ...   
3248  84090053   US  USA    840  90053.0  Unassigned   
3249  84090054   US  USA    840  90054.0  Unassigned   
3250  84090055   US  USA    840  90055.0  Unassigned   
3251  84090056   US  USA    840  90056.0  Unassigned   
3252  84099999   US  USA    840  99999.0         NaN   
                Province_State Country_Region      Lat     Long_  \
0               American Samoa             US -14.2710 -170.1320   
1                         Guam             US  13.4443  144.7937   
2     Northern Mariana Islands             US  15.0979  145.6739   
3                  Puerto Rico             US  18.2208  -66.5901   
4               Virgin Islands             US  18.3358  -64.8963   
                        ...            ...      ...       ...   
3248                Washington             US   0.0000    0.0000   
3249             West Virginia             US   0.0000    0.0000   
3250                 Wisconsin             US   0.0000    0.0000   
3251                   Wyoming             US   0.0000    0.0000   
3252            Grand Princess             US   0.0000    0.0000   
                       Combined_Key  1/22/20  1/23/20  1/24/20  1/25/20  \
0                American Samoa, US        0        0        0        0   
1                          Guam, US        0        0        0        0   
2      Northern Mariana Islands, US        0        0        0        0   
3                   Puerto Rico, US        0        0        0        0   
4                Virgin Islands, US        0        0        0        0   
                             ...      ...      ...      ...      ...   
3248     Unassigned, Washington, US        0        0        0        0   
3249  Unassigned, West Virginia, US        0        0        0        0   
3250      Unassigned, Wisconsin, US        0        0        0        0   
3251        Unassigned, Wyoming, US        0        0        0        0   
3252             Grand Princess, US        0        0        0        0   
      1/26/20  1/27/20  1/28/20  1/29/20  1/30/20  1/31/20  2/1/20  2/2/20  \
0           0        0        0        0        0        0       0       0   
1           0        0        0        0        0        0       0       0   
2           0        0        0        0        0        0       0       0   
3           0        0        0        0        0        0       0       0   
4           0        0        0        0        0        0       0       0   
       ...      ...      ...      ...      ...      ...     ...     ...   
3248        0        0        0        0        0        0       0       0   
3249        0        0        0        0        0        0       0       0   
3250        0        0        0        0        0        0       0       0   
3251        0        0        0        0        0        0       0       0   
3252        0        0        0        0        0        0       0       0   
      3/30/20  3/31/20  4/1/20  4/2/20  4/3/20  4/4/20  4/5/20  4/6/20  
0           0        0       0       0       0       0       0       0  
1          58       69      77      82      84      93     112     113  
2           0        2       6       6       6       6       6       6  
3         174      239     286     316     316     452     475     513  
4           0       30      30      30      37      40      42      43  
       ...      ...     ...     ...     ...     ...     ...     ...  
3248      274      274     303     344     501     483     533     648  
3249        0        0       0       0       0       0       0       0  
3250        0        0       0       0       0       0       0       0  
3251        0        0       0       0       0       0       0       0  
3252      103      103     103     103     103     103     103     103  
```
