## [mssdk](https://github.com/akfamily/mssdk) 私募基金数据

### 中国证券投资基金业协会

#### 会员信息

##### 会员机构综合查询

接口: amac_member_info

目标地址: http://gs.amac.org.cn/amac-infodisc/res/pof/member/index.html

描述: 获取中国证券投资基金业协会-信息公示-会员信息-会员机构综合查询

限量: 单次返回当前时刻所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| - | -  | -    |   - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 机构（会员）名称      | str   | Y        | -  |
| 会员代表      | str   | Y        | -   |
| 会员类型      | str   | Y        | -   |
| 会员编号      | str   | Y        | -   |
| 入会时间      | datetime.date   | Y        | -   |
| 机构类型      | str   | Y        | -   |
| 是否星标      | str   | Y        | -   |

接口示例

```python
import mssdk as ms
amac_member_info_df = ms.amac_member_info()
print(amac_member_info_df)
```

数据示例

```
                  机构（会员）名称 会员代表  会员类型          会员编号       入会时间      机构类型 是否星标
0               广发基金管理有限公司  林传辉  普通会员  PT0100000030 2012-06-06  公募基金管理公司    Y
1               华宝基金管理有限公司  黄小薏  普通会员  PT0100000022 2012-06-06  公募基金管理公司    N
2               融通基金管理有限公司   张帆  普通会员  PT0100000013 2012-06-06  公募基金管理公司    N
3             农银汇理基金管理有限公司  许金超  普通会员  PT0100000059 2012-06-06  公募基金管理公司    N
4               博时基金管理有限公司  江向阳  普通会员  PT0100000005 2012-06-06  公募基金管理公司    Y
                    ...  ...   ...           ...        ...       ...  ...
4069         广州粤民投资产管理有限公司   肖坚  观察会员  GC1900031734 2019-12-05   私募基金管理人    N
4070  农银金穗（苏州工业园区）投资管理有限公司  蒋俊杰  观察会员  GC1900031735 2019-12-05   私募基金管理人    N
4071          北京风雪投资管理有限公司   陈勇  观察会员  GC1900031736 2019-12-05   私募基金管理人    N
4072      明世伙伴基金管理（珠海）有限公司  郑晓秋  观察会员  GC1900031737 2019-12-06   私募基金管理人    N
4073            工银资本管理有限公司  陆胜东  观察会员  GC1900031738 2019-12-10   私募基金管理人    N
```

#### 从业人员信息

##### 基金从业人员资格注册信息

接口: amac_person_fund_org_list

目标地址: http://gs.amac.org.cn/amac-infodisc/res/pof/person/personOrgList.html

描述: 获取中国证券投资基金业协会-信息公示-从业人员信息-基金从业人员资格注册信息

限量: 单次返回当前时刻所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| - | -  | -    |   - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 机构名称      | str   | Y        | -  |
| 员工人数      | str   | Y        | -   |
| 基金从业资格      | str   | Y        | -   |
| 基金销售业务资格      | str   | Y        | -   |
| 基金经理      | datetime.date   | Y        | -   |
| 投资经理      | str   | Y        | -   |

接口示例

```python
import mssdk as ms
amac_person_fund_org_list_df = ms.amac_person_fund_org_list()
print(amac_person_fund_org_list_df)
```

数据示例

```
                                  机构名称  员工人数  基金从业资格  基金销售业务资格  基金经理  投资经理
0                    阿尔法未来（北京）投资管理有限公司    10      10         0     0     0
1                   艾邦股权投资基金管理（上海）有限公司     3       3         0     0     0
2                          爱凡哲投资管理有限公司     7       7         0     0     0
3                   艾格（天津）股权投资基金管理有限公司    13      12         0     0     0
4                       爱晖资产管理(上海)有限公司    12      11         0     0     0
                                ...   ...     ...       ...   ...   ...
23768                  尊方德投资管理（上海）有限公司     6       3         0     0     0
23769                     遵义启迪投资管理有限公司     3       3         0     0     0
23770                  遵义市鑫财基金投资管理有限公司     5       5         0     0     0
23771  Deutsche Bank (China) Co., Ltd.     3       3         0     0     0
23772       The Northern Trust Company     1       1         0     0     0
```

##### 债券投资交易相关人员公示

接口: amac_person_bond_org_list

目标地址: http://gs.amac.org.cn/amac-infodisc/res/pof/person/personOrgList.html

描述: 获取中国证券投资基金业协会-信息公示-从业人员信息-债券投资交易相关人员公示

限量: 单次返回当前时刻所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| - | -  | -    |   - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 序号      | str   | Y        | -  |
| 机构类型      | str   | Y        | -   |
| 机构名称      | str   | Y        | -   |
| 公示网址      | str   | Y        | -   |

接口示例

```python
import mssdk as ms
amac_person_bond_org_list_df = ms.amac_person_bond_org_list()
print(amac_person_bond_org_list_df)
```

数据示例

```
      序号  ...                                               公示网址
0      1  ...  http://www.jxfunds.com.cn/front/common_100362....
1      2  ...  http://www.pyamc.com/upload/user/1/2021-4-21/1...
2      3  ...  http://www.cib-fund.com.cn/contents/2019/9/24-...
3      4  ...  http://www.chinaamc.com/guanyu/gonggao/index.s...
4      5  ...       http://www.jsfund.cn/AboutHarvest/zqry.shtml
..   ...  ...                                                ...
267  268  ...                                     www.tfzqam.com
268  269  ...  https://www.tebon.com.cn/main/a/20201210/18545...
269  270  ...  http://fund.piccamc.com/pc/newsInfo/articleInf...
270  271  ...  https://www.tkfunds.com.cn/aboutus/bondstaff/i...
271  272  ...         http://www.ebscn.com/gdzb/views/index.html
```

#### 私募基金管理人公示

##### 私募基金管理人综合查询

接口: amac_manager_info

目标地址: http://gs.amac.org.cn/amac-infodisc/res/pof/manager/index.html

描述: 获取中国证券投资基金业协会-信息公示-私募基金管理人公示-私募基金管理人综合查询

限量: 单次返回当前时刻所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| - | -  | -    |   - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 私募基金管理人名称      | str   | Y        | -  |
| 法定代表人/执行事务合伙人(委派代表)姓名      | float   | Y        | -   |
| 机构类型      | float   | Y        | -   |
| 注册地      | float   | Y        | -   |
| 登记编号      | float   | Y        | -   |
| 成立时间      | float   | Y        | -   |
| 登记时间      | float   | Y        | -   |

接口示例

```python
import mssdk as ms
amac_manager_info_df = ms.amac_manager_info()
print(amac_manager_info_df)
```

数据示例

```
                  私募基金管理人名称 法定代表人/执行事务合伙人(委派代表)姓名  ...        成立时间        登记时间
0          平安道远投资管理（上海）有限公司                   杨晓华  ...  2011-03-15  2014-03-17
1            上海重阳投资管理股份有限公司                   裘国根  ...  2009-06-26  2014-03-17
2              上海景林资产管理有限公司                   高云程  ...  2012-06-06  2014-03-17
3            富舜资产管理（上海）有限公司                    周楠  ...  2012-02-10  2014-03-17
4                深圳民森投资有限公司                    蔡明  ...  2007-04-05  2014-03-17
                     ...                   ...  ...         ...         ...
24559        广州永泓股权投资管理有限公司                   黄铁勇  ...  2018-06-20  2019-12-10
24560     深圳市前海科控港深创业投资有限公司                    陈玮  ...  2019-04-24  2019-12-10
24561          珠海正方投资管理有限公司                   丁晓明  ...  2018-09-07  2019-12-10
24562       国电投清洁能源基金管理有限公司                   王锐兵  ...  2019-05-17  2019-12-10
24563  深圳元浩股权投资管理合伙企业（有限合伙）                    陈杰  ...  2019-06-17  2019-12-10
```

##### 私募基金管理人分类公示

接口: amac_manager_classify_info

目标地址: http://gs.amac.org.cn/amac-infodisc/res/pof/manager/managerList.html

描述: 获取中国证券投资基金业协会-信息公示-私募基金管理人公示-私募基金管理人分类公示

限量: 单次返回当前时刻所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| - | -  | -    |   - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 私募基金管理人名称      | str   | Y        | -  |
| 法定代表人/执行事务合伙人(委派代表)姓名      | float   | Y        | -   |
| 机构类型      | float   | Y        | -   |
| 注册地      | float   | Y        | -   |
| 登记编号      | float   | Y        | -   |
| 成立时间      | float   | Y        | -   |
| 登记时间      | float   | Y        | -   |

接口示例

```python
import mssdk as ms
amac_manager_classify_info_df = ms.amac_manager_classify_info()
print(amac_manager_classify_info_df)
```

数据示例

```
                    私募基金管理人名称 法定代表人/执行事务合伙人(委派代表)姓名            机构类型  注册地  \
0            平安道远投资管理（上海）有限公司                   杨晓华     私募证券投资基金管理人  上海市   
1              上海重阳投资管理股份有限公司                   裘国根     私募证券投资基金管理人  上海市   
2                上海景林资产管理有限公司                   高云程     私募证券投资基金管理人  上海市   
3              富舜资产管理（上海）有限公司                    周楠     私募证券投资基金管理人  上海市   
4                  深圳民森投资有限公司                    蔡明     私募证券投资基金管理人  广东省   
                       ...                   ...             ...  ...   
24456           宁波凯晨易资产管理有限公司                   叶若舟  私募股权、创业投资基金管理人  浙江省   
24457        亚联民加（西安）股权投资有限公司                    舒畅  私募股权、创业投资基金管理人  陕西省   
24458        民天未来投资管理（北京）有限公司                   代文化  私募股权、创业投资基金管理人  北京市   
24459            中核梁溪投资管理有限公司                   姜植国  私募股权、创业投资基金管理人  江苏省   
24460  德宁智成（嘉兴）股权投资合伙企业（有限合伙）                   吴代林  私募股权、创业投资基金管理人  浙江省   
           登记编号       成立时间       登记时间  
0      P1000182 2011-03-15 2014-03-17  
1      P1000265 2009-06-26 2014-03-17  
2      P1000267 2012-06-06 2014-03-17  
3      P1000268 2012-02-10 2014-03-17  
4      P1000269 2007-04-05 2014-03-17  
         ...        ...        ...  
24456  P1070601 2016-04-28 2020-01-14  
24457  P1070602 2017-11-20 2020-01-14  
24458  P1070603 2016-01-05 2020-01-14  
24459  P1070604 2017-09-21 2020-01-14  
24460  P1070605 2019-08-06 2020-01-14  
```

##### 证券公司私募基金子公司管理人信息公示

接口: amac_member_sub_info

目标地址: http://gs.amac.org.cn/amac-infodisc/res/pof/member/index.html?primaryInvestType=private

描述: 获取中国证券投资基金业协会-信息公示-私募基金管理人公示-证券公司私募基金子公司管理人信息公示

限量: 单次返回当前时刻所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| - | -  | -    |   - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 机构（会员）名称      | str   | Y        | -  |
| 会员代表      | float   | Y        | -   |
| 会员类型      | float   | Y        | -   |
| 会员编号      | float   | Y        | -   |
| 入会时间      | float   | Y        | -   |
| 公司类型      | float   | Y        | -   |

接口示例

```python
import mssdk as ms
amac_member_sub_info_df = ms.amac_member_sub_info()
print(amac_member_sub_info_df)
```

数据示例

```
                 机构（会员）名称  会员代表  会员类型          会员编号       入会时间         公司类型
0            中信并购基金管理有限公司  None  普通会员  PT1900001346 2013-05-08  证券公司私募基金子公司
1        中投长春创业投资基金管理有限公司   孙景营  观察会员  GC1900000054 2015-03-03  证券公司私募基金子公司
2            中信金石基金管理有限公司   张岩子  普通会员  PT1900000261 2015-03-03  证券公司私募基金子公司
3      海通吉禾股权投资基金管理有限责任公司   黄金富  观察会员  GC1900000485 2015-03-03  证券公司私募基金子公司
4          银河粤科私募基金管理有限公司  None  观察会员  GC1900001774 2015-03-03  证券公司私募基金子公司
..                    ...   ...   ...           ...        ...          ...
132      国都创禾投资管理（苏州）有限公司    华伟  观察会员  GC2600031671 2019-05-29  证券公司私募基金子公司
133  甘肃华龙养老服务产业发展基金管理有限公司   李树清  观察会员  GC2600031682 2019-06-20  证券公司私募基金子公司
134      秭归和高股权投资基金管理有限公司    潘峰  观察会员  GC2600031702 2019-08-01  证券公司私募基金子公司
135   丹江口和生高投股权投资基金管理有限公司    潘峰  观察会员  GC2600031703 2019-08-22  证券公司私募基金子公司
136     景德镇北汽东证产业投资管理有限公司   史志山  观察会员  GC2600031719 2019-11-14  证券公司私募基金子公司
```

#### 基金产品

##### 私募基金管理人基金产品

接口: amac_fund_info

目标地址: http://gs.amac.org.cn/amac-infodisc/res/pof/fund/index.html

描述: 中国证券投资基金业协会-信息公示-基金产品公示-私募基金管理人基金产品

限量: 单次返回指定页码之间的所有历史数据, 其中与每页 100 条的目标网站对应; 默认返回所有数据

输入参数

| 名称   | 类型 |  描述 |
| -------- | ---- |  --- |
| start_page | str  |    start_page='1'; 开始页码 |
| end_page | str  |    end_page="2000"; 结束页码 |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 基金名称      | str   |  -  |
| 私募基金管理人名称      | float   |  -   |
| 私募基金管理人类型      | float   |  -   |
| 运行状态      | float   | -   |
| 备案时间      | float   |  -   |
| 建立时间      | float   |  -   |
| 托管人名称      | float   |  -   |

接口示例

```python
import mssdk as ms
amac_fund_info_df = ms.amac_fund_info()
print(amac_fund_info_df)
```

数据示例

```
                            基金名称         私募基金管理人名称 私募基金管理人类型  运行状态       备案时间  \
0                     嘉兴全意投资合伙企业  子川天丰（天津）能源投资有限公司      自我管理  正在运作 2013-05-26   
1         万家共赢歌斐诺宝精选组合1号专项资产管理计划  歌斐诺宝（上海）资产管理有限公司      顾问管理  延期清算 2014-03-17   
2       万家共赢歌斐诺宝精选组合3号三期专项资产管理计划  歌斐诺宝（上海）资产管理有限公司      顾问管理  延期清算 2014-03-17   
3             指财通基金-耀之债期1号资产管理计划  上海耀之资产管理中心（有限合伙）      顾问管理  延期清算 2014-03-17   
4               万家正行季季加利专项资产管理计划  歌斐诺宝（上海）资产管理有限公司      顾问管理  延期清算 2014-03-17   
                          ...               ...       ...   ...        ...   
118634            齐兴希合天明债券私募投资基金      深圳齐兴资产管理有限公司      受托管理  正在运作 2019-12-13   
118635            秦陕辰星1号证券投资私募基金      上海秦陕资产管理有限公司      受托管理  正在运作 2019-12-13   
118636           海之源增益2号私募证券投资基金     深圳海之源投资管理有限公司      受托管理  正在运作 2019-12-13   
118637      常熟创富启峰股权投资合伙企业（有限合伙）    苏州吉富苏化投资管理有限公司      受托管理  正在运作 2019-12-13   
118638            正班海州2号私募证券投资基金      杭州正班资产管理有限公司      受托管理  正在运作 2019-12-13   
             建立时间         托管人名称  
0      2014-03-27                
1      2013-11-15    中信银行股份有限公司  
2      2014-01-13    宁波银行股份有限公司  
3      2013-11-06  中国光大银行股份有限公司  
4      2013-03-11    兴业银行股份有限公司  
           ...           ...  
118634 2019-12-10    兴业证券股份有限公司  
118635 2019-12-09    招商银行股份有限公司  
118636 2019-12-10    广发证券股份有限公司  
118637 2019-12-02    华夏银行股份有限公司  
118638 2019-12-06    兴业证券股份有限公司  
```

##### 证券公司集合资管产品公示

接口: amac_securities_info

目标地址: http://gs.amac.org.cn/amac-infodisc/res/pof/securities/index.html

描述: 获取中国证券投资基金业协会-信息公示-基金产品公示-证券公司集合资管产品公示

限量: 单次返回当前时刻所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| - | -  | -    |   - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 产品名称      | str   | Y        | -  |
| 产品编码      | float   | Y        | -   |
| 管理人名称      | float   | Y        | -   |
| 成立日期      | float   | Y        | -   |
| 到期时间      | float   | Y        | -   |
| 投资类型      | float   | Y        | -   |
| 是否分级      | float   | Y        | -   |
| 托管人名称      | float   | Y        | -   |
| 备案日期      | float   | Y        | -   |
| 运作状态      | float   | Y        | -   |

接口示例

```python
import mssdk as ms
amac_securities_info_df = ms.amac_securities_info()
print(amac_securities_info_df)
```

数据示例

```
                      产品名称    产品编码             管理人名称        成立日期        到期时间  \
0     华福证券-兴福安泰20号集合资产管理计划  SJM079        华福证券有限责任公司  2019-12-13  2020-12-12   
1       五矿证券五丰稳泰1号集合资产管理计划  SJL885          五矿证券有限公司  2019-12-13  2024-12-13   
2         中泰星鸿新兴成长集合资产管理计划  SJL162  中泰证券（上海）资产管理有限公司  2019-12-13  2020-12-14   
3      国海证券扬帆3023号集合资产管理计划  SJL226        国海证券股份有限公司  2019-12-12  2020-10-11   
4        华创证券创金宝2号集合资产管理计划  SJL867        华创证券有限责任公司  2019-12-12  2029-12-12   
                    ...     ...               ...         ...         ...   
9756  申银万国宝鼎一期限额特定集合资产管理计划  S00792        申万宏源证券有限公司  2010-03-26  9999-12-31   
9757       东方红先锋2号集合资产管理计划  S00052    上海东方证券资产管理有限公司  2010-02-24  9999-12-31   
9758  光大阳光集结号混合型一期集合资产管理计划  S08647    上海光大证券资产管理有限公司  2010-01-28  2020-01-27   
9759          中金一号集合资产管理计划  S00773      中国国际金融股份有限公司  2010-01-13  9999-12-31   
9760       东方红先锋1号集合资产管理计划  S00844    上海东方证券资产管理有限公司  2010-01-07  9999-12-31   
       投资类型 是否分级           托管人名称        备案日期  运作状态  
0     固定收益类    否      兴业银行股份有限公司  2019-12-13  正在运作  
1     固定收益类    否      兴业银行股份有限公司  2019-12-13  正在运作  
2       混合类    否      交通银行股份有限公司  2019-12-13  正在运作  
3     固定收益类    否  上海浦东发展银行股份有限公司  2019-12-12  正在运作  
4     固定收益类    否  中国邮政储蓄银行股份有限公司  2019-12-13  正在运作  
     ...  ...             ...         ...   ...  
9756    权益类    否  上海浦东发展银行股份有限公司  2013-05-07  正在运作  
9757    混合类    否      交通银行股份有限公司  2013-05-07  正在运作  
9758    混合类    否    中国光大银行股份有限公司  2013-08-20  正在运作  
9759  固定收益类    否      中国银行股份有限公司  2013-07-01  提前清算  
9760    混合类    否    中国工商银行股份有限公司  2013-05-07  正在运作  
```

##### 证券公司直投基金

接口: amac_aoin_info

目标地址: http://gs.amac.org.cn/amac-infodisc/res/aoin/product/index.html

描述: 获取中国证券投资基金业协会-信息公示-基金产品公示-证券公司直投基金

限量: 单次返回当前时刻所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| - | -  | -    |   - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 产品编码      | str   | Y        | -  |
| 产品名称      | float   | Y        | -   |
| 直投子公司      | float   | Y        | -   |
| 管理机构      | float   | Y        | -   |
| 设立日期      | float   | Y        | -   |

接口示例

```python
import mssdk as ms
amac_aoin_info_df = ms.amac_aoin_info()
print(amac_aoin_info_df)
```

数据示例

```
       产品编码                            产品名称              直投子公司  \
0    S32187            吉林省现代农业和新兴产业投资基金有限公司         海通开元投资有限公司   
1    S32088               西安航天新能源产业基金投资有限公司         海通开元投资有限公司   
2    S32333                吉林昊融股权投资基金有限责任公司       东证融通投资管理有限公司   
3    S32087        中金佳泰（天津）股权投资基金合伙企业（有限合伙）       中金佳成投资管理有限公司   
4    S32410                    招商湘江产业投资有限公司    招商证券股份有限公司直投子公司   
..      ...                             ...                ...   
613  S32565               南宁桂耀城投资合伙企业（有限合伙）    华创证券有限责任公司直投子公司   
614  S32558              宁波东证继涵投资合伙企业（有限合伙）       东证融通投资管理有限公司   
615  S32518            宿迁市融城股权投资合伙企业 （有限合伙）  中信建投证券股份有限公司直投子公司   
616  S32528              新余润信海赋投资合伙企业（有限合伙）  中信建投证券股份有限公司直投子公司   
617  S32582  中信建投（深圳）战略新兴产业股权投资基金合伙企业（有限合伙）  中信建投证券股份有限公司直投子公司   
                     管理机构       设立日期  
0      海通吉禾股权投资基金管理有限责任公司 2010-12-04  
1            海通创新资本管理有限公司 2011-01-08  
2      吉林东证昊融股权投资基金管理有限公司 2011-03-03  
3    中金佳合（天津）股权投资基金管理有限公司 2011-04-02  
4          青岛招商致远投资管理有限公司 2011-06-30  
..                    ...        ...  
613        贵州兴黔财富资本管理有限公司 2017-11-27  
614          东证融通投资管理有限公司 2017-12-12  
615          中信建投资本管理有限公司 2017-12-22  
616          中信建投资本管理有限公司 2018-02-12  
617  深圳市润信新观象股权投资基金管理有限公司 2018-04-24  
```

##### 证券公司私募投资基金

接口: amac_fund_sub_info

目标地址: http://gs.amac.org.cn/amac-infodisc/res/pof/subfund/index.html

描述: 获取中国证券投资基金业协会-信息公示-基金产品公示-证券公司私募投资基金

限量: 单次返回当前时刻所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| - | -  | -    |   - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 产品编码      | str   | Y        | -  |
| 产品名称      | str   | Y        | -   |
| 私募基金管理人名称      | str   | Y        | -   |
| 托管人名称      | str   | Y        | -   |
| 成立日期      | datetime.date   | Y        | -   |
| 备案日期      | datetime.date   | Y        | -   |

接口示例

```python
import mssdk as ms
amac_fund_sub_info_df = ms.amac_fund_sub_info()
print(amac_fund_sub_info_df)
```

数据示例

```
       产品编码                        产品名称         私募基金管理人名称         托管人名称  \
0    S32058      中投长春国家光电信息创业投资基金（有限合伙）  中投长春创业投资基金管理有限公司    兴业银行股份有限公司   
1    SD6315      中信并购投资基金（深圳）合伙企业（有限合伙）      中信并购基金管理有限公司    中信银行股份有限公司   
2    SD1807      中投长春国家光电信息创业投资基金(有限合伙）  中投长春创业投资基金管理有限公司    兴业银行股份有限公司   
3    SD2445      无锡国联领翔中小企业成长投资中心（有限合伙）    国联通宝资本投资有限责任公司  中国农业银行股份有限公司   
4    SD2847        银河粤科（广东）产业投资基金（有限合伙）    银河粤科私募基金管理有限公司    兴业银行股份有限公司   
..      ...                         ...               ...           ...   
664  SJG068      如东巨石长发智能制造投资合伙企业（有限合伙）      南京巨石创业投资有限公司    江苏银行股份有限公司   
665  SJH885          芜湖信美纾困投资合伙企业（有限合伙）        信风投资管理有限公司    兴业银行股份有限公司   
666  SJF351  中金传化（宁波）产业股权投资基金合伙企业（有限合伙）        中金资本运营有限公司  中国工商银行股份有限公司   
667  SGZ959    南京红证利德振兴产业投资发展管理中心（有限合伙）      红证利德资本管理有限公司    兴业银行股份有限公司   
668  SJK065    厦门国贸海通鹭岛股权投资基金合伙企业（有限合伙）        海通开元投资有限公司    兴业银行股份有限公司   
          成立日期       备案日期  
0   2013-08-30 2013-10-23  
1   2012-11-15 2014-04-09  
2   2013-08-30 2014-04-21  
3   2013-12-31 2014-04-22  
4   2013-12-16 2014-04-29  
..         ...        ...  
664 2019-10-29 2019-12-09  
665 2019-11-05 2019-12-09  
666 2019-09-25 2019-12-10  
667 2019-08-19 2019-12-12  
668 2019-07-30 2019-12-13  
```

##### 基金公司及子公司集合资管产品公示

接口: amac_fund_account_info

目标地址: http://gs.amac.org.cn/amac-infodisc/res/fund/account/index.html

描述: 获取中国证券投资基金业协会-信息公示-基金产品公示-基金公司及子公司集合资管产品公示

限量: 单次返回当前时刻所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| - | -  | -    |   - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 成立日期      | str   | Y        | -  |
| 产品编码      | str   | Y        | -   |
| 产品名称      | str   | Y        | -   |
| 管理人名称      | str   | Y        | -   |

接口示例

```python
import mssdk as ms
amac_fund_account_info_df = ms.amac_fund_account_info()
print(amac_fund_account_info_df)
```

数据示例

```
            成立日期    产品编码                   产品名称           管理人名称
0     2019-12-13  SJM140    交银施罗德资管卓远1号集合资产管理计划   交银施罗德资产管理有限公司
1     2019-12-13  SJL912     嘉实基金添利专享7号集合资产管理计划      嘉实基金管理有限公司
2     2019-12-12  SJL625      中银基金-民生增利集合资产管理计划      中银基金管理有限公司
3     2019-12-12  SJL888     嘉实资本稳健202号集合资产管理计划      嘉实资本管理有限公司
4     2019-12-12  SJL944    交银施罗德资管沁享4号集合资产管理计划   交银施罗德资产管理有限公司
          ...     ...                    ...             ...
30723        NaT  SA6866     民生加银资管中城烁淇专项资产管理计划    民生加银资产管理有限公司
30724        NaT  S93786        千石资本-天演5期资产管理计划  北京千石创富资本管理有限公司
30725        NaT  ST3713  汇添富资本-添添富理财7天专项资产管理计划     汇添富资本管理有限公司
30726        NaT  S88308   金元惠理江阴首府花园1号专项资产管理计划  上海金元百利资产管理有限公司
30727        NaT  S92026    中银资产-信利系列5号专项资产管理计划      中银资产管理有限公司
```

##### 资产支持专项计划

接口: amac_fund_abs

目标地址: https://gs.amac.org.cn/amac-infodisc/res/fund/abs/index.html

描述: 中国证券投资基金业协会-信息公示-产品公示-资产支持专项计划

限量: 单次返回当前时刻所有历史数据

输入参数

| 名称   | 类型 |  描述 |
| -------- | ---- |  --- |
| - | -  |   - |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- | ---------------- |
| 编号      | int64   |  -  |
| 备案编号      | object   |  -   |
| 专项计划全称      | object   | -   |
| 管理人      | object   |  -   |
| 托管人      | object   |  -   |
| 成立日期      | object   |  -   |
| 预期到期时间      | object   | -   |
| 备案通过时间      | object   |  -   |

接口示例

```python
import mssdk as ms
amac_fund_abs_df = ms.amac_fund_abs()
print(amac_fund_abs_df)
```

数据示例

```
        编号    备案编号  ...      预期到期时间      备案通过时间
0        1  S27310  ...  2020-07-22  2015-01-01
1        2  SH5850  ...  2019-12-12  2015-01-02
2        3  SH5773  ...  2017-12-20  2015-01-03
3        4  S25723  ...  2015-09-28  2015-01-22
4        5  S25662  ...  2021-01-24  2015-01-22
    ...     ...  ...         ...         ...
4680  4681    None  ...  2026-01-19  2021-04-20
4681  4682    None  ...  2024-08-25  2021-04-20
4682  4683    None  ...  2022-04-11  2021-04-20
4683  4684    None  ...  2023-04-18  2021-04-20
4684  4685    None  ...  2024-01-30  2021-04-20
```

##### 期货公司集合资管产品公示

接口: amac_futures_info

目标地址: http://gs.amac.org.cn/amac-infodisc/res/pof/futures/index.html

描述: 获取中国证券投资基金业协会-信息公示-基金产品公示-期货公司集合资管产品公示

限量: 单次返回当前时刻所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| - | -  | -    |   - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 产品名称      | str   | Y        | -  |
| 产品编码      | str   | Y        | -   |
| 管理人名称      | str   | Y        | -   |
| 托管人名称      | str   | Y        | -   |
| 成立日期      | str   | Y        | -   |
| 投资类型      | str   | Y        | -   |
| 是否分级      | str   | Y        | -   |
| 备案日期      | str   | Y        | -   |
| 到期日      | str   | Y        | -   |
| 运作状态      | str   | Y        | -   |

接口示例

```python
import mssdk as ms
amac_futures_info_df = ms.amac_futures_info()
print(amac_futures_info_df)
```

数据示例

```
                              产品名称    产品编码         管理人名称         托管人名称  \
0               上海中期套利对冲2号集合资产管理计划  SJH208  上海中期期货股份有限公司    广发证券股份有限公司   
1                浙商期货南太湖9号集合资产管理计划  SJJ660      浙商期货有限公司    招商证券股份有限公司   
2           瑞达期货-瑞智无忧共赢10号集合资产管理计划  SJF946    瑞达期货股份有限公司    兴业证券股份有限公司   
3           建信期货-期享福旺FOF6号集合资产管理计划  SJH129    建信期货有限责任公司  中国建设银行股份有限公司   
4     国泰君安期货君合东家京选家电行业增强指数集合资产管理计划  SJJ905    国泰君安期货有限公司    海通证券股份有限公司   
                            ...     ...           ...           ...   
7399                 国海良时-君平资产管理计划  S24010    国海良时期货有限公司    国信证券股份有限公司   
7400                浙商期货春晓1号资产管理计划  S24005      浙商期货有限公司    国信证券股份有限公司   
7401               浙商多策略精选2号资产管理计划  S24001      浙商期货有限公司    国信证券股份有限公司   
7402                新湖资管稳健1号资产管理计划  S24002      新湖期货有限公司    国信证券股份有限公司   
7403               美尔雅-北极星1号资产管理计划  S30147     美尔雅期货有限公司    国信证券股份有限公司   
            成立日期       投资类型 是否分级        备案日期         到期日  运作状态  
0     2019-12-13  商品及金融衍生品类    否  2019-12-13  2029-12-12  正在运作  
1     2019-12-12  商品及金融衍生品类    否  2019-12-13  2022-12-12  正在运作  
2     2019-12-11  商品及金融衍生品类    否  2019-12-11  2029-12-10  正在运作  
3     2019-12-10      固定收益类    否  2019-12-12  2029-12-10  正在运作  
4     2019-12-04        权益类    否  2019-12-05  2024-12-03  正在运作  
          ...        ...  ...         ...         ...   ...  
7399  2015-01-08        权益类    是  2015-06-11  2016-01-07  正常清算  
7400  2015-01-07        混合类    是  2015-05-21  2016-01-06  正常清算  
7401  2014-12-25        混合类    是  2015-05-12  2015-12-24  正常清算  
7402  2014-12-24        混合类    否  2015-06-01  2034-12-23  正在运作  
7403  2014-04-21        权益类    是  2015-06-04  2016-04-20  正常清算  
```

#### 诚信信息

##### 已注销私募基金管理人名单

接口: amac_manager_cancelled_info

目标地址: http://gs.amac.org.cn/amac-infodisc/res/cancelled/manager/index.html

描述: 获取中国证券投资基金业协会-信息公示-诚信信息-已注销私募基金管理人名单

限量: 单次返回当前时刻所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| - | -  | -    |   - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 管理人名称      | str   | Y        | -  |
| 统一社会信用代码      | str   | Y        | -   |
| 登记时间      | str   | Y        | -   |
| 注销时间      | str   | Y        | -   |
| 注销类型      | str   | Y        | -   |

接口示例

```python
import mssdk as ms
amac_manager_cancelled_info_df = ms.amac_manager_cancelled_info()
print(amac_manager_cancelled_info_df)
```

数据示例

```
                  管理人名称            统一社会信用代码           登记时间           注销时间  \
0            湖南海盟投资有限公司          68501913-3  1401033600000  1428336000000   
1      广元友利股权投资基金管理有限公司          07144608-5  1416931200000  1428336000000   
2      元泰（北京）投资基金管理有限公司          58910739-5  1401811200000  1428336000000   
3        上海清科凯盛投资管理有限公司          59312920-4  1398182400000  1428336000000   
4            贵州杭建投资有限公司          58410543-8  1420560000000  1428336000000   
                 ...                 ...            ...            ...   
14736   天津市世纪汇金投资发展有限公司          66307881-0  1431014400000  1578844800000   
14737   深圳市联合财富投资管理有限公司          05279153-7  1447776000000  1578844800000   
14738      深圳弘润资产管理有限公司  91440300MA5D96W4X0  1508860800000  1578844800000   
14739      上海筑用资产管理有限公司  9131011534227129XG  1528732800000  1578931200000   
14740      上海相卫资产管理有限公司  91310115763311974L  1469059200000  1579046400000   
       注销类型  
0       100  
1       100  
2       100  
3       100  
4       100  
     ...  
14736   100  
14737   100  
14738   100  
14739   100  
14740   100  
```
