## [mssdk](https://github.com/akfamily/mssdk) 公募基金数据

### 基金基本信息

接口: fund_em_fund_name

目标地址: http://fund.eastmoney.com/fund.html

描述: 东方财富网-天天基金网-基金数据-所有基金的基本信息数据 

限量: 单次返回当前时刻所有历史数据

输入参数

| 名称   | 类型 |  描述 |
| -------- | ---- |  --- |
| - | -  |    - |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 基金代码      | object   |  -  |
| 拼音缩写      | object   |  -   |
| 基金简称      | object   |  -   |
| 基金类型      | object   |  -   |
| 拼音全称      | object   |  -   |

接口示例

```python
import mssdk as ms
fund_em_fund_name_df = ms.fund_em_fund_name()
print(fund_em_fund_name_df)
```

数据示例

```
       基金代码      拼音缩写  ...  基金类型                              拼音全称
0      000001        HXCZHH  ...   混合型                  HUAXIACHENGZHANGHUNHE
1      000002        HXCZHH  ...   混合型                  HUAXIACHENGZHANGHUNHE
2      000003      ZHKZZZQA  ...   债券型           ZHONGHAIKEZHUANZHAIZHAIQUANA
3      000004      ZHKZZZQC  ...   债券型           ZHONGHAIKEZHUANZHAIZHAIQUANC
4      000005    JSZQXYDQZQ  ...  定开债券   JIASHIZENGQIANGXINYONGDINGQIZHAIQUAN
       ...           ...  ...   ...                                    ...
10223  952035     GTJAJDCHH  ...   混合型             GUOTAIJUNANJUNDECHENGHUNHE
10224  952099    GTJAJDXHHC  ...   混合型              GUOTAIJUNANJUNDEXINHUNHEC
10225  959991  XZJQLLXYSHHA  ...   混合型  XINGZHENGJINQILINLINGXIANYOUSHIHUNHEA
10226  959993  XZJQLLXYSHHC  ...   混合型  XINGZHENGJINQILINLINGXIANYOUSHIHUNHEC
10227  980003   TPYLGYGDCYZ  ...   债券型   TAIPINGYANGLIUGEYUEGUNDONGCHIYOUZHAI
```

### 基金净值

#### 开放式基金-实时数据

接口: fund_em_open_fund_daily

目标地址: http://fund.eastmoney.com/fund.html#os_0;isall_0;ft_;pt_1

描述: 东方财富网-天天基金网-基金数据, 此接口在每个交易日 **16:00-23:00** 更新当日的最新开放式基金净值数据

限量: 单次返回当前时刻所有历史数据

输入参数

| 名称   | 类型 |  描述 |
| -------- | ---- |  --- |
| - | -  |    - |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- | ---------------- |
| 基金代码      | str   |  -  |
| 基金简称      | str   |  -   |
| 单位净值      | float   |  随时间变动   |
| 累计净值      | float   |  随时间变动   |
| 前交易日-单位净值      | float   |  随时间变动   |
| 前交易日-累计净值      | float   |  随时间变动   |
| 日增长值      | float   |  -   |
| 日增长率      | float   |  -   |
| 申购状态      | str   |  -   |
| 赎回状态      | str   | -   |
| 手续费      | str   |  注意单位: %   |

接口示例

```python
import mssdk as ms
fund_em_open_fund_daily_df = ms.fund_em_open_fund_daily()
print(fund_em_open_fund_daily_df)
```

数据示例

```
      基金代码             基金简称 2020-12-28-单位净值  ...  申购状态  赎回状态    手续费
0      010407        安信中债1-3年政策性金融债C          1.0906  ...  开放申购  开放赎回  0.00%
1      161725             招商中证白酒指数分级          1.3869  ...   限大额  开放赎回  0.10%
2      160632                  鹏华酒分级          1.0360  ...  开放申购  开放赎回  0.12%
3      004987             诺德新享灵活配置混合          2.2665  ...  开放申购  开放赎回  0.15%
4      008135               华宸未来价值先锋          1.4346  ...  开放申购  开放赎回  0.15%
       ...                    ...             ...  ...   ...   ...    ...
10005  009209       长信稳利一年持有期混合(FOF)                  ...  开放申购   封闭期  0.80%
10006  873002  广发资管全球精选一年持有期债券(QDII)                  ...   封闭期   封闭期       
10007  007401       浦银颐和稳健养老一年(FOF)A                  ...  开放申购  开放赎回  0.08%
10008  010672        鹏华创新未来18个月封闭混合B                  ...   封闭期  开放赎回       
10009  010650       易方达创新未来18个月封闭混合B                  ...   封闭期  开放赎回       
```

#### 开放式基金-历史数据

接口: fund_em_open_fund_info

目标地址: http://fund.eastmoney.com/pingzhongdata/710001.js

描述: 东方财富网-天天基金网-基金数据-具体基金信息

限量: 单次返回当前时刻所有历史数据, 在查询基金数据的时候注意基金前后端问题

输入参数

| 名称   | 类型 |  描述 |
| -------- | ---- |  --- |
| fund | str|    fund="710001"; 需要基金代码, 可以通过调用 **fund_em_open_fund_daily** 获取 |
| indicator | str  |    indicator="单位净值走势";  参见 **fund_em_open_fund_info** 参数一览表 |

fund_em_open_fund_info 参数一览表

|参数名称 |备注|
|---|---|
|单位净值走势     |   - |
|累计净值走势     |   - |
|累计收益率走势   |   - |
|同类排名走势     |   - |
|同类排名百分比   | - |
|分红送配详情     | - |
|拆分详情        | - |

输出参数-单位净值走势

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 净值日期      | object   |  -  |
| 单位净值      | float64   |  -   |
| 日增长率      | float64   |  注意单位: %   |

接口示例-单位净值走势

```python
import mssdk as ms
fund_em_info_df = ms.fund_em_open_fund_info(fund="710001", indicator="单位净值走势")
print(fund_em_info_df)
```

数据示例-单位净值走势

```
       净值日期    单位净值  日增长率
0     2011-09-21  1.0000     0
1     2011-09-23  1.0000     0
2     2011-09-30  1.0001  0.01
3     2011-10-14  1.0005  0.04
4     2011-10-21  1.0007  0.02
          ...     ...   ...
2216  2020-11-16  2.8517  1.01
2217  2020-11-17  2.8167 -1.23
2218  2020-11-18  2.8082  -0.3
2219  2020-11-19  2.8239  0.56
2220  2020-11-20  2.8493   0.9        
```

输出参数-累计净值走势

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 净值日期      | object   |  -        |
| 累计净值      | float64   |  -        |

接口示例-累计净值走势

```python
import mssdk as ms
fund_em_info_df = ms.fund_em_open_fund_info(fund="710001", indicator="累计净值走势")
print(fund_em_info_df)
```

数据示例-累计净值走势

```
       净值日期    累计净值
0     2011-09-21  1.0000
1     2011-09-23  1.0000
2     2011-09-30  1.0001
3     2011-10-14  1.0005
4     2011-10-21  1.0007
          ...     ...
2216  2020-11-16  2.8517
2217  2020-11-17  2.8167
2218  2020-11-18  2.8082
2219  2020-11-19  2.8239
2220  2020-11-20  2.8493    
```

输出参数-累计收益率走势

| 名称          | 类型 |  描述           |
| --------------- | ----- | ---------------- |
| 净值日期      | object   | -  |
| 累计收益率      | float64   |  注意单位: %   |

接口示例-累计收益率走势

```python
import mssdk as ms
fund_em_info_df = ms.fund_em_open_fund_info(fund="710001", indicator="累计收益率走势")
print(fund_em_info_df)
```

数据示例-累计收益率走势

```
       净值日期  累计收益率
0    2020-05-20   0.00
1    2020-05-21  -0.08
2    2020-05-22  -2.50
3    2020-05-25  -1.63
4    2020-05-26  -0.22
..          ...    ...
120  2020-11-16  16.44
121  2020-11-17  15.01
122  2020-11-18  14.67
123  2020-11-19  15.31
124  2020-11-20  16.35   
```

输出参数-同类排名走势

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 报告日期      | object   | -        |
| 同类型排名-每日近三月排名      | float64   |  -        |
| 总排名-每日近三月排名      | float64   | -       |

接口示例-同类排名走势

```python
import mssdk as ms
fund_em_info_df = ms.fund_em_open_fund_info(fund="710001", indicator="同类排名走势")
print(fund_em_info_df)
```

数据示例-同类排名走势

```
      报告日期  同类型排名-每日近三月排名 总排名-每日近三月排名
0     2013-01-04             53         533
1     2013-01-07             68         533
2     2013-01-08            102         533
3     2013-01-09            117         533
4     2013-01-10            129         533
          ...            ...         ...
1912  2020-11-16           3769        3878
1913  2020-11-17           3768        3884
1914  2020-11-18           3756        3890
1915  2020-11-19           3600        3767
1916  2020-11-20           3734        3915   
```

输出参数-同类排名百分比

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 报告日期      | object   | -        |
| 同类型排名-每日近3月收益排名百分比      | float64   |-        |

接口示例-同类排名百分比

```python
import mssdk as ms
fund_em_info_df = ms.fund_em_open_fund_info(fund="710001", indicator="同类排名百分比")
print(fund_em_info_df)
```

数据示例-同类排名百分比

```
     报告日期      同类型排名-每日近3月收益排名百分比
0     2011-12-20  96.80
1     2011-12-21  92.69
2     2011-12-22  90.41
3     2011-12-25  85.62
4     2011-12-26  89.73
          ...    ...
1999  2020-03-15  43.81
2000  2020-03-16  36.92
2001  2020-03-17  28.71
2002  2020-03-18  36.42
2003  2020-03-19  43.07    
```

输出参数-分红送配详情

| 名称          | 类型 |  描述           |
| --------------- | ----- | ---------------- |
| 年份      | object   |  -        |
| 权益登记日      | object   |  -        |
| 除息日      | object   | -        |
| 每份分红      | object   |  -        |
| 分红发放日      | object   |  -        |

接口示例-分红送配详情

```python
import mssdk as ms
fund_em_info_df = ms.fund_em_open_fund_info(fund="161606", indicator="分红送配详情")
print(fund_em_info_df)
```

数据示例-分红送配详情

```
   年份    权益登记日      除息日         每份分红       分红发放日
0  2007年  2007-10-25  2007-10-25  每份派现金0.7700元  2007-10-29
1  2007年  2007-03-12  2007-03-12  每份派现金1.1100元  2007-03-14
2  2006年  2006-05-30  2006-05-30  每份派现金0.0600元  2006-06-01
```

输出参数-拆分详情

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 年份      | object   |  -        |
| 拆分折算日      | object   |  -        |
| 拆分类型      | object   |  -        |
| 拆分折算比例      | object   |  -        |

接口示例-拆分详情

```python
import mssdk as ms
fund_em_info_df = ms.fund_em_open_fund_info(fund="161606", indicator="拆分详情")
print(fund_em_info_df)
```

数据示例-拆分详情

```
   年份      拆分折算日  拆分类型    拆分折算比例
0  2019年  2019-12-16  份额折算  1:1.0107
1  2019年  2019-07-02  份额折算  1:1.5569
2  2018年  2018-12-17  份额折算  1:1.0255
3  2017年  2017-12-15  份额折算  1:1.0045
4  2017年  2017-09-26  份额折算  1:1.4942
5  2016年  2016-12-15  份额折算  1:1.0230
6  2015年  2015-12-15  份额折算  1:1.0180
```

#### 货币型基金-实时数据

接口: fund_em_money_fund_daily

目标地址: http://fund.eastmoney.com/HBJJ_pjsyl.html

描述: 东方财富网-天天基金网-基金数据-货币型基金收益, 此接口数据每个交易日 **16:00～23:00**

限量: 单次返回当前时刻所有历史数据

输入参数

| 名称   | 类型 | 描述 |
| -------- | ---- |  --- |
| - | -  |    - |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 基金代码      | str   |  -  |
| 基金简称      | str   |  -   |
| 当前交易日-万份收益      | float   |  -   |
| 当前交易日-7日年化%      | float   |  -   |
| 当前交易日-单位净值      | float   |  -   |
| 前一交易日-万份收益      | float   |  -   |
| 前一交易日-7日年化%      | float   |  -   |
| 前一交易日-单位净值      | float   |  -   |
| 日涨幅      | str   |  -   |
| 成立日期      | str   |  -   |
| 基金经理      | str   |  -   |
| 手续费      | str   |  -   |
| 可购全部      | str   |  -   |

接口示例

```python
import mssdk as ms
fund_em_money_fund_daily_df = ms.fund_em_money_fund_daily()
print(fund_em_money_fund_daily_df)
```

数据示例

```
       基金代码        基金简称 当前交易日-万份收益 当前交易日-7日年化%  ...        成立日期  基金经理  手续费 可购全部
2    004186     江信增利货币B     0.4461     4.1720%  ...  2017-08-03    杨淳  0费率   购买
3    002884  华润元大现金通货币B     0.8919     3.9870%  ...  2016-07-27  李仆 等  0费率   购买
4    004185     江信增利货币A     0.4065     3.9620%  ...  2017-08-03    杨淳  0费率   购买
5    002883  华润元大现金通货币A     0.8585     3.8460%  ...  2016-07-27  李仆 等  0费率   购买
6    740602       长安货币B     0.4641     3.7260%  ...  2013-01-25    孟楠  0费率   购买
..      ...         ...        ...         ...  ...         ...   ...  ...  ...
448  519513    万家日日薪货币R        ---         ---  ...  2013-01-15    郅元  0费率   购买
449  005202    兴业稳天盈货币B        ---         ---  ...  2017-09-11  丁进 等  0费率   购买
450  000908   农银红利日结货币B        ---         ---  ...  2014-12-19  许娅 等  0费率   购买
451  000907   农银红利日结货币A        ---         ---  ...  2014-12-19  许娅 等  0费率   购买
452  519507       万家货币B        ---         ---  ...  2013-08-15    郅元  0费率   购买
```

#### 货币型基金-历史数据

接口: fund_em_money_fund_info

目标地址: http://fundf10.eastmoney.com/jjjz_004186.html

描述: 东方财富网-天天基金网-基金数据-货币型基金-历史净值

限量: 单次返回当前时刻所有历史数据

输入参数

| 名称   | 类型 |  描述 |
| -------- | ---- |  --- |
| fund | str|    fund="000009"; 需要基金代码, 可以通过调用 **fund_em_money_fund_daily** 获取 |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 净值日期      | str   |  -  |
| 每万份收益      | str   |  -   |
| 7日年化收益率      | float   |  -   |
| 申购状态      |  str  |  -   |
| 赎回状态      | str   |  -   |

接口示例

```python
import mssdk as ms
fund_em_money_fund_info_df = ms.fund_em_money_fund_info(fund="000009")
print(fund_em_money_fund_info_df)
```

数据示例

```
            净值日期    每万份收益 7日年化收益率  申购状态  赎回状态
0     2020-04-30   0.4991  1.8490  开放申购  开放赎回
1     2020-04-29   0.5266  1.8250  开放申购  开放赎回
2     2020-04-28   0.4840  1.8230  开放申购  开放赎回
3     2020-04-27   0.5160  1.8360  开放申购  开放赎回
4     2020-04-26   0.4960  1.8390  开放申购  开放赎回
          ...      ...     ...   ...   ...
2419  2013-03-29   0.6744  2.8920  开放申购  开放赎回
2420  2013-03-28   0.7068  3.0420  开放申购  开放赎回
2421  2013-03-27   0.3729  3.1750  开放申购  开放赎回
2422  2013-03-26   0.9561  3.4820  开放申购  开放赎回
2423  2013-03-25  21.2775  3.4850   封闭期   封闭期       
```

#### 理财型基金-实时数据

接口: fund_em_financial_fund_daily

目标地址: http://fund.eastmoney.com/lcjj.html#1_1__0__ljjz,desc_1_os1

描述: 东方财富网-天天基金网-基金数据-理财型基金-实时数据, 此接口数据每个交易日 **16:00～23:00** 更新

限量: 该接口由于目标网站未更新数据，暂时不能返回数据

输入参数

| 名称   | 类型 |  描述 |
| -------- | ---- |  --- |
| - | -  |    - |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 序号      | int   |  -  |
| 基金代码      | str   |  -  |
| 基金简称      | str   |  -   |
| 上一期年化收益率      | float   |  -   |
| 当前交易日-万份收益      | float   |  -   |
| 当前交易日-7日年华      | float   |  -   |
| 前一个交易日-万份收益      | float   |-   |
| 前一个交易日-7日年华      | float   | -   |
| 封闭期      | float   |  -   |
| 申购状态      | str   |  -   |

接口示例

```python
import mssdk as ms
fund_em_financial_fund_daily_df = ms.fund_em_financial_fund_daily()
print(fund_em_financial_fund_daily_df)
```

数据示例

```
   序号    基金代码          基金简称 上一期年化收益率  ... 前一个交易日-万份收益 前一个交易日-7日年华  封闭期 申购状态
0   1  000134     信诚理财28日盈A   2.1010  ...      0.4548      1.8150  28天  限大额
1   2  090021      大成月添利债券A   4.7470  ...      0.5243      1.8540  1个月  限大额
2   3  110051   易方达月月利理财债券B   2.4040  ...      0.6606      2.2450  1个月  限大额
3   4  070035    嘉实理财宝7天债券A   1.8310  ...      0.4871      1.8310   7天  限大额
4   5  660016     农银7天理财债券A   1.6780  ...      0.4567      1.6780   7天  限大额
5   6  000791   银华双月定期理财债券A           ...      0.6134      2.2390  2个月  限大额
6   7  001057    华夏理财30天债券A   3.0650  ...      0.6477      2.2020  1个月  限大额
7   8  110050   易方达月月利理财债券A   2.1140  ...      0.5813      1.9560  1个月  限大额
8   9  090023  大成月月盈短期理财债券A  22.2030  ...      0.4640      1.7510  1个月  限大额
9  10  000322    农银14天理财债券A           ...      0.4592      1.6080  14天  限大额
```

#### 理财型基金-历史数据

接口: fund_em_financial_fund_info

目标地址: http://fundf10.eastmoney.com/jjjz_000791.html

描述: 东方财富网站-天天基金网-基金数据-理财型基金-基金净值数据

限量: 单次返回当前时刻所有历史数据

输入参数

| 名称   | 类型 |  描述 |
| -------- | ---- | --- |
| fund | str|    fund="000134"; 需要基金代码, 可以通过调用 **fund_em_financial_fund_daily** 获取 |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 净值日期      | str   |  -  |
| 每万份收益      | str   | -   |
| 7日年化收益率      | float   | -   |
| 申购状态      |  str  | -   |
| 赎回状态      | str   |  -   |

接口示例

```python
import mssdk as ms
fund_em_financial_fund_info_df = ms.fund_em_financial_fund_info(fund="000134")
print(fund_em_financial_fund_info_df)
```

数据示例

```
            净值日期   每万份收益 7日年化收益率    申购状态  赎回状态
0     2020-04-30  0.4514  1.8240  限制大额申购  开放赎回
1     2020-04-29  0.4548  1.8150  限制大额申购  开放赎回
2     2020-04-28  0.4523  1.8050  限制大额申购  开放赎回
3     2020-04-27  0.4446  1.7970  限制大额申购  开放赎回
4     2020-04-26  0.7770  1.8480  限制大额申购  开放赎回
          ...     ...     ...     ...   ...
1066  2017-05-29  1.0799  3.6420    开放申购   封闭期
1067  2017-05-28  1.0799  3.5470    开放申购   封闭期
1068  2017-05-27  1.0799  3.3900    开放申购   封闭期
1069  2017-05-26  1.2796  3.0770    开放申购   封闭期
1070  2017-05-25  0.3810  1.4000     封闭期   封闭期   
```

#### 分级基金-实时数据

接口: fund_em_graded_fund_daily

目标地址: http://fund.eastmoney.com/fjjj.html#1_1__0__zdf,desc_1

描述: 东方财富网-天天基金网-基金数据-分级基金-实时数据, 此接口数据每个交易日 **16:00～23:00** 

限量: 单次返回当前时刻所有历史数据

输入参数

| 名称   | 类型 |  描述 |
| -------- | ---- |  --- |
| - | -  |   - |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 基金代码      | str   |  -  |
| 基金简称      | str   |  -   |
| 单位净值      | float   |  -   |
| 累计净值      | float   |  -   |
| 前交易日-单位净值      | float   |  -   |
| 前交易日-累计净值      | float   |  -   |
| 日增长值      | float   |  -   |
| 日增长率      | float   |  注意单位: %   |
| 市价      | str   |  -   |
| 折价率      | str   |  -   |
| 手续费      | str   |  -   |

接口示例

```python
import mssdk as ms
fund_em_graded_fund_daily_df = ms.fund_em_graded_fund_daily()
print(fund_em_graded_fund_daily_df)
```

数据示例

```
       基金代码            基金简称    单位净值    累计净值  ...   日增长率      市价     折价率    手续费
0    150232     申万菱信申万电子分级B  0.5598          ...  15.85  0.9080  -62.20       
1    150174  信诚中证TMT产业主题分级B  0.6580  2.0740  ...  10.77    0.76  -15.50       
2    150312   信诚中证智能家居指数分级B  0.7430  0.0960  ...  10.73  0.7570   -1.88       
3    150310   信诚中证信息安全指数分级B  0.9090  0.1040  ...   9.92  1.0790  -18.70       
4    150151  信诚中证800有色指数分级B    0.63  1.1180  ...   6.42  0.7110  -12.86       
..      ...             ...     ...     ...  ...    ...     ...     ...    ...
341  150252   招商中证煤炭等权指数分级B                  ...         0.5120               
342  150324   工银中证环保产业指数分级B                  ...           0.74               
343  150197   国泰国证有色金属行业分级B                  ...           0.44               
344  150294   南方中证高铁产业指数分级B                  ...         0.4350               
345  161825       银华中证800分级                  ...                         1.20%
```

#### 分级基金-历史数据

接口: fund_em_graded_fund_info

目标地址: http://fundf10.eastmoney.com/jjjz_004186.html

描述: 东方财富网站-天天基金网-基金数据-分级基金-历史数据

限量: 单次返回当前时刻所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| fund | str| Y    |   fund="150232"; 需要基金代码, 可以通过调用 **fund_em_graded_fund_daily** 获取 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 净值日期      | str   | Y        | -  |
| 单位净值      | float   | Y        | -   |
| 累计净值      | float   | Y        | -   |
| 日增长率      | float   | Y        | 注意单位: %; 日增长率为空原因如下: 1. 非交易日净值不参与日增长率计算(灰色数据行). 2. 上一交易日净值未披露, 日增长率无法计算.   |
| 申购状态      |  str  | Y        | -   |
| 赎回状态      | str   | Y        | -   |

接口示例

```python
import mssdk as ms
fund_em_graded_fund_info_df = ms.fund_em_graded_fund_info(fund="150232")
print(fund_em_graded_fund_info_df)
```

数据示例

```
            净值日期    单位净值    累计净值   日增长率  申购状态  赎回状态
0     2020-05-08  0.6123           2.19  场内买入  场内卖出
1     2020-05-07  0.5992          -2.17  场内买入  场内卖出
2     2020-05-06  0.6125           9.41  场内买入  场内卖出
3     2020-04-30  0.5598          15.85  场内买入  场内卖出
4     2020-04-29  0.4832           1.45  场内买入  场内卖出
          ...     ...     ...    ...   ...   ...
1215  2015-05-20  0.9988  0.9988  -0.03  场内买入  场内卖出
1216  2015-05-19  0.9991  0.9991  -0.02  场内买入  场内卖出
1217  2015-05-18  0.9993  0.9993  -0.04  场内买入  场内卖出
1218  2015-05-15  0.9997  0.9997  -0.03  场内买入  场内卖出
1219  2015-05-14  1.0000  1.0000         场内买入  场内卖出
```

#### 场内交易基金-实时数据

接口: fund_em_etf_fund_daily

目标地址: http://fund.eastmoney.com/cnjy_dwjz.html

描述: 获取东方财富网站-天天基金网-基金数据-场内交易基金-实时数据, 此接口数据每个交易日 **16:00～23:00**

限量: 单次返回当前时刻所有数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| - | -  | -    |   - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 基金代码      | str   | Y        | -  |
| 基金简称      | str   | Y        | -   |
| 类型      | float   | Y        | -   |
| 当前交易日-单位净值      | float   | Y        | 会返回具体的日期值作为字段   |
| 当前交易日-累计净值      | float   | Y        | 会返回具体的日期值作为字段   |
| 前一个交易日-单位净值      | float   | Y        | 会返回具体的日期值作为字段   |
| 前一个交易日-累计净值      | float   | Y        | 会返回具体的日期值作为字段   |
| 增长值      | float   | Y        | -   |
| 增长率      | str   | Y        | -   |
| 市价      | str   | Y        | -   |
| 折价率      | str   | Y        | -   |

接口示例

```python
import mssdk as ms
fund_em_etf_fund_daily_df = ms.fund_em_etf_fund_daily()
print(fund_em_etf_fund_daily_df)
```

数据示例

```
       基金代码             基金简称      类型  ...     增长率      市价     折价率
0    159909   招商深证TMT50ETF行情  ETF-场内  ...   0.12%  7.0200   0.14%
1    159991     招商创业板大盘ETF行情  ETF-场内  ...   0.64%  1.4840   0.02%
2    150270    招商中证白酒指数分级B行情    分级杠杆  ...   2.61%  1.4650  -1.16%
3    150262    华宝中证医疗指数分级B行情    分级杠杆  ...   0.81%  1.3930   2.64%
4    150250    招商中证银行指数分级B行情    分级杠杆  ...  -1.06%  1.3380  -0.62%
..      ...              ...     ...  ...     ...     ...     ...
474  510860      兴业上证50ETF行情  ETF-场内  ...     ---     ---     ---
475  150175    银华恒生国企指数分级A行情    固定收益  ...     ---     ---     ---
476  150205    鹏华中证国防指数分级A行情    固定收益  ...     ---     ---     ---
477  150321    富国中证煤炭指数分级A行情    固定收益  ...     ---     ---     ---
478  515790  华泰柏瑞中证光伏产业ETF行情  ETF-场内  ...     ---     ---     ---
```

#### 场内交易基金-历史数据

接口: fund_em_etf_fund_info

目标地址: http://fundf10.eastmoney.com/jjjz_004186.html

描述: 东方财富网站-天天基金网-基金数据-场内交易基金-历史净值数据

限量: 单次返回当前时刻所有历史数据

输入参数

| 名称   | 类型 |  描述 |
| -------- | ---- |  --- |
| fund | str|   fund="511280"; 基金代码, 可以通过调用 **fund_em_etf_fund_daily** 获取 |
| start_date | str|   start_date="20000101"; 开始时间 |
| end_date | str|   end_date="20500101"; 结束时间 |

输出参数

| 名称          | 类型 | 描述           |
| --------------- | ----- | ---------------- |
| 净值日期      | object   |  -  |
| 单位净值      | float64   |  -   |
| 累计净值      | float64   | -   |
| 日增长率      |  float64  |  注意单位(%)   |
| 申购状态      | object   |  -   |
| 赎回状态      | object   |  -   |

接口示例

```python
import mssdk as ms
fund_em_etf_fund_info_df = ms.fund_em_etf_fund_info(fund="511280", start_date="20000101", end_date="20500101")
print(fund_em_etf_fund_info_df)
```

数据示例

```
    净值日期      单位净值    累计净值   日增长率  申购状态  赎回状态
0    2020-04-30  112.1175  1.1212   0.03  场内买入  场内卖出
1    2020-04-29  112.0788  1.1208  -0.05  场内买入  场内卖出
2    2020-04-28  112.1330  1.1213  -0.01  场内买入  场内卖出
3    2020-04-27  112.1415  1.1214  -0.03  场内买入  场内卖出
4    2020-04-24  112.1748  1.1217   0.15  场内买入  场内卖出
..          ...       ...     ...    ...   ...   ...
473  2018-05-18  100.1054  1.0011         场内买入  场内卖出
474  2018-05-14  100.0804  1.0008   0.02  场内买入  场内卖出
475  2018-05-11    1.0006  1.0006         场内买入  场内卖出
476  2018-05-04    1.0003  1.0003   0.03  场内买入  场内卖出
477  2018-05-03    1.0000  1.0000         场内买入  场内卖出    
```

#### 香港基金-历史数据

接口: fund_em_hk_fund_hist

目标地址: http://overseas.1234567.com.cn/f10/FundJz/968092#FHPS

描述: 获取东方财富网站-天天基金网-基金数据-香港基金-历史净值明细

限量: 单次返回指定 code 和 symbol 所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| code | str| Y    |   code="1002200683"; 需要香港基金代码, 可以通过调用 **fund_em_hk_rank** 获取 |
| symbol | str| Y    |   symbol="历史净值明细"; choice of {"历史净值明细", "分红送配详情"}  |

输出参数-历史净值明细

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 净值日期      | str   | Y        | -  |
| 单位净值      | float   | Y        | -   |
| 日增长值      | float   | Y        | -   |
| 日增长率      |  float  | Y        | 注意单位: %  |
| 单位      | str   | Y        | -   |

接口示例-历史净值明细

```python
import mssdk as ms
fund_em_hk_fund_hist_df = ms.fund_em_hk_fund_hist(code='1002200683', symbol="历史净值明细")
print(fund_em_hk_fund_hist_df)
```

数据示例-历史净值明细

```
     净值日期     单位净值    日增长值    日增长率 单位
0    2021-01-19  10.0056 -0.0583 -0.5793  元
1    2021-01-18  10.0639  0.0620  0.6199  元
2    2021-01-15  10.0019 -0.0074 -0.0739  元
3    2021-01-14  10.0093  0.0444  0.4456  元
4    2021-01-13   9.9649 -0.0026 -0.0261  元
..          ...      ...     ...     ... ..
165  2020-05-14  10.0774  0.0214  0.2128  元
166  2020-05-13  10.0560  0.0210  0.2093  元
167  2020-05-12  10.0350  0.0350  0.3500  元
168  2020-05-11  10.0000  0.0000  0.0000  元
169  2020-05-08  10.0000                  元
```

输出参数-分红送配详情

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ----------- |
| 年份      | str   | Y        | -  |
| 权益登记日      | str   | Y        | -   |
| 除息日      | str   | Y        | -   |
| 分红发放日      |  str  | Y        | - |
| 分红金额      | float   | Y        | -   |
| 单位      | str   | Y        | -   |

接口示例-分红送配详情

```python
import mssdk as ms
fund_em_hk_fund_hist_df = ms.fund_em_hk_fund_hist(code='1002200683', symbol="分红送配详情")
print(fund_em_hk_fund_hist_df)
```

数据示例-分红送配详情

```
     年份       权益登记日         除息日       分红发放日    分红金额 单位
0  2020              2020-12-31              0.0522  元
1  2020  2020-11-30  2020-11-30  2020-12-14  0.0552  元
2  2020  2020-10-30  2020-10-30  2020-11-13  0.0573  元
3  2020  2020-09-30  2020-09-30  2020-10-16  0.0527  元
4  2020  2020-08-31  2020-08-31  2020-09-14  0.0545  元
5  2020  2020-07-31  2020-07-31  2020-08-14  0.0593  元
6  2020  2020-06-30  2020-06-30  2020-07-15  0.0669  元
```

### 分红送配

#### 基金分红

接口: fund_fh_em

目标地址: http://fund.eastmoney.com/data/fundfenhong.html

描述: 天天基金网-基金数据-分红送配-基金分红

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 描述 |
| -------- | ---- |  --- |
| - | -  |   - |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 序号      | int64   |  -  |
| 基金代码      | object   |  -  |
| 基金简称      | object   |  -  |
| 权益登记日      | object   |  -  |
| 除息日期      | object   |  -  |
| 分红      | float64   |  注意单位: 元/份  |
| 分红发放日      | object   |  -  |

接口示例

```python
import mssdk as ms
fund_fh_em_df = ms.fund_fh_em()
print(fund_fh_em_df)
```

数据示例

```
          序号   基金代码       基金简称       权益登记日        除息日期    分红    分红发放日
0          1  007286  中邮纯债裕利三个月定开债  2021-11-22  2021-11-22  0.0530  2021-11-24
1          2  000799   民生加银家盈半年定期宝  2021-11-22  2021-11-22  0.0142  2021-11-23
2          3  090002       大成债券A/B  2021-11-22  2021-11-22  0.0110  2021-11-23
3          4  092002         大成债券C  2021-11-22  2021-11-22  0.0110  2021-11-23
4          5  002868        鹏华丰茂债券  2021-11-22  2021-11-22  0.0350  2021-11-24
      ...     ...           ...         ...         ...     ...         ...
24620  24621  500008          基金兴华  1999-04-05  1999-04-06  0.0220  1999-04-02
24621  24622  184688          基金开元  1999-04-05  1999-04-06  0.0300  1999-04-02
24622  24623  500003          基金安信  1999-04-05  1999-04-06  0.0420  1999-04-02
24623  24624  500006          基金裕阳  1999-04-05  1999-04-06  0.0210  1999-04-02
24624  24625  500001          基金金泰  1999-04-05  1999-04-06  0.0490  1999-04-06
```

#### 基金拆分

接口: fund_cf_em

目标地址: http://fund.eastmoney.com/data/fundchaifen.html

描述: 天天基金网-基金数据-分红送配-基金拆分

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 描述 |
| -------- | ---- |  --- |
| - | -  |   - |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 序号      | int64   |  -  |
| 基金代码      | object   |  -  |
| 基金简称      | object   |  -  |
| 拆分折算日      | object   |  -  |
| 拆分类型      | object   |  -  |
| 拆分折算      | float64   |  注意单位: 每份  |

接口示例

```python
import mssdk as ms
fund_cf_em_df = ms.fund_cf_em()
print(fund_cf_em_df)
```

数据示例

```
        序号   基金代码       基金简称       拆分折算日  拆分类型      拆分折算
0        1  516090     易方达中证新能源ETF  2021-11-26  份额分拆  2.000000
1        2  516070  易方达中证内地低碳经济ETF  2021-11-19  份额分拆  2.000000
2        3  000465   景顺长城鑫月薪定期支付债券  2021-11-18  份额折算       NaN
3        4  512560      易方达中证军工ETF  2021-11-12  份额分拆  2.000000
4        5  159863     鹏华中证光伏产业ETF  2021-11-05  份额分拆  1.500000
    ...     ...             ...         ...   ...       ...
3949  3950  500028            基金兴业  2006-09-29  份额折算  1.160000
3950  3951  100020        富国天益价值混合  2006-07-17  份额折算  1.606483
3951  3952  510180      华安上证180ETF  2006-05-10  份额折算  0.372683
3952  3953  159901     易方达深证100ETF  2006-04-14  份额折算  0.949483
3953  3954  510050       华夏上证50ETF  2005-02-04  份额折算  1.183841
```

#### 基金分红排行

接口: fund_fh_rank_em

目标地址: http://fund.eastmoney.com/data/fundleijifenhong.html

描述: 天天基金网-基金数据-分红送配-基金分红排行

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 描述 |
| -------- | ---- |  ---- |
| - | -  |   - |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  --------- |
| 序号      | int64   |  -  |
| 基金代码      | object   |  -  |
| 基金简称      | object   |  -  |
| 累计分红      | float64   |  注意单位: 元/份  |
| 累计次数      | int64   |  -  |
| 成立日期      | object   |  -  |

接口示例

```python
import mssdk as ms
fund_cf_em_df = ms.fund_cf_em()
print(fund_cf_em_df)
```

数据示例

```
        序号    基金代码             基金简称       累计分红  累计次数        成立日期
0        1  184801      鹏华前海万科REITS  32.528400     5  2015-07-06
1        2  511220      海富通上证城投债ETF  31.760000    26  2014-11-13
2        3  511880            银华日利A  24.918000     8  2013-04-01
3        4  003816            银华日利B  23.406000     5  2016-11-23
4        5  511270     海富通上证10年期ETF   9.770000    12  2018-10-12
    ...     ...              ...        ...   ...         ...
4475  4476  006792     鹏华港美互联股票美元现汇   0.000607     1  2019-04-15
4476  4477  009355  泰达泰和稳健养老一年(FOF)   0.000500     1  2020-06-02
4477  4478  012169     工银3-5年国开债指数E   0.000500     1  2021-04-30
4478  4479  159937          博时黄金ETF   0.000200     1  2014-08-13
4479  4480  008139        鑫元一年中高等级债   0.000100     1  2020-03-18
```

### 基金排行

#### 开放式基金排行

接口: fund_em_open_fund_rank

目标地址: http://fund.eastmoney.com/data/fundranking.html

描述: 东方财富网-数据中心-开放式基金排行

限量: 单次返回当前时刻所有数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| symbol | str | Y    |   symbol="全部"; choice of {"全部", "股票型", "混合型", "债券型", "指数型", "QDII", "LOF", "FOF"}  |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 序号      | int   | Y        | -  |
| 基金代码      | str   | Y        | -   |
| 基金简称      | str   | Y        | -   |
| 日期      |  str  | Y        | -   |
| 单位净值      | float   | Y        | -   |
| 累计净值      | float   | Y        | -   |
| 日增长率      | float   | Y        | 注意单位: %   |
| 近1周      | float   | Y        | 注意单位: %   |
| 近1月      | float   | Y        | 注意单位: %   |
| 近3月      | float   | Y        | 注意单位: %   |
| 近6月      | float   | Y        | 注意单位: %   |
| 近1年      | float   | Y        | 注意单位: %   |
| 近2年      | float   | Y        | 注意单位: %   |
| 近3年      | float   | Y        | 注意单位: %   |
| 今年来      | float   | Y        | 注意单位: %   |
| 成立来      | float   | Y        | 注意单位: %   |
| 自定义      | float   | Y        | 注意单位: %   |
| 手续费      | str   | Y        | -   |

接口示例

```python
import mssdk as ms
fund_em_open_fund_rank_df = ms.fund_em_open_fund_rank(symbol="全部")
print(fund_em_open_fund_rank_df)
```

数据示例

```
        序号    基金代码                 基金简称  ...       成立来       自定义    手续费
0        1  009321       中信保诚中债1-3年农发行C  ...     13.17     13.17  0.00%
1        2  009320       中信保诚中债1-3年农发行A  ...     13.34     13.34  0.06%
2        3  501025       鹏华香港银行指数(LOF)A  ...  -10.8359  -20.6683  0.12%
3        4  006809            泰康香港银行指数A  ...    -22.09  -20.2069  0.10%
4        5  006810            泰康香港银行指数C  ...    -22.56  -20.5255  0.00%
    ...     ...                  ...  ...       ...       ...    ...
6763  6764  009445    华夏上清所1-3年高等级国企中票A  ...      0.07      0.07  0.06%
6764  6765  008828  建信易盛郑商所能源化工期货ETF联接C  ...     -0.08     -0.08  0.00%
6765  6766  009989             华宝研究精选混合  ...     -2.77     -2.77  0.15%
6766  6767  007424            西部利得聚禾混合C  ...      0.19      0.19  0.00%
6767  6768  009358       兴业稳健双利一年持有期债券A  ...      0.20       0.2  0.06%
```

#### 场内交易基金排行榜

接口: fund_em_exchange_rank

目标地址: http://fund.eastmoney.com/data/fbsfundranking.html

描述: 获取东方财富网-数据中心-场内交易基金排行榜

限量: 单次返回当前时刻所有数据, 每个交易日17点后更新

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| - | -| -    |   - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 序号      | int   | Y        | -  |
| 基金代码      | str   | Y        | -   |
| 基金简称      | str   | Y        | -   |
| 日期      |  str  | Y        | -  |
| 单位净值      | float   | Y        | -   |
| 累计净值      | float   | Y        | -   |
| 近1周      | float   | Y        | 注意单位: %   |
| 近1月      | float   | Y        | 注意单位: %   |
| 近3月      | float   | Y        | 注意单位: %   |
| 近6月      | float   | Y        | 注意单位: %   |
| 近1年      | float   | Y        | 注意单位: %   |
| 近2年      | float   | Y        | 注意单位: %   |
| 近3年      | float   | Y        | 注意单位: %   |
| 今年来      | float   | Y        | 注意单位: %   |
| 成立来      | float   | Y        | 注意单位: %   |

接口示例

```python
import mssdk as ms
fund_em_exchange_rank_df = ms.fund_em_exchange_rank()
print(fund_em_exchange_rank_df)
```

数据示例

```
      序号    基金代码                基金简称  ...     近3年     今年来       成立来
0      1  513600             南方恒指ETF  ...   -6.60  -13.34   22.2764
1      2  150212      富国中证新能源汽车指数分级B  ...  -42.01   88.64  -49.1450
2      3  159920       华夏恒生ETF(QDII)  ...   -8.29  -13.88   40.8695
3      4  513660          华夏沪港通恒生ETF  ...   -4.75  -11.44   24.2999
4      5  513990          招商上证港股通ETF  ...                     -1.16
..   ...     ...                 ...  ...     ...     ...       ...
524  525  150252       招商中证煤炭等权指数分级B  ...  -47.94    2.21  -76.3765
525  526  150310       信诚中证信息安全指数分级B  ...  -37.40   16.90  -90.0217
526  527  150023        申万菱信深证成指分级进取  ...   17.40  192.80    -70.72
527  528  513300  华夏纳斯达克100ETF(QDII)  ...                      0.02
528  529  159823   嘉实恒生中国企业ETF(QDII)  ...                      0.27
```

#### 货币型基金排行

接口: fund_em_money_rank

目标地址: http://fund.eastmoney.com/data/hbxfundranking.html

描述: 获取东方财富网-数据中心-货币型基金排行

限量: 单次返回当前时刻所有数据, 每个交易日17点后更新, 货币基金的单位净值均为 1.0000 元，最新一年期定存利率: 1.50%

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| - | -| -    |   - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 序号      | int   | Y        | -  |
| 基金代码      | str   | Y        | -   |
| 基金简称      | str   | Y        | -   |
| 日期      |  str  | Y        | -  |
| 万份收益      | float   | Y        | 注意单位: %  |
| 年化收益率7日      | float   | Y        | 注意单位: %   |
| 年化收益率14日      | float   | Y        | 注意单位: %   |
| 年化收益率28日      | float   | Y        | 注意单位: %   |
| 近1月      | float   | Y        | 注意单位: %   |
| 近3月      | float   | Y        | 注意单位: %   |
| 近6月      | float   | Y        | 注意单位: %   |
| 近1年      | float   | Y        | 注意单位: %   |
| 近2年      | float   | Y        | 注意单位: %   |
| 近3年      | float   | Y        | 注意单位: %   |
| 近5年      | float   | Y        | 注意单位: %   |
| 今年来      | float   | Y        | 注意单位: %   |
| 成立来      | float   | Y        | 注意单位: %   |
| 手续费      | float   | Y        | -   |

接口示例

```python
import mssdk as ms
fund_em_money_rank_df = ms.fund_em_money_rank()
print(fund_em_money_rank_df)
```

数据示例

```
      序号    基金代码        基金简称          日期  ...    近5年   今年来      成立来    手续费
0      1  004186     江信增利货币B  2020-10-27  ...         1.96  10.5211  0.00%
1      2  004185     江信增利货币A  2020-10-27  ...         1.76   9.6582  0.00%
2      3  000912    英大现金宝货币A  2020-10-27  ...   15.9  1.87  19.7605  0.00%
3      4  000484       鑫元货币B  2020-10-27  ...  15.99  1.61  25.8391  0.00%
4      5  000797   方正富邦金小宝货币  2020-10-27  ...  17.26  1.97   22.026  0.00%
..   ...     ...         ...         ...  ...    ...   ...      ...    ...
459  460  004072  金元顺安金通宝货币A  2020-10-27  ...         1.15  10.6345  0.00%
460  461  002077      浙商日添利A  2020-10-27  ...          0.9  13.0781  0.00%
461  462  560001        益民货币  2020-10-27  ...  10.39  0.79  40.8563  0.00%
462  463  004121      兴银现金添利  2020-10-27  ...         0.48  10.9868  0.00%
463  464  020032   国泰现金管理货币B  2020-10-19  ...  12.63  1.07  26.9433  0.00%
```

#### 理财基金排行

接口: fund_em_lcx_rank

目标地址: http://fund.eastmoney.com/data/lcxfundranking.html#t;c0;r;sSYL_Z;ddesc;pn50;f;os1;

描述: 东方财富网-数据中心-理财基金排行, 每个交易日17点后更新, 货币基金的单位净值均为 1.0000 元，最新一年期定存利率: 1.50%

限量: 由于目标网站没有数据，该接口暂时未能返回数据

输入参数

| 名称   | 类型 |  描述 |
| -------- | ---- | --- |
| - | -|   - |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 序号      | int   |  -  |
| 基金代码      | str   |  -   |
| 基金简称      | str   |  -   |
| 日期      |  str  |  -  |
| 万份收益      | float   |  -  |
| 年化收益率7日      | float   |  注意单位: %   |
| 年化收益率14日      | float   |  注意单位: %   |
| 年化收益率28日      | float   |  注意单位: %   |
| 近1周      | float   |  注意单位: %   |
| 近1月      | float   |  注意单位: %   |
| 近3月      | float   |  注意单位: %   |
| 近6月      | float   |  注意单位: %   |
| 今年来      | float   |  注意单位: %   |
| 成立来      | float   |  注意单位: %   |
| 可购买      | float   |  可购买   |
| 手续费      | float   |  -   |

接口示例

```python
import mssdk as ms
fund_em_lcx_rank_df = ms.fund_em_lcx_rank()
print(fund_em_lcx_rank_df)
```

数据示例

```
   序号    基金代码     基金简称          日期    万份收益  ...   近6月   今年来      成立来 可购买    手续费
0   1  531014  建信双周理财B  2021-01-17   0.783  ...  1.12  0.14  36.6531   1  0.00%
1   2  530014  建信双周理财A  2021-01-17  0.7035  ...  0.98  0.12   33.374   1  0.00%
```

#### 香港基金排行

接口: fund_em_hk_rank

目标地址: http://overseas.1234567.com.cn/FundList

描述: 获取东方财富网-数据中心-基金排行-香港基金排行

限量: 单次返回当前时刻所有数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| - | -| -    |   - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 序号      | int   | Y        | -  |
| 基金代码      | str   | Y        | -   |
| 基金简称      | str   | Y        | -   |
| 币种      |  str  | Y        | -  |
| 日期      |  str  | Y        | -  |
| 单位净值      | float   | Y        | -  |
| 日增长率      | float   | Y        | 注意单位: %   |
| 近1周      | float   | Y        | 注意单位: %   |
| 近1月      | float   | Y        | 注意单位: %   |
| 近3月      | float   | Y        | 注意单位: %   |
| 近6月      | float   | Y        | 注意单位: %   |
| 近1年      | float   | Y        | 注意单位: %   |
| 近2年      | float   | Y        | 注意单位: %   |
| 近3年      | float   | Y        | 注意单位: %   |
| 今年来      | float   | Y        | 注意单位: %   |
| 成立来      | float   | Y        | 注意单位: %   |
| 可购买      | float   | Y        | 1: 可购买 0: 不可购买  |
| 香港基金代码      | str   | Y        | 用于查询历史净值数据, 通过该字段查询相关的数据   |

接口示例

```python
import mssdk as ms
fund_em_hk_rank_df = ms.fund_em_hk_rank()
print(fund_em_hk_rank_df)
```

数据示例

```
    序号    基金代码                       基金简称  ...       成立来 可购买      香港基金代码
0    1  968029                  恒生指数(人民币)  ...    8.6000      1001376375
1    2  968007              恒生中国企业指数(人民币)  ...   77.7300      1000621094
2    3  968006                     行健宏扬中国  ...   98.9400   1  1000595430
3    4  968062                 摩根太平洋科技人民币  ...   89.7000   1  1002075743
4    5  968061               摩根太平洋科技人民币对冲  ...  107.6000   1  1002075741
..  ..     ...                        ...  ...       ...  ..         ...
83  84  968018        东亚联丰亚洲债券及货币A人民币对冲分派  ...   55.4493      1001261477
84  85  968078             东方汇理创新动力股票基金累算  ...   35.8500      1002185389
85  86  968077             东方汇理创新动力股票基金分派  ...   33.5200      1002185388
86  87  968058  博时-安本标准精选新兴市场债券基金PRC类别A美元  ...                1002059492
87  88  968060  博时-安本标准精选新兴市场债券基金PRC类别I美元  ...                1002059495           
```

### 净值估算

接口: fund_em_value_estimation

目标地址: http://fund.eastmoney.com/fundguzhi.html

描述: 获取东方财富网-数据中心-净值估算

限量: 单次返回当前交易日指定 symbol 的所有数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| symbol | str | Y    |   symbol='全部'; 默认返回所有数据; choice of {'全部', '股票型', '混合型', '债券型', '指数型', 'QDII', 'ETF联接', 'LOF', '场内交易基金'} |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 序号      | str   | Y        | -  |
| 基金代码      | str   | Y        | -  |
| 基金名称      | str   | Y        | -   |
| 交易日-估算数据-估算值      | float   | Y        | -   |
| 交易日-估算数据-估算增长率      |  str  | Y        | -   |
| 交易日-公布数据-单位净值      | float   | Y        | -   |
| 交易日-公布数据-日增长率      | str   | Y        | -   |
| 估算偏差      | str   | Y        | -   |
| 交易日-单位净值      | str   | Y        | -   |

接口示例

```python
import mssdk as ms
fund_em_value_estimation_df = ms.fund_em_value_estimation(symbol="混合型")
print(fund_em_value_estimation_df)
```

数据示例

```
        序号    基金代码  ...    估算偏差 2021-02-18-单位净值
0        1  164403  ...   0.06%          1.6720
1        2  180020  ...  -0.34%          1.9700
2        3  161810  ...  -0.47%          3.3300
3        4  009394  ...  -1.04%          1.0705
4        5  001763  ...   1.37%          1.5990
    ...     ...  ...     ...             ...
4846  4847  010895  ...     ---             ---
4847  4848  010875  ...     ---             ---
4848  4849  010718  ...     ---             ---
4849  4850  010717  ...     ---             ---
4850  4851  011059  ...     ---             ---
```

### 基金实时行情

接口: fund_etf_category_sina

目标地址: http://vip.stock.finance.sina.com.cn/fund_center/index.html#jjhqetf

描述: 新浪财经-基金列表及行情数据

限量: 单次返回指定 symbol 基金的所有数据

输入参数

| 名称   | 类型 |描述 |
| -------- | ---- |  --- |
| symbol | str|   symbol="LOF基金"; choice of {"封闭式基金", "ETF基金", "LOF基金"} |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- | ---------------- |
| 代码      | object   | -  |
| 名称      | object   |  -   |
| 最新价      | float64   |  -   |
| 涨跌额      |  float64  |  -   |
| 涨跌幅      | float64   |  注意单位: %   |
| 买入      | float64   |  -   |
| 卖出      | float64   |  -   |
| 昨收      | float64   |  -   |
| 今开      | float64   |  -   |
| 最高      | float64   |  -   |
| 最低      | float64   |  -   |
| 成交量      | int64   |  注意单位: 股   |
| 成交额      | int64   |  注意单位: 元   |

接口示例

```python
import mssdk as ms
fund_etf_category_sina_df = ms.fund_etf_category_sina(symbol="封闭式基金")
print(fund_etf_category_sina_df)
```

数据示例

```
   代码      名称     最新价    涨跌额  ...      最高      最低    成交量    成交额
0  sz180801    首钢绿能  16.599  0.308  ...  16.600  16.100    908906  14932604
1  sz180301  盐港REIT   2.440  0.019  ...   2.444   2.422   1758819   4290759
2  sz180201    广州广河  12.880  0.002  ...  12.900  12.872   3817503  49169945
3  sz180101    蛇口产园   2.611 -0.015  ...   2.627   2.605   5242503  13713087
4  sh508056     普洛斯   4.194  0.005  ...   4.200   4.152  13954564  58316100
5  sh508027    东吴苏园   3.920  0.005  ...   3.921   3.899   2186589   8556364
6  sh508006    首创水务   4.426  0.111  ...   4.430   4.303   2403385  10576454
7  sh508001    浙江杭徽   9.672  0.025  ...   9.684   9.638   1170868  11319122
8  sh508000  张江REIT   3.127 -0.001  ...   3.128   3.109   1154072   3602122
```

### 基金历史行情

接口: fund_etf_hist_sina

目标地址: http://vip.stock.finance.sina.com.cn/fund_center/index.html#jjhqetf

描述: 新浪财经-基金行情的日频率行情数据

限量: 单次返回指定基金的所有数据

输入参数

| 名称   | 类型 |  描述 |
| -------- | ---- |  --- |
| symbol | str|   symbol="sz169103"; 基金列表可以通过 **ms.fund_etf_category_sina(symbol="LOF基金")** 可选参数为: 封闭式基金, ETF基金, LOF基金 查询 |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| date      | object   |  -  |
| open      | float64   |  -   |
| high      | float64   |  -   |
| low      |  float64  |-   |
| close      | float64   |  -   |
| volume      | int64   |  注意单位: 手   |

接口示例

```python
import mssdk as ms
fund_etf_hist_sina_df = ms.fund_etf_hist_sina(symbol="sz169103")
print(fund_etf_hist_sina_df)
```

数据示例

```
           date   open   high    low  close  volume
0    2016-08-15  1.069  1.100  1.069  1.100    1200
1    2016-08-16  1.210  1.210  1.080  1.200   15400
2    2016-08-17  1.189  1.199  1.109  1.160   17700
3    2016-08-18  1.117  1.120  1.117  1.120   16100
4    2016-08-19  1.084  1.155  1.084  1.150   18000
..          ...    ...    ...    ...    ...     ...
925  2020-07-13  1.649  1.664  1.611  1.663  424210
926  2020-07-14  1.673  1.673  1.620  1.644  227100
927  2020-07-15  1.644  1.648  1.611  1.636  187800
928  2020-07-16  1.636  1.636  1.565  1.565  238546
929  2020-07-17  1.585  1.585  1.517  1.566  410973
```

### 基金持仓

接口: fund_portfolio_hold_em

目标地址: http://fundf10.eastmoney.com/ccmx_000001.html

描述: 天天基金网-基金档案-投资组合-基金持仓

限量: 单次返回指定 code 和 year 的所有持仓数据

输入参数

| 名称   | 类型 | 描述 |
| -------- | ---- |  --- |
| code | str|   code="000001"; 基金代码, 可以通过调用 **fund_em_fund_name** 接口获取 |
| year | str|   year="2020"; 指定年份 |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 序号      | int64   |  -  |
| 股票代码      | object   |  -   |
| 股票名称      | object   |  -   |
| 占净值比例      |  float64  |  注意单位: %   |
| 持股数      | float64   | 注意单位: 万股   |
| 持仓市值      | float64   |  注意单位: 万元   |
| 季度      | object   | -  |

接口示例

```python
import mssdk as ms
fund_portfolio_hold_em_df = ms.fund_portfolio_hold_em(code="000001", year="2020")
print(fund_portfolio_hold_em_df)
```

数据示例

```
     序号    股票代码  股票名称 占净值比例      持股数      持仓市值              季度
0     1  601318  中国平安  6.04   333.75  29029.80  2020年4季度股票投资明细
1     2  002127  南极电商  5.90  2074.47  28378.78  2020年4季度股票投资明细
2     3  000961  中南建设  5.30  2889.73  25516.32  2020年4季度股票投资明细
3     4  600519  贵州茅台  5.01    12.06  24090.89  2020年4季度股票投资明细
4     5  002271  东方雨虹  4.57   566.84  21993.50  2020年4季度股票投资明细
..   ..     ...   ...   ...      ...       ...             ...
151   6  300226  上海钢联  2.75   177.07  12058.31  2020年1季度股票投资明细
152   7  000547  航天发展  2.45   800.00  10760.00  2020年1季度股票投资明细
153   8  300572  安车检测  1.81   204.39   7946.84  2020年1季度股票投资明细
154   9  603259  药明康德  1.65    80.12   7249.88  2020年1季度股票投资明细
155  10  603806   福斯特  1.63   175.98   7165.78  2020年1季度股票投资明细
```

### 基金评级

#### 基金评级总汇

接口: fund_rating_all

目标地址: http://fund.eastmoney.com/data/fundrating.html

描述: 获取天天基金网-基金评级-基金评级总汇

限量: 单次返回所有基金评级数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| - | -| -    |   - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 代码      | str   | Y        | -  |
| 简称      | str   | Y        | -   |
| 基金经理      | str   | Y        | -   |
| 基金公司      |  str  | Y        | -   |
| 5星评级家数      | float   | Y        | -   |
| 上海证券      | float   | Y        | -   |
| 招商证券      | float   | Y        | -  |
| 济安金信      | float   | Y        | -  |
| 手续费      | str   | Y        | -  |
| 类型      | str   | Y        | -  |

接口示例

```python
import mssdk as ms
fund_rating_all_df = ms.fund_rating_all()
print(fund_rating_all_df)
```

数据示例

```
          代码             简称     基金经理  基金公司 5星评级家数 上海证券 招商证券 济安金信    手续费    类型
0     270007       广发大盘成长混合       苗宇    广发      0    4    3    4  0.15%   混合型
1     270009         广发增强债券       谢军    广发      0    2    3    3  0.00%   债券型
2     270010  广发沪深300ETF联接A       刘杰    广发      1         5       0.12%  联接基金
3     270014          广发货币B  温秀娟,曾雪兰    广发      0                 0.00%   货币型
4     270025      广发行业领先混合A       程琨    广发      0    5    1    1  0.15%   混合型
      ...            ...      ...   ...    ...  ...  ...  ...    ...   ...
5286  519683      交银双利债券A/B       唐赟    交银      0    2    2    1  0.08%   债券型
5287  160630  鹏华中证国防指数(LOF)       陈龙    鹏华      0         3       0.12%  股票指数
5288  001887      中欧价值智选混合E      袁维德    中欧      0              3  0.15%   混合型
5289  005427   渤海汇金汇增利3个月定开   李杨,高延龙  渤海汇金      0                 0.80%  定开债券
5290  005378     前海联合泓元定开债券   敬夏玺,张文  前海联合      0                 0.08%  定开债券
```

#### 上海证券评级

接口: fund_rating_sh

目标地址: http://fund.eastmoney.com/data/fundrating_3.html

描述: 获取天天基金网-基金评级-上海证券评级

限量: 单次返回指定交易日的所有基金评级数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| date | str | Y    |   date='20201030' |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 代码      | str   | Y        | -  |
| 简称      | str   | Y        | -   |
| 基金经理      | str   | Y        | -   |
| 基金公司      |  str  | Y        | -   |
| 3年期评级-3年评级      | float   | Y        | -   |
| 3年期评级-较上期      | float   | Y        | -   |
| 5年期评级-5年评级      | float   | Y        | -   |
| 5年期评级-较上期      | float   | Y        | -   |
| 单位净值      | float   | Y        | -   |
| 日期      | str   | Y        | -  |
| 日增长率      | float   | Y        | 注意单位: %  |
| 近1年涨幅      | float   | Y        | 注意单位: %  |
| 近3年涨幅      | float   | Y        | 注意单位: %  |
| 近5年涨幅      | float   | Y        | 注意单位: %  |
| 手续费      | str   | Y        | -  |
| 类型      | str   | Y        | -  |

接口示例

```python
import mssdk as ms
fund_rating_sh_df = ms.fund_rating_sh(date='20200930')
print(fund_rating_sh_df)
```

数据示例

```
          代码             简称 基金经理    基金公司  ...   近3年涨幅   近5年涨幅    手续费   类型
0     160505  博时主题行业混合(LOF)  金晟哲    博时基金  ...   40.53   95.81  0.15%  股票型
1     000003       中海可转债债券A  彭海平    中海基金  ...   20.44   -6.74  0.08%  债券型
2     000004       中海可转债债券C  彭海平    中海基金  ...   19.56   -8.05  0.00%  债券型
3     000011       华夏大盘精选混合  陈伟彦    华夏基金  ...   72.93  139.61  0.15%  混合型
4     000014         华夏聚利债券  何家琪    华夏基金  ...   48.17   46.51  0.06%  债券型
      ...            ...  ...     ...  ...     ...     ...    ...  ...
2856  740001       长安宏观策略混合  林忠晶    长安基金  ...   -3.76    8.10  0.15%  混合型
2857  750001       安信灵活配置混合   张竞    安信基金  ...  139.70  142.35  0.15%  混合型
2858  750002      安信目标收益债券A  张翼飞    安信基金  ...   19.21   24.80  0.08%  债券型
2859  770001         德邦优化混合   汪晖    德邦基金  ...   62.08   81.57  0.15%  混合型
2860  730002    方正富邦红利精选混合A   吴昊  方正富邦基金  ...   53.57  108.54  0.15%  混合型
```

#### 招商证券评级

接口: fund_rating_zs

目标地址: http://fund.eastmoney.com/data/fundrating_2.html

描述: 获取天天基金网-基金评级-招商证券评级

限量: 单次返回指定交易日的所有基金评级数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| date | str | Y    |   date='20201030' |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 代码      | str   | Y        | -  |
| 简称      | str   | Y        | -   |
| 基金经理      | str   | Y        | -   |
| 基金公司      |  str  | Y        | -   |
| 3年期评级-3年评级      | float   | Y        | -   |
| 3年期评级-较上期      | float   | Y        | -   |
| 单位净值      | float   | Y        | -   |
| 日期      | str   | Y        | -  |
| 日增长率      | float   | Y        | 注意单位: %  |
| 近1年涨幅      | float   | Y        | 注意单位: %  |
| 近3年涨幅      | float   | Y        | 注意单位: %  |
| 近5年涨幅      | float   | Y        | 注意单位: %  |
| 手续费      | str   | Y        | -  |

接口示例

```python
import mssdk as ms
fund_rating_zs_df = ms.fund_rating_zs(date='20201030')
print(fund_rating_zs_df)
```

数据示例

```
          代码       简称    基金经理     基金公司  ... 近1年涨幅  近3年涨幅  近5年涨幅    手续费
0     100058         富国产业债券A  黄纪亮,武磊     富国基金  ...  2.54  17.87  21.59  0.08%
1     675111       西部利得汇享债券A     严志勇   西部利得基金  ...  2.99  23.29         0.05%
2     003382       民生加银鑫享债券A      陆欣   民生加银基金  ...  0.42  13.41         0.08%
3     217011       招商安心收益债券C      马龙     招商基金  ...  2.97  17.26  24.30  0.00%
4     161716  招商双债增强债券(LOF)C     刘万锋     招商基金  ...  2.05  19.43  27.95  0.08%
      ...             ...     ...      ...  ...   ...    ...    ...    ...
1823  003571         招商招琪纯债A     周欣宇     招商基金  ...  0.23  11.48         0.80%
1824  003349          长信稳益纯债     张文琍     长信基金  ...  1.78  31.15         0.06%
1825  000194      银华信用四季红债券A  邹维娜,李丹     银华基金  ...  1.96  13.90  18.60  0.08%
1826  050027      博时信用债纯债债券A     张李陵     博时基金  ...  1.26  14.56  22.05  0.08%
1827  519762       交银裕通纯债债券A     季参平  交银施罗德基金  ...  1.04  13.58  15.04  0.80%
```

#### 济安金信评级

接口: fund_rating_ja

目标地址: http://fund.eastmoney.com/data/fundrating_4.html

描述: 获取天天基金网-基金评级-济安金信评级

限量: 单次返回指定交易日的所有基金评级数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| date | str | Y    |   date='20200930' |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 代码      | str   | Y        | -  |
| 简称      | str   | Y        | -   |
| 基金经理      | str   | Y        | -   |
| 基金公司      |  str  | Y        | -   |
| 3年期评级-3年评级      | float   | Y        | -   |
| 3年期评级-较上期      | float   | Y        | -   |
| 单位净值      | float   | Y        | -   |
| 日期      | str   | Y        | -  |
| 日增长率      | float   | Y        | 注意单位: %  |
| 近1年涨幅      | float   | Y        | 注意单位: %  |
| 近3年涨幅      | float   | Y        | 注意单位: %  |
| 近5年涨幅      | float   | Y        | 注意单位: %  |
| 手续费      | str   | Y        | -  |
| 类型      | str   | Y        | -  |

接口示例

```python
import mssdk as ms
fund_rating_ja_df = ms.fund_rating_ja(date='20200930')
print(fund_rating_ja_df)
```

数据示例

```
          代码           简称     基金经理    基金公司  ...   近3年涨幅   近5年涨幅    手续费   类型
0     003281     广发活期宝货币B   温秀娟,任爽    广发基金  ...    9.14          0.00%  货币型
1     000009   易方达天天理财货币A  石大怿,刘朝阳   易方达基金  ...    8.16   15.80  0.00%  货币型
2     000005   嘉实增强信用定期债券       刘宁    嘉实基金  ...   18.11   23.38  0.08%  纯债型
3     000013   易方达天天理财货币R  石大怿,刘朝阳   易方达基金  ...    8.98   17.27  0.00%  货币型
4     000010   易方达天天理财货币B  石大怿,刘朝阳   易方达基金  ...    8.94   17.21  0.00%  货币型
      ...          ...      ...     ...  ...     ...     ...    ...  ...
4468  730002  方正富邦红利精选混合A       吴昊  方正富邦基金  ...   53.57  108.54  0.15%  混合型
4469  740101   长安沪深300非周期      林忠晶    长安基金  ...   47.07   91.10  0.15%  指数型
4470  750001     安信灵活配置混合       张竞    安信基金  ...  139.70  142.35  0.15%  混合型
4471  770001       德邦优化混合       汪晖    德邦基金  ...   62.08   81.57  0.15%  混合型
4472  750005  安信平稳增长混合发起A       张明    安信基金  ...   23.43   40.49  0.15%  混合型
```

### 基金经理

接口: fund_manager

目标地址: http://fund.eastmoney.com/manager/default.html

描述: 天天基金网-基金数据-基金经理大全

限量: 单次返回所有基金经理数据

输入参数

| 名称   | 类型 |  描述 |
| -------- | ---- | --- |
| explode | str |    默认 explode=False, 返回目标地址相同格式; explode=True, 返回根据 `现任基金` 打散后的数据 |

输出参数

| 名称          | 类型 | 描述           |
| --------------- | ----- |  ---------------- |
| 序号      | int32   |  -  |
| 姓名      | object   |  -   |
| 所属公司      | object   |  -   |
| 现任基金      |  object  |  -   |
| 累计从业时间      | int64   |  注意单位: 天   |
| 现任基金资产总规模      | float64   | 注意单位: 亿元  |
| 现任基金最佳回报      | float64   |  注意单位: %   |

接口示例-explode=False

```python
import mssdk as ms
fund_manager_df = ms.fund_manager(explode=False)
print(fund_manager_df)
```

数据示例-explode=False

```
       序号  姓名    所属公司  ... 累计从业时间  现任基金资产总规模  现任基金最佳回报
0        1  艾定飞    华商基金  ...   1094       4.55    106.64
1        2  艾小军    国泰基金  ...   2872     735.45    222.26
2        3   安昀    长信基金  ...   2772      41.64    148.20
3        4   彬彬    人保资产  ...   1044       0.55     56.13
4        5  包兵华    鹏华基金  ...    949      62.48    135.83
    ...  ...     ...  ...    ...        ...       ...
2733  2734  赵治烨    上银基金  ...   2387      13.75    113.12
2734  2735  张子炎    富国基金  ...    908      24.09     24.43
2735  2736   梁策  红土创新基金  ...    170        NaN       NaN
2736  2737   宋鑫    中航基金  ...    170        NaN       NaN
2737  2738  孙少鹏    华夏基金  ...     40        NaN       NaN
```

接口示例-explode=True

```python
import mssdk as ms
fund_manager_df = ms.fund_manager(explode=True)
print(fund_manager_df)
```

数据示例-explode=True

```
        序号  姓名    所属公司                   现任基金  累计从业时间  现任基金资产总规模  现任基金最佳回报
0         1  艾定飞    华商基金                华商电子行业量化股票    1094       4.55    106.64
1         1  艾定飞    华商基金               华商计算机行业量化股票    1094       4.55    106.64
2         2  艾小军    国泰基金                国泰黄金ETF联接A    2872     735.45    222.26
3         2  艾小军    国泰基金                国泰黄金ETF联接C    2872     735.45    222.26
4         2  艾小军    国泰基金               国泰量化成长优选混合A    2872     735.45    222.26
     ...  ...     ...                       ...     ...        ...       ...
18328  2735  张子炎    富国基金  富国智鑫行业精选一年封闭股票(FOF-LOF)C     908      24.09     24.43
18329  2735  张子炎    富国基金  富国智鑫行业精选一年封闭股票(FOF-LOF)A     908      24.09     24.43
18330  2736   梁策  红土创新基金                    盐港REIT     170        NaN       NaN
18331  2737   宋鑫    中航基金                      首钢绿能     170        NaN       NaN
18332  2738  孙少鹏    华夏基金                华夏越秀高速REIT      40        NaN       NaN
```

### 新发基金

接口: fund_em_new_found

目标地址: http://fund.eastmoney.com/data/xinfound.html

描述: 获取天天基金网-基金数据-新发基金

限量: 单次返回所有新发基金数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| - | -| -    |   - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 基金代码      | object   | Y        | -  |
| 基金简称      | object   | Y        | -   |
| 发行公司      | object   | Y        | -   |
| 基金类型      |  object  | Y        | -   |
| 集中认购期      | object   | Y        | -   |
| 募集份额      | object   | Y        | 注意单位: 亿份   |
| 成立日期      | object   | Y        | -  |
| 成立来涨幅      | object   | Y        | 注意单位: %  |
| 基金经理      | object   | Y        | -  |
| 申购状态      | object   | Y        | -  |
| 优惠费率      | object   | Y        | 注意单位: %  |

接口示例

```python
import mssdk as ms
fund_em_new_found_df = ms.fund_em_new_found()
print(fund_em_new_found_df)
```

数据示例

```
        基金代码           基金简称    发行公司  基金类型  ...  成立来涨幅     基金经理  申购状态   优惠费率
0     010917        德邦锐祥债券A    德邦基金   债券型  ...   0.06      范文静  开放申购  0.08%
1     010918        德邦锐祥债券C    德邦基金   债券型  ...  -5.81      范文静  开放申购  0.00%
2     011668      东财高端制造增强C    东财基金  股票指数  ...   0.85  姚楠燕,杨路炜  开放申购  0.00%
3     011667      东财高端制造增强A    东财基金  股票指数  ...   0.87  姚楠燕,杨路炜  开放申购  0.15%
4     011815       恒越优势精选混合    恒越基金   混合型  ...   4.72       叶佳  开放申购  0.15%
      ...            ...     ...   ...  ...    ...      ...   ...    ...
2919  005301   前海开源弘泽债券发起式A  前海开源基金   债券型  ...  77.40      李炳智  开放申购  0.08%
2920  005294     诺德新宜灵活配置混合    诺德基金   混合型  ...  25.39       顾钰   限大额  0.15%
2921  004652  建信鑫利回报灵活配置混合A    建信基金   混合型  ...  42.11      叶乐天   限大额  0.15%
2922  004653  建信鑫利回报灵活配置混合C    建信基金   混合型  ...  43.75      叶乐天   限大额  0.00%
2923  005295     诺德天富灵活配置混合    诺德基金   混合型  ...  32.92      曾文宏   限大额  0.15%
```

### 基金规模

#### 开放式基金

接口: fund_scale_open_sina

目标地址: http://vip.stock.finance.sina.com.cn/fund_center/index.html#jjhqetf

描述: 基金数据中心-基金规模-开放式基金

限量: 单次返回指定 symbol 的基金规模数据

输入参数

| 名称   | 类型 | 描述 |
| -------- | ---- |  --- |
| symbol | str | symbol="股票型基金"; choice of {"股票型基金", "混合型基金", "债券型基金", "货币型基金", "QDII基金"} |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 序号      | int64   |  -  |
| 基金代码      | object   |  -   |
| 基金简称      | object   |  -   |
| 单位净值      | float64   |  注意单位: 元   |
| 总募集规模      | float64   |  注意单位: 万份   |
| 最近总份额      | float64   |  注意单位: 份   |
| 成立日期      | object   |  -   |
| 基金经理      | object   |  -   |
| 更新日期      | object   |  -   |

接口示例

```python
import mssdk as ms
fund_scale_open_sina_df = ms.fund_scale_open_sina(symbol='股票型基金')
print(fund_scale_open_sina_df)
```

数据示例

```
        序号    基金代码          基金简称  ...        成立日期     基金经理        更新日期
0        1  510300            华泰柏瑞沪深300ETF  ...  2012-05-04       柳军  2021-10-15
1        2  009341               易方达均衡成长股票  ...  2020-05-22       陈皓  2021-10-15
2        3  512960             博时央企结构调整ETF  ...  2018-10-19      赵云阳  2021-10-15
3        4  000051           华夏沪深300ETF联接A  ...  2009-07-10  张弘弢、赵宗庭  2021-10-15
4        5  001409                工银互联网加股票  ...  2015-06-05       单文  2021-10-15
    ...     ...                     ...  ...         ...      ...         ...
2374  2375  010505          申万菱信创业板量化精选股票C  ...  2020-10-29       俞诚  2021-10-15
2375  2376  010524        银华中证5G通信主题ETF联接C  ...  2021-01-04    王帅、马君  2021-10-15
2376  2377  010531  申万菱信中证申万电子行业投资指数(LOF)C  ...  2020-11-11      龚丽丽  2021-10-15
2377  2378  010556           汇添富沪深300指数增强C  ...  2020-11-03  吴振翔、许一尊  2021-10-15
2378  2379  960000               汇丰晋信大盘股票H  ...  2015-12-29      黄立华  2021-10-15
```

#### 封闭式基金

接口: fund_scale_close_sina

目标地址: http://vip.stock.finance.sina.com.cn/fund_center/index.html#jjhqetf

描述: 基金数据中心-基金规模-封闭式基金

限量: 单次返回所有封闭式基金的基金规模数据

输入参数

| 名称   | 类型 | 描述 |
| -------- | ---- |  --- |
| - | - | - |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 序号      | int64   |  -  |
| 基金代码      | object   |  -   |
| 基金简称      | object   |  -   |
| 单位净值      | float64   |  注意单位: 元   |
| 总募集规模      | float64   |  注意单位: 万份   |
| 最近总份额      | float64   |  注意单位: 份   |
| 成立日期      | object   |  -   |
| 基金经理      | object   |  -   |
| 更新日期      | object   |  -   |

接口示例

```python
import mssdk as ms
fund_scale_close_sina_df = ms.fund_scale_close_sina()
print(fund_scale_close_sina_df)
```

数据示例

```
      序号    基金代码             基金简称  ...        成立日期     基金经理        更新日期
0      1  163418   兴全合兴两年封闭运作混合(LOF)A  ...  2021-01-12       陈宇  2021-10-15
1      2  010670   兴全合兴两年封闭运作混合(LOF)C  ...  2021-01-12       陈宇         NaT
2      3  001369         兴业稳固收益两年理财债券  ...  2015-06-10      唐丁祥  2021-10-15
3      4  007420          华安鼎信3个月定开债券  ...  2019-05-15  朱才敏、鲍越愚  2021-10-15
4      5  006393       招商添德3个月定开债发起式A  ...  2018-09-12       滕越  2021-10-15
..   ...     ...                  ...  ...         ...      ...         ...
101  102  519059           海富通可转债优选债券  ...  2014-05-06       何谦         NaT
102  103  007501  万家科创主题3年封闭运作灵活配置混合C  ...  2019-06-12      李文宾         NaT
103  104  006394       招商添德3个月定开债发起式C  ...  2018-09-12       滕越         NaT
104  105  005863         华夏鼎禄三个月定开债券C  ...  2018-10-11      张海静         NaT
105  106  000631             中银聚利分级债券  ...  2014-06-05       陈玮         NaT
```

#### 分级子基金

接口: fund_scale_structured_sina

目标地址: http://vip.stock.finance.sina.com.cn/fund_center/index.html#jjhqetf

描述: 基金数据中心-基金规模-分级子基金

限量: 单次返回所有分级子基金的基金规模数据

输入参数

| 名称   | 类型 | 描述 |
| -------- | ---- |  --- |
| - | - | - |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 序号      | int64   |  -  |
| 基金代码      | object   |  -   |
| 基金简称      | object   |  -   |
| 单位净值      | float64   |  注意单位: 元   |
| 总募集规模      | float64   |  注意单位: 万份   |
| 最近总份额      | float64   |  注意单位: 份   |
| 成立日期      | object   |  -   |
| 基金经理      | object   |  -   |
| 更新日期      | object   |  -   |

接口示例

```python
import mssdk as ms
fund_scale_structured_sina_df = ms.fund_scale_structured_sina()
print(fund_scale_structured_sina_df)
```

数据示例

```
     序号  基金代码       基金简称  ...        成立日期     基金经理        更新日期
0      1  150006           长盛同庆A  ...  2009-05-12       王宁         NaT
1      2  150007           长盛同庆B  ...  2009-05-12       王宁         NaT
2      3  150099        长盛同庆800B  ...  2012-05-12       王超         NaT
3      4  150098        长盛同庆800A  ...  2012-05-12       王超         NaT
4      5  150259      易方达重组指数分级A  ...  2015-06-03      刘树荣         NaT
..   ...     ...             ...  ...         ...      ...         ...
397  398  000910         鑫元合丰纯债C  ...  2016-12-27      郑文旭  2021-10-15
398  399  000501    华富恒富18个月定开债C  ...  2017-11-22      姚姣姣  2021-10-15
399  400  000502    华富恒富18个月定开债A  ...  2017-11-22      姚姣姣  2021-10-15
400  401  000623     华富恒财定期开放债券C  ...  2018-08-07      倪莉莎         NaT
401  402  163118  申万菱信中证申万医药生物指数  ...  2021-01-01  龚丽丽、王赟杰  2021-10-15
```

### 基金公司规模

#### 基金规模详情

接口: fund_em_aum

目标地址: http://fund.eastmoney.com/Company/lsgm.html

描述: 天天基金网-基金数据-基金规模

限量: 单次返回所有基金规模数据

输入参数

| 名称   | 类型 | 描述 |
| -------- | ---- |  --- |
| - | -|    - |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 序号      | int64   |  -  |
| 基金公司      | object   |  -   |
| 成立时间      | object   |  -   |
| 全部管理规模      |  float64  |  注意单位: 亿元   |
| 全部基金数      |  int64  |  -   |
| 全部经理数      |  int64  | -   |
| 更新日期      |  object  |  -   |

接口示例

```python
import mssdk as ms
fund_em_aum_df = ms.fund_em_aum()
print(fund_em_aum_df)
```

数据示例

```
      序号           基金公司        成立时间    全部管理规模  全部基金数  全部经理数   更新日期
0      1    易方达基金管理有限公司  2001-04-17  14413.25    392     61  06-28
1      2     天弘基金管理有限公司  2004-11-08  12243.93    199     33  06-24
2      3     广发基金管理有限公司  2003-08-05   9865.64    442     68  06-23
3      4  汇添富基金管理股份有限公司  2005-02-03   9296.03    309     50  06-24
4      5   南方基金管理股份有限公司  1998-03-06   8947.93    418     65  06-24
..   ...            ...         ...       ...    ...    ...    ...
164  165   北京高华证券有限责任公司  2004-10-18       NaN      0      0   None
165  166     平安证券股份有限公司  1996-07-18       NaN      4      3   None
166  167     东海证券股份有限公司  1993-01-16       NaN      2      1   None
167  168     国海证券股份有限公司  1993-06-28       NaN      2      1   None
168  169     汇泉基金管理有限公司  2020-06-15       NaN      1      2   None
```

#### 基金规模走势

接口: fund_em_aum_trend

目标地址: http://fund.eastmoney.com/Company/default.html

描述: 天天基金网-基金数据-市场全部基金规模走势

限量: 单次返回所有市场全部基金规模走势数据

输入参数

| 名称   | 类型 | 描述 |
| -------- | ---- |  --- |
| - | -|    - |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| date      | object   |  -  |
| value      | float64   |  -   |

接口示例

```python
import mssdk as ms
fund_em_aum_trend_df = ms.fund_em_aum_trend()
print(fund_em_aum_trend_df)
```

数据示例

```
          date         value
0   2016-06-30  7.795280e+12
1   2016-09-30  8.572922e+12
2   2016-12-31  8.966215e+12
3   2017-03-31  8.964740e+12
4   2017-06-30  9.887788e+12
5   2017-09-30  1.085338e+13
6   2017-12-31  1.141607e+13
7   2018-03-31  1.205598e+13
8   2018-06-30  1.256286e+13
9   2018-09-30  1.307637e+13
10  2018-12-31  1.285114e+13
11  2019-03-31  1.349216e+13
12  2019-06-30  1.321250e+13
13  2019-09-30  1.332581e+13
14  2019-12-31  1.463123e+13
15  2020-03-31  1.624671e+13
16  2020-06-30  1.649092e+13
17  2020-09-30  1.717224e+13
18  2020-12-31  1.953767e+13
19  2021-03-31  2.116346e+13
20  2021-06-28  2.233053e+13
```

#### 基金公司历年管理规模

接口: fund_em_aum_hist

目标地址: http://fund.eastmoney.com/Company/lsgm.html

描述: 天天基金网-基金数据-基金公司历年管理规模排行列表

限量: 单次返回所有基金公司历年管理规模排行列表数据

输入参数

| 名称   | 类型 | 描述 |
| -------- | ---- |  --- |
| year | str |    year="2019"; 从 2001 年开始 |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 序号      | int64   |  -  |
| 基金公司      | object   |  -   |
| 总规模      | float64   |  -   |
| 股票型      | float64   |  -   |
| 混合型      | float64   |  -   |
| 债券型      | float64   |  -   |
| 指数型      | float64   |  -   |
| QDII      | float64   |  -   |
| 货币型      | float64   |  -   |

接口示例

```python
import mssdk as ms
fund_em_aum_hist_df = ms.fund_em_aum_hist(year="2020")
print(fund_em_aum_hist_df)
```

数据示例

```
      序号              基金公司       总规模  ...      指数型    QDII       货币型
0      1        天弘基金管理有限公司  14106.86  ...   415.47    7.31  12858.30
1      2       易方达基金管理有限公司  11533.91  ...  1100.72  217.20   4198.96
2      3     汇添富基金管理股份有限公司   7856.76  ...   529.67   55.59   2778.20
3      4      南方基金管理股份有限公司   7723.45  ...   952.52   78.08   3559.41
4      5        华夏基金管理有限公司   7562.78  ...  2010.63  169.72   2654.38
..   ...               ...       ...  ...      ...     ...       ...
155  156        天风证券股份有限公司      0.71  ...      NaN     NaN       NaN
156  157  天风(上海)证券资产管理有限公司      0.71  ...      NaN     NaN       NaN
157  158        国都证券股份有限公司      0.61  ...      NaN     NaN       NaN
158  159      明亚基金管理有限责任公司      0.55  ...      NaN     NaN       NaN
159  160        东兴证券股份有限公司      0.18  ...     0.85     NaN     26.47
```

### REITs

#### REITs-信息

接口: reits_info_jsl

目标地址: https://www.jisilu.cn/data/cnreits/#CnReits

描述: 集思录-实时数据-REITs-A股 REITs

限量: 单次返回所有 REITs 的基本信息数据

输入参数

| 名称   | 类型 | 描述 |
| -------- | ---- |  --- |
| - | -|    - |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 代码      | object   |  -  |
| 简称      | object   |  -   |
| 现价      | float64   |  -   |
| 涨幅      | float64   |  注意单位: %   |
| 成交额      | float64   |  注意单位: 万元   |
| 净值      | float64   |  -   |
| 净值日期      | object   |  -   |
| 折价率      | float64   |  注意单位: %   |
| 规模      | float64   |  注意单位: 万元   |
| 到期日      | object   |  -   |
| 剩余年限      | float64   |  注意单位: 年   |
| 全称      | object   |  -   |
| 项目类型      | object   |  -   |
| 基金公司      | object   |  -   |

接口示例

```python
import mssdk as ms
reits_info_jsl_df = ms.reits_info_jsl()
print(reits_info_jsl_df)
```

数据示例

```
   代码      简称      现价  ...                         全称                 项目类型      基金公司
0  508056     普洛斯   4.060  ...     中金普洛斯仓储物流封闭式基础设施证券投资基金        仓储物流  中金基金
1  508027    东吴苏园   3.891  ...   东吴苏州工业园区产业园封闭式基础设施证券投资基金        产业园区  东吴基金
2  508006    首创水务   4.019  ...        富国首创水务封闭式基础设施证券投资基金        市政设施  富国基金
3  508001    浙江杭徽   9.161  ...   浙商证券沪杭甬杭徽高速封闭式基础设施证券投资基金        高速公路  浙商资管
4  508000  张江REIT   3.082  ...       华安张江光大园封闭式基础设施证券投资基金        产业园区  华安基金
5  180801    首钢绿能  14.716  ...       中航首钢生物质封闭式基础设施证券投资基金  垃圾处理及生物质发电  中航基金
6  180301  盐港REIT   2.394  ...   红土创新盐田港仓储物流封闭式基础设施证券投资基金      港口仓储物流  红土创新
7  180201    广州广河  12.767  ...  平安广州交投广河高速公路封闭式基础设施证券投资基金        收费公路  平安基金
8  180101    蛇口产园   2.430  ...     博时招商蛇口产业园封闭式基础设施证券投资基金        产业园区  博时基金
```

#### REITs-行情

接口: reits_realtime_em

目标地址: http://quote.eastmoney.com/center/gridlist.html#fund_reits_all

描述: 东方财富网-行情中心-REITs-沪深 REITs

限量: 单次返回所有 REITs 的实时行情数据

输入参数

| 名称   | 类型 | 描述 |
| -------- | ---- |  --- |
| - | -|    - |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 序号      | int64   |  -  |
| 代码      | object   |  -   |
| 名称      | object   |  -   |
| 最新价      | float64   |  -   |
| 涨跌额      | float64   |  -   |
| 涨跌幅      | float64   |  注意单位: %   |
| 成交量      | int64   |  -   |
| 成交额      | float64   |  -   |
| 开盘价      | float64   |  -   |
| 最高价      | float64   |  -   |
| 最低价      | float64   |  -   |
| 昨收      | float64   |  -   |

接口示例

```python
import mssdk as ms
reits_realtime_em_df = ms.reits_realtime_em()
print(reits_realtime_em_df)
```

数据示例

```
   序号      代码          名称     最新价  ...  开盘价  最高价  最低价     昨收
0   1  180301   红土盐田港REIT   2.394  ...   2.340   2.397   2.338   2.340
1   2  508056   中金普洛斯REIT   4.060  ...   4.008   4.074   4.004   4.008
2   3  508000  华安张江光大REIT   3.082  ...   3.045   3.093   3.040   3.044
3   4  508001   浙商沪杭甬REIT   9.161  ...   9.071   9.163   9.070   9.071
4   5  180801  中航首钢绿能REIT  14.716  ...  14.575  14.727  14.568  14.575
5   6  180101  博时蛇口产园REIT   2.430  ...   2.410   2.431   2.403   2.410
6   7  508006  富国首创水务REIT   4.019  ...   3.988   4.021   3.980   3.986
7   8  180201  平安广州广河REIT  12.767  ...  12.680  12.771  12.680  12.680
8   9  508027  东吴苏园产业REIT   3.891  ...   3.877   3.896   3.875   3.875
```

### 基金报告

#### 基金重仓股

接口: fund_report_stock_cninfo

目标地址: http://webapi.cninfo.com.cn/#/thematicStatistics

描述: 巨潮资讯-数据中心-专题统计-基金报表-基金重仓股

限量: 返回指定 date 的所有数据; date 从 2017 年开始

输入参数

| 名称   | 类型 |  描述       |
| -------- | ---- |  --- |
| date | str  |  date="20210630"; choice of {"XXXX0331", "XXXX0630", "XXXX0930", "XXXX1231"}, 其中 XXXX 为年份|

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 序号      | int64   |  -  |
| 股票代码      | object   |  -   |
| 股票简称      | object   |  -   |
| 报告期      | object   |  -   |
| 基金覆盖家数      | int64   |  -   |
| 持股总数      | object   |  -   |
| 持股总市值      | object   |  -   |

接口示例

```python
import mssdk as ms
fund_report_stock_cninfo_df = ms.fund_report_stock_cninfo(date="20210630")
print(fund_report_stock_cninfo_df)
```

数据示例

```
        序号    股票代码  股票简称         报告期  基金覆盖家数     持股总数     持股总市值
0        1  605011  杭州热电  2021-06-30    3679  1906476   1692.95
1        2  603171  税友股份  2021-06-30    3610  2262732   4344.45
2        3  001208  华菱线缆  2021-06-30    3548  6139667   4745.96
3        4  605287  德才股份  2021-06-30    3415  1184902   3739.55
4        5  601528  瑞丰银行  2021-06-30    3284  7197187  11206.02
    ...     ...   ...         ...     ...      ...       ...
3931  3932  605198  德利股份  2021-06-30       1    61300    140.87
3932  3933  688028   沃尔德  2021-06-30       1     1436      5.19
3933  3934  688128  中国电研  2021-06-30       1     1794      3.31
3934  3935  688218  江苏北人  2021-06-30       1     5790     10.03
3935  3936  688360  德马科技  2021-06-30       1     1188      3.11
```

#### 基金行业配置

接口: fund_report_industry_allocation_cninfo

目标地址: http://webapi.cninfo.com.cn/#/thematicStatistics

描述: 巨潮资讯-数据中心-专题统计-基金报表-基金行业配置

限量: 返回指定 date 的所有数据; date 从 2017 年开始

输入参数

| 名称   | 类型 |  描述       |
| -------- | ---- |  --- |
| date | str  |  date="20210630"; choice of {"XXXX0331", "XXXX0630", "XXXX0930", "XXXX1231"}, 其中 XXXX 为年份|

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 行业编码      | object   |  -  |
| 证监会行业名称      | object   |  -   |
| 报告期      | object   |  -   |
| 基金覆盖家数      | int64   |  注意单位: 只   |
| 行业规模      | float64   |  注意单位: 亿元   |
| 占净资产比例      | float64   |  注意单位: %   |

接口示例

```python
import mssdk as ms
fund_report_industry_allocation_cninfo_df = ms.fund_report_industry_allocation_cninfo(date="20210630")
print(fund_report_industry_allocation_cninfo_df)
```

数据示例

```
   行业编码           证监会行业名称         报告期  基金覆盖家数      行业规模  占净资产比例
0     A          农、林、牧、渔业  2021-06-30    3117    225.63    0.10
1     B               采矿业  2021-06-30    2182    807.04    0.35
2     C               制造业  2021-06-30    4897  37945.44   16.66
3     D  电力、热力、燃气及水生产和供应业  2021-06-30    4044    350.24    0.15
4     E               建筑业  2021-06-30    3931    236.84    0.10
5     F            批发和零售业  2021-06-30    3802    352.99    0.15
6     G       交通运输、仓储和邮政业  2021-06-30    2150    739.33    0.32
7     H            住宿和餐饮业  2021-06-30     513    145.43    0.06
8     I   信息传输、软件和信息技术服务业  2021-06-30    4472   2501.85    1.10
9     J               金融业  2021-06-30    4348   4539.41    1.99
10    K              房地产业  2021-06-30    2062    669.58    0.29
11    L          租赁和商务服务业  2021-06-30    2410   1035.95    0.45
12    M        科学研究和技术服务业  2021-06-30    3052   1595.45    0.70
13    N     水利、环境和公共设施管理业  2021-06-30    3486    124.66    0.05
14    O     居民服务、修理和其他服务业  2021-06-30       1      0.00    0.00
15    P                教育  2021-06-30     737     77.00    0.03
16    Q           卫生和社会工作  2021-06-30    1877   1487.55    0.65
17    R         文化、体育和娱乐业  2021-06-30    1386    375.28    0.16
18    S                综合  2021-06-30     278     60.31    0.03
```

#### 基金资产配置

接口: fund_report_asset_allocation_cninfo

目标地址: http://webapi.cninfo.com.cn/#/thematicStatistics

描述: 巨潮资讯-数据中心-专题统计-基金报表-基金资产配置

限量: 返回所有基金资产配置数据

输入参数

| 名称   | 类型 |  描述       |
| -------- | ---- |  --- |
| - | -  |  -|

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 报告期      | object   |  -  |
| 基金覆盖家数      | object   |  注意单位: 只  |
| 股票权益类占净资产比例      | object   |  注意单位: %  |
| 债券固定收益类占净资产比例      | object   |  注意单位: %  |
| 现金货币类占净资产比例      | object   |  注意单位: %  |
| 基金市场净资产规模      | object   |  注意单位: 亿元  |

接口示例

```python
import mssdk as ms
fund_report_asset_allocation_cninfo_df = ms.fund_report_asset_allocation_cninfo()
print(fund_report_asset_allocation_cninfo_df)
```

数据示例

```
     报告期  基金覆盖家数  股票权益类占净资产比例  债券固定收益类占净资产比例  现金货币类占净资产比例  基金市场净资产规模
0   2021-09-30      14         0.00          71.26        24.18    1043.41
1   2021-06-30    7700        26.64          47.65        19.45  227806.25
2   2021-03-31    7334        24.59          48.25        19.57  213273.85
3   2020-12-31    7057        26.10          47.42        18.90  199776.08
4   2020-09-30    6768        23.54          48.52        20.76  176360.33
5   2020-06-30    6428        19.86          52.74        17.93  168944.05
6   2020-03-31    6122        16.11          52.68        19.89  166387.38
7   2019-12-31    5787        17.58          50.87        24.20  145213.04
8   2019-09-30    5569        16.06          49.40        24.37  138075.85
9   2019-06-30    5355        15.48          49.81        23.68  135130.58
10  2019-03-31    5175        14.92          49.73        26.93  137015.88
11  2018-12-31    4941        12.22          53.19        28.12  127947.67
12  2018-09-30    4863        12.92          47.32        29.63  132854.81
13  2018-06-30    4812        14.11          45.00        33.61  127027.96
14  2018-03-31    4705        14.90          40.11        33.32  125909.61
15  2017-12-31    4528        15.91          39.34        34.50  114655.16
16  2017-09-30    4392        16.81          39.49        36.05  110725.03
17  2017-06-30    4187        18.11          37.55        35.39   99761.94
18  2017-03-31    3894        19.74          40.35        31.50   89875.33
19  2016-12-31    3412        17.99          36.46        27.52   92423.90
20  2016-09-30    3111        18.25          40.07        31.91   92392.20
21  2016-06-30    2915        19.44          38.55        33.25   83606.30
22  2016-03-31    2724        19.20          37.65        35.20   82232.73
23  2015-12-31    2516        21.51          30.27        33.86   87487.64
24  2015-09-30    2426        20.01          30.84        39.79   72006.13
25  2015-06-30    2091        27.99          20.37        31.60   72202.28
26  2015-03-31    1919        33.48          21.51        32.55   56153.24
27  2014-12-31    1817        31.70          25.43        29.96   48559.25
28  2014-09-30    1728        32.77          26.66        33.34   41275.23
29  2014-06-30    1641        31.83          25.38        35.99   38174.29
30  2014-03-31    1575        33.39          22.63        38.69   35811.83
31  2013-12-31    1466        43.83          23.29        24.00   30912.11
32  2013-09-30    1373        48.01          26.36        19.16   29450.73
33  2013-06-30    1284        48.60          30.85        12.42   26202.70
34  2013-03-31    1194        47.22          26.80        19.06   28679.39
35  2012-12-31    1109        49.37          24.52        18.40   28506.87
36  2012-09-30    1039        52.21          24.82        15.75   25137.62
37  2012-06-30     954        54.78          23.07        14.40   24650.49
38  2012-03-31     916        58.61          20.18        15.70   23031.47
39  2011-12-31     867        59.21          19.64        13.00   22551.12
40  2011-09-30     816        64.66          16.52         9.59   22018.15
41  2011-06-30     756        67.93          15.81         7.96   23914.36
42  2011-03-31     716        69.82          14.23         9.52   24733.64
43  2010-12-31     652        72.74          12.55         7.67   24895.21
44  2010-09-30     621        73.12          13.40         8.85   24036.48
45  2010-06-30     584        66.47          15.19        12.49   21184.48
46  2010-03-31     554        73.87          12.01        10.19   24404.52
47  2009-12-31     527        73.17          11.13        10.02   26339.62
48  2009-09-30     499        71.52          13.24        11.63   22022.15
49  2009-06-30     469        73.62          14.23         9.83   22538.01
50  2009-03-31     441        62.54          23.31        12.93   19817.62
51  2008-12-31     414        47.86          35.58        13.20   19226.22
52  2008-09-30     393        58.04          30.21        10.86   18272.96
53  2008-06-30     360        63.35          19.44        10.74   20680.07
54  2008-03-31     344        69.27          14.90        13.53   25757.00
55  2007-12-31     344        74.90          10.19        10.90   32918.04
56  2007-09-30     329        77.61           9.28        12.44   29924.06
```

### 规模份额

#### 规模变动

接口: fund_scale_change_em

目标地址: http://fund.eastmoney.com/data/gmbdlist.html

描述: 天天基金网-基金数据-规模份额-规模变动

限量: 返回所有规模变动数据

输入参数

| 名称   | 类型 |  描述       |
| -------- | ---- |  --- |
| - | -  |  -|

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 序号      | int64   |  -  |
| 截止日期      | object   |  -  |
| 基金家数      | int64   |  -  |
| 期间申购      | float64   |  注意单位: 亿份  |
| 期间赎回      | float64   |  注意单位: 亿份  |
| 期末总份额      | float64   |  注意单位: 亿份  |
| 期末净资产      | float64   |  注意单位: 亿份  |

接口示例

```python
import mssdk as ms
fund_scale_change_em_df = ms.fund_scale_change_em()
print(fund_scale_change_em_df)
```

数据示例

```
    序号 截止日期     基金家数 期间申购    期间赎回    期末总份额   期末净资产
0    1  2021-09-30  12829  320477.35  316302.24  213535.92  237352.35
1    2  2021-06-30  11972  294051.37  295383.82  203801.97  229039.02
2    3  2021-03-31  11297  318560.47  309789.80  197837.33  214310.09
3    4  2020-12-31  10853  285661.46  280535.82  177924.60  201568.21
4    5  2020-09-30  10311  274956.50  282672.08  163595.88  177245.55
..  ..         ...    ...        ...        ...        ...        ...
89  90  1999-06-30     12        NaN        NaN     260.00     360.04
90  91  1999-03-31      6        NaN        NaN     120.00     128.21
91  92  1998-12-31      5        NaN        NaN     100.00     107.42
92  93  1998-09-30      5        NaN        NaN     100.00     101.79
93  94  1998-06-30      4        NaN        NaN      80.00      82.72
```

#### 持有人结构

接口: fund_hold_structure_em

目标地址: http://fund.eastmoney.com/data/cyrjglist.html

描述: 天天基金网-基金数据-规模份额-持有人结构

限量: 返回所有持有人结构数据

输入参数

| 名称   | 类型 |  描述       |
| -------- | ---- |  --- |
| - | -  |  -|

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 序号      | int64   |  -  |
| 截止日期      | object   |  -  |
| 基金家数      | int64   |  -  |
| 机构持有比列      | float64   |  注意单位: %  |
| 个人持有比列      | float64   |  注意单位: %  |
| 内部持有比列      | float64   |  注意单位: %  |
| 总份额      | float64   |  注意单位: 亿份  |

接口示例

```python
import mssdk as ms
fund_hold_structure_em_df = ms.fund_hold_structure_em()
print(fund_hold_structure_em_df)
```

数据示例

```
    序号 截止日期 基金家数 机构持有比列 个人持有比列 内部持有比列 总份额
0    1  2021-06-30  11799   46.79   53.68    0.65  203021.23
1    2  2020-12-31  10614   48.56   51.79    0.60  177130.31
2    3  2020-06-30   9622   50.47   49.81    0.58  161602.66
3    4  2019-12-31   8602   49.35   50.73    0.48  148597.63
4    5  2019-06-30   7816   48.47   51.78    0.45  147281.28
5    6  2018-12-31   7121   48.12   52.39    0.34  142035.02
6    7  2018-06-30   7021   44.02   56.00    0.28  140090.11
7    8  2017-12-31   6591   48.18   51.91    0.24  122782.24
8    9  2017-06-30   6120   49.24   50.77    0.27  118044.49
9   10  2016-12-31   4921   53.77   46.92    0.31  109800.64
10  11  2016-06-30   4179   53.98   46.01    0.26  117137.30
11  12  2015-12-31   4193   47.42   52.57    0.40  122292.88
12  13  2015-06-30   3339   38.34   61.55    0.55   91637.69
13  14  2014-12-31   2500   28.30   72.02    0.64   61490.76
14  15  2014-06-30   2227   27.46   72.38    0.91   57789.93
15  16  2013-12-31   1961   26.91   74.45    1.33   41896.32
16  17  2013-06-30   1688   25.10   78.03    1.41   34968.03
17  18  2012-12-31   1391   27.56   72.49    1.47   30319.83
18  19  2012-06-30   1169   24.42   77.86    2.30   26441.78
19  20  2011-12-31   1017   25.04   77.67    1.99   25755.88
20  21  2011-06-30    876   20.46   80.85    1.37   23561.04
21  22  2010-12-31    750   21.34   80.29    1.36   22991.23
22  23  2010-06-30    664   16.62   86.15    0.99   23082.30
23  24  2009-12-31    600   20.27   82.84    0.36   23112.19
24  25  2009-06-30    522   14.58   88.84    0.03   21839.02
25  26  2008-12-31    455   15.70   86.93    0.02   24780.24
26  27  2008-06-30    391   12.40   92.53    0.01   21690.83
27  28  2007-12-31    367   11.12   93.65    0.01   21479.03
28  29  2007-06-30    340   15.46   91.26    0.35   11237.33
29  30  2006-12-31    300   37.44   81.51    0.00    4024.31
30  31  2006-06-30    249   60.80   65.54    0.00    2759.32
31  32  2005-12-31    211   55.68   60.64    0.00    3904.09
32  33  2005-06-30    184   56.04   66.87    0.00    3521.60
33  34  2004-12-31    153   55.29   79.25    0.00    2365.37
34  35  2004-06-30    127   66.97   79.44    0.00    1759.85
```
