## [mssdk](https://github.com/akfamily/mssdk) 外汇数据

### 人民币牌价数据

接口: currency_boc_sina

目标地址: http://biz.finance.sina.com.cn/forex/forex.php?startdate=2012-01-01&enddate=2021-06-14&money_code=EUR&type=0

描述: 获取新浪财经-中行人民币牌价历史数据

限量: 单次返回指定日期的所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| symbol | str | Y | symbol="欧元"; choice of {'美元', '英镑', '欧元', '澳门元', '泰国铢', '菲律宾比索', '港币', '瑞士法郎', '新加坡元', '瑞典克朗', '丹麦克朗', '挪威克朗', '日元', '加拿大元', '澳大利亚元', '新西兰元', '韩国元'} |
| date | str | Y | date="20210614" |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | object   | Y        | -  |
| 中行汇买价      | float64   | Y        | 注意单位: 元   |
| 中行钞买价      | float64   | Y        | 注意单位: 元  |
| 中行钞卖价/汇卖价      | float64   | Y        | 注意单位: 元  |
| 央行中间价      | float64   | Y        | 注意单位: 元  |

接口示例

```python
import mssdk as ms
currency_boc_sina_df = ms.currency_boc_sina(symbol="美元", date="20210614")
print(currency_boc_sina_df)
```

数据示例

```
   日期  中行汇买价 中行钞买价 中行钞卖价/汇卖价 央行中间价
0     2021-06-14  638.50  633.30     641.20  638.56
1     2021-06-11  638.40  633.20     641.10  638.56
2     2021-06-10  637.95  632.76     640.65  639.72
3     2021-06-09  637.40  632.21     640.10  639.56
4     2021-06-08  638.72  633.52     641.42  639.09
          ...     ...     ...        ...     ...
2660  2012-01-06  629.21  624.17     631.74  631.66
2661  2012-01-05  628.79  623.75     631.31  631.15
2662  2012-01-04  628.02  622.98     630.53  630.01
2663  2012-01-03  627.42  622.39     629.93  630.09
2664  2012-01-02  627.42  622.39     629.93  630.09
```

### 人民币外汇即期报价

接口: fx_spot_quote

目标地址: http://www.chinamoney.com.cn/chinese/mkdatapfx/

描述: 获取人民币外汇即期报价

限量: 单次返回实时行情数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

人民币外汇即期报价

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 货币对      | str   | Y        |   |
| 买报价      | float   | Y        |   |
| 卖报价      | float   | Y        |   |
| 中间价      | float   | Y        |  为空 |
| 时间      | str   | Y        |  为空 |

**注：本行情为询价报价行情(美元为ODM), 实时更新**
						
接口示例
```python
import mssdk as ms
fx_df = ms.fx_spot_quote()
print(fx_df)
```

数据示例-人民币外汇即期报价

```
               ccyPair   bidPrc   askPrc midprice time
    0      USD/CNY   7.0810   7.0824      ---
    1      EUR/CNY   7.8878   7.8903      ---
    2   100JPY/CNY   6.5252   6.5275      ---
    3      HKD/CNY  0.90293  0.90316      ---
    4      GBP/CNY   9.1140   9.1181      ---
    5      AUD/CNY   4.8472   4.8491      ---
    6      NZD/CNY   4.5151   4.5172      ---
    7      SGD/CNY   5.1878   5.1897      ---
    8      CHF/CNY   7.1810   7.1838      ---
    9      CAD/CNY   5.3911   5.3929      ---
    10     CNY/MYR  0.58726  0.59527      ---
    11     CNY/RUB   9.0363   9.0489      ---
    12     CNY/ZAR   2.0883   2.0923      ---
    13     CNY/KRW   166.55   166.89      ---
    14     CNY/AED  0.51850  0.51886      ---
    15     CNY/SAR  0.52949  0.52979      ---
    16     CNY/HUF  41.8886  41.9805      ---
    17     CNY/PLN  0.54270  0.54331      ---
    18     CNY/DKK   0.9468   0.9473      ---
    19     CNY/SEK   1.3660   1.3667      ---
    20     CNY/NOK   1.2964   1.2971      ---
    21     CNY/TRY  0.81723  0.81918      ---
    22     CNY/MXN   2.7016   2.7041      ---
    23     CNY/THB   4.2753   4.2791      ---
```

### 人民币外汇远掉报价

接口: fx_swap_quote

目标地址: http://www.chinamoney.com.cn/chinese/mkdatapfx/

描述: 获取人民币外汇远掉报价

限量: 单次返回实时行情数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数

人民币外汇远掉报价

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 货币对      | str   | Y        |  e.g., "USD/CNY" |
| 1周      | str   | Y        |  e.g., "11.50/12.00" |
| 1月      | str   | Y        |   |
| 3月      | str   | Y        |   |
| 6月      | str   | Y        |   |
| 9月      | str   | Y        |   |
| 1年      | str   | Y        |   |

**注：本行情为询价报价行情(美元为ODM), 实时更新**
		
接口示例

```python
import mssdk as ms
fx_df = ms.fx_swap_quote()
print(fx_df)
```

数据示例-人民币外汇远掉报价

```
            ccpair         label_1W         label_1M           label_3M  \
    0      USD/CNY      11.50/12.00      46.00/46.00      125.00/125.00
    1      EUR/CNY      51.90/52.12    218.17/218.56      658.41/658.56
    2   100JPY/CNY      40.03/40.13    177.78/177.83      530.98/531.17
    3      HKD/CNY        2.15/2.17        8.24/8.52        20.48/20.53
    4      GBP/CNY      37.65/37.87    150.56/150.58      445.90/446.01
    5      AUD/CNY      16.57/16.65      70.49/70.58      203.26/203.75
    6      NZD/CNY      16.07/16.22      60.94/61.58      168.29/169.03
    7      SGD/CNY      12.05/12.45      50.49/50.84      144.87/146.50
    8      CHF/CNY      51.31/52.25    218.56/218.56      675.03/675.18
    9      CAD/CNY      12.28/12.28      47.65/47.69      138.33/138.46
    10     CNY/MYR       -0.30/0.17       -0.24/0.61        -2.38/-0.84
    11     CNY/RUB      67.89/73.27    296.66/320.03      882.24/899.51
    12     CNY/ZAR      15.55/16.41      72.06/72.70      213.92/215.87
    13     CNY/KRW      -6.77/-3.84    -29.85/-15.77      -90.62/-52.66
    14     CNY/AED      -0.90/-0.70      -3.38/-2.96        -8.08/-7.46
    15     CNY/SAR      -1.31/-1.14      -4.81/-4.27       -10.27/-9.88
    16     CNY/HUF  -247.54/-213.70  -938.77/-908.44  -2937.98/-2827.36
    17     CNY/PLN      -1.50/-1.37      -5.52/-5.32      -14.85/-14.02
    18     CNY/DKK      -6.88/-6.74    -28.61/-28.13      -87.29/-83.40
    19     CNY/SEK      -8.83/-8.25    -34.51/-33.83    -104.48/-100.71
    20     CNY/NOK      -3.94/-2.84    -13.58/-11.24      -34.81/-33.72
    21     CNY/TRY      13.47/22.01     56.52/103.43      229.52/242.35
    22     CNY/MXN      -4.58/-4.40    -17.57/-17.57      -47.68/-46.55
    23     CNY/THB      -7.25/-6.87    -27.77/-27.72      -75.46/-75.42
                 label_6M           label_9M           label_1Y
    0       205.00/210.00      275.00/278.00      342.50/345.00
    1     1199.68/1201.39    1723.92/1730.71    2246.18/2249.27
    2       963.67/967.95    1402.82/1403.96    1793.50/1801.90
    3         32.31/32.67        40.96/40.96        48.84/49.03
    4       763.21/769.97    1052.69/1054.22    1336.20/1338.15
    5       364.81/364.87      499.29/502.99      623.56/627.52
    6       297.93/301.14      404.95/407.30      517.50/519.69
    7       257.36/259.91      341.81/346.18      427.37/428.44
    8     1237.70/1241.00    1770.44/1774.84    2310.22/2311.93
    9       195.51/199.29      231.22/231.30      263.39/263.40
    10          2.66/5.88        10.64/19.33        20.53/33.38
    11    1780.84/1814.49    2697.91/2759.32    3604.59/3663.77
    12      440.35/442.99      676.02/682.94      919.59/923.42
    13    -167.44/-110.12    -233.82/-171.47    -304.06/-233.52
    14      -13.13/-11.45      -15.97/-14.44      -18.74/-17.22
    15      -15.74/-15.13      -19.89/-18.33      -22.75/-21.21
    16  -5168.11/-4910.26  -7171.99/-6800.90  -9438.87/-8728.19
    17      -23.17/-21.13      -27.96/-25.45      -32.19/-28.86
    18    -158.56/-152.01    -225.33/-216.64    -290.38/-278.70
    19    -180.36/-177.42    -250.27/-248.86    -318.80/-305.83
    20      -50.00/-47.44      -60.16/-56.10      -70.53/-60.84
    21      436.90/494.04      651.61/750.10      895.51/993.76
    22      -79.94/-78.15    -105.72/-104.72    -131.06/-130.29
    23    -126.90/-123.92    -168.07/-166.21    -208.66/-207.02
```

### 外币对即期报价

接口: fx_pair_quote

目标地址: http://www.chinamoney.com.cn/chinese/mkdatapfx/

描述: 获取外币对即期报价

限量: 单次返回当前时点最近更新的即时数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| 无 | 无 | 无 | 无 |

输出参数-获取外币对即期报价

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 货币对      | str   | Y        |  e.g., "AUD/USD" |
| 买报价      | float   | Y        |  e.g., "0.68460" |
| 卖报价      | float   | Y        |   e.g., "0.68461"|
| 中间价      | float   | Y        |  为空 |
| 时间      | str   | Y        |  为空 |

**注：本行情为询价报价行情(美元为ODM), 实时更新**
						
接口示例

```python
import mssdk as ms
fx_df = ms.fx_pair_quote()
print(fx_df)
```

数据示例-外币对即期报价

```
        ccyPair   bidPrc   askPrc midprice time
0   AUD/USD  0.68460  0.68461      ---
1   EUR/JPY  120.897  120.898      ---
2   EUR/USD  1.11402  1.11403      ---
3   GBP/USD  1.28724  1.28727      ---
4   USD/CAD  1.31339  1.31340      ---
5   USD/CHF  0.98599  0.98601      ---
6   USD/HKD  7.84215  7.84217      ---
7   USD/JPY  108.516  108.517      ---
8   USD/SGD  1.36483  1.36485      ---
9   NZD/USD  0.63772  0.63773      ---
10  EUR/GBP  0.86544  0.86546      ---
```

### 指定币种的所有货币对

接口: currency_pair_map

目标地址: https://cn.investing.com/currencies/cny-jmd

描述: 获取指定币种的所有能够获取到的货币对信息，历史数据可以调用 **currency_history** 获取

限量: 单次返回指定币种的所有能获取数据的货币对

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| symbol | str | Y | symbol="人民币"; 此处提供中文的币种名称, 可以访问[网页](https://cn.investing.com/currencies/cny-jmd) 的页面下方查看 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| name      | str   | Y        | 货币对中文简称  |
| code      | float   | Y        | 货币对代码   |

接口示例

```python
import mssdk as ms
currency_pair_map_df = ms.currency_pair_map(symbol="人民币")
print(currency_pair_map_df)
```

数据示例

```
          name     code
0     人民币-丹麦克朗  cny-dkk
1     丹麦克朗-人民币  dkk-cny
2     人民币-瑞士法郎  cny-chf
3     瑞士法郎-人民币  chf-cny
4     人民币-捷克克朗  cny-czk
..         ...      ...
85   人民币-澳大利亚元  cny-aud
86   澳大利亚元-人民币  aud-cny
87    人民币-新西兰元  cny-nzd
88    新西兰元-人民币  nzd-cny
89  人民币-巴拿马巴波亚  cny-pab
```

### 外币对历史数据

接口: currency_hist

目标地址: https://cn.investing.com/currencies/

描述: 获取指定外币对指定时间的历史数据, 此接口需要使用代理访问

限量: 单次返回指定时间的所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述     |
| -------- | ---- | ---- | --- |
| symbol | str | Y | symbol="usd-jpy"; 可以通过 **currency_name_code** 查询该两种货币可以获取的所有货币对或通过 **currency_pair_map** 获取指定币种的所有货币对 |
| start_date | str | Y | start_date="20050101" |
| end_date | str | Y | end_date="20200117" |

数据示例-currency_name_code

```
          name     code
0        欧元/美元  eur-usd
1        英镑/美元  gbp-usd
2        美元/日元  usd-jpy
3      美元/瑞士法郎  usd-chf
4     澳大利亚元/美元  aud-usd
..         ...      ...
268    日元/新加坡元  jpy-sgd
269  科威特第纳尔/日元  kwd-jpy
270  日元/白俄罗斯卢布  jpy-byn
271  日元/乌克兰赫里纳  jpy-uah
272   日元/土耳其里拉  jpy-try
```

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        |  - |
| 收盘      | float   | Y        |  - |
| 开盘      | float   | Y        |   -|
| 高      | float   | Y        |  - |
| 低      | float   | Y        |  - |
| 涨跌幅      | float   | Y        |  - |
						
接口示例

```python
import mssdk as ms
currency_hist_df = ms.currency_hist(symbol="usd-jpy", start_date="20050101", end_date="20200117")
print(currency_hist_df)
```

数据示例

```
            收盘      开盘       高       低     涨跌幅
日期                                                
2020-01-17  110.16  110.14  110.30  110.05   0.00%
2020-01-16  110.16  109.89  110.19  109.86   0.25%
2020-01-15  109.89  110.00  110.03  109.78  -0.08%
2020-01-14  109.98  109.94  110.22  109.86   0.04%
2020-01-13  109.94  109.49  109.95  109.45   0.43%
            ...     ...     ...     ...     ...
2005-01-07  104.80  104.97  105.17  103.83  -0.26%
2005-01-06  105.07  104.12  105.20  103.85   0.94%
2005-01-05  104.09  104.56  105.03  103.73  -0.50%
2005-01-04  104.61  102.77  104.81  102.41   1.84%
2005-01-03  102.72  102.69  103.47  102.33   0.24%
```

### 货币对-投机情绪报告

接口: macro_fx_sentiment

目标地址: https://datacenter.jin10.com/reportType/dc_ssi_trends

描述: 获取货币对-投机情绪报告

限量: 单次返回指定日期所有品种的数据(所指定的日期必须在当前交易日之前的30个交易日内)

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| start_date | str | Y | start_date="2020-04-07"; 所指定的日期必须在当前交易日之前的30个交易日内 |
| end_date | str | Y | end_date="2020-04-07"; 与 start_date 一致 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期索引      | str   | Y        |  间隔10分钟 |
| AUDJPY      | str   | Y        |  - |
| AUDUSD      | str   | Y        |  - |
| EURAUD      | str   | Y        |  - |
| EURJPY      | str   | Y        |  - |
| EURUSD      | str   | Y        |  - |
| GBPJPY      | str   | Y        |  - |
| GBPUSD      | str   | Y        |  - |
| NZDUSD      | str   | Y        |  - |
| USDCAD      | str   | Y        |  - |
| USDCHF      | str   | Y        |  - |
| USDJPY      | str   | Y        |  - |
| USDX      | str   | Y        |  - |
| XAUUSD      | str   | Y        |  - |
					
接口示例

```python
import mssdk as ms
from datetime import datetime
test_date = datetime.now().date().isoformat().replace("-", "")
macro_fx_sentiment_df = ms.macro_fx_sentiment(start_date=test_date, end_date=test_date)
print(macro_fx_sentiment_df)
```

数据示例

```
                 AUDJPY AUDUSD EURAUD EURJPY  ... USDCHF USDJPY   USDX XAUUSD
2020-04-22 00:00  55.19  48.96  47.59  68.24  ...  59.42  58.91  48.07  45.64
2020-04-22 00:10  55.31  48.92  47.83  68.11  ...  59.38  57.90  47.89  45.63
2020-04-22 00:20  54.93  48.67  47.38  67.91  ...  59.32  57.78  47.99  45.73
2020-04-22 00:30  55.02  48.77  47.44  67.50  ...  59.61  57.64  48.02  45.32
2020-04-22 00:40  55.07  48.65  47.17  67.56  ...  59.27  56.99  47.75  45.36
                 ...    ...    ...    ...  ...    ...    ...    ...    ...
2020-04-22 20:20  53.66  44.01  47.54  67.38  ...  59.56  57.70  50.78  47.72
2020-04-22 20:30  53.91  44.11  47.78  67.43  ...  59.79  57.70  50.65  47.95
2020-04-22 20:40  54.00  44.01  48.00  67.05  ...  59.57  57.82  50.80  47.70
2020-04-22 20:50  53.95  44.11  48.14  66.76  ...  59.67  57.80  50.87  47.55
2020-04-22 21:00  53.95  44.06  47.99  67.21  ...  59.59  57.64  50.73  47.35
```
