## [mssdk](https://github.com/akfamily/mssdk) 指数数据

### 中国股票指数数据

#### 实时行情数据

接口: stock_zh_index_spot

目标地址: http://vip.stock.finance.sina.com.cn/mkt/#hs_s

描述: 中国股票指数数据; 注意该股票指数指新浪提供的国内股票指数

限量: 单次返回所有指数的实时行情数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | -  | -    |   -|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 代码          | str   | Y        | -     |
| 名称          | str      | Y        | -     |
| 最新价          | float      | Y        | -     |
| 涨跌额         | float      | Y        | -     |
| 涨跌幅           | float      | Y        | 注意单位: %     |
| 昨收        | float      | Y        | -     |
| 今开        | float      | Y        | -     |
| 最高        | float      | Y        | -     |
| 最低        | float      | Y        | -     |
| 成交量        | float      | Y        | 注意单位: 手     |
| 成交额        | float      | Y        | 注意单位: 万     |

接口示例

```python
import mssdk as ms
stock_zh_index_spot_df = ms.stock_zh_index_spot()
print(stock_zh_index_spot_df)
```

数据示例

```
           代码    名称        最新价  ...         最低         成交量           成交额
0    sh000001  上证指数  3484.3924  ...  3462.8321   262654873  317953200768
1    sh000002  Ａ股指数  3652.2918  ...  3629.6721   262507126  317711821774
2    sh000003  Ｂ股指数   246.1128  ...   245.3968      121902      62088261
3    sh000004  工业指数  3084.5617  ...  3051.0834   162642330  224198720298
4    sh000005  商业指数  3161.1518  ...  3150.4813    14486730   19213540155
..        ...   ...        ...  ...        ...         ...           ...
575  sz399998  中证煤炭  1395.7690  ...  1392.0210   788677823    4900473791
576  sz980001        1690.5910  ...  1679.6590  2458615064   60754965378
577  sz980017        9014.4380  ...  8679.3360   835190754   34070561457
578  sz980023        2957.4530  ...  2950.4640   489534394    8813329425
579  sz980068        2165.8470  ...  2154.3910   439360589    4552661981
```

#### 历史行情数据

##### 历史行情数据-新浪

接口: stock_zh_index_daily

目标地址: https://finance.sina.com.cn/realstock/company/sz399552/nc.shtml(示例)

描述: 股票指数的历史数据按日频率更新

限量: 单次返回指定指数的所有历史行情数据

输入参数

| 名称   | 类型 | 描述       |
| -------- | ---- |  --- |
| symbol | str  |    symbol="sz399552"|

输出参数-历史行情数据

| 名称          | 类型 |  描述           |
| ------------ | ----- | ---------------- |
| date          | object   | 新浪的数据开始时间, 不是该指数的上市时间     |
| open          | float64      |  -     |
| high          | float64      |  -     |
| low           | float64      |  -     |
| close         | float64      |-     |
| volume        | int64      |  -     |

接口示例-历史行情数据

```python
import mssdk as ms
stock_zh_index_daily_df = ms.stock_zh_index_daily(symbol="sz399552")
print(stock_zh_index_daily_df)
```

数据示例-历史行情数据

```
            date      open      high       low     close      volume
0     2008-06-30  3631.954  3718.385  3584.999  3676.123   316365901
1     2008-07-01  3693.510  3715.664  3620.357  3629.762   296847761
2     2008-07-02  3633.534  3718.855  3620.892  3658.480   316555559
3     2008-07-03  3622.346  3879.630  3576.116  3831.784   564942459
4     2008-07-04  3819.926  3872.489  3786.231  3818.515   447080724
          ...       ...       ...       ...       ...         ...
3218  2021-09-16  9584.437  9592.118  9401.564  9401.564  3939128556
3219  2021-09-17  9379.818  9477.225  9305.656  9455.789  3431638018
3220  2021-09-22  9309.027  9419.676  9288.546  9395.130  3170250564
3221  2021-09-23  9448.988  9485.646  9423.626  9467.870  3894644651
3222  2021-09-24  9455.432  9578.127  9410.217  9464.908  3458768535
```

##### 历史行情数据-腾讯

接口: stock_zh_index_daily_tx

目标地址: http://gu.qq.com/sh000919/zs

描述: 股票指数(或者股票)历史行情数据

限量: 单次返回具体某个股票指数(或者股票)的所有历史行情数据

输入参数-历史行情数据

| 名称   | 类型 | 描述          |
| -------- | ---- | --- |
| symbol | str  |   symbol="sh000919"|

输出参数-历史行情数据

| 名称          | 类型 |  描述           |
| ------------ | ----- | ---------------- |
| date          | object   |  腾讯的数据开始时间, 不是证券上市时间     |
| open          | float64      |  -     |
| close          | float64      |  -     |
| high           | float64      |  -     |
| low         | float64      |  -     |
| amount        | float64      |  注意单位: 手     |

接口示例

```python
import mssdk as ms
stock_zh_index_daily_tx_df = ms.stock_zh_index_daily_tx(symbol="sh000919")
print(stock_zh_index_daily_tx_df)
```

数据示例-历史行情数据

```
           date      open     close      high       low      amount
0    2020-04-27   6967.54   6907.57   6991.75   6776.65   5387844.0
1    2020-04-28   6908.50   7203.02   7244.93   6767.71   9653834.0
2    2020-04-29   7098.24   7125.22   7191.97   7090.03   6286915.0
3    2020-04-30   7269.19   7656.94   7721.28   7244.63  12082382.0
4    2020-05-06   7687.88   8125.96   8141.35   7663.42  14224962.0
..          ...       ...       ...       ...       ...         ...
342  2021-09-17  11124.12  11198.95  11312.58  10953.33   4105800.0
343  2021-09-22  11063.33  11321.85  11436.21  11054.69   3721482.0
344  2021-09-23  11396.43  11534.59  11690.35  11191.92   4869889.0
345  2021-09-24  11478.26  11467.35  11626.35  11391.53   3740249.0
346  2021-09-27  11569.45  11441.62  11710.57  11308.36   4685963.0
```

##### 历史行情数据-东方财富

接口: stock_zh_index_daily_em

目标地址: http://quote.eastmoney.com/center/hszs.html

描述: 东方财富股票指数数据, 历史数据按日频率更新

限量: 单次返回具体指数的所有历史行情数据

输入参数

| 名称   | 类型 | 必选 | 描述      |
| -------- | ---- | ---- | --- |
| symbol | str  | Y    |   symbol="sz399552"|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| date          | str   | Y        | 东方财富的数据开始时间, 不是证券上市时间     |
| open          | float      | Y        | -     |
| close          | float      | Y        | -     |
| high           | float      | Y        | -     |
| low         | float      | Y        | -     |
| volume         | float      | Y        | -     |
| amount        | float      | Y        | -     |

接口示例

```python
import mssdk as ms
stock_zh_index_daily_em_df = ms.stock_zh_index_daily_em(symbol="sz399812")
print(stock_zh_index_daily_em_df)
```

数据示例

```
            date      open     close  ...       low      volume        amount
0     2005-01-04    996.03    989.56  ...    986.46    675733.0  4.986503e+08
1     2005-01-05    989.87   1008.59  ...    989.46   1037894.0  9.068431e+08
2     2005-01-06   1008.88   1002.81  ...    999.76    779152.0  5.631133e+08
3     2005-01-07   1002.10   1004.06  ...    999.56    898377.0  7.554397e+08
4     2005-01-10   1002.63   1014.12  ...   1000.90    651187.0  5.609582e+08
          ...       ...       ...  ...       ...         ...           ...
3785  2020-07-31   9925.95  10076.45  ...   9856.84  25572982.0  8.913588e+10
3786  2020-08-03  10171.99  10277.40  ...  10078.86  30955440.0  1.042277e+11
3787  2020-08-04  10261.82  10260.95  ...  10194.95  33366317.0  1.187024e+11
3788  2020-08-05  10183.52  10329.20  ...  10116.86  26614930.0  8.924673e+10
3789  2020-08-06  10337.09  10175.92  ...  10049.05  32541265.0  1.055893e+11
```

### 中国股票指数成份

#### 最新成份

接口: index_stock_cons

目标地址: http://vip.stock.finance.sina.com.cn/corp/view/vII_NewestComponent.php?page=1&indexid=399639

描述: 获取指定指数的最新成份股票信息, 注意该接口返回的数据有部分是重复会导致数据缺失, 可以调用 **index_stock_cons_sina** 获取主流指数数据, 或调用**index_stock_cons_csindex**获取中证指数网提供的成分数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| index | str  | Y    |   index="000300", 获取沪深 300 最新成份股, 指数代码见 **股票指数信息一览表**|

股票指数信息一览表(可以在 mssdk 中通过如下代码获取本表)

```python
import mssdk as ms
index_stock_info_df = ms.index_stock_info()
print(index_stock_info_df)
```

| index\_code | display\_name      | publish\_date |
|-------------|--------------------|---------------|
| 000001      | 上证指数               | 1991/7/15     |
| 000002      | A股指数               | 1992/2/21     |
| 000003      | B股指数               | 1992/2/21     |
| 000004      | 工业指数               | 1993/5/3      |
| 000005      | 商业指数               | 1993/5/3      |
| 000006      | 地产指数               | 1993/5/3      |
| 000007      | 公用指数               | 1993/5/3      |
| 000008      | 综合指数               | 1993/5/3      |
| 000009      | 上证380              | 2010/11/29    |
| 000010      | 上证180              | 2002/7/1      |
| 000011      | 基金指数               | 2000/6/9      |
| 000012      | 国债指数               | 2003/1/2      |
| 000013      | 上证企业债指数            | 2003/6/9      |
| 000015      | 红利指数               | 2005/1/4      |
| 000016      | 上证50               | 2004/1/2      |
| 000017      | 新综指                | 2006/1/4      |
| 000018      | 180金融              | 2007/12/10    |
| 000019      | 治理指数               | 2008/1/2      |
| 000020      | 中型综指               | 2008/5/12     |
| 000021      | 180治理              | 2008/9/10     |
| 000022      | 上证公司债指数            | 2008/11/19    |
| 000025      | 180基建              | 2008/12/15    |
| 000026      | 180资源              | 2008/12/15    |
| 000027      | 180运输              | 2008/12/15    |
| 000028      | 180成长              | 2009/1/9      |
| 000029      | 180价值              | 2009/1/9      |
| 000030      | 180R成长             | 2009/1/9      |
| 000031      | 180R价值             | 2009/1/9      |
| 000032      | 上证能源               | 2009/1/9      |
| 000033      | 上证材料               | 2009/1/9      |
| 000034      | 上证工业               | 2009/1/9      |
| 000035      | 上证可选               | 2009/1/9      |
| 000036      | 上证消费               | 2009/1/9      |
| 000037      | 上证医药               | 2009/1/9      |
| 000038      | 上证金融               | 2009/1/9      |
| 000039      | 上证信息               | 2009/1/9      |
| 000040      | 上证电信               | 2009/1/9      |
| 000041      | 上证公用               | 2009/1/9      |
| 000042      | 上证央企               | 2009/3/30     |
| 000043      | 超大盘                | 2009/4/23     |
| 000044      | 上证中盘               | 2009/7/3      |
| 000045      | 上证小盘               | 2009/7/3      |
| 000046      | 上证中小               | 2009/7/3      |
| 000047      | 上证全指               | 2009/7/3      |
| 000048      | 责任指数               | 2009/8/5      |
| 000049      | 上证民企               | 2009/8/25     |
| 000050      | 50等权               | 2011/1/4      |
| 000051      | 180等权              | 2011/5/24     |
| 000052      | 50基本               | 2012/1/9      |
| 000053      | 180基本              | 2012/1/9      |
| 000054      | 上证海外               | 2010/1/4      |
| 000055      | 上证地企               | 2010/1/4      |
| 000056      | 上证国企               | 2010/1/4      |
| 000057      | 全指成长               | 2010/1/4      |
| 000058      | 全指价值               | 2010/1/4      |
| 000059      | 全R成长               | 2010/1/4      |
| 000060      | 全R价值               | 2010/1/4      |
| 000061      | 沪企债30              | 2010/1/4      |
| 000062      | 上证沪企               | 2010/1/4      |
| 000063      | 上证周期               | 2010/2/3      |
| 000064      | 非周期                | 2010/2/3      |
| 000065      | 上证龙头               | 2010/2/9      |
| 000066      | 上证商品               | 2010/4/30     |
| 000067      | 上证新兴               | 2010/4/30     |
| 000068      | 上证资源               | 2010/5/28     |
| 000069      | 消费80               | 2010/5/28     |
| 000070      | 能源等权               | 2010/8/18     |
| 000071      | 材料等权               | 2010/8/18     |
| 000072      | 工业等权               | 2010/8/18     |
| 000073      | 可选等权               | 2010/8/18     |
| 000074      | 消费等权               | 2010/8/18     |
| 000075      | 医药等权               | 2010/8/18     |
| 000076      | 金融等权               | 2010/8/18     |
| 000077      | 信息等权               | 2010/8/18     |
| 000078      | 电信等权               | 2010/8/18     |
| 000079      | 公用等权               | 2010/8/18     |
| 000090      | 上证流通               | 2010/12/2     |
| 000091      | 沪财中小               | 2011/4/6      |
| 000092      | 资源50               | 2011/5/10     |
| 000093      | 180分层              | 2011/5/24     |
| 000094      | 上证上游               | 2011/5/10     |
| 000095      | 上证中游               | 2011/5/10     |
| 000096      | 上证下游               | 2011/5/10     |
| 000097      | 高端装备               | 2011/5/24     |
| 000098      | 上证F200             | 2011/7/1      |
| 000099      | 上证F300             | 2011/7/1      |
| 000100      | 上证F500             | 2011/7/1      |
| 000101      | 5年信用               | 2013/4/1      |
| 000102      | 沪投资品               | 2011/6/13     |
| 000103      | 沪消费品               | 2011/6/13     |
| 000104      | 380能源              | 2011/6/13     |
| 000105      | 380材料              | 2011/6/13     |
| 000106      | 380工业              | 2011/6/13     |
| 000107      | 380可选              | 2011/6/13     |
| 000108      | 380消费              | 2011/6/13     |
| 000109      | 380医药              | 2011/6/13     |
| 000110      | 380金融              | 2011/6/13     |
| 000111      | 380信息              | 2011/6/13     |
| 000112      | 380电信              | 2011/6/13     |
| 000113      | 380公用              | 2011/6/13     |
| 000114      | 持续产业               | 2011/8/22     |
| 000115      | 380等权              | 2011/8/12     |
| 000116      | 信用100              | 2013/2/26     |
| 000117      | 380成长              | 2011/10/18    |
| 000118      | 380价值              | 2011/10/18    |
| 000119      | 380R成长             | 2011/10/18    |
| 000120      | 380R价值             | 2011/10/18    |
| 000121      | 医药主题               | 2011/10/18    |
| 000122      | 农业主题               | 2011/10/18    |
| 000123      | 180动态              | 2013/2/8      |
| 000125      | 180稳定              | 2013/2/8      |
| 000126      | 消费50               | 2011/12/9     |
| 000128      | 380基本              | 2012/1/9      |
| 000129      | 180波动              | 2012/1/9      |
| 000130      | 380波动              | 2012/1/9      |
| 000131      | 上证高新               | 2012/2/10     |
| 000132      | 上证100              | 2012/4/20     |
| 000133      | 上证150              | 2012/4/20     |
| 000134      | 上证银行               | 2012/5/29     |
| 000135      | 180高贝              | 2012/8/6      |
| 000136      | 180低贝              | 2012/8/6      |
| 000137      | 380高贝              | 2012/8/6      |
| 000138      | 380低贝              | 2012/8/6      |
| 000139      | 上证转债               | 2012/9/12     |
| 000141      | 380动态              | 2013/2/8      |
| 000142      | 380稳定              | 2013/2/8      |
| 000145      | 优势资源               | 2012/5/29     |
| 000146      | 优势制造               | 2012/5/29     |
| 000147      | 优势消费               | 2012/5/29     |
| 000148      | 消费领先               | 2012/5/29     |
| 000149      | 180红利              | 2012/7/20     |
| 000150      | 380红利              | 2012/7/20     |
| 000151      | 上国红利               | 2012/7/20     |
| 000152      | 上央红利               | 2012/7/20     |
| 000153      | 上民红利               | 2012/7/20     |
| 000155      | 市值百强               | 2012/7/20     |
| 000158      | 上证环保               | 2012/9/25     |
| 000159      | 上证沪股通指数            | 2014/11/17    |
| 000160      | 上证一带一路主题指数         | 2015/6/24     |
| 000161      | 上证中国制造2025主题指数     | 2015/10/29    |
| 000162      | 上证互联网\+主题指数        | 2015/10/29    |
| 000171      | 新兴成指               | 2017/1/25     |
| 000188      | 中国波指               | 2016/11/28    |
| 000300      | 沪深300              | 2005/4/8      |
| 000801      | 资源80               | 2011/11/8     |
| 000802      | 500沪市              | 2011/11/8     |
| 000803      | 300波动              | 2012/1/9      |
| 000804      | 500波动              | 2012/1/9      |
| 000805      | A股资源               | 2012/1/6      |
| 000806      | 消费服务               | 2012/2/10     |
| 000807      | 食品饮料               | 2012/2/17     |
| 000808      | 医药生物               | 2012/2/17     |
| 000809      | 细分农业               | 2012/4/11     |
| 000810      | 细分能源               | 2012/4/11     |
| 000811      | 细分有色               | 2012/4/11     |
| 000812      | 细分机械               | 2012/4/11     |
| 000813      | 细分化工               | 2012/4/11     |
| 000814      | 细分医药               | 2012/4/11     |
| 000815      | 细分食品               | 2012/4/11     |
| 000816      | 细分地产               | 2012/4/11     |
| 000817      | 兴证海峡               | 2011/9/27     |
| 000818      | 细分金融               | 2012/4/11     |
| 000819      | 有色金属               | 2012/5/9      |
| 000820      | 煤炭指数               | 2012/5/9      |
| 000821      | 300红利              | 2012/7/20     |
| 000822      | 500红利              | 2012/7/20     |
| 000823      | 中证800有色金属指数        | 2012/12/21    |
| 000824      | 国企红利               | 2012/7/20     |
| 000825      | 央企红利               | 2012/7/20     |
| 000826      | 民企红利               | 2012/7/20     |
| 000827      | 中证环保               | 2012/9/25     |
| 000828      | 300高贝              | 2012/8/6      |
| 000829      | 300低贝              | 2012/8/6      |
| 000830      | 500高贝              | 2012/8/6      |
| 000831      | 500低贝              | 2012/8/6      |
| 000832      | 中证转债               | 2012/9/12     |
| 000833      | 中高企债               | 2012/9/10     |
| 000838      | 创业价值               | 2012/9/26     |
| 000839      | 浙企综指               | 2012/11/9     |
| 000840      | 浙江民企               | 2012/11/9     |
| 000841      | 800医药              | 2012/12/21    |
| 000842      | 800等权              | 2012/12/21    |
| 000843      | 300动态              | 2013/1/7      |
| 000844      | 300稳定              | 2013/1/7      |
| 000846      | ESG100             | 2012/10/16    |
| 000847      | 中证腾安价值100指数        | 2013/11/18    |
| 000849      | 沪深300非银行金融指数       | 2012/12/21    |
| 000850      | 沪深300有色金属指数        | 2012/12/21    |
| 000851      | 中证百度百发策略100指数      | 2014/7/30     |
| 000852      | 中证1000指数           | 2014/10/17    |
| 000853      | 中证申万一带一路主题投资指数     | 2015/4/23     |
| 000854      | 500原料              | 2013/11/6     |
| 000855      | 央视财经500指数          | 2014/11/3     |
| 000856      | 500工业              | 2013/11/6     |
| 000857      | 500医药              | 2013/11/6     |
| 000858      | 500信息              | 2013/11/6     |
| 000891      | 中国战略新兴产业综合指数       | 2017/1/25     |
| 000901      | 小康指数               | 2010/4/1      |
| 000902      | 中证流通               | 2006/2/27     |
| 000903      | 中证100              | 2006/5/29     |
| 000904      | 中证200              | 2007/1/15     |
| 000905      | 中证500              | 2007/1/15     |
| 000906      | 中证800              | 2007/1/15     |
| 000907      | 中证700              | 2007/1/15     |
| 000908      | 300能源              | 2007/7/2      |
| 000909      | 300材料              | 2007/7/2      |
| 000910      | 300工业              | 2007/7/2      |
| 000911      | 300可选              | 2007/7/2      |
| 000912      | 300消费              | 2007/7/2      |
| 000913      | 300医药              | 2007/7/2      |
| 000914      | 300金融              | 2007/7/2      |
| 000915      | 300信息              | 2007/7/2      |
| 000916      | 300电信              | 2007/7/2      |
| 000917      | 300公用              | 2007/7/2      |
| 000918      | 300成长              | 2008/1/21     |
| 000919      | 300价值              | 2008/1/21     |
| 000920      | 300R成长             | 2008/1/21     |
| 000921      | 300R价值             | 2008/1/21     |
| 000922      | 中证红利               | 2008/5/26     |
| 000923      | 公司债                | 2008/11/19    |
| 000925      | 基本面50              | 2009/2/26     |
| 000926      | 中证央企               | 2009/3/30     |
| 000927      | 央企100              | 2009/3/30     |
| 000928      | 中证能源               | 2009/7/3      |
| 000929      | 中证材料               | 2009/7/3      |
| 000930      | 中证工业               | 2009/7/3      |
| 000931      | 中证可选               | 2009/7/3      |
| 000932      | 中证消费               | 2009/7/3      |
| 000933      | 中证医药               | 2009/7/3      |
| 000934      | 中证金融               | 2009/7/3      |
| 000935      | 中证信息               | 2009/7/3      |
| 000936      | 中证电信               | 2009/7/3      |
| 000937      | 中证公用               | 2009/7/3      |
| 000938      | 中证民企               | 2009/8/25     |
| 000939      | 民企200              | 2009/8/25     |
| 000940      | 财富大盘               | 2009/9/25     |
| 000941      | 新能源                | 2009/10/28    |
| 000942      | 内地消费               | 2009/10/28    |
| 000943      | 内地基建               | 2009/10/28    |
| 000944      | 内地资源               | 2009/10/28    |
| 000945      | 内地运输               | 2009/10/28    |
| 000946      | 内地金融               | 2009/10/28    |
| 000947      | 内地银行               | 2009/10/28    |
| 000948      | 内地地产               | 2009/10/28    |
| 000949      | 内地农业               | 2009/10/28    |
| 000950      | 300基建              | 2009/10/28    |
| 000951      | 300银行              | 2009/10/28    |
| 000952      | 300地产              | 2009/10/28    |
| 000953      | 中证地企               | 2010/2/9      |
| 000954      | 地企100              | 2010/2/9      |
| 000955      | 中证国企               | 2010/2/9      |
| 000956      | 国企200              | 2010/2/9      |
| 000957      | 300运输              | 2009/6/16     |
| 000958      | 创业成长               | 2010/3/24     |
| 000959      | 银河99               | 2010/2/9      |
| 000960      | 中证龙头               | 2010/2/9      |
| 000961      | 中证上游               | 2010/4/16     |
| 000962      | 中证中游               | 2010/4/16     |
| 000963      | 中证下游               | 2010/4/16     |
| 000964      | 中证新兴               | 2010/4/30     |
| 000965      | 基本200              | 2010/6/2      |
| 000966      | 基本400              | 2010/6/2      |
| 000967      | 基本600              | 2010/6/2      |
| 000968      | 300周期              | 2010/5/28     |
| 000969      | 300非周              | 2010/5/28     |
| 000970      | ESG40              | 2010/9/17     |
| 000971      | 等权90               | 2010/12/2     |
| 000972      | 300沪市              | 2010/12/2     |
| 000973      | 技术领先               | 2011/1/4      |
| 000974      | 中证800金融指数          | 2013/5/9      |
| 000975      | 钱江30               | 2014/1/2      |
| 000976      | 新华金牛               | 2014/2/18     |
| 000977      | 内地低碳               | 2011/1/21     |
| 000978      | 医药100              | 2011/3/18     |
| 000979      | 大宗商品               | 2011/8/22     |
| 000980      | 中证超大               | 2011/5/10     |
| 000981      | 300分层              | 2011/6/13     |
| 000982      | 500等权              | 2011/6/13     |
| 000983      | 智能资产               | 2011/6/17     |
| 000984      | 300等权              | 2011/8/2      |
| 000985      | 中证全指               | 2011/8/2      |
| 000986      | 全指能源               | 2011/8/2      |
| 000987      | 全指材料               | 2011/8/2      |
| 000988      | 全指工业               | 2011/8/2      |
| 000989      | 全指可选               | 2011/8/2      |
| 000990      | 全指消费               | 2011/8/2      |
| 000991      | 全指医药               | 2011/8/2      |
| 000992      | 全指金融               | 2011/8/2      |
| 000993      | 全指信息               | 2011/8/2      |
| 000994      | 全指电信               | 2011/8/2      |
| 000995      | 全指公用               | 2011/8/2      |
| 000996      | 领先行业               | 2011/8/2      |
| 000997      | 大消费                | 2011/11/11    |
| 000998      | 中证TMT              | 2011/11/8     |
| 000999      | 中证两岸三地500指数        | 2010/1/18     |
| 399001      | 深证成指               | 1995/1/23     |
| 399002      | 深成指R               | 1995/1/23     |
| 399003      | 成份B指               | 1995/1/23     |
| 399004      | 深证100R             | 2003/1/2      |
| 399005      | 中小板指               | 2006/1/24     |
| 399006      | 创业板指               | 2010/6/1      |
| 399007      | 深证300              | 2009/11/4     |
| 399008      | 中小300              | 2010/3/22     |
| 399009      | 深证200              | 2011/9/1      |
| 399010      | 深证700              | 2011/9/1      |
| 399011      | 深证1000             | 2011/9/1      |
| 399012      | 创业300              | 2013/1/7      |
| 399013      | 深市精选               | 2014/5/30     |
| 399015      | 深证中小创新指数           | 2015/3/24     |
| 399016      | 深证创新指数             | 2016/12/1     |
| 399017      | 中小板创新指数            | 2016/12/1     |
| 399018      | 创业板创新指数            | 2016/12/1     |
| 399050      | 创新引擎               | 2018/7/31     |
| 399100      | 新指数                | 2006/2/16     |
| 399101      | 中小板综               | 2005/12/1     |
| 399102      | 创业板综合指数            | 2010/8/20     |
| 399103      | 乐富指数               | 2011/12/2     |
| 399106      | 深证综指               | 1991/4/4      |
| 399107      | 深证A指               | 1992/10/4     |
| 399108      | 深证B指               | 1992/10/6     |
| 399231      | 农林指数               | 2013/3/4      |
| 399232      | 采矿指数               | 2013/3/4      |
| 399233      | 制造指数               | 2013/3/4      |
| 399234      | 水电指数               | 2013/3/4      |
| 399235      | 建筑指数               | 2013/3/4      |
| 399236      | 批零指数               | 2013/3/4      |
| 399237      | 运输指数               | 2013/3/4      |
| 399238      | 餐饮指数               | 2013/3/4      |
| 399239      | IT指数               | 2013/3/4      |
| 399240      | 金融指数               | 2013/3/4      |
| 399241      | 地产指数               | 2013/3/4      |
| 399242      | 商务指数               | 2013/3/4      |
| 399243      | 科研指数               | 2013/3/4      |
| 399244      | 公共指数               | 2013/3/4      |
| 399248      | 文化指数               | 2013/3/4      |
| 399249      | 综企指数               | 2013/3/4      |
| 399286      | 区块链50              | 2019/12/23    |
| 399290      | 深转交债               | 2019/6/6      |
| 399291      | 创精选88              | 2019/11/6     |
| 399292      | 民企发展               | 2019/3/5      |
| 399293      | 创业大盘               | 2019/4/18     |
| 399294      | 中小创Q               | 2019/6/6      |
| 399295      | 创业蓝筹               | 2019/1/23     |
| 399296      | 创成长                | 2019/1/23     |
| 399298      | 深证中高等级信用债指数        | 2014/9/25     |
| 399299      | 深证中低等级信用债指数        | 2014/9/25     |
| 399300      | 沪深300              | 2005/4/8      |
| 399301      | 深信用债               | 2013/1/11     |
| 399302      | 深公司债               | 2013/1/11     |
| 399303      | 国证2000             | 2014/3/28     |
| 399305      | 基金指数               | 2000/7/3      |
| 399306      | 深证ETF              | 2011/12/2     |
| 399307      | 深证转债               | 2014/8/27     |
| 399310      | 国证50               | 2005/9/5      |
| 399311      | 国证1000             | 2005/2/3      |
| 399312      | 国证300              | 2005/2/3      |
| 399313      | 巨潮100              | 2005/2/3      |
| 399314      | 巨潮大盘               | 2005/2/3      |
| 399315      | 巨潮中盘               | 2005/2/3      |
| 399316      | 巨潮小盘               | 2005/2/3      |
| 399317      | 国证A指               | 2005/2/3      |
| 399318      | 巨潮B股指数             | 2005/2/3      |
| 399319      | 资源优势               | 2005/1/4      |
| 399320      | 国证服务               | 2005/1/4      |
| 399321      | 国证红利               | 2005/1/4      |
| 399322      | 国证治理               | 2005/12/12    |
| 399324      | 深证红利               | 2006/1/24     |
| 399326      | 成长40               | 2006/1/24     |
| 399328      | 深证治理               | 2006/1/24     |
| 399330      | 深证100              | 2006/1/24     |
| 399332      | 深证创新\(旧\)          | 2006/2/27     |
| 399333      | 中小板R               | 2006/12/27    |
| 399335      | 深证央企               | 2009/8/3      |
| 399337      | 深证民营               | 2009/8/3      |
| 399339      | 深证科技               | 2009/8/3      |
| 399341      | 深证责任               | 2009/8/3      |
| 399344      | 深证300R             | 2009/11/4     |
| 399346      | 深证成长               | 2009/11/4     |
| 399348      | 深证价值               | 2009/11/4     |
| 399350      | 皖江30               | 2012/12/18    |
| 399351      | 深报指数               | 2004/9/1      |
| 399352      | 深报综指               | 2005/2/3      |
| 399353      | 国证物流               | 2005/3/1      |
| 399354      | 分析师指数              | 2006/11/25    |
| 399355      | 长三角                | 2007/7/2      |
| 399356      | 珠三角                | 2007/7/2      |
| 399357      | 环渤海                | 2007/7/2      |
| 399358      | 泰达指数               | 2008/1/2      |
| 399359      | 国证基建               | 2009/8/3      |
| 399360      | 国证装备               | 2009/8/3      |
| 399361      | 国证商业               | 2009/8/3      |
| 399362      | 国证民营               | 2009/8/3      |
| 399363      | 计算机指               | 2009/8/3      |
| 399364      | 中金消费               | 2009/8/3      |
| 399365      | 国证农业               | 2009/11/4     |
| 399366      | 国证大宗               | 2009/11/4     |
| 399367      | 巨潮地产               | 2009/11/4     |
| 399368      | 国证军工               | 2009/11/4     |
| 399369      | CBN\-兴全            | 2009/11/4     |
| 399370      | 国证成长               | 2010/1/4      |
| 399371      | 国证价值               | 2010/1/4      |
| 399372      | 大盘成长               | 2010/1/4      |
| 399373      | 大盘价值               | 2010/1/4      |
| 399374      | 中盘成长               | 2010/1/4      |
| 399375      | 中盘价值               | 2010/1/4      |
| 399376      | 小盘成长               | 2010/1/4      |
| 399377      | 小盘价值               | 2010/1/4      |
| 399378      | 南方低碳               | 2010/9/20     |
| 399379      | 国证基金               | 2011/12/2     |
| 399380      | 国证ETF              | 2011/12/2     |
| 399381      | 1000能源             | 2011/12/2     |
| 399382      | 1000材料             | 2011/12/2     |
| 399383      | 1000工业             | 2011/12/2     |
| 399384      | 1000可选             | 2011/12/2     |
| 399385      | 1000消费             | 2011/12/2     |
| 399386      | 1000医药             | 2011/12/2     |
| 399387      | 1000金融             | 2011/12/2     |
| 399388      | 1000信息             | 2011/12/2     |
| 399389      | 国证通信               | 2011/12/2     |
| 399390      | 1000公用             | 2011/12/2     |
| 399391      | 投资时钟               | 2012/3/26     |
| 399392      | 国证新兴               | 2012/3/28     |
| 399393      | 国证地产               | 2012/8/20     |
| 399394      | 国证医药               | 2012/10/29    |
| 399395      | 国证有色               | 2012/10/29    |
| 399396      | 国证食品               | 2012/10/29    |
| 399397      | OCT文化              | 2012/11/9     |
| 399398      | 绩效指数               | 2012/11/19    |
| 399399      | 中经GDP              | 2012/11/23    |
| 399400      | 大中盘                | 2013/3/20     |
| 399401      | 中小盘                | 2013/3/20     |
| 399402      | 周期100              | 2013/10/28    |
| 399403      | 防御100              | 2013/10/28    |
| 399404      | 大盘低波               | 2013/12/5     |
| 399405      | 大盘高贝               | 2013/12/5     |
| 399406      | 中盘低波               | 2013/12/5     |
| 399407      | 中盘高贝               | 2013/12/5     |
| 399408      | 小盘低波               | 2013/12/5     |
| 399409      | 小盘高贝               | 2013/12/5     |
| 399410      | 苏州率先               | 2013/12/12    |
| 399411      | 红利100              | 2014/4/10     |
| 399412      | 国证新能               | 2014/5/16     |
| 399413      | 国证转债               | 2014/8/27     |
| 399415      | I100               | 2014/9/12     |
| 399416      | I300               | 2014/9/12     |
| 399417      | 国证新能源汽车指数          | 2014/9/24     |
| 399418      | 国证国家安全指数           | 2014/11/21    |
| 399419      | 国证高铁指数             | 2014/12/10    |
| 399420      | 国证保险证券指数           | 2014/12/10    |
| 399423      | 中关村50指数            | 2015/2/5      |
| 399427      | 国证德高行专利领先指数        | 2015/2/17     |
| 399428      | 国证定向增发指数           | 2015/2/17     |
| 399429      | 新丝路指数              | 2015/1/8      |
| 399431      | 国证银行行业指数           | 2014/12/30    |
| 399432      | 国证汽车与汽车零配件行业指数     | 2014/12/30    |
| 399433      | 国证交通运输行业指数         | 2014/12/30    |
| 399434      | 国证传媒行业指数           | 2014/12/30    |
| 399435      | 国证农牧渔产品行业指数        | 2014/12/30    |
| 399436      | 国证煤炭行业指数           | 2014/12/30    |
| 399437      | 国证证券行业指数           | 2014/12/30    |
| 399438      | 国证电力公用事业行业指数       | 2014/12/30    |
| 399439      | 国证石油天然气行业指数        | 2014/12/30    |
| 399440      | 国证黑色金属行业指数         | 2014/12/30    |
| 399441      | 国证生物医药指数           | 2015/1/20     |
| 399481      | 企债指数               | 2003/1/2      |
| 399550      | 央视50               | 2012/6/6      |
| 399551      | 央视创新               | 2013/6/6      |
| 399552      | 央视成长               | 2013/6/6      |
| 399553      | 央视回报               | 2013/6/6      |
| 399554      | 央视治理               | 2013/6/6      |
| 399555      | 央视责任               | 2013/6/6      |
| 399556      | 央视生态               | 2014/6/6      |
| 399557      | 央视文化               | 2014/6/6      |
| 399602      | 中小成长               | 2010/5/24     |
| 399604      | 中小价值               | 2010/5/24     |
| 399606      | 创业板R               | 2010/6/1      |
| 399608      | 科技100              | 2010/10/18    |
| 399610      | TMT50              | 2010/11/8     |
| 399611      | 中创100R             | 2011/2/28     |
| 399612      | 中创100              | 2011/2/28     |
| 399613      | 深证能源               | 2011/6/15     |
| 399614      | 深证材料               | 2011/6/15     |
| 399615      | 深证工业               | 2011/6/15     |
| 399616      | 深证可选               | 2011/6/15     |
| 399617      | 深证消费               | 2011/6/15     |
| 399618      | 深证医药               | 2011/6/15     |
| 399619      | 深证金融               | 2011/6/15     |
| 399620      | 深证信息               | 2011/6/15     |
| 399621      | 深证电信               | 2011/6/15     |
| 399622      | 深证公用               | 2011/6/15     |
| 399623      | 中小基础               | 2011/7/25     |
| 399624      | 中创400              | 2011/8/15     |
| 399625      | 中创500              | 2011/8/15     |
| 399626      | 中创成长               | 2011/8/15     |
| 399627      | 中创价值               | 2011/8/15     |
| 399628      | 700成长              | 2011/9/1      |
| 399629      | 700价值              | 2011/9/1      |
| 399630      | 1000成长             | 2011/9/1      |
| 399631      | 1000价值             | 2011/9/1      |
| 399632      | 深100EW             | 2011/10/28    |
| 399633      | 深300EW             | 2011/10/28    |
| 399634      | 中小板EW              | 2011/10/28    |
| 399635      | 创业板EW              | 2011/10/28    |
| 399636      | 深证装备               | 2011/11/15    |
| 399637      | 深证地产               | 2011/11/15    |
| 399638      | 深证环保               | 2011/11/15    |
| 399639      | 深证大宗               | 2011/11/15    |
| 399640      | 创业基础               | 2012/1/16     |
| 399641      | 深证新兴               | 2012/2/1      |
| 399642      | 中小新兴               | 2012/2/1      |
| 399643      | 创业新兴               | 2012/2/1      |
| 399644      | 深证时钟               | 2012/3/26     |
| 399645      | 100低波              | 2012/6/12     |
| 399646      | 深消费50              | 2012/8/6      |
| 399647      | 深医药50              | 2012/8/6      |
| 399648      | 深证GDP              | 2012/8/8      |
| 399649      | 中小红利               | 2012/8/20     |
| 399650      | 中小治理               | 2012/8/20     |
| 399651      | 中小责任               | 2012/8/20     |
| 399652      | 中创高新               | 2012/9/17     |
| 399653      | 深证龙头               | 2012/9/25     |
| 399654      | 深证文化               | 2012/11/9     |
| 399655      | 深证绩效               | 2012/11/19    |
| 399656      | 100绩效              | 2012/11/19    |
| 399657      | 300绩效              | 2012/11/19    |
| 399658      | 中小绩效               | 2012/11/19    |
| 399659      | 深成指EW              | 2012/11/23    |
| 399660      | 中创EW               | 2012/11/23    |
| 399661      | 深证低波               | 2012/12/20    |
| 399662      | 深证高贝               | 2012/12/20    |
| 399663      | 中小低波               | 2012/12/20    |
| 399664      | 中小高贝               | 2012/12/20    |
| 399665      | 中创低波               | 2012/12/20    |
| 399666      | 中创高贝               | 2012/12/20    |
| 399667      | 创业板G               | 2013/1/7      |
| 399668      | 创业板V               | 2013/1/7      |
| 399669      | 深证农业               | 2013/6/24     |
| 399670      | 深周期50              | 2013/10/28    |
| 399671      | 深防御50              | 2013/10/28    |
| 399672      | 深红利50              | 2014/4/10     |
| 399673      | 创业板50              | 2014/6/18     |
| 399674      | 深A医药卫生指数           | 2015/6/8      |
| 399675      | 深A软件与互联网指数         | 2015/6/8      |
| 399676      | 深A医药卫生等权指数         | 2015/6/8      |
| 399677      | 深A软件与互联网等权指数       | 2015/6/8      |
| 399678      | 深证次新股指数            | 2015/6/18     |
| 399679      | 深证200指数            | 2015/6/18     |
| 399680      | 深成能源行业指数           | 2015/8/31     |
| 399681      | 深成原材料行业指数          | 2015/8/31     |
| 399682      | 深成工业行业指数           | 2015/8/31     |
| 399683      | 深成可选消费行业指数         | 2015/8/31     |
| 399684      | 深成主要消费行业指数         | 2015/8/31     |
| 399685      | 深成医药卫生行业指数         | 2015/8/31     |
| 399686      | 深成金融地产行业指数         | 2015/8/31     |
| 399687      | 深成信息技术行业指数         | 2015/8/31     |
| 399688      | 深成电信业务行业指数         | 2015/8/31     |
| 399689      | 深成公用事业行业指数         | 2015/8/31     |
| 399690      | 深证中小板专利领先指数        | 2016/5/23     |
| 399691      | 深证创业板专利领先指数        | 2016/5/23     |
| 399692      | 创业300低波动率指数        | 2016/12/20    |
| 399693      | 安防产业               | 2016/6/20     |
| 399694      | 创业高贝               | 2016/12/20    |
| 399695      | 深证节能环保指数           | 2017/4/28     |
| 399696      | 深证创投               | 2016/10/21    |
| 399697      | 中关村60              | 2017/1/10     |
| 399698      | 深证优势成长             | 2017/6/15     |
| 399699      | 金融科技               | 2017/6/9      |
| 399701      | 深证F60              | 2010/5/10     |
| 399702      | 深证F120             | 2010/5/10     |
| 399703      | 深证F200             | 2010/5/10     |
| 399704      | 深证上游               | 2011/10/18    |
| 399705      | 深证中游               | 2011/10/18    |
| 399706      | 深证下游               | 2011/10/18    |
| 399707      | 中证申万证券行业指数         | 2015/4/16     |
| 399802      | 500深市              | 2012/9/5      |
| 399803      | 中证工业4\.0指数         | 2015/3/10     |
| 399804      | 中证体育产业指数           | 2015/2/9      |
| 399805      | 中证互联网金融指数          | 2015/2/10     |
| 399806      | 中证环境治理指数           | 2014/7/21     |
| 399807      | 中证高铁产业指数           | 2015/1/20     |
| 399808      | 中证新能源指数            | 2015/2/10     |
| 399809      | 中证方正富邦保险主题指数       | 2015/2/13     |
| 399810      | 中证申万传媒行业投资指数       | 2015/8/3      |
| 399811      | 中证申万电子行业投资指数       | 2015/8/3      |
| 399812      | 中证养老产业指数           | 2014/6/6      |
| 399813      | 中证国防安全指数           | 2015/1/29     |
| 399814      | 中证大农业指数            | 2014/7/22     |
| 399817      | 中证阿拉善生态主题100指数     | 2015/10/21    |
| 399901      | 中证南方小康产业指数         | 2010/4/1      |
| 399902      | 中证流通指数             | 2006/2/27     |
| 399903      | 中证100指数            | 2006/5/29     |
| 399904      | 中证中盘200指数          | 2007/1/15     |
| 399905      | 中证500              | 2007/1/15     |
| 399906      | 中证800指数            | 2007/1/15     |
| 399907      | 中证中小盘700指数         | 2007/1/15     |
| 399908      | 沪深300能源指数          | 2007/7/2      |
| 399909      | 沪深300原材料指数         | 2007/7/2      |
| 399910      | 沪深300工业指数          | 2007/7/2      |
| 399911      | 沪深300可选消费指数        | 2007/7/2      |
| 399912      | 沪深300主要消费指数        | 2007/7/2      |
| 399913      | 沪深300医药卫生指数        | 2007/7/2      |
| 399914      | 沪深300金融地产指数        | 2007/7/2      |
| 399915      | 沪深300信息技术指数        | 2007/7/2      |
| 399916      | 沪深300电信业务指数        | 2007/7/2      |
| 399917      | 沪深300公用事业指数        | 2007/7/2      |
| 399918      | 沪深300成长指数          | 2008/1/21     |
| 399919      | 沪深300价值指数          | 2008/1/21     |
| 399920      | 沪深300相对成长指数        | 2008/1/21     |
| 399922      | 中证红利指数             | 2008/5/26     |
| 399923      | 公司债                | 2008/11/19    |
| 399925      | 中证锐联基本面50指数        | 2009/2/26     |
| 399926      | 中证中央企业综合指数         | 2009/3/30     |
| 399927      | 中证中央企业100指数        | 2009/3/30     |
| 399928      | 中证能源指数             | 2009/7/3      |
| 399929      | 中证原材料指数            | 2009/7/3      |
| 399930      | 中证工业指数             | 2009/7/3      |
| 399931      | 中证可选消费指数           | 2009/7/3      |
| 399932      | 中证主要消费指数           | 2009/7/3      |
| 399933      | 中证医药卫生指数           | 2009/7/3      |
| 399934      | 中证金融地产指数           | 2009/7/3      |
| 399935      | 中证信息技术指数           | 2009/7/3      |
| 399936      | 中证电信业务指数           | 2009/7/3      |
| 399937      | 中证公用事业指数           | 2009/7/3      |
| 399938      | 中证民营企业综合指数         | 2009/8/25     |
| 399939      | 中证民营企业200指数        | 2009/8/25     |
| 399940      | 中证财富大盘指数           | 2009/9/25     |
| 399941      | 中证内地新能源主题指数        | 2009/10/28    |
| 399942      | 中证内地消费主题指数         | 2009/10/28    |
| 399943      | 中证内地基建主题指数         | 2009/10/28    |
| 399944      | 中证内地资源主题指数         | 2009/10/28    |
| 399945      | 中证内地运输主题指数         | 2009/10/28    |
| 399946      | 中证内地金融主题指数         | 2009/10/28    |
| 399947      | 中证内地银行主题指数         | 2009/10/28    |
| 399948      | 中证内地地产主题指数         | 2009/10/28    |
| 399949      | 中证内地农业主题指数         | 2009/10/28    |
| 399950      | 沪深300基建主题指数        | 2009/10/28    |
| 399951      | 沪深300银行指数          | 2009/10/28    |
| 399952      | 沪深300地产指数          | 2009/10/28    |
| 399953      | 中证地方国有企业综合指数       | 2010/2/9      |
| 399954      | 中证地方国有企业100指数      | 2010/2/9      |
| 399955      | 中证国有企业综合指数         | 2010/2/9      |
| 399956      | 中证国有企业200指数        | 2010/2/9      |
| 399957      | 沪深300运输指数          | 2009/6/16     |
| 399958      | 中证创业成长指数           | 2010/3/24     |
| 399959      | 军工指数               | 2011/8/30     |
| 399960      | 中证龙头企业指数           | 2010/2/9      |
| 399961      | 中证上游资源产业指数         | 2010/4/16     |
| 399962      | 中证中游制造产业指数         | 2010/4/16     |
| 399963      | 中证下游消费与服务产业指数      | 2010/4/16     |
| 399964      | 中证新兴产业指数           | 2010/4/30     |
| 399965      | 800地产              | 2014/4/4      |
| 399966      | 800非银              | 2014/4/4      |
| 399967      | 中证军工               | 2013/12/26    |
| 399968      | 沪深300周期行业指数        | 2010/5/28     |
| 399969      | 沪深300非周期行业指数       | 2010/5/28     |
| 399970      | 中证移动互联网指数          | 2014/5/5      |
| 399971      | 中证传媒指数             | 2014/4/15     |
| 399972      | 300深市              | 2012/6/21     |
| 399973      | 中证国防指数             | 2014/4/15     |
| 399974      | 中证国有企业改革指数         | 2014/8/7      |
| 399975      | 中证全指证券公司指数\(四级行业\) | 2013/7/15     |
| 399976      | 中证新能源汽车指数          | 2014/11/28    |
| 399977      | 中证内地低碳经济主题指数       | 2011/1/21     |
| 399978      | 中证医药100指数          | 2011/3/18     |
| 399979      | 中证大宗商品股票指数         | 2011/8/22     |
| 399980      | 中证超级大盘指数           | 2011/5/10     |
| 399981      | 沪深300行业分层等权重指数     | 2011/6/13     |
| 399982      | 中证500等权重指数         | 2011/6/13     |
| 399983      | 沪深300地产等权重指数       | 2013/11/22    |
| 399984      | 沪深300等权重指数         | 2011/8/2      |
| 399985      | 中证全指指数             | 2011/8/2      |
| 399986      | 中证银行指数             | 2013/7/15     |
| 399987      | 中证酒指数              | 2014/12/10    |
| 399989      | 中证医疗指数             | 2014/10/31    |
| 399990      | 中证煤炭等权指数           | 2015/1/21     |
| 399991      | 中证一带一路主题指数         | 2015/2/16     |
| 399992      | 中证万得并购重组指数         | 2015/5/8      |
| 399993      | 中证万得生物科技指数         | 2015/5/8      |
| 399994      | 中证信息安全主题指数         | 2015/3/12     |
| 399995      | 中证基建工程指数           | 2015/3/12     |
| 399996      | 中证智能家居指数           | 2014/9/17     |
| 399997      | 中证白酒指数             | 2015/1/21     |
| 399998      | 中证煤炭指数             | 2015/2/13     |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 品种代码      | str   | Y        | 股票代码  |
| 品种名称      | str   | Y        | 股票名称  |
| 纳入日期      | str   | Y        | 成份股纳入日期  |

接口示例

```python
import mssdk as ms
index_stock_cons_df = ms.index_stock_cons(index="000300")
print(index_stock_cons_df)
```

数据示例

```
     品种代码  品种名称        纳入日期
0    603501  韦尔股份  2019-12-16
1    600989  宝丰能源  2019-12-16
2    000723  美锦能源  2019-12-16
3    601236  红塔证券  2019-12-16
4    603899  晨光文具  2019-12-16
..      ...   ...         ...
295  000157  中联重科  2005-04-08
296  000069  华侨城A  2005-04-08
297  000063  中兴通讯  2005-04-08
298  000001  深发展A  2005-04-08
299  000002   万科A  2005-04-08
```

输出参数-按市场归类

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 品种代码      | str   | Y        | 股票代码  |
| 品种名称      | str   | Y        | 股票名称  |
| 纳入日期      | str   | Y        | 成份股纳入日期  |

接口示例-按市场归类

```python
import mssdk as ms
index_stock_cons_df = ms.index_stock_cons(index="000300")  # 主要调用 ms.stock_a_code_to_symbol 来进行转换
index_stock_cons_df['symbol'] = index_stock_cons_df['品种代码'].apply(ms.stock_a_code_to_symbol)
print(index_stock_cons_df)
```

数据示例-按市场归类

```
      品种代码  品种名称        纳入日期    symbol
0   000688  国城矿业  2020-12-14  sz000688
1   002409  雅克科技  2020-12-14  sz002409
2   002683  宏大爆破  2020-12-14  sz002683
3   002709  天赐材料  2020-12-14  sz002709
4   002064  华峰氨纶  2020-06-15  sz002064
5   002458  益生股份  2020-06-15  sz002458
6   002812  恩捷股份  2019-12-16  sz002812
7   002128  露天煤业  2019-12-16  sz002128
8   002080  中材科技  2019-12-16  sz002080
9   000708  中信特钢  2019-12-16  sz000708
10  002157  正邦科技  2019-06-17  sz002157
11  000723  美锦能源  2019-06-17  sz000723
12  000629  攀钢钒钛  2019-06-17  sz000629
13  000930  中粮生化  2019-01-02  sz000930
14  000860  顺鑫农业  2019-01-02  sz000860
15  002110  三钢闽光  2018-07-02  sz002110
16  002078  太阳纸业  2018-07-02  sz002078
17  000703  恒逸石化  2018-07-02  sz000703
18  000830  鲁西化工  2018-01-02  sz000830
19  300618  寒锐钴业  2018-01-02  sz300618
20  002408  齐翔腾达  2017-07-03  sz002408
21  300498  温氏股份  2017-01-03  sz300498
22  002299  圣农发展  2016-07-01  sz002299
23  000959  首钢股份  2016-07-01  sz000959
24  000807  云铝股份  2016-07-01  sz000807
25  002221  东华能源  2016-01-04  sz002221
26  000898  鞍钢股份  2014-07-01  sz000898
27  002340   格林美  2014-01-02  sz002340
28  002311  海大集团  2014-01-02  sz002311
29  002385   大北农  2012-07-02  sz002385
30  000876   新希望  2012-01-04  sz000876
31  000998  隆平高科  2011-11-15  sz000998
32  000983  西山煤电  2011-11-15  sz000983
33  000960  锡业股份  2011-11-15  sz000960
34  000878  云南铜业  2011-11-15  sz000878
35  000825  太钢不锈  2011-11-15  sz000825
36  000778  新兴铸管  2011-11-15  sz000778
37  000709  河北钢铁  2011-11-15  sz000709
38  000630  铜陵有色  2011-11-15  sz000630
39  000060  中金岭南  2011-11-15  sz000060
```

#### 历史成份

接口: index_stock_hist

目标地址: http://stock.jrj.com.cn/share,sh000300,2015nlscf_2.shtml

描述: 获取指定股票指数的历史成份股票信息

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| index | str  | Y    |   index="sh000300"; 带市场前缀的指数代码|

```python
import mssdk as ms
stock_index_hist_df = ms.index_stock_hist(index="sh000001")
print(stock_index_hist_df)
```

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| stock_code      | str   | Y        | 股票代码  |
| in_date      | str   | Y        | 进入时间  |
| out_date      | str   | Y        | 退出时间  |
		
数据示例

```
   stock_code     in_date    out_date
0      000630  2005-04-08  2020-06-15
1      002294  2017-12-11  2020-06-15
2      300070  2014-12-15  2020-06-15
3      002411  2017-06-12  2020-06-15
4      600100  2005-04-08  2020-06-15
..        ...         ...         ...
20     600489  2005-04-08  2005-07-01
21     000562  2005-04-08  2005-07-01
22     600757  2005-04-08  2005-07-01
23     600748  2005-04-08  2005-07-01
24     600271  2005-04-08  2005-07-01
```

### 国证指数

#### 全部指数

接口: index_cni_all

目标地址: http://www.cnindex.com.cn/zh_indices/sese/index.html?act_menu=1&index_type=-1

描述: 国证指数-所有指数的代码和基本信息

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | -  | -    |   -|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 指数代码      | str   | Y        | -  |
| 指数简称      | str   | Y        | -   |
| 样本数      | int   | Y        | -   |
| 收盘点位      | float   | Y        | -   |
| 涨跌幅      | float   | Y        | -   |
| PE滚动      | float   | Y        | -   |
| 成交量      | float   | Y        | -   |
| 成交额      | float   | Y        | -   |
| 总市值      | float   | Y        | -   |
| 自由流通市值      | float   | Y        | -   |

接口示例

```python
import mssdk as ms
index_cni_all_df = ms.index_cni_all()
print(index_cni_all_df)
```

数据示例

```
         指数代码         指数简称  样本数  ...           成交额           总市值        自由流通市值
0      399001         深证成指  500  ...  3.019119e+11  2.235488e+13  1.032938e+13
1      399002         深成指R  500  ...  3.019119e+11  2.235488e+13  1.032938e+13
2      399003         成份B指   10  ...  2.151528e+08           NaN           NaN
3      399004       深证100R  100  ...  1.586337e+11  1.348989e+13  6.170117e+12
4      399005         中小板指  100  ...  8.945327e+10  7.052534e+12  3.026932e+12
       ...          ...  ...  ...           ...           ...           ...
1051  MOTHKDG    中华港股通护城河R   40  ...  3.831779e+10           NaN           NaN
1052  PELHKDG  中华港股通泛休闲娱乐R   30  ...  2.501472e+10           NaN           NaN
1053  RETHKDG   中华房地产信托基金R   30  ...  1.322452e+09           NaN           NaN
1054  VALHKDG     中华港股通价值R   40  ...  1.822428e+10           NaN           NaN
1055  YLVHKDG   中华港股通高息低波R   40  ...  3.408036e+10           NaN           NaN
```

#### 指数行情

接口: index_cni_hist

目标地址: http://www.cnindex.com.cn/module/index-detail.html?act_menu=1&indexCode=399001

描述: 获取国证指数-具体指数的日频率行情数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| index | str  | Y    |   index="399005"; 从 **index_cni_all** 接口获取指数代码|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | -  |
| 开盘价      | float   | Y        | -   |
| 最高价      | float   | Y        | -   |
| 最低价      | float   | Y        | -   |
| 收盘价      | float   | Y        | -   |
| 涨跌幅      | float   | Y        | -   |
| 成交量      | float   | Y        | -   |
| 成交额      | float   | Y        | -   |

接口示例

```python
import mssdk as ms
index_cni_hist_df = ms.index_cni_hist(index="399005")
print(index_cni_hist_df)
```

数据示例

```
              日期      开盘价      最高价      最低价      收盘价     涨跌幅       成交量      成交额
0     2020-11-30  9063.78  9118.59  8988.38  9042.47  0.0016  14140.85  1808.14
1     2020-11-27  8966.50  9028.19  8917.51  9028.19  0.0096  12107.15  1467.90
2     2020-11-26  8966.24  8991.66  8832.09  8942.48 -0.0022  12466.98  1544.96
3     2020-11-25  9126.53  9148.83  8960.07  8962.49 -0.0171  14709.35  1811.81
4     2020-11-24  9155.33  9164.62  9071.68  9118.20 -0.0033  14587.09  1843.87
          ...      ...      ...      ...      ...     ...       ...      ...
3602  2006-02-08  1459.67  1469.49  1446.54  1469.49  0.0038     60.96     5.37
3603  2006-02-07  1483.46  1485.69  1450.15  1463.92 -0.0124    102.62     9.35
3604  2006-02-06  1433.45  1482.33  1433.45  1482.33  0.0366     81.29     7.31
3605  2006-01-25  1456.09  1463.72  1414.46  1430.02 -0.0200    115.68     9.25
3606  2006-01-24  1457.22  1471.20  1446.44  1459.20     NaN     90.65     7.88
```

#### 指数样本详情

接口: index_cni_detail

目标地址: http://www.cnindex.com.cn/module/index-detail.html?act_menu=1&indexCode=399001

描述: 国证指数-指数样本详情数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| index | str  | Y    |   index='399005'; 从 **index_cni_all** 接口获取指数代码|
| date | str  | Y    |   date='2020-11'; 指定月份|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | -  |
| 样本代码      | str   | Y        | -   |
| 样本简称      | str   | Y        | -   |
| 所属行业      | str   | Y        | -   |
| 自由流通市值      | float   | Y        | 注意单位: 亿元   |
| 总市值      | float   | Y        | 注意单位: 亿元   |
| 权重      | float   | Y        | 注意单位: %   |

接口示例

```python
import mssdk as ms
index_cni_detail_df = ms.index_cni_detail(index='399005', date='2020-11')
print(index_cni_detail_df)
```

数据示例

```
            日期  样本代码  样本简称  所属行业  自由流通市值(亿元)  总市值(亿元)  权重（%）
0   2020-11-30  2475  立讯精密  信息技术     2054.87  3618.18   6.79
1   2020-11-30  2415  海康威视  信息技术     1499.80  4267.87   4.95
2   2020-11-30  2594   比亚迪  可选消费     1317.61  3121.33   4.35
3   2020-11-30  2714  牧原股份  主要消费     1251.56  2885.83   4.13
4   2020-11-30  2352  顺丰控股    工业     1130.70  3645.15   3.74
..         ...   ...   ...   ...         ...      ...    ...
95  2020-11-30  2468  申通快递    工业       63.81   194.41   0.21
96  2020-11-30  2563  森马服饰  可选消费       57.12   240.36   0.19
97  2020-11-30  2399   海普瑞  医药卫生       52.09   233.35   0.17
98  2020-11-30  2901  大博医疗  医药卫生       27.70   277.90   0.09
99  2020-11-30  2966  苏州银行    金融       26.13   261.33   0.09
```

#### 历史样本

接口: index_cni_detail_hist

目标地址: http://www.cnindex.com.cn/module/index-detail.html?act_menu=1&indexCode=399001

描述: 获取国证指数-历史样本数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| index | str  | Y    |   index='399005'; 从 **index_cni_all** 接口获取指数代码|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | str   | Y        | -  |
| 样本代码      | str   | Y        | -   |
| 样本简称      | str   | Y        | -   |
| 所属行业      | str   | Y        | -   |
| 自由流通市值      | float   | Y        | 注意单位: 亿元   |
| 总市值      | float   | Y        | 注意单位: 亿元   |
| 权重      | float   | Y        | 注意单位: %   |

接口示例

```python
import mssdk as ms
index_cni_detail_hist_df = ms.index_cni_detail_hist(index='399005')
print(index_cni_detail_hist_df)
```

数据示例

```
         日期  样本代码   样本简称  所属行业  自由流通市值(亿元)  总市值(亿元)  权重（%）
0     2020-11-30  2001  新 和 成  医药卫生      342.88   683.27   1.13
1     2020-11-30  2007   华兰生物  医药卫生      418.01   785.21   1.38
2     2020-11-30  2008   大族激光  信息技术      319.26   421.92   1.05
3     2020-11-30  2010   传化智联    工业       65.53   182.76   0.22
4     2020-11-30  2013   中航机电    工业      210.73   420.73   0.70
          ...   ...    ...   ...         ...      ...    ...
6095  2015-11-30  2653    海思科  医药卫生       62.97   237.55   0.49
6096  2015-11-30  2657   中科金财  信息技术      121.85   269.34   0.94
6097  2015-11-30  2673   西部证券    金融      333.84  1001.93   2.57
6098  2015-11-30  2701    奥瑞金   原材料      137.86   268.50   1.06
6099  2015-11-30  2736   国信证券    金融      227.04  1551.44   1.75
```

#### 历史调样

接口: index_cni_detail_hist_adjust

目标地址: http://www.cnindex.com.cn/module/index-detail.html?act_menu=1&indexCode=399001

描述: 获取国证指数-样本详情-历史调样

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| index | str  | Y    |   index='399005'; 从 **index_cni_all** 接口获取指数代码|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 开始日期      | str   | Y        | -  |
| 结束日期      | str   | Y        | -   |
| 样本代码      | str   | Y        | -   |
| 样本简称      | str   | Y        | -   |
| 所属行业      | str   | Y        | -   |
| 调整类型      | str   | Y        | 注意单位: 亿元   |

接口示例

```python
import mssdk as ms
index_cni_detail_hist_adjust_df = ms.index_cni_detail_hist_adjust(index='399005')
print(index_cni_detail_hist_adjust_df)
```

数据示例

```
            开始日期        结束日期    样本代码   样本简称  所属行业 调整类型
0     2020-06-15  2020-12-11  002001  新 和 成  医药卫生  OLD
1     2020-06-15  2020-12-11  002007   华兰生物  医药卫生  OLD
2     2020-06-15  2020-12-11  002008   大族激光  信息技术  OLD
3     2020-06-15  2020-12-11  002010   传化智联    工业  OLD
4     2020-06-15  2020-12-11  002013   中航机电    工业  OLD
          ...         ...     ...    ...   ...  ...
1290  2016-01-04  2016-06-30  002657   中科金财  信息技术  OLD
1291  2016-01-04  2016-06-30  002673   西部证券    金融  OLD
1292  2016-01-04  2016-06-30  002701    奥瑞金   原材料  OLD
1293  2016-01-04  2016-06-30  002736   国信证券    金融  OLD
1294  2016-01-04  2016-06-30  002739   万达院线  可选消费    +
```

### 全球指数数据

接口: index_investing_global

目标地址: https://cn.investing.com/indices/

描述: 获取世界主要国家的各种指数, 该接口需要通过代理访问; 由于涉及国家和指数(**1000** + 个指数)具体参见[国家-指数目录](https://cn.investing.com/indices/world-indices?&majorIndices=on&primarySectors=on&additionalIndices=on&otherIndices=on)
具体的调用方式可以参照:

1. 先查询指数所在的国家名称;
2. 复制网页上国家名称(推荐复制), 如 **美国**;
3. 复制所显示的具体指数名称(推荐复制, 如果英文中间有空格, 也需要保留空格), 如 **美元指数**; 也可以调用 **ms.index_investing_global_country_name_url("美国")** 获取需要国家的具体指数名称
4. 在安装 [mssdk](https://github.com/akfamily/mssdk) 后输入, 如 **ms.index_investing_global(country="美国", index_name="VIX恐慌指数", period="每月", start_date="2005-01-01", end_date="2020-06-05")**;
5. 稍后就可以获得所需数据.

限量: 单次返回某一个国家的具体某一个指数, 每次最大返回 5000 条, 想获取较长时间的历史数据请分时间段获取, 建议用 for 循环获取多个国家的多个指数, 注意不要大量获取, 以免给对方服务器造成压力!

输入参数

| 名称   | 类型 | 描述    |
| -------- | ---- | --- |
| country | str  |    country="美国"|
| index_name | str  |  index_name="美元指数"; 可以通过 ms.index_investing_global_country_name_url("美国") 获取|
| period | str  |  period="每月"; choice of {"每日", "每周", "每月"}|
| start_date | str  |   start_date='20000101'|
| end_date | str  |  end_date='20191017'|

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 日期      | object   |  日期  |
| 收盘      | float64   |  收盘价   |
| 开盘      | float64   | 开盘价        |
| 高        | float64   | 最高价    |
| 低         | float64 |  最低价         |
| 交易量      | float64 |  交易量      |

接口示例

```python
import mssdk as ms
index_investing_global_df = ms.index_investing_global(country="中国", index_name="富时中国A50指数", period="每日", start_date="20000101", end_date="20210909")
print(index_investing_global_df)
```

数据示例

```
       日期        收盘        开盘         高         低  交易量
0     2010-05-19   9047.81   9106.26   9191.26   8929.31  0.0
1     2010-05-20   8924.33   9047.81   9143.00   8905.52  0.0
2     2010-05-21   9026.51   8924.33   9030.58   8686.36  0.0
3     2010-05-24   9317.78   9026.51   9375.71   9026.51  0.0
4     2010-05-25   9077.53   9317.78   9317.78   9050.91  0.0
          ...       ...       ...       ...       ...  ...
2783  2021-09-03  15136.65  15093.72  15247.63  14902.02  0.0
2784  2021-09-06  15388.35  15136.65  15462.80  15087.18  0.0
2785  2021-09-07  15544.89  15388.35  15600.47  15283.45  0.0
2786  2021-09-08  15397.64  15544.89  15589.33  15347.35  0.0
2787  2021-09-09  15366.34  15397.64  15402.02  15256.98  0.0
```

### 全球指数数据-URL版

接口: index_investing_global_from_url

目标地址: https://www.investing.com/indices/ftse-epra-nareit-eurozone

描述: 世界主要国家的各种指数, 该接口需要通过代理访问; 该接口只需要输入相应指数的 URL 地址

限量: 单次返回某一个国家的具体某一个指数, 建议用 for 循环获取多个国家的多个指数, 注意不要大量获取, 以免给对方服务器造成压力!

输入参数

| 名称   | 类型 | 描述    |
| -------- | ---- | --- |
| url | str  |    url="https://www.investing.com/indices/ftse-epra-nareit-eurozone"; 具体指数的页面 URL 地址|
| period | str  |  period="每月"; choice of {"每日", "每周", "每月"}|
| start_date | str  |   start_date='20000101'|
| end_date | str  |  end_date='20191017'|

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 日期      | object   |  日期  |
| 收盘      | float64   |  收盘价   |
| 开盘      | float64   | 开盘价        |
| 高        | float64   | 最高价    |
| 低         | float64 |  最低价         |
| 交易量      | float64 |  交易量      |

接口示例

```python
import mssdk as ms
index_investing_global_df = ms.index_investing_global_from_url(url="https://www.investing.com/indices/ftse-epra-nareit-hong-kong", period="每日", start_date="19900101", end_date="20210909")
print(index_investing_global_df)
```

数据示例

```
       日期       收盘       开盘        高        低  交易量
0     2010-05-18  1601.97  1582.11  1605.89  1571.07  0.0
1     2010-05-19  1577.06  1583.19  1594.69  1569.45  0.0
2     2010-05-20  1568.02  1585.58  1585.65  1541.22  0.0
3     2010-05-21  1565.46  1564.88  1565.74  1562.59  0.0
4     2010-05-24  1611.90  1555.62  1615.30  1555.62  0.0
          ...      ...      ...      ...      ...  ...
2959  2021-09-03  1803.02  1813.51  1819.92  1767.47  0.0
2960  2021-09-06  1792.55  1797.30  1799.81  1790.49  0.0
2961  2021-09-07  1798.50  1797.41  1802.65  1790.11  0.0
2962  2021-09-08  1799.42  1793.50  1806.87  1793.24  0.0
2963  2021-09-09  1803.44  1794.91  1819.65  1794.91  0.0
```

### 微博指数数据

接口: weibo_index

目标地址: https://data.weibo.com/index/newindex

描述: 获取指定 **word** 的微博指数

输入参数

| 名称   | 类型 | 必选 | 描述  |
| -------- | ---- | ---- | --- |
| word | str  | Y    |   word="股票"|
| time_type | str  | Y    |  time_type="1hour"; 1hour, 1day, 1month, 3month 选其一|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| date      | datetime   | Y        | 日期-索引  |
| index      | float   | Y        | 指数   |

接口示例

```python
import mssdk as ms
weibo_index_df = ms.weibo_index(word="期货", time_type="3month")
print(weibo_index_df)
```

数据示例

```
             期货
index          
20190901  13334
20190902  46214
20190903  49017
20190904  53229
20190905  68506
         ...
20191127  68081
20191128  42348
20191129  62141
20191130  23448
20191201  16169
```

### 百度搜索指数

接口: baidu_search_index

目标地址: http://index.baidu.com/v2/main/index.html

描述: 获取指定 **词语** 的百度搜索指数，注意该接口获取的数据跨度问题

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| word | str  | Y    |   word="股票"|
| start_date | str  | Y    | start_date="2010-12-27" |
| end_date | str  | Y    |  end_date="2019-12-01" |
| cookie | str  | Y    |  cookie="您在网页端登录百度指数后的 cookie 数据"; 如下图所示 |

如下图中游览器请求头中的蓝色选中部分内容到 cookie 即可

![cookies](https://jfds-1252952517.cos.ap-chengdu.myqcloud.com/mssdk/readme/index_baidu/cookies.png)

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| date      | datetime   | Y        | 日期-索引  |
| index      | float   | Y        | 指数   |

接口示例

```python
import mssdk as ms
cookie = '此处输入您在网页端登录百度指数后的 cookie 数据'  # 此处请用单引号
baidu_search_index_df = ms.baidu_search_index(word="螺纹钢", start_date='2010-12-27', end_date='2019-12-01', cookie=cookie)
print(baidu_search_index_df)
```

数据示例

```
           index
date            
2010-12-27   294
2011-01-03   494
2011-01-10   527
2011-01-17   462
2011-01-24   411
          ...
2019-10-28   706
2019-11-04   758
2019-11-11   810
2019-11-18   936
2019-11-25   924
```

### 百度资讯指数

接口: baidu_info_index

目标地址: http://index.baidu.com/v2/main/index.html

描述: 获取指定 **词语** 的百度资讯指数，注意该接口获取的数据跨度问题

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| word | str  | Y    |   word="股票"|
| start_date | datetime.datetime  | Y    | start_date="2017-07-03" |
| end_date | datetime.datetime  | Y    |  end_date="2019-12-01" |
| cookie | str  | Y    |  cookie="您在网页端登录百度指数后的 cookie 数据"; 如下图所示 |

如下图中游览器请求头中的蓝色选中部分内容到 cookie 即可

![cookies](https://jfds-1252952517.cos.ap-chengdu.myqcloud.com/mssdk/readme/index_baidu/cookies.png)

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| date      | datetime   | Y        | 日期-索引  |
| index      | float   | Y        | 指数   |

接口示例

```python
import mssdk as ms
cookie = '此处输入您在网页端登录百度指数后的 cookie 数据'  # 此处请用单引号
baidu_info_index_df = ms.baidu_info_index(word="螺纹钢", start_date='2017-07-03', end_date='2019-12-01', cookie=cookie)
print(baidu_info_index_df)
```

数据示例

```
            index
date             
2017-07-03  12727
2017-07-10  12670
2017-07-17   8722
2017-07-24   6054
2017-07-31  10763
           ...
2019-10-28  24363
2019-11-04  18594
2019-11-11  38890
2019-11-18  30896
2019-11-25  55445
```

### 百度媒体指数

接口: baidu_media_index

目标地址: http://index.baidu.com/v2/main/index.html

描述: 获取指定 **词语** 的百度媒体指数，注意该接口获取的数据跨度问题

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| word | str  | Y    |   word="股票"|
| start_date | datetime.datetime  | Y    | start_date="2010-12-27" |
| end_date | datetime.datetime  | Y    |  end_date="2019-12-01" |
| cookie | str  | Y    |  cookie="您在网页端登录百度指数后的 cookie 数据"; 如下图所示 |

如下图中游览器请求头中的蓝色选中部分内容到 cookie 即可

![cookies](https://jfds-1252952517.cos.ap-chengdu.myqcloud.com/mssdk/readme/index_baidu/cookies.png)

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| date      | datetime   | Y        | 日期-索引  |
| index      | float   | Y        | 指数   |

接口示例

```python
import mssdk as ms
cookie = '此处输入您在网页端登录百度指数后的 cookie 数据'  # 此处请用单引号
baidu_media_index_df = ms.baidu_media_index(word="螺纹钢", start_date='2010-12-27', end_date='2019-12-01', cookie=cookie)
print(baidu_media_index_df)
```

数据示例

```
           index
date            
2010-12-27     0
2011-01-03    13
2011-01-10    30
2011-01-17    33
2011-01-24    27
          ...
2019-10-28     5
2019-11-04     6
2019-11-11     4
2019-11-18     5
2019-11-25     8
```

### 谷歌趋势指数

接口: google_index

目标地址: https://trends.google.com/trends/?geo=US

描述: 获取指定 **词语** 的谷歌趋势指数, **需要通过代理访问**

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| word | str  | Y    |   word="python"|
| start_date | datetime.datetime  | Y    | start_date="2004-01-01", 如果要获取具体的实时分钟或小时数据, 请输入如 start_date="2019-12-10T10" , end_date="2019-12-10T23"|
| end_date | datetime.datetime  | Y    |  end_date="2019-12-01", 如果要获取具体的实时分钟或小时数据, 请输入如 start_date="2019-12-10T10" , end_date="2019-12-10T23"|
| plot | Bool  | Y    |  plot=True, 则画图 |

**start_date="2019-12-10T10"** 中的 **T10** 表示 10 点, 以 24 小时制计算, 2019年12月10日上午 **10** 点

**end_date="2019-12-10T23"** 中的 **T10** 表示 23 点, 以 24 小时制计算, 2019年12月10日晚上 **23** 点

**中美时间会有一天左右时差**

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| date      | datetime   | Y        | 日期-索引  |
| index      | float   | Y        | 指数   |

接口示例-长时间

```python
import mssdk as ms
google_index_df = ms.google_index(word="python", start_date='2004-01-01', end_date='2019-12-01', plot=True)
print(google_index_df)
```

数据示例-长时间

```
date
2004-01-01     43
2004-02-01     40
2004-03-01     41
2004-04-01     38
2004-05-01     40
             ... 
2019-08-01     87
2019-09-01     98
2019-10-01     99
2019-11-01    100
2019-12-01     60
Name: python, Length: 192, dtype: int32
```

图片示例-长时间

![](https://jfds-1252952517.cos.ap-chengdu.myqcloud.com/mssdk/readme/index/clipboard_20191204050206.png)

接口示例-短时间

```python
import mssdk as ms
index_df = df = ms.google_index(word="AI", start_date="2019-12-10T10", end_date="2019-12-10T23", plot=True)
print(index_df)
```

数据示例-短时间

```
date
2019-12-10 10:00:00    31
2019-12-10 10:08:00    42
2019-12-10 10:16:00    42
2019-12-10 10:24:00    73
2019-12-10 10:32:00    83
                       ..
2019-12-10 22:24:00    12
2019-12-10 22:32:00     0
2019-12-10 22:40:00    12
2019-12-10 22:48:00    12
2019-12-10 22:56:00    62
Name: 人工智能, Length: 98, dtype: int32
```

图片示例-短时间

![](https://jfds-1252952517.cos.ap-chengdu.myqcloud.com/mssdk/readme/index/clipboard_20191211034449.png)

### 申万市场表征实时行情

接口: sw_index_representation_spot

目标地址: http://www.swsindex.com/idx0120.aspx?columnid=8831

描述: 申万市场表征实时行情, 历史行情及成分数据可以通过 ms.sw_index_cons, ms.sw_index_daily 和 ms.sw_index_daily_indicator 获取

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| - | -  |    -|

输出参数

| 名称          | 类型 | 描述           |
| --------------- | ----- | ---------------- |
| 指数代码      | object   |    |
| 指数名称      | object   |    |
| 昨收盘      | float64   |   |
| 今开盘      | float64   |    |
| 成交额      | float64   |  注意单位: 元 |
| 最高价      | float64   |    |
| 最低价      | float64   |   |
| 最新价      | float64   |    |
| 成交量      | int64   | 注意单位: 股  |

接口示例

```python
import mssdk as ms
sw_index_representation_spot_df = ms.sw_index_representation_spot()
print(sw_index_representation_spot_df)
```

数据示例

```
   指数代码              指数名称      昨收盘  ...      最低价      最新价          成交量
0  801001  申万50                          3829.25  ...  3748.49  3768.97   3304203167
1  801002    申万中小                        8167.88  ...  8064.76  8159.07  17637463853
2  801003    申万Ａ指                        4503.94  ...  4438.91  4500.13  89836705893
3  801005    申万创业                        3535.58  ...  3485.84  3515.74  11172806887
4  801250    申万制造                        5449.53  ...  5373.05  5461.89  21389935712
5  801260    申万消费                        8026.88  ...  7881.15  7921.59   9661203563
6  801270    申万投资                        4647.62  ...  4591.18  4676.63  26090829454
7  801280    申万服务                        2789.29  ...  2742.62  2794.36  32259327742
8  801300    申万300指数                     3691.09  ...  3626.51  3659.20  18071877155
```

### 申万一级行业实时行情

接口: sw_index_spot

目标地址: http://www.swsindex.com/idx0120.aspx?columnid=8832

描述: 申万一级行业实时行情数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| - | -  |    -|

输出参数

| 名称          | 类型 | 描述           |
| --------------- | ----- | ---------------- |
| 指数代码      | object   |    |
| 指数名称      | object   |    |
| 昨收盘      | float64   |   |
| 今开盘      | float64   |    |
| 成交额      | float64   |  注意单位: 元 |
| 最高价      | float64   |    |
| 最低价      | float64   |   |
| 最新价      | float64   |    |
| 成交量      | int64   | 注意单位: 股  |

接口示例

```python
import mssdk as ms
sw_index_spot_df = ms.sw_index_spot()
print(sw_index_spot_df)
```

数据示例

```
      指数代码  指数名称       昨收盘       今开盘  ...       最高价       最低价       最新价          成交量
0   801010  农林牧渔   3227.75   3178.28  ...   3180.60   3145.18   3158.51   1323065161
1   801020    采掘   4126.38   4084.48  ...   4308.24   4083.78   4308.24   5130202394
2   801030    化工   5659.47   5603.61  ...   5685.51   5583.53   5685.51  10741261417
3   801040    钢铁   3768.53   3712.38  ...   3797.28   3699.27   3797.28   3250096191
4   801050  有色金属   6389.78   6288.19  ...   6405.61   6288.19   6385.87   5656658851
5   801080    电子   4962.68   4891.12  ...   4990.55   4891.12   4959.93   3731680879
6   801110  家用电器   7733.09   7603.16  ...   7632.51   7552.12   7579.70    766761156
7   801120  食品饮料  23469.53  23084.21  ...  23206.75  22751.48  22838.23    932231031
8   801130  纺织服装   1831.25   1816.07  ...   1828.94   1808.90   1825.87    799990160
9   801140  轻工制造   2711.56   2681.58  ...   2689.10   2666.73   2688.60   1456325164
10  801150  医药生物  11416.32  11275.67  ...  11547.59  11275.67  11421.78   3219694360
11  801160  公用事业   2509.27   2500.16  ...   2640.60   2500.16   2638.86  12564728829
12  801170  交通运输   2428.15   2396.78  ...   2470.43   2396.78   2470.43   3004918164
13  801180   房地产   3266.77   3211.62  ...   3347.38   3211.62   3344.31   2716764345
14  801200  商业贸易   3073.36   3050.01  ...   3080.69   3050.01   3078.06    912582158
15  801210  休闲服务  10997.03  10818.70  ...  10876.15  10509.16  10572.16    250554373
16  801230    综合   2774.54   2733.54  ...   2818.38   2733.54   2818.38    435409422
17  801710  建筑材料   8057.70   7954.96  ...   8056.03   7949.19   8009.31   1312610601
18  801720  建筑装饰   2208.13   2178.24  ...   2248.43   2178.24   2243.39   3562337561
19  801730  电气设备  11721.52  11572.66  ...  11872.89  11572.66  11825.79   7535443037
20  801740  国防军工   1750.73   1722.52  ...   1792.90   1722.52   1783.53   1682066042
21  801750   计算机   4795.90   4733.93  ...   4793.63   4733.93   4785.39   2269252110
22  801760    传媒    629.17    621.75  ...    625.58    620.44    624.66   2265132526
23  801770    通信   1968.21   1946.53  ...   1973.07   1946.53   1972.25   1590879987
24  801780    银行   3607.31   3504.14  ...   3543.54   3483.56   3525.49   2562444660
25  801790  非银金融   1877.86   1843.02  ...   1867.87   1843.02   1858.68   3026541219
26  801880    汽车   6352.82   6255.35  ...   6294.13   6228.87   6277.58   2033711951
27  801890  机械设备   1734.01   1709.80  ...   1735.33   1709.80   1733.56   5103362144
```

### 申万二级行业实时行情

接口: sw_index_second_spot

目标地址: http://www.swsindex.com/idx0120.aspx?columnId=8833

描述: 申万二级行业实时行情

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| - | -  |    -|

输出参数

| 名称          | 类型 | 描述           |
| --------------- | ----- | ---------------- |
| 指数代码      | object   |    |
| 指数名称      | object   |    |
| 昨收盘      | float64   |   |
| 今开盘      | float64   |    |
| 成交额      | float64   |  注意单位: 元 |
| 最高价      | float64   |    |
| 最低价      | float64   |   |
| 最新价      | float64   |    |
| 成交量      | int64   | 注意单位: 股  |

接口示例

```python
import mssdk as ms
sw_index_second_spot_df = ms.sw_index_second_spot()
print(sw_index_second_spot_df)
```

数据示例

```
      指数代码    指数名称      昨收盘      今开盘  ...   最高价   最低价  最新价   成交量
0   801011      林业  1081.46  1083.56  ...  1092.10  1077.29  1085.43    25130584
1   801012   农产品加工  2964.54  2983.98  ...  2992.28  2958.38  2984.02   345523347
2   801013    农业综合  1856.73  1935.73  ...  1950.10  1871.09  1881.86    25159603
3   801014      饲料  6132.25  6133.20  ...  6201.76  6095.39  6176.63   520261570
4   801015      渔业   843.42   846.90  ...   860.74   844.84   860.39   154707671
..     ...     ...      ...      ...  ...      ...      ...      ...         ...
93  801744    船舶制造  2328.57  2319.82  ...  2383.77  2299.99  2376.22   459987167
94  801751    营销传播  3105.17  3103.70  ...  3121.32  3099.65  3120.63   963306742
95  801752   互联网传媒  1079.42  1075.15  ...  1087.50  1069.48  1075.49  2408032627
96  801761    文化传媒  1336.92  1334.83  ...  1338.93  1331.94  1338.25   754051920
97  801881  其他交运设备  2259.17  2256.25  ...  2287.34  2244.92  2282.82   113560625
```

### 申万行业成份

接口: sw_index_cons

目标地址: http://www.swsindex.com/idx0210.aspx?swindexcode=801010

描述: 申万一级和二级行业成份股数据

输入参数

| 名称   | 类型 |描述         |
| -------- | ---- |  --- |
| index_code | str  |  index_code="801010"|

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| stock_code      | object   |    |
| stock_name      | object   |     |
| start_date      | object   |   |
| weight      | float64   |    |

接口示例

```python
import mssdk as ms
sw_index_cons_df = ms.sw_index_cons(index_code="801010")
print(sw_index_cons_df)
```

数据示例

```
   stock_code stock_name  start_date  weight
0      000048       京基智农  2011-10-10  0.4088
1      000505       京粮控股  2018-07-16  0.3207
2      000592       平潭发展  2015-11-03  0.7950
3      000702       正虹科技  2008-06-02  0.1488
4      000713       丰乐种业  2008-06-02  0.5855
..        ...        ...         ...     ...
88     603718       海利生物  2016-02-05  0.6369
89     603739       蔚蓝生物  2019-01-04  0.3128
90     605016       百龙创园  2021-04-21  0.1733
91     605198       德利股份  2020-09-18  0.0578
92     605296       神农集团  2021-05-28  0.2597
```

### 申万行业历史行情

接口: sw_index_daily

目标地址: http://www.swsindex.com/idx0200.aspx?columnid=8838&type=Day

描述: 申万一级和二级行业历史行情数据

输入参数

| 名称   | 类型 |  描述         |
| -------- | ---- |  --- |
| index_code | str  |   index_code="801010"|
| start_date | str  |    start_date="2019-12-01"|
| end_date | str  |    end_date="2019-12-07"|

输出参数

| 名称          | 类型 | 描述           |
| --------------- | ----- |  ---------------- |
| index_code      | object   |    |
| index_name      | object   |     |
| date      | object   |   |
| open      | float64   |     |
| high      | float64   |    |
| low      | float64   |     |
| close      | float64   |     |
| vol      | float64   |    |
| amount      | float64   |     |
| change_pct      | float64   |     |

接口示例

```python
import mssdk as ms
sw_index_daily_df = ms.sw_index_daily(index_code="801010", start_date="2019-12-01", end_date="2019-12-07")
print(sw_index_daily_df)
```

数据示例

```
  index_code index_name        date     open  ...    close   vol  amount  change_pct
0     801010       农林牧渔  2019-12-06  3278.67  ...  3273.24  7.63  106.32        0.03
1     801010       农林牧渔  2019-12-05  3278.81  ...  3272.12  6.93   85.40        0.11
2     801010       农林牧渔  2019-12-04  3274.92  ...  3268.57  7.44   93.57       -0.56
3     801010       农林牧渔  2019-12-03  3295.98  ...  3287.12  6.80   91.33       -0.33
4     801010       农林牧渔  2019-12-02  3280.31  ...  3297.97  7.33  105.91        1.37
```

### 申万行业历史行情指标

接口: sw_index_daily_indicator

目标地址: http://www.swsindex.com/idx0200.aspx?columnid=8838&type=Day

描述: 申万一级和二级行业历史行情指标数据

输入参数

| 名称   | 类型 |  描述      |
| -------- | ---- |  --- |
| index_code | str  |   index_code="801010"|
| start_date | str  |   start_date="2019-12-01"|
| end_date | str  |   end_date="2019-12-07"|
| data_type | str  |   data_type="Day"; "Day": 日报表, "Week": 周报表|

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| index_code      | object   |    |
| index_name      | object   |     |
| date      | object   |    |
| close      | float64   |     |
| volume      | float64   |    |
| chg_pct      | float64   |     |
| turn_rate      | float64   |     |
| pe      | float64   |    |
| pb      | float64   |     |
| vwap      | float64   |    |
| float_mv      | float64   |    |
| avg_float_mv      | float64   |     |
| dividend_yield_ratio      | float64   |     |
| turnover_pct      | float64   |     |

接口示例-天

```python
import mssdk as ms
sw_index_daily_indicator_df = ms.sw_index_daily_indicator(index_code="801010", start_date="2019-12-01", end_date="2019-12-07", data_type="Day")
print(sw_index_daily_indicator_df)
```

数据示例-天

```
   index_code index_name  ... dividend_yield_ratio  turnover_pct
0      801010       农林牧渔  ...                 1.19          2.64
1      801010       农林牧渔  ...                 1.19          2.05
2      801010       农林牧渔  ...                 1.19          2.68
3      801010       农林牧渔  ...                 1.19          2.68
4      801010       农林牧渔  ...                 1.18          3.16
5      801010       农林牧渔  ...                 1.20          2.57
6      801010       农林牧渔  ...                 1.19          2.95
7      801010       农林牧渔  ...                 1.19          2.75
8      801010       农林牧渔  ...                 1.19          2.73
9      801010       农林牧渔  ...                 1.20          2.11
10     801010       农林牧渔  ...                 1.18          2.26
11     801010       农林牧渔  ...                 1.17          2.53
12     801010       农林牧渔  ...                 1.16          2.71
13     801010       农林牧渔  ...                 1.15          2.56
14     801010       农林牧渔  ...                 1.16          3.56
15     801010       农林牧渔  ...                 1.17          3.40
16     801010       农林牧渔  ...                 1.13          2.72
17     801010       农林牧渔  ...                 1.13          3.04
18     801010       农林牧渔  ...                 1.12          3.40
19     801010       农林牧渔  ...                 1.13          3.33
20     801010       农林牧渔  ...                 1.11          3.51
21     801010       农林牧渔  ...                 1.09          4.39
22     801010       农林牧渔  ...                 1.11          4.58
23     801010       农林牧渔  ...                 1.09          4.30
24     801010       农林牧渔  ...                 1.10          3.83
25     801010       农林牧渔  ...                 1.10          4.45
```

接口示例-周

```python
import mssdk as ms
sw_index_daily_indicator_df = ms.sw_index_daily_indicator(index_code="801010", start_date="2019-12-01", end_date="2019-12-07", data_type="Week")
print(sw_index_daily_indicator_df)
```

数据示例-周

```
  index_code index_name  ... dividend_yield_ratio  turnover_pct
0     801010       农林牧渔  ...                 1.19          2.62
1     801010       农林牧渔  ...                 1.20          2.60
2     801010       农林牧渔  ...                 1.18          2.69
3     801010       农林牧渔  ...                 1.17          3.18
4     801010       农林牧渔  ...                 1.11          4.12
```

### 商品现货价格指数

接口: spot_goods

目标地址: http://finance.sina.com.cn/futuremarket/spotprice.shtml#titlePos_0

描述: 获取商品现货价格指数

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| symbol | str  | Y   |   symbol="波罗的海干散货指数"; 指数目录请参考 **现货指数一览表** |

现货指数一览表

| 名称          | 时间段 | 
| --------------- | ----- |
| 进口大豆价格指数      | 2000-2016   |
| 波罗的海干散货指数      | 2007-至今   |
| 钢坯价格指数      | 2005-至今   | 
| 普氏62%铁矿石指数      | 2011-至今  |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | object   | Y        |   |
| 指数      | object   | Y        |    |
| 涨跌额      | object   | Y        |   |
| 涨跌幅      | object   | Y        |    |

接口示例-天

```python
import mssdk as ms
spot_goods_df = ms.spot_goods(symbol="波罗的海干散货指数")
print(spot_goods_df)
```

数据示例

```
              日期       指数     涨跌额      涨跌幅
0     2006-06-23  2808.00   83.00   0.0305
1     2006-06-30  2964.00  156.00   0.0556
2     2006-07-07  2870.00  -94.00  -0.0317
3     2006-07-14  2968.00   98.00   0.0341
4     2006-07-21  3191.00  223.00   0.0751
          ...      ...     ...      ...
2424  2019-12-11  1460.00  -68.00  -4.4500
2425  2019-12-12  1388.00  -72.00  -4.9300
2426  2019-12-13  1355.00  -33.00  -2.3800
2427  2019-12-16  1315.00  -40.00  -2.9500
2428  2019-12-17  1281.00  -34.00  -2.5900
```

### 义乌小商品指数

接口: index_yw

目标地址: http://www.ywindex.com/Home/Product/index/

描述: 获取指定 symbol 的义乌小商品指数的近期历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| symbol | str  | Y   | symbol="周价格指数"; choice of {"周价格指数", "月价格指数", "月景气指数"} |

输出参数-周价格指数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 期数      | object   | Y        | -  |
| 价格指数      | object   | Y        |   - |
| 场内价格指数      | object   | Y        |  - |
| 网上价格指数      | object   | Y        |  -  |
| 订单价格指数      | object   | Y        |   - |
| 出口价格指数      | object   | Y        |  -  |

接口示例-周价格指数

```python
import mssdk as ms
index_yw_df = ms.index_yw(symbol="周价格指数")
print(index_yw_df)
```

数据示例-周价格指数

```
    期数    价格指数  场内价格指数  网上价格指数  订单价格指数  出口价格指数
0   2021-05-03  101.34   99.93   100.4  101.24  101.53
1   2021-04-26   101.3  100.42  100.26  100.55  102.42
2   2021-04-19  100.54  100.23  100.07  100.29   99.98
3   2021-04-12  100.81  100.66  100.08  100.66  100.02
4   2021-04-05  101.06  100.66  100.29  100.92  100.08
5   2021-03-29  101.66  101.08   100.1  101.15  100.16
6   2021-03-22  101.74  100.98  100.42   101.1   99.98
7   2021-03-15  102.31  103.31  100.49  100.36  100.21
8   2021-03-08  102.32  102.56  100.94  100.84  105.44
9   2021-02-01  102.31  101.68  101.33  101.45  100.69
10  2021-01-25   101.7  100.84  100.12     101  100.23
11  2021-01-18  101.26  101.45  100.43  100.93   100.8
```

输出参数-月价格指数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 期数      | object   | Y        | -  |
| 价格指数      | object   | Y        |   - |
| 场内价格指数      | object   | Y        |  - |
| 网上价格指数      | object   | Y        |  -  |
| 订单价格指数      | object   | Y        |   - |
| 出口价格指数      | object   | Y        |  -  |

接口示例-月价格指数

```python
import mssdk as ms
index_yw_df = ms.index_yw(symbol="月价格指数")
print(index_yw_df)
```

数据示例-月价格指数

```
    期数    价格指数  场内价格指数  网上价格指数  订单价格指数  出口价格指数
0   2021-05-01  100.27  100.33  100.02  100.32  100.06
1   2021-04-01  100.19  100.53  100.03   99.99  100.06
2   2021-02-01   100.9  100.62  100.45  100.34  100.15
3   2021-01-01  100.68  100.74  100.55  100.04     100
4   2020-12-01  100.36  100.54  100.47  100.12     100
5   2020-11-01  100.16   100.2   100.3  100.03     100
6   2020-10-01  100.47  100.89  100.03  100.13  100.01
7   2020-09-01   101.2   108.7     100  100.07  100.02
8   2020-08-01  100.41  103.35     100  100.03  100.04
9   2020-07-01  100.17  100.33     100  100.05   100.1
10  2020-06-01  100.07  100.17  100.01  100.07  100.23
11  2020-05-01   100.2  100.18     100  100.08  100.53
```

输出参数-月景气指数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 期数      | str   | Y        |   |
| 景气指数      | float   | Y        |    |
| 规模指数      | float   | Y        |   |
| 效益指数      | float   | Y        |    |
| 市场信心指数      | float   | Y        |    |

接口示例-月景气指数

```python
import mssdk as ms
index_yw_df = ms.index_yw(symbol="月景气指数")
print(index_yw_df)
```

数据示例-月景气指数

```
      期数     景气指数    规模指数    效益指数    市场信心指数
0   2019-12-01  1166.21  876.42   1714.5   1004.3
1   2019-11-01  1182.63  889.31  1750.16   1006.2
2   2019-10-01  1166.56   904.9  1673.57  1008.44
3   2019-09-01  1146.21  901.67  1608.72  1009.76
4   2019-08-01  1169.04  900.81  1686.27  1009.46
5   2019-07-01  1144.33  888.45  1619.71   1010.1
6   2019-06-01  1146.25  889.61  1620.87  1013.81
7   2019-05-01  1193.03  903.56  1767.35  1004.67
8   2019-04-01  1177.85  885.08  1745.17  1000.88
9   2019-02-01  1145.52  873.83  1649.29  1004.01
10  2019-01-01  1150.15  875.37  1663.42  1003.26
11  2018-12-01  1193.24  870.16  1818.35   998.92
```

### 柯桥纺织品指数

接口: index_kq

目标地址: http://www.kqindex.cn/flzs/jiage

描述: 获取指定 symbol 的柯桥纺织品指数的所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| symbol | str  | Y   | symbol="价格指数"; choice of {'价格指数', '景气指数', '外贸指数'} |

输出参数-价格指数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 期次      | object   | Y        |  - |
| 指数      | object   | Y        |  -  |
| 涨跌幅      | object   | Y        | 注意单位: %  |

接口示例-价格指数

```python
import mssdk as ms
index_kq_df = ms.index_kq_fz(symbol="价格指数")
print(index_kq_df)
```

数据示例-价格指数

```
         期次      指数     涨跌幅
0    2021-04-26  107.87    0.06
1    2021-04-19  107.80   -0.02
2    2021-04-12  107.82    0.14
3    2021-04-05  107.67   -0.14
4    2021-03-29  107.82    0.33
..          ...     ...     ...
648  2007-07-02  100.44    0.58
649  2007-06-25   99.86    1.92
650  2007-06-18   97.98    0.21
651  2007-06-11   97.77  -13.39
652  2007-06-04  112.88    None
```

输出参数-景气指数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 期次      | object   | Y        |  - |
| 总景气指数      | object   | Y        |  -  |
| 涨跌幅      | object   | Y        | 注意单位: %  |
| 流通景气指数      | object   | Y        | -  |
| 生产景气指数      | object   | Y        | -  |

接口示例-景气指数

```python
import mssdk as ms
index_kq_df = ms.index_kq_fz(symbol="景气指数")
print(index_kq_df)
```

数据示例-景气指数

```
     期次  总景气指数  涨跌幅  流通景气指数 生产景气指数
0    2021年03月  1188.31   6.62  1243.24  1064.89
1    2021年01月  1114.50  -3.34  1128.49  1064.73
2    2020年12月  1153.06  -0.60  1194.63  1071.94
3    2020年11月  1160.07  -0.05  1190.38  1093.42
4    2020年10月  1160.70   4.79  1159.96  1116.91
..        ...      ...    ...      ...      ...
145  2007年10月  1136.22  -0.11   825.53  1446.91
146  2007年09月  1137.48  -9.36   837.70  1437.26
147  2007年08月  1254.97  15.05   830.11  1679.83
148  2007年07月  1090.81  -1.37   855.77  1325.86
149  2007年06月  1105.95   None   862.60  1349.30
```

输出参数-外贸指数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 期次      | object   | Y        |  - |
| 价格指数      | object   | Y        |  -  |
| 涨跌幅      | object   | Y        | 注意单位: %  |
| 景气指数      | object   | Y        | -  |
| 涨跌幅      | object   | Y        | 注意单位: %  |

接口示例-外贸指数

```python
import mssdk as ms
index_kq_df = ms.index_kq_fz(symbol="外贸指数")
print(index_kq_df)
```

数据示例-外贸指数

```
     期次    价格指数     涨跌幅     景气指数    涨跌幅
0    2021年03月  157.44    7.31  1009.80   7.70
1    2021年01月  146.71  -13.39   937.59  -3.22
2    2020年12月  169.40   -2.09   968.74   6.25
3    2020年11月  173.02    3.37   911.77  10.40
4    2020年10月  167.38    2.73   825.89   7.16
..        ...     ...     ...      ...    ...
146  2007年10月   93.78   -2.74  1395.79   1.78
147  2007年09月   96.42    0.08  1371.33  -5.65
148  2007年08月   96.34   -3.24  1453.39   5.57
149  2007年07月   99.57   -8.29  1376.74  -6.06
150  2007年06月  108.57    None  1465.48   None
```

### 柯桥时尚指数

接口: index_kq_fashion

目标地址: http://ss.kqindex.cn:9559/rinder_web_kqsszs/index/index_page.do

描述: 获取指定 symbol 的柯桥时尚指数的所有数据

输入参数

| 名称   | 类型 |  描述    |
| -------- | ---- | --- |
| symbol | str  | symbol="柯桥时尚指数"; choice of {'柯桥时尚指数', '时尚创意指数', '时尚设计人才数', '新花型推出数', '创意产品成交数', '创意企业数量', '时尚活跃度指数', '电商运行数', '时尚平台拓展数', '新产品销售额占比', '企业合作占比', '品牌传播费用', '时尚推广度指数', '国际交流合作次数', '企业参展次数', '外商驻点数量变化', '时尚评价指数'} |

输出参数-柯桥时尚指数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 日期      | object   |   - |
| 指数      | float64   |   -  |
| 涨跌值      | float64   |  -  |
| 涨跌幅      | float64   |  -  |

接口示例-柯桥时尚指数

```python
import mssdk as ms
index_kq_fashion_df = ms.index_kq_fashion(symbol='柯桥时尚指数')
print(index_kq_fashion_df)
```

数据示例-柯桥时尚指数

```
    日期          指数        涨跌值       涨跌幅
0   2020-12-31   79.740000  -0.430000 -0.005364
1   2020-09-30   80.170000  -0.864483 -0.010668
2   2020-06-01   81.034483  -0.862069 -0.010526
3   2020-03-12   81.896552 -12.931034 -0.136364
4   2019-12-27   94.827586  -0.862414 -0.009013
5   2019-09-25   95.690000  -0.430690 -0.004481
6   2019-06-28   96.120690  -0.862069 -0.008889
7   2019-03-29   96.982759   2.697044  0.028605
8   2018-12-20   94.285714  -6.145320 -0.061189
9   2018-09-30  100.431034  -3.017241 -0.029167
10  2018-06-01  103.448276  -2.581724 -0.024349
11  2018-03-01  106.030000   2.150690  0.020704
12  2017-12-01  103.879310  -2.586207 -0.024291
13  2017-09-01  106.465517 -12.064483 -0.101784
14  2017-06-01  118.530000   2.580000  0.022251
15  2017-03-01  115.950000 -15.950000 -0.120925
16  2016-12-01  131.900000   8.190000  0.066203
17  2016-09-01  123.710000  11.210000  0.099644
18  2016-06-01  112.500000   6.900000  0.065341
19  2016-03-01  105.600000   5.600000  0.056000
20  2015-12-01  100.000000        NaN       NaN
```

接口示例-时尚评价指数

```python
import mssdk as ms
index_kq_fashion_df = ms.index_kq_fashion(symbol='时尚评价指数')
print(index_kq_fashion_df)
```

数据示例-时尚评价指数

```
    日期          指数        涨跌值       涨跌幅
0   2020-12-31  126.050000  -2.050000 -0.016003
1   2020-09-30  128.100000  12.243763  0.105681
2   2020-06-01  115.856237 -11.114467 -0.087536
3   2020-03-12  126.970704   1.985704  0.015888
4   2019-12-27  124.985000   2.305000  0.018789
5   2019-09-25  122.680000  -0.515409 -0.004184
6   2019-06-28  123.195409  -1.208094 -0.009711
7   2019-03-29  124.403503   0.380776  0.003070
8   2018-12-20  124.022727   7.305723  0.062593
9   2018-09-30  116.717004  -7.802996 -0.062665
10  2018-06-01  124.520000   9.240000  0.080153
11  2018-03-01  115.280000 -18.340000 -0.137255
12  2017-12-01  133.620000   3.900000  0.030065
13  2017-09-01  129.720000  -2.110000 -0.016005
14  2017-06-01  131.830000 -22.290000 -0.144628
15  2017-03-01  154.120000   0.000000  0.000000
16  2016-12-01  154.120000        NaN       NaN
```

### 排污权指数

接口: index_eri

目标地址: https://zs.zjpwq.net/

描述: 浙江省排污权交易指数的数据

输入参数

| 名称   | 类型 |  描述      |
| -------- | ---- |  --- |
| - | -  |   - |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 日期      | object   |    |
| 交易指数      | float64   |     |
| 成交量      | float64   |  注意单位: 吨   |
| 更新时间      | object   |    |

接口示例

```python
import mssdk as ms
index_eri_df = ms.index_eri()
print(index_eri_df)
```

数据示例

```
    日期        交易指数        成交量                 更新时间
0   2021-05-01  733.600000     0.3080  2021-05-08 23:59:00
1   2021-04-01  470.008268   775.4791  2021-04-30 23:59:00
2   2021-03-01  520.658613  1057.8101  2021-03-31 23:59:00
3   2021-02-01  440.705319   584.6641  2021-03-03 14:25:02
4   2021-01-01  652.537648   432.3339  2021-02-01 13:46:34
..         ...         ...        ...                  ...
72  2015-05-01  175.653651   914.9349  2019-11-08 13:16:46
73  2015-04-01  306.577138   847.2793  2019-11-08 13:16:46
74  2015-03-01  280.808046   368.7993  2019-11-08 13:16:46
75  2015-02-01  331.931459  1432.3328  2019-11-08 13:16:46
76  2015-01-01  182.433769   917.6862  2019-11-08 13:16:46
```

### 集装箱指数

接口: drewry_wci_index

目标地址: https://infogram.com/world-container-index-1h17493095xl4zj

描述: Drewry 集装箱指数的数据

限量: 返回指定 symbol 的数据

输入参数

| 名称   | 类型 |  描述      |
| -------- | ---- | --- |
| symbol | str  |   symbol="composite"; choice of {"composite", "shanghai-rotterdam", "rotterdam-shanghai", "shanghai-los angeles", "los angeles-shanghai", "shanghai-genoa", "new york-rotterdam", "rotterdam-new york"} |

输出参数

| 名称          | 类型 | 描述           |
| --------------- | ----- |  ---------------- |
| date      | object   |    |
| wci      | float64   |     |

接口示例

```python
import mssdk as ms
drewry_wci_index_df = ms.drewry_wci_index(symbol="composite")
print(drewry_wci_index_df)
```

数据示例

```
           date       wci
1    2016-03-10    700.57
2    2016-03-17    674.41
3    2016-03-24    666.27
4    2016-03-31    849.08
5    2016-04-07    868.06
..          ...       ...
284  2021-08-19   9613.00
285  2021-08-26   9818.00
286  2021-09-02   9987.00
287  2021-09-09  10084.00
288  2021-09-16  10375.00
```

### 公路物流指数

#### 中国公路物流运价指数

接口: index_cflp_price

目标地址: http://index.0256.cn/expx.htm

描述: 获取指定 symbol 的中国公路物流运价指数的数据

输入参数

| 名称   | 类型 | 必选 | 描述      |
| -------- | ---- | ---- | --- |
| symbol | str  | Y   |  symbol="周指数"; choice of {"周指数", "月指数", "季度指数", "年度指数"} |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | object   | Y        |   |
| 定基指数      | object   | Y        |    |
| 环比指数      | object   | Y        |    |
| 同比指数      | object   | Y        |    |

接口示例

```python
import mssdk as ms
index_cflp_price_df = ms.index_cflp_price(symbol="周指数")
print(index_cflp_price_df)
```

数据示例

```
     日期     定基指数     环比指数     同比指数
0    2015-02-11  1119.47     1000     1000
1    2015-12-02  1051.89   988.25   960.54
2    2015-12-09   1028.4   977.67   981.28
3    2015-12-16   991.78   964.39   935.04
4    2015-12-23   995.84   1004.1   956.45
..          ...      ...      ...      ...
274  2021-04-07  1001.71  1000.05  1017.05
275  2021-04-14  1002.38  1000.66  1018.37
276  2021-04-21  1002.12   999.75  1018.06
277  2021-04-28  1001.13   999.01  1015.88
278  2021-05-05  1002.39  1001.27  1016.82
```

#### 中国公路物流运量指数

接口: index_cflp_volume

目标地址: http://index.0256.cn/expx.htm

描述: 获取指定 symbol 的中国公路物流运量指数的数据

输入参数

| 名称   | 类型 | 必选 | 描述      |
| -------- | ---- | ---- | --- |
| symbol | str  | Y   |  symbol="周指数"; choice of {"月指数", "季度指数", "年度指数"} |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期      | object   | Y        |   |
| 定基指数      | object   | Y        |    |
| 环比指数      | object   | Y        |    |
| 同比指数      | object   | Y        |    |

接口示例

```python
import mssdk as ms
index_cflp_volume_df = ms.index_cflp_volume(symbol="月指数")
print(index_cflp_volume_df)
```

数据示例

```
    日期    定基指数    环比指数    同比指数
0   2016-01-31   94.61     100     100
1   2016-02-29   52.46   55.45     100
2   2016-03-31    93.9  178.99     100
3   2016-04-30  102.13  108.76     100
4   2016-05-31  105.71  103.51     100
..          ...      ...      ...      ...
50  2020-04-30  108.68   97.24     100
51  2020-05-31  116.28  106.99     100
52  2020-06-30   99.89    85.9     100
53  2020-07-31   96.58   96.69  102.08
54  2020-08-31   56.95   58.97  108.56
```

### 恐慌指数

接口: index_vix

目标地址: https://datacenter.jin10.com/market

描述: 恐慌指数-芝加哥期权交易所 VIX 指数(CBOE Volatility Index)的分钟级别数据

限量: 只能获取近期的数据; 目前该接口数据源更新有几个交易日的延时

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| start_date | str  | Y   |   start_date="20200320"; 注意开始和结束之间的时间跨度不能太长, 只能获取当前交易日近一个月内的数据 |
| end_date | str  | Y   |   end_date="20200327"; 只能获取当前交易日近一个月内的数据 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 日期时间      | str   | Y        |   |
| 开盘价      | float   | Y        |    |
| 当前价      | float   | Y        |   |
| 涨跌      | float   | Y        |    |
| 涨跌幅      | float   | Y        |    |

数据解释

VIX全名是芝加哥期权交易所波动率指数（Chicago Board Options Exchange Volatility Index），用以反映S&P 500指数期货的
波动程度，测量未来30天市场预期的波动程度，通常用来评估未来风险，因此它被称作“恐慌指数”。VIX指数虽
然是反映未来30天的波动程度，却是以年化百分比表示，并且以常态分布的机率出现。 举个
例子，假设VIX指数为15，表示未来30天预期的年化波动率为15%，因此可以推断指数期权市场预期
未来30天标准普尔500指数向上或向下波动15%/√12 = 4.33% 。也就是，指数期权的定
价假设是：标准普尔500指数未来30天的波动率在正负4.33%以内的几率为68%。

数据解读

1. 当VIX指数超过40，表示市场对未来的非理性恐慌，可能于短期内出现反弹。
2. 当VIX指数低于15，表示市场出现非理性繁荣，可能会伴随着卖压杀盘。
3. 即使在1998年的金融风暴时，VIX指数也未曾超过60，VIX指数不一定能准确预测走向，但是多少反映当时市场的气氛。

接口示例

```python
import mssdk as ms
index_vix_df = ms.index_vix(start_date="20200611", end_date="20200611")  # 只能获取当前交易日近一个月内的数据
print(index_vix_df)
```

数据示例

```
                  开盘价  当前价  涨跌    涨跌幅
2020-03-20 00:00  76.45  76.68  0.23   0.30
2020-03-20 00:01  76.45  76.79  0.34   0.44
2020-03-20 00:02  76.45  76.95   0.5   0.65
2020-03-20 00:03  76.45  76.89  0.44   0.58
2020-03-20 00:04  76.45  77.24  0.79   1.03
                 ...    ...   ...    ...
2020-03-27 04:10     61  60.99 -0.01  -0.02
2020-03-27 04:11     61  61.11  0.11   0.18
2020-03-27 04:12     61  61.14  0.14   0.23
2020-03-27 04:13     61  61.17  0.17   0.28
2020-03-27 04:14     61     61     0   0.00
```

### 中证指数

接口: stock_zh_index_hist_csindex

目标地址: https://www.csindex.com.cn/zh-CN/indices/index-detail/H30374#/indices/family/detail?indexCode=H30374

描述: 中证指数日频率的数据

限量: 该接口返回指定的 start_date 和 end_date 的指数日频率数据

输入参数

| 名称   | 类型 |  描述      |
| -------- | ---- |  --- |
| symbol | str  |   symbol="H30374"; 指数代码 |
| start_date | str  |   start_date="20100101" |
| end_date | str  |   end_date="20211015" |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- | ---------------- |
| 日期      | object   |  - |
| 指数代码      | object   |  -  |
| 指数中文全称      | object   |  -  |
| 指数中文简称      | object   |  -  |
| 指数英文全称      | object   |  -  |
| 指数英文简称      | object   |  -  |
| 开盘      | float64   |  -  |
| 最高      | float64   |  -  |
| 最低      | float64   |  -  |
| 收盘      | float64   |  -  |
| 涨跌      | float64   |  -  |
| 涨跌幅      | float64   |  注意单位: %  |
| 成交量      | float64   |  注意单位: 万手  |
| 成交金额      | float64   |  注意单位: 亿元  |
| 样本数量      | float64   |  -  |

接口示例

```python
import mssdk as ms
stock_zh_index_hist_csindex_df = ms.stock_zh_index_hist_csindex(symbol="H30374", start_date="20100101", end_date="20211015")
print(stock_zh_index_hist_csindex_df)
```

数据示例

```
              日期    指数代码          指数中文全称  ...     成交量      成交金额    样本数量
0     2016-01-01  H30374  中证中国内地企业全球综合指数  ...    0.00      0.00  3215.0
1     2016-01-04  H30374  中证中国内地企业全球综合指数  ...  425.44   6223.10  3215.0
2     2016-01-05  H30374  中证中国内地企业全球综合指数  ...  595.61   8313.09  3215.0
3     2016-01-06  H30374  中证中国内地企业全球综合指数  ...  525.63   7190.46  3215.0
4     2016-01-07  H30374  中证中国内地企业全球综合指数  ...  215.23   2425.51  3215.0
          ...     ...             ...  ...     ...       ...     ...
1505  2021-10-08  H30374  中证中国内地企业全球综合指数  ...  807.95  10974.56  4262.0
1506  2021-10-11  H30374  中证中国内地企业全球综合指数  ...  765.86  10318.95  4261.0
1507  2021-10-12  H30374  中证中国内地企业全球综合指数  ...  785.24  10056.84  4261.0
1508  2021-10-13  H30374  中证中国内地企业全球综合指数  ...  606.44   8381.64  4261.0
1509  2021-10-14  H30374  中证中国内地企业全球综合指数  ...  577.31   8071.84  4261.0
```

### 指数估值

#### 指数估值-中证

接口: stock_zh_index_value_csindex

目标地址: https://www.csindex.com.cn/zh-CN/indices/index-detail/H30374#/indices/family/detail?indexCode=H30374

描述: 中证指数-指数估值数据

限量: 该接口返回指定的指数的指数估值数据, 该接口只能返回近期的数据

输入参数

| 名称   | 类型 |  描述      |
| -------- | ---- |  --- |
| symbol | str  |   symbol="H30374"; 指数代码 |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- | ---------------- |
| 日期      | object   |  - |
| 指数代码      | object   |  - |
| 指数中文全称      | object   |  - |
| 指数中文简称      | object   |  - |
| 指数英文全称      | object   |  - |
| 指数英文简称      | object   |  - |
| 市盈率1      | float64   |  注意: （总股本）P/E1 |
| 市盈率2      | float64   |  注意: （计算用股本）P/E2 |
| 股息率1      | float64   |  注意: （总股本）D/P1 |
| 股息率2      | float64   |  注意: （计算用股本）D/P2 |

接口示例

```python
import mssdk as ms
stock_zh_index_value_csindex_df = ms.stock_zh_index_value_csindex(symbol="H30374")
print(stock_zh_index_value_csindex_df)
```

数据示例

```
    日期    指数代码        指数中文全称  指数中文简称  ...       市盈率1   市盈率2  股息率1  股息率2
0   2021-10-19  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  18.22  19.66  1.79  1.56
1   2021-10-18  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  18.05  19.45  1.80  1.58
2   2021-10-15  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  18.05  19.45  1.80  1.58
3   2021-10-14  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  17.96  19.33  1.81  1.59
4   2021-10-13  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  17.96  19.32  1.82  1.59
5   2021-10-12  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  17.84  19.17  1.83  1.60
6   2021-10-11  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  18.09  19.46  1.80  1.58
7   2021-10-08  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  18.06  19.38  1.81  1.59
8   2021-10-07  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  17.94  19.23  1.82  1.60
9   2021-10-05  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  17.82  19.05  1.83  1.61
10  2021-10-04  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  17.81  19.03  1.83  1.61
11  2021-10-01  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  17.90  19.16  1.82  1.60
12  2021-09-30  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  17.91  19.18  1.82  1.60
13  2021-09-29  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  17.75  19.01  1.83  1.63
14  2021-09-28  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  18.04  19.31  1.80  1.61
15  2021-09-27  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  17.95  19.21  1.80  1.60
16  2021-09-24  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  18.07  19.33  1.79  1.59
17  2021-09-23  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  18.23  19.51  1.77  1.58
18  2021-09-22  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  18.12  19.37  1.78  1.59
19  2021-09-21  H30374  中证中国内地企业全球综合指数  中国内地全指  ...  18.09  19.36  1.79  1.59
```

#### 指数估值-韭圈儿

接口: index_value_hist_funddb

目标地址: https://funddb.cn/site/index

描述: funddb-指数估值-估值信息

限量: 该接口返回指定指数和指定指标的估值数据

输入参数

| 名称   | 类型 |  描述      |
| -------- | ---- |  --- |
| symbol | str  |   symbol="大盘成长"; 指数名称, 通过调用 ms.index_value_name_funddb 来获取 |
| indicator | str  |   indicator="PB"; choice of {'市盈率', '市净率', '股息率'} |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- | ---------------- |
| 日期      | object   |  - |
| 平均值      | float64   |  - |
| indicator      | float64   |  注意字段: 依据 indicator 而变化 |
| 最低30      | float64   |  注意: 最低 30%  |
| 最低10      | float64   |  注意: 最低 10% |
| 最高30      | float64   |  注意: 最低 30% |
| 最高10      | float64   |  注意: 最低 10% |

接口示例

```python
import mssdk as ms
index_value_hist_funddb_df = ms.index_value_hist_funddb(symbol="中证能源", indicator="股息率")
print(index_value_hist_funddb_df)
```

数据示例

```
      日期   平均值   股息率  最低30  最低10  最高30  最高10
0     2011-07-06  3.34  2.50  2.50   NaN   NaN   NaN
1     2011-07-07  3.34  2.54  2.54   NaN   NaN   NaN
2     2011-07-08  3.34  2.54  2.54   NaN   NaN   NaN
3     2011-07-11  3.34  2.54  2.54   NaN   NaN   NaN
4     2011-07-12  3.34  2.60  2.60   NaN   NaN   NaN
          ...   ...   ...   ...   ...   ...   ...
2497  2021-10-15  3.34  4.75   NaN   NaN  4.75  4.75
2498  2021-10-18  3.34  4.59   NaN   NaN  4.59  4.59
2499  2021-10-19  3.34  4.61   NaN   NaN  4.61  4.61
2500  2021-10-20  3.34  4.79   NaN   NaN  4.79  4.79
2501  2021-10-21  3.34  4.68   NaN   NaN  4.68  4.68
```
