## [mssdk](https://github.com/akfamily/mssdk) 另类数据

### 奥运奖牌

接口: sport_olympic_hist

目标地址: https://www.kaggle.com/marcogdepinto/let-s-discover-more-about-the-olympic-games

描述: 奥运会-奖牌数据

限量: 单次返回 1896-2016 年度的奥运奖牌数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | - | - | - |

输出参数-品牌

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| id      | int64   |  每个运动员的唯一ID  |
| name      | object   |  运动员名字  |
| sex      | object   |  性别   |
| age      | float64   |  年龄   |
| height      | float64   |  身高   |
| weight      | float64   |  体重   |
| team      | object   |  所代表的国家队   |
| noc      | object   |  国家奥委会3个字母的代码   |
| games      | object   |  年份与季节   |
| year      | int64   |  比赛年份   |
| season      | object   |  比赛季节   |
| city      | object   |  举办城市   |
| sport      | object   | 运动类别   |
| event      | object   |  比赛项目   |
| medal      | object   |  奖牌   |

接口示例

```python
import mssdk as ms
sport_olympic_hist_df = ms.sport_olympic_hist()
print(sport_olympic_hist_df)
```

数据示例

```
            id                      name sex   age  height  ...  season  \
0            1                 A Dijiang   M  24.0   180.0  ...  Summer   
1            2                  A Lamusi   M  23.0   170.0  ...  Summer   
2            3       Gunnar Nielsen Aaby   M  24.0     NaN  ...  Summer   
3            4      Edgar Lindenau Aabye   M  34.0     NaN  ...  Summer   
4            5  Christine Jacoba Aaftink   F  21.0   185.0  ...  Winter   
        ...                       ...  ..   ...     ...  ...     ...   
271111  135569                Andrzej ya   M  29.0   179.0  ...  Winter   
271112  135570                  Piotr ya   M  27.0   176.0  ...  Winter   
271113  135570                  Piotr ya   M  27.0   176.0  ...  Winter   
271114  135571        Tomasz Ireneusz ya   M  30.0   185.0  ...  Winter   
271115  135571        Tomasz Ireneusz ya   M  34.0   185.0  ...  Winter   
                  city          sport  \
0            Barcelona     Basketball   
1               London           Judo   
2            Antwerpen       Football   
3                Paris     Tug-Of-War   
4              Calgary  Speed Skating   
                ...            ...   
271111       Innsbruck           Luge   
271112           Sochi    Ski Jumping   
271113           Sochi    Ski Jumping   
271114          Nagano      Bobsleigh   
271115  Salt Lake City      Bobsleigh   
                                           event  medal  
0                    Basketball Men's Basketball    NaN  
1                   Judo Men's Extra-Lightweight    NaN  
2                        Football Men's Football    NaN  
3                    Tug-Of-War Men's Tug-Of-War   Gold  
4               Speed Skating Women's 500 metres    NaN  
                                          ...    ...  
271111                Luge Mixed (Men)'s Doubles    NaN  
271112  Ski Jumping Men's Large Hill, Individual    NaN  
271113        Ski Jumping Men's Large Hill, Team    NaN  
271114                      Bobsleigh Men's Four    NaN  
271115                      Bobsleigh Men's Four    NaN  
```

### 汽车销量排行

#### 乘联会-新能源细分市场

接口: car_cpca_energy_sale

目标地址: http://data.cpcaauto.com/FuelMarket

描述: 乘联会-新能源细分市场汽车销量数据

限量: 单次返回本年度和上年度月份的销量数据

输入参数

| 名称   | 类型 |  描述       |
| -------- | ---- |  --- |
| - | - |  - |

输出参数-品牌

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 月份      | object   |  -  |
| {前一个年份}年      | float64   |  注意单位: 万辆  |
| {当前年份}年      | float64   |  注意单位: 万辆   |

接口示例

```python
import mssdk as ms
car_cpca_energy_sale_df = ms.car_cpca_energy_sale()
print(car_cpca_energy_sale_df)
```

数据示例

```
     月份    2020年    2021年
0    1月   4.1478  15.5388
1    2月   1.2431   9.7059
2    3月   5.4619  18.5328
3    4月   5.5870  16.1418
4    5月   6.7363      NaN
5    6月   8.3278      NaN
6    7月   8.2568      NaN
7    8月   9.3297      NaN
8    9月  11.0416      NaN
9   10月  13.3145      NaN
10  11月  17.0363      NaN
11  12月  20.7870      NaN
```

#### 盖世研究院

接口: car_gasgoo_sale_rank

目标地址: http://i.gasgoo.com/data/ranking

描述: 获取盖世汽车资讯的汽车销量排行榜数据

限量: 单次返回指定 symbol 和 date 的汽车销量排行榜数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| symbol | str | Y | symbol="车型榜"; choice of {"车企榜", "品牌榜", "车型榜"} |
| date | str | Y | date="202104"; 指定到月份即可 |

输出参数-品牌

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 品牌      | object   | Y        | -  |
| {当前年份}-{当前月份}      | int64   | Y        | -  |
| {当前月份}月同比      | object   | Y        | 注意单位: %   |
| {当前月份}月环比      | object   | Y        | 注意单位: %   |
| {年份}-1到{当前年份}      | int64   | Y        | -   |
| {前一年年份}-1到{当前年份}      | float64   | Y        | -   |
| {前二年年份}-1到{当前年份}      | float64   | Y        | -   |

接口示例-品牌

```python
import mssdk as ms
car_gasgoo_sale_rank_df = ms.car_gasgoo_sale_rank(symbol="品牌榜", date="202104")
print(car_gasgoo_sale_rank_df)
```

数据示例-品牌

```
      品牌  2021-4      4月同比     4月环比  2021-1到4  2020-1到4  2019-1到4
0     大众  167003   -17.83%  -77.05%    727682  563487.0  950078.0
1     本田  151469     5.46%  -71.57%    532846  320320.0  489119.0
2     丰田  133227    -0.86%  -75.69%    548035  378029.0  449820.0
3     长安   88518    53.49%  -77.62%    395576  196404.0  256050.0
4     日产   86226     3.67%  -74.26%    334951  234546.0  347930.0
5     吉利   80435   -15.45%  -77.51%    357607  282026.0  431447.0
6     奥迪   68008    22.26%  -73.72%    258792  152372.0  170437.0
7     奔驰   62884    19.08%  -73.55%    237720  166933.0  197235.0
8     宝马   59176     5.89%  -74.95%    236226  154547.0  180145.0
9     五菱   57068   211.05%  -73.08%    211956   43427.0  126558.0
10    哈弗   55018    -3.64%  -80.19%    277746  163303.0  264482.0
11    奇瑞   53478   116.39%  -71.85%    189971   92488.0  124573.0
12    别克   49271   -29.14%  -81.86%    271677  169199.0  297769.0
13   比亚迪   44606    43.54%  -69.73%    147380   91679.0  152201.0
14    现代   31328    -8.52%  -75.46%    127659  100052.0  183101.0
15    荣威   30223     26.1%  -71.17%    104841   83866.0  138419.0
16    传祺   26502    40.02%  -74.21%    102773   74863.0  114870.0
17   特斯拉   25845      611%  -72.84%     95150   17695.0       NaN
18    MG   25440     33.8%  -75.92%    105637   63698.0   78008.0
19    红旗   21905    50.87%  -76.18%     91965   36874.0   18157.0
20    宝骏   19623   -17.21%  -68.85%     62987   80488.0  187736.0
21    领克   19021    87.29%  -73.85%     72737   28599.0   38032.0
22    欧尚   18091    69.79%  -76.83%     78083   37049.0    7088.0
23  凯迪拉克   17500    16.65%  -76.88%     75703   40463.0   72795.0
24   马自达   16227   -13.83%  -74.18%     62842   50278.0   68009.0
25    捷达   16023    11.16%   -71.5%     56229   47424.0       NaN
26   雪佛兰   13848   -45.64%  -79.94%     69018   79528.0  181869.0
27   沃尔沃   13208     5.55%  -74.69%     52184   28772.0   32158.0
28    起亚   12530   -46.76%   -74.8%     49715   66686.0  105840.0
29    思皓   10648  1064800%  -70.72%     36362       0.0       NaN
30    捷途   10399    80.54%  -77.35%     45907   27292.0   38189.0
31    福特   10072   -45.09%  -82.06%     56153   47802.0   52577.0
32  东风风行   10000    29.23%  -75.99%     41655   28285.0   34877.0
33  东风风光    9540     53.6%  -75.58%     39072   29549.0   58662.0
34   WEY    9090    49.75%  -74.09%     35089   15971.0   33912.0
35    埃安    8305   110.25%  -67.95%     25913   11940.0       NaN
36   斯柯达    8300    -1.72%     -50%     16600   21055.0   74209.0
37  东风风神    7942    58.78%  -69.92%     26399   18096.0   22107.0
38    欧拉    7476   324.77%  -80.41%     38159    4445.0   11093.0
39    蔚来    7102    125.1%  -73.85%     27162    6993.0    5321.0
40    奔腾    5728    -9.09%  -71.79%     20305   25847.0   26067.0
41    启辰    5707     3.22%  -69.94%     18986   17087.0   38820.0
42    三菱    5602    12.04%     -72%     20006   15672.0   42017.0
43    理想    5539   111.25%  -69.43%     18118    5518.0       NaN
44    林肯    5289   528900%   -77.7%     23721       NaN       NaN
45    小鹏    5147   410.62%  -72.16%     18487    2427.0    4655.0
46    标致    4967     63.6%  -70.89%     17060    7025.0   25870.0
47    北京    4349   137.52%  -72.32%     15711   12153.0   35651.0
48    哪吒    4015   392.64%  -64.96%     11458    2534.0    2795.0
49    江淮    3454   -69.56%  -76.66%     14797   33771.0   55825.0
```

输出参数-车型

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 车型      | object   | Y        | -  |
| {当前年份}-{当前月份}      | int64   | Y        | -  |
| {当前月份}月同比      | object   | Y        | 注意单位: %   |
| {当前月份}月环比      | object   | Y        | 注意单位: %   |
| {年份}-1到{当前年份}      | int64   | Y        | -   |
| {前一年年份}-1到{当前年份}      | float64   | Y        | -   |
| {前二年年份}-1到{当前年份}      | float64   | Y        | -   |

接口示例-车型

```python
import mssdk as ms
car_gasgoo_sale_rank_df = ms.car_gasgoo_sale_rank(symbol="车型榜", date="202104")
print(car_gasgoo_sale_rank_df)
```

数据示例-车型

```
           车型  2021-4      4月同比     4月环比  2021-1到4  2020-1到4  2019-1到4
0          轩逸   42172     1.69%  -74.72%    166818  109181.0  140857.0
1          朗逸   31031    -12.6%  -75.71%    127734   99400.0  177588.0
2   宏光MINI EV   29251  2925100%  -76.77%    125925       NaN       NaN
3        哈弗H6   28019    16.66%  -80.12%    140962   75822.0  129938.0
4         卡罗拉   24106    -21.1%  -79.76%    119084   83537.0  113574.0
5      本田CR-V   23866    11.87%  -75.35%     96839   45669.0   55525.0
6      长安CS75   23750    18.08%  -81.74%    130079   68176.0   49308.0
7        五菱宏光   23376    27.41%  -59.45%     57650   43427.0  126558.0
8          博越   22007    17.79%  -73.06%     81677   60814.0   82401.0
9          思域   21548   -12.25%  -60.35%     54341   43877.0   72620.0
10     本田XR-V   20892    34.96%  -68.54%     66413   32273.0   49329.0
11    Model 3   20438   462.26%  -72.13%     73321   17695.0       NaN
12         雅阁   19113    33.41%  -68.39%     60465   37314.0   64297.0
13         宝来   17918    -24.5%  -83.38%    107833   79998.0   83262.0
14       宝马3系   17600    19.96%  -73.07%     65363   35543.0   54278.0
15       奥迪A6   16410     8.65%  -72.25%     59143   40366.0   30526.0
16         帝豪   16306   -19.71%  -74.74%     64550   57137.0   61949.0
17         逸动   16183    36.74%  -77.17%     70887   29543.0   29659.0
18       奔驰C级   15500     9.53%  -72.52%     56405   41730.0   51823.0
19         雷凌   15474     0.87%  -75.32%     62710   46172.0   57966.0
20        瑞虎8   14329   171.49%  -71.51%     50288   23839.0   27453.0
21         途观   14265     -4.6%  -71.74%     50483   31727.0   61873.0
22      奔驰GLC   14200        8%  -73.68%     53959   43707.0   47078.0
23       宝马X3   13905     15.4%  -71.66%     49064   35107.0   33866.0
24       新桑塔纳   13899    46.78%  -68.51%     44139   39867.0   79978.0
25       奥迪A4   13826     41.4%  -75.59%     56642   28413.0   54625.0
26        凯美瑞   13756    -0.36%  -71.83%     48834   40694.0   44802.0
27       奥迪Q5   13506    14.68%   -77.6%     60296   34057.0   32179.0
28       奔驰E级   13500     4.65%  -74.21%     52347   42475.0   55705.0
29         奇骏   13068    12.02%  -69.52%     42878   34105.0   66191.0
30          宋   12876   491.73%  -70.48%     43621    3285.0    4925.0
31         迈腾   12790     1.07%  -80.11%     64308   32619.0   49223.0
32      别克GL8   12505   351.77%  -77.78%     56268   20088.0   36942.0
33         缤智   12137    -1.95%  -79.83%     60169   28055.0   34618.0
34         途岳   11807    -7.82%  -61.83%     30935   26236.0   36800.0
35     长安CS55   11502    62.09%  -74.65%     45368   27184.0   42010.0
36         皓影   11461     4.08%  -76.43%     48624   32275.0       NaN
37     丰田RAV4   11460   -18.73%  -77.86%     51772   36492.0   49003.0
38       欧尚X5   11179  1117900%  -75.49%     45602       NaN       NaN
39       全新英朗   11102   -63.77%  -89.13%    102137   49374.0   95942.0
40         逍客   10599   -26.03%  -78.49%     49282   34615.0   46383.0
41         天籁   10403       54%  -74.82%     41307   20599.0   23829.0
42         星瑞   10387  1038700%  -77.51%     46182       NaN       NaN
43       宝马5系   10233   -12.55%  -80.44%     52310   34442.0   40785.0
44       哈弗M6   10182   -32.55%  -78.51%     47381   38129.0   37294.0
45        帕萨特   10032   -36.53%     -66%     29504   35422.0   53061.0
46       宝马X1    9870      6.8%  -72.41%     35778   24424.0   30695.0
47         缤越    9766    27.68%  -79.01%     46526   26417.0   48206.0
48         致炫    9759    30.33%  -71.75%     34545   24169.0   18999.0
49      红旗HS5    9622     8.08%  -77.16%     42130   20608.0       NaN
```

输出参数-车企

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 厂商      | object   | Y        | -  |
| {当前年份}-{当前月份}      | int64   | Y        | -  |
| {当前月份}月同比      | object   | Y        | 注意单位: %   |
| {当前月份}月环比      | object   | Y        | 注意单位: %   |
| {年份}-1到{当前年份}      | int64   | Y        | -   |
| {前一年年份}-1到{当前年份}      | float64   | Y        | -   |
| {前二年年份}-1到{当前年份}      | float64   | Y        | -   |

接口示例-车企

```python
import mssdk as ms
car_gasgoo_sale_rank_df = ms.car_gasgoo_sale_rank(symbol="车企榜", date="202104")
print(car_gasgoo_sale_rank_df)
```

数据示例-车企

```
         厂商  2021-4      4月同比     4月环比  2021-1到4  2020-1到4  2019-1到4
0      一汽大众  151034    -6.56%  -78.48%    701903  481228.0  583619.0
1      上汽大众  108300    -9.83%   -69.7%    357400  303110.0  611105.0
2      长安汽车  106609    56.03%  -77.49%    473659  233453.0  263138.0
3      吉利汽车  102184    -4.76%  -76.88%    441907  315601.0  470496.0
4      东风日产   86226     3.67%  -74.26%    334951  234521.0  345991.0
5      东风本田   81758    10.74%  -71.28%    284719  151354.0  234883.0
6      上汽通用   80619   -26.71%  -80.64%    416398  289190.0  552433.0
7    上汽通用五菱   76691    82.38%  -72.11%    274943  123915.0  314294.0
8      广汽丰田   73900    16.18%  -73.03%    274000  186207.0  205124.0
9      长城汽车   71584     9.96%  -79.61%    350994  184529.0  318085.0
10     广汽本田   70329     0.76%  -71.92%    250468  169233.0  254236.0
11     奇瑞汽车   66376   110.69%  -72.93%    245222  124308.0  168355.0
12     一汽丰田   59803   -16.22%  -78.36%    276325  193885.0  244696.0
13     华晨宝马   59176     5.89%  -74.95%    236226  154547.0  180145.0
14     北京奔驰   59139    18.36%   -73.8%    225754  160009.0  189266.0
15    上汽乘用车   56666    31.84%  -73.35%    212596  147564.0  216427.0
16      比亚迪   44606    43.54%  -69.73%    147380   91679.0  152201.0
17     北京现代   31328    -8.52%  -75.46%    127659  100052.0  183101.0
18    特斯拉汽车   25845      611%  -72.84%     95150   17695.0       NaN
19     广汽传祺   25739    40.49%  -74.26%     99998   72800.0  114870.0
20     一汽红旗   21905    50.87%  -76.18%     91965   36874.0   18157.0
21     长安福特   15361   -15.45%  -80.67%     79487   47510.0   51597.0
22   东风悦达起亚   12530   -46.76%   -74.8%     49715   66686.0  106016.0
23    沃尔沃亚太   11355     6.37%   -74.3%     44184   24638.0   32158.0
24    长安马自达   11302     -3.9%  -72.18%     40620   29101.0   41995.0
25   大众（安徽）   10648  1064800%  -70.72%     36362       0.0       NaN
26     江淮汽车   10556   -27.22%  -74.84%     41959   40764.0   61146.0
27     东风柳汽   10000    29.23%  -75.99%     41655   28285.0   34877.0
28     东风小康    9695    56.09%  -75.52%     39600   29549.0   58662.0
29  广汽埃安新能源    8305   110.25%  -67.95%     25913   11940.0       NaN
30    东风乘用车    7942    58.78%  -68.97%     25596   18096.0   22107.0
31     神龙汽车    6982    33.22%  -70.48%     23654   11626.0   45907.0
32     一汽奔腾    5728    -9.28%  -71.79%     20305   25880.0   26994.0
33     东风启辰    5707     3.54%  -69.94%     18986   17053.0   38820.0
34     广汽三菱    5602    12.04%     -72%     20006   15672.0   42017.0
35     理想汽车    5539   111.25%  -69.43%     18118    5518.0       NaN
36     北京汽车    5242    13.64%  -71.81%     18596   13404.0   25848.0
37    一汽马自达    4925   -30.35%  -77.84%     22222   21177.0   26014.0
38    合众新能源    4015   392.64%  -64.96%     11458    2534.0    2795.0
39    福建戴姆勒    3745    31.87%   -68.7%     11966    6924.0    7969.0
40   奇瑞捷豹路虎    3507   -25.35%   -79.7%     17279   10986.0   13417.0
41     上汽大通    3189   131.42%  -75.39%     12956    7421.0   14966.0
42     威马汽车    3027   118.08%   -64.7%      8576    4155.0    3500.0
43     小鹏汽车    2995   299500%   -72.7%     10969       NaN       NaN
44     零跑汽车    2770   277000%     -64%      7694       NaN       NaN
45     华晨鑫源    2431   -58.13%  -80.51%     12471   16566.0   19691.0
46     江铃汽车    2418    72.59%  -68.06%      7570    5635.0   17319.0
47      广菲克    2176   -37.86%  -78.25%     10004   11101.0   26622.0
48     海马轿车    2152     56.4%  -74.79%      8535    3967.0    6616.0
49     华晨汽车    1766   -10.31%  -54.99%      3924    9235.0   18852.0
```

### 新闻联播文字稿

接口: news_cctv

目标地址: https://tv.cctv.com/lm/xwlb/?spm=C52056131267.P4y8I53JvSWE.0.0

描述: 新闻联播文字稿, 数据区间从 20160330-至今

限量: 单次返回指定日期新闻联播文字稿数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| date | str | date="20210708";  20160330-至今|

输出参数

| 名称          | 类型 | 描述           |
| --------------- | ----- | ---------------- |
| date      | object   | 新闻日期  |
| title      | object   | 新闻标题  |
| content      | object   | 新闻内容   |

接口示例

```python
import mssdk as ms
news_cctv_df = ms.news_cctv(date="20210708")
print(news_cctv_df)
```

数据示例

```
    date  ...                                            content
0   20210708  ...  7月8日，国家主席习近平向南南合作援助基金和南南合作与发展学院成立5周年致贺信。习近平指出，...
1   20210708  ...  国家主席习近平8日就俄罗斯客机坠毁事件向俄罗斯总统普京致慰问电。习近平在慰问电中表示，惊悉贵...
2   20210708  ...  习近平总书记在庆祝中国共产党成立100周年大会上的重要讲话，在各民主党派、工商联和无党派人士...
3   20210708  ...  经中央军委批准，中央军委办公厅发出通知，对全军学习宣传贯彻习主席在庆祝中国共产党成立100周...
4   20210708  ...  今天（7月8日）出版的人民日报发表评论员文章，题目是《新征程上，必须坚持和发展中国特色社会主...
5   20210708  ...  绿水青山就是金山银山。浙江淳安县的下姜村是千岛湖库区深处的一个偏远小山村，山高路远、人多地少...
6   20210708  ...  今天（7月8日）的《“七一勋章”获得者》为您介绍一生坚持歌颂党、歌颂祖国、歌颂人民的作曲家吕...
7   20210708  ...  今天（7月8日）上午，国务院新闻办公室举行政策例行吹风会。中国人民银行副行长范一飞在会上表示...
8   20210708  ...  国务院新闻办公室今天（7月8日）举行国务院政策例行吹风会，介绍2021年深化医药卫生体制改革...
9   20210708  ...  庆祝中国共产党成立100周年文艺演出《伟大征程》以大型情景史诗形式呈现，新时代的艺术家们综合...
10  20210708  ...  今天（7月8日），驻香港部队展览中心建成开放启动仪式在昂船洲军营举行。驻香港部队展览中心位于...
11  20210708  ...  2020年度媒体社会责任报告近日正式对外发布，人民日报、新华社、中央广播电视总台等百余家媒体...
12  20210708  ...  国家卫生健康委今天（7月8日）通报，7月7日0—24时，31个省（自治区、直辖市）和新疆生产...
13  20210708  ...  2020年度中央本级“三公”经费支出再降今天（7月8日），中央各部门陆续公开2020年度部门...
14  20210708  ...  在中国共产党百年华诞之际，多国政党政府领导人等继续致电致函习近平总书记和中共中央，热烈祝贺中...
15  20210708  ...  世卫组织总干事谭德塞7日表示，全球新冠肺炎疫情正处于危险境地，记录在案的死亡病例已经超过40...
16  20210708  ...  日本7日报告新增2191例新冠肺炎确诊病例，为近四周以来首次超过2000例，累计确诊病例达8...
17  20210708  ...  俄罗斯战机阻止美军巡逻机非法进入领空俄罗斯国防部7日证实，俄军两架苏-30战机6日阻止一架巡...
```

### 日出和日落

#### 日出和日落-天

接口: sunrise_daily

目标地址: https://www.timeanddate.com/sun/china/

描述: 获取中国各大城市-日出和日落时间, 数据区间从19990101-至今, 推荐使用代理访问

限量: 单次返回指定日期和指定城市的数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| date | str | Y | date="20190801" |
| city | str | Y | city="北京"; 注意输入的格式, e.g., "北京", "上海" |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| date      | datetime.datetime   | Y        | 日期-索引  |
| Sunrise      | str   | Y        | 日出  |
| Sunset      | float   | Y        | 日落   |
| Length      | str   | Y        | Daylength-Length  |
| Difference      | float   | Y        | Daylength-Difference   |
| Start      | str   | Y        | Astronomical Twilight-Start  |
| End      | float   | Y        | Astronomical Twilight-End   |
| Start.1      | str   | Y        | Nautical Twilight-Start  |
| End.1      | float   | Y        | Nautical Twilight-End   |
| Start.2      | str   | Y        | Civil Twilight-Start  |
| End.2      | float   | Y        | Civil Twilight-End   |
| Time      | str   | Y        | Solar Noon-Time  |
| Mil. km      | float   | Y        | Solar Noon-Mil. km   |

接口示例

```python
import mssdk as ms
sunrise_daily_df = ms.sunrise_daily(date="20190801", city="北京")
print(sunrise_daily_df)
```

数据示例

```
八月        Sunrise          Sunset  ...  End.2           Time Mil. km
2019-08-01  1  05:12 ↑ (65°)  19:28 ↑ (295°)  ...  19:58  12:20 (68,2°)  151857
```

#### 日出和日落-月

接口: sunrise_monthly

目标地址: https://www.timeanddate.com/sun/china/

描述: 获取中国各大城市-日出和日落时间, 数据区间从19990101-至今, 推荐使用代理访问

限量: 单次返回指定日期所在月份每天的数据, 如果是未来日期则为预测值

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| date | str | Y | date="20190801" |
| city | str | Y | city="北京" |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| month      | str   | Y        | 日期-索引; XXXX-XX 格式  |
| Sunrise      | str   | Y        | 日出  |
| Sunset      | float   | Y        | 日落   |
| Length      | str   | Y        | Daylength-Length  |
| Difference      | float   | Y        | Daylength-Difference   |
| Start      | str   | Y        | Astronomical Twilight-Start  |
| End      | float   | Y        | Astronomical Twilight-End   |
| Start.1      | str   | Y        | Nautical Twilight-Start  |
| End.1      | float   | Y        | Nautical Twilight-End   |
| Start.2      | str   | Y        | Civil Twilight-Start  |
| End.2      | float   | Y        | Civil Twilight-End   |
| Time      | str   | Y        | Solar Noon-Time  |
| Mil. km      | float   | Y        | Solar Noon-Mil. km   |

接口示例

```python
import mssdk as ms
sunrise_monthly_df = ms.sunrise_monthly(date="20200328", city="北京")
print(sunrise_monthly_df)
```

数据示例

```
       Mar        Sunrise          Sunset  ...  End.2           Time  Mil. km
202003   1  06:47 ↑ (99°)  18:06 ↑ (261°)  ...  18:33  12:26 (42.7°)  148.234
202003   2  06:46 ↑ (99°)  18:07 ↑ (262°)  ...  18:34  12:26 (43.1°)  148.270
202003   3  06:44 ↑ (98°)  18:08 ↑ (262°)  ...  18:35  12:26 (43.4°)  148.306
202003   4  06:43 ↑ (98°)  18:09 ↑ (263°)  ...  18:36  12:26 (43.8°)  148.343
202003   5  06:41 ↑ (97°)  18:10 ↑ (263°)  ...  18:37  12:25 (44.2°)  148.380
202003   6  06:40 ↑ (97°)  18:11 ↑ (264°)  ...  18:38  12:25 (44.6°)  148.417
202003   7  06:38 ↑ (96°)  18:12 ↑ (264°)  ...  18:39  12:25 (45.0°)  148.455
202003   8  06:37 ↑ (96°)  18:13 ↑ (265°)  ...  18:40  12:25 (45.4°)  148.493
202003   9  06:35 ↑ (95°)  18:15 ↑ (265°)  ...  18:42  12:24 (45.8°)  148.532
202003  10  06:33 ↑ (95°)  18:16 ↑ (266°)  ...  18:43  12:24 (46.2°)  148.572
202003  11  06:32 ↑ (94°)  18:17 ↑ (266°)  ...  18:44  12:24 (46.6°)  148.612
202003  12  06:30 ↑ (94°)  18:18 ↑ (267°)  ...  18:45  12:24 (46.9°)  148.652
202003  13  06:29 ↑ (93°)  18:19 ↑ (267°)  ...  18:46  12:23 (47.3°)  148.693
202003  14  06:27 ↑ (93°)  18:20 ↑ (268°)  ...  18:47  12:23 (47.7°)  148.734
202003  15  06:25 ↑ (92°)  18:21 ↑ (268°)  ...  18:48  12:23 (48.1°)  148.776
202003  16  06:24 ↑ (91°)  18:22 ↑ (269°)  ...  18:49  12:23 (48.5°)  148.818
202003  17  06:22 ↑ (91°)  18:23 ↑ (269°)  ...  18:50  12:22 (48.9°)  148.861
202003  18  06:21 ↑ (90°)  18:24 ↑ (270°)  ...  18:51  12:22 (49.3°)  148.903
202003  19  06:19 ↑ (90°)  18:25 ↑ (270°)  ...  18:52  12:22 (49.7°)  148.946
202003  20  06:17 ↑ (89°)  18:26 ↑ (271°)  ...  18:53  12:21 (50.1°)  148.988
202003  21  06:16 ↑ (89°)  18:27 ↑ (271°)  ...  18:54  12:21 (50.5°)  149.031
202003  22  06:14 ↑ (88°)  18:28 ↑ (272°)  ...  18:55  12:21 (50.9°)  149.074
202003  23  06:13 ↑ (88°)  18:29 ↑ (272°)  ...  18:56  12:20 (51.3°)  149.116
202003  24  06:11 ↑ (87°)  18:30 ↑ (273°)  ...  18:57  12:20 (51.7°)  149.159
202003  25  06:09 ↑ (87°)  18:31 ↑ (273°)  ...  18:58  12:20 (52.1°)  149.201
202003  26  06:08 ↑ (86°)  18:32 ↑ (274°)  ...  18:59  12:20 (52.5°)  149.244
202003  27  06:06 ↑ (86°)  18:33 ↑ (274°)  ...  19:00  12:19 (52.9°)  149.286
202003  28  06:04 ↑ (85°)  18:34 ↑ (275°)  ...  19:01  12:19 (53.2°)  149.328
202003  29  06:03 ↑ (85°)  18:35 ↑ (275°)  ...  19:02  12:19 (53.6°)  149.371
202003  30  06:01 ↑ (84°)  18:36 ↑ (276°)  ...  19:03  12:18 (54.0°)  149.413
202003  31  06:00 ↑ (84°)  18:37 ↑ (276°)  ...  19:04  12:18 (54.4°)  149.455
```

### 空气质量-河北

#### 近期空气质量

接口: air_quality_hebei

目标地址: http://110.249.223.67/publish/

描述: 获取河北省近 6 天空气质量情况

注释: 

注释-等级划分

1. 空气污染指数为0－50，空气质量级别为一级，空气质量状况属于优。此时，空气质量令人满意，基本无空气污染，各类人群可正常活动。
2. 空气污染指数为51－100，空气质量级别为二级，空气质量状况属于良。此时空气质量可接受，但某些污染物可能对极少数异常敏感人群健康有较弱影响，建议极少数异常敏感人群应减少户外活动。
3. 空气污染指数为101－150，空气质量级别为三级，空气质量状况属于轻度污染。此时，易感人群症状有轻度加剧，健康人群出现刺激症状。建议儿童、老年人及心脏病、呼吸系统疾病患者应减少长时间、高强度的户外锻炼。
4. 空气污染指数为151－200，空气质量级别为四级，空气质量状况属于中度污染。此时，进一步加剧易感人群症状，可能对健康人群心脏、呼吸系统有影响，建议疾病患者避免长时间、高强度的户外锻练，一般人群适量减少户外运动。
5. 空气污染指数为201－300，空气质量级别为五级，空气质量状况属于重度污染。此时，心脏病和肺病患者症状显著加剧，运动耐受力降低，健康人群普遍出现症状，建议儿童、老年人和心脏病、肺病患者应停留在室内，停止户外运动，一般人群减少户外运动。
6. 空气污染指数大于300，空气质量级别为六级，空气质量状况属于严重污染。此时，健康人群运动耐受力降低，有明显强烈症状，提前出现某些疾病，建议儿童、老年人和病人应当留在室内，避免体力消耗，一般人群应避免户外活动。

注释-发布单位

河北省环境应急与重污染天气预警中心

注释-技术支持

中国科学院大气物理研究所, 中科三清科技有限公司

限量: 单次返回 6 天的数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| city | str | Y | city="定州市", 返回具体市的数据; city="", 则返回所有城市数据 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 城市      | str   | Y        | 城市-索引  |
| Datadate      | str   | Y        | 日期  |
| Pollutant      | float   | Y        | PM2.5   |
| MinAQI     | str   | Y        | 最小  |
| MaxAQI      | float   | Y        | 最大   |
| Level      | str   | Y        | 程度  |

接口示例

```python
import mssdk as ms
air_quality_hebei_df = ms.air_quality_hebei(city="定州市")
print(air_quality_hebei_df)
```

数据示例

```
               Datadate Pollutant MinAQI MaxAQI  Level
定州市  2019/11/27 0:00:00     PM2.5     80    110   良-轻度
定州市  2019/11/28 0:00:00     PM2.5     90    120   良-轻度
定州市  2019/11/29 0:00:00     PM2.5    175    205  中度-重度
定州市  2019/11/30 0:00:00     PM2.5    175    205  中度-重度
定州市   2019/12/1 0:00:00     PM2.5    175    205  中度-重度
定州市   2019/12/2 0:00:00     PM2.5     80    110   良-轻度
```

### 空气质量-全国

#### 城市列表

接口: air_city_list

目标地址: https://www.aqistudy.cn/

描述: 获取所有空气质量数据的城市列表

限量: 单次返回所有可以获取的城市的列表

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | - | - | - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
|  168城市列表     | list  | Y        | list  |

接口示例

```python
import mssdk as ms
air_city_list_map = ms.air_city_list()
print(air_city_list_map)
```

数据示例

```
['北京', '廊坊', '承德', '唐山', '晋城', '保定', '德阳', '秦皇岛', '天津', '朝阳', '临汾', '运城', '成都', '焦作', '长治', '锦州', '绵阳', '资阳', '葫芦岛', '广安', '长春', '石家庄', '三门峡', '兰州', '沧州', '沈阳', '哈尔滨', '衡水', '洛阳', '滨州', '眉山', '东营', '阳泉', '内江', '铜川', '宜宾', '淄博', '邢台', '晋中', '自贡', '新乡', '安阳', '邯郸', '南充', '忻州', '临沂', '太原', '重庆', '乐山', '潍坊', '张家口', '济南', '德州', '聊城', '鹤壁', '青岛', '亳州', '日照', '枣庄', '西安', '咸阳', '宝鸡', '宿州', '泰安', '商丘', '达州', '济宁', '南阳', '吕梁', '连云港', '雅安', '郑州', '南昌', '阜阳', '渭南', '周口', '宿迁', '许昌', '武汉', '徐州', '开封', '泸州', '平顶山', '驻马店', '信阳', '菏泽', '淮南', '漯河', '朔州', '孝感', '濮阳', '杭州', '呼和浩特', '银川', '遂宁', '随州', '湖州', '襄阳', '淮安', '宜昌', '益阳', '淮北', '常州', '泰州', '拉萨', '包头', '蚌埠', '盐城', '六安', '西宁', '岳阳', '九江', '镇江', '苏州', '广州', '贵阳', '大同', '乌鲁木齐', '荆门', '铜陵', '新余', '扬州', '鄂州', '南通', '常德', '荆州', '无锡', '长沙', '咸宁', '嘉兴', '衢州', '大连', '黄冈', '温州', '厦门', '黄石', '绍兴', '合肥', '宜春', '上海', '昆明', '福州', '株洲', '金华', '南京', '湘潭', '丽水', '马鞍山', '萍乡', '宣城', '芜湖', '滁州', '安庆', '池州', '佛山', '黄山', '江门', '南宁', '台州', '惠州', '宁波', '肇庆', '舟山', '中山', '东莞', '深圳', '珠海', '海口']
```

#### 空气质量历史数据

接口: air_quality_hist

目标地址: https://www.zq12369.com/

描述: 获取指定城市和数据频率下并且在指定时间段内的空气质量数据

限量: 单次返回所有的数据, 在提取一小时频率数据时请注意时间跨度不宜过长, 提取日频率数据的早年数据请分段提取

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| city | str | Y | city="北京"; 调用 air_city_list 接口获取所有城市列表 |
| period | str | Y | period="day"; "hour": 每小时一个数据, 由于数据量比较大, 下载较慢; "day": 每天一个数据; "month": 每个月一个数据 |
| start_date | str | Y | start_date="2020-03-20"; 注意 **start_date** 和 **end_date** 跨度不宜过长 |
| end_date | str | Y | end_date="2020-04-27"; 注意 **start_date** 和 **end_date** 跨度不宜过长 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| time      | str   | Y        | 日期时间索引  |
| aqi      | str   | Y        | AQI  |
| pm2_5      | float   | Y        | PM2.5   |
| pm10     | str   | Y        | PM10  |
| co      | float   | Y        | CO   |
| no2      | str   | Y        | NO2  |
| o3      | str   | Y        | O3  |
| so2      | str   | Y        | SO2  |
| complexindex      | str   | Y        | 综合指数  |
| rank      | str   | Y        | 排名  |
| primary_pollutant      | str   | Y        | 主要污染物  |
| temp      | str   | Y        | 温度  |
| humi      | str   | Y        | 湿度  |
| windlevel      | str   | Y        | 风级  |
| winddirection      | str   | Y        | 风向  |
| weather      | str   | Y        | 天气  |

接口示例-小时频率

```python
import mssdk as ms
air_quality_hist_df = ms.air_quality_hist(city="北京", period="hour", start_date="2020-04-25", end_date="2020-04-27")
print(air_quality_hist_df)
```

数据示例-小时频率

```
                   time  aqi pm2_5 pm10  ... humi windlevel winddirection weather
0   2020-04-25 00:00:00  111    27  172  ...   16         4           东北风    晴转多云
1   2020-04-25 01:00:00  103    20  156  ...   16         4           东北风    晴转多云
2   2020-04-25 02:00:00  110    14  170  ...   18         3            北风    晴转多云
3   2020-04-25 03:00:00   87    11  123  ...   18         4            北风    晴转多云
4   2020-04-25 04:00:00   68     9   85  ...   16         4            北风    晴转多云
..                  ...  ...   ...  ...  ...  ...       ...           ...     ...
67  2020-04-27 19:00:00   68    48   85  ...   25         2           西南风       晴
68  2020-04-27 20:00:00   66    47   82  ...   25         2           西南风       晴
69  2020-04-27 21:00:00   67    46   84  ...   30         2           西南风       晴
70  2020-04-27 22:00:00   68    42   86  ...   28         3           西南风       晴
71  2020-04-27 23:00:00   69    43   87  ...   32         2           西南风       晴  
```

接口示例-天频率

```python
import mssdk as ms
air_quality_hist_df = ms.air_quality_hist(city="北京", period="day", start_date="2020-03-20", end_date="2020-04-27")
print(air_quality_hist_df)
```

数据示例-天频率

```
          time  aqi pm2_5 pm10  ...    humi windlevel winddirection weather
0   2020-03-20   60    29   70  ...  28.667     1.542                      
1   2020-03-21   72    27   94  ...  25.250     2.042                      
2   2020-03-22   62    30   74  ...  32.375     2.167                      
3   2020-03-23   53    28   55  ...  35.333     1.542                      
4   2020-03-24   70    51   68  ...  36.958     1.458                      
5   2020-03-25  153   117  111  ...  49.833     1.792                      
6   2020-03-26   39     8   24  ...  41.500     3.125                      
7   2020-03-27   40     5   21  ...  15.083     2.500                      
8   2020-03-28   39    10   28  ...  23.917     1.792                      
9   2020-03-29   63    45   72  ...  35.292     1.958                      
10  2020-03-30   92    68   87  ...  48.208     2.208                      
11  2020-03-31   87    64   75  ...  53.826     2.130                      
12  2020-04-01   42     9   21  ...  19.250     2.250                      
13  2020-04-02   42    16   34  ...  34.458     1.500                      
14  2020-04-03   47    14   36  ...  28.000     2.000                      
15  2020-04-04  102    23  154  ...  24.708     2.500                      
16  2020-04-05   69    30   88  ...  32.250     1.667                      
17  2020-04-06   86    62  122  ...  42.500     1.667                      
18  2020-04-07   77    45  103  ...  34.167     2.042                      
19  2020-04-08   55    21   60  ...  33.042     1.750                      
20  2020-04-09   49    34   47  ...  56.500     1.875                      
21  2020-04-10   70    39   50  ...  46.542     1.417                      
22  2020-04-11   51    20   38  ...  30.083     1.708                      
23  2020-04-12   54    17   52  ...  13.333     1.958                      
24  2020-04-13   59    26   67  ...  31.435     1.391                      
25  2020-04-14  104    66  102  ...  35.500     1.750                      
26  2020-04-15   95    63   93  ...  45.292     1.875                      
27  2020-04-16   63    23   75  ...  54.583     2.250                      
28  2020-04-17   78    23   37  ...  36.292     2.167                      
29  2020-04-18   75    33   45  ...  40.000     1.500                      
30  2020-04-19   94    39   54  ...  49.227     2.546                      
31  2020-04-20   45     7   31  ...  23.708     3.167                      
32  2020-04-21   42     7   33  ...  18.917     2.833                      
33  2020-04-22   43     6   24  ...  12.125     2.667                      
34  2020-04-23   45     7   21  ...  13.727     2.091                      
35  2020-04-24   91    19  132  ...  12.375     2.875                      
36  2020-04-25   52    10   53  ...  16.375     2.458                      
37  2020-04-26   50    14   33  ...  25.375     1.792                      
38  2020-04-27   76    41   63  ...  35.958     1.875                      
```

接口示例-月频率

```python
import mssdk as ms
air_quality_hist_df = ms.air_quality_hist(city="北京", period="month", start_date="2019-04-25", end_date="2020-04-27")
print(air_quality_hist_df)
```

数据示例-月频率

```
     aqi cityname     time  ... complexindex fcomplexindex primary_pollutant
0    94       北京  2019-05  ...         None         4.596              None
1   123       北京  2019-06  ...         None         4.629              None
2   106       北京  2019-07  ...         None         4.150              None
3    71       北京  2019-08  ...         None         3.206              None
4    97       北京  2019-09  ...         None         4.295              None
5    68       北京  2019-10  ...         None         3.829              None
6    76       北京  2019-11  ...         None         4.402              None
7    74       北京  2019-12  ...         None         4.225              None
8    87       北京  2020-01  ...         None         4.774              None
9    88       北京  2020-02  ...         None         4.349              None
10   62       北京  2020-03  ...         None         3.174              None          
```

#### 空气质量排名

接口: air_quality_rank

目标地址: https://www.zq12369.com/environment.php

描述: 获取指定 **date** 时间点上所有城市(168个)的空气质量数据

限量: 单次返回所有的数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| date | str | Y | date="2020-03-12"; "实时": 当前时刻空气质量排名; "2020-03-12": 当日空气质量排名; "2020-03": 当月空气质量排名; "2019": 当年空气质量排名; |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 降序      | str  | Y        | 排名  |
| 省份      | str   | Y        | -  |
| 城市      | str   | Y        | -   |
| AQI     | float   | Y        | -  |
| 空气质量      | str   | Y        | -   |
| PM2.5浓度      | str   | Y        | -  |
| 首要污染物      | str   | Y        | -  |

接口示例-实时

```python
import mssdk as ms
air_quality_rank_df = ms.air_quality_rank(date="实时")
print(air_quality_rank_df)
```

数据示例-实时

```
        降序  省份  城市    AQI  空气质量   PM2.5浓度  首要污染物
1      1.0  山西  太原  123.0  轻度污染  93 ug/m3  PM2.5
2      2.0  山东  德州  116.0  轻度污染  33 ug/m3   PM10
3      3.0  河南  安阳  111.0  轻度污染  60 ug/m3   PM10
4      4.0  吉林  长春  108.0  轻度污染  81 ug/m3  PM2.5
5      5.0  广东  佛山  100.0     良  55 ug/m3     O3
..     ...  ..  ..    ...   ...       ...    ...
164  164.0  广东  珠海   34.0     优  16 ug/m3    NaN
165  165.0  江苏  南通   34.0     优  23 ug/m3    NaN
166  166.0  浙江  舟山   30.0     优  11 ug/m3    NaN
167  167.0  四川  雅安   30.0     优  13 ug/m3    NaN
168  168.0  西藏  拉萨   29.0     优   9 ug/m3    NaN            
```

接口示例-具体某天

```python
import mssdk as ms
air_quality_rank_df = ms.air_quality_rank(date="2020-03-20")
print(air_quality_rank_df)
```

数据示例-具体某天

```
        降序   省份    城市    AQI  空气质量   PM2.5浓度 首要污染物
1      1.0   山西    晋城  124.0  轻度污染  42 ug/m3  PM10
2      2.0   山东    德州  120.0  轻度污染  36 ug/m3  PM10
3      3.0   河南    焦作  118.0  轻度污染  42 ug/m3  PM10
4      4.0   山东    菏泽  118.0  轻度污染  33 ug/m3  PM10
5      5.0   河南    安阳  118.0  轻度污染  44 ug/m3  PM10
..     ...  ...   ...    ...   ...       ...   ...
164  164.0   广东    深圳   45.0     优  29 ug/m3   NaN
165  165.0  黑龙江   哈尔滨   43.0     优  30 ug/m3   NaN
166  166.0   广东    惠州   43.0     优  30 ug/m3   NaN
167  167.0   新疆  乌鲁木齐   32.0     优  17 ug/m3   NaN
168  168.0   海南    海口   29.0     优  13 ug/m3   NaN
```

接口示例-具体某月

```python
import mssdk as ms
air_quality_rank_df = ms.air_quality_rank(date="2020-03")
print(air_quality_rank_df)
```

数据示例-具体某月

```
        降序  省份  城市  综合指数  最大指数  首要污染物
1      1.0  河南  安阳  5.29  1.60  PM2.5
2      2.0  山东  淄博  5.27  1.51  PM2.5
3      3.0  山东  枣庄  5.19  1.54  PM2.5
4      4.0  河南  焦作  5.16  1.54   PM10
5      5.0  陕西  西安  5.11  1.59   PM10
..     ...  ..  ..   ...   ...    ...
164  164.0  广东  惠州  2.52  0.69     O3
165  165.0  广东  中山  2.51  0.74     O3
166  166.0  浙江  舟山  2.27  0.70     O3
167  167.0  海南  海口  1.84  0.58     O3
168  168.0  西藏  拉萨  1.78  0.72     O3
```

接口示例-具体某年

```python
import mssdk as ms
air_quality_rank_df = ms.air_quality_rank(date="2019")
print(air_quality_rank_df)
```

数据示例-具体某年

```
        降序  省份   城市  综合指数  最大指数  首要污染物
1      1.0  河南   安阳  6.91  2.03  PM2.5
2      2.0  河北   邢台  6.85  1.86  PM2.5
3      3.0  河北  石家庄  6.80  1.80  PM2.5
4      4.0  河北   邯郸  6.77  1.89  PM2.5
5      5.0  山西   临汾  6.74  1.77  PM2.5
..     ...  ..  ...   ...   ...    ...
164  164.0  福建   厦门  2.98  0.84     O3
165  165.0  安徽   黄山  2.95  0.84     O3
166  166.0  浙江   舟山  2.68  0.82     O3
167  167.0  海南   海口  2.47  0.90     O3
168  168.0  西藏   拉萨  2.39  0.81     O3
```

#### 监测点空气质量

接口: air_quality_watch_point

目标地址: https://www.zq12369.com/environment.php

描述: 获取每个城市的所有空气质量监测点的数据

限量: 单次返回指定城市指定日期区间的所有监测点的空气质量数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| city | str | Y | city="杭州"; 调用 air_city_list 接口获取所有城市列表 | |
| start_date | str | Y | start_date="2018-01-01" |
| end_date | str | Y | end_date="2020-04-27" |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| pointname      | str  | Y        | 监测点名称  |
| aqi      | float   | Y        | AQI  |
| pm2_5      | float   | Y        | PM2.5   |
| pm10     | float   | Y        | PM10  |
| no2      | float   | Y        | NO2   |
| so2      | float   | Y        | SO2  |
| o3      | float   | Y        | O3  |
| co      | float   | Y        | CO  |

接口示例

```python
import mssdk as ms
air_quality_watch_point_df = ms.air_quality_watch_point(city="杭州", start_date="2018-01-01", end_date="2020-04-27")
print(air_quality_watch_point_df)
```

数据示例

```
   pointname      aqi  ...                  o3                  co
0       朝晖五区  83.9315  ...               162.4  1.3581999999999999
1       浙江农大  82.7099  ...                 183                 1.3
2        城厢镇  82.2618  ...                 175              1.2643
3         下沙  81.5554  ...                 175                 1.2
4        临平镇  80.2429  ...               174.6              1.2182
5       和睦小学  79.7488  ...                 170              1.2209
6         西溪  78.5832  ...                 173                 1.1
7         滨江  77.9729  ...                 172                 1.3
8        卧龙桥  71.1863  ...                 161             1.13265
9         云栖  70.4404  ...                 168                 1.2
10       千岛湖  55.8762  ...  143.00000000000003                   1        
```

### 财富排行榜-中文

接口: fortune_rank

目标地址: http://www.fortunechina.com/fortune500/node_65.htm

描述: 获取指定年份财富世界 500 强公司排行榜

限量: 单次返回某一个年份的所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| year | int  | Y    |   year="2019"|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 公司名称      | str   | Y        | -  |
| 营业收入      | float   | Y        | 注意单位   |
| 利润      | float   | Y        | 注意单位   |
| 国家      | float   | Y        | -   |

接口示例

```python
import mssdk as ms
fortune_df = ms.fortune_rank(year="2019")
print(fortune_df)
```

数据示例

```
公司名称(中英文)  营业收入(百万美元)  利润(百万美元)   国家
0                             沃尔玛（WALMART)    514405.0    6670.0   美国
1                中国石油化工集团公司（SINOPEC GROUP)    414649.9    5845.0   中国
2            荷兰皇家壳牌石油公司（ROYAL DUTCH SHELL)    396556.0   23352.0   荷兰
3    中国石油天然气集团公司（CHINA NATIONAL PETROLEUM)    392976.6    2270.5   中国
4                       国家电网公司（STATE GRID)    387056.0    8174.8   中国
..                                     ...         ...       ...  ...
495                              纽柯（NUCOR)     25067.3    2360.8   美国
496               蒙特利尔银行（BANK OF MONTREAL)     25002.7    4235.1  加拿大
497        泰康保险集团（TAIKANG INSURANCE GROUP)     24931.7    1794.6   中国
498        Ultrapar控股公司（ULTRAPAR HOLDINGS)     24816.0     314.8   巴西
499                  法国液化空气集团（AIR LIQUIDE)     24796.6    2494.2   法国
```

### 财富排行榜-英文

接口: fortune_rank_eng

目标地址: https://fortune.com/global500/

描述: 获取指定年份财富世界 500 强公司排行榜-英文版本, 从 1995 年开始, 数据和格式较中文版本完整

限量: 单次返回某一个年份的所有历史数据, 早期数据可能不足 500 家公司

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| year | str  | Y    |   year="2019"; 指定年份|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| rank      | str   | Y        | 排名  |
| -      | float   | Y        | 以当年的数据为准, 输出的字段不一   |

接口示例

```python
import mssdk as ms
fortune_rank_eng_df = ms.fortune_rank_eng(year="2015")
print(fortune_rank_eng_df)
```

数据示例

```
     rank   revenues  ... hqCountry                       title
476     1  175835.60  ...     Japan      Mitsubishi Corporation
477     2  171490.50  ...     Japan      Mitsui &amp; Co., Ltd.
478     3  167824.70  ...     Japan          Itochu Corporation
479     4  162475.90  ...     Japan        Sumitomo Corporation
480     5  154951.20  ...      U.S.  General Motors Corporation
..    ...        ...  ...       ...                         ...
194   496    7919.20  ...   Germany                Quelle Group
195   497    7868.70  ...   Germany             SPAR Handels AG
196   498    7857.10  ...      U.S.        Banc One Corporation
197   499    7849.50  ...     Japan     New Oji Paper Co., Ltd.
198   500    7843.80  ...     Japan    Toyo Seikan Kaisha, Ltd.
```

### 福布斯中国榜单

接口: forbes_rank

目标地址: https://www.forbeschina.com/lists

描述: 获取福布斯中国-榜单数据, 一共 87 个指标的数据可以获取

限量: 单次返回指定指标的数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| indicator | str  | Y    |   indicator="2020年福布斯中国400富豪榜"; 参考 **福布斯中国指标一览表**|

福布斯中国指标一览表

|    | name                     | url                                    |
|---:|:-------------------------|:---------------------------------------|
|  0 | 2020福布斯中国400富豪榜         | https://www.forbeschina.com/lists/1750 |
|  1 | 2020福布斯菲律宾富豪榜            | https://www.forbeschina.com/lists/1746 |
|  2 | 2020福布斯美国富豪榜             | https://www.forbeschina.com/lists/1745 |
|  3 | 2020福布斯中国名人榜             | https://www.forbeschina.com/lists/1744 |
|  4 | 2020福布斯新加坡富豪榜            | https://www.forbeschina.com/lists/1743 |
|  5 | 2020福布斯中国最佳CEO榜          | https://www.forbeschina.com/lists/1741 |
|  6 | 2020福布斯中国医疗健康富豪榜         | https://www.forbeschina.com/lists/1740 |
|  7 | 2020福布斯中国慈善榜             | https://www.forbeschina.com/lists/1739 |
|  8 | 2020福布斯韩国富豪榜             | https://www.forbeschina.com/lists/1738 |
|  9 | 2020福布斯中国科技女性榜           | https://www.forbeschina.com/lists/1737 |
| 10 | 2020福布斯全球亿万富豪榜中国子榜       | https://www.forbeschina.com/lists/1734 |
| 11 | 2020福布斯全球亿万富豪榜           | https://www.forbeschina.com/lists/1733 |
| 12 | 2019福布斯中国400富豪榜          | https://www.forbeschina.com/lists/1728 |
| 13 | 2019福布斯中国最佳创投人TOP100     | https://www.forbeschina.com/lists/1747 |
| 14 | 2019福布斯全球最有影响力体育经纪人      | https://www.forbeschina.com/lists/1727 |
| 15 | 2019福布斯中国30位30岁以下精英榜     | https://www.forbeschina.com/lists/1725 |
| 16 | 2019福布斯美国400富豪榜          | https://www.forbeschina.com/lists/1722 |
| 17 | 2019福布斯菲律宾富豪榜            | https://www.forbeschina.com/lists/1721 |
| 18 | 2019福布斯中国慈善榜             | https://www.forbeschina.com/lists/1718 |
| 19 | 2019福布斯100名人榜            | https://www.forbeschina.com/lists/1717 |
| 20 | 2019福布斯韩国富豪榜             | https://www.forbeschina.com/lists/1716 |
| 21 | 2019福布斯马来西亚50富豪榜         | https://www.forbeschina.com/lists/19   |
| 22 | 2019福布斯中国最杰出商界女性排行榜      | https://www.forbeschina.com/lists/1165 |
| 23 | 2019福布斯全球亿万富豪榜           | https://www.forbeschina.com/lists/21   |
| 24 | 2018福布斯中国商界25位潜力女性       | https://www.forbeschina.com/lists/13   |
| 25 | 2018福布斯中国慈善榜             | https://www.forbeschina.com/lists/1156 |
| 26 | 2018福布斯中国最佳创投人TOP100     | https://www.forbeschina.com/lists/1258 |
| 27 | 2018福布斯中国最富有女性Top25      | https://www.forbeschina.com/lists/11   |
| 28 | 2018福布斯中国最佳女性创投人TOP25    | https://www.forbeschina.com/lists/12   |
| 29 | 2018中国最杰出商界女性排行榜         | https://www.forbeschina.com/lists/1145 |
| 30 | 2018中国分析师最佳价值发现榜         | https://www.forbeschina.com/lists/1147 |
| 31 | 2018中国最佳分析师50强榜          | https://www.forbeschina.com/lists/1148 |
| 32 | 2018福布斯中国分析师最佳预测盈利能力榜    | https://www.forbeschina.com/lists/1149 |
| 33 | 2018全球亿万富豪榜              | https://www.forbeschina.com/lists/1151 |
| 34 | 2018福布斯中国30位30岁以下精英榜     | https://www.forbeschina.com/lists/1157 |
| 35 | 2018福布斯中国上市公司最佳CEO       | https://www.forbeschina.com/lists/1159 |
| 36 | 2018福布斯中国400富豪榜          | https://www.forbeschina.com/lists/1162 |
| 37 | 2017福布斯全球科技界100富豪榜       | https://www.forbeschina.com/lists/1618 |
| 38 | 2017福布斯中国30位30岁以下精英榜     | https://www.forbeschina.com/lists/1617 |
| 39 | 2017华人富豪榜                | https://www.forbeschina.com/lists/1131 |
| 40 | 2017全球亿万富豪榜              | https://www.forbeschina.com/lists/1132 |
| 41 | 2017福布斯全球运动员收入榜          | https://www.forbeschina.com/lists/1644 |
| 42 | 2017福布斯台湾50富豪榜           | https://www.forbeschina.com/lists/1133 |
| 43 | 2017福布斯中国上市公司最佳CEO       | https://www.forbeschina.com/lists/1134 |
| 44 | 2017福布斯中国名人榜             | https://www.forbeschina.com/lists/1135 |
| 45 | 2017中国慈善榜                | https://www.forbeschina.com/lists/1681 |
| 46 | 2017分析师最佳预测盈利能力榜         | https://www.forbeschina.com/lists/1253 |
| 47 | 2017福布斯中国最佳创投人TOP100     | https://www.forbeschina.com/lists/1254 |
| 48 | 2017中国最佳分析师50强榜          | https://www.forbeschina.com/lists/1252 |
| 49 | 2020年福布斯世界最佳雇主TOP100     | https://www.forbeschina.com/lists/1749 |
| 50 | 2020福布斯中国上市公司潜力企业榜       | https://www.forbeschina.com/lists/1748 |
| 51 | 2020福布斯亚州中小上市企业榜         | https://www.forbeschina.com/lists/1742 |
| 52 | 2020福布斯中国最具创新力企业榜        | https://www.forbeschina.com/lists/1736 |
| 53 | 2020福布斯全球企业2000强榜        | https://www.forbeschina.com/lists/1735 |
| 54 | 2019福布斯全球最具价值的体育经纪机构     | https://www.forbeschina.com/lists/1726 |
| 55 | 2019福布斯全球数字经济100强榜       | https://www.forbeschina.com/lists/1724 |
| 56 | 2019福布斯中国最具创新力企业榜        | https://www.forbeschina.com/lists/1715 |
| 57 | 2018福布斯中国新三板企业融资能力榜TOP50 | https://www.forbeschina.com/lists/14   |
| 58 | 2018福布斯中国最具创新力企业榜        | https://www.forbeschina.com/lists/17   |
| 59 | 2018非上市公司潜力企业榜           | https://www.forbeschina.com/lists/18   |
| 60 | 2018福布斯中国最佳创投机构          | https://www.forbeschina.com/lists/20   |
| 61 | 2018上市公司潜力企业榜            | https://www.forbeschina.com/lists/1152 |
| 62 | 2018福布斯中国新三板TOP100       | https://www.forbeschina.com/lists/1155 |
| 63 | 2018福布斯中国最佳PE机构          | https://www.forbeschina.com/lists/1257 |
| 64 | 2017福布斯中国家族企业            | https://www.forbeschina.com/lists/1136 |
| 65 | 2017福布斯全球企业2000强         | https://www.forbeschina.com/lists/1139 |
| 66 | 2017值得关注的新三板企业           | https://www.forbeschina.com/lists/1459 |
| 67 | 2017中国非上市公司潜力企业榜         | https://www.forbeschina.com/lists/1460 |
| 68 | 2017福布斯中国最佳PE机构          | https://www.forbeschina.com/lists/1255 |
| 69 | 2017福布斯中国最佳创投机构          | https://www.forbeschina.com/lists/1256 |
| 70 | 2019福布斯美国大学排行榜           | https://www.forbeschina.com/lists/1720 |
| 71 | 2018福布斯创新力最强的30个城市       | https://www.forbeschina.com/lists/15   |
| 72 | 2018福布斯最适合新生活的宜居城市       | https://www.forbeschina.com/lists/16   |
| 73 | 2018福布斯中国大陆最佳商业城市        | https://www.forbeschina.com/lists/1163 |
| 74 | 2017福布斯中国大陆最佳商业城市        | https://www.forbeschina.com/lists/1138 |
| 75 | 2017福布斯中国大陆最佳地级城市30强     | https://www.forbeschina.com/lists/1140 |
| 76 | 2017福布斯中国大陆最佳县级城市30强     | https://www.forbeschina.com/lists/1141 |
| 77 | 2017福布斯创新力最强的30个城市       | https://www.forbeschina.com/lists/1142 |
| 78 | 2017福布斯经营成本最高的30个城市      | https://www.forbeschina.com/lists/1143 |
| 79 | 2015福布斯全球最适宜经商的国家和地区     | https://www.forbeschina.com/lists/1120 |
| 80 | 2015美国最适宜经商和就业的城市        | https://www.forbeschina.com/lists/1453 |
| 81 | 2015美国就业增长最快城市100强       | https://www.forbeschina.com/lists/1525 |
| 82 | 2015美国最适合经商和就业的州         | https://www.forbeschina.com/lists/1526 |
| 83 | 2014美国最适宜经商和就业的地区        | https://www.forbeschina.com/lists/1515 |
| 84 | 2014福布斯美国最适合经商和就业的州      | https://www.forbeschina.com/lists/1516 |
| 85 | 2014年世界最负盛名城市榜           | https://www.forbeschina.com/lists/1517 |
| 86 | 2014福布斯全球最适宜经商的国家和地区     | https://www.forbeschina.com/lists/1524 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 排名      | str   | Y        | -  |
| -      | -   | -        | 根据不同的指标而异   |

接口示例

```python
import mssdk as ms
forbes_rank_df = ms.forbes_rank(indicator="2020福布斯中国400富豪榜")
print(forbes_rank_df)
```

数据示例

```
      排名     姓名  财富（亿元）       财富来源  年龄 居住城市
0      1     马云  4377.2       阿里巴巴  56   杭州
1      2    马化腾  3683.2         腾讯  49   深圳
2      3    钟睒睒  3596.5  农夫山泉/万泰生物  65   杭州
3      4  孙飘扬家族  2335.4  恒瑞医药/翰森制药  62  连云港
4      5  何享健家族  2148.5       美的集团  78   佛山
..   ...    ...     ...        ...  ..  ...
395  394  李文美家族   105.4       万孚生物  58   广州
396  397    郭梓文   104.8       中国奥园  56   香港
397  398  袁建栋家族   104.1       博瑞医药  50   苏州
398  399     王帅   103.4       蚂蚁集团   /   杭州
399  399    卢竑岩   103.4        吉比特  43   厦门
```

### 新财富富豪榜

接口: xincaifu_rank

目标地址: http://www.xcf.cn/zhuanti/ztzz/hdzt1/500frb/index.html

描述: 获取新财富 500 富豪榜, 从 2003 年至今

限量: 单次返回指定年份的富豪榜数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| year | str  | Y    |   year="2020"; 从 2003 年至今|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 排名      | int   | Y        | -  |
| 财富      | float   | Y        | 注意单位: 亿元   |
| 姓名      | str   | Y        | -   |
| 主要公司      | str   | Y        | -   |
| 相关行业      | str   | Y        | -   |
| 公司总部      | str   | Y        | -   |
| 性别      | str   | Y        | -   |
| 年龄      | str   | Y        | -   |
| 年份      | int   | Y        | -   |

接口示例

```python
import mssdk as ms
xincaifu_rank_df = ms.xincaifu_rank(year="2020")
print(xincaifu_rank_df)
```

数据示例

```
      排名      财富       姓名       主要公司            相关行业   公司总部   性别     年龄    年份
0      1  3021.4       马云       阿里巴巴         互联网综合服务   浙江杭州    男     56  2020
1      2  2767.3      马化腾       腾讯控股         互联网综合服务   广东深圳    男     49  2020
2      3  1981.0      许家印       恒大集团  地产、新能源汽车、文旅、健康   广东深圳    男     62  2020
3      4  1769.2      杨惠妍      碧桂园控股             房地产   广东顺德    女     38  2020
4      5  1738.8  孙飘扬/钟慧娟  恒瑞医药/翰森制药              制药  江苏连云港  男/女  62/59  2020
..   ...     ...      ...        ...             ...    ...  ...    ...   ...
495  496    63.8      俞其兵       旗滨集团            建筑材料   湖南株洲    男     55  2020
496  497    63.7    薛济萍家族       中天科技            通信设备     上海    男     69  2020
497  498    63.6      吴忌寒       比特大陆       芯片、加密货币矿机     北京    男     34  2020
498  498    63.6  黄炳文/黄晓佳       东风投资              印刷   广东汕头  男/男  66/40  2020
499  500    63.3       陈睿       哔哩哔哩          视频弹幕网站     上海    男     42  2020
```

### 胡润排行榜

接口: hurun_rank

目标地址: https://www.hurun.net/zh-CN/Rank/HsRankDetails?num=QWDD234E

描述: 获取胡润百富榜, 胡润全球独角兽榜的榜单数据

限量: 单次返回指定指标和年份的榜单数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| indicator | str  | Y    |   indicator="胡润百富榜"; choice of {"胡润百富榜", "胡润全球富豪榜", "胡润全球独角兽榜", "胡润中国500强民营企业", "胡润世界500强", "胡润艺术榜"}|
| year | str  | Y    |   year="2020"; choice of {"胡润百富榜": "2019至今", "胡润全球富豪榜": "2019至今", "胡润全球独角兽榜": "2019至今", "胡润中国500强民营企业": "2019至今", "胡润世界500强": "2020至今", "胡润艺术榜": "2019至今"}|

输出参数-胡润百富榜

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 排名      | int   | Y        | -  |
| 财富      | float   | Y        | 注意单位: 亿元   |
| 姓名      | str   | Y        | -   |
| 企业      | str   | Y        | -   |
| 行业      | str   | Y        | -   |

接口示例-胡润百富榜

```python
import mssdk as ms
hurun_rank_df = ms.hurun_rank(indicator="胡润百富榜", year="2020")
print(hurun_rank_df)
```

数据示例-胡润百富榜

```
        排名      财富       姓名    企业         行业
0        1  4000.0       马云   阿里系  电子商务、金融科技
1        2  3900.0      马化腾    腾讯      互联网服务
2        3  3650.0      钟睒睒   养生堂    饮料、医疗保健
3        4  2400.0       王卫    顺丰         快递
4        5  2350.0      许家印    恒大     房地产、投资
    ...     ...      ...   ...        ...
2396  2303    20.0      朱国栋  天孚通信      光电源器件
2397  2303    20.0   朱伟、王晓虹  博创科技       通信设备
2398  2303    20.0  朱小坤、于玉梅  天工国际       金属工具
2399  2303    20.0      朱奕龙  银帝集团     房地产、投资
2400  2303    20.0      李敏信  名创优品        新零售
```

输出参数-胡润全球富豪榜

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 排名      | int   | Y        | -  |
| 财富      | float   | Y        | 注意单位: 亿美元   |
| 姓名      | str   | Y        | -   |
| 企业      | str   | Y        | -   |
| 行业      | str   | Y        | -   |

接口示例-胡润全球富豪榜

```python
import mssdk as ms
hurun_rank_df = ms.hurun_rank(indicator="胡润全球富豪榜", year="2021")
print(hurun_rank_df)
```

数据示例-胡润全球富豪榜

```
        排名       财富       姓名            企业     行业
0        1  12800.0   埃隆·马斯克           特斯拉  新能源汽车
1        2  12200.0   杰夫·贝佐斯           亚马逊   电子商务
2        3   7380.0  伯纳德·阿诺特  酩悦·轩尼诗-路易·威登    奢侈品
3        4   7120.0    比尔·盖茨            微软  软件与服务
4        5   6530.0  马克·扎克伯格     Facebook      媒体
    ...      ...      ...           ...    ...
3223  3050     65.0       周剑          迈为股份   工业设备
3224  3050     65.0      周金辉            中赫    房地产
3225  3050     65.0   周平、周梦晨           玉禾田     工程
3226  3050     65.0      周夏耘            亚夏   汽车销售
3227  3050     65.0      邹节明          三金药业     制药
```

输出参数-胡润全球独角兽榜

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 排名      | int   | Y        | -  |
| 财富      | float   | Y        | 注意单位: 亿元   |
| 姓名      | str   | Y        | -   |
| 企业      | str   | Y        | -   |
| 行业      | str   | Y        | -   |

接口示例-胡润全球独角兽榜

```python
import mssdk as ms
hurun_rank_df = ms.hurun_rank(indicator="胡润全球独角兽榜", year="2020")
print(hurun_rank_df)
```

数据示例-胡润全球独角兽榜

```
      排名       财富  ...           企业    行业
0      1  10000.0  ...         蚂蚁集团  金融科技
1      2   5600.0  ...         字节跳动  社交媒体
2      3   3700.0  ...         滴滴出行  共享经济
3      4   2700.0  ...          陆金所  金融科技
4      5   2500.0  ...       SpaceX    航天
..   ...      ...  ...          ...   ...
581  351     70.0  ...          有利网  金融科技
582  351     70.0  ...         云鸟科技    物流
583  351     70.0  ...  Zeta Global  人工智能
584  351     70.0  ...   Zipline 国际    快递
585  351     70.0  ...        中关村科金  金融科技
```

输出参数-胡润中国500强民营企业

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 排名      | int   | Y        | -  |
| 企业估值      | float   | Y        | 注意单位: 亿元   |
| 企业信息      | str   | Y        | -   |
| 创始人      | str   | Y        | -   |
| 行业      | str   | Y        | -   |

接口示例-胡润中国500强民营企业

```python
import mssdk as ms
hurun_rank_df = ms.hurun_rank(indicator="胡润中国500强民营企业", year="2019")
print(hurun_rank_df)
```

数据示例-胡润中国500强民营企业

```
      排名     企业估值     企业信息  创始人           行业
0      1  38100.0     阿里巴巴   张勇         电子商务
1      2  28500.0     腾讯控股  马化腾        互联网服务
2      3  15000.0   中国平安保险  马明哲           金融
3      4  12000.0   华为投资控股   梁华  电信解决方案、智能手机
4      5  10000.0     蚂蚁金服  井贤栋         金融科技
..   ...      ...      ...  ...          ...
504  498    140.0  星河湾实业发展  黄文仔       房地产、投资
505  498    140.0     宇华教育  李光宇           教育
506  498    140.0     月星集团  丁佐宏         家具连锁
507  498    140.0     长隆集团  苏志刚           旅游
508  498    140.0     珠江投资  朱孟依          房地产
```

输出参数-胡润世界500强

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 排名      | int   | Y        | -  |
| 企业估值      | float   | Y        | 注意单位: 亿元   |
| 企业信息      | str   | Y        | -   |
| 创始人      | str   | Y        | -   |
| 行业      | str   | Y        | -   |

接口示例-胡润世界500强

```python
import mssdk as ms
hurun_rank_df = ms.hurun_rank(indicator="胡润世界500强", year="2020")
print(hurun_rank_df)
```

数据示例-胡润世界500强

```
      排名      企业估值       企业信息             创始人     行业
0      1  139900.0         苹果           蒂姆·库克   消费电子
1      2  108200.0         微软         萨提亚·纳德拉  软件与服务
2      3  106300.0        亚马逊          杰夫·贝索斯     零售
3      4   80500.0   Alphabet         桑达尔·皮查伊  传媒和娱乐
4      5   53900.0         脸书         马克·扎克伯格  传媒和娱乐
..   ...       ...        ...             ...    ...
495  494    2119.0         百胜     David Gibbs   食品饮料
496  497    2112.0         嘉吉  Dave MacLennan     农业
497  497    2112.0  BPCE银行集团   Laurent Mignon   金融服务
498  499    2105.0        益博睿    Brian Cassin   金融服务
499  499    2105.0   家庭人寿保险公司  Daniel P. Amos   金融服务
```

输出参数-胡润艺术榜

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 排名      | int   | Y        | -  |
| 成交额      | float   | Y        | 注意单位: 万   |
| 姓名      | str   | Y        | -   |
| 年龄      | str   | Y        | -   |
| 艺术类别      | str   | Y        | -   |

接口示例-胡润艺术榜

```python
import mssdk as ms
hurun_rank_df = ms.hurun_rank(indicator="胡润艺术榜", year="2020")
print(hurun_rank_df)
```

数据示例-胡润艺术榜

```
     排名      成交额   姓名  年龄     艺术类别
0     1  33665.0  崔如琢  76     中国书画
1     2  33108.0   刘野  56       油画
2     3  20288.0  黄建南  68  油画、中国书画
3     4  16538.0  周春芽  65       油画
4     5  15830.0   范曾  82     中国书画
..  ...      ...  ...  ..      ...
95   96    200.0  季大纯  52       油画
96   97    200.0  江宏伟  63     中国书画
97   98    197.0   薛亮  64     中国书画
98   99    178.0   龙瑞  74     中国书画
99  100    173.0  陈文骥  66       油画
```

### 电影票房

#### 实时票房

接口: movie_boxoffice_realtime

目标地址: https://www.endata.com.cn/BoxOffice/BO/RealTime/reTimeBO.html

描述: 获取当前时刻的实时电影票房数据, 每 5 分钟更新一次数据, 实时票房包含今天未开映场次已售出的票房

限量: 当前时刻的实时票房数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | -  | -    |  - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 排序     | float   | Y        | 票房排名  |  
| 影片名称     | float   | Y        | -  |  
| 实时票房     | float   | Y        | 注意单位: 万  |  
| 票房占比     | float   | Y        | 注意单位: %  |  
| 上映天数     | float   | Y        | -  |  
| 累计票房     | float   | Y        | 注意单位: 万  |  

接口示例

```python
import mssdk as ms
movie_boxoffice_realtime_df = ms.movie_boxoffice_realtime()
print(movie_boxoffice_realtime_df)
```

数据示例

```
    排序    影片名称     实时票房   票房占比  上映天数       累计票房
0    1  我和我的家乡  1538.52  43.15    20  249064.58
1    2      喜宝   495.20  13.89     5    6385.52
2    3   一点就到家   426.22  11.95    17   24281.57
3    4      夺冠   420.24  11.79    26   77728.87
4    5     姜子牙   281.73   7.90    20  153707.79
5    6     急先锋   166.58   4.67    21   27109.02
6    7  七号房的礼物    81.22   2.28     6    1368.64
7    8      八佰    59.04   1.66    61  308789.71
8    9   掬水月在手    32.99   0.93     5     232.62
9   10    秀美人生    18.02   0.51    69    2313.17
10  11      其它    45.53   1.00     0       0.00
```

#### 单日票房

接口: movie_boxoffice_daily

目标地址: https://www.endata.com.cn/BoxOffice/BO/Day/index.html

描述: 获取指定日期的电影票房数据, 每日 10:30, 12:30更新日票房，16:30 同时补充前 7 日票房

限量: 只能指定最近的日期

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| date | str  | Y    |  date="20201019"; 只能选择最近的日期 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 排序     | float   | Y        | 票房排名  |  
| 影片名称     | float   | Y        | -  |  
| 单日票房     | float   | Y        | 注意单位: 万  |  
| 环比变化     | float   | Y        | 注意单位: %  |  
| 累计票房     | float   | Y        | 注意单位: 万  |  
| 平均票价     | float   | Y        | 注意单位: 元  |  
| 场均人次     | float   | Y        | -  |  
| 口碑指数     | float   | Y        | -  |  
| 上映天数     | float   | Y        | -  |  

接口示例

```python
import mssdk as ms
movie_boxoffice_daily_df = ms.movie_boxoffice_daily(date="20201019")
print(movie_boxoffice_daily_df)
```

数据示例

```
   排序    影片名称  单日票房  环比变化    累计票房  平均票价  场均人次  口碑指数  上映天数
0   1  我和我的家乡  5593 -62.0  247526    38    19  0.00     6
1   2      喜宝  1332 -39.0    5890    37     4  5.47     6
2   3   一点就到家  1610 -60.0   23855    38    16  7.27     5
3   4      夺冠  1358 -62.0   77309    37    25  7.39     4
4   5     姜子牙  1898 -78.0  153426    38    19  6.81     3
5   6     急先锋   511 -50.0   26942    38    20  6.47     4
6   7  七号房的礼物   276 -61.0    1287    34     5  7.63     3
7   8      八佰   242 -59.0  308731    39    60  7.70     6
8   9   82号古宅    59 -29.0     272    29     4  0.00     3
9  10   掬水月在手    61 -39.0     200    39     4  0.00     4
```

#### 单周票房

接口: movie_boxoffice_weekly

目标地址: https://www.endata.com.cn/BoxOffice/BO/Week/oneWeek.html

描述: 获取指定日期所在完整周的票房数据, 影片周票房数据初始更新周期为每周二，下周二补充数据

限量: 指定日期所在完整周的票房数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| date | str  | Y    |  date="20201018"; 指定日期所在周必须已经完整 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 排序     | float   | Y        | 票房排名  |  
| 影片名称     | float   | Y        | -  |  
| 排名变化     | float   | Y        | -  |  
| 单周票房     | float   | Y        | 注意单位: 万  |  
| 环比变化     | float   | Y        | 注意单位: %  |  
| 累计票房     | float   | Y        | 注意单位: 万  |  
| 平均票价     | float   | Y        | -  |  
| 场均人次     | float   | Y        | -  |  
| 口碑指数     | float   | Y        | -  |  
| 上映天数     | float   | Y        | -  |  

接口示例

```python
import mssdk as ms
movie_boxoffice_weekly_df = ms.movie_boxoffice_weekly(date="20201018")
print(movie_boxoffice_weekly_df)
```

数据示例

```
   排序      影片名称  排名变化   单周票房 环比变化    累计票房  平均票价  场均人次  口碑指数  上映天数
0   1    我和我的家乡  9999  30706  -71  245412    38    11   NaN    18
1   2     一点就到家     2   8022  -35   23215    38     8  7.36    15
2   3       姜子牙    -1   7731  -82  153010    38     6  6.79    18
3   4        夺冠    -1   7430  -65   76799    38     7  7.39    24
4   5        喜宝     0   5074    0    5075    37    10  5.90     3
5   6       急先锋    -1   2756  -56   26685    38     5  6.49    19
6   7       天道王     0   2233    0    2233    31    29   NaN     4
7   8    七号房的礼物     0   1097    0    1178    34     6  7.63     4
8   9        八佰    -3   1075  -48  308630    38     7  7.70    59
9  10  2019阅兵盛典    -3    542  -56    2713    35    12   NaN    18
```

#### 单月票房

接口: movie_boxoffice_monthly

目标地址: https://www.endata.com.cn/BoxOffice/BO/Month/oneMonth.html

描述: 获取指定日期所在月份的票房数据, 每月5号更新上月票房，并补充之前两个月票房

限量: 指定日期所在月份的票房数据, 只能获取最近月份的数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| date | str  | Y    |  date="20201019"; 输入具体的日期即可 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 排序     | float   | Y        | 票房排名  |  
| 影片名称     | float   | Y        | -  |  
| 单月票房     | float   | Y        | 注意单位: 万  |  
| 月度占比     | float   | Y        | 注意单位: %  |  
| 平均票价     | float   | Y        | -  |  
| 场均人次     | float   | Y        | -  |  
| 上映日期     | float   | Y        | -  |  
| 口碑指数     | float   | Y        | -  |  
| 月内天数     | float   | Y        | -  |  

接口示例

```python
import mssdk as ms
movie_boxoffice_monthly_df = ms.movie_boxoffice_monthly(date="20201019")
print(movie_boxoffice_monthly_df)
```

数据示例

```
     排序      影片名称    单月票房  月度占比  平均票价  场均人次        上映日期  口碑指数  月内天数
0     1    我和我的家乡  247491  47.7    39    27  2020-10-01   NaN  31.0
1     2       姜子牙  153396  29.6    40    24  2020-10-01  6.76  31.0
2     3        夺冠   49212   9.5    39    15  2020-09-25  7.39  31.0
3     4     一点就到家   23806   4.6    38    10  2020-10-04  7.39  28.0
4     5       急先锋   21172   4.1    38    11  2020-09-30  6.56  31.0
5     6        喜宝    5890   1.1    37     9  2020-10-16  5.69  16.0
6     7        八佰    4839   0.9    38    11  2020-08-21  7.70  31.0
7     8  2019阅兵盛典    2706   0.5    38    13  2020-10-01   NaN  31.0
8     9       天道王    2245   0.4    31    27  2020-10-15   NaN  17.0
9    10    七号房的礼物    1287   0.2    34     5  2020-10-15  7.63  17.0
10  999        其他    6612   1.3    38     9        None   NaN   NaN
```

#### 年度票房

接口: movie_boxoffice_yearly

目标地址: https://www.endata.com.cn/BoxOffice/BO/Year/index.html

描述: 指定日期所在年度的票房数据

限量: 指定日期所在年度的票房数据, 只能获取最近年度的数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| date | str  | Y    |  date="20201019"; 输入具体的日期即可 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 排序     | float   | Y        | 票房排名  |  
| 影片名称     | float   | Y        | -  |  
| 类型     | float   | Y        | -  |  
| 总票房     | float   | Y        | 注意单位: 万  |  
| 平均票价     | float   | Y        | -  |  
| 场均人次     | float   | Y        | -  |  
| 国家及地区     | float   | Y        | -  |  
| 上映日期     | float   | Y        | -  |  

接口示例

```python
import mssdk as ms
movie_boxoffice_yearly_df = ms.movie_boxoffice_yearly(date="20201019")
print(movie_boxoffice_yearly_df)
```

数据示例

```
    排序                 影片名称     类型     总票房  平均票价  场均人次    国家及地区        上映日期
0    1                   八佰     战争  308786    38  20.0       中国  2020-08-21
1    2               我和我的家乡     喜剧  248961    39  26.0       中国  2020-10-01
2    3                  姜子牙     动画  153689    40  22.0       中国  2020-10-01
3    4                   夺冠     剧情   77714    39  12.0       中国  2020-09-25
4    5                   宠爱     剧情   51060    35   7.0       中国  2019-12-31
5    6                   误杀     剧情   50225    32   8.0       中国  2019-12-13
6    7             我在时间尽头等你     爱情   50155    35  16.0       中国  2020-08-25
7    8                   信条     科幻   45348    39  10.0    美国/英国  2020-09-04
8    9              叶问4：完结篇     动作   41914    36   7.0  中国/中国香港  2019-12-20
9   10                  花木兰     剧情   27725    36   7.0    中国/美国  2020-09-11
10  11                  急先锋     动作   27095    38  10.0       中国  2020-09-30
11  12                一点就到家     剧情   24246    38   9.0       中国  2020-10-04
12  13            哈利·波特与魔法石  魔幻/动作   19155    35   9.0       英国  2002-01-31
13  14             多力特的奇幻冒险     喜剧   13597    32   7.0       美国  2020-07-24
14  15                 星际穿越     科幻   12148    30   8.0    美国/英国  2014-11-12
15  16                我为你牺牲     剧情   10673    75  32.0       中国  2019-12-05
16  17                 变身特工     动画   10352    35   6.0       美国  2020-01-03
17  18               1/2的魔法     动画    7043    32   8.0       美国  2020-08-19
18  19                 1917     战争    6896    32   5.0       美国  2020-08-07
19  20                   喜宝     剧情    6346    36   8.0       中国  2020-10-16
20  21                 美丽人生     剧情    5990    33   6.0      意大利  2020-01-03
21  22                 天使陷落     动作    5513    33   6.0       美国  2019-12-31
22  23                 荞麦疯长     剧情    5178    36  10.0       中国  2020-08-25
23  24  紫罗兰永恒花园外传：永远与自动手记人偶     剧情    4855    31   4.0       日本  2020-01-10
24  25                 鲨海逃生     灾难    4761    30   4.0    美国/英国  2020-01-10
```

#### 年度首周票房

接口: movie_boxoffice_yearly_first_week

目标地址: https://www.endata.com.cn/BoxOffice/BO/Year/firstWeek.html

描述: 获取指定日期所在年度的年度首周票房数据

限量: 指定日期所在年度的年度首周票房数据, 只能获取最近年度的数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| date | str  | Y    |  date="20201019"; 输入具体的日期即可 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 排序     | float   | Y        | 票房排名  |  
| 影片名称     | float   | Y        | -  |  
| 类型     | float   | Y        | -  |  
| 首周票房     | float   | Y        | 注意单位: 万  |  
| 占总票房比重     | float   | Y        | 注意单位: %  |  
| 场均人次     | float   | Y        | -  |  
| 国家及地区     | float   | Y        | -  |  
| 上映日期     | float   | Y        | -  |  
| 首周天数     | float   | Y        | -  |  

接口示例

```python
import mssdk as ms
movie_boxoffice_yearly_first_week_df = ms.movie_boxoffice_yearly_first_week(date="20201019")
print(movie_boxoffice_yearly_first_week_df)
```

数据示例

```
   排序                 影片名称  类型  首周票房  占总票房比重  场均人次  国家及地区        上映日期  首周天数
0   1                 鲨海逃生  灾难  2473      52     5  美国/英国  2020-01-10     3
1   2  紫罗兰永恒花园外传：永远与自动手记人偶  剧情  2342      48     6     日本  2020-01-10     3
2   3                动物特工局  动画  1489      33     6  中国/法国  2020-01-11     2
3   4                 为家而战  动作  1364      79     3  美国/英国  2020-01-10     3
4   5                   灭绝  科幻   997      62    10     美国  2020-01-18     2
5   6                 别告诉她  剧情   205      50     5  美国/中国  2020-01-10     3
6   7                 致敬英雄  剧情   199      54     6     中国  2020-01-10     3
7   8                格萨尔藏戏  剧情     0       0     1     中国  2020-08-21  -186
```

#### 影院票房-日票房排行

接口: movie_boxoffice_cinema_daily

目标地址: https://www.endata.com.cn/BoxOffice/BO/Cinema/day.html

描述: 获取指定日期的每日各影院的票房数据

限量: 指定日期各影院的票房数据, 注意当前日期的数据需要第二日才可以获取

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| date | str  | Y    |  date="20201019"; 输入具体的日期即可 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 排序     | float   | Y        | 票房排名  |  
| 影院名称     | float   | Y        | -  |  
| 单日票房     | float   | Y        | 注意单位: 元  |  
| 单日场次     | float   | Y        | -  |  
| 场均人次     | float   | Y        | -  |  
| 场均票价     | float   | Y        | -  |  
| 上座率     | float   | Y        | 注意单位: %  |  

接口示例

```python
import mssdk as ms
movie_boxoffice_cinema_daily_df = ms.movie_boxoffice_cinema_daily(date="20201018")
print(movie_boxoffice_cinema_daily_df)
```

数据示例

```
     排序          影院名称      单日票房  单日场次   场均人次   场均票价    上座率
0     1        上海沪北影院  67469.00    29  65.76  35.38  38.07
1     2  UME影城（北京华星店）  58378.88    43  24.00  56.57  12.65
2     3      北京寰映合生汇店  57332.69    55  16.22  64.27  12.19
3     4     南京新街口国际影城  55752.99    94  16.63  35.67  16.36
4     5      首都电影院西单店  52529.50    69  12.86  59.22   8.93
..  ...           ...       ...   ...    ...    ...    ...
95   96  UME影城（重庆渝中店）  28611.92    67  10.79  39.57   9.24
96   97    上海五角场万达广场店  28316.52    62   9.32  48.99   6.44
97   98        广州天河影城  28252.46    53  11.60  45.94   8.24
98   99    西安大明宫万达广场店  28237.09    47  14.72  40.81  11.44
99  100   金逸北京荟聚IMAX店  28207.52    57  10.16  48.72   5.37
```

#### 影院票房-周票房排行

接口: movie_boxoffice_cinema_weekly

目标地址: https://www.endata.com.cn/BoxOffice/BO/Cinema/week.html

描述: 获取指定日期的完整周各影院的票房数据

限量: 指定日期的完整周各影院的票房数据, 注意当前日期的数据只能返回上周的数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| date | str  | Y    |  date="20201018"; 输入具体的日期即可 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 排序     | float   | Y        | 票房排名  |  
| 影院名称     | float   | Y        | -  |  
| 当周票房     | float   | Y        | 注意单位: 万  |  
| 单银幕票房     | float   | Y        | 注意单位: 元  |  
| 场均人次     | float   | Y        | -  |  
| 单日单厅票房     | float   | Y        | -  |  
| 单日单厅场次     | float   | Y        | -  |  

接口示例

```python
import mssdk as ms
movie_boxoffice_cinema_weekly_df = ms.movie_boxoffice_cinema_weekly(date="20201018")
print(movie_boxoffice_cinema_weekly_df)
```

数据示例

```
     排序            影院名称       当周票房    单银幕票房   场均人次    单日单厅票房  单日单厅场次
0     1        首都电影院西单店  793923.85  1640.34  26.73   8101.26    4.94
1     2        北京寰映合生汇店  659703.84  1731.51  26.83  10471.49    6.05
2     3        首都电影院昌平店  643233.44  1925.85  37.13   9189.05    4.77
3     4    广州飞扬影城（正佳分店）  600512.86  1547.71  27.45   9531.95    6.16
4     5    金逸北京大悦城IMAX店  597332.33  1866.66  26.62  10666.65    5.71
..  ...             ...        ...      ...    ...       ...     ...
95   96     华谊兄弟影城沈阳铁西店  354704.19   891.22  23.36   4222.67    4.74
96   97       郑州惠济万达广场店  354242.29   881.20  21.50   4217.17    4.79
97   98  海上明珠国际影城上海环球港店  352857.08  1326.53  25.32   6301.02    4.75
98   99        成都太平洋电影城  352743.53   803.52  22.03   2964.23    3.69
99  100       东莞东城万达广场店  350981.36   875.27  19.20   5014.02    5.73
```

### 视频放映

#### 电视剧集

接口: video_tv

目标地址: https://www.endata.com.cn/Video/index.html

描述: 艺恩-视频放映-电视剧集

限量: 返回前一日的电视剧播映数据

输入参数

| 名称   | 类型 |  描述      |
| -------- | ---- | --- |
| - | -  |  - |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 排序     | int64   |-  |  
| 名称     | object   |  -  |  
| 类型     | object   |-  |  
| 播映指数     | float64   | -  |  
| 媒体热度     | float64   |  -  |  
| 用户热度     | float64   | -  |  
| 好评度     | float64   | -  |  
| 观看度     | float64   | -  |  
| 统计日期     | float64   | -  |  

接口示例

```python
import mssdk as ms
video_tv_df = ms.video_tv()
print(video_tv_df)
```

数据示例

```
   排序       名称     类型   播映指数   媒体热度   用户热度    好评度    观看度        统计日期
0   1     斛珠夫人  古装/爱情  77.11  67.26  70.22  53.12  81.15  2021-11-15
1   2       突围  剧情/涉案  74.11  60.64  64.73  59.80  81.35  2021-11-15
2   3      嘉南传  古装/爱情  67.95  58.75  60.54  47.00  75.10  2021-11-15
3   4     当家主母  古装/剧情  66.63  53.73  56.79  57.00  74.82  2021-11-15
4   5     星辰大海  都市/剧情  64.48  57.89  52.90  53.00  74.73  2021-11-15
5   6     一见倾心  爱情/剧情  62.62  60.44  51.27  45.00  74.53  2021-11-15
6   7    夜色暗涌时  都市/爱情  60.01  53.27  47.26  52.27  72.72  2021-11-15
7   8       真相  悬疑/都市  59.18  43.52  41.34  80.00  70.32  2021-11-15
8   9       功勋  剧情/传记  57.01  40.52  42.73  91.20  50.91  2021-11-15
9  10  只是结婚的关系  爱情/都市  55.97  49.13  42.32  58.20  65.60  2021-11-15
```

#### 综艺节目

接口: video_variety_show

目标地址: https://www.endata.com.cn/Video/index.html

描述: 艺恩-视频放映-综艺节目

限量: 返回前一日的综艺播映数据

输入参数

| 名称   | 类型 |  描述      |
| -------- | ---- | --- |
| - | -  |  - |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 排序     | int64   |-  |  
| 名称     | object   |  -  |  
| 类型     | object   |-  |  
| 播映指数     | float64   | -  |  
| 媒体热度     | float64   |  -  |  
| 用户热度     | float64   | -  |  
| 好评度     | float64   | -  |  
| 观看度     | float64   | -  |  
| 统计日期     | float64   | -  |  

接口示例

```python
import mssdk as ms
video_variety_show_df = ms.video_variety_show()
print(video_variety_show_df)
```

数据示例

```
   排序             名称   类型   播映指数   媒体热度   用户热度    好评度    观看度        统计日期
0   1       一年一度喜剧大赛  真人秀  64.56  58.93  47.60  78.00  68.83  2021-11-15
1   2          导演请指教  真人秀  60.55  53.80  50.65  41.00  74.77  2021-11-15
2   3          时光音乐会  真人秀  59.55  51.66  39.80  81.00  68.97  2021-11-15
3   4      超新星运动会第四季  真人秀  56.75  47.64  46.23  71.00  50.83  2021-11-15
4   5     奔跑吧·黄河篇第二季  真人秀  55.64  50.03  42.40  51.80  67.99  2021-11-15
5   6       青春环游记第三季  真人秀  55.61  54.06  41.32  51.76  67.58  2021-11-15
6   7        我们的歌第三季  真人秀  55.21  65.66  38.86  51.35  63.53  2021-11-15
7   8          最后的赢家  真人秀  54.85  53.07  42.96  45.24  65.70  2021-11-15
8   9  令人心动的offer第三季  真人秀  54.16  50.36  40.27  51.66  66.56  2021-11-15
9  10       天天向上2021  脱口秀  53.11  31.18  35.44  80.00  67.00  2021-11-15
```

### 艺人

#### 艺人商业价值

接口: business_value_artist

目标地址: https://www.endata.com.cn/Marketing/Artist/business.html

描述: 艺恩-艺人-艺人商业价值

限量: 返回当前的艺人商业价值数据

输入参数

| 名称   | 类型 |  描述      |
| -------- | ---- | --- |
| - | -  |  - |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 排名     | int64   |-  |  
| 艺人     | object   |  -  |  
| 商业价值     | float64   |  商业价值由专业度，关注度，预测热度加权汇总计算后得出，分值范围0~100，综合反映明星作品、代言表现、近期热度及舆情口碑。  |  
| 专业热度     | float64   |  艺人专业热度主要表现艺人历史作品及品牌代言的效果情况，参与计算的指标维度包括历史主演电影票房表现，历史主演视频节目播映热度，电影作品豆瓣评分，作品相关微博内容评论正负向，历史代言品牌数量，品牌热度，艺人获奖数量。  |  
| 关注热度     | float64   |  艺人关注热度主要表现艺人网络中的舆情声量，参与计算的指标维度包括百度搜索指数，百度新闻数量，今日头条新闻数，微博转发量，微博评论量，微博点赞量，微博粉丝数量，贴吧关注数量，微博话题数量。  |  
| 预测热度     | float64   |  预测热度的数值反映明星的未来发展潜力，包括粉丝增长规模，作品口碑以及未来作品预测。  |  
| 美誉度     | float64   |  根据艺人近三年参演电影、视频作品在豆瓣等平台的评分、微博正向评价，以及微博好评率等指标综合加权得出。  |  
| 统计日期     | object   |  -  |  

接口示例

```python
import mssdk as ms
business_value_artist_df = ms.business_value_artist()
print(business_value_artist_df)
```

数据示例

```
     排名  艺人 商业价值 专业热度 关注热 预测热度  美誉度     统计日期
0     1    杨幂  88.90  88.80  78.47  78.36  63.00  2021-11-16
1     2   朱一龙  85.09  92.40  71.17  13.76  72.00  2021-11-16
2     3  易烊千玺  84.65  85.73  75.19  57.26  65.67  2021-11-16
3     4   黄晓明  82.81  88.81  66.14  48.59  59.00  2021-11-16
4     5    刘涛  82.62  83.44  71.61  71.27  49.33  2021-11-16
..  ...   ...    ...    ...    ...    ...    ...         ...
95   96   张涵予  72.06  74.19  63.89  34.97  58.67  2021-11-16
96   97   胡一天  72.02  73.85  59.71  67.64  53.33  2021-11-16
97   98    徐峥  71.95  72.16  61.45  74.32  79.67  2021-11-16
98   99    魏晨  71.91  75.15  63.19  25.54  73.00  2021-11-16
99  100   钟楚曦  71.87  72.61  63.14  55.64  44.00  2021-11-16
```

#### 艺人流量价值

接口: online_value_artist

目标地址: https://www.endata.com.cn/Marketing/Artist/business.html

描述: 艺恩-艺人-艺人流量价值

限量: 返回当前的艺人流量价值数据

输入参数

| 名称   | 类型 |  描述      |
| -------- | ---- | --- |
| - | -  |  - |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 排名     | int64   |-  |  
| 艺人     | object   |  -  |  
| 流量价值     | float64   |  流量价值由专业度，关注度，预测热度，带货力加权汇总计算后得出，分值范围0~100，在商业价值的基础上增加了明星近期热度及带货力的权重。  |  
| 专业热度     | float64   |  艺人专业热度主要表现艺人历史作品及品牌代言的效果情况，参与计算的指标维度包括历史主演电影票房表现，历史主演视频节目播映热度，电影作品豆瓣评分，作品相关微博内容评论正负向，历史代言品牌数量，品牌热度，艺人获奖数量。  |  
| 关注热度     | float64   |  艺人关注热度主要表现艺人网络中的舆情声量，参与计算的指标维度包括百度搜索指数，百度新闻数量，今日头条新闻数，微博转发量，微博评论量，微博点赞量，微博粉丝数量，贴吧关注数量，微博话题数量。  |  
| 预测热度     | float64   |  预测热度的数值反映明星的未来发展潜力，包括粉丝增长规模，作品口碑以及未来作品预测。  |  
| 带货力     | float64   | 带货力的数值代表艺人的带货号召力，包括艺人的铁杆粉丝规模，超话粉丝规模。  |  
| 统计日期     | object   |  -  |  

接口示例

```python
import mssdk as ms
online_value_artist_df = ms.online_value_artist()
print(online_value_artist_df)
```

数据示例

```
     排名  艺人 流量价值 专业热度 关注热度 预测热度 带货力    统计日期
0     1   杨紫  85.47  74.30  76.06  97.80  83.95  2021-11-16
1     2   杨幂  85.15  88.80  78.47  78.36  89.24  2021-11-16
2     3  王一博  82.18  81.34  71.35  87.57  94.60  2021-11-16
3     4   龚俊  80.94  70.46  72.67  87.62  88.60  2021-11-16
4     5  陈伟霆  79.42  80.35  74.84  73.49  77.83  2021-11-16
..  ...  ...    ...    ...    ...    ...    ...         ...
95   96  佟丽娅  67.11  81.30  60.15  57.87  73.44  2021-11-16
96   97  郭麒麟  67.09  81.95  62.45  44.96  76.56  2021-11-16
97   98   杨迪  67.06  65.26  63.42  55.52  73.07  2021-11-16
98   99  钟楚曦  67.03  72.61  63.14  55.64  68.99  2021-11-16
99  100  张子枫  67.02  74.36  65.76  41.24  71.71  2021-11-16
```

### 电竞

#### 俱乐部排名

接口: club_rank_game

目标地址: http://rank.uuu9.com/

描述: 中国电竞价值排行榜-俱乐部排名

限量: 返回当前的俱乐部排名数据

输入参数

| 名称   | 类型 |  描述      |
| -------- | ---- | --- |
| symbol | str  |  symbol="英雄联盟"; choice of {'英雄联盟', '绝地求生', '王者荣耀', 'DOTA2', '穿越火线', '和平精英'} |

输出参数-英雄联盟

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 排名     | int64   |-  |  
| 俱乐部名称     | object   |-  |  
| 人气指数     | int64   |-  |  
| 舆论指数     | int64   |-  |  
| 战绩指数     | float64   |-  |  
| 综合指数     | float64   |-  |  
| 排名变动     | float64   |-  |  
| 更新时间     | object   |-  |  

接口示例-英雄联盟

```python
import mssdk as ms
club_rank_game_df = ms.club_rank_game(symbol="英雄联盟")
print(club_rank_game_df)
```

数据示例-英雄联盟

```
    排名 俱乐部名称 人气指数 舆论指数 战绩指数 综合指数 排名变动 更新时间
0    1   TES   980   415  31.6  29.5   NaN  2021-11-15
1    2    IG   948   491  18.7  26.0   NaN  2021-11-15
2    3   FPX   582   361  25.7  23.7   NaN  2021-11-15
3    4   RNG   263   265  23.4  18.7   NaN  2021-11-15
4    5    WE   103   138  28.6  18.0   NaN  2021-11-15
5    6   JDG    45   421  25.6  17.4   1.0  2021-11-15
6    7   EDG   119   200  23.3  16.2   1.0  2021-11-15
7    8   LGD    26   443  22.6  16.0   2.0  2021-11-15
8    9    SN    11   211  25.6  15.6   NaN  2021-11-15
9   10    ES    13   205  23.3  14.5   1.0  2021-11-15
10  11    RW    14   224  22.6  14.3   1.0  2021-11-15
11  12   LNG    18   203  22.7  14.3   1.0  2021-11-15
12  13   BLG    22   204  22.5  14.3   5.0  2021-11-15
13  14    VG    11   152  23.0  14.0   NaN  2021-11-15
14  15    V5    33   110  22.5  13.8   1.0  2021-11-15
15  16   DMO    11   148  22.6  13.7   1.0  2021-11-15
16  17   OMG    42   400   8.2  11.0   NaN  2021-11-15
```

#### 选手排行榜

接口: player_rank_game

目标地址: http://rank.uuu9.com/player/ranking

描述: 中国电竞价值排行榜-选手排行榜

限量: 返回当前的选手排行榜数据

输入参数

| 名称   | 类型 |  描述      |
| -------- | ---- | --- |
| symbol | str  |  symbol="英雄联盟"; choice of {'英雄联盟', '绝地求生', '王者荣耀', 'DOTA2', '穿越火线', '和平精英'} |

输出参数-英雄联盟

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 排名     | int64   |-  |  
| 选手ID     | object   |-  |
| 所属战队     | object   |-  |
| 人气指数     | int64   |-  |
| 舆论指数     | int64   |-  |
| 战绩指数     | float64   |-  |
| 综合指数     | float64   |-  |
| 身价     | object   |-  |
| 排名变动     | float64   |-  |
| 更新时间     | object   |-  |  

接口示例-英雄联盟

```python
import mssdk as ms
player_rank_game_df = ms.player_rank_game(symbol="英雄联盟")
print(player_rank_game_df)
```

数据示例-英雄联盟

```
    排名        选手ID     所属战队  人气指数  舆论指数  战绩指数  综合指数      身价  排名变动        更新时间
0    1  Jackeylove      TES  1000   290  30.3  28.9   >900万   NaN  2021-11-15
1    2     Knight9      TES   473   308  31.6  24.5   >900万   NaN  2021-11-15
2    3      TheShy       IG   640   370  20.8  22.9  >2200万   1.0  2021-11-15
3    4         Uzi  退役/自由选手   497   379  23.4  22.1  >5000万   1.0  2021-11-15
4    5       Doinb      FPX   433   239  25.5  21.4  >2000万   NaN  2021-11-15
5    6       karsa      TES   171   109  30.9  19.9   >950万   NaN  2021-11-15
6    7     Gimgoon      FPX   257   107  27.5  19.4  >1200万   NaN  2021-11-15
7    8         Lwx      FPX   288   172  25.6  19.4  >1500万   1.0  2021-11-15
8    9        Tian      FPX   275   124  25.4  18.8  >1500万   1.0  2021-11-15
9   10       Crisp      FPX   289   136  24.7  18.8      暂无   1.0  2021-11-15
10  11         369      TES    69   124  30.5  18.4   >600万   3.0  2021-11-15
11  12   Clearlove  退役/自由选手   144   187  25.2  17.3  >3000万   NaN  2021-11-15
12  13      Rookie       IG   215   195  22.5  17.3  >3000万   2.0  2021-11-15
13  14        xiye      LGD    25   163  28.1  16.8   >900万   NaN  2021-11-15
14  15        Ning       IG   165   194  22.0  16.3  >1500万  12.0  2021-11-15
15  16      Baolan       IG    60   186  24.4  15.7   >600万   1.0  2021-11-15
16  17    beishang       WE    15   136  26.1  15.5   >300万   4.0  2021-11-15
17  18       LoKeN      JDG    18    73  26.2  15.2   >400万   NaN  2021-11-15
18  19        Ming      RNG    60   215  22.5  15.0   >600万  11.0  2021-11-15
19  20      Jiejie      EDG    11   211  24.2  15.0      暂无   1.0  2021-11-15
20  21      Xiaohu      RNG    48   223  22.7  14.9   >900万   5.0  2021-11-15
21  22     Jinjiao      BLG     8    87  25.9  14.9   >400万   1.0  2021-11-15
22  23       LvMao      JDG    11   146  24.7  14.8   >200万   5.0  2021-11-15
23  24       Yagao      JDG     8   116  25.1  14.7   >500万   NaN  2021-11-15
24  25       Langx      LGD    15    78  25.3  14.7      暂无   3.0  2021-11-15
25  26    SwordArT       SN    15    76  25.4  14.7   >400万   3.0  2021-11-15
26  27        Zoom      JDG     8   135  24.4  14.5   >400万   3.0  2021-11-15
27  28      Kramer      LGD    15   215  22.4  14.2      暂无   3.0  2021-11-15
28  29        iBoy       VG    15   127  23.1  13.9   >800万   2.0  2021-11-15
29  30       Scout      EDG    23   117  22.7  13.8   >600万   2.0  2021-11-15
30  31       Meiko      EDG    16   119  22.6  13.6   >600万   2.0  2021-11-15
31  32        Yuer  退役/自由选手    15    61  22.8  13.3   >600万  14.0  2021-11-15
32  33       Maple      LNG    15    80  22.4  13.2   >500万   1.0  2021-11-15
33  34          Xx      LNG    15    95  22.0  13.2   >600万   NaN  2021-11-15
34  35       Curse      OMG    15   260  13.3  10.7      暂无   3.0  2021-11-15
35  36        Smlz      OMG    40    83  14.0   9.8  >1000万   3.0  2021-11-15
36  37        icon      OMG    28    94  14.3   9.7   >600万   3.0  2021-11-15
37  38         Pyl  退役/自由选手    15    80  14.1   9.2   >500万   2.0  2021-11-15
38  39        Mlxg  退役/自由选手    53   226   0.0   8.5  >2000万   4.0  2021-11-15
39  40     Flandre      LNG    15   136   6.2   6.9   >500万   1.0  2021-11-15
40  41         957  退役/自由选手    14   112   4.7   6.0   >500万   NaN  2021-11-15
```

### 生活成本

接口: cost_living

目标地址: https://expatistan.com/cost-of-living/index

描述: 获取世界各大城市生活成本数据

限量: 返回当前时点所有数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| region     | str   | -        | region="world", 默认, 返回所有城市数据, 其他城市请查看 **城市一览表**  |  

城市一览表

| 名称   | 类型 |   
| -------- | ---- |
| europe | 欧洲  |
| north-america | 北美洲  |
| latin-america | 拉丁美洲  |
| asia | 亚洲  |
| middle-east | 中东  |
| africa | 非洲  |
| oceania | 大洋洲  |
| world | 默认全球所有城市  |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| rank     | str   | -        | 排名  |  
| city     | str   | -        | 城市名称 |  
| index    | str   | -        | 价格指数  |  

接口示例

```python
import mssdk as ms
cost_living_df = ms.cost_living()
print(cost_living_df)
```

数据示例

```
      rank                                       city  index
0      1st              Grand Cayman (Cayman Islands)    271
1      2nd  Mountain View, California (United States)    259
2      3rd      Palo Alto, California (United States)    259
3      4th              New York City (United States)    253
4      5th                       Zurich (Switzerland)    246
..     ...                                        ...    ...
295  296th                             Indore (India)     62
296  297th                             Madras (India)     62
297  298th                        Córdoba (Argentina)     58
298  299th                        Rosario (Argentina)     56
299  300th                        Mendoza (Argentina)     48
```

### 新经济公司

#### 倒闭公司

接口: death_company

目标地址: https://www.itjuzi.com/deathCompany

描述: 获取新经济死亡公司数据库

限量: 返回所有历史数据

输入参数

| 名称   | 类型 | 描述               |
| -------- | ---- |  --- |
| -     | -   | -  |  

输出参数

| 名称          | 类型 | 描述           |
| --------------- | ----- | ---------------- |
| 公司简称     | object   |  -  |  
| 成立时间     | object   |  - |  
| 关闭时间    | object   |  -  |  
| 存活天数    | int64   |  -  |  
| 融资规模    | float64   |  注意单位: 万元  |  
| 行业    | object   | -  |  
| 地点    | object   |  -  |  

接口示例

```python
import mssdk as ms
death_company_df = ms.death_company()
print(death_company_df)
```

数据示例

```
          公司简称     成立时间    关闭时间  存活天数   融资规模    行业  地点
0            有赚投  2016-08-01  2019-03-25   966    NaN    金融  上海
1           京宁征信  2015-11-01  2019-03-25  1240    NaN    金融  北京
2          闪修360  2014-08-01  2019-03-25  1697    NaN  本地生活  北京
3           傲世之剑  2014-03-01  2019-03-25  1850  300.0    游戏  广东
4       DuckChat  2018-01-01  2019-03-25   448    NaN  工具软件  北京
          ...         ...         ...   ...    ...   ...  ..
19232        爱创意  2013-11-01  2019-03-26  1971    NaN  企业服务  北京
19233  CallChain  2018-04-01  2019-03-26   359    NaN   区块链  北京
19234        小书包  2016-02-01  2019-03-26  1149    NaN    教育  北京
19235  利物盛LEVSON  2011-11-01  2019-03-25  2701    NaN  工具软件  上海
19236        洋糖铺  2015-04-01  2019-03-25  1454    NaN  电子商务  北京
```

#### 独角兽公司

接口: nicorn_company

目标地址: https://www.itjuzi.com/unicorn

描述: 获取独角兽公司数据库, 该数据未更新

限量: 返回所有历史数据, 该数据未更新

输入参数

| 名称   | 类型 |  描述                         |
| -------- | ---- |  --- |
| -     | -   |  -  |  

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- | ---------------- |
| 序号     | int32   |  -  |  
| 公司     | object   |  - |  
| 地区    | object   |  -  |  
| 行业    | object   |  -  |  
| 子行业    | object   |  -  |  

接口示例

```python
import mssdk as ms
nicorn_company_df = ms.nicorn_company()
print(nicorn_company_df)
```

数据示例

```
      序号    公司  地区    行业     子行业
0      1  蚂蚁金服  浙江    金融  金融综合服务
1      2  字节跳动  北京  文娱传媒   媒体及阅读
2      3   阿里云  浙江  企业服务  IT基础设施
3      4    滴滴  北京  汽车交通    交通出行
4      5   陆金所  上海    金融      理财
..   ...   ...  ..   ...     ...
235  236    听云  北京  企业服务     NaN
236  237  能力风暴  上海  智能硬件     NaN
237  238  极飞科技  广东  智能硬件     NaN
238  239  上海细胞  上海  医疗健康     NaN
239  240   编程猫  广东    教育     NaN
```

#### 千里马公司

接口: maxima_company

目标地址: https://www.itjuzi.com/chollima

描述: 获取千里马公司数据库, 该数据未更新

限量: 返回所有历史数据, 该数据未更新

输入参数

| 名称   | 类型 |  描述                |
| -------- | ---- |  --- |
| -     | -   | -     -  |  

输出参数

| 名称          | 类型 | 描述       |
| --------------- | ----- |  ------------ |
| 序号     | int32   |  -  |  
| 公司     | object   |  - |  
| 行业    | object   |  -  |  
| 地区    | object   |  -  |

接口示例

```python
import mssdk as ms
maxima_company_df = ms.maxima_company()
print(maxima_company_df)
```

数据示例

```
      序号       公司    行业  地区
0      1  震坤行工业超市  电子商务  上海
1      2     能力风暴    硬件  上海
2      3       达令  电子商务  北京
3      4     奈雪的茶  本地生活  广东
4      5      车置宝  汽车交通  江苏
..   ...      ...   ...  ..
657  658       听云  企业服务  北京
658  659     能力风暴  智能硬件  上海
659  660     极飞科技  智能硬件  广东
660  661     上海细胞  医疗健康  上海
661  662      编程猫    教育  广东
```

### 特许经营许可

接口: franchise_china

目标地址: http://txjy.syggs.mofcom.gov.cn/

描述: 获取中国-特许经营许可数据

限量: 单次返回所有特许经营许可数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | - | - | - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 特许人名称      | str   | Y        | -  |
| 备案时间      | str   | Y        | -  |
| 地址      | str   | Y        | -   |

接口示例

```python
import mssdk as ms
franchise_china_df = ms.franchise_china()
print(franchise_china_df)
```

数据示例

```
                             特许人名称  ...                                                 地址
0             特许人名称：深圳市百果园投资发展有限公司  ...                  地址：深圳市龙岗区南湾街道下李朗社区平吉大道1号建昇大厦B1305
1                特许人名称：深圳市唯爱控股有限公司  ...                       地址：深圳市福田区福保街道石厦北三街4号雅云轩29楼A室
2               特许人名称：广州绿色医药贸易有限公司  ...                      地址：广州市白云区京溪桥东侧广州新百佳小商品城B1303室
3              特许人名称：广州萌茶茶餐饮管理有限公司  ...                         地址：广州市天河区黄埔大道中309号自编3-18-7
4              特许人名称：福州汕之膳餐饮管理有限公司  ...     地址：福建省福州市台江区瀛洲街道江滨中大道116号君临闽江公寓1-7#楼连地下1层216铺位
                            ...  ...                                                ...
5395           特许人名称：北京车爵仕汽车用品有限公司  ...                          地址：北京市宣武区广安门外马连道路11号1125室
5396          特许人名称：北京风尚引力投资顾问有限公司  ...                             地址：北京市大兴区魏善庄镇工业区龙江路95号
5397          特许人名称：奥力赛克服装（北京）有限公司  ...                    地址：北京市宣武区宣武门外大街6号（庄胜广场北办公室楼902）
5398        特许人名称：中达睿信投资管理(北京)有限公司  ...                 地址：北京市丰台区航丰路1号院2号楼1015、1016、1017房间
5399  特许人名称：DDBR International LLC  ...  地址：The Corporation Trust Company, Corporation ...
```

### 慈善中国

#### 慈善组织查询

接口: charity_china_organization

目标地址: http://cishan.chinanpo.gov.cn/biz/ma/csmh/a/csmhaindex.html

描述: 获取慈善中国-慈善组织查询数据

限量: 单次返回所有慈善中国-慈善组织查询数据, 但是要注意网络稳定性, 建议获取后存储

输入参数

| 名称   | 类型 |描述 |
| -------- | ---- |  --- |
| - | - | - |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 序号      | str   |  -  |
| 统一社会信用代码      | str   |  -  |
| 组织名称      | str   |  -   |
| 成立时间      | str   |  -   |
| 登记管理机关      | str   |  -   |

接口示例

```python
import mssdk as ms
charity_china_organization_df = ms.charity_china_organization()
print(charity_china_organization_df)
```

数据示例

```
    序号            统一社会信用代码              组织名称          成立时间            登记管理机关
0    1  53330000501876705E        温州市人民教育基金会   Jan 1, 1989            浙江省民政厅
1    2  51440100572156377E        广州市乐善助学促进会  Mar 14, 2011            广州市民政局
2    3  51440106C149234018         广州市天河区慈善会  Mar 26, 1995         广州市天河区民政局
3    4  13220100013829643R           长春市红十字会  Nov 11, 1998        长春市机构编制委员会
4    5  514206245037423566            南漳县慈善会   Apr 3, 1994             南漳民政局
5    6  12420624MB1856281C           南漳县红十字会  Aug 13, 2018      南漳县事业单位登记管理局
6    7  51370103MJD7207131          济南市中慈善总会  Aug 30, 2005         济南市市中区民政局
7    8  13330726674784083R           浦江县红十字会  Jun 15, 2010        浦江县机构编制委员会
8    9  13450100007578462M           南宁市红十字会  Dec 29, 2001        南宁市机构编制委员会
9   10  51222402774243137N           图们市慈善总会  Aug 29, 2003            图们市民政局
10  11  51110102500530454R          北京西城慈善协会  Sep 10, 1995         北京市西城区民政局
11  12  12411402554217009W        商丘市梁园区红十字会  Oct 16, 1998       商丘市梁园区编制委员会
12  13  51661200697824762N  新疆生产建设兵团第十二师红十字会  Oct 24, 2008           第十二师民政局
13  14  11421304MB1C163392            随县红十字会  Sep 30, 2009  中共随县县委机构编制委员会办公室
14  15  123203054665457747        徐州市贾汪区红十字会  Sep 20, 2012         徐州市贾汪区民政局
```

#### 慈善信托查询

接口: charity_china_trust

目标地址: http://cishan.chinanpo.gov.cn/biz/ma/csmh/e/csmheindex.html

描述: 获取慈善中国-慈善信托查询数据

限量: 单次返回所有慈善中国-慈善信托查询数据, 但是要注意网络稳定性, 建议获取后存储

输入参数

| 名称   | 类型 |  描述 |
| -------- | ---- |  --- |
| - | - | - |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 序号      | str   |  -  |
| 慈善信托名称      | str   |  -  |
| 备案单位      | str   | -   |
| 受托人      | str   |  -   |
| 财产总规模（万元）      | str   |  -   |
| 信托期限      | str   |  -   |

接口示例

```python
import mssdk as ms
charity_china_trust_df = ms.charity_china_trust()
print(charity_china_trust_df)
```

数据示例

```
    序号                    慈善信托名称  ... 财产总规模（万元）    信托期限
0    1     华宝善行•抗击新型冠状病毒肺炎疫情慈善信托  ...    272.81      2年
1    2           华信信托-抗击新型肺炎慈善信托  ...    100.00   无固定期限
2    3        “上善”系列赴鄂救援抗击疫情慈善信托  ...    500.00      2年
3    4                   泰来县红十字会  ...  30000.00      5年
4    5  天信世嘉·信德众志成城抗击新型肺炎01期慈善信托  ...     50.00      1年
5    6                  根生博爱慈善信托  ...    114.70      永续
6    7         中融-深圳市慈善会托普思维慈善信托  ...     50.00      10
7    8             重庆信托·温暖童心慈善信托  ...      7.00      1年
8    9             华润信托•银杏乐天慈善信托  ...    100.00     10年
9   10            光信善·益中专项教育慈善信托  ...   1000.00   无固定期限
10  11      光信善·祥生扶贫1号阳光益投系列慈善信托  ...      5.00      2年
11  12                    骏昆慈善信托  ...      5.00   无固定期限
12  13          厦门信托-星之助公益进堂慈善信托  ...     12.00  不设固定期限
13  14      光信善·瀚京尊享1号阳光益投系列慈善信托  ...     10.00      3年
14  15                光信善·云焕慈善信托  ...     10.00      永续
```

#### 募捐方案备案

接口: charity_china_plan

目标地址: http://cishan.chinanpo.gov.cn/biz/ma/csmh/c/csmhcindex.html

描述: 获取慈善中国-募捐方案备案数据

限量: 单次返回所有慈善中国-募捐方案备案数据, 但是要注意网络稳定性, 建议获取后存储

输入参数

| 名称   | 类型 | 描述     |
| -------- | ---- | --- |
| - | - | - |

输出参数

| 名称          | 类型 | 描述           |
| --------------- | ----- |  ---------------- |
| 组织      | str   | -  |
| 状态      | str   |  -  |
| 名称      | str   |  -   |
| 备案号      | str   |  -   |

接口示例

```python
import mssdk as ms
charity_china_plan_df = ms.charity_china_plan()
print(charity_china_plan_df)
```

数据示例

```
                 组织  ...                                备案号
0           重庆市慈善总会  ...  募捐方案备案编号：51500000504029915YA20015
1           重庆市慈善总会  ...  募捐方案备案编号：51500000504029915YA20014
2           重庆市慈善总会  ...  募捐方案备案编号：51500000504029915YA20013
3  新疆维吾尔族自治区资助教育基金会  ...  募捐方案备案编号：536501045762170776A20003
4           钦州市红十字会  ...  募捐方案备案编号：13450700K32947229MA20001
5           山东省红十字会  ...  募捐方案备案编号：133700000045025699A20001
6           南宁市红十字会  ...  募捐方案备案编号：13450100007578462MA20001
7       天祝藏族自治县红十字会  ...  募捐方案备案编号：11620623576286750DA20001
```

#### 慈善项目进展

接口: charity_china_progress

目标地址: http://cishan.chinanpo.gov.cn/biz/ma/csmh/b/csmhbindex.html

描述: 获取慈善中国-慈善项目进展数据

限量: 单次返回所有慈善中国-慈善项目进展数据, 但是要注意网络稳定性, 建议获取后存储

输入参数

| 名称   | 类型 |  描述     |
| -------- | ---- | --- |
| - | - | - |

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| 组织      | str   | -  |
| 名称      | str   |  -   |
| 项目编号      | str   |  -   |
| 发起慈善组织      | str   |  -   |
| 项目状态      | str   | -   |

接口示例

```python
import mssdk as ms
charity_china_progress_df = ms.charity_china_progress()
print(charity_china_progress_df)
```

数据示例

```
          组织                             名称  ...     发起慈善组织 项目状态
0  中国华侨公益基金会                爱步寒冷—冰雪徒步志愿服务项目  ...  中国华侨公益基金会  已完成
1  中国华侨公益基金会      童沐书香 首都图书馆文化志愿服务讲故事智力脱贫项目  ...  中国华侨公益基金会  已完成
2  中国华侨公益基金会                      经典导读，点亮心灯  ...  中国华侨公益基金会  已完成
3  中国华侨公益基金会            山区帮扶励志“阳光小讲台”志愿服务活动  ...  中国华侨公益基金会  已完成
4  中国华侨公益基金会                 青春守护点对点 关爱留守儿童  ...  中国华侨公益基金会  已完成
5  中国华侨公益基金会                      爱心部落·公益超市  ...  中国华侨公益基金会  已完成
6  中国华侨公益基金会             农村牧区“12345”扶贫攻坚义工队  ...  中国华侨公益基金会  已完成
7  中国华侨公益基金会  “授渔”-呼和浩特天使公益协会山区贫困儿童家庭精准扶贫项目  ...  中国华侨公益基金会  已完成
```

#### 慈善组织年报

接口: charity_china_report

目标地址: http://cishan.chinanpo.gov.cn/biz/ma/csmh/d/csmhdindex.html

描述: 获取慈善中国-慈善组织年报数据

限量: 单次返回所有慈善中国-慈善组织年报数据, 但是要注意网络稳定性, 建议获取后存储

输入参数

| 名称   | 类型 | 描述  |
| -------- | ---- | --- |
| - | - | - |

输出参数

| 名称          | 类型 | 描述           |
| --------------- | ----- |  ---------------- |
| 序号      | str   | -  |
| 统一社会信用代码      | str   |  -   |
| 组织名称      | str   |  -   |
| 社会组织类别      | str   | -   |
| 年度      | str   | -   |
| 操作      | str   |  提供下载 PDF 的地址   |

接口示例

```python
import mssdk as ms
charity_china_report_df = ms.charity_china_report()
print(charity_china_report_df)
```

数据示例

```
   序号  ...                                                 操作
0   1  ...  http://cishan.chinanpo.gov.cn/mz/upload/pub/lo...
1   2  ...  http://cishan.chinanpo.gov.cn/mz/upload/pub/lo...
2   3  ...  http://cishan.chinanpo.gov.cn/mz/upload/pub/lo...
3   4  ...  http://cishan.chinanpo.gov.cn/mz/upload/pub/lo...
4   5  ...  http://cishan.chinanpo.gov.cn/mz/upload/pub/lo...
5   6  ...  http://cishan.chinanpo.gov.cn/mz/upload/pub/lo...
6   7  ...  http://cishan.chinanpo.gov.cn/mz/upload/pub/lo...
7   8  ...  http://cishan.chinanpo.gov.cn/mz/upload/pub/lo...
8   9  ...  http://cishan.chinanpo.gov.cn/mz/upload/pub/lo...
9  10  ...  http://cishan.chinanpo.gov.cn/mz/upload/pub/lo...
```

#### 募捐信息平台

接口: charity_china_platform

目标地址: http://cishan.chinanpo.gov.cn/biz/ma/csmh/h/csmhhindex.html

描述: 获取慈善中国-募捐信息平台数据

限量: 单次返回所有慈善中国-募捐信息平台数据, 但是要注意网络稳定性, 建议获取后存储

输入参数

| 名称   | 类型 | 描述  |
| -------- | ---- | --- |
| - | - |  - |

输出参数

| 名称          | 类型 | 描述           |
| --------------- | ----- | ---------------- |
| 网址      | str   |  -  |
| 组织      | str   |  -   |
| 名称      | str   |  -   |
| 联系方式      | str   |  -   |

接口示例

```python
import mssdk as ms
charity_china_platform_df = ms.charity_china_platform()
print(charity_china_platform_df)
```

数据示例

```
                                                   网址  ...                       联系方式
0                               http://gongyi.qq.com/  ...      gongyi_TS@tencent.com
1                          https://gongyi.taobao.com/  ...              0571-88157858
2                            https://love.alipay.com/  ...              0571-88158090
3                             http://gongyi.weibo.com  ...               010-60618539
4   http://gongyi.m.jd.com/index.html?&utm_source=...  ...               010-89126602
5                            http://gongyi.baidu.com/  ...               010-50803597
6                            http://www.gongyibao.cn/  ...               010-82609011
7                           http://xhgy.xinhuanet.com  ...                 4000260110
8                             https://www.qschou.com/  ...                   10101019
9                  https://www.lianquan.org/index.jsp  ...           021-60146234-801
10                               http://www.gyufc.org  ...                 4008599595
11                          http://gongyi.meituan.com  ...                 4000810990
12                                 javascript:void(0)  ...  didigongyi@didiglobal.com
13                 https://www.shanyuanfoundation.com  ...        sygy@17shanyuan.com
14  http://channels1.mall.icbc.com.cn/channels/pc/...  ...                 4009195588
15                   http://www.shuidichou.com/gongyi  ...      gongyi@shuidichou.com
16                          https://gongyi.suning.com  ...        gongyi@cnsuning.com
17                        https://www.bangbangwang.cn  ...               010-85693651
18                           http://gongyi.yeepay.com  ...               4001-500-800
19                           http://www.zgshfp.com.cn  ...               400-600-1017
20                             http://www.mca.gov.cn/  ...                       None
21              http://www.chinanpo.gov.cn/index.html  ...                       None
22                      http://www.chinavolunteer.cn/  ...                       None
23               http://www.jianzai.gov.cn/DRpublish/  ...                       None
24                         http://www.neusoft.com/cn/  ...                       None
25                 http://www.foundationcenter.org.cn  ...                       None
26                                                  #  ...                       None
27                                                  #  ...                       None
```

### 微博舆情报告

接口: stock_js_weibo_report

目标地址: https://datacenter.jin10.com/market

描述: 获取微博舆情报告中近期受关注的股票

限量: 单次返回指定时间内微博舆情报告中近期受关注的股票

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| time_period | str | Y | time_period="CNHOUR12"; 详见下表**time_period参数一览表**, 可通过调用 **stock_js_weibo_nlp_time** 获取|

time_period参数一览表

|参数|说明|
|---|---|
|CNHOUR2|2小时|
|CNHOUR6|6小时|
|CNHOUR12|12小时|
|CNHOUR24|1天| 
|CNDAY7|1周| 
|CNDAY30|1月|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| name      | str   | Y        | 股票名称  |
| rate      | str   | Y        | 人气排行指数   |

接口示例

```python
import mssdk as ms
stock_js_weibo_report_df = ms.stock_js_weibo_report(time_period="CNHOUR12")
print(stock_js_weibo_report_df)
```

数据示例

```
    name   rate
0   黄河旋风   9.86
1   东方财富   6.91
2   海王生物  10.09
3   秀强股份   4.56
4   江淮汽车  10.08
5    欧菲光  10.00
6   中兴通讯   9.98
7   鲁抗医药   9.97
8   海陆重工  10.07
9   中通客车   9.75
10  华天科技  10.02
11  亚星客车   7.70
12  中国平安  -0.66
13  新日恒力   9.98
14   同花顺  -0.90
15  赣锋锂业  10.00
16  北玻股份  10.09
17   比亚迪   7.02
18  沪电股份  10.00
19   太平洋   9.92
20  深康佳A  -8.02
21  天齐锂业   9.34
22  泰达股份   9.99
23  中信证券   0.68
24  欣龙控股  10.00
25  均胜电子  10.00
26   安居宝   9.98
27  联环药业  10.00
28  乾照光电   2.93
29  山东黄金  -3.38
30  国海证券   7.20
31  永鼎股份  10.00
32   漫步者  -4.51
33  江苏吴中  10.03
34  国农科技  10.00
35  中环股份   9.98
36  阳普医疗  10.01
37   新宙邦   8.91
38  兴森科技   9.98
39  南大光电   7.46
40  四环生物   9.98
41  海特高新  10.01
42  光环新网   7.97
43  晶方科技  -2.73
44  铜峰电子  10.04
45  华力创通  10.00
46  复星医药   9.41
47  力帆股份  10.14
48  永太科技   9.65
49  四维图新   8.76
```

### 彭博亿万富豪指数

接口: index_bloomberg_billionaires

目标地址: https://www.bloomberg.com/billionaires/

描述: 获取彭博亿万富豪指数, 全球前 500 名

限量: 单次返回所有数据彭博亿万富豪排名数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | - | - | -|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| rank      | str   | Y        | Rank  |
| name      | str   | Y        | Name   |
| total_net_worth      | str   | Y        | Total net worth   |
| last_change      | str   | Y        | $ Last change   |
| YTD_change      | str   | Y        | $ YTD change   |
| country      | str   | Y        | Country   |
| industry      | str   | Y        | Industry   |

接口示例

```python
import mssdk as ms
index_bloomberg_billionaires_df = ms.index_bloomberg_billionaires()
print(index_bloomberg_billionaires_df)
```

数据示例

```
    rank                        name  ...             country     industry
0      1                  Jeff Bezos  ...       United States   Technology
1      2                  Bill Gates  ...       United States   Technology
2      3             Mark Zuckerberg  ...       United States   Technology
3      4             Bernard Arnault  ...              France     Consumer
4      5               Steve Ballmer  ...       United States   Technology
..   ...                         ...  ...                 ...          ...
494  496                 Ira Rennert  ...       United States  Commodities
495  497  Traudl Engelhorn-Vechiatto  ...         Switzerland  Diversified
496  498            Sergey Galitskiy  ...  Russian Federation       Retail
497  499                  Xu Jingren  ...               China  Health Care
498  500                Shi Yonghong  ...           Singapore     Consumer
```
