## [mssdk](https://github.com/akfamily/mssdk) 实时监控

### 金十数据-实时资讯

接口: js_news

目标地址: https://www.jin10.com/

描述: 获取金十数据新闻资讯数据

限量: 当日最近 4 小时内的新闻资讯数据

输入参数

| 名称   | 类型 |  描述        |
| -------- | ---- | --- |
| indicator | str  |   indicator='最新资讯'; choice of {'最新资讯', '最新数据'}, 其中 '最新数据' 返回当前发布的重要经济指标|

输出参数

| 名称          | 类型 | 描述           |
| --------------- | ----- |  ---------------- |
| timestamp     | str   |  timestamp="2021-07-07 11:27:18"; 指定日期时间  |

接口示例

```python
import mssdk as ms
js_news_df = ms.js_news(timestamp="2021-07-07 11:27:18")
print(js_news_df)
```

数据示例

```
               datetime                                            content
0   2021-07-07 11:25:16                         欧洲地中海地震中心：印度梅加拉亚邦发生5.2级地震。
1   2021-07-07 11:19:41      生态环境部：全国生态保护红线划定工作基本完成，初步划定面积比例不低于陆域国土面积的25%。
2   2021-07-07 11:18:48  【VIP报告】市场担忧欧佩克谈判破裂，油价上演过山车，金油比逼近关键水平，投行前瞻后续走势；...
3   2021-07-07 11:15:50                              【报告】人民币香港银行同业拆息到期日定价。
4   2021-07-07 11:15:12                                  【行情】沪深300指数涨幅达1%。
5   2021-07-07 11:13:58  【美债收益率下降或再助科技股上涨一臂之力】金十数据7月7日讯，随着美国国债收益率下跌，增长型...
6   2021-07-07 11:11:08  【小鹏汽车：将在两年内推出针对国际市场的产品平台】小鹏汽车CEO何小鹏表示，将在两年内推出一...
7   2021-07-07 11:09:05                   【金十图示】2021年07月07日（周三）全球汽车制造商市值变化
8   2021-07-07 11:08:04  <b>【行情】隔夜shibor报2.0680%，上涨16.00个基点；7天shibor报2....
9   2021-07-07 11:06:49                        【金十图示】2021年07月07日（周三）福布斯富豪榜
10  2021-07-07 11:06:25                         澳新银行：目前预计新西兰联储将在11月提高现金利率。
11  2021-07-07 11:05:20                                  【行情】北向资金净流入达30亿元。
12  2021-07-07 11:05:11  <b>【机构交易计划】市场静待美联储会议纪要，黄金上涨需美元助力！美元可能短线技术回调，欧元...
13  2021-07-07 11:04:39                             新加坡将于7月14日公布第二季度GDP预期。
14  2021-07-07 11:04:28                      【行情】创业板指早盘大涨3%，医疗服务、稀有金属板块领涨。
15  2021-07-07 11:03:31                            【金十图示】恒指期货技术面分析一览（一小时图）
16  2021-07-07 11:03:24  【报道】世界著名拍卖行苏富比将在本周五拍卖一颗101.38克拉的钻石，该拍卖行将接受以比特币...
17  2021-07-07 11:03:06                     【金十图示】富时中国A50指数期货技术面分析一览（一小时图）
18  2021-07-07 11:01:41  <b>07月6日芝加哥商业交易所（CME）比特币商品成交量报告已在金十数据中心更新！欢迎点击...
19  2021-07-07 11:01:39  <b>07月6日芝加哥商业交易所（CME）能源类商品成交量报告已在金十数据中心更新！欢迎点击...
20  2021-07-07 11:01:36  <b>07月6日芝加哥商业交易所（CME）外汇类商品成交量报告已在金十数据中心更新！欢迎点击...
21  2021-07-07 11:01:35  <b>07月6日芝加哥商业交易所（CME）金属类商品成交量报告已在金十数据中心更新！欢迎点击...
22  2021-07-07 10:59:17  <b>云南发布：目前，已完成7份阳性样本测序，结果表明，基因组序列与德尔塔（Delta）变异...
23  2021-07-07 10:57:55                      【金十图示】2021年07月07日（周三）今日黄金零售价格
24  2021-07-07 10:57:45                            小米据悉寻求通过发行美元债融资至多10亿美元。
25  2021-07-07 10:55:17                      据日本共同社：日本高级新冠肺炎顾问呼吁东京奥运会空场举行。
26  2021-07-07 10:54:22                                【快讯】沪深两市成交额突破5000亿。
27  2021-07-07 10:53:58              【金十图示】2021年07月07日（周三）全球主要科技与互联网公司市值变化
28  2021-07-07 10:51:29  根据瑞丽市疫情防控专家组评估，自2021年7月7日10时起，将瑞丽市姐告国门社区调整为高风险...
29  2021-07-07 10:48:31            美国国家飓风中心：飓风艾尔莎将在当地时间周三上午晚些时候向内陆移动后开始减弱。
30  2021-07-07 10:48:20           美国国家飓风中心：飓风艾尔莎正导致暴雨和大风，向佛罗里达州西南部和西部中心蔓延。
31  2021-07-07 10:47:53  <b>【金十早知道】美元指数强势，黄金冲高回落，美联储纪要或再度搅动市场？油价多头恐慌逃窜，...
32  2021-07-07 10:46:58                  美国国家飓风中心：飓风艾尔莎目前正在佛罗里达州坦帕湾附近向北移动。
33  2021-07-07 10:45:17  【中消协消费提示：校外培训不是必选项】今日，中消协发布消费提示称，随着暑期的日益临近，可能有...
34  2021-07-07 10:43:01              【金十图示】2021年07月07日（周三）中国互联网公司市值排行TOP50
35  2021-07-07 10:39:51  【韩国新增确诊创去年底以来新高 加剧爆发第四波疫情的担忧】金十数据7月7日讯，韩国昨日新增1...
36  2021-07-07 10:38:32        日本政府首席医疗顾问OMI：重要的是要尽可能减少奥运会的在场人数，以遏制新冠病毒传播。
37  2021-07-07 10:38:00                                  【行情】南向资金净流入达20亿元。
38  2021-07-07 10:37:24      据日本TBS电视台：日本东京都知事小池百合子将于周三与日本政府首席医疗顾问OMI进行会面。
39  2021-07-07 10:37:08          美国经济反弹已见顶？黄金大起大落后，能否守住涨势上破1815？点击查看金银TD报告
40  2021-07-07 10:35:55               <b>【行情】燃油期货主力合约日内大跌6%，现报2567元/吨。</b>
41  2021-07-07 10:35:10                 【行情】PTA主力合约触及跌停，跌幅5.02%，现报5108元/吨。
42  2021-07-07 10:33:01                                        【行情】深成指涨1%。
43  2021-07-07 10:31:54                                   <b>【行情】沪指翻红。</b>
44  2021-07-07 10:31:51                              【行情】创业板指早盘持续走高，现涨超2%。
45  2021-07-07 10:27:10  【经济增长担忧推动美债上涨 空头回补刺激收益率跌穿1.35%】金十数据7月7日讯，由于衡量美...
46  2021-07-07 10:26:53                               【行情】越南VN指数跌幅扩大至1.1%。
47  2021-07-07 10:21:45                                 【行情】新加坡海峡时报指数下跌1％。
48  2021-07-07 10:20:30  【猪肉价格2月下旬以来首次回升】据商务部监测，上周（6月28日至7月4日）全国食用农产品市场...
49  2021-07-07 10:20:20  <b>【金十早知道】美元指数强势，黄金冲高回落，美联储纪要或再度搅动市场？油价多头恐慌逃窜，...
```

### 个股新闻

接口: stock_news_em

目标地址: http://so.eastmoney.com/news/s

描述: 东方财富指定个股的新闻资讯数据

限量: 当日最近 20 条新闻资讯数据

输入参数

| 名称   | 类型 |  描述 |
| -------- | ---- | --- |
| stock | str  |  stock="300059"; 股票代码|

输出参数

| 名称          | 类型 |  描述           |
| --------------- | ----- |  ---------------- |
| code     | object   | 股票代码  |  
| title     | object   |  新闻标题  |  
| content     | object   |   新闻内容  |  
| public_time     | object   |   新闻发布时间  |  
| url     | object   |   新闻链接  |  

接口示例

```python
import mssdk as ms
stock_news_em_df = ms.stock_news_em(stock="300059")
print(stock_news_em_df)
```

数据示例

```
      code  ...                                                url
0   300059  ...  http://stock.eastmoney.com/a/20201224174889118...
1   300059  ...  http://stock.eastmoney.com/a/20201223174716106...
2   300059  ...  http://finance.eastmoney.com/a/202012221746629...
3   300059  ...  http://finance.eastmoney.com/a/202012221746562...
4   300059  ...  http://stock.eastmoney.com/a/20201222174542268...
5   300059  ...  http://finance.eastmoney.com/a/202012211744928...
6   300059  ...  http://stock.eastmoney.com/a/20201221174378617...
7   300059  ...  http://finance.eastmoney.com/a/202012181742938...
8   300059  ...  http://stock.eastmoney.com/a/20201218174199233...
9   300059  ...  http://finance.eastmoney.com/a/202012171741504...
10  300059  ...  http://futures.eastmoney.com/a/202012171741076...
11  300059  ...  http://stock.eastmoney.com/a/20201217174036001...
12  300059  ...  http://finance.eastmoney.com/a/202012161739782...
13  300059  ...  http://stock.eastmoney.com/a/20201216173977685...
14  300059  ...  http://stock.eastmoney.com/a/20201216173976708...
15  300059  ...  http://stock.eastmoney.com/a/20201216173919746...
16  300059  ...  http://stock.eastmoney.com/a/20201216173874411...
17  300059  ...  http://finance.eastmoney.com/a/202012151738266...
18  300059  ...  http://finance.eastmoney.com/a/202012151738240...
19  300059  ...  http://stock.eastmoney.com/a/20201215173710186...
```
