## [mssdk](https://github.com/akfamily/mssdk) 股票数据

### A股

#### 股票市场总貌

##### 上海证券交易所

接口: stock_sse_summary

目标地址: http://www.sse.com.cn/market/stockdata/statistic/

描述: 上海证券交易所-股票数据总貌

限量: 单次返回最近交易日的股票数据总貌数据(当前交易日的数据需要交易所收盘后统计)

输入参数

| 名称   | 类型 | 描述      |
| -------- | ---- |  --- |
| - | -  |   -|

输出参数-实时行情数据

| 名称          | 类型 | 描述           |
| ------------ | ----- |  ---------------- |
| type          | object   | -     |
| item          | object      |  -     |
| number          | float      |  -     |

接口示例

```python
import mssdk as ms
stock_sse_summary_df = ms.stock_sse_summary()
print(stock_sse_summary_df)
```

数据示例

```
  type     item     number
0   总貌   上市公司/家       1638
1   总貌   总股本/亿股   41496.51
2   总貌   总市值/亿元  366954.33
3   总貌  平均市盈率/倍      13.74
0   总貌   上市股票/只       1681
1   总貌  流通股本/亿股   36147.69
2   总貌  流通市值/亿元  302693.06
0   主板   上市公司/家       1526
1   主板   总股本/亿股   41119.88
2   主板   总市值/亿元  348962.46
3   主板  平均市盈率/倍      13.20
0   主板   上市股票/只       1569
1   主板  流通股本/亿股   36088.29
2   主板  流通市值/亿元  299784.63
0  科创板   上市公司/家        112
1  科创板   总股本/亿股     376.63
2  科创板   总市值/亿元   17991.87
3  科创板  平均市盈率/倍      82.72
0  科创板   上市股票/只        112
1  科创板  流通股本/亿股      59.40
2  科创板  流通市值/亿元    2908.43
```

##### 深圳证券交易所

接口: stock_szse_summary

目标地址: http://www.szse.cn/market/overview/index.html

描述: 深圳证券交易所-市场总貌

限量: 单次返回最近交易日的市场总貌数据(当前交易日的数据需要交易所收盘后统计)

输入参数

| 名称   | 类型 |  描述      |
| -------- | ---- | --- |
| date | str  |    date="20200619"; 当前交易日的数据需要交易所收盘后统计|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 证券类别          | object   |  -     |
| 数量         | int64      |  注意单位: 只     |
| 成交金额         | float64      |  注意单位: 元     |
| 成交量          | int64      |  -     |
| 总股本          | float64      | -     |
| 总市值          | float64      |  -     |
| 流通股本          | float64      |  -     |
| 流通市值          | float64      |  -     |

接口示例

```python
import mssdk as ms
stock_szse_summary_df = ms.stock_szse_summary(date="20200619")
print(stock_szse_summary_df)
```

数据示例

```
     证券类别    数量          成交金额  ...           总市值          流通股本          流通市值
0      股票  2284  4.647749e+11  ...  2.706514e+13  1.815556e+12  2.104546e+13
1    主板A股   460  9.775950e+10  ...  7.864787e+12  7.153610e+11  6.943990e+12
2    主板B股    46  8.626816e+07  ...  4.759658e+10  1.249664e+10  4.706385e+10
3     中小板   960  2.013526e+11  ...  1.130741e+13  7.516397e+11  8.669555e+12
4   创业板A股   818  1.655765e+11  ...  7.845345e+12  3.360586e+11  5.384854e+12
5      基金   551  1.362524e+10  ...  2.417277e+11  1.731578e+11  2.417277e+11
6     ETF   100  1.165436e+10  ...  1.628294e+11  9.262639e+10  1.628294e+11
7     LOF   250  7.335768e+08  ...  4.043156e+10  4.129917e+10  4.043156e+10
8   封闭式基金     1  5.527571e+05  ...  7.622440e+08  8.117615e+06  7.622440e+08
9    分级基金   200  1.236746e+09  ...  3.770451e+10  3.922410e+10  3.770451e+10
10     债券  7174  1.371389e+11  ...           NaN           NaN           NaN
11   债券现券  6599  2.911357e+10  ...  3.683881e+13  1.772535e+10  1.823072e+12
12   债券回购    13  1.054592e+11  ...           NaN           NaN           NaN
13    ABS   562  2.566134e+09  ...  4.849642e+11  5.195919e+09  4.849642e+11
14     期权   108  2.441560e+08  ...           NaN           NaN           NaN
```

##### 上海证券交易所-每日概况

接口: stock_sse_deal_daily

目标地址: http://www.sse.com.cn/market/stockdata/overview/day/

描述: 上海证券交易所-数据-股票数据-成交概况-股票成交概况-每日股票情况

限量: 单次返回指定日期的每日概况数据, 当前交易日数据需要在收盘后获取

输入参数

| 名称   | 类型 |  描述    |
| -------- | ---- |  --- |
| date | str  |    date="20200619"; 当前交易日的数据需要交易所收盘后统计|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 单日情况          | object   |  包含了网页所有字段     |
| 股票          | object      |  -     |
| 主板A          | object      |  -     |
| 主板B          | object      | -     |
| 科创板          | object      |  -     |
| 股票回购          | object      | -     |

接口示例

```python
import mssdk as ms
stock_sse_deal_daily_df = ms.stock_sse_deal_daily(date="20201111")
print(stock_sse_deal_daily_df)
```

数据示例

```
     单日情况                 股票  ...              科创板    股票回购
0     挂牌数               1808  ...              194       -
1    市价总值          434197.88  ...         30472.53       -
2    流通市值  359472.4374635267  ...  8417.6080896016       -
3    成交金额      3568.31165366  ...     327.99216384     0.4
4     成交量             271.81  ...             5.66    0.02
5    成交笔数          1954.6333  ...          97.0169  0.0002
6   平均市盈率              15.99  ...            91.48       0
7     换手率             0.8217  ...           1.0764       0
8  次新股换手率             1.1002  ...           1.0568       -
9   流通换手率             0.9925  ...           3.8965       0
```

#### 实时行情数据

##### 实时行情数据-东财

接口: stock_zh_a_spot_em

目标地址: http://quote.eastmoney.com/center/gridlist.html#hs_a_board

描述: 东方财富网-沪深京 A 股-实时行情数据

限量: 单次返回所有沪深京 A 股上市公司的实时行情数据

输入参数

| 名称   | 类型 |描述       |
| -------- | ---- | --- |
| - | -  |   -|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 序号          | int64   |  -     |
| 代码          | object   | -     |
| 名称          | object      |  -     |
| 最新价          | float64      | -     |
| 涨跌幅         | float64      |  注意单位: %     |
| 涨跌额          | float64      | -     |
| 成交量          | float64      |  注意单位: 手     |
| 成交额          | float64      | 注意单位: 元     |
| 振幅          | float64      |  注意单位: %     |
| 最高        | float64      |  -     |
| 最低        | float64      |  -     |
| 今开        | float64      |  -     |
| 昨收        | float64      |  -     |
| 量比        | float64      |  -     |
| 换手率        | float64      | 注意单位: %     |
| 市盈率-动态        | float64      |  -     |
| 市净率        | float64      | -     |

接口示例

```python
import mssdk as ms
stock_zh_a_spot_em_df = ms.stock_zh_a_spot_em()
print(stock_zh_a_spot_em_df)
```

数据示例

```
        序号 代码     名称   最新价  涨跌幅  ...    昨收     量比    换手率 市盈率-动态 市净率
0        1  833454   N同心  23.45  493.67  ...   3.95    166.55  78.70   85.56  8.85
1        2  870436   N大地  31.40  261.75  ...   8.68   3484.29  75.32   45.36  6.50
2        3  832171   N志晟  23.05  238.97  ...   6.80  15156.79  57.47  387.40  4.45
3        4  871981   N晶赛  56.53  208.57  ...  18.32  17572.66  71.89   54.02  7.08
4        5  832145   N恒合  19.88  148.50  ...   8.00   1082.67  71.27  104.76  5.25
    ...     ...   ...    ...     ...  ...    ...       ...    ...     ...   ...
4786  4787  831768   拾比佰  15.41  -13.43  ...  17.80      2.52   7.15   23.23  2.48
4787  4788  835508  殷图网联  13.30  -14.47  ...  15.55      2.45   9.48 -299.15  3.15
4788  4789  300688  创业黑马  41.91  -14.83  ...  49.21      0.87  27.53  439.14  7.77
4789  4790  300472  新元科技  19.06  -15.10  ...  22.45      1.53  21.47   72.83  4.21
4790  4791  430090  同辉信息   8.15  -15.98  ...   9.70      2.13  19.50  395.02  3.98
```

##### 实时行情数据-新浪

接口: stock_zh_a_spot

目标地址: http://vip.stock.finance.sina.com.cn/mkt/#hs_a

描述: 新浪财经-沪深京 A 股数据, 重复运行本函数会被新浪暂时封 IP, 建议增加时间间隔

限量: 单次返回沪深京 A 股上市公司的实时行情数据

输入参数

| 名称   | 类型 | 描述       |
| -------- | ---- |  --- |
| - | -  |    -|

输出参数-实时行情数据

| 名称          | 类型 |  描述           |
| ------------ | ----- | ---------------- |
| 代码          | str   |  -     |
| 名称          | str      | -     |
| 最新价          | float      |  -     |
| 涨跌额         | float      |  -     |
| 涨跌幅           | float      |  注意单位: %     |
| 买入        | float      | -     |
| 卖出        | float      |  -     |
| 昨收        | float      |  -     |
| 今开        | float      |  -     |
| 最高        | float      |  -     |
| 最低        | float      |  -     |
| 成交量        | float      |  注意单位: 股     |
| 成交额        | float      |  注意单位: 元     |

接口示例-实时行情数据

```python
import mssdk as ms
stock_zh_a_spot_df = ms.stock_zh_a_spot()
print(stock_zh_a_spot_df)
```

数据示例-实时行情数据

```
      代码       名称    最新价   涨跌额  ... 最高     最低        成交量      成交额
0     bj430047  诺思兰德  16.95 -1.13  ...  21.68  16.22   9792284.0  178722467.0
1     bj430090  同辉信息   8.15 -1.55  ...  10.27   7.94  17337157.0  153067422.0
2     bj430198  微创光电  11.32 -0.55  ...  12.45  11.32   4346109.0   51586066.0
3     bj430418  苏轴股份  16.21 -1.77  ...  19.20  16.21   2371783.0   41796314.0
4     bj430489  佳先股份  17.55 -0.96  ...  20.87  17.15   2545238.0   47749607.0
        ...   ...    ...   ...  ...    ...    ...         ...          ...
4615  sz301129  瑞纳智能  74.95  6.37  ...  77.00  69.80   6891592.0  501929197.0
4616  sz301149   C隆华  27.71  0.80  ...  31.14  24.81  35539728.0  993956229.0
4617  sz301169  零点有数  46.25 -0.02  ...  47.88  45.02   6943221.0  321091268.0
4618  sz301178  C天亿马  83.01  4.11  ...  83.83  74.88   6631398.0  535890089.0
4619  sz301188   C力诺  29.18  1.23  ...  31.00  27.51  27838347.0  811742915.0
```

#### 历史行情数据

##### 历史行情数据-东财

接口: stock_zh_a_hist

目标地址: http://quote.eastmoney.com/concept/sh603777.html?from=classic(示例)

描述: 东方财富-沪深京 A 股日频率数据; 历史数据按日频率更新, 当日收盘价请在收盘后获取

限量: 单次返回指定沪深京 A 股上市公司、指定周期和指定日期间的历史行情日频率数据

输入参数

| 名称   | 类型 |  描述    |
| -------- | ---- |  --- |
| symbol | str  |symbol='603777'; 股票代码可以在 **ms.stock_zh_a_spot_em()** 中获取|
| period | str  | period='daily'; choice of {'daily', 'weekly', 'monthly'}|
| start_date | str  | start_date='20210301'; 开始查询的日期|
| end_date | str  | end_date='20210616'; 结束查询的日期|
| adjust | str  | 默认返回不复权的数据; qfq: 返回前复权后的数据; hfq: 返回后复权后的数据|

**股票数据复权**

1.为何要复权：由于股票存在配股、分拆、合并和发放股息等事件，会导致股价出现较大的缺口。
若使用不复权的价格处理数据、计算各种指标，将会导致它们失去连续性，且使用不复权价格计算收益也会出现错误。
为了保证数据连贯性，常通过前复权和后复权对价格序列进行调整。

2.前复权：保持当前价格不变，将历史价格进行增减，从而使股价连续。
前复权用来看盘非常方便，能一眼看出股价的历史走势，叠加各种技术指标也比较顺畅，是各种行情软件默认的复权方式。
这种方法虽然很常见，但也有两个缺陷需要注意。

2.1 为了保证当前价格不变，每次股票除权除息，均需要重新调整历史价格，因此其历史价格是时变的。
这会导致在不同时点看到的历史前复权价可能出现差异。

2.2 对于有持续分红的公司来说，前复权价可能出现负值。

3.后复权：保证历史价格不变，在每次股票权益事件发生后，调整当前的股票价格。
后复权价格和真实股票价格可能差别较大，不适合用来看盘。
其优点在于，可以被看作投资者的长期财富增长曲线，反映投资者的真实收益率情况。

4.在量化投资研究中普遍采用后复权数据。

输出参数-历史行情数据

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 日期          | object   |  交易日     |
| 开盘          | float64      |  开盘价     |
| 收盘          | float64      |  收盘价     |
| 最高           | float64      | 最高价     |
| 最低         | float64      |   最低价    |
| 成交量        | int32      | 注意单位: 手     |
| 成交额        | float64      |  注意单位: 元     |
| 振幅        | float64      |  注意单位: %    |
| 涨跌幅        | float64      |  注意单位: %    |
| 涨跌额        | float64      | 注意单位: 元    |
| 换手率        | float64      |   注意单位: %   |

接口示例-历史行情数据-不复权

```python
import mssdk as ms
stock_zh_a_hist_df = ms.stock_zh_a_hist(symbol="000001", period="daily", start_date="20170301", end_date='20210907', adjust="")
print(stock_zh_a_hist_df)
```

数据示例-历史行情数据-不复权

```
      日期          开盘    收盘   最高  ...   振幅  涨跌幅 涨跌额 换手率
0     2017-03-01   9.49   9.49   9.55  ...  0.84  0.11  0.01  0.21
1     2017-03-02   9.51   9.43   9.54  ...  1.26 -0.63 -0.06  0.24
2     2017-03-03   9.41   9.40   9.43  ...  0.74 -0.32 -0.03  0.20
3     2017-03-06   9.40   9.45   9.46  ...  0.74  0.53  0.05  0.24
4     2017-03-07   9.44   9.45   9.46  ...  0.63  0.00  0.00  0.17
          ...    ...    ...    ...  ...   ...   ...   ...   ...
1100  2021-09-01  17.48  17.88  17.92  ...  5.11  0.45  0.08  1.19
1101  2021-09-02  18.00  18.40  18.78  ...  5.48  2.91  0.52  1.25
1102  2021-09-03  18.50  18.04  18.50  ...  4.35 -1.96 -0.36  0.72
1103  2021-09-06  17.93  18.45  18.60  ...  4.55  2.27  0.41  0.78
1104  2021-09-07  18.60  19.24  19.56  ...  6.56  4.28  0.79  0.84
```

接口示例-历史行情数据-前复权

```python
import mssdk as ms
stock_zh_a_hist_df = ms.stock_zh_a_hist(symbol="000001", period="daily", start_date="20170301", end_date='20210907', adjust="qfq")
print(stock_zh_a_hist_df)
```

数据示例-历史行情数据-前复权

```
           日期     开盘   收盘    最高  ...   振幅  涨跌幅 涨跌额 换手率
0     2017-03-01   8.65   8.65   8.71  ...  0.93  0.12  0.01  0.21
1     2017-03-02   8.67   8.59   8.70  ...  1.39 -0.69 -0.06  0.24
2     2017-03-03   8.57   8.56   8.59  ...  0.81 -0.35 -0.03  0.20
3     2017-03-06   8.56   8.61   8.62  ...  0.82  0.58  0.05  0.24
4     2017-03-07   8.60   8.61   8.62  ...  0.70  0.00  0.00  0.17
          ...    ...    ...    ...  ...   ...   ...   ...   ...
1100  2021-09-01  17.48  17.88  17.92  ...  5.11  0.45  0.08  1.19
1101  2021-09-02  18.00  18.40  18.78  ...  5.48  2.91  0.52  1.25
1102  2021-09-03  18.50  18.04  18.50  ...  4.35 -1.96 -0.36  0.72
1103  2021-09-06  17.93  18.45  18.60  ...  4.55  2.27  0.41  0.78
1104  2021-09-07  18.60  19.24  19.56  ...  6.56  4.28  0.79  0.84
```

接口示例-历史行情数据-后复权

```python
import mssdk as ms
stock_zh_a_hist_df = ms.stock_zh_a_hist(symbol="000001", period="daily", start_date="20170301", end_date='20210907', adjust="hfq")
print(stock_zh_a_hist_df)
```

数据示例-历史行情数据-后复权

```
       日期        开盘     收盘      最高  ...      振幅  涨跌幅   涨跌额  换手率
0     2017-03-01  1575.20  1575.20  1584.95  ...  0.83  0.10    1.63  0.21
1     2017-03-02  1578.45  1565.45  1583.32  ...  1.24 -0.62   -9.75  0.24
2     2017-03-03  1562.20  1560.57  1565.45  ...  0.73 -0.31   -4.88  0.20
3     2017-03-06  1560.57  1568.70  1570.32  ...  0.73  0.52    8.13  0.24
4     2017-03-07  1567.07  1568.70  1570.32  ...  0.62  0.00    0.00  0.17
          ...      ...      ...      ...  ...   ...   ...     ...   ...
1100  2021-09-01  3009.83  3074.84  3081.34  ...  4.83  0.42   13.00  1.19
1101  2021-09-02  3094.34  3159.35  3221.11  ...  5.18  2.75   84.51  1.25
1102  2021-09-03  3175.61  3100.84  3175.61  ...  4.12 -1.85  -58.51  0.72
1103  2021-09-06  3082.97  3167.48  3191.86  ...  4.30  2.15   66.64  0.78
1104  2021-09-07  3191.86  3295.88  3347.89  ...  6.21  4.05  128.40  0.84
```

##### 历史行情数据-新浪

接口: stock_zh_a_daily

P.S. 建议切换为 stock_zh_a_hist 接口使用(该接口数据质量高, 访问无限制)

目标地址: https://finance.sina.com.cn/realstock/company/sh600006/nc.shtml(示例)

描述: 新浪财经-沪深京 A 股的数据, 历史数据按日频率更新; 注意其中的 **sh689009** 为 CDR, 请
通过 **ms.stock_zh_a_cdr_daily** 接口获取

限量: 单次返回指定沪深京 A 股上市公司指定日期间的历史行情日频率数据, 多次获取容易封禁 IP

输入参数

| 名称   | 类型 |  描述    |
| -------- | ---- |  --- |
| symbol | str  | symbol='sh600000'; 股票代码可以在 **ms.stock_zh_a_spot** 中获取|
| start_date | str  | start_date='20201103'; 开始查询的日期|
| end_date | str  | end_date='20201116'; 结束查询的日期|
| adjust | str  | 默认返回不复权的数据; qfq: 返回前复权后的数据; hfq: 返回后复权后的数据; hfq-factor: 返回后复权因子; qfq-factor: 返回前复权因子|

**股票数据复权**

1.为何要复权：由于股票存在配股、分拆、合并和发放股息等事件，会导致股价出现较大的缺口。
若使用不复权的价格处理数据、计算各种指标，将会导致它们失去连续性，且使用不复权价格计算收益也会出现错误。
为了保证数据连贯性，常通过前复权和后复权对价格序列进行调整。

2.前复权：保持当前价格不变，将历史价格进行增减，从而使股价连续。
前复权用来看盘非常方便，能一眼看出股价的历史走势，叠加各种技术指标也比较顺畅，是各种行情软件默认的复权方式。
这种方法虽然很常见，但也有两个缺陷需要注意。

2.1 为了保证当前价格不变，每次股票除权除息，均需要重新调整历史价格，因此其历史价格是时变的。
这会导致在不同时点看到的历史前复权价可能出现差异。

2.2 对于有持续分红的公司来说，前复权价可能出现负值。

3.后复权：保证历史价格不变，在每次股票权益事件发生后，调整当前的股票价格。
后复权价格和真实股票价格可能差别较大，不适合用来看盘。
其优点在于，可以被看作投资者的长期财富增长曲线，反映投资者的真实收益率情况。

4.在量化投资研究中普遍采用后复权数据。

输出参数-历史行情数据

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| date          | datetime64   |  交易日     |
| close          | float64      |  收盘价     |
| high          | float64      | 最高价     |
| low           | float64      |  最低价     |
| open         | float64      |  开盘价     |
| volume        | float64      |  成交量; 注意单位: 股     |
| outstanding_share        | float64      |  流动股本; 注意单位: 股     |
| turnover        | float64      |  换手率=成交量/流动股本    |

接口示例-历史行情数据(前复权)

```python
import mssdk as ms
stock_zh_a_daily_qfq_df = ms.stock_zh_a_daily(symbol="sz000002", start_date="20101103", end_date="20201116", adjust="qfq")
print(stock_zh_a_daily_qfq_df)
```

数据示例-历史行情数据(前复权)

```
             open   high    low  ...       volume  outstanding_share  turnover
date                             ...                                          
2010-11-03   6.98   7.20   6.90  ...  146025616.0       9.656080e+09  0.015123
2010-11-04   7.13   7.22   7.04  ...  104870112.0       9.656080e+09  0.010861
2010-11-05   7.22   7.28   7.04  ...  130233640.0       9.656080e+09  0.013487
2010-11-08   7.12   7.34   7.12  ...  162830704.0       9.656080e+09  0.016863
2010-11-09   7.17   7.23   6.88  ...  188507360.0       9.656080e+09  0.019522
           ...    ...    ...  ...          ...                ...       ...
2020-11-10  29.70  30.11  29.20  ...   61377060.0       9.714315e+09  0.006318
2020-11-11  29.37  30.25  29.25  ...   88521186.0       9.714315e+09  0.009112
2020-11-12  29.76  29.81  29.38  ...   45905719.0       9.714315e+09  0.004726
2020-11-13  29.56  29.69  28.83  ...   66013466.0       9.714315e+09  0.006795
2020-11-16  29.39  29.50  29.00  ...   51657638.0       9.714315e+09  0.005318
```

接口示例-历史行情数据(后复权)

```python
import mssdk as ms
stock_zh_a_daily_hfq_df = ms.stock_zh_a_daily(symbol="sz000002", start_date='20201103', end_date='20201116', adjust="hfq")
print(stock_zh_a_daily_hfq_df)
```

数据示例-历史行情数据(后复权)

```
               open     high      low  ...       volume  outstanding_share  turnover
date                                   ...                                          
2020-11-03  4010.19  4031.67  3982.98  ...   61766600.0       9.714315e+09  0.006358
2020-11-04  4017.35  4045.99  3995.87  ...   45499180.0       9.714315e+09  0.004684
2020-11-05  4074.64  4204.97  4054.59  ...  120119594.0       9.714315e+09  0.012365
2020-11-06  4202.10  4235.04  4157.70  ...   85288066.0       9.714315e+09  0.008780
2020-11-09  4256.53  4276.58  4180.62  ...   81118542.0       9.714315e+09  0.008350
2020-11-10  4253.66  4312.38  4182.05  ...   61377060.0       9.714315e+09  0.006318
2020-11-11  4206.40  4332.43  4189.21  ...   88521186.0       9.714315e+09  0.009112
2020-11-12  4262.26  4269.42  4207.83  ...   45905719.0       9.714315e+09  0.004726
2020-11-13  4233.61  4252.23  4129.06  ...   66013466.0       9.714315e+09  0.006795
2020-11-16  4209.26  4225.02  4153.41  ...   51657638.0       9.714315e+09  0.005318
```

接口示例-前复权因子

```python
import mssdk as ms
qfq_factor_df = ms.stock_zh_a_daily(symbol="sz000002", adjust="qfq-factor")
print(qfq_factor_df)
```

数据示例-前复权因子

```
                      qfq_factor
date                            
2020-08-14    1.0000000000000000
2019-08-15    1.0368559887152000
2018-08-23    1.0783980437203000
2017-08-29    1.1205595658467000
2016-07-29    1.1586836854427000
2015-07-21    1.2071867234379000
2014-05-08    1.2478327410621000
2013-05-16    1.3164133608792000
2012-07-05    1.3377030648287000
2011-05-27    1.3570684766804000
2010-05-18    1.3744667904840000
2009-06-08    1.3885124365181000
2008-06-16    1.3950374009754000
2007-05-16    2.2456699625458000
2006-07-21    3.3906467379279000
2005-06-29    3.4764135188199000
2004-05-26    5.3736026037856000
2003-05-23    8.1158399710544000
2002-07-17   16.4702057311185000
2001-08-21   16.7388877169443000
2000-08-17   16.9482692172257000
2000-01-10   17.1244466519161980
1999-08-06   18.3747279845260000
1998-07-10   20.3681591223534000
1997-07-14   22.6729771283040000
1997-06-27   26.4431943252300000
1996-08-06   30.5408061754980000
1995-07-04   34.1548015729318950
1994-06-21   40.5700619999530000
1993-04-05   55.8148047629125000
1992-03-30   83.8869605857810100
1991-06-10  100.6643527029372100
1991-01-29  143.2209726780930000
1900-01-01  143.2209726780930000
```

接口示例-后复权因子

```python
import mssdk as ms
hfq_factor_df = ms.stock_zh_a_daily(symbol="sz000002", adjust="hfq-factor")
print(hfq_factor_df)
```

数据示例-后复权因子

```
                      hfq_factor
date                            
2020-08-14  143.2209726780930000
2019-08-15  138.1300530033660000
2018-08-23  132.8090063887723000
2017-08-29  127.8120120012347900
2016-07-29  123.6066188533391900
2015-07-21  118.6402814886960200
2014-05-08  114.7757772056767000
2013-05-16  108.7963529802222000
2012-07-05  107.0648460362397000
2011-05-27  105.5370271575669000
2010-05-18  104.2011154213951000
2009-06-08  103.1470578954562000
2008-06-16  102.6646114132510000
2007-05-16   63.7765010294438000
2006-07-21   42.2400160641970000
2005-06-29   41.1979104047185000
2004-05-26   26.6526915438809980
2003-05-23   17.6470917599285000
2002-07-17    8.6957610011813000
2001-08-21    8.5561821729119010
2000-08-17    8.4504777946604000
2000-01-10    8.3635387226989000
1999-08-06    7.7944540348408990
1998-07-10    7.0316110463273000
1997-07-14    6.3168137059205000
1997-06-27    5.4161751759863000
1996-08-06    4.6894954853220000
1995-07-04    4.1932895546844000
1994-06-21    3.5302133055222000
1993-04-05    2.5660032904614000
1992-03-30    1.7073091178651000
1991-06-10    1.4227575982209000
1991-01-29    1.0000000000000000
1900-01-01    1.0000000000000000
```

##### 分时数据-新浪

接口: stock_zh_a_minute

目标地址: http://finance.sina.com.cn/realstock/company/sh600519/nc.shtml

描述: 新浪财经-沪深京 A 股股票或者指数的分时数据，目前可以获取 1, 5, 15, 30, 60 分钟的数据频率, 可以指定是否复权

限量: 单次返回指定股票或指数的指定频率的最近交易日的历史分时行情数据

输入参数

| 名称   | 类型 | 描述      |
| -------- | ---- |--- |
| symbol | str  |symbol='sh000300'; 同日频率数据接口|
| period | str  | period='1'; 获取 1, 5, 15, 30, 60 分钟的数据频率|
| adjust | str  | adjust=""; 默认为空: 返回不复权的数据; qfq: 返回前复权后的数据; hfq: 返回后复权后的数据;|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| day          | object   |  -     |
| open          | float64      |  -     |
| high          | float64      | -     |
| low           | float64      | -     |
| close         | float64      |  -     |
| volume        | float64      |  -     |

接口示例

```python
import mssdk as ms
stock_zh_a_minute_df = ms.stock_zh_a_minute(symbol='sh600751', period='1', adjust="qfq")
print(stock_zh_a_minute_df)
```

数据示例

```
                       day  open  high   low  close  volume
0      2020-06-17 14:49:00  3.05  3.05  3.04   3.04  133200
1      2020-06-17 14:50:00  3.05  3.05  3.04   3.04  131900
2      2020-06-17 14:51:00  3.04  3.05  3.04   3.04  332700
3      2020-06-17 14:52:00  3.05  3.05  3.04   3.04   71100
4      2020-06-17 14:53:00  3.04  3.05  3.04   3.04   49200
                    ...   ...   ...   ...    ...     ...
19995  2020-10-23 14:54:00  3.52  3.52  3.51   3.52  234900
19996  2020-10-23 14:55:00  3.51  3.52  3.51   3.52  337300
19997  2020-10-23 14:56:00  3.52  3.53  3.51   3.52  198067
19998  2020-10-23 14:57:00  3.53  3.53  3.52   3.53  225800
19999  2020-10-23 15:00:00  3.52  3.52  3.52   3.52  259123
```

##### 分时数据-东财

接口: stock_zh_a_hist_min_em

目标地址: http://quote.eastmoney.com/concept/sh603777.html?from=classic

描述: 东方财富网-行情首页-沪深京 A 股-每日分时行情

限量: 单次返回指定股票、指定频率、复权调整和时间区间的分时数据, 其中 1 分钟数据只返回近 5 个交易日数据且不复权

输入参数

| 名称   | 类型 | 描述      |
| -------- | ---- |--- |
| symbol | str  |symbol='sh000300'; 股票代码|
| period | str  |period='5'; choice of {'1', '5', '15', '30', '60'}; 其中 1 分钟数据返回近 5 个交易日数据且不复权|
| adjust | str  |adjust=''; choice of {'', 'qfq', 'hfq'}; '': 不复权, 'qfq': 前复权, 'hfq': 后复权, 其中 1 分钟数据返回近 5 个交易日数据且不复权|
| start_date | str  |start_date="1979-09-01 09:32:00"; 日期时间; 默认返回所有数据|
| end_date | str  |end_date="2222-01-01 09:32:00"; 日期时间; 默认返回所有数据|

输出参数-1分钟数据

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 时间          | object   |  -     |
| 开盘          | float64      |  -     |
| 收盘          | float64      | -     |
| 最高           | float64      | -     |
| 最低         | float64      |  -     |
| 成交量        | float64      |  注意单位: 手     |
| 成交额        | float64      |  -     |
| 最新价        | float64      |  -     |

接口示例-1分钟数据

```python
import mssdk as ms
stock_zh_a_hist_min_em_df = ms.stock_zh_a_hist_min_em(symbol="000001", period='1', adjust='', start_date="2021-09-01 09:32:00", end_date="2021-09-06 09:32:00")
print(stock_zh_a_hist_min_em_df)
```

数据示例-1分钟数据

```
       时间       开盘     收盘  ...    成交量         成交额       最新价
0     2021-08-31 09:30:00   0.00  17.72  ...   5905  10463660.0  17.720
1     2021-08-31 09:31:00   0.00  17.65  ...  18454  32576004.0  17.669
2     2021-08-31 09:32:00   0.00  17.70  ...  14085  24864945.0  17.663
3     2021-08-31 09:33:00   0.00  17.68  ...  11138  19719604.0  17.673
4     2021-08-31 09:34:00   0.00  17.77  ...  14392  25513573.0  17.685
                   ...    ...    ...  ...    ...         ...     ...
1200  2021-09-06 14:56:00  18.46  18.46  ...   4564   8424252.0  18.348
1201  2021-09-06 14:57:00  18.45  18.45  ...   7414  13681401.0  18.348
1202  2021-09-06 14:58:00  18.45  18.45  ...     69    127274.0  18.348
1203  2021-09-06 14:59:00  18.45  18.45  ...      0         0.0  18.348
1204  2021-09-06 15:00:00  18.45  18.45  ...  11541  21293052.0  18.349
```

输出参数-其他

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 时间          | object   |  -     |
| 开盘          | float64      |  -     |
| 收盘          | float64      | -     |
| 最高           | float64      | -     |
| 最低         | float64      |  -     |
| 涨跌幅        | float64      |  注意单位: %     |
| 涨跌额        | float64      |  -     |
| 成交量        | float64      |  注意单位: 手     |
| 成交额        | float64      |  -     |
| 振幅        | float64      |  注意单位: %     |
| 换手率        | float64      |  注意单位: %     |

接口示例-其他

```python
import mssdk as ms
stock_zh_a_hist_min_em_df = ms.stock_zh_a_hist_min_em(symbol="000001", period='5', adjust='hfq', start_date="2021-09-01 09:32:00", end_date="2021-09-06 09:32:00")
print(stock_zh_a_hist_min_em_df)
```

数据示例-其他

```
            时间       开盘       收盘  ...          成交额    振幅   换手率
0    2021-09-01 09:35:00  3009.83  2977.32  ...  248855522.0  2.97  0.07
1    2021-09-01 09:40:00  2980.57  2959.45  ...  242051722.0  0.87  0.07
2    2021-09-01 09:45:00  2957.82  2972.45  ...  140232924.0  0.99  0.04
3    2021-09-01 09:50:00  2974.07  3013.08  ...  174011168.0  1.59  0.05
4    2021-09-01 09:55:00  3013.08  2969.20  ...  110244839.0  1.56  0.03
..                   ...      ...      ...  ...          ...   ...   ...
139  2021-09-03 14:40:00  3107.35  3104.09  ...   34871309.0  0.16  0.01
140  2021-09-03 14:45:00  3104.09  3107.35  ...   41341513.0  0.21  0.01
141  2021-09-03 14:50:00  3107.35  3112.22  ...   35413634.0  0.21  0.01
142  2021-09-03 14:55:00  3112.22  3104.09  ...   55853775.0  0.37  0.02
143  2021-09-03 15:00:00  3104.09  3100.84  ...   45082686.0  0.16  0.01
```

##### 盘前数据

接口: stock_zh_a_hist_pre_min_em

目标地址: http://quote.eastmoney.com/concept/sh603777.html?from=classic

描述: 东方财富-股票行情-盘前数据

限量: 单次返回指定当前交易日的股票分钟数据, 包含盘前分钟数据

输入参数

| 名称   | 类型 | 描述      |
| -------- | ---- |--- |
| symbol | str  |symbol="000001"; 股票代码|
| start_date | str  |start_date="09:00:00"; 时间; 默认返回所有数据|
| end_date | str  |end_date="15:40:00"; 时间; 默认返回所有数据|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 时间          | object   |  -     |
| 开盘          | float64      |  -     |
| 收盘          | float64      | -     |
| 最高           | float64      | -     |
| 最低         | float64      |  -     |
| 成交量        | float64      |  注意单位: 手     |
| 成交额        | float64      |  -     |
| 最新价        | float64      |  -     |

接口示例

```python
import mssdk as ms
stock_zh_a_hist_pre_min_em_df = ms.stock_zh_a_hist_pre_min_em(symbol="000001")
print(stock_zh_a_hist_pre_min_em_df)
```

数据示例

```
         时间     开盘     收盘     最高     最低    成交量         成交额     最新价
0    2021-09-06 09:15:00  18.04  18.04  18.04  18.04      0         0.0  18.040
1    2021-09-06 09:16:00  18.04  18.04  18.20  18.04      0         0.0  18.040
2    2021-09-06 09:17:00  18.04  18.04  18.04  18.04      0         0.0  18.040
3    2021-09-06 09:18:00  18.04  18.03  18.04  18.03      0         0.0  18.040
4    2021-09-06 09:19:00  18.03  18.02  18.03  18.02      0         0.0  18.040
..                   ...    ...    ...    ...    ...    ...         ...     ...
251  2021-09-06 14:56:00  18.46  18.46  18.47  18.45   4564   8424252.0  18.348
252  2021-09-06 14:57:00  18.45  18.45  18.47  18.45   7414  13681401.0  18.348
253  2021-09-06 14:58:00  18.45  18.45  18.45  18.45     69    127274.0  18.348
254  2021-09-06 14:59:00  18.45  18.45  18.45  18.45      0         0.0  18.348
255  2021-09-06 15:00:00  18.45  18.45  18.45  18.45  11541  21293052.0  18.349
```

#### 历史分笔数据

##### 腾讯财经

接口: stock_zh_a_tick_tx

目标地址: http://gu.qq.com/sz300494/gp/detail(示例)

描述: A 股数据是从腾讯财经获取的数据, 历史数据按日频率更新, 该接口自 20210611 起, 暂时无法获取数据, 等腾讯修复后再使用

限量: 单次返回具体某个 A 上市公司的近 2 年历史分笔行情数据

P.S. 每个交易日 16:00 提供当日数据; 如遇到数据缺失, 请使用 **stock_zh_a_tick_163** 接口(注意数据会有一定差异)或者使用 **stock_zh_a_tick_tx_js(code="sz000001")** 来获取当日腾讯分笔数据

输入参数-历史行情数据

| 名称   | 类型 |  描述       |
| -------- | ---- | --- |
| symbol | str  |   symbol="sh600000"|
| trade_date | str  |  trade_date="20191011"|

输出参数-历史行情数据

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 成交时间          | object   |  -     |
| 成交价格          | float64      |  注意单位: 元     |
| 价格变动          | float64      |  注意单位: 元     |
| 成交量           | int32      |  注意单位: 手     |
| 成交额         | int32      |  注意单位: 元     |
| 性质        | object      |  买卖盘标记     |
   
接口示例-历史行情数据

```python
import mssdk as ms
stock_zh_a_tick_tx_df = ms.stock_zh_a_tick_tx(code="sh600848", trade_date="20191011")
print(stock_zh_a_tick_tx_df)

# 当前交易日的分时数据可以通过下接口获取
stock_zh_a_tick_tx_js_df = ms.stock_zh_a_tick_tx_js(code="sz000001")
print(stock_zh_a_tick_tx_js_df)
```

数据示例-历史行情数据

```
          成交时间  成交价格  价格变动  成交量  成交额  性质
0     09:25:04  3.45  0.01       4    1380  卖盘
1     09:30:02  3.46  0.01       1     346  买盘
2     09:30:08  3.46  0.00      20    6920  买盘
3     09:30:20  3.46  0.00      28    9688  买盘
4     09:30:23  3.46  0.00      25    8665  买盘
        ...   ...   ...     ...     ...  ..
1405  14:59:29  3.51 -0.02      14    4914  卖盘
1406  14:59:50  3.51  0.00       5    1755  卖盘
1407  14:59:50  3.52  0.01      69   24288  买盘
1408  14:59:59  3.51 -0.01     100   35100  卖盘
1409  15:00:02  3.52  0.01      10    3520  买盘
```

##### 网易财经

接口: stock_zh_a_tick_163

目标地址: http://quotes.money.163.com/trade/cjmx_000001.html#01b05(示例)

描述: A 股 Tick 数据是从网易财经获取, 历史数据按日频率更新, 晚上 10 更新数据; 可以调用 **stock_zh_a_tick_163_now(code="000001")** 接口获取
当日数据(该接口只能在交易日获取数据), 主要参数无市场标识

限量: 单次返回具体某个 A 上市公司的近 5 个交易日的历史分笔行情数据

输入参数

| 名称   | 类型 | 描述       |
| -------- | ---- |  --- |
| symbol | str  |    symbol="sh600000"|
| trade_date | datetime  |   trade_date="20200408"|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 时间          | time   |  -     |
| 成交价          | float      |  -     |
| 价格变动          | float      |  -     |
| 成交量           | float      |  注意单位: 手     |
| 成交额         | float      | 注意单位: 元     |
| 性质        | str      | 买卖盘标记     |
   
接口示例

```python
import mssdk as ms
stock_zh_a_tick_163_df = ms.stock_zh_a_tick_163(code="sh600848", trade_date="20210127")
print(stock_zh_a_tick_163_df)
```

数据示例

```
      成交时间    成交价  价格变动  成交量     成交额   性质
0     09:25:03  19.48  0.13   39   75972   买盘
1     09:30:02  19.47 -0.01   17   33095  中性盘
2     09:30:06  19.37 -0.10    6   11667   卖盘
3     09:30:12  19.40 -0.06    7   13580  中性盘
4     09:30:15  19.40  0.00    2    3880   买盘
        ...    ...   ...  ...     ...  ...
1306  14:56:40  19.32 -0.01   15   28980   卖盘
1307  14:56:46  19.32  0.00   69  133308   卖盘
1308  14:56:52  19.31 -0.01    7   13523   卖盘
1309  14:57:02  19.32  0.01    6   11592   买盘
1310  15:00:03  19.32  0.00  299  577668   买盘
```

### A股-CDR

#### 历史行情数据

接口: stock_zh_a_cdr_daily

目标地址: https://finance.sina.com.cn/realstock/company/sh689009/nc.shtml

描述: 上海证券交易所-科创板-CDR

限量: 单次返回指定 CDR 的日频率数据, 分钟历史行情数据可以通过 stock_zh_a_minute 获取

名词解释: 
1. [Investopedia-CDR](https://www.investopedia.com/terms/c/cdr.asp)
2. [百度百科-中国存托凭证](https://baike.baidu.com/item/%E4%B8%AD%E5%9B%BD%E5%AD%98%E6%89%98%E5%87%AD%E8%AF%81/2489906?fr=aladdin)

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- | ---- |
| symbol | str  |  symbol='sh689009'; CDR 股票代码|
| start_date | str  |   start_date='20201103'|
| end_date | str  |    end_date='20201116'|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| date          | str   |  交易日     |
| open          | str      |  -     |
| high          | float      |  -     |
| low          | float      |  -     |
| close          | float      | -     |
| volume          | float      |  注意单位: 手     |

接口示例

```python
import mssdk as ms
stock_zh_a_cdr_daily_df = ms.stock_zh_a_cdr_daily(symbol='sh689009', start_date='20201103', end_date='20201116')
print(stock_zh_a_cdr_daily_df)
```

数据示例

```
             open   high    low  close      volume
date                                              
2020-11-03  56.50  59.55  53.36  57.39  25121445.0
2020-11-04  57.45  57.80  51.90  54.40  20846450.0
2020-11-05  55.95  65.28  54.60  61.00  28843507.0
2020-11-06  59.80  68.60  59.48  68.60  23162768.0
2020-11-09  70.50  71.68  63.50  68.04  22494134.0
2020-11-10  68.00  70.70  65.11  67.93  15952778.0
2020-11-11  65.80  65.91  55.70  56.00  23125126.0
2020-11-12  56.00  61.66  55.04  58.89  18607788.0
2020-11-13  58.08  63.88  55.50  61.18  14904776.0
2020-11-16  62.18  73.42  62.18  73.42  17134827.0
```

### B股

#### 实时行情数据

##### 实时行情数据-东财

接口: stock_zh_b_spot_em

目标地址: http://quote.eastmoney.com/center/gridlist.html#hs_b_board

描述: 东方财富网-实时行情数据

限量: 单次返回所有 B 股上市公司的实时行情数据

输入参数

| 名称   | 类型 |描述       |
| -------- | ---- | --- |
| - | -  |   -|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 序号          | int64   |  -     |
| 代码          | object   | -     |
| 名称          | object      |  -     |
| 最新价          | float64      | -     |
| 涨跌幅         | float64      |  注意单位: %     |
| 涨跌额          | float64      | -     |
| 成交量          | float64      |  注意单位: 手     |
| 成交额          | float64      | 注意单位: 元     |
| 振幅          | float64      |  注意单位: %     |
| 最高        | float64      |  -     |
| 最低        | float64      |  -     |
| 今开        | float64      |  -     |
| 昨收        | float64      |  -     |
| 量比        | float64      |  -     |
| 换手率        | float64      | 注意单位: %     |
| 市盈率-动态        | float64      |  -     |
| 市净率        | float64      | -     |

接口示例

```python
import mssdk as ms
stock_zh_b_spot_em_df = ms.stock_zh_b_spot_em()
print(stock_zh_b_spot_em_df)
```

数据示例

```
      序号      代码    名称     最新价   涨跌幅  ...      昨收    量比   换手率  市盈率-动态   市净率
0      1  900920  上柴Ｂ股   0.585  3.72  ...   0.564  3.89  1.16   13.90  0.63
1      2  200054   建车B   6.100  3.39  ...   5.900  4.46  0.47  -38.36  3.66
2      3  900926   宝信Ｂ   3.759  1.54  ...   3.702  1.40  0.54   19.95  4.57
3      4  200596  古井贡Ｂ  98.000  1.03  ...  97.000  0.99  0.09   15.63  2.76
4      5  900923  百联Ｂ股   0.898  1.01  ...   0.889  1.71  0.15   10.13  0.59
..   ...     ...   ...     ...   ...  ...     ...   ...   ...     ...   ...
109  110  900947  振华Ｂ股   0.294 -4.23  ...   0.307  0.96  0.22   58.32  0.71
110  111  900921  丹科B股   0.244 -4.69  ...   0.256  0.59  1.05  -33.44  1.23
111  112  200771  杭汽轮Ｂ  14.940 -4.84  ...  15.700  2.46  0.31   11.01  1.13
112  113  900946  天雁B股   0.212 -5.36  ...   0.224  0.95  0.50  135.68  1.85
113  114  900908  氯碱Ｂ股   0.653 -6.71  ...   0.700  1.72  1.67    3.66  0.86
```

##### 实时行情数据-新浪

接口: stock_zh_b_spot

目标地址: http://vip.stock.finance.sina.com.cn/mkt/#hs_b

描述: B 股数据是从新浪财经获取的数据, 重复运行本函数会被新浪暂时封 IP, 建议增加时间间隔

限量: 单次返回所有 B 股上市公司的实时行情数据

输入参数-实时行情数据

| 名称   | 类型 |  描述       |
| -------- | ---- |  --- |
| - | -  |    -|

输出参数-实时行情数据

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 代码          | str   | -     |
| 名称          | str      |  -     |
| 最新价          | float      |  -     |
| 涨跌额         | float      |  -     |
| 涨跌幅           | float      |  注意单位: %     |
| 买入        | float      |  -     |
| 卖出        | float      |  -     |
| 昨收        | float      | -     |
| 今开        | float      | -     |
| 最高        | float      |  -     |
| 最低        | float      |  -     |
| 成交量        | float      |  注意单位: 股     |
| 成交额        | float      |  注意单位: 元     |

接口示例-实时行情数据

```python
import mssdk as ms
stock_zh_b_spot_df = ms.stock_zh_b_spot()
print(stock_zh_b_spot_df)
```

数据示例-实时行情数据

```
    代码        名称     最新价    涨跌额  ...      最高      最低         成交量         成交额
0   sh900901  云赛Ｂ股   0.451  0.001  ...   0.459   0.447   869400.0    395346.0
1   sh900902  市北B股   0.290 -0.004  ...   0.294   0.290   858200.0    251011.0
2   sh900903  大众Ｂ股   0.290 -0.006  ...   0.296   0.289  1775362.0    518333.0
3   sh900904  神奇B股   0.536 -0.006  ...   0.540   0.531    37060.0     19907.0
4   sh900905  老凤祥Ｂ   3.498 -0.011  ...   3.509   3.495   300400.0   1051414.0
..       ...   ...     ...    ...  ...     ...     ...        ...         ...
85  sz200761  本钢板Ｂ   3.260 -0.120  ...   3.380   3.240  2190800.0   7214306.0
86  sz200771  杭汽轮Ｂ  14.940 -0.760  ...  15.800  14.660   839948.0  12673391.0
87  sz200869  张 裕Ｂ  14.000  0.000  ...  14.000  13.810   176407.0   2461886.0
88  sz200992  中 鲁Ｂ   3.120  0.000  ...   3.130   3.080    17700.0     55129.0
89  sz201872   招港B   8.780 -0.220  ...   9.050   8.750   313566.0   2776833.0
```

#### 历史行情数据

##### 历史行情数据

接口: stock_zh_b_daily

目标地址: https://finance.sina.com.cn/realstock/company/sh900901/nc.shtml(示例)

描述: B 股数据是从新浪财经获取的数据, 历史数据按日频率更新

限量: 单次返回指定 B 股上市公司指定日期间的历史行情日频率数据

输入参数

| 名称   | 类型 |  描述    |
| -------- | ---- |  --- |
| symbol | str  | symbol='sh900901'; 股票代码可以在 **ms.stock_zh_b_spot()** 中获取|
| start_date | str  | start_date='20201103'; 开始查询的日期|
| end_date | str  | end_date='20201116'; 结束查询的日期|
| adjust | str  | 默认返回不复权的数据; qfq: 返回前复权后的数据; hfq: 返回后复权后的数据; hfq-factor: 返回后复权因子; qfq-factor: 返回前复权因子|

**股票数据复权**

1.为何要复权：由于股票存在配股、分拆、合并和发放股息等事件，会导致股价出现较大的缺口。
若使用不复权的价格处理数据、计算各种指标，将会导致它们失去连续性，且使用不复权价格计算收益也会出现错误。
为了保证数据连贯性，常通过前复权和后复权对价格序列进行调整。

2.前复权：保持当前价格不变，将历史价格进行增减，从而使股价连续。
前复权用来看盘非常方便，能一眼看出股价的历史走势，叠加各种技术指标也比较顺畅，是各种行情软件默认的复权方式。
这种方法虽然很常见，但也有两个缺陷需要注意。

2.1 为了保证当前价格不变，每次股票除权除息，均需要重新调整历史价格，因此其历史价格是时变的。
这会导致在不同时点看到的历史前复权价可能出现差异。

2.2 对于有持续分红的公司来说，前复权价可能出现负值。

3.后复权：保证历史价格不变，在每次股票权益事件发生后，调整当前的股票价格。
后复权价格和真实股票价格可能差别较大，不适合用来看盘。
其优点在于，可以被看作投资者的长期财富增长曲线，反映投资者的真实收益率情况。

4.在量化投资研究中普遍采用后复权数据。

输出参数-历史行情数据

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| date          | datetime64   |  交易日     |
| close          | float64      |  收盘价     |
| high          | float64      | 最高价     |
| low           | float64      |  最低价     |
| open         | float64      |  开盘价     |
| volume        | float64      |  成交量; 注意单位: 股     |
| outstanding_share        | float64      |  流动股本; 注意单位: 股     |
| turnover        | float64      |  换手率=成交量/流动股本    |

接口示例-历史行情数据(前复权)

```python
import mssdk as ms
stock_zh_b_daily_qfq_df = ms.stock_zh_b_daily(symbol="sh900901", start_date="20101103", end_date="20201116", adjust="qfq")
print(stock_zh_b_daily_qfq_df)
```

数据示例-历史行情数据(前复权)

```
           date  open  high  ...     volume  outstanding_share  turnover
0    2010-11-03  0.55  0.55  ...  1508633.0        293370465.0  0.005142
1    2010-11-04  0.54  0.54  ...  1791380.0        293370465.0  0.006106
2    2010-11-05  0.54  0.55  ...  1700666.0        293370465.0  0.005797
3    2010-11-08  0.55  0.56  ...  2519000.0        293370465.0  0.008586
4    2010-11-09  0.56  0.56  ...  1569375.0        293370465.0  0.005349
         ...   ...   ...  ...        ...                ...       ...
2276 2020-11-10  0.49  0.49  ...   105610.0        293370465.0  0.000360
2277 2020-11-11  0.49  0.49  ...   257303.0        293370465.0  0.000877
2278 2020-11-12  0.49  0.49  ...   172259.0        293370465.0  0.000587
2279 2020-11-13  0.48  0.49  ...   172150.0        293370465.0  0.000587
2280 2020-11-16  0.48  0.49  ...   236700.0        293370465.0  0.000807
```

接口示例-历史行情数据(后复权)

```python
import mssdk as ms
stock_zh_b_daily_hfq_df = ms.stock_zh_b_daily(symbol="sh900901", start_date='20201103', end_date='20201116', adjust="hfq")
print(stock_zh_b_daily_hfq_df)
```

数据示例-历史行情数据(后复权)

```
        date    open    high  ...    volume  outstanding_share  turnover
0 2020-11-03  180.74  184.17  ...  259617.0        293370465.0  0.000885
1 2020-11-04  184.17  187.97  ...  171320.0        293370465.0  0.000584
2 2020-11-05  184.93  187.97  ...  403833.0        293370465.0  0.001377
3 2020-11-06  187.97  187.97  ...  108805.0        293370465.0  0.000371
4 2020-11-09  185.69  190.64  ...  415910.0        293370465.0  0.001418
5 2020-11-10  190.26  190.26  ...  105610.0        293370465.0  0.000360
6 2020-11-11  188.35  189.11  ...  257303.0        293370465.0  0.000877
7 2020-11-12  189.11  189.11  ...  172259.0        293370465.0  0.000587
8 2020-11-13  185.69  188.73  ...  172150.0        293370465.0  0.000587
9 2020-11-16  186.83  189.49  ...  236700.0        293370465.0  0.000807
```

接口示例-前复权因子

```python
import mssdk as ms
qfq_factor_df = ms.stock_zh_b_daily(symbol="sh900901", adjust="qfq-factor")
print(qfq_factor_df)
```

数据示例-前复权因子

```
         date            qfq_factor
0  2021-07-28    1.0000000000000000
1  2020-07-24    1.0198866222149000
2  2019-07-26    1.0348110274690000
3  2018-07-27    1.0498863629661000
4  2017-06-01    1.0683657827715000
5  2016-06-07    1.0812587249539000
6  2007-06-26    1.0888116113319000
7  2006-06-07    1.1976927724651000
8  2005-06-09    1.3880065788605000
9  2004-06-09    1.4194157006466000
10 2003-06-11    1.4324281797957000
11 2002-06-19    1.4463411525706000
12 2001-07-17    1.5936677862694000
13 2000-06-23    1.6120404854245000
14 1998-07-07    1.8138100600697000
15 1996-06-03    2.1765720720836000
16 1995-05-29    2.3942292792919000
17 1994-05-09    2.8730751351503000
18 1993-03-29    3.3877374747485000
19 1992-12-01    3.8807719054656000
20 1992-02-21  388.0771905465590000
21 1900-01-01  388.0771905465590000
```

接口示例-后复权因子

```python
import mssdk as ms
hfq_factor_df = ms.stock_zh_b_daily(symbol="sh900901", adjust="hfq-factor")
print(hfq_factor_df)
```

数据示例-后复权因子

```
         date            hfq_factor
0  2021-07-28  388.0771905465590000
1  2020-07-24  380.5101293551464000
2  2019-07-26  375.0222796675719000
3  2018-07-27  369.6373286059189000
4  2017-06-01  363.2437474175006300
5  2016-06-07  358.9124245569568600
6  2007-06-26  356.4227149192948300
7  2006-06-07  324.0206499266317000
8  2005-06-09  279.5931924653872300
9  2004-06-09  273.4062969500634000
10 2003-06-11  270.9226165893487000
11 2002-06-19  268.3164963237175600
12 2001-07-17  243.5119752624272000
13 2000-06-23  240.7366279292711800
14 1998-07-07  213.9569071149911000
15 1996-06-03  178.2974225958258000
16 1995-05-29  162.0885659962053200
17 1994-05-09  135.0738049968378200
18 1993-03-29  114.5535016922676000
19 1992-12-01  100.0000000000000000
20 1992-02-21    1.0000000000000000
21 1900-01-01    1.0000000000000000
```

##### 分时数据

接口: stock_zh_b_minute

目标地址: http://finance.sina.com.cn/realstock/company/sh900901/nc.shtml

描述: 新浪财经 B 股股票或者指数的分时数据，目前可以获取 1, 5, 15, 30, 60 分钟的数据频率, 可以指定是否复权

限量: 单次返回指定股票或指数的指定频率的最近交易日的历史分时行情数据

输入参数

| 名称   | 类型 | 描述      |
| -------- | ---- |--- |
| symbol | str  |symbol='sh900901'; 同日频率数据接口|
| period | str  | period='1'; 获取 1, 5, 15, 30, 60 分钟的数据频率|
| adjust | str  | adjust=""; 默认为空: 返回不复权的数据; qfq: 返回前复权后的数据; hfq: 返回后复权后的数据;|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| day          | object   |  -     |
| open          | float64      |  -     |
| high          | float64      | -     |
| low           | float64      | -     |
| close         | float64      |  -     |
| volume        | float64      |  -     |

接口示例

```python
import mssdk as ms
stock_zh_b_minute_df = ms.stock_zh_b_minute(symbol='sh900901', period='1', adjust="qfq")
print(stock_zh_b_minute_df)
```

数据示例

```
                       day      open      high   low  close volume
0      2020-10-30 11:24:00  0.471946  0.471946  0.47   0.47  20000
1      2020-10-30 11:27:00  0.470973  0.470973  0.47   0.47  11300
2      2020-10-30 13:01:00  0.470973  0.470973  0.47   0.47   7400
3      2020-10-30 13:03:00  0.470000  0.470000  0.47   0.47   2993
4      2020-10-30 13:05:00  0.470000  0.470000  0.47   0.47      7
                    ...       ...       ...   ...    ...    ...
19995  2021-09-24 14:52:00  0.450998  0.450998  0.45   0.45  10350
19996  2021-09-24 14:55:00  0.450000  0.450000  0.45   0.45   5000
19997  2021-09-24 14:56:00  0.450000  0.450000  0.45   0.45   4000
19998  2021-09-24 14:57:00  0.450000  0.450000  0.45   0.45    100
19999  2021-09-24 15:00:00  0.450000  0.450000  0.45   0.45  11100
```

### 次新股

接口: stock_zh_a_new

目标地址: http://vip.stock.finance.sina.com.cn/mkt/#new_stock

描述: 新浪财经-行情中心-沪深股市-次新股

限量: 单次返回所有次新股行情数据, 由于次新股名单随着交易日变化而变化，只能获取最近交易日的数据

输入参数

| 名称   | 类型 |  描述  |
| -------- | ---- | --- |
| - | -  |    -|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- | ---------------- |
| symbol          | object   |  新浪代码     |
| code          | object      |  股票代码     |
| name          | object      |  股票简称     |
| open           | float64      |  开盘价     |
| high         | float64      | 最高价     |
| low        | float64      |  最低价     |
| volume        | int64      | 成交量     |
| amount        | int64      |  成交额     |
| mktcap        | float64      |  市值     |
| turnoverratio        | float64      |  换手率     |
                
接口示例

```python
import mssdk as ms
stock_zh_a_new_df = ms.stock_zh_a_new()
print(stock_zh_a_new_df)
```

数据示例

```
     symbol    code  name  ...      amount        mktcap  turnoverratio
0   sh601728  601728  中国电信  ...  2078538311  4.146314e+07        7.91425
1   sh601825  601825  沪农商行  ...   511698399  7.657689e+06        6.67390
2   sh601921  601921  浙版传媒  ...   218150606  2.284444e+06        9.66828
3   sh605028  605028  世茂能源  ...   248080378  3.996800e+05       24.98649
4   sh605056  605056  咸亨国际  ...    60691275  7.736193e+05        7.80149
..       ...     ...   ...  ...         ...           ...            ...
79  sz301052  301052  果麦文化  ...   231553223  2.541569e+05       38.94978
80  sz301053  301053  远信工业  ...   214016261  3.033018e+05       33.99790
81  sz301055  301055  C张小泉  ...   679460624  5.285280e+05       64.66610
82  sz301056  301056   C森赫  ...   423894365  3.694995e+05       48.84555
83  sz301058  301058  中粮工科  ...           0  0.000000e+00        0.00000
```

### 风险警示板

接口: stock_zh_a_st_em

目标地址: http://quote.eastmoney.com/center/gridlist.html#st_board

描述: 东方财富网-行情中心-沪深个股-风险警示板

限量: 单次返回当前交易日风险警示板的所有股票的行情数据

输入参数

| 名称   | 类型 |  描述  |
| -------- | ---- | --- |
| - | -  |    -|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- | ---------------- |
| 序号          | int64   |  -     |
| 代码          | object      |  -     |
| 名称          | object      |  -     |
| 最新价           | float64      |  -     |
| 涨跌幅         | float64      | 注意单位: %     |
| 涨跌额        | float64      |  -     |
| 成交量        | float64      | -     |
| 成交额        | float64      |  -     |
| 振幅        | float64      |  注意单位: %     |
| 最高        | float64      |  -     |
| 最低        | float64      |  -     |
| 今开        | float64      |  -     |
| 昨收        | float64      |  -     |
| 量比        | float64      |  -     |
| 换手率        | float64      |  注意单位: %     |
| 市盈率-动态        | float64      |  -     |
| 市净率        | float64      |  -     |

接口示例

```python
import mssdk as ms
stock_zh_a_st_em_df = ms.stock_zh_a_st_em()
print(stock_zh_a_st_em_df)
```

数据示例

```
      序号 代码     名称    最新价  涨跌幅  ...  昨收   量比   换手率 市盈率-动态 市净率
0      1  300795  *ST米奥  21.00  12.90  ...  18.60  3.93   5.62  -45.30   5.07
1      2  300038  *ST数知   2.17   5.34  ...   2.06  1.14   4.89   -5.93   1.10
2      3  300312  *ST邦讯   3.18   5.30  ...   3.02  2.27   9.81  -13.10  -4.26
3      4  600139   ST西源   2.67   5.12  ...   2.54  1.22   2.93  -11.54  22.94
4      5  000972  *ST中基   2.28   5.07  ...   2.17  1.31   1.35  -18.99  13.55
..   ...     ...    ...    ...    ...  ...    ...   ...    ...     ...    ...
181  182  603157  *ST拉夏   2.67  -4.64  ...   2.80  1.72   4.06   -3.09  -1.73
182  183  002619  *ST艾格   1.62  -4.71  ...   1.70  1.19   7.48  -32.97   1.40
183  184  002089   ST新海   2.72  -4.90  ...   2.86  1.95   3.80  -21.35   4.00
184  185  000509  *ST华塑   3.30  -4.90  ...   3.47  6.13   4.02  162.39  22.85
185  186  300313   ST天山  10.10  -9.01  ...  11.10  0.84  10.95 -153.14  22.20
```

### 新股

接口: stock_zh_a_new_em

目标地址: http://quote.eastmoney.com/center/gridlist.html#newshares

描述: 东方财富网-行情中心-沪深个股-新股

限量: 单次返回当前交易日新股板块的所有股票的行情数据

输入参数

| 名称   | 类型 |  描述  |
| -------- | ---- | --- |
| - | -  |    -|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- | ---------------- |
| 序号          | int64   |  -     |
| 代码          | object      |  -     |
| 名称          | object      |  -     |
| 最新价           | float64      |  -     |
| 涨跌幅         | float64      | 注意单位: %     |
| 涨跌额        | float64      |  -     |
| 成交量        | float64      | -     |
| 成交额        | float64      |  -     |
| 振幅        | float64      |  注意单位: %     |
| 最高        | float64      |  -     |
| 最低        | float64      |  -     |
| 今开        | float64      |  -     |
| 昨收        | float64      |  -     |
| 量比        | float64      |  -     |
| 换手率        | float64      |  注意单位: %     |
| 市盈率-动态        | float64      |  -     |
| 市净率        | float64      |  -     |

接口示例

```python
import mssdk as ms
stock_zh_a_new_em_df = ms.stock_zh_a_new_em()
print(stock_zh_a_new_em_df)
```

数据示例

```
      序号  代码     名称   最新价   涨跌幅  ...  昨收    量比  换手率 市盈率-动态 市净率
0      1  688091  N谊众-U  51.51   35.20  ...  38.10   NaN  43.82 -222.87  4.67
1      2  605599    N菜百  14.40   44.00  ...  10.00   NaN   1.05   28.53  3.72
2      3  301058    N中粮  14.25  301.41  ...   3.55   NaN  47.81   70.43  4.40
3      4  301057    N汇隆  27.38  240.97  ...   8.03   NaN  47.31   39.73  5.28
4      5  688767   博拓生物  70.00   -9.24  ...  77.13  0.83  29.81    6.56  4.05
..   ...     ...    ...    ...     ...  ...    ...   ...    ...     ...   ...
465  466  003007   直真科技  17.71   -0.17  ...  17.74  1.23   1.69  -15.03  2.24
466  467  688526   科前生物  28.09   -0.95  ...  28.36  0.65   0.71   22.82  4.57
467  468  688156   路德环境  20.28   -1.55  ...  20.60  1.10   2.33   30.48  2.59
468  469  003005    竞业达  33.98   -0.70  ...  34.22  1.04   1.07   20.55  2.46
469  470  688127   蓝特光学  23.65   -9.21  ...  26.05  3.18  12.44   62.48  6.76
```

### IPO 受益股

接口: stock_ipo_benefit_ths

目标地址: http://data.10jqka.com.cn/ipo/syg/

描述: 同花顺-数据中心-新股数据-IPO受益股

限量: 单次返回当前交易日的所有数据; 该数据每周更新一次, 返回最近一周的数据

输入参数

| 名称   | 类型 |  描述  |
| -------- | ---- | --- |
| - | -  |    -|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- | ---------------- |
| 序号          | int64   |  -     |
| 股票代码          | object   |  -     |
| 股票简称          | object   |  -     |
| 收盘价          | float64   |  注意单位: 元     |
| 涨跌幅          | float64   |  注意单位: %     |
| 市值          | object   |  注意单位: 元      |
| 参股家数          | int64   |  -     |
| 投资总额          | object   |  注意单位: 元     |
| 投资占市值比          | float64   |  注意单位: %     |
| 参股对象          | object   |  -     |

接口示例

```python
import mssdk as ms
stock_ipo_benefit_ths_df = ms.stock_ipo_benefit_ths()
print(stock_ipo_benefit_ths_df)
```

数据示例

```
    序号  股票代码  股票简称 收盘价  涨跌幅  市值  参股家数    投资总额  投资占市值比 参股对象
0      1  601601  中国太保  29.12 -0.206  1993.28亿     2  34.17亿    1.71   明细
1      2  600716  凤凰股份   3.82 -1.036    35.76亿     1   4.76亿   13.33   明细
2      3  600649  城投控股   4.08 -0.730   103.21亿     1   4.67亿    4.52   明细
3      4  601963  重庆银行   8.59 -1.151   162.82亿     1   3.79亿    2.33   明细
4      5  600639  浦东金桥  11.10 -0.893    94.38亿     2   3.18亿    3.37   明细
..   ...     ...   ...    ...    ...       ...   ...     ...     ...  ...
107  108  000685  中山公用   8.59 -0.116   126.71亿     1      0万    0.00   明细
108  109  600052  浙江广厦   3.98 -2.690    33.60亿     1      0万    0.00   明细
109  110  600261  阳光照明   3.62 -0.550    52.57亿     1      0万    0.00   明细
110  111  600496  精工钢构   3.90 -2.500    78.50亿     1      0万    0.00   明细
111  112  603987   康德莱  20.00  0.200    88.31亿     1      0万    0.00   明细
```

### 两网及退市

接口: stock_zh_a_stop_em

目标地址: http://quote.eastmoney.com/center/gridlist.html#staq_net_board

描述: 东方财富网-行情中心-沪深个股-两网及退市

限量: 单次返回当前交易日两网及退市的所有股票的行情数据

输入参数

| 名称   | 类型 |  描述  |
| -------- | ---- | --- |
| - | -  |    -|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- | ---------------- |
| 序号          | int64   |  -     |
| 代码          | object      |  -     |
| 名称          | object      |  -     |
| 最新价           | float64      |  -     |
| 涨跌幅         | float64      | 注意单位: %     |
| 涨跌额        | float64      |  -     |
| 成交量        | float64      | -     |
| 成交额        | float64      |  -     |
| 振幅        | float64      |  注意单位: %     |
| 最高        | float64      |  -     |
| 最低        | float64      |  -     |
| 今开        | float64      |  -     |
| 昨收        | float64      |  -     |
| 量比        | float64      |  -     |
| 换手率        | float64      |  注意单位: %     |
| 市盈率-动态        | float64      |  -     |
| 市净率        | float64      |  -     |

接口示例

```python
import mssdk as ms
stock_zh_a_stop_em_df = ms.stock_zh_a_stop_em()
print(stock_zh_a_stop_em_df)
```

数据示例

```
      序号 代码    名称      最新价 涨跌幅 涨跌额  ... 今开 昨收 量比 换手率 市盈率-动态市净率
0      1  400010  鹫  峰 5  1.90  4.97  0.09  ... NaN  1.81 NaN  NaN  -87.16  20.41
1      2  400069     吉恩5  9.96  4.95  0.47  ... NaN  9.49 NaN  NaN   19.61   3.78
2      3  400073    上普A5  7.08  4.89  0.33  ... NaN  6.75 NaN  NaN   97.79  11.69
3      4  400008   水仙Ａ 5  4.96  4.86  0.23  ... NaN  4.73 NaN  NaN -539.13  992.0
4      5  400059     天珑5  3.50  4.79  0.16  ... NaN  3.34 NaN  NaN   50.29   3.72
..   ...     ...     ...   ...   ...   ...  ...  ..   ...  ..  ...     ...    ...
100  101  400027  生  态 5  1.05 -4.55 -0.05  ... NaN   1.1 NaN  NaN  -57.07    4.7
101  102  400036     天创5  1.64 -4.65 -0.08  ... NaN  1.72 NaN  NaN   103.8   1.57
102  103  400005   海国实 5  1.01 -4.72 -0.05  ... NaN  1.06 NaN  NaN  -91.82   15.3
103  104  400039  华  圣 5  0.95 -5.00 -0.05  ... NaN   1.0 NaN  NaN  -65.97   4.64
104  105  400028  金  马 5  0.95 -5.00 -0.05  ... NaN   1.0 NaN  NaN -226.19    9.3
```

### 股票指数

#### 实时行情数据

接口: stock_zh_index_spot

目标地址: http://vip.stock.finance.sina.com.cn/mkt/#hs_s

描述: 中国股票指数数据, 注意该股票指数指新浪提供的国内股票指数

限量: 单次返回所有指数的实时行情数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | -  | -    |   -|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 代码          | str   | Y        | -     |
| 名称          | str      | Y        | -     |
| 最新价          | float      | Y        | -     |
| 涨跌额         | float      | Y        | -     |
| 涨跌幅           | float      | Y        | 注意单位: %     |
| 昨收        | float      | Y        | -     |
| 今开        | float      | Y        | -     |
| 最高        | float      | Y        | -     |
| 最低        | float      | Y        | -     |
| 成交量        | float      | Y        | 注意单位: 手     |
| 成交额        | float      | Y        | 注意单位: 万     |

接口示例

```python
import mssdk as ms
stock_zh_index_spot_df = ms.stock_zh_index_spot()
print(stock_zh_index_spot_df)
```

数据示例

```
           代码    名称        最新价  ...         最低         成交量           成交额
0    sh000001  上证指数  3484.3924  ...  3462.8321   262654873  317953200768
1    sh000002  Ａ股指数  3652.2918  ...  3629.6721   262507126  317711821774
2    sh000003  Ｂ股指数   246.1128  ...   245.3968      121902      62088261
3    sh000004  工业指数  3084.5617  ...  3051.0834   162642330  224198720298
4    sh000005  商业指数  3161.1518  ...  3150.4813    14486730   19213540155
..        ...   ...        ...  ...        ...         ...           ...
575  sz399998  中证煤炭  1395.7690  ...  1392.0210   788677823    4900473791
576  sz980001        1690.5910  ...  1679.6590  2458615064   60754965378
577  sz980017        9014.4380  ...  8679.3360   835190754   34070561457
578  sz980023        2957.4530  ...  2950.4640   489534394    8813329425
579  sz980068        2165.8470  ...  2154.3910   439360589    4552661981
```

#### 历史行情数据

##### 历史行情数据-新浪

接口: stock_zh_index_daily

目标地址: https://finance.sina.com.cn/realstock/company/sz399552/nc.shtml(示例)

描述: 股票指数数据是从[新浪财经](http://vip.stock.finance.sina.com.cn/mkt/#hs_s)获取的数据, 历史数据按日频率更新

限量: 单次返回具体某个指数的所有历史行情数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| symbol | str  | Y    |   symbol="sz399552"|

输出参数-历史行情数据

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| date          | str   | Y        | 新浪的数据开始时间, 不是证券上市时间     |
| open          | float      | Y        | -     |
| close          | float      | Y        | -     |
| high           | float      | Y        | -     |
| low         | float      | Y        | -     |
| amount        | float      | Y        | -     |

接口示例

```python
import mssdk as ms
stock_zh_index_daily_df = ms.stock_zh_index_daily(symbol="sz399552")
print(stock_zh_index_daily_df)
```

数据示例-历史行情数据

```
                open      high       low     close        volume
date                                                            
2013-06-06  3353.536  3367.362  3325.742  3331.724  6.976691e+08
2013-06-07  3325.795  3338.029  3264.914  3276.253  7.975941e+08
2013-06-13  3227.157  3227.157  3138.502  3170.727  9.214073e+08
2013-06-14  3168.941  3190.161  3157.245  3184.553  7.290986e+08
2013-06-17  3189.969  3196.282  3153.118  3158.014  7.514038e+08
              ...       ...       ...       ...           ...
2019-11-11  7903.771  7903.771  7812.036  7827.082  1.500865e+09
2019-11-12  7826.054  7846.032  7759.229  7804.985  1.387154e+09
2019-11-13  7816.080  7817.346  7759.580  7803.760  1.169749e+09
2019-11-14  7815.102  7826.694  7785.544  7803.063  1.886548e+09
2019-11-15  7813.952  7823.045  7752.760  7752.760  1.514993e+09
```

##### 历史行情数据-腾讯

接口: stock_zh_index_daily_tx

目标地址: http://gu.qq.com/sh000919/zs

描述: 获取股票指数(或者股票)历史行情数据

限量: 单次返回具体某个股票指数(或者股票)的所有历史行情数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| symbol | str  | Y    |   symbol="sh000919"|

输出参数-历史行情数据

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| date          | datetime   | Y        | 腾讯的数据开始时间, 不是证券上市时间     |
| open          | float      | Y        | -     |
| close          | float      | Y        | -     |
| high           | float      | Y        | -     |
| low         | float      | Y        | -     |
| amount        | float      | Y        | -     |

接口示例

```python
import mssdk as ms
stock_zh_index_daily_tx_df = ms.stock_zh_index_daily_tx(symbol="sh000919")
print(stock_zh_index_daily_tx_df)
```

数据示例-历史行情数据

```
               open    close     high      low      amount
date                                                      
2005-01-04   993.11   978.14   993.11   976.82   4235500.0
2005-01-05   976.94   981.50   985.52   972.79   3366739.0
2005-01-06   982.37   968.90   982.37   966.52   3137880.0
2005-01-07   968.77   967.72   978.27   963.10   3340480.0
2005-01-10   967.81   977.77   978.15   963.31   2680019.0
             ...      ...      ...      ...         ...
2020-01-21  5057.77  4985.22  5057.77  4983.42  47773440.0
2020-01-22  4964.64  4993.16  5003.42  4916.75  44316915.0
2020-01-23  4952.00  4851.44  4952.00  4823.68  59821336.0
2020-02-03  4414.92  4486.51  4544.62  4414.92  87252491.0
2020-02-04  4472.27  4591.61  4595.76  4472.27  81098211.0
```

### 科创板

#### 实时行情数据

接口: stock_zh_kcb_spot

目标地址: http://vip.stock.finance.sina.com.cn/mkt/#kcb

描述: 从[新浪财经](http://vip.stock.finance.sina.com.cn/mkt/#kcb)获取科创板股票数据

限量: 单次返回所有科创板上市公司的实时行情数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | -  | -    |   -|

输出参数-实时行情数据

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| -          | -   | -        | 新浪默认返回字段     |

接口示例

```python
import mssdk as ms
stock_zh_kcb_spot_df = ms.stock_zh_kcb_spot()
print(stock_zh_kcb_spot_df)
```

数据示例-实时行情数据

```
       symbol    code  name  ...        mktcap           nmc  turnoverratio
0    sh688001  688001  华兴源创  ...  1.579896e+06  1.415773e+05        1.70475
1    sh688002  688002  睿创微纳  ...  3.337500e+06  1.723634e+06        2.71406
2    sh688003  688003  天准科技  ...  5.726688e+05  2.111006e+05        4.75648
3    sh688004  688004  博汇科技  ...  3.665872e+05  8.302522e+04        2.47592
4    sh688005  688005  容百科技  ...  1.157419e+06  7.154409e+05        0.66890
..        ...     ...   ...  ...           ...           ...            ...
168  sh688596  688596  正帆科技  ...  5.714820e+05  1.210080e+05        8.57101
169  sh688598  688598  金博股份  ...  7.956000e+05  1.818359e+05        4.20922
170  sh688599  688599  天合光能  ...  3.068951e+06  4.371052e+05        3.18956
171  sh688600  688600  皖仪科技  ...  2.866810e+05  6.523790e+04        4.63372
172  sh688981  688981  中芯国际  ...  4.061613e+07  5.490340e+06        3.75305
```

#### 历史行情数据

接口: stock_zh_kcb_daily

目标地址: https://finance.sina.com.cn/realstock/company/sh688001/nc.shtml(示例)

描述: 科创板股票数据是从[新浪财经](http://vip.stock.finance.sina.com.cn/mkt/#kcb)获取

限量: 单次返回指定上市公司的所有历史行情数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| symbol | str  | Y    |   symbol="sh688008"|
| adjust | str  | Y    |默认不复权的数据; qfq: 返回前复权后的数据; hfq: 返回后复权后的数据; hfq-factor: 返回后复权因子; hfq-factor: 返回前复权因子|

输出参数-历史行情数据

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| date          | datetime   | Y        | -     |
| close          | float      | Y        | 收盘价     |
| high          | float      | Y        | 最高价     |
| low           | float      | Y        | 最低价     |
| open         | float      | Y        | 开盘价     |
| volume        | float      | Y        | 成交量(股)     |
| after_volume        | float      | Y        | 盘后量; 参见[科创板盘后固定价格交易](http://www.sse.com.cn/lawandrules/sserules/tib/trading/c/4729491.shtml)     |
| after_amount        | float      | Y        | 盘后额; 参见[科创板盘后固定价格交易](http://www.sse.com.cn/lawandrules/sserules/tib/trading/c/4729491.shtml)     |
| outstanding_share        | float      | Y        |  流通股本(股)    |
| turnover        | float      | Y        | 换手率=成交量(股)/流通股本(股)     |

接口示例

```python
import mssdk as ms
stock_zh_kcb_daily_df = ms.stock_zh_kcb_daily(symbol="sh688399", adjust="hfq")
print(stock_zh_kcb_daily_df)
```

数据示例-历史行情数据(后复权)

```
             close    high    low  ...  after_amount  outstanding_share  turnover
date                              ...                                           
2019-12-05  52.33   62.50  50.25  ...      508408.0         13338470.0  0.740740
2019-12-06  52.79   55.89  50.53  ...       30600.0         13338470.0  0.473652
2019-12-09  51.00   51.28  48.00  ...           0.0         13338470.0  0.335540
2019-12-10  50.10   57.51  49.60  ...       75983.0         13338470.0  0.441293
2019-12-11  53.01   56.58  52.85  ...       94051.0         13338470.0  0.303628
           ...     ...    ...  ...           ...                ...       ...
2020-04-14  79.61   81.18  78.33  ...           0.0         13338470.0  0.050237
2020-04-15  80.75   84.34  80.30  ...       32800.0         13338470.0  0.078527
2020-04-16  83.40   96.00  82.44  ...       47450.0         13338470.0  0.234366
2020-04-17  95.95   95.95  88.88  ...           0.0         13338470.0  0.180283
2020-04-20  95.79  109.97  95.20  ...      188212.0         13338470.0  0.259677
```

数据示例-后复权因子

```
                    hfq_factor
date                          
2019-12-05  1.0000000000000000
1900-01-01  1.0000000000000000
```

数据示例-前复权因子

```
                    qfq_factor
date                          
2019-12-05  1.0000000000000000
1900-01-01  1.0000000000000000
```

#### 科创板公告

接口: stock_zh_kcb_report_em

目标地址: http://data.eastmoney.com/notices/kcb.html

描述: 东方财富-科创板报告数据

限量: 单次返回所有科创板上市公司的报告数据

输入参数

| 名称   | 类型 |  描述    |
| -------- | ---- | --- |
| from_page | int  |    from_page=1; 始获取的页码|
| to_page | int  |    to_page=100; 结束获取的页码|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 代码          | object   |  -     |
| 名称          | object   | -     |
| 公告标题          | object   | -     |
| 公告类型          | object   |  -     |
| 公告日期          | object   |  -     |
| 公告代码          | object   |  本代码可以用来获取公告详情: http://data.eastmoney.com/notices/detail/688595/{替换到此处}.html     |

接口示例

```python
import mssdk as ms
stock_zh_kcb_report_em_df = ms.stock_zh_kcb_report_em(from_page=1, to_page=100)
print(stock_zh_kcb_report_em_df)
```

数据示例

```
      代码    名称  ...        公告日期                  公告代码
0     688135  利扬芯片  ...  2021-08-21  AN202108201511241434
1     688618  三旺通信  ...  2021-08-21  AN202108201511240287
2     688508   芯朋微  ...  2021-08-21  AN202108201511239944
3     688191  智洋创新  ...  2021-08-21  AN202108201511238896
4     688508   芯朋微  ...  2021-08-21  AN202108201511238719
      ...   ...  ...         ...                   ...
9995  688215  瑞晟智能  ...  2021-04-30  AN202104291488644687
9996  688169  石头科技  ...  2021-04-30  AN202104291488644671
9997  688169  石头科技  ...  2021-04-30  AN202104291488644664
9998  688169  石头科技  ...  2021-04-30  AN202104291488644663
9999  688169  石头科技  ...  2021-04-30  AN202104291488644662
```

### A+H股

#### 实时行情数据

接口: stock_zh_ah_spot

目标地址: http://stockapp.finance.qq.com/mstats/#mod=list&id=hk_ah&module=HK&type=AH

描述: A+H 股数据是从腾讯财经获取的数据, 延迟 15 分钟更新

限量: 单次返回所有 A+H 上市公司的实时行情数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | -  | -    |   -|

输出参数-实时行情数据

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 代码          | str   | Y        | -     |
| 名称          | str      | Y        | -     |
| 最新价          | float      | Y        | -     |
| 涨跌幅           | float      | Y        | -     |
| 涨跌额         | float      | Y        | -     |
| 买入        | float      | Y        | -     |
| 卖出        | float      | Y        | -     |
| 成交量        | float      | Y        | -     |
| 成交额        | float      | Y        | -     |
| 今开        | float      | Y        | -     |
| 昨收        | float      | Y        | -     |
| 最高        | float      | Y        | -     |
| 最低        | float      | Y        | -     |

接口示例

```python
import mssdk as ms
stock_zh_ah_spot_df = ms.stock_zh_ah_spot()
print(stock_zh_ah_spot_df)
```

数据示例

```
        代码      名称    最新价    涨跌幅    涨跌额     买入     卖出          成交量  \
0    02359    药明康德  95.25  -1.80  -1.75  95.25  95.25    868180.00   
1    02318    中国平安  93.90   0.70   0.65  93.90  93.90  25893130.00   
2    00914    海螺水泥  49.70   1.22   0.60  49.70  49.70   7590000.00   
3    00168  青岛啤酒股份  47.75  -0.42  -0.20  47.75  47.75   1212225.00   
4    06826  昊海生物科技  44.35  -3.17  -1.45  44.35  44.35    467700.00   
..     ...     ...    ...    ...    ...    ...    ...          ...   
111  02866    中远海发   0.91   0.00   0.00   0.91   0.91  13726750.00   
112  01053  重庆钢铁股份   0.91   0.00   0.00   0.91   0.91   1128000.00   
113  01057    浙江世宝   0.91  -1.09  -0.01   0.91   0.91   1156000.00   
114  01033   中石化油服   0.84   2.44   0.02   0.84   0.84   2252000.00   
115  00042    东北电气   0.59   1.72   0.01   0.59   0.59    210000.00   
               成交额     今开     昨收     最高     最低  
0      83067714.90  97.05  97.00  98.25  94.15  
1    2430459428.20  94.00  93.25  94.45  92.90  
2     375712591.20  49.50  49.10  49.90  48.60  
3      57858154.62  48.40  47.95  48.40  47.50  
4      21007409.20  45.60  45.80  45.85  44.30  
..             ...    ...    ...    ...    ...  
111    12381202.50   0.91   0.91   0.91   0.89  
112     1016320.00   0.90   0.91   0.91   0.90  
113     1059540.00   0.92   0.92   0.92   0.91  
114     1876600.00   0.83   0.82   0.84   0.83  
115      123700.00   0.59   0.58   0.59   0.58 
```

#### 历史行情数据

接口: stock_zh_ah_daily

目标地址: http://gu.qq.com/hk02359/gp(示例)

描述: A+H 股数据是从腾讯财经获取的数据, 历史数据按日频率更新

限量: 单次返回所有 A+H 上市公司的历史行情数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| symbol | str  | Y    |   symbol="02318"; 港股股票代码, 可以通过 **stock_zh_ah_name** 函数获取|
| start_year | str  | Y    |   start_year="2000"; 开始年份|
| end_year | str  | Y    |   end_year="2019"; 结束年份|
| adjust | str  | Y    |   adjust=""; 默认为空不复权; 'qfq': 前复权, 'hfq': 后复权|

输出参数-历史行情数据

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 日期          | datetime   | Y        | -     |
| 开盘          | float      | Y        | -     |
| 收盘          | float      | Y        | -     |
| 最高           | float      | Y        | -     |
| 最低         | float      | Y        | -     |
| 成交量        | float      | Y        | -     |

接口示例

```python
import mssdk as ms
stock_zh_ah_daily_df = ms.stock_zh_ah_daily(symbol="02318", start_year="2000", end_year="2019", adjust="")
print(stock_zh_ah_daily_df)
```

数据示例

```
     日期       开盘       收盘       最高       最低           成交量
0    2018-12-13   67.000   68.000   68.700   64.950  20213983.000
1    2018-12-14   68.000   68.000   68.100   67.000   2579900.000
2    2018-12-17   68.000   68.000   68.500   67.600   1131467.000
3    2018-12-18   68.000   67.900   68.000   67.250    961400.000
4    2018-12-19   67.850   67.500   68.000   66.400   2965300.000
..          ...      ...      ...      ...      ...           ...
225  2019-10-30  121.690  119.100  122.460  118.260    621131.000
226  2019-10-31  119.660  133.240  136.880  119.660   4659080.000
227  2019-11-01  132.470  131.560  134.640  129.180   1424212.000
228  2019-11-04  135.690  136.460  137.860  132.820   1298760.000
229  2019-11-05  136.530  134.010  138.210  132.470    868180.000
```

#### A+H股票字典

接口: stock_zh_ah_name

目标地址: http://stockapp.finance.qq.com/mstats/#mod=list&id=hk_ah&module=HK&type=AH

描述: A+H 股数据是从腾讯财经获取的数据, 历史数据按日频率更新

限量: 单次返回所有 A+H 上市公司的代码和名称字典

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | -  | -    |  -|

输出参数-历史行情数据

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 字典          | str   | Y        | 股票代码和股票名称的映射     |

接口示例

```python
import mssdk as ms
stock_zh_ah_name_dict = ms.stock_zh_ah_name()
print(stock_zh_ah_name_dict)
```

数据示例

```
{'02359': '药明康德', '02318': '中国平安', '00914': '海螺水泥', '00168': '青岛啤酒股份', '06826': '昊海生物科技', '03968': '招商银行', '01211': '比亚迪股份', '01336': '新华保险', '02601': '中国太保', '02202': '万科企业', '00874': '白云山', '03606': '福耀玻璃', '00763': '中兴通讯', '01513': '丽珠医药', '02196': '复星医药', '02628': '中国人寿', '01787': '山东黄金', '01088': '中国神华', '01772': '赣锋锂业', '06030': '中信证券', '02607': '上海医药', '06869': '长飞光纤光缆', '02338': '潍柴动力', '02611': '国泰君安', '06886': '华泰证券', '02883': '中海油田服务', '00548': '深圳高速公路股份', '00177': '江苏宁沪高速公路', '02208': '金风科技', '00358': '江西铜业股份', '01186': '中国铁建', '06099': '招商证券', '01776': '广发证券', '06837': '海通证券', '01171': '兖州煤业股份', '02238': '广汽集团', '00921': '海信家电', '00753': '中国国航', '02039': '中集集团', '00895': '东江环保', '03866': '青岛银行', '01528': '红星美凯龙', '02333': '长城汽车', '00939': '建设银行', '01800': '中国交通建设', '00317': '中船防务', '06178': '光大证券', '06066': '中信建投证券', '01398': '工商银行', '01157': '中联重科', '00811': '新华文轩', '01988': '民生银行', '01766': '中国中车', '03328': '交通银行', '01055': '中国南方航空股份', '03948': '伊泰煤炭', '00390': '中国中铁', '03969': '中国通号', '00995': '安徽皖通高速公路', '00998': '中信银行', '00386': '中国石油化工股份', '03958': '东方证券', '06198': '青岛港', '01072': '东方电气', '06881': '中国银河', '03618': '重庆农村商业银行', '00670': '中国东方航空股份', '00553': '南京熊猫电子股份', '00564': '郑煤机', '00857': '中国石油股份', '00902': '华能国际电力股份', '06865': '福莱特玻璃', '06818': '中国光大银行', '00719': '山东新华制药股份', '01138': '中远海能', '01339': '中国人民保险集团', '01812': '晨鸣纸业', '01288': '农业银行', '03988': '中国银行', '01330': '绿色动力环保', '01898': '中煤能源', '01919': '中远海控', '01071': '华电国际电力股份', '00323': '马鞍山钢铁股份', '02899': '紫金矿业', '01065': '天津创业环保股份', '00347': '鞍钢股份', '06196': '郑州银行', '03993': '洛阳钼业', '01635': '大众公用', '02600': '中国铝业', '00588': '北京北辰实业股份', '00525': '广深铁路股份', '00598': '中国外运', '02068': '中铝国际', '02727': '上海电气', '00107': '四川成渝高速公路', '00338': '上海石油化工股份', '02009': '金隅集团', '06806': '申万宏源', '01108': '洛阳玻璃股份', '01816': '中广核电力', '01618': '中国中冶', '00038': '第一拖拉机股份', '01375': '中州证券', '00991': '大唐发电', '03369': '秦港股份', '06116': '拉夏贝尔', '00187': '京城机电股份', '00568': '山东墨龙', '02880': '大连港', '02866': '中远海发', '01053': '重庆钢铁股份', '01057': '浙江世宝', '01033': '中石化油服', '00042': '东北电气'}
```

### 美股

#### 实时行情数据-东财

接口: stock_us_spot_em

目标地址: http://quote.eastmoney.com/center/gridlist.html#us_stocks

描述: 美股实时行情数据, 从东方财富获取且数据有 15 分钟延迟

限量: 单次返回美股所有上市公司的实时行情数据

输入参数

| 名称   | 类型 | 描述    |
| -------- | ---- | --- |
| - | -  |   -|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 序号          | int32   |  -     |
| 名称          | object   | -     |
| 最新价          | object   |  注意单位: 美元     |
| 涨跌额          | object   | 注意单位: 美元     |
| 涨跌幅          | object   |  注意单位: %     |
| 开盘价          | object   |  注意单位: 美元     |
| 最高价          | object   |  注意单位: 美元     |
| 最低价          | object   | 注意单位: 美元     |
| 昨收价          | object   |注意单位: 美元    |
| 总市值          | object   |  注意单位: 美元     |
| 市盈率          | object   | -    |
| 代码          | object   |  注意: 用来获取历史数据的代码     |

接口示例

```python
import mssdk as ms
stock_us_spot_em_df = ms.stock_us_spot_em()
print(stock_us_spot_em_df)
```

数据示例

```
          序号                               名称  ...     市盈率         代码
0          1           Verve Therapeutics Inc  ...  -27.58   105.VERV
1          2  Disruptive Acquisition Corp I W  ...       -  105.DISAW
2          3     Cellect Biotechnology Ltd Wt  ...       -  105.APOPW
3          4          Midatech Pharma PLC ADR  ...   -1.24    105.MTP
4          5     Kernel Group Holdings Inc Wt  ...       -  105.KRNLW
      ...                              ...  ...     ...        ...
11162  11163                  Urban One Inc-A  ...   11.91   105.UONE
11163  11164        Gaucho Group Holdings Inc  ...    -8.3   105.VINO
11164  11165                       CureVac NV  ...  -67.95   105.CVAC
11165  11166       CM Life Sciences II Inc Wt  ...       -  105.CMIIW
11166  11167                               联代  ... -203.52   105.UTME
```

#### 实时行情数据-新浪

接口: stock_us_spot

目标地址: http://finance.sina.com.cn/stock/usstock/sector.shtml

描述: 获取所有美股实时行情数据, 从新浪财经获取的数据有 15 分钟延迟

限量: 单次返回美股所有上市公司的实时行情数据

输入参数

| 名称   | 类型 |  描述  |
| -------- | ---- |  --- |
| - | -  |   -|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| -          | -   |  新浪默认     |

接口示例

```python
import mssdk as ms
us_stock_current_df = ms.stock_us_spot()
print(us_stock_current_df)
```

数据示例(美股股票代码可通过**get_us_stock_name**函数返回值)

```
                                                 name  \
0                                         Apple, Inc.   
1                                     Microsoft Corp.   
2                                    Amazon.com, Inc.   
3                                      Alphabet, Inc.   
4                                      Alphabet, Inc.   
..                                                ...   
75                               salesforce.com, inc.   
76                     Thermo Fisher Scientific, Inc.   
77                                       AbbVie, Inc.   
78  iPath Series B Bloomberg Energy Subindex Total...   
79              International Business Machines Corp.   
                                                cname category symbol  \
0                                                苹果公司      计算机   AAPL   
1                                                微软公司       软件   MSFT   
2                                               亚马逊公司      互联网   AMZN   
3                                                  谷歌      互联网   GOOG   
4                                               谷歌A类股     媒体内容  GOOGL   
..                                                ...      ...    ...   
75                                              赛富时公司       软件    CRM   
76                                          赛默飞世尔科技公司             TMO   
77                                              艾伯维公司  生物技术和制药   ABBV   
78  iPath Series B Bloomberg Energy Subindex Total...     None   JJEB   
79                                    IBM(国际商业机器有限公司)             IBM   
      price   diff   chg preclose     open     high      low amplitude  \
0    255.82   7.06  2.84   248.76   249.54   255.93   249.16     2.72%   
1    143.72   0.35  0.24   143.37   144.26   144.42   142.97     1.01%   
2   1791.44  14.78  0.83  1776.66  1788.01  1797.44  1785.21     0.69%   
3   1273.74  13.63  1.08  1260.11  1265.00  1274.62  1260.50     1.12%   
4   1272.25  13.45  1.07  1258.80  1265.80  1273.00  1259.71     1.06%   
..      ...    ...   ...      ...      ...      ...      ...       ...   
75   159.74   3.25  2.08   156.49   157.91   160.09   156.75     2.13%   
76   303.60   1.62  0.54   301.98   305.00   305.28   303.12     0.72%   
77    81.75   2.20  2.77    79.55    80.03    82.18    79.13     3.83%   
78    51.74   0.00  0.00    51.74     0.00     0.00     0.00     3.54%   
79   135.53   1.80  1.35   133.73   134.50   135.56   134.09     1.10%   
      volume         mktcap            pe  market category_id  
0   37781334  1156096660699   21.62468377  NASDAQ           5  
1   33128366  1097361048289   26.81343240  NASDAQ          14  
2    2790354   881483397489   77.65236086  NASDAQ          41  
3    1670072   874498927695   27.11238831  NASDAQ          41  
4    1440607   873475960000   27.08067289  NASDAQ         702  
..       ...            ...           ...     ...         ...  
75   4771053   122239344864  129.86992115    NYSE          14  
76    990471   122222192032   33.88392911    NYSE         738  
77  13356251   121302156830   29.94505474    NYSE         700  
78         0   121175090554          None    AMEX        None  
79   3089789   120621698914   15.65011561    NYSE         750 
```

#### 历史行情数据-东财

接口: stock_us_hist

目标地址: http://quote.eastmoney.com/us/ENTX.html#fullScreenChart

描述: 美股历史行情日频率数据

限量: 单次返回指定上市公司的指定 adjust 后的所有历史行情数据, 当日收盘的数据需要交易日晚上 10 点后获取

输入参数

| 名称   | 类型 |  描述 |
| -------- | ---- |  --- |
| symbol | str  |    美股代码, 可以通过 **ms.stock_us_spot_em** 函数返回所有的 pandas.DataFrame 里面的 `代码` 字段获取|
| start_date | str  |    start_date="20210101"|
| end_date | str  |    end_date="20210601"|
| adjust | str  |   默认 adjust="", 则返回未复权的数据; adjust="qfq" 则返回前复权的数据, adjust="hfq" 则返回后复权的数据, |

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 日期          | object   |  -     |
| 开盘          | float64      |  注意单位: 美元     |
| 收盘          | float64      |  注意单位: 美元     |
| 最高           | float64      |  注意单位: 美元     |
| 最低         | float64      |  注意单位: 美元     |
| 成交量        | int32      |  注意单位: 股     |
| 成交额        | float64      |  注意单位: 美元     |
| 振幅        | float64      |  注意单位: %     |
| 涨跌幅        | float64      |  注意单位: %     |
| 涨跌额        | float64      |  注意单位: 美元     |
| 换手率        | float64      |  注意单位: %     |

接口示例

```python
import mssdk as ms
stock_us_hist_df = ms.stock_us_hist(symbol='105.MTP', start_date="19700101", end_date="22220101", adjust="qfq")
print(stock_us_hist_df)
```

数据示例

```
     日期      开盘      收盘      最高  ...     振幅    涨跌幅    涨跌额     换手率
0     2015-12-07  404.50  367.50  404.50  ...   0.00   0.00   0.00    0.12
1     2015-12-08  367.00  314.00  367.00  ...  15.51 -14.56 -53.50    0.31
2     2015-12-09  312.50  300.00  313.50  ...  14.65  -4.46 -14.00    0.21
3     2015-12-10  300.00  317.00  322.00  ...   7.33   5.67  17.00    0.17
4     2015-12-11  315.00  314.50  317.50  ...   5.52  -0.79  -2.50    0.11
          ...     ...     ...     ...  ...    ...    ...    ...     ...
1380  2021-06-11    2.09    2.11    2.17  ...   7.84   3.43   0.07    1.43
1381  2021-06-14    2.14    2.08    2.14  ...   9.00  -1.42  -0.03    0.80
1382  2021-06-15    2.07    2.00    2.07  ...   3.37  -3.85  -0.08    0.76
1383  2021-06-16    1.98    2.04    2.05  ...   3.50   2.00   0.04    0.62
1384  2021-06-17    3.46    2.95    3.61  ...  51.47  44.61   0.91  944.77
```

#### 分时数据-东财

接口: stock_us_hist_min_em

目标地址: http://quote.eastmoney.com/us/ATER.html

描述: 东方财富网-行情首页-美股-每日分时行情

限量: 单次返回指定上市公司最近 5 个交易日分钟数据, 注意美股有延时

输入参数

| 名称   | 类型 |  描述 |
| -------- | ---- |  --- |
| symbol | str  | symbol="105.ATER"; 美股代码可以通过 **ms.stock_us_spot_em** 函数返回所有的 pandas.DataFrame 里面的 `代码` 字段获取|
| start_date | str  |start_date="1979-09-01 09:32:00"; 日期时间; 默认返回所有数据|
| end_date | str  |end_date="2222-01-01 09:32:00"; 日期时间; 默认返回所有数据|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 时间          | object   |  -     |
| 开盘          | float64      |  注意单位: 美元     |
| 收盘          | float64      | 注意单位: 美元     |
| 最高           | float64      | 注意单位: 美元     |
| 最低         | float64      |  注意单位: 美元     |
| 成交量        | float64      |  注意单位: 股     |
| 成交额        | float64      |  注意单位: 美元     |
| 最新价        | float64      |  注意单位: 美元     |

接口示例

```python
import mssdk as ms
stock_us_hist_min_em_df = ms.stock_us_hist_min_em(symbol="105.ATER")
print(stock_us_hist_min_em_df)
```

数据示例

```
          时间    开盘    收盘    最高    最低       成交量          成交额    最新价
0     2021-08-30 21:30:00  0.00  8.86  8.92  8.86  12147424  108372137.0  8.898
1     2021-08-30 21:31:00  0.00  8.72  8.90  8.57    998571    8927364.0  8.813
2     2021-08-30 21:32:00  0.00  8.73  8.73  8.44    725257    6193335.0  8.735
3     2021-08-30 21:33:00  0.00  8.90  8.98  8.67    546888    4965712.0  8.747
4     2021-08-30 21:34:00  0.00  8.60  9.00  8.34   1040362    9456790.0  8.739
                   ...   ...   ...   ...   ...       ...          ...    ...
1950  2021-09-04 03:56:00  6.67  6.65  6.70  6.65     26769     180608.0  6.478
1951  2021-09-04 03:57:00  6.65  6.68  6.68  6.65     13643      90551.0  6.478
1952  2021-09-04 03:58:00  6.68  6.70  6.70  6.67     46469     314155.0  6.480
1953  2021-09-04 03:59:00  6.70  6.69  6.70  6.69     31059     209314.0  6.481
1954  2021-09-04 04:00:00  6.70  6.70  6.70  6.67    243168    1549848.0  6.478
```

#### 历史行情数据-新浪

接口: stock_us_daily

目标地址: http://finance.sina.com.cn/stock/usstock/sector.shtml

描述: 获取美股历史行情数据，设定 adjust="qfq" 则返回前复权后的数据，默认 adjust="", 则返回未复权的数据，历史数据按日频率更新

限量: 单次返回指定上市公司的指定 adjust 后的所有历史行情数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| symbol | str  | Y    |   美股代码, 可以通过 **ms.get_us_stock_name** 函数返回所有美股代码, 由于美股数据量大, 建议按需要获取|
| adjust | str  | Y    |   adjust="qfq" 则返回前复权后的数据，默认 adjust="", 则返回未复权的数据|

**ms.get_us_stock_name**: will return a pandas.DataFrame, which contains name, cname and symbol, you should use symbol!

输出参数-历史数据

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| date          | datetime     | Y        | 日期索引   |
| open          | float64      | Y        | 开盘价     |
| high          | float64      | Y        | 最高价     |
| low           | float64      | Y        | 最低价     |
| close         | float64      | Y        | 收盘价     |
| volume        | float64      | Y        | 成交量     |

输出参数-前复权因子

| 名称          | 类型 | 默认显示 | 描述        |
| ------------ | ----- | -------- | ---------------- |
| date          | datetime   | Y        | 日期     |
| qfq_factor          | float      | Y        | 前复权因子     |
| adjust          | float      | Y        | 由于前复权会出现负值, 该值为调整因子     |

P.S. 复权计算公式: 未复权数据 * qfq_factor + adjust

P.S. "CIEN" 股票的新浪美股数据由于复权因子错误，暂不返回前复权数据

接口示例-未复权数据

```python
import mssdk as ms
stock_us_daily_df = ms.stock_us_daily(symbol="AAPL", adjust="")
print(stock_us_daily_df)
```

数据示例-未复权数据

```
               open      high      low    close       volume
date                                                        
1980-12-12   28.735   28.8750   28.735   28.735    2093900.0
1980-12-15   27.265   27.3700   27.265   27.265     785200.0
1980-12-16   25.235   25.3750   25.235   25.235     472000.0
1980-12-17   25.865   26.0050   25.865   25.865     385900.0
1980-12-18   26.635   26.7400   26.635   26.635     327900.0
             ...       ...      ...      ...          ...
2021-01-04  133.520  133.6116  126.760  129.410  134308607.0
2021-01-05  128.890  131.7400  128.430  131.010   90749416.0
2021-01-06  127.720  131.0499  126.382  126.600  139351145.0
2021-01-07  128.360  131.6300  127.860  130.920  101546989.0
2021-01-08  132.430  132.6300  130.230  132.050   98373014.0
```

接口示例-前复权调整后的数据

```python
import mssdk as ms
stock_us_daily_df = ms.stock_us_daily(symbol="AAPL", adjust="qfq")
print(stock_us_daily_df)
```

数据示例-前复权调整后的数据

```
                open      high       low     close       volume
date                                                           
1980-12-12   -4.8164   -4.8158   -4.8164   -4.8164    2093900.0
1980-12-15   -4.8230   -4.8225   -4.8230   -4.8230     785200.0
1980-12-16   -4.8321   -4.8314   -4.8321   -4.8321     472000.0
1980-12-17   -4.8293   -4.8286   -4.8293   -4.8293     385900.0
1980-12-18   -4.8258   -4.8253   -4.8258   -4.8258     327900.0
              ...       ...       ...       ...          ...
2021-01-04  133.5200  133.6116  126.7600  129.4100  134308607.0
2021-01-05  128.8900  131.7400  128.4300  131.0100   90749416.0
2021-01-06  127.7200  131.0499  126.3820  126.6000  139351145.0
2021-01-07  128.3600  131.6300  127.8600  130.9200  101546989.0
2021-01-08  132.4300  132.6300  130.2300  132.0500   98373014.0
```

接口示例-前复权因子

```python
import mssdk as ms
qfq_df = ms.stock_us_daily(symbol="AAPL", adjust="qfq-factor")
print(qfq_df)
```

数据示例-前复权因子

```
                   qfq_factor            adjust
date                                           
2020-08-07                  1                 0
2020-05-08                  1      -0.819999993
2020-02-07                  1      -1.639999986
2019-11-07                  1      -2.409999967
2019-08-09                  1      -3.179999948
                       ...               ...
1987-11-17  0.035714285714285     -18.958676644
1987-08-10  0.035714285714285  -18.958778786857
1987-06-16  0.035714285714285  -18.958855215429
1987-05-11  0.017857142857142  -18.958855215429
1900-01-01  0.017857142857142  -18.958893429714
```

#### 基本面数据

接口: stock_us_fundamental

目标地址: https://www.macrotrends.net/stocks/charts/AAPL/apple/pe-ratio

描述: 获取美股的基本财务数据, 目前提供 PB 和 PE 的数据

限量: 单次返回指定美股和指标的所有数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| stock | str | Y | stock="GOOGL"; 美股 ticker, 可以通过调用 **stock_us_fundamental(symbol="info")** 获取所有 ticker |
| symbol | str | Y | symbol="info"; info: 返回所有美股列表, PE: 返回 PE 数据, PB: 返回 PB 数据 |

输出参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | - | - | 根据 symbol 变化 |

接口示例

```python
import mssdk as ms
stock_us_fundamental_df = ms.stock_us_fundamental(stock="GOOGL", symbol="PB")
print(stock_us_fundamental_df)
```

数据示例

```
          date  stock_price book_value_per_share  price_to_book_ratio
0   2020-08-21      1575.57                  NaN                 5.18
1   2020-06-30      1418.05              $304.34                 4.66
2   2020-03-31      1161.95              $297.76                 3.90
3   2019-12-31      1339.39              $292.65                 4.58
4   2019-09-30      1221.14              $282.19                 4.33
..         ...          ...                  ...                  ...
54  2007-03-31       229.79               $29.60                 7.76
55  2006-12-31       230.95               $27.57                 8.38
56  2006-09-30       201.57               $23.66                 8.52
57  2006-06-30       210.31               $22.07                 9.53
58  2006-03-31       195.60               $17.36                11.27
```

#### 粉单市场

接口: stock_us_pink_spot_em

目标地址: http://quote.eastmoney.com/center/gridlist.html#us_pinksheet

描述: 美股粉单市场的实时行情数据

限量: 单次返回指定所有粉单市场的行情数据

输入参数

| 名称   | 类型 | 描述   |
| -------- | ---- |  --- |
| - | - |  - |

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 序号          | int32   |  -     |
| 名称          | object   | -     |
| 最新价          | object   |  注意单位: 美元     |
| 涨跌额          | object   | 注意单位: 美元     |
| 涨跌幅          | object   |  注意单位: %     |
| 开盘价          | object   |  注意单位: 美元     |
| 最高价          | object   |  注意单位: 美元     |
| 最低价          | object   | 注意单位: 美元     |
| 昨收价          | object   |注意单位: 美元    |
| 总市值          | object   |  注意单位: 美元     |
| 市盈率          | object   | -    |
| 代码          | object   |  注意: 用来获取历史数据的代码     |

接口示例

```python
import mssdk as ms
stock_us_pink_spot_em_df = ms.stock_us_pink_spot_em()
print(stock_us_pink_spot_em_df)
```

数据示例

```
      序号           名称                    最新价  ...  总市值  市盈率  代码
0      1           LiNiu Technology Group  0.0189  ...  NaN  NaN  153.LINUF
1      2              NOBILIS HEALTH CORP  0.0016  ...  NaN  NaN  153.NRTSF
2      3                  Yuma Energy Inc  0.0999  ...  NaN  NaN  153.YUMAQ
3      4                      HHGregg Inc  0.0120  ...  NaN  NaN  153.HGGGQ
4      5  Helios and Matheson Analytics I  0.0010  ...  NaN  NaN   153.HMNY
..   ...                              ...     ...  ...  ...  ...        ...
215  216              root9B Holdings Inc  0.0100  ...  NaN  NaN   153.RTNB
216  217       Immune Pharmaceuticals Inc  0.0012  ...  NaN  NaN  153.IMNPQ
217  218                       JRjr33 Inc  0.0005  ...  NaN  NaN  153.JRJRQ
218  219         Mad Catz Interactive Inc  0.0001  ...  NaN  NaN  153.MCZAF
219  220         Taronis Technologies Inc  0.0010  ...  NaN  NaN   153.TRNX
```

#### 知名美股

接口: stock_us_famous_spot_em

目标地址: http://quote.eastmoney.com/center/gridlist.html#us_wellknown

描述: 美股-知名美股的实时行情数据

限量: 单次返回指定 symbol 的行情数据

输入参数

| 名称   | 类型 | 描述   |
| -------- | ---- |  --- |
| symbol | str |  symbol="科技类"; choice of {'科技类', '金融类', '医药食品类', '媒体类', '汽车能源类', '制造零售类'} |

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 序号          | int32   |  -     |
| 名称          | object   | -     |
| 最新价          | object   |  注意单位: 美元     |
| 涨跌额          | object   | 注意单位: 美元     |
| 涨跌幅          | object   |  注意单位: %     |
| 开盘价          | object   |  注意单位: 美元     |
| 最高价          | object   |  注意单位: 美元     |
| 最低价          | object   | 注意单位: 美元     |
| 昨收价          | object   |注意单位: 美元    |
| 总市值          | object   |  注意单位: 美元     |
| 市盈率          | object   | -    |
| 代码          | object   |  注意: 用来获取历史数据的代码     |

接口示例

```python
import mssdk as ms
stock_us_famous_spot_em_df = ms.stock_us_famous_spot_em(symbol='科技类')
print(stock_us_famous_spot_em_df)
```

数据示例

```
    序号              名称           最新价  ...         总市值     市盈率        代码
0    1  Silvergate Capital Corp-A   116.34  ...     3085409047   61.93    106.SI
1    2  Opendoor Technologies Inc    18.94  ...    11451903533  -19.65  105.OPEN
2    3                     阿勒格尼技术    17.55  ...     2233160842   -1.82   106.ATI
3    4                Yandex NV-A    78.71  ...    28129406798  131.13  105.YNDX
4    5                        爱立信    11.83  ...    39443015025   16.44  105.ERIC
5    6                        诺基亚     5.91  ...    33269348763  -14.11   106.NOK
6    7              Groupon Inc-A    22.16  ...      654264338   73.65  105.GRPN
7    8                         推特    62.46  ...    49840992399  129.65  106.TWTR
8    9             Facebook Inc-A   378.00  ...  1065750021378   27.36    105.FB
9   10                         惠普    28.21  ...    32512553599    7.98   106.HPQ
10  11                       谷歌-C  2898.27  ...  1932435735616   16.84  105.GOOG
11  12                      阿卡迈技术   113.38  ...    18461647373   31.60  105.AKAM
12  13                      超威半导体   106.15  ...   128756264684   37.47   105.AMD
13  14                         思科    58.60  ...   247159324736   23.34  105.CSCO
14  15                       中华电信    40.05  ...    31068573413   24.84   106.CHT
15  16                       德州仪器   188.47  ...   173997383234   25.87   105.TXN
16  17                        奥多比   661.68  ...   315224352000   56.47  105.ADBE
17  18                        高知特    76.48  ...    40197673856   23.91  105.CTSH
18  19                        英特尔    53.40  ...   216643800000   11.68  105.INTC
19  20                     美国电话电报    27.42  ...   195778800000 -100.55     106.T
20  21                         高通   141.58  ...   159702240000   17.35  105.QCOM
21  22                         苹果   154.07  ...  2546802675620   29.34  105.AAPL
22  23              IBM国际商业机器(US)   137.74  ...   123459126717   23.15   106.IBM
23  24                         陶氏    60.28  ...    44955123381   10.96   106.DOW
24  25                        思爱普   145.68  ...   171841118251   23.58   106.SAP
25  26                        英伟达   221.77  ...   554425000000   78.33  105.NVDA
26  27                      威瑞森通讯    54.44  ...   225387915421   11.28    106.VZ
27  28                         微软   297.25  ...  2233801423468   36.46  105.MSFT
28  29                   摩托罗拉解决方案   244.00  ...    41315202400   35.80   106.MSI
29  30                        亚马逊  3484.16  ...  1764519802163   59.94  105.AMZN
30  31                         易趣    73.00  ...    47454073765    3.68  105.EBAY
31  32                    沃达丰(US)    16.61  ...    46152628937  351.55   105.VOD
32  33                Zynga Inc-A     8.28  ...     9040854574  -53.06  105.ZNGA
33  34          SentinelOne Inc-A    66.04  ...    16930759265  -85.17     106.S
```

### 港股

#### 实时行情数据-东财

接口: stock_hk_spot_em

目标地址: http://quote.eastmoney.com/center/gridlist.html#hk_stocks

描述: 获取所有港股的实时行情数据; 该数据有 15 分钟延时

限量: 单次返回最近交易日的所有港股的数据

输入参数

| 名称   | 类型 |  描述                                                                              |
| -------- | ---- |  --- |
| - | - | - |

输出参数

| 名称   | 类型 |  描述    |
| -------- | ---- |  --- |
| 序号 | int32 |  - |
| 代码 | object |  - |
| 名称 | object |  - |
| 最新价 | object |  注意单位: 港元 |
| 涨跌额 | object |  注意单位: 港元 |
| 涨跌幅 | object |  注意单位: % |
| 今开 | object |  - |
| 最高 | object |  - |
| 最低 | object |  - |
| 昨收 | object |  - |
| 成交量 | object |  注意单位: 股 |
| 成交额 | object | 注意单位: 港元 |

接口示例

```python
import mssdk as ms
stock_hk_spot_em_df = ms.stock_hk_spot_em()
print(stock_hk_spot_em_df)
```

数据示例
```
     序号     代码      名称    最新价  ...    最低   昨收  成交量         成交额
0        1  00593     梦东方   2.62  ...    1.6   1.51   2582500   7104955.0
1        2  08367    倩碧控股  0.225  ...  0.153  0.152  82770000  17723337.0
2        3  03886  康健国际医疗  0.395  ...  0.305   0.29  54347051  19867777.0
3        4  00205    财讯传媒  0.475  ...  0.305   0.35   6920400   3218611.0
4        5  08166  中国农业生态  0.047  ...   0.04  0.037    120000      5230.0
    ...    ...     ...    ...  ...    ...    ...       ...         ...
4523  4524  01335    顺泰控股  0.161  ...  0.152  0.195   2310000    376096.0
4524  4525  08088  八零八八投资  0.051  ...   0.05  0.062   1216000     65144.0
4525  4526  00809  大成生化科技  0.205  ...  0.195   0.25   4024000    875026.0
4526  4527  00378    五龙动力  0.012  ...  0.011  0.015  80412000    991172.0
4527  4528  03638    华邦科技  0.099  ...  0.099  0.128    972000    100308.0
```

#### 实时行情数据-新浪

港股-实时行情数据是从新浪财经获取的数据, 更新频率为实时, 由于新浪服务器因素行情延时 15 分钟

接口: stock_hk_spot

目标地址: http://vip.stock.finance.sina.com.cn/mkt/#qbgg_hk

描述: 获取所有港股的实时行情数据 15 分钟延时

限量: 单次返回当前时间戳的所有港股的数据

输入参数

| 名称   | 类型 |  描述      |
| -------- | ---- | --- |
| - | - | - |


输出参数

| 名称   | 类型 |  描述      |
| -------- | ---- |  --- |
| symbol | str | 港股代码 |
| name | str |  中文名称 |
| engname | str | 英文名称 |
| tradetype | str |交易类型 |
| lasttrade | float |  最新价 |
| prevclose | float | 前一个交易日收盘价 |
| open | float |  开盘价 |
| high | float |  最高价 |
| low | float |  最低价 |
| volume | float |  成交量(万) |
| amount | float |  成交额(万) |
| ticktime | datetime |当前数据时间戳 |
| buy | float |  买一 |
| sell | float |  卖一 |
| pricechange | float |  涨跌额 |
| changepercent | float |  涨跌幅 |

接口示例

```python
import mssdk as ms
current_data_df = ms.stock_hk_spot()
print(current_data_df)
```

数据示例
```
     symbol            name         engname tradetype lasttrade prevclose  \
0     00001              长和     CHEUNG KONG      EQTY    73.550    72.800   
1     00002            中电控股    CLP HOLDINGS      EQTY    83.300    82.450   
2     00003          香港中华煤气  HK & CHINA GAS      EQTY    15.500    15.420   
3     00004           九龙仓集团  WHARF HOLDINGS      EQTY    18.380    18.080   
4     00005            汇丰控股   HSBC HOLDINGS      EQTY    60.100    59.600   
     ...             ...             ...       ...       ...       ...   
2431  08621  METROPOLIS CAP            NULL      EQTY     0.202     0.221   
2432  08622          华康生物医学            NULL      EQTY     0.165     0.170   
2433  08631            申港控股  SUN KONG HLDGS      EQTY     0.159     0.159   
2434  08635          连成科技集团    NOVACON TECH      EQTY     0.141     0.144   
2435  08668            瀛海集团            NULL      EQTY     0.169     0.169   
        open    high     low    volume      amount             ticktime  \
0     72.800  73.750  72.750   4254929   312057461  2019-11-04 16:08:16   
1     82.650  83.500  82.550   4134114   343898972  2019-11-04 16:08:16   
2     15.500  15.540  15.420  18713572   290146820  2019-11-04 16:08:16   
3     18.140  18.540  18.060   3444016    63114165  2019-11-04 16:08:38   
4     59.650  60.150  59.650  21465219  1287428213  2019-11-04 16:08:16   
      ...     ...     ...       ...         ...                  ...   
2431   0.230   0.230   0.200   6544000     1362536  2019-11-04 16:08:20   
2432   0.164   0.166   0.164    304000       49904  2019-11-04 16:08:20   
2433   0.000   0.000   0.000         0           0  2019-11-04 16:08:20   
2434   0.142   0.144   0.141    124000       17672  2019-11-04 16:08:20   
2435   0.164   0.169   0.163    360000       59430  2019-11-04 16:08:20   
         buy    sell pricechange changepercent  
0     73.500  73.550       0.750     1.0302198  
1     83.250  83.300       0.850     1.0309278  
2     15.480  15.500       0.080     0.5188067  
3     18.360  18.380       0.300     1.6592920  
4     60.050  60.100       0.500     0.8389262  
      ...     ...         ...           ...  
2431   0.202   0.204      -0.019    -8.5972851  
2432   0.165   0.175      -0.005    -2.9411765  
2433   0.153   0.160       0.000     0.0000000  
2434   0.141   0.144      -0.003    -2.0833333  
2435   0.166   0.169       0.000     0.0000000  
```

#### 分时数据-东财

接口: stock_hk_hist_min_em

目标地址: http://quote.eastmoney.com/hk/00948.html

描述: 东方财富网-行情首页-港股-每日分时行情

限量: 单次返回指定上市公司最近 5 个交易日分钟数据, 注意港股有延时

输入参数

| 名称   | 类型 |  描述 |
| -------- | ---- |  --- |
| symbol | str  | symbol="01611"; 港股代码可以通过 **ms.stock_hk_spot_em** 函数返回所有的 pandas.DataFrame 里面的 `代码` 字段获取|
| period | str  |period='5'; choice of {'1', '5', '15', '30', '60'}; 其中 1 分钟数据返回近 5 个交易日数据且不复权|
| adjust | str  |adjust=''; choice of {'', 'qfq', 'hfq'}; '': 不复权, 'qfq': 前复权, 'hfq': 后复权, 其中 1 分钟数据返回近 5 个交易日数据且不复权|
| start_date | str  |start_date="1979-09-01 09:32:00"; 日期时间; 默认返回所有数据|
| end_date | str  |end_date="2222-01-01 09:32:00"; 日期时间; 默认返回所有数据|

输出参数-1分钟数据

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 时间          | object   |  -     |
| 开盘          | float64      |  注意单位: 港元     |
| 收盘          | float64      | 注意单位: 港元     |
| 最高           | float64      | 注意单位: 港元     |
| 最低         | float64      |  注意单位: 港元     |
| 成交量        | float64      |  注意单位: 股     |
| 成交额        | float64      |  注意单位: 港元     |
| 最新价        | float64      |  注意单位: 港元     |

接口示例-1分钟数据

```python
import mssdk as ms
stock_hk_hist_min_em_df = ms.stock_hk_hist_min_em(symbol="01611", period='1', adjust='', start_date="2021-09-01 09:32:00", end_date="2021-09-07 18:32:00")  # 其中的 start_date 和 end_date 需要设定为近期
print(stock_hk_hist_min_em_df)
```

数据示例-1分钟数据

```
                    时间     开盘  收盘    最高    最低   成交量   成交额      最新价
0     2021-09-01 09:32:00   0.00  11.90  11.90  11.90  15500  184450.0  11.9215
1     2021-09-01 09:33:00   0.00  11.86  11.88  11.70  27500  326030.0  11.8837
2     2021-09-01 09:34:00   0.00  11.84  11.86  11.84      0       0.0  11.8837
3     2021-09-01 09:35:00   0.00  11.80  11.80  11.80      0       0.0  11.8837
4     2021-09-01 09:36:00   0.00  11.60  11.70  11.60   5000   58200.0  11.8608
                   ...    ...    ...    ...    ...    ...       ...      ...
1648  2021-09-07 15:56:00  14.04  14.04  14.04  14.04   1000   14040.0  13.9076
1649  2021-09-07 15:57:00  14.08  14.06  14.08  14.04   4500   63330.0  13.9078
1650  2021-09-07 15:58:00  14.04  14.08  14.08  14.04   6500   91390.0  13.9081
1651  2021-09-07 15:59:00  14.08  14.06  14.08  14.06   1000   14070.0  13.9082
1652  2021-09-07 16:00:00  14.06  14.10  14.10  14.06  34500  486320.0  13.9102
```

输出参数-其他

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 时间          | object   |  -     |
| 开盘          | float64      |  注意单位: 港元     |
| 收盘          | float64      | 注意单位: 港元     |
| 最高           | float64      | 注意单位: 港元     |
| 最低         | float64      |  注意单位: 港元     |
| 涨跌幅        | float64      |  注意单位: %     |
| 涨跌额        | float64      |  注意单位: 港元     |
| 成交量        | float64      |  注意单位: 股     |
| 成交额        | float64      |  注意单位: 港元     |
| 振幅        | float64      |  注意单位: %     |
| 换手率        | float64      |  注意单位: %     |

接口示例-其他

```python
import mssdk as ms
stock_hk_hist_min_em_df = ms.stock_hk_hist_min_em(symbol="01611", period='5', adjust='hfq', start_date="2021-09-01 09:32:00", end_date="2021-09-07 18:32:00")  # 其中的 start_date 和 end_date 需要设定为近期
print(stock_hk_hist_min_em_df)
```

数据示例-其他

```
                  时间     开盘   收盘   最高  ...    成交量   成交额    振幅   换手率
0    2021-09-01 09:35:00  12.05  11.85  12.05  ...  48000   570420.0  2.47  0.02
1    2021-09-01 09:40:00  11.75  11.57  11.75  ...  41500   478780.0  1.86  0.01
2    2021-09-01 09:45:00  11.57  11.57  11.67  ...  17000   196350.0  0.86  0.01
3    2021-09-01 09:50:00  11.57  11.67  11.67  ...  21500   248120.0  1.38  0.01
4    2021-09-01 09:55:00  11.65  11.63  11.69  ...  36500   423360.0  0.51  0.01
..                   ...    ...    ...    ...  ...    ...        ...   ...   ...
325  2021-09-07 15:40:00  14.11  14.05  14.11  ...  76500  1073240.0  0.43  0.02
326  2021-09-07 15:45:00  14.09  14.07  14.13  ...  23500   329810.0  0.43  0.01
327  2021-09-07 15:50:00  14.07  14.13  14.13  ...  50000   701710.0  0.43  0.02
328  2021-09-07 15:55:00  14.13  14.13  14.15  ...  54500   767760.0  0.28  0.02
329  2021-09-07 16:00:00  14.09  14.15  14.15  ...  47500   669150.0  0.42  0.02
```

#### 历史行情数据-东财

接口: stock_hk_hist

目标地址: http://quote.eastmoney.com/hk/08367.html

描述: 港股-历史行情数据, 可以选择返回复权后数据, 更新频率为日频

限量: 单次返回指定上市公司的历史行情数据

输入参数

| 名称   | 类型 | 描述             |
| -------- | ---- |  --- |
| symbol | str  |    symbol="00593"; 港股代码,可以通过 **ms.stock_hk_spot_em** 函数返回所有港股代码|
| start_date | str  |    start_date="19700101"; 开始日期|
| end_date | str  |    end_date="22220101"; 结束日期|
| adjust | str  |    "": 返回未复权的数据, 默认; qfq: 返回前复权数据; hfq: 返回后复权数据;|

输出参数

| 名称          | 类型 | 描述           |
| ------------ | ----- | ---------------- |
| 日期          | object   | -     |
| 开盘          | float64      |  注意单位: 港元     |
| 收盘          | float64      |  注意单位: 港元     |
| 最高           | float64      |  注意单位: 港元     |
| 最低         | float64      | 注意单位: 港元     |
| 成交量        | int64      |  注意单位: 股     |
| 成交额        | float64      |  注意单位: 港元     |
| 振幅        | float64      |  注意单位: %     |
| 涨跌幅        | float64      | 注意单位: %     |
| 涨跌额        | float64      |  注意单位: 港元     |
| 换手率        | float64      | 注意单位: %     |

接口示例-未复权

```python
import mssdk as ms
stock_hk_hist_df = ms.stock_hk_hist(symbol="00593", start_date="19700101", end_date="22220101", adjust="")
print(stock_hk_hist_df)
```

数据示例-未复权

```
      日期    开盘    收盘    最高    最低  ...    成交额      振幅   涨跌幅  涨跌额  换手率
0     1998-01-02  0.64  0.64  0.67  0.62  ...   805000.0    0.00   0.00  0.00  0.45
1     1998-01-05  0.63  0.59  0.63  0.59  ...  2512000.0    6.25  -7.81 -0.05  1.47
2     1998-01-06  0.60  0.60  0.63  0.60  ...  1199000.0    5.08   1.69  0.01  0.69
3     1998-01-07  0.60  0.58  0.60  0.58  ...  1765000.0    3.33  -3.33 -0.02  1.05
4     1998-01-08  0.59  0.58  0.59  0.56  ...   864000.0    5.17   0.00  0.00  0.53
          ...   ...   ...   ...   ...  ...        ...     ...    ...   ...   ...
4536  2021-03-26  1.53  1.53  1.53  1.53  ...        0.0    0.00   0.00  0.00  0.00
4537  2021-03-29  1.53  1.53  1.53  1.53  ...      765.0    0.00   0.00  0.00  0.00
4538  2021-03-30  1.53  1.51  1.53  1.39  ...   106650.0    9.15  -1.31 -0.02  0.03
4539  2021-03-31  1.51  1.51  1.51  1.51  ...        0.0    0.00   0.00  0.00  0.00
4540  2021-06-18  1.60  2.62  3.80  1.60  ...  7104955.0  145.70  73.51  1.11  0.90
```

输出参数-前复权

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 日期          | object   | Y        | -     |
| 开盘          | float64      | Y        | 注意单位: 港元     |
| 收盘          | float64      | Y        | 注意单位: 港元     |
| 最高           | float64      | Y        | 注意单位: 港元     |
| 最低         | float64      | Y        | 注意单位: 港元     |
| 成交量        | int32      | Y        | 注意单位: 股     |
| 成交额        | float64      | Y        | 注意单位: 港元     |
| 振幅        | float64      | Y        | 注意单位: %     |
| 涨跌幅        | float64      | Y        | 注意单位: %     |
| 涨跌额        | float64      | Y        | 注意单位: 港元     |
| 换手率        | float64      | Y        | 注意单位: %     |

接口示例-前复权

```python
import mssdk as ms
stock_hk_hist_qfq_df = ms.stock_hk_hist(symbol="00593", start_date="19700101", end_date="22220101", adjust="qfq")
print(stock_hk_hist_qfq_df)
```

数据示例-前复权

```
      日期     开盘     收盘     最高  ...      振幅   涨跌幅  涨跌额 换手率
0     1998-01-02  1.713  1.713  1.863  ...    0.00   0.00  0.00  0.45
1     1998-01-05  1.663  1.463  1.663  ...   11.68 -14.59 -0.25  1.47
2     1998-01-06  1.513  1.513  1.663  ...   10.25   3.42  0.05  0.69
3     1998-01-07  1.513  1.413  1.513  ...    6.61  -6.61 -0.10  1.05
4     1998-01-08  1.463  1.413  1.463  ...   10.62   0.00  0.00  0.53
          ...    ...    ...    ...  ...     ...    ...   ...   ...
4536  2021-03-26  1.530  1.530  1.530  ...    0.00   0.00  0.00  0.00
4537  2021-03-29  1.530  1.530  1.530  ...    0.00   0.00  0.00  0.00
4538  2021-03-30  1.530  1.510  1.530  ...    9.15  -1.31 -0.02  0.03
4539  2021-03-31  1.510  1.510  1.510  ...    0.00   0.00  0.00  0.00
4540  2021-06-18  1.600  2.620  3.800  ...  145.70  73.51  1.11  0.90
```

输出参数-后复权

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 日期          | object   | Y        | -     |
| 开盘          | float64      | Y        | 注意单位: 港元     |
| 收盘          | float64      | Y        | 注意单位: 港元     |
| 最高           | float64      | Y        | 注意单位: 港元     |
| 最低         | float64      | Y        | 注意单位: 港元     |
| 成交量        | int32      | Y        | 注意单位: 股     |
| 成交额        | float64      | Y        | 注意单位: 港元     |
| 振幅        | float64      | Y        | 注意单位: %     |
| 涨跌幅        | float64      | Y        | 注意单位: %     |
| 涨跌额        | float64      | Y        | 注意单位: 港元     |
| 换手率        | float64      | Y        | 注意单位: %     |

接口示例-后复权

```python
import mssdk as ms
stock_hk_hist_hfq_df = ms.stock_hk_hist(symbol="00593", start_date="19700101", end_date="22220101", adjust="hfq")
print(stock_hk_hist_hfq_df)
```

数据示例-后复权

```
      日期     开盘     收盘     最高  ...     振幅    涨跌幅  涨跌额 换手率
0     1998-01-02  0.715  0.715  0.745  ...   0.00   0.00  0.000  0.45
1     1998-01-05  0.705  0.665  0.705  ...   5.59  -6.99 -0.050  1.47
2     1998-01-06  0.675  0.675  0.705  ...   4.51   1.50  0.010  0.69
3     1998-01-07  0.675  0.655  0.675  ...   2.96  -2.96 -0.020  1.05
4     1998-01-08  0.665  0.655  0.665  ...   4.58   0.00  0.000  0.53
          ...    ...    ...    ...  ...    ...    ...    ...   ...
4536  2021-03-26  0.679  0.679  0.679  ...   0.00   0.00  0.000  0.00
4537  2021-03-29  0.679  0.679  0.679  ...   0.00   0.00  0.000  0.00
4538  2021-03-30  0.679  0.675  0.679  ...   4.12  -0.59 -0.004  0.03
4539  2021-03-31  0.675  0.675  0.675  ...   0.00   0.00  0.000  0.00
4540  2021-06-18  0.693  0.897  1.133  ...  65.19  32.89  0.222  0.90
```

#### 历史行情数据-新浪

接口: stock_hk_daily

目标地址: http://stock.finance.sina.com.cn/hkstock/quotes/01336.html(个例)

描述:港股-历史行情数据, 可以选择返回复权后数据,更新频率为日频

限量: 单次返回指定上市公司的历史行情数据(包括前后复权因子), 提供新浪财经拥有的该股票的所有数据(并不等于该股票从上市至今的数据)

输入参数

| 名称   | 类型 | 必选 | 描述             |
| -------- | ---- | ---- | --- |
| symbol | str  | Y    |   港股代码,可以通过 **stock_hk_spot** 函数返回所有港股代码|
| adjust | str  | Y    |   "": 返回未复权的数据 ; qfq: 返回前复权后的数据; hfq: 返回后复权后的数据; qfq-factor: 返回前复权因子和调整; hfq-factor: 返回后复权因子和调整;|

输出参数-历史行情数据(后复权)

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| date          | object   | Y        | 日期     |
| open          | float64      | Y        | 开盘价     |
| high          | float64      | Y        | 最高价     |
| low           | float64      | Y        | 最低价     |
| close         | float64      | Y        | 收盘价     |
| volume        | float64      | Y        | 成交量     |

接口示例-历史行情数据(后复权)

```python
import mssdk as ms
stock_hk_daily_hfq_df = ms.stock_hk_daily(symbol="00700", adjust="hfq")
print(stock_hk_daily_hfq_df)
```

数据示例-历史行情数据(后复权)

```
           date      open      high       low     close       volume
0    2004-06-16     4.375     4.625     4.075     4.150  439775000.0
1    2004-06-17     4.150     4.375     4.125     4.225   83801500.0
2    2004-06-18     4.200     4.250     3.950     4.025   36598000.0
3    2004-06-21     4.125     4.125     3.950     4.000   22817000.0
4    2004-06-23     4.050     4.450     4.025     4.425   55016000.0
         ...       ...       ...       ...       ...          ...
4163 2021-05-24  2968.040  2975.540  2918.040  2963.040   16608372.0
4164 2021-05-25  2983.040  3100.540  2978.040  3085.540   27044587.0
4165 2021-05-26  3158.040  3158.040  3095.540  3125.540   18726374.0
4166 2021-05-27  3085.540  3100.540  3045.540  3063.040   25744926.0
4167 2021-05-28  3075.540  3095.540  3040.540  3043.040   15183086.0
```

输出参数-历史行情数据(未复权)

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| date          | object   | Y        | 日期     |
| open          | float64      | Y        | 开盘价     |
| high          | float64      | Y        | 最高价     |
| low           | float64      | Y        | 最低价     |
| close         | float64      | Y        | 收盘价     |
| volume        | float64      | Y        | 成交量     |

接口示例-历史行情数据(未复权)

```python
import mssdk as ms
stock_hk_daily_df = ms.stock_hk_daily(symbol="00700", adjust="")
print(stock_hk_daily_df)
```

数据示例-历史行情数据(未复权)

```
            date     open     high      low    close       volume
0     2004-06-16    4.375    4.625    4.075    4.150  439775000.0
1     2004-06-17    4.150    4.375    4.125    4.225   83801500.0
2     2004-06-18    4.200    4.250    3.950    4.025   36598000.0
3     2004-06-21    4.125    4.125    3.950    4.000   22817000.0
4     2004-06-23    4.050    4.450    4.025    4.425   55016000.0
          ...      ...      ...      ...      ...          ...
4165  2021-05-24  586.500  588.000  576.500  585.500   16608372.0
4166  2021-05-25  589.500  613.000  588.500  610.000   27044587.0
4167  2021-05-26  624.500  624.500  612.000  618.000   18726374.0
4168  2021-05-27  610.000  613.000  602.000  605.500   25744926.0
4169  2021-05-28  608.000  612.000  601.000  601.500   15183086.0
```

输出参数-后复权因子

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| date          | object   | Y        | 日期     |
| hfq_factor          | object      | Y        | 后复权因子     |
| cash          | object      | Y        | 现金分红     |

接口示例-后复权因子

```python
import mssdk as ms
stock_hk_daily_hfq_factor_df = ms.stock_hk_daily(symbol="00700", adjust="hfq-factor")
print(stock_hk_daily_hfq_factor_df)
```

数据示例-后复权因子

```
         date hfq_factor   cash
0  2021-05-24          5  35.54
1  2020-05-15          5  27.54
2  2019-05-17          5  21.54
3  2018-12-28          5  16.54
4  2018-05-18          5  16.28
5  2017-05-19          5  11.88
6  2016-05-20          5   8.83
7  2015-05-15          5   6.48
8  2014-05-16          5   4.68
9  2014-05-15          5   3.48
10 2013-05-20          1   3.48
11 2012-05-18          1   2.48
12 2011-05-03          1   1.73
13 2010-05-05          1   1.18
14 2009-05-06          1   0.78
15 2008-05-06          1   0.43
16 2007-05-09          1   0.27
17 2006-05-15          1   0.15
18 2005-04-19          1   0.07
19 1900-01-01          1      0
```

### 中国概念股

#### 实时行情数据

接口: stock_us_zh_spot

目标地址: http://quote.hexun.com/default.html#ustock_0

描述: 获取中国概念股实时行情数据

限量: 单次获取所有中概股公司的实时行情数据

输入参数

| 名称   | 类型 | 必选 | 描述        |
| -------- | ---- | ---- | --- |
| - | -  | -    |   -|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 代码          | str   | Y        | -     |
| 名称          | str   | Y        | -     |
| 最新价          | float   | Y        | 注意单位: 美元     |
| 涨跌幅          | float   | Y        | -     |
| 最高          | float   | Y        | -     |
| 最低          | float   | Y        | -     |
| 昨收          | float   | Y        | -     |
| 成交量          | float   | Y        | -     |

接口示例

```python
import mssdk as ms
stock_us_zh_spot_df = ms.stock_us_zh_spot()
print(stock_us_zh_spot_df)
```

数据示例

```
       代码                     名称     最新价  ...      最低      昨收          成交量
0    BABA                 阿里巴巴集团  264.31  ...  260.20  261.89  13146490.00
1    BIDU                     百度  190.11  ...  184.80  190.40   9801807.00
2     EDU                    新东方  165.59  ...  164.88  165.94    921626.00
3    CBPO                   泰邦生物  118.09  ...  117.84  117.99    258647.00
4     TSM                    台积电  103.91  ...  103.85  104.77   7133371.00
..    ...                    ...     ...  ...     ...     ...          ...
185  CNTF                   德信无线    0.00  ...    0.00    0.00         0.00
186   SPU                   天人果汁    0.00  ...    0.00    0.00         0.00
187   YIN                   银科控股    0.00  ...    0.00    7.25         0.00
188  CCCL  China Ceramics Co Ltd    0.00  ...    0.00    0.00         0.00
189  ABAC                   奥信天力    0.00  ...    0.00    0.00         0.00
```

#### 历史行情数据

接口: stock_us_zh_daily

目标地址: http://stockdata.stock.hexun.com/us/NTES.shtml

描述: 获取中国概念股日频率的历史数据

限量: 单次获取指定中概股公司的历史日频率数据, 返回最近 1000 个交易日数据, 此处建议使用新浪财经数据接口获取复权后数据使用

输入参数

| 名称   | 类型 | 必选 | 描述        |
| -------- | ---- | ---- | --- |
| symbol | str  | Y    |   symbol="BABA"; 此处 symbol 可以通过调用 **stock_us_zh_spot** 接口获取|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 时间          | str   | Y        | -     |
| 前收盘价          | float   | Y        | -     |
| 开盘价          | float   | Y        | -     |
| 收盘价          | float   | Y        | -     |
| 最高价          | float   | Y        | -     |
| 最低价          | float   | Y        | -     |
| 成交量          | float   | Y        | -     |

接口示例

```python
import mssdk as ms
stock_us_zh_daily_df = ms.stock_us_zh_daily(symbol="BABA")
print(stock_us_zh_daily_df)
```

数据示例

```
     时间    前收盘价     开盘价     收盘价     最高价     最低价       成交量
0    20161214   92.18   91.83   91.21   92.26   90.83   8531018
1    20161215   91.21   90.06   88.86   90.60   88.74  18300256
2    20161216   88.86   89.00   88.71   90.10   88.57  10221997
3    20161219   88.71   88.50   88.87   89.82   88.41  10162130
4    20161220   88.87   89.34   89.85   90.31   88.94   8145093
..        ...     ...     ...     ...     ...     ...       ...
995  20201214  264.54  260.43  256.36  260.85  256.27  15562792
996  20201215  256.03  255.47  255.19  255.55  252.30  15385080
997  20201216  255.11  257.85  262.19  263.18  257.05  15643445
998  20201217  261.89  264.70  264.31  264.85  260.20  13146490
999  20201218  264.43  263.50  259.99  264.90  259.20  14778831
```

### 企业社会责任

企业社会责任数据是从[和讯财经网站](http://www.hexun.com/)获取的数据, 年度更新

接口: stock_zh_a_scr_report

目标地址: http://stockdata.stock.hexun.com/zrbg/Plate.aspx?date=2010-12-31#

描述: 获取企业社会责任数据

限量: 单次返回每页20条数据, 如需多条数据, 请用for循环获取

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| report_year | int  | Y    |   需要获取的年份, e.g. report_year=2018|
| page | int  | Y    |   需要具体的年份的第几页, e.g. page=1|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 股票名称          | str   | Y        | -     |
| 股东责任          | float   | Y        | -     |
| 总得分          | float   | Y        | -     |
| 等级          | float   | Y        | -     |
| 员工责任          | float   | Y        | -     |
| 环境责任          | float   | Y        | -     |
| 社会责任          | float   | Y        | -     |
| 供应商、客户和消费者权益责任          | str   | Y        | -     |

接口示例

```python
import mssdk as ms
stock_zh_a_scr_report_df = ms.stock_zh_a_scr_report()
print(stock_zh_a_scr_report_df)
```

数据示例

```
            股票名称   股东责任    总得分 等级  员工责任  环境责任   社会责任 供应商、客户和消费者权益责任
0    陆家嘴(600663)  23.97  42.97  C  4.00  0.00  15.00           0.00
1   世荣兆业(002016)  24.61  42.44  C  2.83  0.00  15.00           0.00
2    万科A(000002)  23.18  42.18  C  4.00  0.00  15.00           0.00
3   华夏幸福(600340)  22.76  41.76  C  4.00  0.00  15.00           0.00
4   万业企业(600641)  22.03  41.03  C  4.00  0.00  15.00           0.00
5   华联控股(000036)  24.96  40.98  C  1.02  0.00  15.00           0.00
6   中国国贸(600007)  22.43  40.98  C  3.55  0.00  15.00           0.00
7    新黄浦(600638)  22.25  40.92  C  3.67  0.00  15.00           0.00
8   金科股份(000656)  22.47  40.62  C  4.00  0.00  14.15           0.00
9   中华企业(600675)  21.44  40.44  C  4.00  0.00  15.00           0.00
10  京投发展(600683)  21.39  40.39  C  4.00  0.00  15.00           0.00
11  浦东金桥(600639)  21.32  40.32  C  4.00  0.00  15.00           0.00
12  中航善达(000043)  22.80  40.06  C  2.26  0.00  15.00           0.00
13   新华联(000620)  21.00  40.00  D  4.00  0.00  15.00           0.00
14  首开股份(600376)  20.77  39.77  D  4.00  0.00  15.00           0.00
15  深物业A(000011)  23.49  39.73  D  1.50  0.00  14.74           0.00
16  江苏租赁(600901)  20.62  39.62  D  4.00  0.00  15.00           0.00
17  中国太保(601601)  20.61  39.61  D  4.00  0.00  15.00           0.00
18  中国平安(601318)  20.59  39.59  D  4.00  0.00  15.00           0.00
19  深深房A(000029)  22.45  39.47  D  2.02  0.00  15.00           0.00
```

### 机构调研

#### 机构调研-统计

接口: stock_em_jgdy_tj

目标地址: http://data.eastmoney.com/jgdy/tj.html

描述: 东方财富网-数据中心-特色数据-机构调研-机构调研统计

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 |  描述       |
| -------- | ---- | --- |
| start_date | str  |    start_date="20180928"; 开始查询的时间 |

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 序号          | int64   |  -     |
| 代码          | object   | -     |
| 名称          | object   |  -     |
| 最新价          | float64   |  -     |
| 涨跌幅          | float64   |  注意单位: %     |
| 接待机构数量          | int64   | -     |
| 接待方式          | object   |  -     |
| 接待人员          | object   |  -     |
| 接待地点          | object   |  -     |
| 接待日期          | object   |  -     |
| 公告日期          | object   |  -     |

接口示例

```python
import mssdk as ms
stock_em_jgdy_tj_df = ms.stock_em_jgdy_tj(start_date="20210128")
print(stock_em_jgdy_tj_df)
```

数据示例

```
      序号      代码    名称  ...                 接待地点        接待日期        公告日期
0      1  002315  焦点科技  ...               线上电话会议  2021-02-02  2021-02-03
1      2  300415   伊之密  ...  广东省佛山市顺德顺昌路12号3号会议室  2021-02-02  2021-02-03
2      3  002092  中泰化学  ...                公司会议室  2021-02-02  2021-02-03
3      4  002562  兄弟科技  ...                   线上  2021-02-02  2021-02-03
4      5  002749  国光股份  ...              公司龙泉办公区  2021-02-02  2021-02-03
..   ...     ...   ...  ...                  ...         ...         ...
111  112  000698  沈阳化工  ...             公司董事会办公室  2021-01-29  2021-01-29
112  113  688669  聚石化学  ...                 电话会议  2021-01-29  2021-01-29
113  114  300143  盈康生命  ...                 电话会议  2021-01-29  2021-01-29
114  115  002438  江苏神通  ...           公司董事会秘书办公室  2021-01-29  2021-01-29
115  116  002735  王子新材  ...                公司会议室  2021-01-29  2021-01-29
```

#### 机构调研-详细

接口: stock_em_jgdy_detail

目标地址: http://data.eastmoney.com/jgdy/xx.html

描述: 东方财富网-数据中心-特色数据-机构调研-机构调研详细

限量: 单次所有历史数据, 由于数据量比较大需要等待一定时间

输入参数

| 名称   | 类型 | 描述     |
| -------- | ---- |  --- |
| start_date | str  |    start_date="20180928"; 开始查询的时间 |

输出参数

| 名称          | 类型 | 描述           |
| ------------ | ----- |  ---------------- |
| 序号          | int64   |  -     |
| 代码          | object   |  -     |
| 名称          | object   |  -     |
| 最新价          | float64   |  -     |
| 涨跌幅          | float64   |注意单位: %     |
| 调研机构          | object   |  -     |
| 机构类型          | object   |  -     |
| 调研人员          | object   |  -     |
| 接待方式          | object   |  -     |
| 接待人员          | object   |  -     |
| 接待地点          | object   |  -     |
| 调研日期          | object   |  -     |
| 公告日期          | object   |  -     |

接口示例

```python
import mssdk as ms
stock_em_jgdy_detail_df = ms.stock_em_jgdy_detail(start_date="20210915")
print(stock_em_jgdy_detail_df)
```

数据示例

```
      序号      代码    名称  ...                           接待地点        调研日期        公告日期
0      1  000615  奥园美谷  ...                           公司会议室  2021-09-16  2021-09-17
1      2  000615  奥园美谷  ...                           公司会议室  2021-09-16  2021-09-17
2      3  000615  奥园美谷  ...                           公司会议室  2021-09-16  2021-09-17
3      4  000615  奥园美谷  ...                           公司会议室  2021-09-16  2021-09-17
4      5  000615  奥园美谷  ...                           公司会议室  2021-09-16  2021-09-17
..   ...     ...   ...  ...                             ...         ...         ...
619  620  300677  英科医疗  ...  江西省九江市彭泽县彭湖湾工业园垅太路东侧江西英科医疗有限公司  2021-09-16  2021-09-16
620  621  300718  长盛轴承  ...                  浙江长盛滑动轴承股份有限公司  2021-09-16  2021-09-16
621  622  300718  长盛轴承  ...                  浙江长盛滑动轴承股份有限公司  2021-09-16  2021-09-16
622  623  300718  长盛轴承  ...                  浙江长盛滑动轴承股份有限公司  2021-09-16  2021-09-16
623  624  300718  长盛轴承  ...                  浙江长盛滑动轴承股份有限公司  2021-09-16  2021-09-16
```

### 股票质押

#### 股权质押市场概况

接口: stock_em_gpzy_profile

目标地址: http://data.eastmoney.com/gpzy/marketProfile.aspx

描述: 获取东方财富网-数据中心-特色数据-股权质押-股权质押市场概况

限量: 单次所有历史数据, 由于数据量比较大需要等待一定时间

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | -  | -    |   - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 交易日期          | datetime.date   | Y        | -     |
| 平均质押比例(%)          | float   | Y        | -     |
| 涨跌幅          | float   | Y        | -     |
| A股质押总比例(%)          | float   | Y        | -     |
| 质押公司数量          | float   | Y        | -     |
| 质押笔数          | float   | Y        | -     |
| 质押总股数(股)          | float   | Y        | -     |
| 质押总市值(元)          | float   | Y        | -     |
| 沪深300指数          | float   | Y        | -     |

接口示例

```python
import mssdk as ms
stock_em_gpzy_profile_df = ms.stock_em_gpzy_profile()
print(stock_em_gpzy_profile_df)
```

数据示例

```
          交易日期  平均质押比例(%)  ...          质押总市值(元)    沪深300指数
0   2019-12-27   0.258704  ...  458167985.075899  4022.0278
1   2019-12-20   0.258867  ...    459019241.6958  4017.2527
2   2019-12-13   0.257775  ...    449207739.2966  3968.2211
3   2019-12-06   0.262027  ...  446670071.871901  3902.3853
4   2019-11-29   0.261319  ...  437151426.989199  3828.6706
..         ...        ...  ...               ...        ...
293 2014-04-04   0.417796  ...     163503216.102   2185.472
294 2014-03-28   0.413844  ...    159107029.3296   2151.965
295 2014-03-21   0.418246  ...    162471501.4055   2158.798
296 2014-03-14   0.417690  ...    159388526.8983   2122.836
297 2014-03-07   0.418393  ...    162995584.5491   2168.358
```

#### 上市公司质押比例

接口: stock_em_gpzy_pledge_ratio

目标地址: http://data.eastmoney.com/gpzy/pledgeRatio.aspx

描述: 获取东方财富网-数据中心-特色数据-股权质押-上市公司质押比例

限量: 单次返回指定交易日的所有历史数据, 由于数据量比较大需要等待一定时间

输入参数

| 名称   | 类型 | 必选 | 描述             |
| -------- | ---- | ---- | --- |
| trade_date | str  | Y    |   trade_date="2020-08-14"; 请访问 http://data.eastmoney.com/gpzy/pledgeRatio.aspx 查询具体交易日 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 股票代码          | datetime.date   | Y        | -     |
| 股票简称          | float   | Y        | -     |
| 交易日期          | float   | Y        | -     |
| 所属行业          | float   | Y        | -     |
| 质押比例(%)          | float   | Y        | -     |
| 质押股数(股)          | float   | Y        | -     |
| 质押市值(元)          | float   | Y        | -     |
| 质押笔数          | float   | Y        | -     |
| 无限售股质押数(股)          | float   | Y        | -     |
| 限售股质押数(股)          | float   | Y        | -     |
| 近一年涨跌幅(%)          | float   | Y        | -     |

接口示例

```python
import mssdk as ms
stock_em_gpzy_pledge_ratio_df = ms.stock_em_gpzy_pledge_ratio(trade_date="2020-08-14")
print(stock_em_gpzy_pledge_ratio_df)
```

数据示例

```
        股票代码   股票简称       交易日期  所属行业  ... 质押笔数 无限售股质押数(股)  限售股质押数(股)     近一年涨跌幅(%)
0     000408  *ST藏格 2020-08-14  化肥行业  ...   31    5635.07   151794.6  -11.82466853
1     000567   海德股份 2020-08-14  多元金融  ...    6    6075.78   42070.21   59.49214029
2     000981  *ST银亿 2020-08-14  汽车行业  ...   81     151975  142615.34   19.25465651
3     603555  *ST贵人 2020-08-14  纺织服装  ...   35      45492          0  -56.87645668
4     000564   供销大集 2020-08-14  商业百货  ...   79   37801.06  388620.69   76.60550482
      ...    ...        ...   ...  ...  ...        ...        ...           ...
2836  600750   江中药业 2020-08-14  医药制造  ...    1       0.29          0   27.31509908
2837  600755   厦门国贸 2020-08-14  国际贸易  ...    9       3.56          0     -1.739413
2838  600746   江苏索普 2020-08-14  化工行业  ...    1       1.76          0   19.61102107
2839  300316   晶盛机电 2020-08-14  机械行业  ...    2       0.46          0   92.51521309
2840  002574   明牌珠宝 2020-08-14  珠宝首饰  ...    5       0.89          0  -14.12101928
```

#### 重要股东股权质押明细

接口: stock_em_gpzy_pledge_ratio_detail

目标地址: http://data.eastmoney.com/gpzy/pledgeDetail.aspx

描述: 东方财富网-数据中心-特色数据-股权质押-重要股东股权质押明细

限量: 单次所有历史数据, 由于数据量比较大需要等待一定时间

输入参数

| 名称   | 类型 |  描述           |
| -------- | ---- |  --- |
| - | -  |    - |

输出参数

| 名称          | 类型 | 描述           |
| ------------ | ----- |  ---------------- |
| 序号          | int64   |  -     |
| 股票代码          | object   |  -     |
| 股票简称          | object   | -     |
| 股东名称          | object   |  -     |
| 质押股份数量          | float64   |  注意单位: 股     |
| 占所持股份比例          | float64   |  注意单位: %     |
| 占总股本比例          | float64   | 注意单位: %     |
| 质押机构          | object   |  -     |
| 最新价          | float64   |  注意单位: 元     |
| 质押日收盘价          | float64   | 注意单位: 元     |
| 预估平仓线         | float64   |  注意单位: 元     |
| 公告日期          | object   |  -     |
| 质押开始日期          | object   |  -     |

接口示例

```python
import mssdk as ms
stock_em_gpzy_pledge_ratio_detail_df = ms.stock_em_gpzy_pledge_ratio_detail()
print(stock_em_gpzy_pledge_ratio_detail_df)
```

数据示例

```
     序号    股票代码   股票简称  ...       预估平仓线   质押开始日期   公告日期
0          1  600010   包钢股份  ...    1.792000  2021-08-19  2021-08-21
1          2  603759   海天股份  ...   11.452000  2021-08-19  2021-08-21
2          3  002594    比亚迪  ...  205.604000  2021-08-19  2021-08-21
3          4  002895   川恒股份  ...   12.723200  2021-08-19  2021-08-21
4          5  002172   澳洋健康  ...    2.643200  2021-08-19  2021-08-21
      ...     ...    ...  ...         ...         ...         ...
99050  99051  600093  *ST易见  ...         NaN  2002-08-07  2002-08-07
99051  99052  600093  *ST易见  ...         NaN  2002-07-23  2002-07-24
99052  99053  000835  *ST长动  ...         NaN  2001-08-17  2002-07-10
99053  99054  000028   国药一致  ...         NaN  2000-12-20  2002-03-29
99054  99055  600745   闻泰科技  ...    9.872408  2001-11-20  2001-11-24
```

#### 质押机构分布统计证券公司

接口: stock_em_gpzy_distribute_statistics_company

目标地址: http://data.eastmoney.com/gpzy/distributeStatistics.aspx

描述: 获取东方财富网-数据中心-特色数据-股权质押-质押机构分布统计-证券公司

限量: 单次所有历史数据, 由于数据量比较大需要等待一定时间

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | -  | -    |   - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 质押公司股票代码          | datetime.date   | Y        | -     |
| 质押机构          | float   | Y        | -     |
| 行业名称          | float   | Y        | -     |
| 质押公司数量          | float   | Y        | -     |
| 质押笔数          | float   | Y        | -     |
| 质押数量(股)          | float   | Y        | -     |
| 未达预警线比例(%)          | float   | Y        | -     |
| 达到预警线未达平仓线比例(%)          | float   | Y        | -     |
| 达到平仓线比例(%)         | float   | Y        | -     |

接口示例

```python
import mssdk as ms
stock_em_gpzy_distribute_statistics_company_df = ms.stock_em_gpzy_distribute_statistics_company()
print(stock_em_gpzy_distribute_statistics_company_df)
```

数据示例

```
   质押公司股票代码   质押机构  ...      达到预警线未达平仓线比例(%)           达到平仓线比例(%)
0    600837   海通证券  ...                    0  0.00237529691211401
1    601211   国泰君安  ...                    0                    0
2    600030   中信证券  ...                    0  0.00259067357512953
3    600999   招商证券  ...  0.00689655172413793                    0
4    601688   华泰证券  ...  0.00251256281407035  0.00251256281407035
5    601881   中国银河  ...  0.00917431192660551                    0
6    000776   广发证券  ...                    0                    0
7    601066   中信建投  ...                    0  0.00355871886120996
8    002736   国信证券  ...                    0                    0
9    600918   中泰证券  ...  0.00564971751412429                    0
10   601878   浙商证券  ...                    0                    0
11   000783   长江证券  ...   0.0048780487804878                    0
12   601377   兴业证券  ...                    0                    0
13   600109   国金证券  ...                    0                    0
14   600909   华安证券  ...                    0   0.0123456790123457
15   601236   红塔证券  ...                    0                    0
16   600958   东方证券  ...                    0                    0
17   601108   财通证券  ...                    0                    0
18   601696   中银证券  ...                    0                    0
19   601788   光大证券  ...                    0                    0
20   601198   东兴证券  ...                    0                    0
21   000728   国元证券  ...   0.0126582278481013                    0
22   000750   国海证券  ...                    0                    0
23   601555   东吴证券  ...   0.0238095238095238                    0
24   601990   南京证券  ...                    0                    0
25   601456   国联证券  ...                    0                    0
26   000686   东北证券  ...                    0                    0
27   002926   华西证券  ...                    0                    0
28   002939   长城证券  ...                    0                    0
29   601162   天风证券  ...                    0                    0
30   002797   第一创业  ...                    0                    0
31   600369   西南证券  ...                    0                    0
32   002500   山西证券  ...                    0                    0
33   601901   方正证券  ...                    0                    0
34   601375   中原证券  ...                    0                    0
35   601099    太平洋  ...                    0                    0
36   600816  *ST安信  ...                    0                    0
37   002945   华林证券  ...                    0                    0
38   000166   申万宏源  ...                    0                    0
39   002673   西部证券  ...                    0                    0
```

#### 质押机构分布统计银行

接口: stock_em_gpzy_distribute_statistics_bank

目标地址: http://data.eastmoney.com/gpzy/distributeStatistics.aspx

描述: 获取东方财富网-数据中心-特色数据-股权质押-质押机构分布统计-银行

限量: 单次所有历史数据, 由于数据量比较大需要等待一定时间

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | -  | -    |   - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 质押公司股票代码          | datetime.date   | Y        | -     |
| 质押机构          | float   | Y        | -     |
| 行业名称          | float   | Y        | -     |
| 质押公司数量          | float   | Y        | -     |
| 质押笔数          | float   | Y        | -     |
| 质押数量(股)          | float   | Y        | -     |
| 未达预警线比例(%)          | float   | Y        | -     |
| 达到预警线未达平仓线比例(%)          | float   | Y        | -     |
| 达到平仓线比例(%)         | float   | Y        | -     |

接口示例

```python
import mssdk as ms
stock_em_gpzy_distribute_statistics_bank_df = ms.stock_em_gpzy_distribute_statistics_bank()
print(stock_em_gpzy_distribute_statistics_bank_df)
```

数据示例

```
   质押公司股票代码  质押机构  ...     达到预警线未达平仓线比例(%)           达到平仓线比例(%)
0    601398  工商银行  ...                   0  0.00294985250737463
1    600000  浦发银行  ...                   0                    0
2    600016  民生银行  ...                   0  0.00549450549450549
3    601288  农业银行  ...                   0   0.0053475935828877
4    601998  中信银行  ...                   0   0.0182926829268293
5    601939  建设银行  ...                   0                    0
6    601988  中国银行  ...                   0   0.0222222222222222
7    600036  招商银行  ...                   0                    0
8    601916  浙商银行  ...                   0                    0
9    601328  交通银行  ...                   0                    0
10   600015  华夏银行  ...                   0                    0
11   601818  光大银行  ...                   0                    0
12   601166  兴业银行  ...                   0                    0
13   601169  北京银行  ...                   0                    0
14   600919  江苏银行  ...                   0                    0
15   000001  平安银行  ...                   0                    0
16   600926  杭州银行  ...                   0                    0
17   601009  南京银行  ...                   0                    0
18   601229  上海银行  ...  0.0357142857142857                    0
19   002142  宁波银行  ...                   0                    0
20   002948  青岛银行  ...                   0   0.0714285714285714
21   601577  长沙银行  ...                   0                    0
22   601077  渝农商行  ...                   0                    0
23   600908  无锡银行  ...                   0                    0
24   603323  苏农银行  ...                   0                    0
25   002807  江阴银行  ...                   0                    0
26   002936  郑州银行  ...                   0                    0
27   002966  苏州银行  ...                   0                    0
28   600928  西安银行  ...                   0                    0
29   601838  成都银行  ...                   0                    0
30   002839  张家港行  ...                   0                    0
31   601128  常熟银行  ...                   0                    0
32   601997  贵阳银行  ...                   0                    0
33   601658  邮储银行  ...                   0                    0
34   601860  紫金银行  ...                   0                    0
35   002958  青农商行  ...                   0                    0
```

#### 上市公司质押比例

接口: stock_em_gpzy_industry_data

目标地址: http://data.eastmoney.com/gpzy/industryData.aspx

描述: 获取东方财富网-数据中心-特色数据-股权质押-上市公司质押比例-行业数据

限量: 单次所有历史数据, 由于数据量比较大需要等待一定时间

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | -  | -    |   - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 统计时间          | datetime.date   | Y        | -     |
| 行业          | float   | Y        | -     |
| 平均质押比例(%)          | float   | Y        | -     |
| 公司家数          | float   | Y        | -     |
| 质押总笔数          | float   | Y        | -     |
| 质押总股本          | float   | Y        | -     |
| 最新质押市值          | float   | Y        | -     |

接口示例

```python
import mssdk as ms
stock_em_gpzy_industry_data_df = ms.stock_em_gpzy_industry_data()
print(stock_em_gpzy_industry_data_df)
```

数据示例

```
         统计时间    行业         平均质押比例(%) 公司家数 质押总笔数       质押总股本        最新质押市值
0  2019-12-27  珠宝首饰  29.3866666666667    9   204   261965.67  1149544.4497
1  2019-12-27  园林工程            24.353   20   504   428888.14  2077712.0412
2  2019-12-27  装修装饰           23.6736   25   445    398274.9   2275384.423
3  2019-12-27  纺织服装  23.1859420289855   69   760  1316316.59  7514290.0722
4  2019-12-27  化肥行业             21.21   20   245   580387.83   2938962.913
..        ...   ...               ...  ...   ...         ...           ...
56 2019-12-27  航天航空  7.25619047619048   21   163   104355.78  1416484.3726
57 2019-12-27  船舶制造           7.13875    8    63    46699.69   251977.2936
58 2019-12-27  电力行业  5.63767441860465   43   525   837812.32  4307785.8324
59 2019-12-27  高速公路             5.572   15    59   161954.19   760939.5889
60 2019-12-27  港口水运  2.48296296296296   27   189   122321.67   388923.9643
```

### 商誉专题

#### A股商誉市场概况

接口: stock_em_sy_profile

目标地址: http://data.eastmoney.com/sy/scgk.html

描述: 获取东方财富网-数据中心-特色数据-商誉-A股商誉市场概况

限量: 单次所有历史数据, 由于数据量比较大需要等待一定时间

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | -  | -    |   - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 报告期          | float   | Y        | -     |
| 商誉          | datetime.date   | Y        | 注意单位: 元     |
| 商誉减值          | float   | Y        | 注意单位: 元     |
| 净资产          | float   | Y        | 注意单位: 元     |
| 商誉占净资产比例          | float   | Y        | 注意单位: %     |
| 商誉减值占净资产比例          | float   | Y        | 注意单位: %     |
| 净利润规模          | float   | Y        | 注意单位: 元     |
| 商誉减值占净利润比例          | float   | Y        | 注意单位: %     |

接口示例

```python
import mssdk as ms
stock_em_sy_profile_df = ms.stock_em_sy_profile()
print(stock_em_sy_profile_df)
```

数据示例

```
          报告期            商誉          商誉减值  ...  商誉减值占净资产比例         净利润规模  商誉减值占净利润比例
0  2020-06-30  1.292050e+12  7.717300e+08  ...    0.000024  1.166105e+12    0.000662
1  2019-12-31  1.258899e+12 -1.301585e+11  ...   -0.004144  2.522490e+12   -0.051599
2  2018-12-31  1.318436e+12  1.476818e+11  ...    0.005286  2.317951e+12    0.063712
3  2017-12-31  1.302102e+12  3.314372e+10  ...    0.001324  2.294834e+12    0.014443
4  2016-12-31  1.054482e+12  1.478584e+10  ...    0.000681  1.914396e+12    0.007724
..        ...           ...           ...  ...         ...           ...         ...
6  2014-12-31  3.402409e+11  3.103449e+09  ...    0.000216  1.616912e+12    0.001919
7  2013-12-31  2.099531e+11  2.527157e+09  ...    0.000213  1.449426e+12    0.001744
8  2012-12-31  1.673510e+11  1.114310e+09  ...    0.000107  1.227273e+12    0.000908
9  2011-12-31  1.355841e+11  9.313426e+08  ...    0.000118  1.034316e+12    0.000900
10 2010-12-31  9.424007e+10  7.456191e+09  ...    0.001170  8.679582e+11    0.008590
```

#### 商誉减值预期明细

接口: stock_em_sy_yq_list

目标地址: http://data.eastmoney.com/sy/yqlist.html

描述: 获取东方财富网-数据中心-特色数据-商誉-商誉减值预期明细

限量: 单次所有历史数据, 由于数据量比较大需要等待一定时间

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| symbol | str  | Y    |   symbol="沪市主板"; 参见网页选项 |
| trade_date | str  | Y    |   trade_date="2019-09-30"; 参见网页选项 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 股票代码          | datetime.date   | Y        | -     |
| 公司名称          | float   | Y        | -     |
| 最新一期商誉(元)          | float   | Y        | -     |
| 公告日期          | float   | Y        | -     |
| 预计净利润(元)-下限          | float   | Y        | -     |
| 预计净利润(元)-上限          | float   | Y        | -     |
| 业绩变动幅度-上限          | float   | Y        | -     |
| 业绩变动幅度-下限          | float   | Y        | -     |
| 预告内容          | float   | Y        | -     |
| 业绩变动原因          | float   | Y        | -     |
| 上年度同期净利润(元)          | float   | Y        | -     |
| 上年商誉          | float   | Y        | -     |
| 商誉报告日期          | str   | Y        | -     |

接口示例

```python
import mssdk as ms
stock_em_sy_yq_list_df = ms.stock_em_sy_yq_list(symbol="沪市主板", trade_date="2019-12-31")
print(stock_em_sy_yq_list_df)
```

数据示例

```
      股票代码   公司名称     最新一期商誉(元)       公告日期  预计净利润(元)-下限  预计净利润(元)-上限  \
0   600393   粤泰股份  2.376026e+07 2019-04-29    2.635e+08    3.162e+08   
1   600255   梦舟股份  5.521950e+08 2019-04-26    -1.35e+09     -1.3e+09   
2   600122   宏图高科  3.060019e+07 2019-04-25   -2.034e+09   -2.034e+09   
3   600100   同方股份  2.237865e+08 2019-04-25    -3.88e+09    -3.88e+09   
4   600734   实达集团  1.028262e+09 2019-04-24    -2.67e+08    -2.67e+08   
5   600881   亚泰集团  1.234449e+09 2019-04-24  -1.9732e+08  -1.9732e+08   
6   603318   派思股份  7.520709e+07 2019-04-20   3.5434e+06   3.5434e+06   
7   600666  *ST瑞德  4.907776e+08 2019-04-19   -1.697e+09   -1.697e+09   
8   600715   文投控股  3.626455e+09 2019-04-19       -7e+08     -6.8e+08   
9   600175   美都能源  3.709262e+05 2019-04-13    -1.09e+09    -1.09e+09   
10  600200   江苏吴中  1.259109e+07 2019-04-12  -2.8557e+08  -2.8557e+08   
11  600988   赤峰黄金  3.614854e+08 2019-04-11 -1.27863e+08 -1.27863e+08   
12  600898   国美通讯  4.420382e+08 2019-04-02     -4.5e+08     -3.5e+08   
13  600458   时代新材  1.932405e+08 2019-03-19  -4.2742e+08  -4.2742e+08   
14  600654  *ST中安  9.871203e+08 2019-01-31 -1.81122e+09 -1.61559e+09   
15  600499   科达洁能  1.001481e+09 2019-01-31     -6.5e+08     -5.5e+08   
16  600651   飞乐音响  1.533954e+09 2019-01-31   -3.326e+09   -3.326e+09   
17  600525   长园集团  2.171520e+09 2019-01-31  5.73942e+07  5.11394e+08   
18  603366   日出东方  2.565794e+08 2019-01-31    -4.95e+08     -4.1e+08   
19  601258  *ST庞大  3.811819e+08 2019-01-31     -6.5e+09       -6e+09   
20  600240   退市华业  1.988173e+08 2019-01-31   -5.051e+09   -4.652e+09   
21  600576   祥源文化  8.660237e+08 2019-01-31      1.5e+07     2.25e+07   
22  600652  *ST游久  7.756531e+08 2019-01-31  -8.8284e+08  -8.8284e+08   
23  600721  *ST百花  1.731904e+08 2019-01-31     -9.7e+08     -7.9e+08   
24  601717    郑煤机  8.483892e+08 2019-01-31        7e+08      8.4e+08   
25  601599   鹿港文化  4.346753e+08 2019-01-31        6e+07        1e+08   
26  600614  *ST鹏起  7.989185e+08 2019-01-31    -3.31e+09    -2.81e+09   
27  600203   福日电子  5.598964e+08 2019-01-31      3.2e+07      4.2e+07   
28  600587   新华医疗  3.299961e+08 2019-01-31  1.96586e+07  3.27644e+07   
29  600594   益佰制药  8.614062e+08 2019-01-31       -9e+08     -7.5e+08   
30  600251   冠农股份  5.515517e+07 2019-01-31     9.08e+07     9.97e+07   
31  600892   大晟文化  3.869058e+08 2019-01-31     -1.5e+09       -1e+09   
32  603778   乾景园林  1.102207e+07 2019-01-31      1.3e+07      1.9e+07   
33  600446   金证股份  5.061425e+07 2019-01-31 -1.69555e+08 -1.17673e+08   
34  600358   国旅联合  8.143705e+07 2019-01-31     -8.8e+07     -7.2e+07   
35  603111   康尼机电  2.271492e+09 2019-01-31     -3.2e+09     -2.7e+09   
36  600981   汇鸿集团  1.660564e+08 2019-01-31    1.105e+09    1.253e+09   
37  600568   中珠医疗  2.116471e+08 2019-01-31     -1.6e+09     -1.1e+09   
38  600146   商赢环球  9.119387e+06 2019-01-31 -1.85275e+09 -1.65254e+09   
39  600151   航天机电  3.627090e+08 2019-01-31      2.5e+07      3.5e+07   
40  600701  *ST工新  6.255429e+08 2019-01-31   -3.778e+09   -2.989e+09   
41  600584   长电科技  2.351876e+09 2019-01-31     -8.9e+08     -7.6e+08   
42  603555    贵人鸟  2.205609e+08 2019-01-31     -8.2e+08     -6.4e+08   
43  603168   莎普爱思  1.781572e+08 2019-01-31     -1.3e+08     -1.1e+08   
44  601558   ST锐电  4.134303e+08 2019-01-31  1.81383e+08  1.81383e+08   
45  603008    喜临门  5.406770e+08 2019-01-31     -4.4e+08     -3.9e+08   
46  600079   人福医药  3.902683e+09 2019-01-30     -2.7e+09     -2.2e+09   
47  600462  *ST九有  1.526539e+08 2019-01-30  -2.5483e+08  -2.5483e+08   
48  600571    信雅达  2.290546e+07 2019-01-30        2e+07        3e+07   
49  600318   新力金融  5.185066e+08 2019-01-30        4e+07        6e+07   
50  600805   悦达投资  1.624193e+06 2019-01-30        8e+07        8e+07   
51  600128   弘业股份  1.589353e+07 2019-01-30       -8e+07       -7e+07   
52  600369   西南证券  1.936805e+08 2019-01-30    2.008e+08    3.008e+08   
53  600243   青海华鼎  4.107611e+06 2019-01-29     -1.8e+08     -1.8e+08   
54  600787   中储股份  1.508798e+08 2019-01-29   4.5412e+08   4.5412e+08   
55  603188   ST亚邦  2.218093e+08 2019-01-29  1.85218e+08  1.85218e+08   
56  600894   广日股份  2.666724e+06 2019-01-29  9.96494e+07  1.79349e+08   
57  600657   信达地产  8.518282e+07 2019-01-29     2.15e+09     2.15e+09   
58  600880   博瑞传播  2.391724e+08 2019-01-29     -8.2e+08     -6.9e+08   
59  600152   维科技术  1.568185e+08 2019-01-29      5.2e+07      5.2e+07   
60  600645   中源协和  1.018158e+09 2019-01-28        5e+07      7.5e+07   
61  600052   浙江广厦  1.326462e+08 2019-01-26     1.05e+08     1.05e+08   
62  600526  *ST菲达  4.827764e+07 2019-01-26     -3.8e+08     -3.8e+08   
63  603703   盛洋科技  1.709506e+08 2019-01-24     -7.5e+07       -7e+07   
64  600241   时代万恒  5.417181e+07 2019-01-10    -1.65e+08    -1.65e+08   
65  603158   腾龙股份  9.886292e+07 2018-10-30            -            -   
   业绩变动幅度-上限 业绩变动幅度-下限                                               预告内容  \
0     -72.92    -77.44  预计2018年1-12月归属于上市公司股东的净利润盈利:26,350万元-31,620万元,...   
1   -964.187  -997.425     预计2018年1-12月归属于上市公司股东的净利润亏损130,000万元-135,000万元   
2   -434.539  -434.539              预计2018年1-12月归属于上市公司股东的净利润亏损:203,400万元   
3   -3830.77  -3830.77             预计2018年1-12月归属于上市公司股东的净利润亏损388,000万元左右   
4   -243.004  -243.004            预计2018年1-12月归属于上市公司股东的净利润亏损:26,700万元左右。   
5     -124.6    -124.6   预计2018年1-12月归属于上市公司股东的净利润亏损:19,732万元,同比减少124.6%。   
6   -93.5414  -93.5414              预计2018年1-12月归属于上市公司股东的净利润盈利为354.34万元。   
7   -3182.65  -3182.65            预计2018年1-12月归属于上市公司股东的净利润亏损169,700万元左右。   
8   -256.702  -261.311     预计2018年1-12月归属于上市公司股东的净利润亏损:68,000万元-70,000万元。   
9   -1982.88  -1982.88           预计2018年1-12月归属于上市公司股东的净利润亏损:109,000万元左右。   
10  -314.545  -314.545              预计2018年1-12月归属于上市公司股东的净利润亏损:28,557万元。   
11    -146.6    -146.6  预计2018年1-12月归属于上市公司股东的净利润亏损:12,786.29万元,同比减少14...   
12  -2911.99  -3715.42     预计2018年1-12月归属于上市公司股东的净利润亏损:35,000万元-45,000万元。   
13   -717.48   -717.48              预计2018年1-12月归属于上市公司股东的净利润亏损:42,742万元。   
14   119.799   146.414  预计2018年1-12月归属于上市公司股东的净利润亏损161,559.00万元到181,12...   
15  -214.849   -235.73     预计2018年1-12月归属于上市公司股东的净利润亏损:55,000万元-65,000万元。   
16  -6147.27  -6147.27            预计2018年1-12月归属于上市公司股东的净利润亏损332,600万元左右。   
17       -55       -95  预计2018年1-12月归属于上市公司股东的净利润盈利5,739.42万元51,139.42...   
18  -848.601   -1003.8     预计2018年1-12月归属于上市公司股东的净利润亏损:41,000万元-49,500万元。   
19  -2929.92  -3165.75       预计2018年1-12月归属于上市公司股东的净利润亏损600000万元-650000万元   
20  -566.035  -606.006    预计2018年1-12月归属于上市公司股东的净利润亏损465,200万元到505,100万元。   
21    -75.39    -83.59  预计2018年1-12月归属于上市公司股东的净利润盈利1500万元-2250万元,较上年同期...   
22   109.048   109.048             预计2018年1-12月归属于上市公司股东的净利润亏损88,284万元左右。   
23       -40    -71.99  预计2018年1-12月归属于上市公司股东的净利润亏损:79,000万元-97,000万元,...   
24    195.51    146.26  预计2018年1-12月归属于上市公司股东的净利润盈利70,000万元-84,000万元,同...   
25    -65.89    -79.54  预计2018年1-12月归属于上市公司股东的净利润盈利6,000万元-10,000万元,同比...   
26   -825.78  -954.923    预计2018年1-12月归属于上市公司股东的净利润亏损281,000万元到331,000万元。   
27  -137.317  -128.432       预计2018年1-12月归属于上市公司股东的净利润盈利:3,200万元-4,200万元。   
28       -50       -70  预计2018年1-12月归属于上市公司股东的净利润盈利:1,965.86万元-3,276.4...   
29  -293.533   -332.24     预计2018年1-12月归属于上市公司股东的净利润亏损:75,000万元-90,000万元。   
30        17       6.7  预计2018年1-12月归属于上市公司股东的净利润盈利:9,080万元-9,970万元,同比...   
31  -433.205  -599.807     预计2018年1-12月归属于上市公司股东的净利润亏损:100000万元–150000万元。   
32    -78.81     -85.5  预计2018年1-12月归属于上市公司股东的净利润盈利:1,300万元-1,900万元,同比...   
33  -189.146  -228.451  预计2018年1-12月归属于上市公司股东的净利润亏损11,767.26万元-16,955....   
34  -322.863  -372.388         预计2018年1-12月归属于上市公司股东的净利润亏损:7200万元–8800万元。   
35  -1061.21  -1239.21  预计2018年1-12月归属于上市公司股东的净利润亏损270,000.00万元-320,00...   
36        70        50  预计2018年1-12月归属于上市公司股东的净利润盈利:110500万元-125300万元,...   
37  -749.567  -1044.82   预计2018年1-12月归属于上市公司股东的净利润亏损:110,000万元-160,000万元。   
38  -884.008  -978.995  预计2018年1-12月归属于上市公司股东的净利润亏损:165,253.96万元-185,2...   
39  -111.323  -108.088           预计2018年1-12月归属于上市公司股东的净利润:2500万元-3500万元。   
40  -2449.31  -3069.45   预计2018年1-12月归属于上市公司股东的净利润亏损:298,900万元-377,800万元。   
41  -321.348  -359.211     预计2018年1-12月归属于上市公司股东的净利润亏损:76,000万元-89,000万元。   
42  -506.846  -621.271      预计2018年1-12月归属于上市公司股东的净利润亏损64,000万元到82,000万元。   
43  -175.159  -188.824        预计2018年1-12月归属于上市公司股东的净利润亏损11000万元-13000万元。   
44        58        58  预计2018年1-12月归属于上市公司股东的净利润盈利18,138.31万元,同比增加58....   
45  -237.519   -255.15     预计2018年1-12月归属于上市公司股东的净利润亏损:39,000万元到44,000万元。   
46  -206.346  -230.516     预计2018年1-12月归属于上市公司股东的净利润亏损220,000万元-270,000万元   
47  -3078.93  -3078.93                预计2018年1-12月归属于上市公司股东的净利润亏损25,483万元   
48  -114.363  -109.575         预计2018年1-12月归属于上市公司股东的净利润盈利2,000万元-3,000万元   
49  -119.435  -112.957         预计2018年1-12月归属于上市公司股东的净利润盈利:4000万元至6000万元。   
50  -128.445  -128.445               预计2018年1-12月归属于上市公司股东的净利润盈利8,000万元左右   
51  -670.776  -752.316       预计2018年1-12月归属于上市公司股东的净利润亏损:7,000万元-8,000万元。   
52       -55       -70  预计2018年1-12月归属于上市公司股东的净利润为20,080.02万元-30,080.0...   
53  -958.823  -958.823             预计2018年1-12月归属于上市公司股东的净利润亏损18,000万元左右。   
54       -66       -66  预计2018年1-12月归属于上市公司股东的净利润盈利约45,412万元,较上年同期,同比减...   
55       -66       -66     预计2018年1-12月归属于上市公司股东的净利润盈利18,521.82万元,同比减少66%   
56       -55       -75  预计2018年1-12月归属于上市公司股东的净利润盈利9,964.94万元-17,934.9...   
57    112.66    112.66  预计2018年1-12月归属于上市公司股东的净利润盈利215,000万元,同比增加约112.66%   
58  -2082.76  -2456.32       预计2018年1-12月归属于上市公司股东的净利润亏损69,000万元至82,000万元   
59       213       213      预计2018年1-12月归属于上市公司股东的净利润为盈利5200万元,同比增加约213%。   
60  -506.284  -370.856        预计2018年1-12月归属于上市公司股东的净利润盈利5,000万元-7,500万元。   
61       -44       -44   预计2018年1-12月归属于上市公司股东的净利润盈利10,500万元左右,同比上年下降44%。   
62     127.9     127.9                预计2018年1-12月归属于上市公司股东的净利润亏损38,000万元   
63  -389.051  -409.697        预计2018年1-12月归属于上市公司股东的净利润亏损7,000万元-7,500万元。   
64  -946.154  -946.154             预计2018年1-12月归属于上市公司股东的净利润亏损16,500万元左右。   
65         -         -                      预计2018年1-12月归属于上市公司股东的净利润不确定。   
                                               业绩变动原因  上年度同期净利润(元)  \
0   (一)前次业绩预告数据测算过程中,由于财务部门会计政策理解偏差,非经常性损益扣除了商誉、无形...  1.16786e+09   
1   1、近日,公司控股孙公司梦幻工厂文化传媒(天津)有限公司(以下简称“梦幻工厂”)的业绩核算最...   1.5043e+08   
2   本次业绩预告更正的主要原因如下:1、公司于2016年12月6日、12月19日与湖北匡时文化艺...     6.08e+08   
3   (一)商誉减值影响1、本次业绩预告更正的主要原因系商誉减值测试考虑了更多影响商誉的因素,导致...     1.04e+08   
4   本次业绩预告更正的主要原因是增加计提了对子公司的商誉减值准备(公司此次计提商誉减值准备之前的...  1.86709e+08   
5   1、吉林银行股份有限公司2018年四季度投资收益低于预期2019年初,公司根据吉林银行股份有...    8.018e+08   
6   本次业绩预告更正的主要原因系公司对商誉减值测试时考虑了更多影响商誉的因素,导致子公司估值下调...   5.4863e+07   
7   (一)受部分客户经营资金短缺的影响,公司对相关应收账款补充计提坏账准备26,800万元左右;...    5.505e+07   
8   (一)计提商誉减值出于审慎性考虑,公司会同外部评估机构对公司商誉进行了进一步的评估与测算,对...  4.33944e+08   
9   (一)2018年度业绩预告中对持有的鑫合汇长期股权投资按照资产法进行评估并计提大额减值准备(...    5.789e+07   
10  公司全资子公司响水恒利达科技化工有限公司(以下简称“响水恒利达”)由于受江苏省盐城市响水县陈...  1.33105e+08   
11  (一)商誉减值因素2015年,公司收购郴州雄风环保科技有限公司(简称“雄风环保”),形成商誉...  2.74357e+08   
12  公司披露《2018年年度业绩预亏公告》(公告编号2019-03号)时,标的公司浙江德景电子科...  1.24467e+07   
13  进入2019年,包括中国在内的全球乘用车市场表现持续疲软,乘用车生产和销售数据继续下滑。德国...    6.922e+07   
14  (一)主营业务影响:公司经营状况总体正常运转,但本期受立案调查、债务压缩、管理层变动、项目回... -7.35031e+08   
15  (一)计提资产减值准备。根据市场环境、经营情况以及《企业会计准则》的规定,公司对子公司沈阳科...  4.78891e+08   
16  1、公司受PPP业务政策变动、照明行业产品升级等因素影响,2018年度营业收入较上年同期有较...      5.5e+07   
17  (一)主营业务影响1.营业收入公司2018年度营业收入同比小幅下降。智能电网设备主力公司长园...  1.13639e+09   
18  (一)经常性损益影响1.主营业务太阳能热水器行业景气度持续下滑;浙江帅康电气股份有限公司(以...  5.47688e+07   
19  (一)主营业务影响报告期内,一、因公司融资困难,出现流动资金严重不足,不能满足正常经营运转的...   2.1202e+08   
20  公司于2018年发生应收账款被骗事件,该案正处于公安机构侦查阶段,司法机关尚未给出最终结论,...  9.98209e+08   
21  (一)主营业务影响1、报告期内,受宏观经济、行业监管政策、市场竞争加剧等因素影响,公司对业务...  9.14158e+07   
22  (一)主营业务影响1、主营游戏业务经营亏损2018年,由于游戏行业面临市场竞争日趋激烈,游戏... -4.22315e+08   
23  (一)主营业务影响公司2017年度扣除商誉后主营业务归属于母公司的净利润为0.59亿元人民币...    -5.64e+08   
24  (一)主营业务影响报告期内,煤炭行业供给侧结构性改革和去产能政策持续深化,煤炭行业保持平稳运...  2.84251e+08   
25  (一)纺织板块:国内市场受中美贸易战影响,市场萎缩低迷,客户采购力明显不足,导致2018年下...  2.93203e+08   
26  1、公司以前年度完成的股权并购形成的商誉,由于业绩持续大幅下滑、货款回笼与存货周转慢等原因,...   3.8717e+08   
27  (一)主营业务影响。2017年公司计提商誉减值准备11,950万元,2018年公司根据对商誉...  -1.1255e+08   
28  (一)主营业务影响1、公司所处的医疗器械板块医疗器械板块稳步增长,预计实现主营业务收入85....  6.55287e+07   
29  (一)主营业务影响1、报告期内,受医保控费等医药行业政策影响,公司主要产品售价和销量下滑,公...   3.8753e+08   
30  (一)投资收益的影响本报告期投资收益预计比上年同期增加83%,主要是公司参股公司--国投新疆...  8.50735e+07   
31  (一)主营业务影响:报告期内,公司主营业务所处行业影视行业和游戏行业的政策环境发生较大变化,...  3.00116e+08   
32  (一)主营业务影响。公司2018年新签大额工程项目签约时间较晚,新签项目对2018年收入的贡...  8.96588e+07   
33  (一)公司全资子公司北京联龙博通电子商务技术有限公司(以下简称“联龙博通”)受综合因素影响,...     1.32e+08   
34  (一)主营业务影响:报告期内,受宏观经济政策环境影响,公司互联网广告业务及营销服务收入增长乏...  3.23068e+07   
35  (一)2018年,国内智能手机市场增速放缓、消费电子行业呈现低迷态势、中美贸易战等因素影响,...  2.80897e+08   
36  (一)公司归属于上市公司股东的净利润预增主要是报告期内金融资产的处置收益增加。(二)公司归属...     7.37e+08   
37  (一)主营业务影响:1、军队和武警肿瘤治疗合作中心板块由于受到军队政策改革影响,到2018年...  1.69344e+08   
38  (一)主营业务影响由于美国传统零售业受电商冲击影响,盈利空间不断受到挤压,传统零售巨头面临倒...  2.10781e+08   
39  (一)报告期内,公司转让所持上海太阳能科技有限公司70%股权、上海神舟新能源发展有限公司10...   -3.091e+08   
40  (一)公司及全资子公司汉柏科技有限公司(以下简称“汉柏科技”)因债务逾期、多个账户被冻结、部...  1.27229e+08   
41  (一)主营业务影响1、报告期,受半导体市场景气度指数下降、移动通讯产品市场疲软、星科金朋赎回...   3.4335e+08   
42  (一)主营业务影响:报告期内,公司自主贵人鸟品牌销售收入下降,生产成本上升,销售费用上涨,导...  1.57308e+08   
43  1.公司子公司强身药业中成药产品的销售不达预期,导致其销售收入同比有较大幅度下降,本期强身药...  1.46356e+08   
44  (一)本年公司与苏州美恩超导有限公司、美国超导公司、美国超导奥地利公司共同签署了《和解协议》...  1.14796e+08   
45  (一)本期公司全资子公司浙江晟喜华视文化传媒有限公司(以下简称“晟喜华视”)受影视行业市场和...  2.83596e+08   
46  公司本期业绩预亏的主要原因如下:(一)主营业务方面的影响因市场供需发生变化,2018年全资子...  2.06872e+09   
47  (一)主营业务影响1、报告期内,控股子公司深圳博立信科技有限公司(以下简称“博立信”)受手机...   8.5544e+06   
48  (一)投资收益影响1、经公司六届十九次、六届二十次董事会会议审议通过,决定将公司持有的趣链科... -2.08867e+08   
49  1、上年同期公司因2015年并购的标的资产未完成业绩承诺目标,计提了大额商誉减值,影响了上年... -3.08722e+08   
50  (一)报告期内,公司全资子公司江苏悦达纺织集团有限公司业绩实现扭亏为盈。(二)报告期内,公司... -2.81246e+08   
51  (一)主营业务影响。公司对截至2018年末的相关资产进行清查分析,结合代理律师意见对相关诉讼...   1.2264e+07   
52  (一)资产减值影响公司对可供出售金融资产、商誉、应收账款等资产进行减值测试,合计计提各项资产...    6.688e+08   
53  1、2018年度因市场环境持续不景气,市场疲软、需求不足是一段时期以来持续困扰机械行业发展的...  2.09589e+07   
54  (一)主营业务影响公司控股51%的子公司英国HenryBath&SonLimited(以下简...  1.34944e+09   
55  1、2017年12月9日江苏连云港聚鑫生物科技有限公司“12.9”重大爆炸事故发生后,连云港...  5.47626e+08   
56  公司本次业绩预减主要是由于①公司对持有的新筑股份股票(证券代码:002480)计提减值准备1...  3.98449e+08   
57  (一)报告期内,公司贯彻“守正出新、变中求进、攻坚克难”的指导思想,持续提升公司专业开发能力...    1.011e+09   
58  (一)主营业务影响1、受行业政策变化、市场深度洗牌和进一步集中化影响,中小游戏厂商受到严重冲...     3.48e+07   
59  1、本期归属于上市公司股东的净利润预增主要系非经营性收益所致,合计影响金额约为19050万元...  1.66282e+07   
60  (一)报告期内,公司将持有的北京泛生子基因科技有限公司6.483%股权以1.25亿元价格转让...   -1.846e+07   
61  报告期内,归属于上市公司股东的净利润预计同比下滑,主要系(1)公司本期交付结转的房地产项目毛...  1.88592e+08   
62  1、主营业务影响因受煤电行业“超低排放”的快速推进及行业竞争加剧影响,本公司主业电除尘器市场...  -1.6674e+08   
63  (一)主营业务影响。本期公司高端消费类通信产品销售较2017年度大幅减少3亿多元,相关业务实...  2.42172e+07   
64  (一)资产负债表日公司商誉等长期资产存在减值迹象,计提减值准备。(二)公司本年高能锂离子动力...     1.95e+07   
65  公司因股权收购产生的商誉截至报告期末确认余额11,457.47万元。如未来有关子公司业绩未达...            -   
           上年商誉  
0   6.12769e+07  
1   1.45557e+09  
2   1.78758e+09  
3   1.17492e+09  
4   1.50049e+09  
5   1.33389e+09  
6   8.01802e+07  
7   2.14743e+09  
8    3.5202e+09  
9   1.62521e+08  
10  3.79774e+08  
11  4.83385e+08  
12  6.17694e+08  
13  7.22603e+08  
14  1.66933e+09  
15   1.1826e+09  
16  1.57369e+09  
17  3.39975e+09  
18   4.9972e+08  
19  1.13681e+09  
20  1.24641e+09  
21  9.42326e+08  
22  7.75653e+08  
23  1.08137e+09  
24  3.45768e+08  
25   5.1483e+08  
26  2.34313e+09  
27  5.10764e+08  
28  6.28476e+08  
29  2.16815e+09  
30   9.9092e+07  
31  1.28698e+09  
32  7.13637e+06  
33  2.91566e+08  
34  1.20773e+08  
35  2.27149e+09  
36  9.10758e+06  
37  1.13686e+09  
38  1.37544e+09  
39  2.82478e+08  
40  6.25543e+08  
41  2.51067e+09  
42  5.74493e+08  
43  1.78157e+08  
44            -  
45  6.34058e+08  
46   6.4748e+09  
47  1.52654e+08  
48  7.39458e+07  
49  2.18733e+08  
50  1.62419e+06  
51  1.64676e+07  
52  2.65239e+08  
53  4.10761e+06  
54  1.76657e+08  
55  2.34753e+08  
56  5.40927e+07  
57  9.49811e+07  
58  1.09194e+09  
59            -  
60  1.24466e+09  
61  1.82759e+08  
62  1.19151e+08  
63   4.8056e+07  
64  1.60366e+08  
65  1.14575e+08  
```

#### 个股商誉减值明细

接口: stock_em_sy_jz_list

目标地址: http://data.eastmoney.com/sy/jzlist.html

描述: 获取东方财富网-数据中心-特色数据-商誉-个股商誉减值明细

限量: 单次所有历史数据, 由于数据量比较大需要等待一定时间

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| symbol | str  | Y    |   symbol="沪市主板"; 参见网页选项 |
| trade_date | str  | Y    |   trade_date="2019-12-31"; 参见网页选项 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 股票代码          | datetime.date   | Y        | -     |
| 股票简称          | float   | Y        | -     |
| 商誉(元)          | float   | Y        | -     |
| 商誉减值(元)          | float   | Y        | -     |
| 商誉减值占净资产比例(%)          | float   | Y        | -     |
| 净利润(元)          | float   | Y        | -     |
| 商誉减值占净利润比例(%)          | float   | Y        | -     |
| 公告日期          | float   | Y        | -     |

接口示例

```python
import mssdk as ms
stock_em_sy_jz_list_df = ms.stock_em_sy_jz_list(symbol="沪市主板", trade_date="2019-12-31")
print(stock_em_sy_jz_list_df)
```

数据示例

```
       股票代码   股票简称         商誉(元) 商誉减值(元) 商誉减值占净资产比例(%)        净利润(元)  \
0    600021   上海电力  5.841499e+06       0             0  6.244933e+08   
1    600549   厦门钨业  8.697061e+07       0             0  7.737426e+07   
2    601258  *ST庞大  3.766229e+08       0             0 -1.198859e+09   
3    600096    云天化  8.671338e+07       0             0  1.266708e+08   
4    601618   中国中冶  1.630960e+08  -83000   -7.8666e-07  3.156882e+09   
..      ...    ...           ...     ...           ...           ...   
739  600641   万业企业  2.735111e+08       -             -  5.269850e+08   
740  603665    康隆达  7.150660e+07       -             -  4.355607e+07   
741  603283   赛腾股份  5.304210e+07       -             -  6.035453e+07   
742  601880    大连港  2.043369e+07       -             -  2.882358e+08   
743  600459   贵研铂业  8.516619e+07       -             -  1.115956e+08   
    商誉减值占净利润比例(%)       公告日期  
0               0 2003-10-29  
1               0 2002-11-07  
2               0 2011-04-28  
3               0 1997-07-09  
4    -2.62918e-05 2009-09-21  
..            ...        ...  
739             - 1993-04-07  
740             - 2017-03-13  
741             - 2017-12-25  
742             - 2010-12-06  
743             - 2003-05-16  
```

#### 个股商誉明细

接口: stock_em_sy_list

目标地址: http://data.eastmoney.com/sy/list.html

描述: 获取东方财富网-数据中心-特色数据-商誉-个股商誉明细

限量: 单次所有历史数据, 由于数据量比较大需要等待一定时间

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| symbol | str  | Y    |   symbol="沪市主板"; choice of {"沪市主板", "深市主板", "中小板", "创业板", "沪深两市"} |
| trade_date | str  | Y    |   trade_date="2019-12-31"; 参见网页 **数据日期** 选项 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 股票代码          | datetime.date   | Y        | -     |
| 股票简称          | float   | Y        | -     |
| 商誉          | float   | Y        | 注意单位: 元     |
| 商誉占净资产比例          | float   | Y        | 注意单位: %     |
| 净利润          | float   | Y        | 注意单位: 元     |
| 净利润同比          | float   | Y        | 注意单位: %     |
| 上年商誉          | float   | Y        | 注意单位: 元     |
| 公告日期          | float   | Y        | -     |
 
接口示例

```python
import mssdk as ms
stock_em_sy_list_df = ms.stock_em_sy_list(symbol="沪深两市", trade_date="2019-12-31")
print(stock_em_sy_list_df)
```

数据示例

```
        股票代码   股票简称            商誉  ...      净利润同比          上年商誉       公告日期
0     600226  *ST瀚叶  4.672344e+08  ...  -5.748764  1.185446e+09 2020-06-30
1     600589   广东榕泰  3.223212e+08  ...  -4.498360  1.051754e+09 2020-06-23
2     300178   腾邦国际  2.070220e+07  ... -10.394864  5.833286e+08 2020-05-01
3     603998   方盛制药  2.521327e+08  ...   0.081058  1.091616e+08 2020-04-30
4     603906   龙蟠科技  2.067265e+08  ...   0.556907  2.067265e+08 2020-04-30
      ...    ...           ...  ...        ...           ...        ...
2085  600549   厦门钨业  3.985015e+07  ...  -0.477644  7.149327e+07 2020-01-21
2086  601018    宁波港  1.433640e+08  ...   0.185833  1.433640e+08 2020-01-16
2087  600101   明星电力  4.506434e+06  ...  -0.020582  4.506434e+06 2020-01-15
2088  601952   苏垦农发  1.092066e+08  ...  -0.023240  4.589893e+06 2020-01-14
2089  600018   上港集团  1.870246e+08  ...  -0.118142  1.804916e+08 2020-01-10
```

#### 行业商誉

接口: stock_em_sy_hy_list

目标地址: http://data.eastmoney.com/sy/hylist.html

描述: 获取东方财富网-数据中心-特色数据-商誉-行业商誉

限量: 单次所有历史数据, 由于数据量比较大需要等待一定时间

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| trade_date | str  | Y    |   trade_date="2019-12-31"; 参见网页的选项 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 行业名称          | datetime.date   | Y        | -     |
| 公司家数          | float   | Y        | -     |
| 商誉规模(元)         | float   | Y        | -     |
| 净资产(元)          | float   | Y        | -     |
| 商誉规模占净资产规模比例(%)          | float   | Y        | -     |
| 净利润规模(元)          | float   | Y        | -     |

接口示例

```python
import mssdk as ms
stock_em_sy_hy_list_df = ms.stock_em_sy_hy_list(trade_date="2019-12-31")
print(stock_em_sy_hy_list_df)
```

数据示例

```
    行业名称   公司家数       商誉规模(元)        净资产(元)  商誉规模占净资产规模比例(%)      净利润规模(元)
0   珠宝首饰    6.0  6.871225e+09  1.986175e+10         0.345953 -2.183489e+09
1   电信运营    4.0  5.624605e+09  2.051773e+10         0.274134  8.434792e+08
2   软件服务  129.0  1.078117e+11  4.085827e+11         0.263868  2.081720e+10
3   塑胶制品   24.0  2.461064e+10  1.015163e+11         0.242430  6.285810e+09
4   文教休闲   20.0  1.133933e+10  4.818311e+10         0.235338  4.756984e+09
5   医疗行业   50.0  3.394348e+10  1.608957e+11         0.210966  1.631258e+10
6   电子信息   70.0  5.492619e+10  2.692388e+11         0.204005  1.456987e+10
7   旅游酒店   20.0  1.900859e+10  9.319367e+10         0.203969  8.850620e+09
8   航天航空    9.0  7.672619e+09  4.021660e+10         0.190782  1.047841e+09
9   文化传媒   74.0  7.745306e+10  4.241996e+11         0.182586  2.068973e+10
10  家电行业   23.0  6.161491e+10  3.717773e+11         0.165731  5.679208e+10
11  通讯行业   62.0  3.962408e+10  2.479608e+11         0.159800  1.308809e+10
12  园林工程   15.0  7.829651e+09  5.372857e+10         0.145726 -2.120879e+08
13  机械行业  136.0  8.138680e+10  5.648938e+11         0.144075  3.622411e+10
14  农药兽药   15.0  1.079488e+10  7.631503e+10         0.141452  3.582141e+09
15  船舶制造    2.0  2.744973e+09  1.954651e+10         0.140433  5.273400e+07
16  医药制造  156.0  1.157882e+11  8.732211e+11         0.132599  6.454089e+10
17  仪器仪表   22.0  6.576150e+09  5.392088e+10         0.121959  3.274192e+09
18  金属制品   32.0  2.085736e+10  1.713588e+11         0.121717  6.786388e+09
19  环保工程   38.0  1.802037e+10  1.537313e+11         0.117220  4.785180e+09
20  纺织服装   40.0  1.353747e+10  1.365149e+11         0.099165  7.219908e+09
21  工艺商品    2.0  3.411191e+08  3.545197e+09         0.096220  2.456804e+08
22  化工行业   95.0  5.176045e+10  5.431418e+11         0.095298  3.737679e+10
23  专用设备   49.0  9.661970e+09  1.080933e+11         0.089385  5.933097e+09
24  安防设备   15.0  8.071328e+09  9.169130e+10         0.088027  1.083084e+10
25  木业家具   18.0  5.421531e+09  6.324778e+10         0.085719  4.916758e+09
26  材料行业   40.0  1.251178e+10  1.476718e+11         0.084727  6.352127e+09
27  食品饮料   47.0  1.413954e+10  1.709447e+11         0.082714  1.935951e+10
28  电子元件  129.0  6.526574e+10  7.937096e+11         0.082229  3.742744e+10
29  化纤行业    8.0  2.285575e+09  2.989491e+10         0.076454  1.312792e+09
30  包装材料   17.0  3.504108e+09  4.845075e+10         0.072323  3.098849e+09
31  输配电气   72.0  2.846233e+10  4.103985e+11         0.069353  1.836198e+10
32  公用事业   23.0  1.023297e+10  1.538024e+11         0.066533  8.305771e+09
33  装修装饰   16.0  4.070667e+09  6.207894e+10         0.065572  2.624415e+09
34  汽车行业   71.0  5.738294e+10  9.086594e+11         0.063151  4.260509e+10
35  玻璃陶瓷   15.0  4.615963e+09  7.961761e+10         0.057977  6.355877e+09
36  商业百货   41.0  2.272472e+10  4.002345e+11         0.056779  2.574140e+10
37  造纸印刷   17.0  4.900019e+09  9.503895e+10         0.051558  6.338822e+09
38  农牧饲渔   46.0  1.235736e+10  2.411693e+11         0.051239  1.962621e+10
39  综合行业   13.0  3.126045e+09  6.734589e+10         0.046418  2.886950e+09
40  交运物流   37.0  1.216597e+10  2.737250e+11         0.044446  1.445670e+10
41  交运设备   12.0  9.977482e+09  2.271280e+11         0.043929  1.251830e+10
42  国际贸易   15.0  5.811994e+09  1.337195e+11         0.043464  7.983563e+09
43  民航机场    3.0  1.045905e+10  2.423249e+11         0.043161  1.174093e+10
44   贵金属    7.0  4.542734e+09  1.075856e+11         0.042224  4.145033e+09
45  多元金融   14.0  1.257611e+10  3.439604e+11         0.036563  1.523315e+10
46  有色金属   37.0  1.405050e+10  4.075440e+11         0.034476  1.319495e+10
47  港口水运   16.0  1.513695e+10  4.581632e+11         0.033038  2.228818e+10
48  化肥行业    8.0  1.148380e+09  4.061339e+10         0.028276  1.053674e+09
49    保险    4.0  2.905489e+10  1.028357e+12         0.028254  1.519328e+11
50  水泥建材   25.0  1.079457e+10  3.925170e+11         0.027501  4.602760e+10
51  券商信托   35.0  3.674398e+10  1.454979e+12         0.025254  7.247154e+10
52  石油行业   20.0  5.645186e+10  2.403400e+12         0.023488  8.258209e+10
53  电力行业   35.0  2.074898e+10  9.898093e+11         0.020963  4.431108e+10
54  酿酒行业   13.0  3.422861e+09  1.847725e+11         0.018525  2.684754e+10
55  煤炭采选   16.0  6.822174e+09  3.847587e+11         0.017731  2.493593e+10
56   房地产   67.0  2.813986e+10  1.608848e+12         0.017491  1.024632e+11
57  工程建设   53.0  1.989413e+10  1.779517e+12         0.011180  1.010677e+11
58  高速公路    7.0  1.128700e+09  1.190739e+11         0.009479  9.508561e+09
59  钢铁行业   11.0  1.448608e+09  3.529604e+11         0.004104  2.260305e+10
60    银行    9.0  3.417200e+10  8.907237e+12         0.003836  8.418650e+11
```

### 股票账户统计

#### 股票账户统计月度

接口: stock_em_account

目标地址: http://data.eastmoney.com/cjsj/gpkhsj.html

描述: 获取东方财富网-数据中心-特色数据-股票账户统计

限量: 单次获取从 201504 开始至今的所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | -  | -    |   - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 数据日期          | str   | Y        | -     |
| 新增投资者-数量          | float   | Y        | 注意单位: 万户     |
| 新增投资者-环比         | float   | Y        | -     |
| 新增投资者-同比          | float   | Y        | -     |
| 期末投资者-总量          | float   | Y        | 注意单位: 万户     |
| 期末投资者-A股账户          | float   | Y        | 注意单位: 万户     |
| 期末投资者-B股账户          | float   | Y        | 注意单位: 万户     |
| 上证指数-收盘          | float   | Y        | -     |
| 上证指数-涨跌幅          | float   | Y        | -     |
| 沪深总市值          | float   | Y        | -     |
| 沪深户均市值          | float   | Y        | 注意单位: 万     |

接口示例

```python
import mssdk as ms
stock_em_account_df = ms.stock_em_account()
print(stock_em_account_df)
```

数据示例

```
        数据日期  新增投资者-数量 新增投资者-环比  ...   上证指数-涨跌幅               沪深总市值   沪深户均市值
0   2020年06月    154.90   0.2758  ...   4.639082              648774  38.8220
1   2020年05月    121.41  -0.2599  ...  -0.270307  600109.90801638784  36.2462
2   2020年04月    164.04  -0.1326  ...   3.991788  593993.74567734241  36.1420
3   2020年03月    189.12   1.1121  ...  -4.513677              562854  34.5928
4   2020年02月     89.54   0.1183  ...  -3.232770  596640.15188094776  37.1009
..       ...       ...      ...  ...        ...                 ...      ...
58  2015年08月    136.85   -0.332  ... -12.493842              438027  46.9417
59  2015年07月    204.87  -0.5587  ... -14.343336              504846  54.9082
60  2015年06月    464.22   0.1163  ...  -7.253701              584574  65.0300
61  2015年05月    415.87  -0.1641  ...   3.829406              627465  73.6062
62  2015年04月    497.53        -  ...  18.510531              563491  69.4956
```

### 分析师指数

#### 分析师指数最新排行

接口: stock_em_analyst_rank

目标地址: http://data.eastmoney.com/invest/invest/list.html

描述: 获取东方财富网-数据中心-研究报告-东方财富分析师指数-东方财富分析师指数最新排行

限量: 单次获取指定年份的所有数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| year | str  | Y    |   year='2020'; 从 2015 年至今  |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          | int | Y        | -     |
| 分析师名称          | str   | Y        | -     |
| 分析师单位         | str   | Y        | -     |
| 年度指数          | float   | Y        | -     |
| xxxx年收益率          | float   | Y        | 注意单位: %     |
| 3个月收益率          | float   | Y        | 注意单位: %     |
| 6个月收益率          | float   | Y        | 注意单位: %     |
| 12个月收益率          | float   | Y        | 注意单位: %     |
| 成分股个数          | int   | Y        | -     |
| xxxx最新个股评级          | str   | Y        | -     |
| 分析师ID          | str   | Y        | -     |

接口示例

```python
import mssdk as ms
stock_em_analyst_rank_df = ms.stock_em_analyst_rank()
print(stock_em_analyst_rank_df)
```

数据示例

```
     序号 分析师名称 分析师单位         年度指数  ...  12个月收益率  成分股个数   2018最新个股评级        分析师ID
0     1    郑琴  海通证券  2382.217300  ...    22.64      8  300685 艾德生物  11000201641
1     2   刘佳妮  中金公司  1154.038052  ...    14.77      6  600795 国电电力  11000252926
2     3   石山虎  联讯证券  1805.691679  ...     7.17      7  300498 温氏股份  11000177390
3     4   王薇娜  华创证券  1000.759956  ...     7.48      6  601007 金陵饭店  11000257150
4     5    李芬  国元证券  1572.381120  ...     2.95     16  603039 泛微网络  11000175191
..  ...   ...   ...          ...  ...      ...    ...          ...          ...
95   96   王家远  兴业证券   937.427096  ...    -9.34     11  002705 新宝股份  11000235730
96   97   张若海  中信证券   828.446242  ...    -9.48     33  300451 创业慧康  11000249334
97   98    沈赟  万联证券  1012.180820  ...    -8.01     28  000887 中鼎股份  11000222032
98   99    魏赟  上海证券  1365.084367  ...    -9.28      8  603707 健友股份  11000182544
99  100   游涓洋  东方证券   921.271629  ...    -9.41      7  300523 辰安科技  11000237423
```

#### 分析师详情

接口: stock_em_analyst_detail

目标地址: http://data.eastmoney.com/invest/invest/list.html

描述: 获取东方财富网-数据中心-研究报告-东方财富分析师指数-分析师详情

限量: 单次获取指定 indicator 指定的数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| analyst_id | str | Y    |  analyst_id="11000257131"; 分析师ID, 从 stock_em_analyst_rank 获取 |
| indicator | str  | Y    |  indicator="最新跟踪成分股"; 从 {"最新跟踪成分股", "历史跟踪成分股", "历史指数"} 中选择一个 |

输出参数-最新跟踪成分股

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          | int   | Y        | -     |
| 股票代码          | float   | Y        | -     |
| 股票名称          | float   | Y        | -     |
| 调入日期          | float   | Y        | -     |
| 最新评级日期          | float   | Y        | -     |
| 当前评级名称          | float   | Y        | -     |
| 成交价格(前复权)          | float   | Y        | -     |
| 最新价格          | float   | Y        | -     |
| 阶段涨跌幅          | float   | Y        | 注意单位: %     |

接口示例-最新跟踪成分股

```python
import mssdk as ms
stock_em_analyst_detail_df = ms.stock_em_analyst_detail(analyst_id="11000200926", indicator="最新跟踪成分股")
print(stock_em_analyst_detail_df)
```

数据示例-最新跟踪成分股

```
   序号    股票代码  股票名称        调入日期      最新评级日期 当前评级名称 成交价格(前复权)    最新价格   阶段涨跌幅
0   1  300035  中科电气  2020-09-28  2020-10-30     买入      8.70   12.53   44.02
1   2  002812  恩捷股份  2020-06-01  2020-10-28     买入     60.10  107.10   78.20
2   3  601012  隆基股份  2020-05-26  2020-11-02     买入     31.19   66.56  113.40
3   4  300750  宁德时代  2020-05-18  2020-10-28     买入    141.60  253.21   78.82
4   5  300274  阳光电源  2020-03-23  2020-10-30     买入      9.64   46.36  380.91
5   6  002080  中材科技  2020-02-10  2020-11-03     买入     12.95   18.76   44.86
```

输出参数-历史跟踪成分股

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          | str   | Y        | -     |
| 股票代码          | float   | Y        | -     |
| 股票名称          | float   | Y        | -     |
| 调入日期          | float   | Y        | -     |
| 调出日期          | float   | Y        | -     |
| 调入时评级名称          | float   | Y        | -     |
| 调出原因          | float   | Y        | -     |
| 累计涨跌幅          | float   | Y        | 注意单位: %     |

接口示例-历史跟踪成分股

```python
import mssdk as ms
stock_em_analyst_detail_df = ms.stock_em_analyst_detail(analyst_id="11000200926", indicator="历史跟踪成分股")
print(stock_em_analyst_detail_df)
```

数据示例-历史跟踪成分股

```
   序号    股票代码  股票名称        调入日期        调出日期 调入时评级名称  调出原因   累计涨跌幅
0   1  603659   璞泰来  2019-10-30  2020-04-30      买入  到期平仓   45.33
1   2  002129  中环股份  2019-08-09  2020-04-29      买入  到期平仓   48.61
2   3  603659   璞泰来  2019-03-19  2019-09-25      买入  到期平仓   -6.26
3   4  002202  金风科技  2019-02-25  2020-04-29      买入  到期平仓  -27.07
4   5  601012  隆基股份  2018-12-27  2020-05-06      买入  到期平仓  114.24
5   6  600438  通威股份  2018-11-19  2020-04-27      买入  到期平仓   68.18
```

输出参数-历史指数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| date          | str   | Y        | 日期     |
| value          | float   | Y        | 指数数值(此指数为东方财富制定)     |

接口示例-历史指数

```python
import mssdk as ms
stock_em_analyst_detail_df = ms.stock_em_analyst_detail(analyst_id="11000200926", indicator="历史指数")
print(stock_em_analyst_detail_df)
```

数据示例-历史指数

```
           date    value
0    2018-11-19     1000
1    2018-11-20   970.74
2    2018-11-21  1011.45
3    2018-11-22  1003.82
4    2018-11-23   989.82
..          ...      ...
478  2020-11-09  4921.39
479  2020-11-10  5028.72
480  2020-11-11  4842.29
481  2020-11-12  4887.65
482  2020-11-13  4783.01
```

### 千股千评

接口: stock_em_comment

目标地址: http://data.eastmoney.com/stockcomment/

描述: 获取东方财富网-数据中心-特色数据-千股千评

限量: 单次获取所有数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | -  | -    |   - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          |  int32  | Y        | -     |
| 代码          | object   | Y        | -     |
| 名称         | object   | Y        | -     |
| 最新价          | object   | Y        | -     |
| 涨跌幅          | object   | Y        | 注意单位: %     |
| 换手率          | object   | Y        | 注意单位: %     |
| 市盈率          | object   | Y        | -     |
| 主力成本          | float64   | Y        | -     |
| 机构参与度          | object   | Y        | -     |
| 综合得分          | object   | Y        | -     |
| 上升          | object   | Y        | 注意: 正负号     |
| 目前排名          | object   | Y        | -     |
| 关注指数          | object   | Y        | -     |
| 发布时间          | object   | Y        | -     |

接口示例

```python
import mssdk as ms
stock_em_comment_df = ms.stock_em_comment()
print(stock_em_comment_df)
```

数据示例

```
     序号      代码      名称     最新价  ...     上升  目前排名  关注指数  发布时间
0        1  000001    平安银行  21.140  ...   -8.0   447.0  80.8  2021-03-25T00:00:00
1        2  000002   万  科Ａ  30.720  ...   -8.0   116.0  73.2  2021-03-25T00:00:00
2        3  000004    国华网安  17.590  ...  842.0  1065.0  48.0  2021-03-25T00:00:00
3        4  000005    世纪星源   2.750  ...  -79.0   560.0  81.6  2021-03-25T00:00:00
4        5  000006    深振业Ａ   5.320  ...  431.0  1249.0  56.8  2021-03-25T00:00:00
    ...     ...     ...     ...  ...    ...     ...   ...                  ...
4388  4389  900952    锦港Ｂ股   0.243  ...      -       -     -  2021-03-25T00:00:00
4389  4390  900953     凯马Ｂ   0.388  ...      -       -     -  2021-03-25T00:00:00
4390  4391  900955  *ST海创B   0.105  ...      -       -     -  2021-03-25T00:00:00
4391  4392  900956    东贝Ｂ股       -  ...      -       -     -  2020-11-20T00:00:00
4392  4393  900957    凌云Ｂ股   0.696  ...      -       -     -  2021-03-25T00:00:00
```

### 沪深港通持股

#### 北向净流入

接口: stock_em_hsgt_north_net_flow_in

目标地址: http://data.eastmoney.com/hsgtcg/

描述: 东方财富网-数据中心-特色数据-沪深港通持股; 注: 资金净流入=当日资金限额-当日资金余额; 资金净流入包含当日成交净买额和当日买入申报未成交金额; 北向资金是沪股通与深股通的资金加总

限量: 单次获取所有数据

输入参数

| 名称   | 类型 | 描述   |
| -------- | ---- | --- |
| indicator | str |    indicator="沪股通"; choice of {"沪股通", "深股通", "北上"} |

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| date          | object   | 日期时间     |
| value          | float64   |  数值(单位: 亿元)     |

接口示例

```python
import mssdk as ms
stock_em_hsgt_north_net_flow_in_df = ms.stock_em_hsgt_north_net_flow_in(indicator="沪股通")
print(stock_em_hsgt_north_net_flow_in_df)
```

数据示例

```
           date       value
0    2018-01-24   -54984.00
1    2018-01-25   149003.00
2    2018-01-26   203800.00
3    2018-01-29   -43001.00
4    2018-01-30   -16952.00
..          ...         ...
495  2020-03-18  -369176.13
496  2020-03-19  -524843.72
497  2020-03-20   467331.07
498  2020-03-23  -587815.69
499  2020-03-24   360505.22
```

#### 北向资金余额

接口: stock_em_hsgt_north_cash

目标地址: http://data.eastmoney.com/hsgtcg/

描述: 东方财富网-数据中心-特色数据-沪深港通持股; 注: 资金净流入=当日资金限额-当日资金余额; 资金净流入包含当日成交净买额和当日买入申报未成交金额; 北向资金是沪股通与深股通的资金加总

限量: 单次获取所有数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| indicator | str |    indicator="沪股通"; 三选一 ("沪股通", "深股通", "北上") |

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| date          | str   |  日期时间     |
| value          | float   |  数值(单位: 万元)     |

接口示例

```python
import mssdk as ms
stock_em_hsgt_north_cash_df = ms.stock_em_hsgt_north_cash(indicator="沪股通")
print(stock_em_hsgt_north_cash_df)
```

数据示例

```
           date       value
0    2018-01-24  1354984.00
1    2018-01-25  1150997.00
2    2018-01-26  1096200.00
3    2018-01-29  1343001.00
4    2018-01-30  1316952.00
..          ...         ...
495  2020-03-18  5569176.13
496  2020-03-19  5724843.72
497  2020-03-20  4732668.93
498  2020-03-23  5787815.69
499  2020-03-24  4839494.78
```

#### 北向累计净流入

接口: stock_em_hsgt_north_acc_flow_in

目标地址: http://data.eastmoney.com/hsgtcg/

描述: 获取东方财富网-数据中心-特色数据-沪深港通持股, 注: 资金净流入=当日资金限额-当日资金余额; 资金净流入包含当日成交净买额和当日买入申报未成交金额; 北向资金是沪股通与深股通的资金加总

限量: 单次获取所有数据

输入参数

| 名称   | 类型 | 描述   |
| -------- | ---- |  --- |
| indicator | str |    indicator="沪股通"; 三选一 ("沪股通", "深股通", "北上") |

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| date          | str   |  日期时间     |
| value          | float   |  数值(单位: 万元)     |

接口示例

```python
import mssdk as ms
stock_em_hsgt_north_acc_flow_in_df = ms.stock_em_hsgt_north_acc_flow_in(indicator="沪股通")
print(stock_em_hsgt_north_acc_flow_in_df)
```

数据示例

```
           date        value
0    2018-01-24  35577144.00
1    2018-01-25  35726147.00
2    2018-01-26  35929947.00
3    2018-01-29  35886946.00
4    2018-01-30  35869994.00
..          ...          ...
495  2020-03-18  81587241.34
496  2020-03-19  81062397.61
497  2020-03-20  81529728.68
498  2020-03-23  80941912.99
499  2020-03-24  81302418.21
```

#### 南向净流入

接口: stock_em_hsgt_south_net_flow_in

目标地址: http://data.eastmoney.com/hsgtcg/

描述: 获取东方财富网-数据中心-特色数据-沪深港通持股; 注: 资金净流入=当日资金限额-当日资金余额; 资金净流入包含当日成交净买额和当日买入申报未成交金额; 南向资金是沪股通与深股通的资金加总

限量: 单次获取指定 indicator 的所有数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| indicator | str | Y    |   indicator="沪股通"; choice of {"沪股通", "深股通", "南下"} |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| date          | str   | Y        | 日期     |
| value          | float   | Y        | 注意单位: 万元    |

接口示例

```python
import mssdk as ms
stock_em_hsgt_south_net_flow_in_df = ms.stock_em_hsgt_south_net_flow_in(indicator="沪股通")
print(stock_em_hsgt_south_net_flow_in_df)
```

数据示例

```
           date       value
0    2018-01-08   261100.00
1    2018-01-09   247400.00
2    2018-01-10   348700.00
3    2018-01-11   117800.00
4    2018-01-12   189500.00
..          ...         ...
495  2020-03-18   438078.11
496  2020-03-19  1111726.56
497  2020-03-20   454211.91
498  2020-03-23   803559.16
499  2020-03-24   328810.83
```

#### 南向资金余额

接口: stock_em_hsgt_south_cash

目标地址: http://data.eastmoney.com/hsgtcg/

描述: 获取东方财富网-数据中心-特色数据-沪深港通持股, 注: 资金净流入=当日资金限额-当日资金余额; 资金净流入包含当日成交净买额和当日买入申报未成交金额; 南向资金是沪股通与深股通的资金加总

限量: 单次获取指定 indicator 的所有数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| indicator | str | Y    |   indicator="沪股通"; 三选一 ("沪股通", "深股通", "南下") |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| date          | str   | Y        | 日期     |
| value          | float   | Y        | 注意单位: 万元     |

接口示例

```python
import mssdk as ms
stock_em_hsgt_south_cash_df = ms.stock_em_hsgt_south_cash(indicator="沪股通")
print(stock_em_hsgt_south_cash_df)
```

数据示例

```
           date       value
0    2018-01-08   788900.00
1    2018-01-09   802600.00
2    2018-01-10   701300.00
3    2018-01-11   932200.00
4    2018-01-12   860500.00
..          ...         ...
495  2020-03-18  3761921.89
496  2020-03-19  3088273.44
497  2020-03-20  3745788.09
498  2020-03-23  3396440.84
499  2020-03-24  3871189.17
```

#### 南向累计净流入

接口: stock_em_hsgt_south_acc_flow_in

目标地址: http://data.eastmoney.com/hsgtcg/

描述: 获取东方财富网-数据中心-特色数据-沪深港通持股, 注: 资金净流入=当日资金限额-当日资金余额; 资金净流入包含当日成交净买额和当日买入申报未成交金额; 南向资金是沪股通与深股通的资金加总

限量: 单次获取指定 indicator 的所有数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| indicator | str | Y    |   indicator="沪股通"; choice of {"沪股通", "深股通", "南下"} |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| date          | str   | Y        | 日期时间     |
| value          | float   | Y        | 注意单位: 万元     |

接口示例

```python
import mssdk as ms
stock_em_hsgt_south_acc_flow_in_df = ms.stock_em_hsgt_south_acc_flow_in(indicator="沪股通")
print(stock_em_hsgt_south_acc_flow_in_df)
```

数据示例

```
           date         value
0    2018-01-08   74003000.00
1    2018-01-09   74250400.00
2    2018-01-10   74599100.00
3    2018-01-11   74716900.00
4    2018-01-12   74906400.00
..          ...           ...
495  2020-03-18  120618810.70
496  2020-03-19  121730537.26
497  2020-03-20  122184749.17
498  2020-03-23  122988308.33
499  2020-03-24  123317119.16
```

#### 板块排行

接口: stock_em_hsgt_board_rank

目标地址: http://data.eastmoney.com/hsgtcg/hy.html

描述: 获取东方财富网-数据中心-沪深港通持股-行业板块排行

限量: 单次获取指定 symbol 和 indicator 的所有数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| symbol | str | Y    |   symbol="北向资金增持行业板块排行"; choice of {"北向资金增持行业板块排行", "北向资金增持概念板块排行", "北向资金增持地域板块排行"} |
| indicator | str | Y    |   indicator="今日"; choice of {"今日", "3日", "5日", "10日", "1月", "1季", "1年"} |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          | int   | Y        | -     |
| 名称          | str   | Y        | -     |
| 最新涨跌幅          | float   | Y        | 注意单位: %     |
| 北向资金今日持股-股票只数          | float   | Y        | -     |
| 北向资金今日持股-市值          | float   | Y        | 注意单位: 元     |
| 北向资金今日持股-占板块比          | float   | Y        | -    |
| 北向资金今日持股-占北向资金比          | float   | Y        | -     |
| 北向资金今日增持估计-股票只数          | float   | Y        | -     |
| 北向资金今日增持估计-市值          | float   | Y        | 注意单位: 元     |
| 北向资金今日增持估计-市值增幅          | float   | Y        | -     |
| 北向资金今日增持估计-占板块比          | float   | Y        | -     |
| 北向资金今日增持估计-占北向资金比          | float   | Y        | -     |
| 今日增持最大股-市值          | float   | Y        | -     |
| 今日增持最大股-占股本比          | float   | Y        | -     |
| 今日减持最大股-占股本比          | float   | Y        | -     |
| 今日减持最大股-市值          | float   | Y        | -     |

接口示例

```python
import mssdk as ms
stock_em_hsgt_industry_rank_df = ms.stock_em_hsgt_board_rank(symbol="北向资金增持行业板块排行", indicator="今日")
print(stock_em_hsgt_industry_rank_df)
```

数据示例

```
    序号    名称  最新涨跌幅  ...  今日增持最大股-占股本比  今日减持最大股-占股本比  今日减持最大股-市值
0    1  电子元件   0.53  ...          兆易创新          扬杰科技        立讯精密
1    2  家电行业   2.20  ...          格力电器          九阳股份        美的集团
2    3   房地产  -0.50  ...          中南建设          格力地产        保利地产
3    4  玻璃陶瓷   2.19  ...          旗滨集团           菲利华         菲利华
4    5  电子信息  -0.58  ...          紫光股份          久远银海        东方财富
..  ..   ...    ...  ...           ...           ...         ...
56  57  通讯行业  -0.87  ...          光迅科技          闻泰科技        闻泰科技
57  58  酿酒行业   1.30  ...           口子窖           水井坊         五粮液
58  59  医药制造  -1.21  ...          华润三九          福安药业        华大基因
59  60  食品饮料  -0.73  ...          洽洽食品          涪陵榨菜        海天味业
60  61    保险  -1.41  ...          中国太保          中国平安        中国平安
```

#### 个股排行

接口: stock_em_hsgt_hold_stock

目标地址: http://data.eastmoney.com/hsgtcg/list.html

描述: 东方财富网-数据中心-沪深港通持股-个股排行

限量: 单次获取指定 market 和 indicator 的所有数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| market | str |    market="沪股通"; choice of {"北向", "沪股通", "深股通"} |
| indicator | str |    indicator="沪股通"; choice of {"今日排行", "3日排行", "5日排行", "10日排行", "月排行", "季排行", "年排行"} |

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 序号          | int32   |  -     |
| 代码          | object   |  -     |
| 名称          | object   |  -     |
| 今日收盘价          | float64   |  -     |
| 今日涨跌幅          | float64   |  注意单位: %     |
| 今日持股-占总股本比          | float64   |  -     |
| 今日持股-股数          | float64   | -     |
| 今日持股-市值         | float64   | -     |
| 今日持股-占流通股比         | float64   |  -     |
| 今日持股-占总股本比         | float64   |  -    |
| 增持估计-股数         | float64   |  主要字段名根据 indicator 变化     |
| 增持估计-市值         | float64   |  主要字段名根据 indicator 变化     |
| 增持估计-市值增幅         | object   |  主要字段名根据 indicator 变化     |
| 增持估计-占流通股比         | float64   |  主要字段名根据 indicator 变化     |
| 增持估计-占总股本比         | float64   |  主要字段名根据 indicator 变化     |
| 所属板块         | object   |  -     |
| 日期         | object   |  -     |

接口示例

```python
import mssdk as ms
stock_em_hsgt_hold_stock_df = ms.stock_em_hsgt_hold_stock(market="北向", indicator="今日排行")
print(stock_em_hsgt_hold_stock_df)
```

数据示例

```
        序号      代码    名称    今日收盘价  ...  今日增持估计-占流通股比  今日增持估计-占总股本比  所属板块          日期
0        1  601012  隆基股份    84.10  ...          2.10          2.10  材料行业  2021-09-15
1        2  002460  赣锋锂业   196.18  ...          4.59          2.74  有色金属  2021-09-15
2        3  600036  招商银行    51.40  ...          0.42          0.34    银行  2021-09-15
3        4  603659   璞泰来   184.80  ...          3.45          3.44  材料行业  2021-09-15
4        5  300059  东方财富    35.31  ...          1.35          1.11  电子信息  2021-09-15
    ...     ...   ...      ...  ...           ...           ...   ...         ...
1436  1437  002594   比亚迪   261.15  ...         -1.05         -0.42  汽车行业  2021-09-15
1437  1438  000651  格力电器    38.99  ...         -2.09         -2.07  家电行业  2021-09-15
1438  1439  000858   五粮液   198.50  ...         -0.65         -0.65  酿酒行业  2021-09-15
1439  1440  600031  三一重工    26.58  ...         -2.62         -2.62  机械行业  2021-09-15
1440  1441  600519  贵州茅台  1615.74  ...         -0.42         -0.42  酿酒行业  2021-09-15
```

#### 每日个股统计

接口: stock_em_hsgt_stock_statistics

目标地址: http://data.eastmoney.com/hsgtcg/StockStatistics.aspx

描述: 东方财富网-数据中心-沪深港通-沪深港通持股-每日个股统计

限量: 单次获取指定 market 的所有数据, 该接口只能获取近期的数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| symbol | str |    symbol="北向持股"; choice of {"北向持股", "沪股通持股", "深股通持股", "南向持股"} |
| start_date | str |    start_date="20210601"; 此处指定近期交易日 |
| end_date | str |    end_date="20210608"; 此处指定近期交易日 |

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- | | ---------------- |
| 持股日期          | str   |  -     |
| 股票代码          | str   |  -     |
| 股票简称          | str   |  -     |
| 当日收盘价          | float   | 注意单位: 元; 南向持股单位为: 港元     |
| 当日涨跌幅          | float   |  注意单位: %     |
| 持股数量          | float   |  注意单位: 股     |
| 持股市值          | float   |  注意单位: 元     |
| 持股数量占发行股百分比          | float   | 注意单位: %     |
| 持股市值变化-1日          | float   |  注意单位: 元     |
| 持股市值变化-5日          | float   |  注意单位: 元     |
| 持股市值变化-10日          | float   | 注意单位: 元     |

接口示例

```python
import mssdk as ms
stock_em_hsgt_stock_statistics_df = ms.stock_em_hsgt_stock_statistics(symbol="北向持股", start_date="20211027", end_date="20211027")
print(stock_em_hsgt_stock_statistics_df)
```

数据示例

```
      持股日期    股票代码  股票简称  ...     持股市值变化-1日     持股市值变化-5日   持股市值变化-10日
0     2021-10-27  603327  福蓉科技  ... -1.876431e+05 -7.623525e+04 -1.999411e+06
1     2021-10-27  605199   葫芦娃  ... -1.408119e+06 -8.786002e+05 -8.750511e+05
2     2021-10-27  605136  丽人丽妆  ... -4.739965e+05 -4.834552e+05 -2.335740e+06
3     2021-10-27  300396  迪瑞医疗  ... -2.088927e+05 -7.029425e+05 -8.044508e+05
4     2021-10-27  603598  引力传媒  ...  1.090273e+05 -4.007397e+06 -6.420819e+06
          ...     ...   ...  ...           ...           ...           ...
1436  2021-10-27  601012  隆基股份  ...  1.753065e+09  4.817712e+08  7.829894e+09
1437  2021-10-27  600036  招商银行  ... -8.938440e+08  4.831173e+09  4.401946e+09
1438  2021-10-27  000333  美的集团  ... -5.719656e+09 -3.952053e+09 -7.030619e+09
1439  2021-10-27  300750  宁德时代  ...  3.142970e+09  7.133537e+09  2.157141e+10
1440  2021-10-27  600519  贵州茅台  ... -3.964678e+09 -2.334647e+09 -5.475161e+09
```

#### 每日机构统计

接口: stock_em_hsgt_institution_statistics

目标地址: http://data.eastmoney.com/hsgtcg/InstitutionStatistics.aspx

描述: 东方财富网-数据中心-沪深港通-沪深港通持股-每日机构统计

限量: 单次获取指定 market 的所有数据, 该接口只能获取近期的数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| market | str |   market="北向持股"; choice of {"北向持股", "沪股通持股", "深股通持股", "南向持股"} |

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 持股日期          | str   |  -     |
| 机构名称          | str   |  -     |
| 持股只数          | str   |  注意单位: 只     |
| 持股市值          | float   |  注意单位: 元; 南向持股单位为: 港元     |
| 持股市值变化-1日          | float   |  注意单位: 元; 南向持股单位为: 港元     |
| 持股市值变化-5日          | float   | 注意单位: 元; 南向持股单位为: 港元     |
| 持股市值变化-10日          | float   |  注意单位: 元; 南向持股单位为: 港元     |

接口示例

```python
import mssdk as ms
stock_em_hsgt_institution_statistics_df = ms.stock_em_hsgt_institution_statistics(market="北向持股", start_date="20201218", end_date="20201218")
print(stock_em_hsgt_institution_statistics_df)
```

数据示例

```
     持股日期  ...           持股市值变化-10日
0    2020-12-18  ...  -1853745798.3000183
1    2020-12-18  ...         -6.01983e+09
2    2020-12-18  ...   3296301138.0900955
3    2020-12-18  ...   299245525.25022888
4    2020-12-18  ...   18389735021.519775
..          ...  ...                  ...
153  2020-12-18  ...   1455359.9999999981
154  2020-12-18  ...                  -10
155  2020-12-18  ...  -2035718.2199999988
156  2020-12-18  ...                -5425
157  2020-12-18  ...                  -94
```

#### 沪深港通历史数据

接口: stock_em_hsgt_hist

目标地址: http://data.eastmoney.com/hsgt/index.html

描述: 东方财富网-数据中心-资金流向-沪深港通资金流向-沪深港通历史数据

限量: 单次获取指定 symbol 的所有数据

输入参数

| 名称   | 类型 | 描述   |
| -------- | ---- |  --- |
| symbol | str |   symbol="港股通沪"; choice of {"沪股通", "深股通", "港股通沪", "港股通深"} |

输出参数-沪股通

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 日期          | object   |  -     |
| 当日成交净买额          | int64   |  注意单位: 亿元     |
| 买入成交额          | int64   |  注意单位: 亿元     |
| 卖出成交额          | int64   |  注意单位: 亿元     |
| 历史累计净买额          | float64   |  注意单位: 亿元     |
| 当日资金流入          | int64   |  注意单位: 亿元     |
| 当日余额          | int64   | 注意单位: 亿元     |
| 领涨股          | object   |  -     |
| 领涨股涨跌幅          | float64   |  注意单位: %     |
| 上证指数          | float64   |  -     |
| 涨跌幅          | float64   |  注意单位: %     |

接口示例-沪股通

```python
import mssdk as ms
stock_em_hsgt_hist_df = ms.stock_em_hsgt_hist(symbol="沪股通")
print(stock_em_hsgt_hist_df)
```

数据示例-沪股通

```
      日期  当日成交净买额   买入成交额   卖出成交额  ...   领涨股  领涨股涨跌幅   上证指数   涨跌幅
0     2021-10-28    45.63  304.63  259.00  ...   喜临门   10.02  3518.42 -1.23
1     2021-10-27     8.46  248.01  239.55  ...  上海电力   10.04  3562.31 -0.98
2     2021-10-26   -14.43  237.41  251.84  ...  复旦微电   16.47  3597.64 -0.34
3     2021-10-25    15.49  255.41  239.92  ...  世运电路   10.01  3609.86  0.76
4     2021-10-22    72.11  286.85  214.74  ...  四川路桥   10.02  3582.60 -0.34
          ...      ...     ...     ...  ...   ...     ...      ...   ...
1603  2014-11-21    22.00   24.31    2.31  ...  大众公用   10.02  2486.79  1.39
1604  2014-11-20    21.42   23.10    1.68  ...  厦门国贸    9.37  2452.66  0.07
1605  2014-11-19    24.97   26.70    1.73  ...  君正集团    6.85  2450.99 -0.22
1606  2014-11-18    47.20   49.44    2.24  ...  厦门国贸   10.06  2456.37 -0.71
1607  2014-11-17   120.82  120.82    0.00  ...   唐山港    9.98  2474.01 -0.19
```

输出参数-港股通沪

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 日期          | object   |  -     |
| 当日成交净买额          | int64   |  注意单位: 亿港元     |
| 买入成交额          | int64   |  注意单位: 亿港元     |
| 卖出成交额          | int64   |  注意单位: 亿港元     |
| 历史累计净买额          | float64   |  注意单位: 万亿元     |
| 当日资金流入          | int64   |  注意单位: 亿元     |
| 当日余额          | int64   | 注意单位: 亿元     |
| 领涨股          | object   |  -     |
| 领涨股涨跌幅          | float64   |  注意单位: %     |
| 恒生指数          | float64   |  -     |
| 涨跌幅          | float64   |  注意单位: %     |

接口示例-港股通沪

```python
import mssdk as ms
stock_em_hsgt_hist_df = ms.stock_em_hsgt_hist(symbol="港股通沪")
print(stock_em_hsgt_hist_df)
```

数据示例-港股通沪

```
     日期  当日成交净买额  买入成交额  卖出成交额  ...领涨股  领涨股涨跌幅  恒生指数   涨跌幅
0     2021-10-28     -210   5816   6026  ...   洛阳玻璃股份   11.33  25555.73 -0.28
1     2021-10-27     -938   6732   7670  ...     金风科技   11.94  25628.74 -1.57
2     2021-10-26    -1937   5149   7086  ...     上海复旦    9.88  26038.27 -0.36
3     2021-10-25      436   5893   5457  ...     东方电气   10.67  26132.03  0.02
4     2021-10-22     -704   6079   6783  ...     敏华控股    8.84  26126.93  0.42
          ...      ...    ...    ...  ...      ...     ...       ...   ...
1571  2014-11-21      175    309    134  ...  第一拖拉机股份    6.45  23437.12  0.37
1572  2014-11-20      188    282     94  ...     东方电气    5.26  23349.64 -0.10
1573  2014-11-19      266    381    115  ...     复星医药    7.58  23373.31 -0.66
1574  2014-11-18      937   1083    146  ...   统一企业中国    5.53  23529.17 -1.13
1575  2014-11-17     2132   2238    106  ...     上海医药    3.74  23797.08 -1.21
```

#### 沪深港通持股-个股

接口: stock_hsgt_individual_em

目标地址: http://data.eastmoney.com/hsgtcg/StockHdStatistics/002008.html(示例)

描述: 东方财富网-数据中心-沪深港通-沪深港通持股-具体股票

限量: 单次获取指定 stock 的近期数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| stock | str |   stock="002008" |

输出参数

| 名称          | 类型 | 描述           |
| ------------ | ----- | ---------------- |
| 持股日期          | object   | -     |
| 当日收盘价          | float64   | 注意单位: 元     |
| 当日涨跌幅          | float64   | 注意单位: %     |
| 持股数量          | int64   | 注意单位: 股     |
| 持股市值          | float64   | 注意单位: 元     |
| 持股数量占A股百分比          | float64   | 注意单位: %     |
| 持股市值变化-1日          | float64   | 注意单位: 元     |
| 持股市值变化-5日          | float64   | 注意单位: 元     |
| 持股市值变化-10日          | float64   | 注意单位: 元     |

接口示例

```python
import mssdk as ms
stock_hsgt_individual_em_df = ms.stock_hsgt_individual_em(stock="002008")
print(stock_hsgt_individual_em_df)
```

数据示例

```
    持股日期  当日收盘价   当日涨跌幅  ... 持股市值变化-1日  持股市值变化-5日  持股市值变化-10日
0   2021-10-22  39.84   0.682335  ... -2.541465e+07  4.309722e+07  1.492801e+08
1   2021-10-21  39.57  -0.477867  ... -3.656606e+07  3.448956e+08 -2.642153e+08
2   2021-10-20  39.76  -0.425745  ... -1.769953e+07  1.799787e+08 -2.446364e+08
3   2021-10-19  39.93   1.448171  ...  7.080771e+07  2.125419e+08 -3.810102e+08
4   2021-10-18  39.36   0.587784  ...  5.196766e+07  9.280935e+07 -3.145112e+08
5   2021-10-15  39.13   1.530877  ...  2.764133e+08  1.400814e+08 -4.442396e+08
6   2021-10-12  36.94  -3.298429  ... -2.005922e+08 -6.083117e+08 -9.559455e+08
7   2021-10-11  38.20   0.632244  ...  1.591944e+07 -4.518069e+08 -7.291012e+08
8   2021-10-08  37.96   0.343643  ... -4.809285e+07 -6.264651e+08 -8.999057e+08
9   2021-09-30  37.83   0.745672  ...  6.721548e+07 -4.329733e+08 -7.943264e+08
10  2021-09-29  37.55  -6.405783  ... -4.670429e+08 -5.810981e+08 -8.375968e+08
11  2021-09-28  40.12   0.049875  ... -1.979165e+07 -3.482011e+08 -6.290619e+08
12  2021-09-27  40.10  -2.504255  ... -1.593808e+08 -2.776694e+08 -8.426891e+08
13  2021-09-24  41.13   2.389843  ...  1.465906e+08 -2.735974e+08 -5.190073e+08
14  2021-09-23  40.17   0.752445  ... -8.168253e+07 -3.622901e+08 -6.792029e+08
15  2021-09-16  40.51  -3.132473  ... -2.338641e+08 -2.571110e+08 -5.864724e+08
16  2021-09-15  41.82   0.625602  ...  5.073979e+07 -2.808217e+08 -3.278190e+08
17  2021-09-14  41.56  -1.516588  ... -1.552722e+08 -5.649805e+08 -5.157192e+08
18  2021-09-13  42.20   1.247601  ...  5.847866e+07 -2.448081e+08 -5.903708e+08
19  2021-09-10  41.68   0.216398  ...  2.343952e+07 -3.169400e+08 -2.651793e+08
20  2021-09-09  41.59  -4.368820  ... -2.577584e+08 -3.296567e+08 -2.082070e+08
21  2021-09-08  43.49  -2.815642  ... -2.336739e+08 -4.775990e+07  1.220296e+08
22  2021-09-07  44.75   2.968247  ...  1.648786e+08  4.910598e+07  5.045753e+08
23  2021-09-06  43.46  -0.068981  ... -1.433620e+07 -3.457728e+08  3.670148e+08
24  2021-09-03  43.49   0.184289  ...  1.105600e+07  5.161283e+07  7.132410e+08
25  2021-09-02  43.41   0.976971  ...  1.534197e+07  1.214498e+08  7.684794e+08
26  2021-09-01  42.99  -4.168524  ... -1.372145e+08  1.692652e+08  6.337621e+08
27  2021-08-31  44.86  -3.589082  ... -2.294794e+08  4.453658e+08  7.042868e+08
28  2021-08-30  46.53   5.366848  ...  3.815882e+08  7.171889e+08  4.851421e+08
29  2021-08-27  44.16   0.454959  ...  8.145012e+07  6.575977e+08  2.904897e+08
30  2021-08-26  43.96  -0.317460  ...  1.302959e+08  6.472922e+08  8.953875e+08
31  2021-08-25  44.10   0.638978  ...  2.368987e+07  4.249577e+08  1.081029e+09
32  2021-08-24  43.82   0.160000  ...  1.001651e+08  2.806188e+08  1.010920e+09
33  2021-08-23  43.75   6.240894  ...  3.271146e+08 -1.521217e+08  9.801216e+08
34  2021-08-20  41.18   3.130478  ...  6.063662e+07 -4.483904e+08  6.952596e+08
35  2021-08-19  39.93   1.063022  ... -8.414599e+07  2.566553e+08  6.927641e+08
36  2021-08-18  39.51  -0.252461  ... -9.106697e+07  6.562148e+08  3.790538e+08
37  2021-08-17  39.61  -4.737855  ... -3.865083e+08  7.117942e+08  5.505880e+08
38  2021-08-16  41.58  -1.235154  ...  5.093199e+07  1.153426e+09  8.529746e+08
39  2021-08-13  42.10  10.007839  ...  7.676797e+08  1.143808e+09  8.983042e+08
40  2021-08-12  38.27   5.397962  ...  3.155094e+08  4.361088e+08  3.219119e+07
41  2021-08-11  36.31  -0.873601  ... -3.583330e+07 -2.771610e+08 -7.253962e+06
42  2021-08-10  36.63   0.964719  ...  5.512892e+07 -1.612062e+08 -1.290572e+08
43  2021-08-09  36.28   0.165654  ...  4.132297e+07 -3.004515e+08 -2.776736e+07
44  2021-08-06  36.22   1.116695  ...  6.032758e+07 -2.455035e+08 -2.608318e+08
45  2021-08-05  35.82  -4.708699  ... -3.977604e+08 -4.036236e+08 -5.232954e+08
46  2021-08-04  37.59   1.211632  ...  8.012153e+07  2.697535e+08 -1.947024e+08
47  2021-08-03  37.14  -1.537646  ... -8.411638e+07  3.208780e+07 -2.531750e+08
48  2021-08-02  37.72   2.416508  ...  9.627101e+07  2.725113e+08 -1.531233e+08
49  2021-07-30  36.83  -0.566955  ... -9.826055e+07 -1.540150e+07 -3.275803e+08
50  2021-07-29  37.04   5.406944  ...  2.758291e+08 -1.196816e+08 -2.989891e+08
51  2021-07-28  35.14  -2.928177  ... -1.575981e+08 -4.644362e+08 -6.055456e+08
52  2021-07-27  36.20   2.375566  ...  1.366582e+08 -2.925343e+08 -6.064969e+08
53  2021-07-26  35.36  -2.669970  ... -1.928296e+08 -4.201493e+08 -6.358283e+08
```

#### 沪深港通持股-个股详情

接口: stock_hsgt_individual_detail_em

目标地址: http://data.eastmoney.com/hsgtcg/StockHdStatistics/002008.html(示例)

描述: 东方财富网-数据中心-沪深港通-沪深港通持股-具体股票-个股详情

限量: 单次获取指定 stock 的在 start_date 和 end_date 之间的所有数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| stock | str |   stock="002008" |
| start_date | str |   start_date="20210830" |
| end_date | str |   end_date="20211026" |

输出参数

| 名称          | 类型 | 描述           |
| ------------ | ----- | ---------------- |
| 持股日期          | object   | -     |
| 当日收盘价          | float64   | 注意单位: 元     |
| 当日涨跌幅          | float64   | 注意单位: %     |
| 机构名称          | object   | -     |
| 持股数量          | int64   | 注意单位: 股     |
| 持股市值          | float64   | 注意单位: 元     |
| 持股数量占A股百分比          | float64   | 注意单位: %     |
| 持股市值变化-1日          | float64   | 注意单位: 元     |
| 持股市值变化-5日          | float64   | 注意单位: 元     |
| 持股市值变化-10日          | float64   | 注意单位: 元     |

接口示例

```python
import mssdk as ms
stock_hsgt_individual_detail_em_df = ms.stock_hsgt_individual_detail_em(stock="002008", start_date="20210830", end_date="20211026")
print(stock_hsgt_individual_detail_em_df)
```

数据示例

```
      持股日期  当日收盘价   当日涨跌幅  ...  持股市值变化-1日  持股市值变化-5日  持股市值变化-10日
0     2021-10-25  40.05  0.5271  ...   112008.0 -9329832.0    211866.0
1     2021-10-25  40.05  0.5271  ...     1155.0     3795.0     12210.0
2     2021-10-25  40.05  0.5271  ...     8442.0    27738.0    437280.0
3     2021-10-25  40.05  0.5271  ...    26922.0    88458.0    224076.0
4     2021-10-25  40.05  0.5271  ...     1071.0     3519.0     11322.0
          ...    ...     ...  ...        ...        ...         ...
1791  2021-08-30  46.53  5.3668  ...    10428.0    29732.0    142362.0
1792  2021-08-30  46.53  5.3668  ...   120633.0  2329002.0   2330955.0
1793  2021-08-30  46.53  5.3668  ...  5289183.0  4723917.0   7891389.0
1794  2021-08-30  46.53  5.3668  ...   -15768.0  -225276.0         0.0
1795  2021-08-30  46.53  5.3668  ...      474.0      556.0     -3168.0
```

### 两市停复牌

接口: stock_tfp_em

目标地址: http://data.eastmoney.com/tfpxx/

描述: 东方财富网-数据中心-特色数据-两市停复牌

限量: 单次获取指定 date 的停复牌数据, 具体更新逻辑跟目标网页统一

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- | --- |
| date | str |  date="20211026" |

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- | ---------------- |
| 序号          | int64   |       |
| 代码          | object   |       |
| 名称          | object   |      |
| 停牌时间          | object   |       |
| 停牌截止时间          | object   |      |
| 停牌期限          | object   |     |
| 停牌原因          | object   |      |
| 所属市场          | object   |     |
| 预计复牌时间          | object   |      |

接口示例

```python
import mssdk as ms
stock_tfp_em_df = ms.stock_tfp_em(date="20211026")
print(stock_tfp_em_df)
```

数据示例

```
   序号 代码    名称     停牌时间      停牌截止时间  停牌期限     停牌原因   所属市场      预计复牌时间
0   1  301090  华润材料  2021-10-26  2021-10-26  盘中停牌     交易异常波动    创业板         NaT
1   2  002096  南岭民爆  2021-10-20  2021-11-02  连续停牌  拟筹划重大资产重组  深主板A股  2021-11-03
2   3  600803  新奥股份  2021-10-21  2021-10-26  连续停牌  拟筹划重大资产重组   沪市A股  2021-10-27
3   4  688028   沃尔德  2021-10-15  2021-10-28  连续停牌  拟筹划重大资产重组   沪市A股  2021-10-29
4   5  300069  金利华电  2021-10-19  2021-11-01  连续停牌  拟筹划重大资产重组    创业板  2021-11-02
5   6  300438  鹏辉能源  2021-10-22  2021-11-03  连续停牌     刊登重要公告    创业板  2021-11-04
6   7  300492  华图山鼎  2021-10-25         NaT  连续停牌     刊登重要公告    创业板         NaT
7   8  002755   奥赛康  2021-10-27         NaT  连续停牌     刊登重要公告  深主板A股         NaT
8   9  603800  道森股份  2021-10-25  2021-10-26  连续停牌     刊登重要公告   沪市A股  2021-10-27
9  10  002483  润邦股份  2021-10-25  2021-10-29  连续停牌     刊登重要公告  深主板A股  2021-11-01
```

### 新股数据

#### 打新收益率

接口: stock_em_dxsyl

目标地址: http://data.eastmoney.com/xg/xg/dxsyl.html

描述: 东方财富网-数据中心-新股数据-打新收益率

限量: 单次获取指定市场的打新收益率数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| market | str |  market="上海主板"; choice of {"上海主板", "创业板", "深圳主板"} |

输出参数

| 名称          | 类型 |  描述    |
| ------------ | ----- |  ---------------- |
| 股票代码          | object   |      |
| 股票简称          | object   |       |
| 发行价          | float64   |      |
| 最新价          | float64   |       |
| 网上发行中签率          | float64   |    注意单位: %   |
| 网上有效申购股数          | int64   |       |
| 网上有效申购户数          | int64   |  注意单位: 户    |
| 网上超额认购倍数          | float64   |      |
| 网下配售中签率          | float64   |  注意单位: %    |
| 网下有效申购股数          | int64   |       |
| 网下有效申购户数          | int64   |  注意单位: 户     |
| 网下配售认购倍数          | float64   |     |
| 总发行数量          | int64   |      |
| 开盘溢价          | float64   |      |
| 首日涨幅          | float64   |     |
| 打新收益          | float64   |      |
| 上市日期          | object   |      |
| 市场          | object   |       |

接口示例

```python
import mssdk as ms
stock_em_dxsyl_df = ms.stock_em_dxsyl(market="上海主板")
print(stock_em_dxsyl_df)
```

数据示例

```
       股票代码  股票简称    发行价    最新价  网上发行中签率  ...    开盘溢价    首日涨幅  打新收益        上市日期  市场
0    603095   N越剑  26.16  37.67  0.03282  ...  0.1999  0.4400        2020-04-15  sh
1    603353  和顺石油  27.79  33.59  0.03131  ...  0.2001  0.4401  0.02  2020-04-07  sh
2    603221  爱丽家居   12.9  15.30  0.04018  ...  0.2000  0.4403  0.03  2020-03-23  sh
3    603949  雪龙集团  12.66  20.53  0.03444  ...  0.1998  0.4400  0.05  2020-03-10  sh
4    603948  建业股份  14.25  24.16  0.03453  ...  0.2000  0.4400  0.05  2020-03-02  sh
..      ...   ...    ...    ...      ...  ...     ...     ...   ...         ...  ..
661  603212  赛伍技术                         ...                                    sh
662  603439  贵州三力   7.35                  ...                                    sh
663  603392  万泰生物   8.75         0.04085  ...                                    sh
664  601609  金田铜业   6.55         0.11521  ...                                    sh
665  603682  锦和商业   7.91         0.05912  ...                                    sh
```

#### 新股申购与中签

接口: stock_em_xgsglb

目标地址: http://data.eastmoney.com/xg/xg/default_2.html

描述: 东方财富网-数据中心-新股数据-新股申购与中签查询

限量: 单次获取指定市场的新股申购与中签查询数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- | --- |
| market | str | market="全部股票"; choice of {"全部股票", "沪市A股", "科创板", "深市A股", "创业板"} |

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 股票代码          | object   |  -    |
| 股票简称          | object   |    -   |
| 申购代码          | object   |   -   |
| 发行总数          | float64   |    注意单位: 股   |
| 网上发行          | int64   |   注意单位: 股   |
| 顶格申购需配市值          | float64   |   注意单位: 股   |
| 申购上限          | int64   |   -    |
| 发行价格          | float64   |   -    |
| 最新价          | float64   |   -    |
| 首日收盘价          | float64   |    -   |
| 申购日期          | object   |  -     |
| 中签号公布日          | object   |  -    |
| 中签缴款日期          | object   |    -   |
| 上市日期          | object   |    -   |
| 发行市盈率          | float64   |    -   |
| 行业市盈率          | float64   |   -   |
| 中签率          | float64   |   注意单位: %   |
| 询价累计报价倍数          | float64   |    -   |
| 配售对象报价家数          | float64   |   -   |
| 连续一字板数量          | object   |    -  |
| 涨幅          | float64   |    注意单位: %   |
| 每中一签获利          | float64   |    注意单位: 元   |

接口示例

```python
import mssdk as ms
stock_em_xgsglb_df = ms.stock_em_xgsglb(market="全部股票")
print(stock_em_xgsglb_df)
```

数据示例

```
        股票代码  股票简称    申购代码        发行总数  ...  配售对象报价家数  连续一字板数量          涨幅   每中一签获利
0     601825  沪农商行  780825  96444.4445  ...   12821.0      待上市         NaN      NaN
1     301041   金百泽  301041   2668.0000  ...       NaN      待上市         NaN      NaN
2     300994  久祺股份  300994   4856.0000  ...       NaN      待上市         NaN      NaN
3     688385  复旦微电  787385  12000.0000  ...       NaN      待上市         NaN      NaN
4     605577  龙版传媒  707577   4444.4445  ...       NaN      待上市         NaN      NaN
      ...   ...     ...         ...  ...       ...      ...         ...      ...
2760  002338  奥普光电  002338   2000.0000  ...     285.0        1  136.045455  14965.0
2761  002337  赛象科技  002337   3000.0000  ...     181.0        1   40.612903   6295.0
2762  002336   人人乐  002336  10000.0000  ...     272.0        1   22.312824   3010.0
2763  002335  科华数据  002335   1950.0000  ...     188.0        1   56.709324   7755.0
2764  002334   英威腾  002334   1600.0000  ...     190.0        1   37.708333   9050.0
```

### 年报季报

#### 业绩报表

接口: stock_em_yjbb

目标地址: http://data.eastmoney.com/bbsj/202003/yjbb.html

描述: 东方财富-数据中心-年报季报-业绩报表

限量: 单次获取指定日期的业绩报告数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| date | str |  date="20200331"; choice of {"XXXX0331", "XXXX0630", "XXXX0930", "XXXX1231"}; 从 20100331 开始 |

输出参数

| 名称          | 类型 | 描述           |
| ------------ | ----- |  ---------------- |
| 序号          | int32   |   -    |
| 股票代码          | object   |    -   |
| 股票简称          | object   |    -   |
| 每股收益          | float64   |    注意单位: 元   |
| 营业收入-营业收入          | float64   |    注意单位: 元   |
| 营业收入-同比增长          | float64   |    注意单位: %   |
| 营业收入-季度环比增长          | float64   |    注意单位: %   |
| 净利润-净利润          | float64   |    注意单位: 元   |
| 净利润-同比增长          | float64   |     注意单位: %   |
| 净利润-季度环比增长          | float64   |     注意单位: %   |
| 每股净资产          | float64   |    注意单位: 元   |
| 净资产收益率          | float64   |    注意单位: %   |
| 每股经营现金流量          | float64   |   注意单位: 元   |
| 销售毛利率          | float64   |    注意单位: %   |
| 所处行业          | object   |    -   |
| 最新公告日期          | object   |    -   |

接口示例

```python
import mssdk as ms
stock_em_yjbb_df = ms.stock_em_yjbb(date="20200331")
print(stock_em_yjbb_df)
```

数据示例

```
        序号    股票代码   股票简称  ...      销售毛利率  所处行业               最新公告日期
0        1  300542   新晨科技  ...  21.568720  软件服务  2021-03-31 00:00:00
1        2  600985   淮北矿业  ...  19.549841  煤炭采选  2021-03-27 00:00:00
2        3  600711   盛屯矿业  ...   1.739076  有色金属  2021-03-25 00:00:00
3        4  002450  *ST康得  ...  17.174460  材料行业  2021-03-19 00:00:00
4        5  600418   江淮汽车  ...   6.241989  汽车行业  2021-03-17 00:00:00
    ...     ...    ...  ...        ...   ...                  ...
4255  4256  603186   华正新材  ...  20.514610  金属制品  2020-04-09 00:00:00
4256  4257  002838   道恩股份  ...  22.575224  塑胶制品  2020-04-09 00:00:00
4257  4258  600396   金山股份  ...  21.422393  电力行业  2020-04-08 00:00:00
4258  4259  002913    奥士康  ...  22.470020  电子元件  2020-04-08 00:00:00
4259  4260  002007   华兰生物  ...  61.457416  医药制造  2020-04-08 00:00:00
```

#### 业绩快报

接口: stock_em_yjkb

目标地址: http://data.eastmoney.com/bbsj/202003/yjkb.html

描述: 东方财富-数据中心-年报季报-业绩快报

限量: 单次获取指定日期的业绩快报数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| date | str | Y    | date="20200331"; choice of {"XXXX0331", "XXXX0630", "XXXX0930", "XXXX1231"}; 从 20100331 开始 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          | str   | Y        |  -    |
| 股票代码          | str   | Y        |   -   |
| 股票简称          | str   | Y        |   -   |
| 每股收益          | str   | Y        |   -   |
| 营业收入-营业收入          | str   | Y        |   -   |
| 营业收入-去年同期          | str   | Y        |   -   |
| 营业收入-同比增长          | str   | Y        |   -   |
| 营业收入-季度环比增长          | str   | Y        |   -   |
| 净利润-净利润          | str   | Y        |   -   |
| 净利润-去年同期          | str   | Y        |   -   |
| 净利润-同比增长          | str   | Y        |   -   |
| 净利润-季度环比增长          | str   | Y        |   -   |
| 每股净资产          | str   | Y        |   -   |
| 净资产收益率          | str   | Y        |   -   |
| 所处行业          | str   | Y        |   -   |
| 公告日期          | str   | Y        |   -   |
| 市场板块          | str   | Y        |   -   |
| 证券类型          | str   | Y        |   -   |

接口示例

```python
import mssdk as ms
stock_em_yjkb_df = ms.stock_em_yjkb(date="20200331")
print(stock_em_yjkb_df)
```

数据示例

```
      序号    股票代码  股票简称   每股收益  ...  所处行业                 公告日期    市场板块  证券类型
0      1  300961  深水海纳    NaN  ...  环保工程  2020-03-31 00:00:00  深交所创业板    A股
1      2  688092  爱科科技    NaN  ...  专用设备  2020-03-31 00:00:00  上交所科创板    A股
2      3  300950   德固特    NaN  ...  专用设备  2020-03-31 00:00:00  深交所创业板    A股
3      4  688529  豪森股份    NaN  ...  汽车行业  2020-03-31 00:00:00  上交所科创板    A股
4      5  688619   罗普特    NaN  ...  软件服务  2020-03-31 00:00:00  上交所科创板    A股
..   ...     ...   ...    ...  ...   ...                  ...     ...   ...
128  129  601231  环旭电子    NaN  ...  电子元件  2020-03-31 00:00:00   上交所主板    A股
129  130  000728  国元证券  0.080  ...  券商信托  2020-03-31 00:00:00   深交所主板    A股
130  131  600917  重庆燃气  0.034  ...  公用事业  2020-03-31 00:00:00   上交所主板    A股
131  132  688528  秦川物联    NaN  ...  仪器仪表  2020-03-31 00:00:00  上交所科创板    A股
132  133  601139  深圳燃气  0.080  ...  公用事业  2020-03-31 00:00:00   上交所主板    A股
```

#### 业绩预告

接口: stock_em_yjyg

目标地址: http://data.eastmoney.com/bbsj/202003/yjyg.html

描述: 获取东方财富-数据中心-年报季报-业绩预告

限量: 单次获取指定日期的业绩预告数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| date | str | Y    | date="20200331"; choice of {"XXXX0331", "XXXX0630", "XXXX0930", "XXXX1231"}; 从 20081231 开始 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          | str   | Y        |  -    |
| 股票代码          | str   | Y        |   -   |
| 股票简称          | float   | Y        |  -    |
| 预测指标          | float   | Y        |  -    |
| 业绩变动          | float   | Y        |   -   |
| 预测数值          | float   | Y        |  注意单位: 元    |
| 业绩变动幅度          | float   | Y        |  注意单位: %    |
| 业绩变动原因          | float   | Y        |  -    |
| 预告类型          | float   | Y        |  -    |
| 上年同期值          | float   | Y        |  注意单位: 元    |
| 公告日期          | float   | Y        | -     |

接口示例

```python
import mssdk as ms
stock_em_yjyg_df = ms.stock_em_yjyg(date="20190331")
print(stock_em_yjyg_df)
```

数据示例

```
        序号    股票代码  股票简称  ... 预告类型         上年同期值                 公告日期
0        1  003030  祖名股份  ...   预增  1.283700e+07  2020-07-08 00:00:00
1        2  003030  祖名股份  ...   预增  1.165470e+07  2020-07-08 00:00:00
2        3  003030  祖名股份  ...   略增  2.283200e+08  2020-07-08 00:00:00
3        4  003031  中瓷电子  ...   略增  1.678760e+07  2020-05-15 00:00:00
4        5  003031  中瓷电子  ...   略增  1.423360e+07  2020-05-15 00:00:00
    ...     ...   ...  ...  ...           ...                  ...
2514  2515  300294  博雅生物  ...  不确定  7.300522e+06  2020-02-03 00:00:00
2515  2516  300708  聚灿光电  ...   扭亏 -8.405100e+06  2020-01-23 00:00:00
2516  2517  002617  露笑科技  ...   略增  8.054310e+07  2020-01-23 00:00:00
2517  2518  000818  航锦科技  ...   续盈  1.101800e+08  2020-01-16 00:00:00
2518  2519  000818  航锦科技  ...   续盈  1.600000e-01  2020-01-16 00:00:00
```

#### 预约披露时间-东方财富

接口: stock_em_yysj

目标地址: http://data.eastmoney.com/bbsj/202003/yysj.html

描述: 获取东方财富-数据中心-年报季报-预约披露时间

限量: 单次获取指定日期的预约披露时间数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| date | str | Y    | date="20200331"; choice of {"XXXX0331", "XXXX0630", "XXXX0930", "XXXX1231"}; 从 20081231 开始 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| scode          | str   | Y        |  股票代码    |
| sname          | str   | Y        |   股票简称   |
| trademarket          | float   | Y        |  所属市场    |
| reportdate          | float   | Y        |  查询日期    |
| frdate          | float   | Y        |   首次预约时间   |
| fcdate          | float   | Y        |  一次变更日期    |
| scdate          | float   | Y        |  二次变更日期    |
| tcdate          | float   | Y        |  三次变更日期    |
| radate          | float   | Y        |  实际披露时间    |
| securitytypecode          | float   | Y        |  -    |
| trademarketcode          | float   | Y        | -     |

接口示例

```python
import mssdk as ms
stock_em_yysj_df = ms.stock_em_yysj(date="20190331")
print(stock_em_yysj_df)
```

数据示例

```
       scode sname  ... securitytypecode trademarketcode
0     002007  华兰生物  ...        058001001    069001002003
1     600396  金山股份  ...        058001001    069001001001
2     002913   奥士康  ...        058001001    069001002003
3     002838  道恩股份  ...        058001001    069001002003
4     300208  青岛中程  ...        058001001    069001002002
      ...   ...  ...              ...             ...
3813  000566  海南海药  ...        058001001    069001002001
3814  000548  湖南投资  ...        058001001    069001002001
3815  600872  中炬高新  ...        058001001    069001001001
3816  600804   鹏博士  ...        058001001    069001001001
3817  600635  大众公用  ...        058001001    069001001001
```

#### 预约披露时间-巨潮资讯

接口: stock_report_disclosure

目标地址: http://www.cninfo.com.cn/new/commonUrl?url=data/yypl

描述: 获取巨潮资讯-数据-预约披露的数据, 该数据源相对权威

限量: 单次获取指定指定 market 和 period 的预约披露数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| market | str | Y    | market="科创板"; {"沪深": "szsh", "深市": "sz", "深主板": "szmb", "中小板": "szsme", "创业板": "szcn", "沪市": "sh", "沪主板": "shmb", "科创板": "shkcp"}|
| period | str | Y    | period="2019年报"; 近四期的财务报告|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 股票代码          | str   | Y        |  -    |
| 股票简称          | str   | Y        |   -   |
| 首次预约          | str   | Y        |  -    |
| 初次变更          | str   | Y        |   -   |
| 二次变更          | str   | Y        |  -    |
| 三次变更          | str   | Y        |  -    |
| 实际披露          | str   | Y        |  -    |

接口示例

```python
import mssdk as ms
stock_report_disclosure_df = ms.stock_report_disclosure(market="沪深", period="2020年报")
print(stock_report_disclosure_df)
```

数据示例

```
        股票代码   股票简称        首次预约 初次变更 二次变更 三次变更 实际披露
0     000001   平安银行  2021-02-02                    
1     000002  万  科Ａ  2021-03-31                    
2     000004   国华网安  2021-04-20                    
3     000005   世纪星源  2021-04-29                    
4     000006   深振业Ａ  2021-03-31                    
      ...    ...         ...  ...  ...  ...  ...
4158  900929   锦旅Ｂ股  2021-03-31                    
4159  900939    汇丽B  2021-03-31                    
4160  900948   伊泰Ｂ股  2021-03-31                    
4161  900953    凯马Ｂ  2021-04-09                    
4162  900957   凌云Ｂ股  2021-04-09                    
```

#### 资产负债表

接口: stock_em_zcfz

目标地址: http://data.eastmoney.com/bbsj/202003/zcfz.html

描述: 获取东方财富-数据中心-年报季报-业绩快报-资产负债表

限量: 单次获取指定日期的资产负债表数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| date | str | Y    | date="20200331"; choice of {"XXXX0331", "XXXX0630", "XXXX0930", "XXXX1231"}; 从 20081231 开始 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          | int32   | Y        |  -    |
| 股票代码          | object   | Y        |   -   |
| 股票简称          | object   | Y        |  -    |
| 资产-货币资金          | float64   | Y        |   注意单位: 元   |
| 资产-应收账款          | float64   | Y        |  注意单位: 元    |
| 资产-存货          | float64   | Y        |  注意单位: 元    |
| 资产-总资产          | float64   | Y        |  注意单位: 元    |
| 资产-总资产同比          | float64   | Y        |  注意单位: %    |
| 负债-应付账款          | float64   | Y        |  注意单位: 元    |
| 负债-总负债          | float64   | Y        |  注意单位: 元    |
| 负债-预收账款          | float64   | Y        |  注意单位: 元    |
| 负债-总负债同比          | float64   | Y        |  注意单位: %    |
| 资产负债率          | float64   | Y        |  注意单位: %    |
| 股东权益合计          | float64   | Y        |  注意单位: %    |
| 公告日期          | object   | Y        |  -    |

接口示例

```python
import mssdk as ms
stock_em_zcfz_df = ms.stock_em_zcfz(date="20200331")
print(stock_em_zcfz_df)
```

数据示例

```
        序号    股票代码  股票简称  ...      资产负债率        股东权益合计                 公告日期
0        1  002104  恒宝股份  ...  12.642709  2.006054e+09  2021-04-01 00:00:00
1        2  300542  新晨科技  ...  39.667693  6.177759e+08  2021-03-31 00:00:00
2        3  600985  淮北矿业  ...  64.366293  2.320592e+10  2021-03-27 00:00:00
3        4  600711  盛屯矿业  ...  60.564473  9.632792e+09  2021-03-25 00:00:00
4        5  600418  江淮汽车  ...  70.606166  1.331502e+10  2021-03-17 00:00:00
    ...     ...   ...  ...        ...           ...                  ...
3947  3948  603186  华正新材  ...  68.938303  7.705776e+08  2020-04-09 00:00:00
3948  3949  002838  道恩股份  ...  41.777353  1.225429e+09  2020-04-09 00:00:00
3949  3950  600396  金山股份  ...  87.015467  2.539288e+09  2020-04-08 00:00:00
3950  3951  002913   奥士康  ...  36.321041  2.464481e+09  2020-04-08 00:00:00
3951  3952  002007  华兰生物  ...   8.549325  7.125208e+09  2020-04-08 00:00:00
```

#### 利润表

接口: stock_em_lrb

目标地址: http://data.eastmoney.com/bbsj/202003/lrb.html

描述: 获取东方财富-数据中心-年报季报-业绩快报-利润表

限量: 单次获取指定日期的利润表数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| date | str | Y    | date="20200331"; choice of {"XXXX0331", "XXXX0630", "XXXX0930", "XXXX1231"}; 从 20081231 开始 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          | int32   | Y        |  -    |
| 股票代码          | object   | Y        |   -   |
| 股票简称          | object   | Y        |  -    |
| 净利润          | float64   | Y        |  注意单位: 元    |
| 净利润同比          | float64   | Y        |  注意单位: %    |
| 营业总收入          | float64   | Y        |  注意单位: 元    |
| 营业总收入同比          | float64   | Y        |  注意单位: %    |
| 营业总支出-营业支出          | float64   | Y        |  注意单位: 元    |
| 营业总支出-销售费用          | float64   | Y        |  注意单位: 元    |
| 营业总支出-管理费用          | float64   | Y        |  注意单位: 元    |
| 营业总支出-财务费用          | float64   | Y        |  注意单位: 元    |
| 营业总支出-营业总支出          | float64   | Y        |  注意单位: 元    |
| 营业利润          | float64   | Y        |  注意单位: 元    |
| 利润总额          | float64   | Y        |  注意单位: 元    |
| 公告日期          | object   | Y        |  -    |

接口示例

```python
import mssdk as ms
stock_em_lrb_df = ms.stock_em_lrb(date="20200331")
print(stock_em_lrb_df)
```

数据示例

```
        序号   股票代码  股票简称  ...  营业利润   利润总额             公告日期
0        1  002104  恒宝股份  ... -9.639676e+06 -9.956231e+06  2021-04-01 00:00:00
1        2  300542  新晨科技  ... -1.189304e+07 -1.189304e+07  2021-03-31 00:00:00
2        3  600985  淮北矿业  ...  9.685033e+08  9.530725e+08  2021-03-27 00:00:00
3        4  600711  盛屯矿业  ... -3.985194e+07 -2.042786e+07  2021-03-25 00:00:00
4        5  600418  江淮汽车  ... -4.822967e+08 -4.802985e+08  2021-03-17 00:00:00
    ...     ...   ...  ...           ...           ...                  ...
3948  3949  603186  华正新材  ...  1.910543e+07  1.728565e+07  2020-04-09 00:00:00
3949  3950  002838  道恩股份  ...  8.444430e+07  8.457021e+07  2020-04-09 00:00:00
3950  3951  600396  金山股份  ...  2.182213e+08  2.193017e+08  2020-04-08 00:00:00
3951  3952  002913   奥士康  ...  3.216941e+07  2.963545e+07  2020-04-08 00:00:00
3952  3953  002007  华兰生物  ...  2.940181e+08  2.920183e+08  2020-04-08 00:00:00
```

#### 现金流量表

接口: stock_em_xjll

目标地址: http://data.eastmoney.com/bbsj/202003/xjll.html

描述: 获取东方财富-数据中心-年报季报-业绩快报-现金流量表

限量: 单次获取指定日期的现金流量表数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| date | str | Y    | date="20200331"; choice of {"XXXX0331", "XXXX0630", "XXXX0930", "XXXX1231"}; 从 20081231 开始 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          | int32   | Y        |  -    |
| 股票代码          | object   | Y        |   -   |
| 股票简称          | object   | Y        |  -    |
| 净现金流-净现金流          | float64   | Y        |  注意单位: 元    |
| 净现金流-同比增长          | float64   | Y        |  注意单位: %    |
| 经营性现金流-现金流量净额          | float64   | Y        |  注意单位: 元    |
| 经营性现金流-净现金流占比          | float64   | Y        |  注意单位: %    |
| 投资性现金流-现金流量净额          | float64   | Y        |  注意单位: 元    |
| 投资性现金流-净现金流占比          | float64   | Y        |  注意单位: %    |
| 融资性现金流-现金流量净额          | float64   | Y        |  注意单位: 元    |
| 融资性现金流-净现金流占比          | float64   | Y        |  注意单位: %    |
| 公告日期          | object   | Y        |  -    |

接口示例

```python
import mssdk as ms
stock_em_xjll_df = ms.stock_em_xjll(date="20200331")
print(stock_em_xjll_df)
```

数据示例

```
        序号    股票代码  股票简称  ...  融资性现金流-现金流量净额  融资性现金流-净现金流占比                 公告日期
0        1  002104  恒宝股份  ...            NaN            NaN  2021-04-01 00:00:00
1        2  300542  新晨科技  ...  -2.466432e+07     -35.517784  2021-03-31 00:00:00
2        3  600985  淮北矿业  ...   1.304920e+09      91.311415  2021-03-27 00:00:00
3        4  600418  江淮汽车  ...  -5.784957e+07      -3.013132  2021-03-17 00:00:00
4        5  300052   中青宝  ...  -1.770138e+08    -177.900275  2021-03-15 00:00:00
    ...     ...   ...  ...            ...            ...                  ...
3948  3949  603186  华正新材  ...   1.480553e+08     125.452202  2020-04-09 00:00:00
3949  3950  002838  道恩股份  ...  -1.307032e+06     -17.340840  2020-04-09 00:00:00
3950  3951  600396  金山股份  ...   2.517083e+08     291.166125  2020-04-08 00:00:00
3951  3952  002913   奥士康  ...   1.820833e+08     261.989501  2020-04-08 00:00:00
3952  3953  002007  华兰生物  ...   5.369525e+07      22.134930  2020-04-08 00:00:00
```

### 高管持股

#### 股东增减持

接口: stock_em_ggcg

目标地址: http://data.eastmoney.com/executive/gdzjc.html

描述: 获取东方财富网-数据中心-特色数据-高管持股

限量: 单次获取高管持股数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| - | - | -    | - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 代码          | str   | Y        |  -    |
| 名称          | str   | Y        |  -    |
| 最新价          | str   | Y        |  -    |
| 涨跌幅          | str   | Y        |  注意单位: %    |
| 股东名称          | str   | Y        |  -    |
| 持股变动信息-增减          | str   | Y        |  -    |
| 持股变动信息-变动数量          | str   | Y        |  -    |
| 持股变动信息-占总股本比例          | str   | Y        |  注意单位: %    |
| 持股变动信息-占流通股比例          | str   | Y        |  注意单位: %    |
| 变动后持股情况-持股总数          | str   | Y        |  -    |
| 变动后持股情况-占总股本比例          | str   | Y        |  注意单位: %    |
| 变动后持股情况-持流通股数          | str   | Y        |  -    |
| 变动后持股情况-占流通股比例          | str   | Y        |  注意单位: %    |
| 变动开始日          | str   | Y        |  -    |
| 变动截止日          | str   | Y        |  -    |
| 公告日          | str   | Y        |  -    |

接口示例

```python
import mssdk as ms
stock_em_ggcg_df = ms.stock_em_ggcg()
print(stock_em_ggcg_df)
```

数据示例

```
           代码    名称    最新价  ...       变动开始日       变动截止日         公告日
0      000933  神火股份  11.77  ...  2021-02-22  2021-04-23  2021-04-24
1      002820   桂发祥  10.07  ...  2021-04-20  2021-04-23  2021-04-24
2      600238  海南椰岛  11.94  ...  1899-12-30  2021-04-23  2021-04-24
3      600238  海南椰岛  11.94  ...  1899-12-30  2021-04-23  2021-04-24
4      600378  昊华科技  21.18  ...  2021-01-26  2021-04-23  2021-04-24
       ...   ...    ...  ...         ...         ...         ...
78963  002176  江特电机    6.7  ...  2012-01-06  2013-01-04  2013-01-08
78964  002472  双环传动  11.56  ...  2013-01-04  2013-01-04  2013-01-08
78965  600337  美克家居   5.39  ...  2012-12-29  2013-01-04  2013-01-08
78966  600381  青海春天   6.17  ...  2013-01-04  2013-01-04  2013-01-08
78967  600157  ST永泰   1.92  ...  2013-01-04  2013-01-04  2013-01-05
```

### 分红配送

接口: stock_em_fhps

目标地址: http://data.eastmoney.com/yjfp/

描述: 获取东方财富-数据中心-年报季报-分红配送

限量: 单次获取指定日期的分红配送数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| date | str | Y    | date="20201231"; choice of {"XXXX0630", "XXXX1231"}; 从 19901231 开始 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 代码          | str   | Y        |  股票代码    |
| 名称          | str   | Y        |  股票代码    |
| 送转股份-送转总比例          | str   | Y        |  -    |
| 送转股份-送转比例         | str   | Y        |  -    |
| 送转股份-转股比例         | str   | Y        |  -    |
| 现金分红-现金分红比例         | str   | Y        |  -    |
| 现金分红-股息率         | str   | Y        |  -    |
| 每股收益         | str   | Y        |  -    |
| 每股净资产         | str   | Y        |  -    |
| 每股公积金         | str   | Y        |  -    |
| 每股未分配利润         | str   | Y        |  -    |
| 净利润同比增长         | str   | Y        |  -    |
| 总股本         | str   | Y        |  -    |
| 预案公告日         | str   | Y        |  -    |
| 股权登记日         | str   | Y        |  -    |
| 除权除息日         | str   | Y        |  -    |
| 方案进度         | str   | Y        |  -    |
| 最新公告日期         | str   | Y        |  -    |
| 配送方案         | str   | Y        |  -    |
| 分红配送报告期         | str   | Y        |  -    |

接口示例

```python
import mssdk as ms
stock_em_fhps_df = ms.stock_em_fhps(date="20201231")
print(stock_em_fhps_df)
```

数据示例

```
         代码    名称  ...                   配送方案              分红配送报告期
0    002727   一心堂  ...           10派3.00元(含税)  2020-12-31T00:00:00
1    600841  上柴股份  ...           10派0.83元(含税)  2020-12-31T00:00:00
2    002777  久远银海  ...           10派1.50元(含税)  2020-12-31T00:00:00
3    603773  沃格光电  ...      10转3.00派0.52元(含税)  2020-12-31T00:00:00
4    688586  江航装备  ...           10派1.50元(含税)  2020-12-31T00:00:00
..      ...   ...  ...                    ...                  ...
102  600885  宏发股份  ...           10派3.40元(含税)  2020-12-31T00:00:00
103  000001  平安银行  ...           10派1.80元(含税)  2020-12-31T00:00:00
104  300617  安靠智电  ...  10派5.00元(含税,扣税后4.50元)  2020-12-31T00:00:00
105  002107  沃华医药  ...           10派2.60元(含税)  2020-12-31T00:00:00
106  002886  沃特股份  ...      10转7.00派1.00元(含税)  2020-12-31T00:00:00
```

### 资金流向

#### 同花顺

##### 个股资金流

接口: stock_fund_flow_individual

目标地址: http://data.10jqka.com.cn/funds/ggzjl/#refCountId=data_55f13c2c_254

描述: 获取同花顺-数据中心-资金流向-个股资金流

限量: 单次获取指定 symbol 的概念资金流数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| symbol | str | Y    | symbol="即时"; choice of {“即时”, "3日排行", "5日排行", "10日排行", "20日排行"} |

输出参数-即时

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          | int32   | Y        |  -    |
| 股票代码          | int64   | Y        |   -   |
| 股票简称          | object   | Y        |  -    |
| 最新价          | float64   | Y        |  -    |
| 涨跌幅          | object   | Y        |  注意单位: %    |
| 换手率          | object   | Y        |  -    |
| 流入资金          | object   | Y        |  注意单位: 元    |
| 流出资金          | object   | Y        |  注意单位: 元    |
| 净额          | object   | Y        |  注意单位: 元    |
| 成交额          | object   | Y        |  注意单位: 元    |
| 大单流入          | object   | Y        |  注意单位: 元    |

接口示例-即时

```python
import mssdk as ms
stock_fund_flow_individual_df = ms.stock_fund_flow_individual(symbol="即时")
print(stock_fund_flow_individual_df)
```

数据示例-即时

```
        序号      行业  行业指数    涨跌幅  ...      公司家数        领涨股       涨跌幅       当前价
0        1  300061  旗天科技   6.90  ...     4.63亿  -3656.13万     8.89亿     1.30亿
1        2  300171   东富龙  28.49  ...     1.68亿   4488.23万     3.80亿  6876.22万
2        3    2248  华东数控   6.17  ...     1.20亿  -1952.27万     2.20亿   752.59万
3        4  300325  ST德威   1.73  ...  8562.60万   7795.99万     2.49亿  8953.17万
4        5  300141  和顺电气   9.71  ...     1.18亿   -471.92万     2.31亿  5185.56万
    ...     ...   ...    ...  ...       ...        ...       ...       ...
4163  4164  300783  三只松鼠  54.41  ...     4.05亿  -6084.78万     7.50亿     1.06亿
4164  4165  300791  仙乐健康  79.00  ...     1.00亿  -4467.92万     1.56亿   914.81万
4165  4166  688313  仕佳光子  16.36  ...  4487.91万  -1334.78万  7641.04万   461.98万
4166  4167  300526  中潜股份  27.32  ...     2.57亿      8.49亿    13.63亿     8.53亿
4167  4168  300892  品渥食品  53.37  ...     2.31亿  -5625.06万     4.06亿  3825.87万
```

输出参数-3日、5日、10日和20日

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          | int32   | Y        |  -    |
| 股票代码          | int64   | Y        |   -   |
| 股票简称          | object   | Y        |   -   |
| 最新价          | float64   | Y        |  -    |
| 阶段涨跌幅          | object   | Y        |  注意单位: %    |
| 连续换手率          | object   | Y        |  注意单位: %    |
| 资金流入净额          | float64   | Y        |  注意单位: 元    |

接口示例-3日、5日、10日和20日

```python
import mssdk as ms
stock_fund_flow_individual_df = ms.stock_fund_flow_individual(symbol="3日排行")
print(stock_fund_flow_individual_df)
```

数据示例-3日、5日、10日和20日

```
      序号  股票代码  股票简称  最新价  阶段涨跌幅  连续换手率 资金流入净额
0        1  300975  商络电子  28.14  413.50%  198.89%     -1.45亿
1        2  605016  百龙创园  25.48   74.28%    1.44%  -1018.34万
2        3  605098  行动教育  48.06   74.26%    3.88%  -3551.65万
3        4  688201  信安世纪  42.50   58.70%  145.18%  -6456.07万
4        5  688639  华恒生物  36.30   56.74%  123.02%  -6329.43万
    ...     ...   ...    ...      ...      ...        ...
4163  4164  688229  博睿数据  74.93  -24.21%   20.97%  -1694.05万
4164  4165    3036  泰坦股份  17.89  -24.42%  147.69%     -1.17亿
4165  4166  300887  谱尼测试  58.52  -37.71%   47.51%    368.01万
4166  4167  300526  中潜股份  27.32  -44.57%   26.37%      9.16亿
4167  4168    2911  佛燃能源  10.15  -47.35%    2.41%  -2280.56万
```

##### 概念资金流

接口: stock_fund_flow_concept

目标地址: http://data.10jqka.com.cn/funds/gnzjl/#refCountId=data_55f13c2c_254

描述: 同花顺-数据中心-资金流向-概念资金流

限量: 单次获取指定 symbol 的概念资金流数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| symbol | str |  symbol="即时"; choice of {“即时”, "3日排行", "5日排行", "10日排行", "20日排行"} |

输出参数-即时

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 序号          | int32   |   -    |
| 行业          | object   |    -   |
| 行业指数          | float64   |   -    |
| 行业-涨跌幅          | float64   |  注意单位: %    |
| 流入资金          | float64   |   注意单位: 亿    |
| 流出资金          | float64   |  注意单位: 亿    |
| 净额          | float64   |   注意单位: 亿    |
| 公司家数          | float64   |   -    |
| 领涨股          | object   |  -    |
| 领涨股-涨跌幅          | float64   |   注意单位: %    |
| 当前价          | float64   |   注意单位: 元    |

接口示例-即时

```python
import mssdk as ms
stock_fund_flow_concept_df = ms.stock_fund_flow_concept(symbol="即时")
print(stock_fund_flow_concept_df)
```

数据示例-即时

```
      序号        行业      行业指数     行业-涨跌幅  ...  公司家数   领涨股     领涨股-涨跌幅     当前价
0      1      送转填权  1071.770   2.81%  ...    12  神宇股份  20.00%   18.96
1      2        大豆  2147.220   1.61%  ...     3  丰乐种业   2.94%   13.67
2      3      特钢概念  2655.760   1.38%  ...    19  钢研高纳   4.46%   23.18
3      4  同花顺漂亮100   951.187   1.26%  ...   100  爱尔眼科  10.97%   70.63
4      5   国家大基金持股   965.188   1.23%  ...    23  北方华创   5.16%  163.97
..   ...       ...       ...     ...  ...   ...   ...     ...     ...
266  267     高送转预期   653.076  -2.83%  ...    15  震裕科技   3.53%   74.70
267  268     拼多多概念   812.286  -2.86%  ...    11  兆驰股份  -0.18%    5.64
268  269      医美概念  1371.420  -2.90%  ...    39  爱尔眼科  10.97%   70.63
269  270        乳业  2101.210  -2.94%  ...    30  ST科迪   2.97%    2.08
270  271      数字货币  1248.700  -3.02%  ...    50   北信源   3.56%    5.53
```

输出参数-3日、5日、10日和20日

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 序号          | int32   |  -    |
| 行业          | object   |    -   |
| 公司家数          | int64   |    -   |
| 行业指数          | float64   |   -    |
| 阶段涨跌幅          | object   | 注意单位: %    |
| 流入资金          | float64   |   注意单位: 亿    |
| 流出资金          | float64   |   注意单位: 亿    |
| 净额          | float64   |   注意单位: 亿    |

接口示例-3日、5日、10日和20日

```python
import mssdk as ms
stock_fund_flow_concept_df = ms.stock_fund_flow_concept(symbol="3日排行")
print(stock_fund_flow_concept_df)
```

数据示例-3日、5日、10日和20日

```
      序号  行业     公司家数 行业指数 阶段涨跌幅  流入资金  流出资金 净额
0      1   医美概念    39  1371.42   3.95%   90.87   86.42   4.45
1      2   啤酒概念    11  1338.42   3.90%    7.97    6.66   1.31
2      3   辅助生殖    18  1240.24   3.85%   22.35   21.69   0.66
3      4   眼科医疗    29  1401.38   3.04%   25.12   26.04  -0.92
4      5   白酒概念    34  7185.12   2.98%  186.93  157.10  29.83
..   ...    ...   ...      ...     ...     ...     ...    ...
265  266   胎压监测    25  1341.87  -4.28%   21.96   28.51  -6.55
266  267  海南自贸区    34  1061.24  -4.36%   16.91   24.38  -7.47
267  268   无人零售    16   771.24  -4.41%    3.44    5.30  -1.86
268  269   在线旅游    15  1986.32  -4.44%   20.91   23.30  -2.39
269  270  高送转预期    15   653.08  -6.58%    5.75    8.68  -2.93
```

##### 行业资金流

接口: stock_fund_flow_industry

目标地址: http://data.10jqka.com.cn/funds/hyzjl/#refCountId=data_55f13c2c_254

描述: 同花顺-数据中心-资金流向-行业资金流

限量: 单次获取指定 symbol 的行业资金流数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| symbol | str | symbol="即时"; choice of {“即时”, "3日排行", "5日排行", "10日排行", "20日排行"} |

输出参数-即时

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 序号          | int32   |   -    |
| 行业          | object   |   -   |
| 行业指数          | float64   |   -    |
| 行业-涨跌幅          | object   |  注意单位: %    |
| 流入资金          | float64   |  注意单位: 亿    |
| 流出资金          | float64   |   注意单位: 亿    |
| 净额          | float64   |  注意单位: 亿    |
| 公司家数          | float64   |   -    |
| 领涨股          | object   |  -    |
| 领涨股-涨跌幅          | object   |   注意单位: %    |
| 当前价          | float64   |   -    |

接口示例-即时

```python
import mssdk as ms
stock_fund_flow_industry_df = ms.stock_fund_flow_industry(symbol="即时")
print(stock_fund_flow_industry_df)
```

数据示例-即时

```
    序号      行业      行业指数     行业-涨跌幅    流入资金  ...     净额  公司家数    领涨股     领涨股-涨跌幅     当前价
0    1      钢铁   1518.11   1.73%   67.35  ...  17.44    36   八一钢铁  10.06%    5.58
1    2  医疗器械服务  12584.10   1.18%  178.79  ...  16.98   120   热景生物  20.00%  174.13
2    3  半导体及元件   6446.56   0.30%  105.85  ...  -1.98   116   明微电子  20.00%  114.20
3    4    生物制品   7393.07   0.25%   66.23  ...   2.57    46   未名医药   9.96%   10.60
4    5   化工新材料   6444.54   0.14%   16.82  ...   0.47    18   美瑞新材   6.77%   37.08
..  ..     ...       ...     ...     ...  ...    ...   ...    ...     ...     ...
61  62  煤炭开采加工   1337.40  -1.94%   18.25  ... -10.52    35   ST永泰   2.23%    1.83
62  63      零售   1266.51  -1.97%   13.77  ... -11.86    79   吉峰科技   1.66%    4.29
63  64     养殖业   2587.41  -2.29%   10.20  ...  -4.89    26  *ST东洋   1.10%    1.84
64  65   计算机设备   2458.47  -2.35%   19.46  ... -18.20    51   创维数字   4.60%    8.64
65  66   景点及旅游   2425.33  -2.98%   21.83  ...  -4.50    25   中国中免   1.11%  299.29
```

输出参数-3日、5日、10日和20日

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 序号          | int32   |   -    |
| 行业          | object   |    -   |
| 公司家数          | int64   |   -   |
| 行业指数          | float64   |   -    |
| 阶段涨跌幅          | object   |   注意单位: %    |
| 流入资金          | float64   |   注意单位: 亿    |
| 流出资金          | float64   |  注意单位: 亿    |
| 净额          | float64   |  注意单位: 亿    |

接口示例-3日、5日、10日和20日

```python
import mssdk as ms
stock_fund_flow_industry_df = ms.stock_fund_flow_industry(symbol="3日排行")
print(stock_fund_flow_industry_df)
```

数据示例-3日、5日、10日和20日

```
    序号     行业  公司家数     行业指数   阶段涨跌幅   流入资金    流出资金     净额
0    1   服装家纺    61  2132.36  -2.63%  14.03   18.12  -4.09
1    2  汽车零部件   151  2809.80  -2.63%  54.04   77.27 -23.24
2    3  计算机应用   222  8233.27  -2.68%  99.81  123.20 -23.39
3    4  非汽车交运    33  2184.87  -2.70%   4.74    7.44  -2.70
4    5     公交     9  1175.02  -2.77%   1.38    2.09  -0.71
5    6   环保工程    80  2334.29  -2.82%  19.13   26.25  -7.11
6    7     零售    79  1266.51  -2.86%  25.47   29.72  -4.25
7    8     电力    76  1124.61  -2.87%  73.40   72.14   1.26
8    9   采掘服务    15   837.11  -3.13%   3.27    3.53  -0.26
9   10  计算机设备    51  2458.47  -3.14%  32.32   45.72 -13.40
10  11  酒店及餐饮     9  1288.26  -3.37%   2.94    3.57  -0.63
11  12   汽车整车    23  1938.71  -3.42%  75.73  112.25 -36.52
12  13   燃气水务    48  1197.05  -3.46%  16.98   21.85  -4.87
13  14    养殖业    26  2587.41  -3.72%  22.81   23.09  -0.28
14  15   机场航运    12  2055.57  -3.78%   6.87    9.78  -2.91
15  16  景点及旅游    25  2425.33  -6.03%  25.33   28.71  -3.38
```

##### 大单追踪

接口: stock_fund_flow_big_deal

目标地址: http://data.10jqka.com.cn/funds/ddzz/###

描述: 获取同花顺-数据中心-资金流向-大单追踪

限量: 单次获取当前时点的所有大单追踪数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| - | - | -    | - |

输出参数-即时

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 成交时间          | object   | Y        |  -    |
| 股票代码          | int64   | Y        |  -    |
| 股票简称          | object   | Y        |  -    |
| 成交价格          | float64   | Y        |  -    |
| 成交量          | int64   | Y        |  注意单位: 股    |
| 成交额          | float64   | Y        |  注意单位: 万元    |
| 大单性质          | object   | Y        |  -    |
| 涨跌幅          | object   | Y        |  -    |
| 涨跌额          | object   | Y        |  -    |

接口示例-即时

```python
import mssdk as ms
stock_fund_flow_big_deal_df = ms.stock_fund_flow_big_deal()
print(stock_fund_flow_big_deal_df)
```

数据示例-即时

```
      成交时间    股票代码  股票简称     成交价格  ...      成交额  大单性质     涨跌幅    涨跌额
0     2021-04-23 15:00:00  688399  硕世生物   170.99  ...    89.33    买盘   9.62%  16.44
1     2021-04-23 15:00:00  601005  重庆钢铁     2.25  ...   168.75    卖盘   1.81%   0.04
2     2021-04-23 15:00:00  600060  海信视像    11.98  ...   281.89    买盘   1.35%   0.16
3     2021-04-23 15:00:00  601888  中国中免   299.29  ...  1137.30    买盘   1.11%   3.33
4     2021-04-23 15:00:00  600961  株冶集团     6.34  ...   169.28    买盘   1.12%   0.07
                   ...     ...   ...      ...  ...      ...   ...     ...    ...
4995  2021-04-23 14:01:31  688008  澜起科技    66.39  ...    59.95    卖盘  -0.32%  -0.21
4996  2021-04-23 14:01:29  688981  中芯国际    55.17  ...    77.40    卖盘  -0.23%  -0.13
4997  2021-04-23 14:01:29  600519  贵州茅台  2108.94  ...   167.60    买盘   2.60%  54.83
4998  2021-04-23 14:01:28  601888  中国中免   299.29  ...   122.88    卖盘   1.11%   3.33
4999  2021-04-23 14:01:28  601398  工商银行     5.29  ...   528.00    卖盘  -0.75%  -0.04
```

#### 东方财富

##### 个股资金流

接口: stock_individual_fund_flow

目标地址: http://data.eastmoney.com/zjlx/detail.html

描述: 东方财富网-数据中心-个股资金流向

限量: 单次获取指定市场和股票的近 100 个交易日的资金流数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| stock | str | stock="000425"; 股票代码 |
| market | str | market="sh"; 上海证券交易所: sh, 深证证券交易所: sz |

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 日期          | object   |   -    |
| 收盘价          | float64   |  -     |
| 涨跌幅          | float64   |  注意单位: %     |
| 主力净流入-净额          | float64   |   -   |
| 主力净流入-净占比          | float64   |   注意单位: %    |
| 超大单净流入-净额          | float64   |   -    |
| 超大单净流入-净占比          | float64   | 注意单位: %     |
| 大单净流入-净额          | float64   |    -   |
| 大单净流入-净占比          | float64   |  注意单位: %    |
| 中单净流入-净额          | float64   |   -    |
| 中单净流入-净占比          | float64   |   注意单位: %    |
| 小单净流入-净额          | float64   |   -    |
| 小单净流入-净占比          | float64   |   注意单位: %    |

接口示例

```python
import mssdk as ms
stock_individual_fund_flow_df = ms.stock_individual_fund_flow(stock="600094", market="sh")
print(stock_individual_fund_flow_df)
```

数据示例

```
     日期   收盘价   涨跌幅  ...  中单净流入-净占比    小单净流入-净额  小单净流入-净占比
0    2021-03-04  3.86 -0.26  ...       0.42   4493995.0       8.24
1    2021-03-05  3.95  2.33  ...      -8.61   2192740.0       2.80
2    2021-03-08  3.86 -2.27  ...      -1.36  12764010.0      14.47
3    2021-03-09  3.98  3.10  ...      -3.75   4560902.0       3.19
4    2021-03-10  3.88 -2.51  ...      10.84   5378415.0       6.42
..          ...   ...   ...  ...        ...         ...        ...
97   2021-07-26  3.59 -1.64  ...      -7.09   1835511.0       6.02
98   2021-07-27  3.55 -1.11  ...       5.52    730802.0       2.22
99   2021-07-28  3.53 -0.56  ...      -2.59   2063895.0       5.08
100  2021-07-29  3.50 -0.85  ...       5.94   -262565.0      -0.77
101  2021-07-30  3.41 -2.57  ...      -2.32  11334031.0      22.87
```

##### 个股资金流排名

接口: stock_individual_fund_flow_rank

目标地址: http://data.eastmoney.com/zjlx/detail.html

描述: 获取东方财富网-数据中心-资金流向-排名

限量: 单次获取指定类型的个股资金流排名数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| indicator | str | Y    | indicator="今日"; choice {"今日", "3日", "5日", "10日"} |

输出参数-今日

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          | int32   | Y        |  -    |
| 代码          | object   | Y        |  -    |
| 名称          | object   | Y        |  -    |
| 最新价          | float64   | Y        |  -    |
| 今日涨跌幅          | float64   | Y        |   注意单位: %   |
| 今日主力净流入-净额          | float64   | Y        |   -   |
| 今日主力净流入-净占比          | float64   | Y        |  注意单位: %    |
| 今日超大单净流入-净额          | float64   | Y        |  -    |
| 今日超大单净流入-净占比          | float64   | Y        |  注意单位: %    |
| 今日大单净流入-净额          | float64   | Y        |  -    |
| 今日大单净流入-净占比          | float64   | Y        |  注意单位: %    |
| 今日中单净流入-净额          | float64   | Y        | -     |
| 今日中单净流入-净占比          | float64   | Y        | 注意单位: %     |
| 今日小单净流入-净额          | float64   | Y        | -     |
| 今日小单净流入-净占比          | float64   | Y        | 注意单位: %     |

接口示例-今日

```python
import mssdk as ms
stock_individual_fund_flow_rank_df = ms.stock_individual_fund_flow_rank(indicator="今日")
print(stock_individual_fund_flow_rank_df)
```

数据示例-今日

```
    序号 代码    名称  ...  今日中单净流入-净占比   今日小单净流入-净额  今日小单净流入-净占比
0    1  600196  复星医药  ...       -11.80 -554888208.0        -8.76
1    2  601012  隆基股份  ...        -5.09 -284138560.0        -3.55
2    3  000963  华东医药  ...        -6.39 -291504016.0        -4.76
3    4  300986   N志特  ...         2.28 -416998433.0       -47.90
4    5  300059  东方财富  ...        -4.01 -168403920.0        -3.02
5    6  002460  赣锋锂业  ...        -4.44  -83612896.0        -1.32
6    7  603799  华友钴业  ...        -4.30 -162641040.0        -3.89
7    8  000908  景峰医药  ...        -8.53 -183772494.0       -12.59
8    9  000519  中兵红箭  ...       -10.68 -149982694.0       -10.75
9   10  300274  阳光电源  ...        -2.34 -158902688.0        -3.01
10  11  600276  恒瑞医药  ...        -3.34 -135060768.0        -3.13
11  12  002714  牧原股份  ...        -4.59 -174012720.0        -8.76
12  13  002241  歌尔股份  ...        -4.76 -148783568.0        -6.22
13  14  601127  小康股份  ...        -3.51 -130833968.0        -3.57
14  15  002385   大北农  ...       -10.22 -128105833.0       -13.10
15  16  003040   楚天龙  ...        -7.24 -134830833.0       -10.48
16  17  600223  鲁商发展  ...        -5.69  -97029040.0        -4.48
17  18  000650  仁和药业  ...       -12.98  -79890962.0        -7.68
18  19  300601  康泰生物  ...        -4.51  -82006064.0        -2.83
19  20  000928  中钢国际  ...        -8.78  -75598962.0        -4.99
20  21  002176  江特电机  ...        -9.13 -102992833.0        -9.05
```

输出参数-3日

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          | int32   | Y        |  -    |
| 代码          | object   | Y        |  -    |
| 名称          | object   | Y        |  -    |
| 最新价          | float64   | Y        |  -    |
| 3日涨跌幅          | float64   | Y        |   注意单位: %   |
| 3日主力净流入-净额          | float64   | Y        |   -   |
| 3日主力净流入-净占比          | float64   | Y        |  注意单位: %    |
| 3日超大单净流入-净额          | float64   | Y        |  -    |
| 3日超大单净流入-净占比          | float64   | Y        |  注意单位: %    |
| 3日大单净流入-净额          | float64   | Y        |  -    |
| 3日大单净流入-净占比          | float64   | Y        |  注意单位: %    |
| 3日中单净流入-净额          | float64   | Y        | -     |
| 3日中单净流入-净占比          | float64   | Y        | 注意单位: %     |
| 3日小单净流入-净额          | float64   | Y        | -     |
| 3日小单净流入-净占比          | float64   | Y        | 注意单位: %     |

接口示例-3日

```python
import mssdk as ms
stock_individual_fund_flow_rank_df = ms.stock_individual_fund_flow_rank(indicator="3日")
print(stock_individual_fund_flow_rank_df)
```

数据示例-3日

```
    序号      代码    名称  ...  3日中单净流入-净占比    3日小单净流入-净额  3日小单净流入-净占比
0    1  600196  复星医药  ...        -9.33 -1.157038e+09        -6.84
1    2  300059  东方财富  ...        -3.29 -7.832414e+08        -3.89
2    3  002466  天齐锂业  ...        -3.91 -2.935912e+08        -1.63
3    4  601012  隆基股份  ...        -2.84 -3.713241e+08        -2.14
4    5  002304  洋河股份  ...        -5.98 -3.069602e+08        -4.01
5    6  000963  华东医药  ...        -3.58 -1.615584e+08        -1.11
6    7  300601  康泰生物  ...        -3.55 -3.172210e+08        -4.44
7    8  002460  赣锋锂业  ...        -2.17 -1.881166e+08        -1.24
8    9  603799  华友钴业  ...        -3.09 -2.247308e+08        -2.52
9   10  300760  迈瑞医疗  ...        -7.66 -1.840590e+06        -0.03
10  11  603259  药明康德  ...        -3.41 -1.396783e+08        -1.37
11  12  300750  宁德时代  ...        -0.95 -2.482142e+08        -0.98
12  13  688383   新益昌  ...         1.17 -4.520943e+08       -21.70
13  14  300986   N志特  ...         2.28 -4.169984e+08       -47.90
14  15  000001  平安银行  ...        -4.37 -1.960774e+08        -4.76
15  16  600216  浙江医药  ...        -6.40 -1.923193e+08        -8.57
16  17  002714  牧原股份  ...        -1.31 -2.559579e+08        -4.58
17  18  600030  中信证券  ...        -2.19 -1.662703e+08        -2.24
18  19  000650  仁和药业  ...       -10.18 -1.381347e+08        -7.78
19  20  000718  苏宁环球  ...        -4.32 -1.313346e+08        -3.15
20  21  002821   凯莱英  ...        -5.28 -1.838423e+08        -8.10
```

输出参数-5日

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          | int32   | Y        |  -    |
| 代码          | object   | Y        |  -    |
| 名称          | object   | Y        |  -    |
| 最新价          | float64   | Y        |  -    |
| 5日涨跌幅          | float64   | Y        |   注意单位: %   |
| 5日主力净流入-净额          | float64   | Y        |   -   |
| 5日主力净流入-净占比          | float64   | Y        |  注意单位: %    |
| 5日超大单净流入-净额          | float64   | Y        |  -    |
| 5日超大单净流入-净占比          | float64   | Y        |  注意单位: %    |
| 5日大单净流入-净额          | float64   | Y        |  -    |
| 5日大单净流入-净占比          | float64   | Y        |  注意单位: %    |
| 5日中单净流入-净额          | float64   | Y        | -     |
| 5日中单净流入-净占比          | float64   | Y        | 注意单位: %     |
| 5日小单净流入-净额          | float64   | Y        | -     |
| 5日小单净流入-净占比          | float64   | Y        | 注意单位: %     |

接口示例-5日

```python
import mssdk as ms
stock_individual_fund_flow_rank_df = ms.stock_individual_fund_flow_rank(indicator="5日")
print(stock_individual_fund_flow_rank_df)
```

数据示例-5日

```
    序号      代码    名称  ...  5日中单净流入-净占比    5日小单净流入-净额  5日小单净流入-净占比
0    1  600196  复星医药  ...        -7.51 -1.193192e+09        -5.48
1    2  300979   C华利  ...        -7.16 -1.151424e+09        -9.62
2    3  002304  洋河股份  ...        -5.52 -2.617723e+08        -2.48
3    4  300760  迈瑞医疗  ...        -7.26 -3.271416e+06        -0.03
4    5  300601  康泰生物  ...        -3.09 -4.497565e+08        -4.51
5    6  300981   C中红  ...        -6.22 -1.023511e+08        -1.11
6    7  603259  药明康德  ...        -3.23 -1.252767e+08        -0.76
7    8  002027  分众传媒  ...        -3.80 -3.990743e+08        -5.94
8    9  000928  中钢国际  ...        -5.31 -2.201884e+08        -3.79
9   10  601012  隆基股份  ...        -1.66 -6.462818e+07        -0.24
10  11  002142  宁波银行  ...        -5.03 -2.290891e+08        -4.35
11  12  300059  东方财富  ...        -1.85  2.324636e+08         0.62
12  13  000963  华东医药  ...        -2.00 -8.412000e+06        -0.04
13  14  688383   新益昌  ...         1.17 -4.520943e+08       -21.70
14  15  002241  歌尔股份  ...        -3.00  3.025771e+07         0.20
15  16  000661  长春高新  ...        -4.94 -2.646385e+06        -0.03
16  17  002821   凯莱英  ...        -5.35 -1.858551e+08        -4.39
17  18  300986   N志特  ...         2.28 -4.169984e+08       -47.90
18  19  300982   C苏文  ...         1.20 -4.231374e+08       -14.36
19  20  002466  天齐锂业  ...        -2.37  1.762265e+08         0.75
20  21  601919  中远海控  ...        -1.10 -1.222831e+08        -0.54
```

输出参数-10日

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          | int32   | Y        |  -    |
| 代码          | object   | Y        |  -    |
| 名称          | object   | Y        |  -    |
| 最新价          | float64   | Y        |  -    |
| 10日涨跌幅          | float64   | Y        |   注意单位: %   |
| 10日主力净流入-净额          | float64   | Y        |   -   |
| 10日主力净流入-净占比          | float64   | Y        |  注意单位: %    |
| 10日超大单净流入-净额          | float64   | Y        |  -    |
| 10日超大单净流入-净占比          | float64   | Y        |  注意单位: %    |
| 10日大单净流入-净额          | float64   | Y        |  -    |
| 10日大单净流入-净占比          | float64   | Y        |  注意单位: %    |
| 10日中单净流入-净额          | float64   | Y        | -     |
| 10日中单净流入-净占比          | float64   | Y        | 注意单位: %     |
| 10日小单净流入-净额          | float64   | Y        | -     |
| 10日小单净流入-净占比          | float64   | Y        | 注意单位: %     |

接口示例-10日

```python
import mssdk as ms
stock_individual_fund_flow_rank_df = ms.stock_individual_fund_flow_rank(indicator="10日")
print(stock_individual_fund_flow_rank_df)
```

数据示例-10日

```
    序号      代码     名称  ...  10日中单净流入-净占比   10日小单净流入-净额  10日小单净流入-净占比
0    1  600196   复星医药  ...         -6.51 -1.620072e+09         -4.96
1    2  002241   歌尔股份  ...         -4.37 -1.504247e+09         -3.82
2    3  300059   东方财富  ...         -1.28 -1.498377e+09         -2.20
3    4  300979    C华利  ...         -7.16 -1.151424e+09         -9.62
4    5  002304   洋河股份  ...         -4.77 -5.633588e+08         -2.79
5    6  002027   分众传媒  ...         -4.08 -9.081865e+08         -6.91
6    7  300015   爱尔眼科  ...         -3.03 -5.969998e+08         -2.28
7    8  300760   迈瑞医疗  ...         -6.79 -4.882262e+06         -0.02
8    9  603259   药明康德  ...         -2.87 -3.367873e+08         -1.09
9   10  601012   隆基股份  ...         -1.47 -2.309467e+08         -0.39
10  11  002415   海康威视  ...         -3.18 -4.275869e+08         -2.12
11  12  002142   宁波银行  ...         -5.86 -3.757830e+08         -3.51
12  13  300601   康泰生物  ...         -3.19 -4.968827e+08         -3.39
13  14  603799   华友钴业  ...         -2.14 -3.544022e+08         -1.37
14  15  000661   长春高新  ...         -5.88 -4.703516e+06         -0.03
15  16  000858  五 粮 液  ...         -2.30  3.079020e+08          0.62
16  17  600570   恒生电子  ...         -4.15 -3.146686e+08         -3.05
17  18  300981    C中红  ...         -6.22 -1.023511e+08         -1.11
18  19  002460   赣锋锂业  ...         -2.59  3.715398e+08          0.93
19  20  300142   沃森生物  ...         -1.47 -9.540762e+07         -0.25
20  21  300347   泰格医药  ...         -4.72 -1.195595e+08         -1.08
```

##### 大盘资金流

接口: stock_market_fund_flow

目标地址: http://data.eastmoney.com/zjlx/dpzjlx.html

描述: 获取东方财富网-数据中心-资金流向-大盘

限量: 单次获取大盘资金流向历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| - | - | -    | - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 日期          | str   | Y        |  -    |
| 上证-收盘价          | float   | Y        | -     |
| 上证-涨跌幅          | float   | Y        | 注意单位: %     |
| 深证-收盘价          | float   | Y        | -    |
| 深证-涨跌幅          | float   | Y        | 注意单位: %     |
| 主力净流入-净额          | str   | Y        |   -   |
| 主力净流入-净占比          | float   | Y        |  注意单位: %    |
| 超大单净流入-净额          | float   | Y        |  -    |
| 超大单净流入-净占比          | float   | Y        | 注意单位: %     |
| 大单净流入-净额          | float   | Y        |   -   |
| 大单净流入-净占比          | float   | Y        |  注意单位: %    |
| 中单净流入-净额          | float   | Y        |  -    |
| 中单净流入-净占比          | float   | Y        |  注意单位: %    |
| 小单净流入-净额          | float   | Y        |  -    |
| 小单净流入-净占比          | float   | Y        |  注意单位: %    |

接口示例

```python
import mssdk as ms
stock_market_fund_flow_df = ms.stock_market_fund_flow()
print(stock_market_fund_flow_df)
```

数据示例

```
   日期   上证-收盘价 上证-涨跌幅  ... 中单净流入-净占比        小单净流入-净额 小单净流入-净占比
0    2020-07-22  3333.16   0.37  ...     -0.51   21186158592.0      1.77
1    2020-07-23  3325.11  -0.24  ...      0.22   53341659136.0      4.28
2    2020-07-24  3196.77  -3.86  ...      2.15  100321820672.0      7.52
3    2020-07-27  3205.23   0.26  ...     -0.25   26120753152.0      2.82
4    2020-07-28  3227.96   0.71  ...     -0.00   18924449792.0      2.11
..          ...      ...    ...  ...       ...             ...       ...
97   2020-12-14  3369.12   0.66  ...     -0.55    9267871744.0      1.31
98   2020-12-15  3367.23  -0.06  ...     -0.33   18766200832.0      2.64
99   2020-12-16  3366.98  -0.01  ...     -0.62   24666800128.0      3.52
100  2020-12-17  3404.87   1.13  ...     -1.05   11537510400.0      1.46
101  2020-12-18  3394.90  -0.29  ...     -0.09   22668599296.0      2.94
```

##### 板块资金流排名

接口: stock_sector_fund_flow_rank

目标地址: http://data.eastmoney.com/bkzj/hy.html

描述: 获取东方财富网-数据中心-资金流向-板块资金流-排名

限量: 单次获取指定板块的指定期限的资金流排名数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| indicator | str | Y    | indicator="5日"; choice of {"今日", "5日", "10日"} |
| sector_type | str | Y    | sector_type="地域资金流"; choice of {"行业资金流": "2", "概念资金流": "3", "地域资金流": "1"} |

输出参数-行业资金流-今日

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 名称          | str   | Y        |  -    |
| 今日涨跌幅          | str   | Y        |   注意单位: %   |
| 主力净流入-净额          | float   | Y        |  -    |
| 主力净流入-净占比          | float   | Y        |  注意单位: %    |
| 超大单净流入-净额          | float   | Y        |   -   |
| 超大单净流入-净占比          | float   | Y        |  注意单位: %    |
| 大单净流入-净额          | float   | Y        |  -    |
| 大单净流入-净占比          | float   | Y        |  注意单位: %    |
| 中单净流入-净额          | float   | Y        |  -    |
| 中单净流入-净占比          | float   | Y        |  注意单位: %    |
| 小单净流入-净额          | float   | Y        | -     |
| 小单净流入-净占比          | float   | Y        | 注意单位: %     |
| 主力净流入最大股          | float   | Y        | -     |

接口示例-行业资金流-今日

```python
import mssdk as ms
stock_sector_fund_flow_rank_df = ms.stock_sector_fund_flow_rank(indicator="今日", sector_type="行业资金流")
print(stock_sector_fund_flow_rank_df)
```

数据示例-行业资金流-今日

```
    序号    名称  今日涨跌幅  ...    今日小单净流入-净额  今日小单净流入-净占比  今日主力净流入最大股
0    1  汽车行业   0.48  ... -6.233196e+08        -1.43         比亚迪
1    2  材料行业   0.57  ... -1.280722e+08        -0.37        隆基股份
2    3  煤炭采选   6.80  ... -4.556032e+06        -0.03        郑州煤电
3    4   贵金属  -0.38  ... -1.445082e+08        -2.27        紫金矿业
4    5  玻璃陶瓷   1.49  ... -1.448699e+08        -1.72        福耀玻璃
..  ..   ...    ...  ...           ...          ...         ...
56  57  食品饮料  -1.96  ...  1.616924e+09         5.91        花园生物
57  58  软件服务  -1.36  ...  1.552398e+09         6.77        科大讯飞
58  59  券商信托  -0.97  ...  1.588546e+09         6.05        哈投股份
59  60    银行  -1.26  ...  1.475838e+09         8.16        邮储银行
60  61  电子元件  -0.79  ...  4.203038e+09         5.69         N明微
```

### 基本面数据

#### 沪深 A 股公告

接口: stock_notice_report

目标地址: http://data.eastmoney.com/notices/hsa/5.html

描述: 东方财富网-数据中心-公告大全-沪深 A 股公告

限量: 单次获取指定页数的数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| report_type | str |  report_type="财务报告"; choice of {"财务报告", "融资公告", "风险提示", "信息变更", "重大事项", "资产重组", "持股变动"}|
| recent_page | str | recent_page="10"; 指定返回最近的页数|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- | ---------------- |
| 代码          | object   |    -   |
| 名称          | object   |    -   |
| 公告标题          | object   |    -   |
| 公告类型          | object   |    -   |
| 公告日期          | object   |    -   |

接口示例

```python
import mssdk as ms
stock_notice_report_df = ms.stock_notice_report(report_type='财务报告', recent_page="10")
print(stock_notice_report_df)
```

数据示例

```
      代码    名称                              公告标题     公告类型        公告日期
0    688221  前沿生物            688221:前沿生物2021年第三季度报告  三季度报告全文  2021-10-16
1    600548   深高速            600548:2021年前三季度业绩预增公告     业绩预告  2021-10-16
2    600509  天富能源    600509:新疆天富能源股份有限公司2021年第三季度报告  三季度报告全文  2021-10-16
3    603377  东方时尚            603377:东方时尚2021年第三季度报告  三季度报告全文  2021-10-16
4    600141  兴发集团  600141:湖北兴发化工集团股份有限公司2021年第三季度报告  三季度报告全文  2021-10-16
..      ...   ...                               ...      ...         ...
995  300887  谱尼测试                谱尼测试:2021年前三季度业绩预告     业绩预告  2021-10-11
996  002043   兔宝宝                  兔宝宝:2021年三季度业绩预告     业绩预告  2021-10-11
997  002985  北摩高科                北摩高科:2021年前三季度业绩预告     业绩预告  2021-10-11
998  002738  中矿资源                中矿资源:2021年前三季度业绩预告     业绩预告  2021-10-11
999  002408  齐翔腾达                齐翔腾达:2021年前三季度业绩预告     业绩预告  2021-10-11
```

#### 财务报表

接口: stock_financial_report_sina

目标地址: https://vip.stock.finance.sina.com.cn/corp/go.php/vFD_BalanceSheet/stockid/600004/ctrl/part/displaytype/4.phtml

描述: 新浪财经-财务报表-三大报表

限量: 单次获取指定报表的所有年份数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| stock | str | Y    | stock="600004"; 股票代码|
| symbol | str | Y    | symbol="现金流量表"; choice of {"资产负债表", "利润表", "现金流量表"}|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 报表日期          | str   | Y        |   报告日期   |
| 单位          | str   | Y        |   注意单位: 元   |
|...          | str   | Y        |   70 多项财务指标   |

接口示例

```python
import mssdk as ms
stock_financial_report_sina_df = ms.stock_financial_report_sina(stock="600004", symbol="现金流量表")
print(stock_financial_report_sina_df)
```

数据示例

```
        报表日期 单位 一、经营活动产生的现金流量  ... 现金等价物的期末余额 现金等价物的期初余额   现金及现金等价物的净增加额
1   20200930  元           NaN  ...          0          0               0
2   20200630  元           NaN  ...          0          0     11724335.23
3   20200331  元           NaN  ...          0          0               0
4   20191231  元           NaN  ...          0          0  -1044254625.00
5   20190930  元           NaN  ...          0          0               0
..       ... ..           ...  ...        ...        ...             ...
69  20030930  元           NaN  ...          0          0    -83266325.50
70  20030630  元           NaN  ...          0          0   -143509055.17
71  20030331  元           NaN  ...          0          0    115220322.31
72  20021231  元           NaN  ...          0          0    110751837.42
73  20020630  元           NaN  ...          0          0               0
```

#### 港股财务报表

接口: stock_financial_hk_report_em

目标地址: https://emweb.securities.eastmoney.com/PC_HKF10/FinancialAnalysis/index?type=web&code=00700

描述: 获取东方财富-港股-财务报表-三大报表

限量: 单次获取指定报表的所有年份数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| stock | str |  stock="00700"; 股票代码|
| symbol | str |  symbol="现金流量表"; choice of {"资产负债表", "利润表", "现金流量表"}|
| indicator | str | symbol="年度"; choice of {"年度", "报告期"}|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 日期索引          | datetime     报告日期   |
| 流动资产          | str   |   注意单位: 亿   |
|...          | str   |    多项财务指标   |



```python
import mssdk as ms
stock_financial_hk_report_em_df = ms.stock_financial_hk_report_em(stock="00700", symbol="资产负债表", indicator="年度")
print(stock_financial_hk_report_em_df)
```

数据示例

```
	      流动资产|1	现金及现金等价物	...	
2020-12-31	--	2212.85亿	...	
2019-12-31	--	1799.02亿	...	
2018-12-31	--	1607.32亿	...	
```

#### 财务摘要

接口: stock_financial_abstract

目标地址: https://vip.stock.finance.sina.com.cn/corp/go.php/vFD_FinanceSummary/stockid/600004.phtml

描述: 新浪财经-财务报表-财务摘要

限量: 单次获取财务摘要所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| stock | str | Y    | stock="600004"; 股票代码|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 截止日期          | str   | Y        |   -   |
| 每股净资产-摊薄/期末股数          | str   | Y        |   -   |
| 每股现金流          | str   | Y        |  -    |
| 每股资本公积金          | str   | Y        |  -    |
| 固定资产合计          | str   | Y        |  -    |
| 流动资产合计          | str   | Y        |   -   |
| 资产总计          | str   | Y        |  -    |
| 长期负债合计          | str   | Y        |  -    |
| 主营业务收入          | str   | Y        |  -   |
| 财务费用          | str   | Y        |  -    |
| 净利润          | str   | Y        |  -    |

接口示例

```python
import mssdk as ms
stock_financial_abstract_df = ms.stock_financial_abstract(stock="600004")
print(stock_financial_abstract_df)
```

数据示例

```
          截止日期 每股净资产-摊薄/期末股数  ...             财务费用              净利润
0   2020-03-31       8.0046元  ...  -63,823,000.00元  -63,009,000.00元
1   2019-12-31       8.2127元  ...   54,507,900.00元  999,862,000.00元
2   2019-09-30       7.6569元  ...   50,083,400.00元  572,881,000.00元
3   2019-06-30       7.7549元  ...   36,672,500.00元  428,149,000.00元
4   2019-03-31       7.6604元  ...   22,076,000.00元  223,594,000.00元
..         ...           ...  ...              ...              ...
68  2003-03-31       2.1205元  ...   -5,602,780.00元   71,703,900.00元
69  2002-12-31        2.241元  ...   -9,195,920.00元  286,680,000.00元
70  2002-06-30           NaN  ...   -3,025,480.00元  136,568,000.00元
71  2001-12-31       1.7632元  ...   -9,981,980.00元  296,790,000.00元
72  2000-12-31       1.4986元  ...   -9,413,540.00元  196,758,000.00元
```

#### 财务指标

接口: stock_financial_analysis_indicator

目标地址: https://money.finance.sina.com.cn/corp/go.php/vFD_FinancialGuideLine/stockid/600004/ctrl/2019/displaytype/4.phtml

描述: 获取新浪财经-财务分析-财务指标

限量: 单次获取财务指标所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| stock | str | Y    | stock="600004"; 股票代码|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
|摊薄每股收益(元)|str   | Y        |   -   |
|加权每股收益(元)|str   | Y        |   -   |
|每股收益_调整后(元)|str   | Y        |   -   |
|扣除非经常性损益后的每股收益(元)|str   | Y        |   -   |
|每股净资产_调整前(元)|str   | Y        |   -   |
|每股净资产_调整后(元)|str   | Y        |   -   |
|每股经营性现金流(元)|str   | Y        |   -   |
|每股资本公积金(元)|str   | Y        |   -   |
|每股未分配利润(元)|str   | Y        |   -   |
|调整后的每股净资产(元)|str   | Y        |   -   |
|总资产利润率(%)|str   | Y        |   -   |
|主营业务利润率(%)|str   | Y        |   -   |
|总资产净利润率(%)|str   | Y        |   -   |
|成本费用利润率(%)|str   | Y        |   -   |
|营业利润率(%)|str   | Y        |   -   |
|主营业务成本率(%)|str   | Y        |   -   |
|销售净利率(%)|str   | Y        |   -   |
|股本报酬率(%)|str   | Y        |   -   |
|净资产报酬率(%)|str   | Y        |   -   |
|资产报酬率(%)|str   | Y        |   -   |
|销售毛利率(%)|str   | Y        |   -   |
|三项费用比重|str   | Y        |   -   |
|非主营比重|str   | Y        |   -   |
|主营利润比重|str   | Y        |   -   |
|股息发放率(%)|str   | Y        |   -   |
|投资收益率(%)|str   | Y        |   -   |
|主营业务利润(元)|str   | Y        |   -   |
|净资产收益率(%)|str   | Y        |   -   |
|加权净资产收益率(%)|str   | Y        |   -   |
|扣除非经常性损益后的净利润(元)|str   | Y        |   -   |
|主营业务收入增长率(%)|str   | Y        |   -   |
|净利润增长率(%)|str   | Y        |   -   |
|净资产增长率(%)|str   | Y        |   -   |
|总资产增长率(%)|str   | Y        |   -   |
|应收账款周转率(次)|str   | Y        |   -   |
|应收账款周转天数(天)|str   | Y        |   -   |
|存货周转天数(天)|str   | Y        |   -   |
|存货周转率(次)|str   | Y        |   -   |
|固定资产周转率(次)|str   | Y        |   -   |
|总资产周转率(次)|str   | Y        |   -   |
|总资产周转天数(天)|str   | Y        |   -   |
|流动资产周转率(次)|str   | Y        |   -   |
|流动资产周转天数(天)|str   | Y        |   -   |
|股东权益周转率(次)|str   | Y        |   -   |
|流动比率|str   | Y        |   -   |
|速动比率|str   | Y        |   -   |
|现金比率(%)|str   | Y        |   -   |
|利息支付倍数|str   | Y        |   -   |
|长期债务与营运资金比率(%)|str   | Y        |   -   |
|股东权益比率(%)|str   | Y        |   -   |
|长期负债比率(%)|str   | Y        |   -   |
|股东权益与固定资产比率(%)|str   | Y        |   -   |
|负债与所有者权益比率(%)|str   | Y        |   -   |
|长期资产与长期资金比率(%)|str   | Y        |   -   |
|资本化比率(%)|str   | Y        |   -   |
|固定资产净值率(%)|str   | Y        |   -   |
|资本固定化比率(%)|str   | Y        |   -   |
|产权比率(%)|str   | Y        |   -   |
|清算价值比率(%)|str   | Y        |   -   |
|固定资产比重(%)|str   | Y        |   -   |
|资产负债率(%)|str   | Y        |   -   |
|总资产(元)|str   | Y        |   -   |
|经营现金净流量对销售收入比率(%)|str   | Y        |   -   |
|资产的经营现金流量回报率(%)|str   | Y        |   -   |
|经营现金净流量与净利润的比率(%)|str   | Y        |   -   |
|经营现金净流量对负债比率(%)|str   | Y        |   -   |
|现金流量比率(%)|str   | Y        |   -   |
|短期股票投资(元)|str   | Y        |   -   |
|短期债券投资(元)|str   | Y        |   -   |
|短期其它经营性投资(元)|str   | Y        |   -   |
|长期股票投资(元)|str   | Y        |   -   |
|长期债券投资(元)|str   | Y        |   -   |
|长期其它经营性投资(元)|str   | Y        |   -   |
|1年以内应收帐款(元)|str   | Y        |   -   |
|1-2年以内应收帐款(元)|str   | Y        |   -   |
|2-3年以内应收帐款(元)|str   | Y        |   -   |
|3年以内应收帐款(元)|str   | Y        |   -   |
|1年以内预付货款(元)|str   | Y        |   -   |
|1-2年以内预付货款(元)|str   | Y        |   -   |
|2-3年以内预付货款(元)|str   | Y        |   -   |
|3年以内预付货款(元)|str   | Y        |   -   |
|1年以内其它应收款(元)|str   | Y        |   -   |
|1-2年以内其它应收款(元)|str   | Y        |   -   |
|2-3年以内其它应收款(元)|str   | Y        |   -   |
|3年以内其它应收款(元)|str   | Y        |   -   |

接口示例

```python
import mssdk as ms
stock_financial_analysis_indicator_df = ms.stock_financial_analysis_indicator(stock="600004")
print(stock_financial_analysis_indicator_df)
```

数据示例

```
           摊薄每股收益(元) 加权每股收益(元)  ... 2-3年以内其它应收款(元) 3年以内其它应收款(元)
2020-03-31   -0.0307     -0.03  ...             --           --
2019-12-31    0.5106      0.48  ...     5514408.82           --
2019-09-30    0.2971      0.28  ...             --           --
2019-06-30    0.2175      0.21  ...             --           --
2019-03-31    0.1185      0.11  ...             --           --
              ...       ...  ...            ...          ...
2003-03-31      0.12        --  ...             --           --
2002-12-31      0.48        --  ...     1570549.33           --
2002-06-30      0.23        --  ...             --           --
2001-12-31      0.49        --  ...             --           --
2000-12-31      0.33        --  ...             --           --
```


#### 港股财务指标

接口: stock_financial_hk_analysis_indicator_em

目标地址: https://emweb.securities.eastmoney.com/PC_HKF10/NewFinancialAnalysis/index?type=web&code=00700

描述: 东方财富-港股-财务分析-主要指标

限量: 单次获取财务指标所有历史数据

输入参数

| 名称   | 类型 | 描述   |
| -------- | ---- |  --- |
| stock | str | stock="00700"; 股票代码|
| indicator | str |  indicator="年度"; choice of {"年度", "报告期"}|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- | ---------------- |
|周期|object   |    -   |
|基本每股收益(元)|object   |    -   |
|稀释每股收益(元)|object   |    -   |
|TTM每股收益(元)|object   |    -   |
|...          | object   |   多项财务指标   |

接口示例

```python
import mssdk as ms
stock_financial_hk_analysis_indicator_em_df = ms.stock_financial_hk_analysis_indicator_em(stock="00700", indicator="年度")
print(stock_financial_hk_analysis_indicator_em_df)
```

数据示例

```
   周期 基本每股收益(元) 稀释每股收益(元)  ... 资产负债率(%) 流动负债/总负债(%)    流动比率
1  2021-03-31    5.0200    4.9170  ...  40.6137     49.3061  1.1596
2  2020-12-31   16.8440   16.5230  ...  41.6508     48.4494  1.1805
3  2020-09-30   10.6010   10.4030  ...  45.6738     47.7102  1.2314
4  2020-06-30    6.5410    6.4400  ...  47.7145     46.0158  1.3411
5  2020-03-31    3.0490    2.9990  ...  49.4019     50.5371  1.1081
6  2019-12-31    9.8560    9.6430  ...  48.7598     51.6285  1.0575
7  2019-09-30    7.5780    7.4860  ...  48.4319     51.0084  1.2290
8  2019-06-30    5.4270    5.3620  ...  48.4575     51.0186  1.2047
9  2019-03-31    2.8770    2.8440  ...  48.9844     56.8520  1.0628
```

#### 历史分红

接口: stock_history_dividend

目标地址: http://vip.stock.finance.sina.com.cn/q/go.php/vInvestConsult/kind/lsfh/index.phtml?p=1&num=5000

描述: 获取新浪财经-发行与分配-历史分红

限量: 单次获取所有股票的历史分红数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| - | - | -    | -|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 代码          | str   | Y        |   -   |
| 名称          | str   | Y        |   -   |
| 上市日期          | str   | Y        |  -    |
| 累计股息(%)          | str   | Y        |  -    |
| 年均股息(%)          | str   | Y        |  -    |
| 分红次数          | str   | Y        |   -   |
| 融资总额(亿)          | str   | Y        |  -    |
| 融资次数          | str   | Y        |  -    |
| 详细          | str   | Y        |  -   |

接口示例

```python
import mssdk as ms
stock_history_dividend_df = ms.stock_history_dividend()
print(stock_history_dividend_df)
```

数据示例

```
     代码    名称        上市日期  累计股息(%)  年均股息(%)  分红次数  融资总额(亿)  融资次数  详细
0     000541  佛山照明  1993-11-23    167.6     6.45    46   0.0000     0  详细
1     000550  江铃汽车  1993-12-01    164.0     6.31    41   0.0000     0  详细
2     000022  深赤湾A  1993-05-05    132.3     5.09    45   0.0000     0  详细
3     000726   鲁泰A  2000-12-25    130.2     6.85    37   9.5082     1  详细
4     000539  粤电力A  1993-11-26    115.0     4.42    47   8.0981     1  详细
      ...   ...         ...      ...      ...   ...      ...   ...  ..
3870  688396   华润微  2020-02-27      0.0     0.00     0  42.3571     1  详细
3871  688398  赛特新材  2020-02-11      0.0     0.00     0   4.2310     1  详细
3872  688399  硕世生物  2019-12-05      0.0     0.00     0   6.1293     1  详细
3873  688466  金科环境  2020-05-08      0.0     0.00     0   5.6606     1  详细
3874  688588  凌志软件  2020-05-11      0.0     0.00     0   3.8505     1  详细
```

#### 股东户数

接口: stock_zh_a_gdhs

目标地址: http://data.eastmoney.com/gdhs/

描述: 东方财富网-数据中心-特色数据-股东户数数据

限量: 单次获取返回所有数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- | --- |
| symbol | str |  symbol="20210331"; choice of {"最新", 每个季度末}|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 代码          | object   |    -   |
| 名称          | object   |    -   |
| 最新价          | float64   |   注意单位: 元    |
| 涨跌幅          | float64   |  注意单位: %    |
| 股东户数-本次          | int64   |   -    |
| 股东户数-上次          | int64   |    -   |
| 股东户数-增减          | int64   |  -    |
| 股东户数-增减比例          | float64   |   注意单位: %    |
| 区间涨跌幅          | float64   |   注意单位: %   |
| 股东户数统计截止日-本次          | object   |   -   |
| 股东户数统计截止日-上次          | object   |   -   |
| 户均持股市值          | float64   |   -   |
| 户均持股数量          | float64   |   -   |
| 总市值          | float64   |  -   |
| 总股本          | float64   |  -   |
| 公告日期          | object   |   -   |

接口示例

```python
import mssdk as ms
stock_zh_a_gdhs_df = ms.stock_zh_a_gdhs(symbol="20210930")
print(stock_zh_a_gdhs_df)
```

数据示例

```
     代码    名称     最新价  ...           总市值       总股本      公告日期
0     688621  阳光诺和  122.92  ...  1.460160e+10    80000000  2021-11-06
1     603668  天马科技    8.08  ...  3.407573e+09   436308976  2021-11-02
2     600350  山东高速    5.08  ...  2.665386e+10  4811165857  2021-11-02
3     301091   深城交   30.85  ...           NaN   120000000  2021-10-31
4     688819  天能股份   44.63  ...  4.265575e+10   972100000  2021-10-30
      ...   ...     ...  ...           ...         ...         ...
4366  300191  潜能恒信   23.74  ...  8.233600e+09   320000000  2021-10-12
4367  002984   森麒麟   37.67  ...  1.882741e+10   649668940  2021-10-12
4368  002585  双星新材   23.10  ...  2.886070e+10  1156278085  2021-10-12
4369  002552  宝鼎科技   13.74  ...  4.486304e+09   306232338  2021-10-12
4370  000708  中信特钢   18.56  ...  1.034664e+11  5047143433  2021-10-12
```

#### 股东户数详情

接口: stock_zh_a_gdhs_detail_em

目标地址: https://data.eastmoney.com/gdhs/detail/000002.html

描述: 东方财富网-数据中心-特色数据-股东户数详情

限量: 单次获取指定 symbol 的所有数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- | --- |
| symbol | str |  symbol="000002"; 股票代码|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 股东户数统计截止日          | object   |    -   |
| 区间涨跌幅          | float64   |    注意单位: %   |
| 股东户数-本次          | int64   |    -   |
| 股东户数-上次          | int64   |    -   |
| 股东户数-增减          | int64   |    -   |
| 股东户数-增减比例          | float64   |    注意单位: %   |
| 户均持股市值          | float64   |    -   |
| 户均持股数量          | float64   |    -   |
| 总市值          | float64   |    -   |
| 总股本          | int64   |    -   |
| 股本变动          | int64   |    -   |
| 股本变动原因          | object   |    -   |
| 股东户数公告日期          | object   |    -   |
| 代码          | object   |    -   |
| 名称          | object   |    -   |

接口示例

```python
import mssdk as ms
stock_zh_a_gdhs_detail_em_df = ms.stock_zh_a_gdhs_detail_em(symbol="000002")
print(stock_zh_a_gdhs_detail_em_df)
```

数据示例

```
   股东户数统计截止日  区间涨跌幅 股东户数-本次  ...股东户数公告日期 代码   名称
0   2021-09-30   9.068631   538792  ...  2021-10-29  000002  万科A
1   2021-07-31 -13.229735   566039  ...  2021-08-30  000002  万科A
2   2021-06-30 -20.633333   571074  ...  2021-08-30  000002  万科A
3   2021-03-31  -9.365559   393960  ...  2021-04-23  000002  万科A
4   2021-02-28  15.331010   381906  ...  2021-03-31  000002  万科A
5   2020-12-31   2.426838   385248  ...  2021-03-31  000002  万科A
6   2020-09-30   8.257337   371477  ...  2020-10-30  000002  万科A
7   2020-07-31   2.677888   461666  ...  2020-08-28  000002  万科A
8   2020-06-30   1.910331   406742  ...  2020-08-28  000002  万科A
9   2020-03-31 -13.315309   326417  ...  2020-04-28  000002  万科A
10  2020-02-29  -8.048477   286901  ...  2020-03-18  000002  万科A
11  2019-12-31  24.247104   245835  ...  2020-03-18  000002  万科A
12  2019-09-30  -6.318701   290500  ...  2019-10-25  000002  万科A
13  2019-07-31   3.416037   246798  ...  2019-08-21  000002  万科A
14  2019-06-30  -9.472656   266065  ...  2019-08-21  000002  万科A
15  2019-03-31   9.753483   222935  ...  2019-04-30  000002  万科A
16  2019-02-28  17.506297   239089  ...  2019-03-26  000002  万科A
17  2018-12-31  -1.975309   243721  ...  2019-03-26  000002  万科A
18  2018-09-30   8.276392   261769  ...  2018-10-26  000002  万科A
19  2018-07-31  -5.203252   282167  ...  2018-08-21  000002  万科A
20  2018-06-30 -26.103935   279652  ...  2018-08-21  000002  万科A
21  2018-03-31   1.804281   248297  ...  2018-04-26  000002  万科A
22  2018-02-28   5.280103   246735  ...  2018-03-27  000002  万科A
23  2017-12-31  18.323810   207177  ...  2018-03-27  000002  万科A
24  2017-09-30  16.145054   208940  ...  2017-10-27  000002  万科A
25  2017-07-31  -6.407689   258271  ...  2017-08-25  000002  万科A
26  2017-06-30  21.331390   253139  ...  2017-08-25  000002  万科A
27  2017-03-31   0.243546   326683  ...  2017-04-28  000002  万科A
28  2017-02-28  -0.097324   339282  ...  2017-03-27  000002  万科A
29  2016-12-31 -21.474971   336065  ...  2017-03-27  000002  万科A
30  2016-09-30  52.683781   321534  ...  2016-10-28  000002  万科A
31  2016-07-31 -26.903456   546691  ...  2016-08-22  000002  万科A
32  2016-06-30   0.000000   272006  ...  2016-08-22  000002  万科A
33  2016-03-31   0.000000   272063  ...  2016-04-28  000002  万科A
34  2016-02-29   0.000000   272145  ...  2016-03-14  000002  万科A
35  2015-12-31  91.908877   272350  ...  2016-03-14  000002  万科A
36  2015-09-30  -9.375935   332339  ...  2015-10-28  000002  万科A
37  2015-06-30   5.065123   479246  ...  2015-08-17  000002  万科A
38  2015-03-31   5.900383   652113  ...  2015-04-27  000002  万科A
39  2015-03-24  -6.115108   586390  ...  2015-03-31  000002  万科A
40  2014-12-31  51.416122   496907  ...  2015-03-31  000002  万科A
41  2014-09-30  11.003628   619745  ...  2014-10-27  000002  万科A
42  2014-06-30   7.843228   662721  ...  2014-08-18  000002  万科A
43  2014-03-31  20.386905   718506  ...  2014-04-29  000002  万科A
44  2014-02-28 -16.313823   752643  ...  2014-03-07  000002  万科A
45  2013-12-31 -12.048193   723239  ...  2014-03-07  000002  万科A
46  2013-09-30  -7.309645   713492  ...  2013-10-30  000002  万科A
47  2013-06-30  -6.976724   666684  ...  2013-08-07  000002  万科A
48  2013-03-31 -10.407993   687129  ...  2013-04-23  000002  万科A
49  2013-01-31  18.675889   704832  ...  2013-02-28  000002  万科A
```

#### 分红配股

接口: stock_history_dividend_detail

目标地址: https://vip.stock.finance.sina.com.cn/corp/go.php/vISSUE_ShareBonus/stockid/300670.phtml

描述: 新浪财经-发行与分配-分红配股

限量: 单次获取指定股票的新浪财经-发行与分配-分红配股详情

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| indicator | str | Y    | indicator="配股"; choice of {"分红", "配股"}|
| stock | str | Y    | stock="600012"; 股票代码|
| date | str | Y    | date="1994-12-24"; 分红配股的具体日期, e.g., "1994-12-24"|

输出参数-分红历史

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 公告日期          | str   | Y        |   -   |
| 送股(股)          | str   | Y        |   -   |
| 转增(股)          | str   | Y        |  -    |
| 派息(税前)(元)          | str   | Y        |  -    |
| 进度          | str   | Y        |  -    |
| 除权除息日          | str   | Y        |   -   |
| 股权登记日          | str   | Y        |  -    |
| 红股上市日          | str   | Y        |  -    |
| 查看详细          | str   | Y        |  -   |

接口示例-分红历史

```python
import mssdk as ms
stock_history_dividend_detail_df = ms.stock_history_dividend_detail(indicator="分红", stock="600012", date="")
print(stock_history_dividend_detail_df)
```

数据示例-分红历史

```
          公告日期  送股(股)  转增(股)  派息(税前)(元)  进度       除权除息日       股权登记日 红股上市日 查看详细
0   2020-03-30      0      0        2.3  预案          --          --    --   查看
1   2019-07-08      0      0        2.5  实施  2019-07-16  2019-07-15    --   查看
2   2018-07-09      0      0        2.3  实施  2018-07-17  2018-07-16    --   查看
3   2017-07-10      0      0        2.3  实施  2017-07-18  2017-07-17    --   查看
4   2016-07-12      0      0        2.3  实施  2016-07-19  2016-07-18    --   查看
5   2015-07-13      0      0        2.3  实施  2015-07-20  2015-07-17    --   查看
6   2014-07-07      0      0        2.2  实施  2014-07-11  2014-07-10    --   查看
7   2013-06-18      0      0        2.0  实施  2013-06-24  2013-06-21    --   查看
8   2012-07-10      0      0        2.1  实施  2012-07-16  2012-07-13    --   查看
9   2011-06-08      0      0        2.1  实施  2011-06-14  2011-06-13    --   查看
10  2010-06-10      0      0        2.0  实施  2010-06-21  2010-06-18    --   查看
11  2009-05-25      0      0        2.3  实施  2009-06-02  2009-06-01    --   查看
12  2008-06-18      0      0        2.0  实施  2008-06-25  2008-06-24    --   查看
13  2007-06-20      0      0        2.5  实施  2007-06-26  2007-06-25    --   查看
14  2006-07-12      0      0        2.8  实施  2006-07-18  2006-07-17    --   查看
15  2005-07-11      0      0        1.0  实施  2005-07-15  2005-07-14    --   查看
16  2004-06-14      0      0        0.6  实施  2004-06-18  2004-06-17    --   查看
17  2003-07-07      0      0        0.3  实施  2003-07-11  2003-07-10    --   查看
```

输出参数-分红详情

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| item          | str   | Y        |   所列项目   |
| value          | str   | Y        |   项目值   |

接口示例-分红详情

```python
import mssdk as ms
stock_history_dividend_detail_df = ms.stock_history_dividend_detail(indicator="分红", stock="600012", date="2019-07-08")
print(stock_history_dividend_detail_df)
```

数据示例-分红详情

```
                 item       value
0          税前红利（报价币种）        2.50
1          税后红利（报价币种）        2.50
2       B、H股税前红利（人民币）          --
3       B、H股税后红利（人民币）          --
4           送股比例（10送）          --
5          转增比例（10转增）          --
6     盈余公积金转增比例（10转增）          --
7     资本公积金转增比例（10转增）          --
8                发放对象          --
9               股本基准日  2018-12-31
10              最后交易日          --
11                登记日  2019-07-15
12                除息日  2019-07-16
13  红利/配股起始日（送、转股到账日）  2019-07-16
14           红利/配股终止日          --
15                上市日          --
16         股东大会决议公告日期  2019-05-18
17       可转债享受权益转股截止日          --
18          配股比例（10配）          --
19                配股价          --
20               转配比例          --
21                转配价          --
22              配股有效期          --
23              实际配股数          --
24             配股前总股本          --
25             实际配股比例          --
26              每股拆细数          --
27             外币折算汇率          --
28               权息说明          --
```

输出参数-配股历史

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 公告日期          | str   | Y        |   -   |
| 配股方案(每10股配股股数)          | str   | Y        |   -   |
| 配股价格(元)          | str   | Y        |   -   |
| 基准股本(股)          | str   | Y        |   -   |
| 除权日          | str   | Y        |   -   |
| 股权登记日          | str   | Y        |   -   |
| 缴款起始日          | str   | Y        |   -   |
| 缴款终止日          | str   | Y        |   -   |
| 配股上市日          | str   | Y        |   -   |
| 募集资金合计(元)          | str   | Y        |   -   |
| 查看详细          | str   | Y        |   -   |

接口示例-配股历史

```python
import mssdk as ms
stock_history_dividend_detail_df = ms.stock_history_dividend_detail(indicator="配股", stock="000002", date="")
print(stock_history_dividend_detail_df)
```

数据示例-配股历史

```
         公告日期  配股方案(每10股配股股数)  配股价格(元)  ...       配股上市日 募集资金合计(元) 查看详细
0  1999-12-22           2.727      7.5  ...  2000-02-16       NaN   查看
1  1997-06-26           2.370      4.5  ...  1997-08-22       NaN   查看
2  1900-01-01           5.000      4.4  ...  1900-01-01       NaN   查看
```

输出参数-配股详情

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| item          | str   | Y        |   所列项目   |
| value          | str   | Y        |   项目值   |

接口示例-配股详情

```python
import mssdk as ms
stock_history_dividend_detail_df = ms.stock_history_dividend_detail(indicator="配股", stock="000002", date="1999-12-22")
print(stock_history_dividend_detail_df)
```

数据示例-配股详情

```
                 item         value
0          税前红利（报价币种）            --
1          税后红利（报价币种）            --
2       B、H股税前红利（人民币）            --
3       B、H股税后红利（人民币）            --
4           送股比例（10送）            --
5          转增比例（10转增）            --
6     盈余公积金转增比例（10转增）            --
7     资本公积金转增比例（10转增）            --
8                发放对象            --
9               股本基准日            --
10              最后交易日            --
11                登记日    2000-01-07
12                除息日    2000-01-10
13  红利/配股起始日（送、转股到账日）    2000-01-11
14           红利/配股终止日    2000-01-24
15                上市日    2000-02-16
16         股东大会决议公告日期            --
17       可转债享受权益转股截止日            --
18          配股比例（10配）          2.73
19                配股价          7.50
20               转配比例            --
21                转配价            --
22              配股有效期            --
23              实际配股数   85434500.00
24             配股前总股本  545537000.00
25             实际配股比例          1.57
26              每股拆细数            --
27             外币折算汇率            --
28               权息说明            --
```

#### 历史分红

接口: stock_dividents_cninfo

目标地址: http://webapi.cninfo.com.cn/#/company?companyid=600009

描述: 巨潮资讯-个股-历史分红

限量: 单次获取指定股票的历史分红数据

输入参数

| 名称   | 类型 | 描述   |
| -------- | ---- |  --- |
| symbol | str |  symbol="600009"|

输出参数

| 名称          | 类型 | 描述           |
| ------------ | ----- | ---------------- |
| 实施方案公告日期          | object   |    -   |
| 送股比例          | float64   |   注意单位: 每 10 股   |
| 转增比例          | float64   |   注意单位: 每 10 股    |
| 派息比例          | float64   |   注意单位: 每 10 股    |
| 股权登记日          | object   |   -    |
| 除权日          | object   |    -   |
| 派息日          | object   |   -    |
| 股份到账日          | object   |   -    |
| 实施方案分红说明          | object   |   -   |
| 分红类型          | object   |   -   |
| 报告时间          | object   |   -   |

接口示例

```python
import mssdk as ms
stock_dividents_cninfo_df = ms.stock_dividents_cninfo(symbol="600009")
print(stock_dividents_cninfo_df)
```

数据示例

```
   实施方案公告日期  送股比例  转增比例  派息比例  ... 股份到账日 实施方案分红说明 分红类型  报告时间
0   2020-08-14   NaN   NaN  7.90  ...   NaT    10派7.9元(含税)  年度分红   2019年报
1   2019-08-16   NaN   NaN  6.60  ...   NaT    10派6.6元(含税)  年度分红   2018年报
2   2018-08-17   NaN   NaN  5.80  ...   NaT    10派5.8元(含税)  年度分红   2017年报
3   2017-08-18   NaN   NaN  4.40  ...   NaT    10派4.4元(含税)  年度分红   2016年报
4   2016-08-12   NaN   NaN  4.30  ...   NaT    10派4.3元(含税)  年度分红   2015年报
5   2015-08-14   NaN   NaN  3.50  ...   NaT    10派3.5元(含税)  年度分红   2014年报
6   2014-08-11   NaN   NaN  3.00  ...   NaT      10派3元(含税)  年度分红   2013年报
7   2013-08-12   NaN   NaN  3.70  ...   NaT    10派3.7元(含税)  年度分红   2012年报
8   2012-08-07   NaN   NaN  6.00  ...   NaT      10派6元(含税)  年度分红   2011年报
9   2011-08-08   NaN   NaN  1.00  ...   NaT      10派1元(含税)  年度分红   2010年报
10  2010-07-29   NaN   NaN  0.50  ...   NaT    10派0.5元（含税）  年度分红   2009年报
11  2009-07-30   NaN   NaN  0.50  ...   NaT    10派0.5元（含税）  年度分红   2008年报
12  2008-07-24   NaN   NaN  1.00  ...   NaT      10派1元（含税）  年度分红   2007年报
13  2007-08-16   NaN   NaN  1.50  ...   NaT    10派1.5元（含税）  年度分红   2006年报
14  2006-12-01   NaN   NaN  1.00  ...   NaT      10派1元（含税）  中期分红  2006半年报
15  2006-08-15   NaN   NaN  1.50  ...   NaT    10派1.5元(含税)  年度分红   2005年报
16  2005-05-17   NaN   NaN  1.00  ...   NaT      10派1元(含税)  年度分红   2004年报
17  2004-07-16   NaN   NaN  0.96  ...   NaT   10派0.96元（含税）  年度分红   2003年报
18  2003-12-22   3.0   NaN   NaN  ...   NaT          10送3股  中期分红  2003半年报
19  2003-08-05   NaN   NaN  1.99  ...   NaT  10股派1.99元（含税）  年度分红   2002年报
20  2002-07-18   NaN   NaN  1.50  ...   NaT    10派1.5元(含税)  年度分红   2001年报
21  2001-06-23   NaN   NaN  2.93  ...   NaT   10派2.93元(含税)  年度分红   2000年报
22  1998-11-28   0.0   5.0  0.00  ...   NaT         10转增5股  中期分红  1998半年报
```

#### 新股发行

接口: stock_ipo_info

目标地址: https://vip.stock.finance.sina.com.cn/corp/go.php/vISSUE_NewStock/stockid/600004.phtml

描述: 获取新浪财经-发行与分配-新股发行

限量: 单次获取新股发行的基本信息数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| stock | str | Y    | stock="600004"; 股票代码|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| item          | str   | Y        |   所列项目   |
| value          | str   | Y        |   项目值   |

接口示例

```python
import mssdk as ms
stock_ipo_info_df = ms.stock_ipo_info(stock="600004")
print(stock_ipo_info_df)
```

数据示例

```
              item       value
0              上市地     上海证券交易所
1             主承销商  中国国际金融有限公司
2             承销方式        余额包销
3            上市推荐人  中国国际金融有限公司
4         每股发行价(元)        5.88
5             发行方式    二级市场定价配售
6   发行市盈率（按发行后总股本）          --
7       首发前总股本（万股）    60000.00
8       首发后总股本（万股）   100000.00
9        实际发行量（万股）    40000.00
10      预计募集资金（万元）   235200.00
11    实际募集资金合计（万元）   235200.00
12      发行费用总额（万元）     6936.40
13      募集资金净额（万元）   228263.60
14        承销费用（万元）          --
15           招股公告日  2003-04-09
16            上市日期  2003-04-28
```

#### 股票增发

接口: stock_add_stock

目标地址: https://vip.stock.finance.sina.com.cn/corp/go.php/vISSUE_AddStock/stockid/600004.phtml

描述: 获取新浪财经-发行与分配-增发

限量: 单次获取股票增发详情数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| stock | str | Y    | stock="600004"; 股票代码|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 发行方式          | str   | Y        |   -   |
| 发行价格          | str   | Y        |   -   |
| 实际公司募集资金总额          | str   | Y        |   -   |
| 发行费用总额          | str   | Y        |   -   |
| 实际发行数量          | str   | Y        |   -   |

接口示例

```python
import mssdk as ms
stock_add_stock_df = ms.stock_add_stock(stock="600004")
print(stock_add_stock_df)
```

数据示例

```
              发行方式    发行价格   实际公司募集资金总额      发行费用总额   实际发行数量
2007-12-29  网下定价发行  15.05元  22,575.00万元  1,887.00万元   1500万股
2007-12-18    定向配售   7.09元        0.00元       0.00元  13500万股
```

#### 限售解禁

接口: stock_restricted_shares

目标地址: https://vip.stock.finance.sina.com.cn/q/go.php/vInvestConsult/kind/xsjj/index.phtml?symbol=sh600000

描述: 获取新浪财经-发行分配-限售解禁

限量: 单次获取限售解禁数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| stock | str | Y    | stock="600000"; 股票代码|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 代码          | str   | Y        |   -   |
| 名称          | str   | Y        |   -   |
| 解禁日期          | str   | Y        |   -   |
| 解禁数量(万股)          | float   | Y        |   -   |
| 解禁股流通市值(亿元)          | float   | Y        |   -   |
| 上市批次          | float   | Y        |   -   |
| 公告日期          | str   | Y        |   -   |

接口示例

```python
import mssdk as ms
stock_restricted_shares_df = ms.stock_restricted_shares(stock="600000")
print(stock_restricted_shares_df)
```

数据示例

```
       代码    名称        解禁日期   解禁数量(万股)  解禁股流通市值(亿元)  上市批次        公告日期
0  600000  浦发银行  2020-09-04  124831.65     128.5766    10  2017-09-06
1  600000  浦发银行  2017-03-20  109946.14     179.1023     9  2016-03-22
2  600000  浦发银行  2015-10-14  373069.43     599.1495     8  2010-10-16
3  600000  浦发银行  2010-09-29  117540.69     151.9801     7  2009-09-30
4  600000  浦发银行  2009-05-12   64917.32     161.1248     6  2006-05-09
5  600000  浦发银行  2008-05-12   41247.84     120.7737     5  2008-05-07
6  600000  浦发银行  2007-11-30   27761.94     144.0567     4  2006-11-21
7  600000  浦发银行  2007-05-14  192834.49     564.2337     3  2007-05-09
```

#### 流通股东

接口: stock_circulate_stock_holder

目标地址: https://vip.stock.finance.sina.com.cn/corp/go.php/vCI_CirculateStockHolder/stockid/600000.phtml

描述: 获取新浪财经-股东股本-流通股东

限量: 单次获取流通股东数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| stock | str | Y    | stock="600000"; 股票代码|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 截止日期          | str   | Y        |   -   |
| 公告日期          | str   | Y        |   -   |
| 编号          | str   | Y        |   -   |
| 股东名称          | str   | Y        |   -   |
| 持股数量(股)         | float   | Y        |   -   |
| 占流通股比例(%)          | float   | Y        |   -   |
| 股本性质          | str   | Y        |   -   |

接口示例

```python
import mssdk as ms
stock_circulate_stock_holder_df = ms.stock_circulate_stock_holder(stock="600000")
print(stock_circulate_stock_holder_df)
```

数据示例

```
0          截止日期        公告日期  编号  ...     持股数量(股) 占流通股比例(%)   股本性质
0    2020-03-31  2020-04-25   1  ...  5489319304    19.532    国有股
1    2020-03-31  2020-04-25   2  ...  5334892824    18.983    国有股
2    2020-03-31  2020-04-25   3  ...  2779437274     9.890  境内法人股
3    2020-03-31  2020-04-25   4  ...  1763232325     6.274  境内法人股
4    2020-03-31  2020-04-25   5  ...  1395571025     4.966    国有股
..          ...         ...  ..  ...         ...       ...    ...
645  2003-12-31         NaN   6  ...     6882195     0.765    国有股
646  2003-12-31         NaN   7  ...     5921727     0.658  境内法人股
647  2003-12-31         NaN   8  ...     4534267     0.504  境内法人股
648  2003-12-31         NaN   9  ...     4197332     0.466  境内法人股
649  2003-12-31         NaN  10  ...     3880427     0.431  境内法人股
```

#### 板块行情

接口: stock_sector_spot

目标地址: http://finance.sina.com.cn/stock/sl/

描述: 新浪行业-板块行情

限量: 单次获取指定的板块行情实时数据

输入参数

| 名称   | 类型 | 描述   |
| -------- | ---- |  --- |
| indicator | str | indicator="新浪行业"; choice of {"新浪行业", "启明星行业", "概念", "地域", "行业"}|

输出参数

| 名称          | 类型 | 描述           |
| ------------ | ----- |  ---------------- |
| label          | object   |    -   |
| 板块          | object   |    -   |
| 公司家数          | int64   |    -   |
| 平均价格          | float64   |    -   |
| 涨跌额         | float64   |   -   |
| 涨跌幅          | float64   |   注意单位: %   |
| 总成交量          | int64   |    注意单位: 手   |
| 总成交额          | int64   |    注意单位: 万元   |
| 股票代码          | object   |    -   |
| 个股-涨跌幅          | float64   |    注意单位: %   |
| 个股-当前价          | float64   |   -   |
| 个股-涨跌额          | float64   |   -   |
| 股票名称          | object   |    -   |

接口示例

```python
import mssdk as ms
stock_industry_sina_df = ms.stock_sector_spot(indicator="新浪行业")
print(stock_industry_sina_df)
```

数据示例

```
        label    板块  公司家数        平均价格  ...  个股-涨跌幅  个股-当前价  个股-涨跌额   股票名称
0    new_blhy  玻璃行业    19   15.913158  ...   4.214   21.27    0.86   金刚玻璃
1    new_cbzz  船舶制造     8   10.561250  ...   5.374   22.55    1.15   中国船舶
2    new_cmyl  传媒娱乐    40    6.491053  ...  13.826    3.54    0.43   华谊兄弟
3    new_dlhy  电力行业    62    7.798667  ...  10.011   20.66    1.88   文山电力
4    new_dqhy  电器行业    58   15.341897  ...   7.950    7.74    0.57   精达股份
5    new_dzqj  电子器件   152   22.652349  ...  20.055    8.74    1.46   珈伟新能
6    new_dzxx  电子信息   247   12.984641  ...  20.022   21.46    3.58    中青宝
7     new_fdc   房地产   123    7.213445  ...  10.189    2.92    0.27   铁岭新城
8    new_fdsb  发电设备    65   11.620000  ...   6.644   18.46    1.15    天融信
9    new_fjzz  飞机制造    14   24.420714  ...   6.079   62.82    3.60   中直股份
10   new_fzhy  纺织行业    42    5.945750  ...   7.362    5.25    0.36   凤竹纺织
11   new_fzjx  纺织机械     8   10.077500  ...   5.704   19.83    1.07   三联虹普
12   new_fzxl  服装鞋类    49    9.784375  ...  10.066    6.67    0.61    乔治白
13   new_glql  公路桥梁    20    4.771667  ...   2.979    2.42    0.07   吉林高速
14   new_gsgq  供水供气    25    6.512000  ...   4.945    3.82    0.18   辽宁能源
15   new_gthy  钢铁行业    60    8.681455  ...  10.036   15.24    1.39   海南矿业
16   new_hbhy  环保行业    27    7.172308  ...  20.023   10.61    1.77   天壕环境
17   new_hghy  化工行业   150   17.143537  ...  11.946   10.87    1.16   海达股份
18   new_hqhy  化纤行业    26    9.303846  ...  10.027    4.06    0.37   吉林化纤
19   new_jdhy  家电行业    37   13.049118  ...   6.127   53.00    3.06  苏 泊 尔
20   new_jdly  酒店旅游    35   16.324571  ...   6.809    2.51    0.16  *ST腾邦
21   new_jjhy  家具行业    16   14.207333  ...   3.830    4.88    0.18   海鸥住工
22   new_jrhy  金融行业    51   12.387200  ...   4.566   25.88    1.13   中信证券
23   new_jtys  交通运输    87    7.466835  ...   6.642    8.51    0.53   中国国航
24   new_jxhy  机械行业   211   12.314412  ...  10.012    9.56    0.87   宁波精达
25   new_jzjc  建筑建材    91    6.915568  ...   7.900   12.02    0.88   四川路桥
26    new_kfq   开发区    10    9.127000  ...   3.902   13.58    0.51   中国国贸
27   new_ljhy  酿酒行业    33  124.060303  ...  10.002  150.45   13.68   重庆啤酒
28    new_mtc   摩托车     6    9.040000  ...   5.878   13.87    0.77   钱江摩托
29   new_mthy  煤炭行业    41    8.143171  ...   5.121    3.90    0.19   ST安泰
30   new_nlmy  农林牧渔    64   11.500161  ...   7.095   14.49    0.96   盈康生命
31   new_nyhf  农药化肥    46   15.010000  ...   8.333   35.36    2.72   广信股份
32   new_qczz  汽车制造   103   17.203465  ...   9.967    9.93    0.90   天润工业
33   new_qtxy  其它行业   202   12.054028  ...  14.844    4.41    0.57    汤姆猫
34   new_slzp  塑料制品    33   12.096061  ...   5.975    6.74    0.38   浙江众成
35   new_snhy  水泥行业    26   10.774800  ...   5.584    8.13    0.43   博闻科技
36   new_sphy  食品行业    58   16.108214  ...  10.031   10.64    0.97   中粮科技
37  new_stock   次新股    76   41.233443  ...  10.015   35.92    3.27   青岛食品
38   new_swzz  生物制药   155   20.037059  ...  10.131    3.37    0.31   交大昂立
39   new_sybh  商业百货    93   10.116111  ...  10.023   23.82    2.17   天音控股
40   new_syhy  石油行业    24    6.421739  ...   7.438    5.20    0.36   泰山石油
41   new_tchy  陶瓷行业     8    9.295714  ...   5.040    3.96    0.19   ST冠福
42   new_wzwm  物资外贸    21    8.492000  ...  10.025   13.17    1.20   江苏国泰
43   new_ylqx  医疗器械    31   27.988333  ...   6.168  170.40    9.90   泰格医药
44   new_yqyb  仪器仪表    48   15.053125  ...   5.106    2.47    0.12   ST安控
45   new_ysbz  印刷包装    20    5.662000  ...   6.150    7.94    0.46   万顺新材
46   new_ysjs  有色金属    72   15.427206  ...   9.871   41.74    3.75   钢研高纳
47   new_zhhy  综合行业    33    6.043929  ...   6.833    6.41    0.41   合金投资
48   new_zzhy  造纸行业    24    6.515652  ...   6.367   17.04    1.02   中顺洁柔
```

#### 板块详情

接口: stock_sector_detail

目标地址: http://finance.sina.com.cn/stock/sl/#area_1

描述: 新浪行业-板块行情-成份详情, 由于新浪网页提供的统计数据有误, 部分行业数量大于统计数

限量: 单次获取指定的新浪行业-板块行情-成份详情

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| sector | str | sector="hangye_ZL01"; 通过 **ms.stock_sector_spot** 返回数据的 label 字段选择 sector|

输出参数

| 名称          | 类型 | 描述           |
| ------------ | ----- |  ---------------- |
| symbol          | object   |   -   |
| code          | object   |    -   |
| name          | object   |    -   |
| trade          | float64   |   -   |
| pricechange         | float64   |   -   |
| changepercent          | float64   |    -   |
| buy          | float64   |    -   |
| sell          | float64   |   -   |
| settlement          | float64   |    -   |
| open          | float64   |   -   |
| high          | float64   |    -   |
| low          | float64   |   -   |
| volume          | int64   |    -   |
| amount          | int64   |    -   |
| ticktime          | object   |   -   |
| per          | float64   |    -   |
| pb          | float64   |    -   |
| mktcap          | float64   |    -   |
| nmc          | float64   |    -   |
| turnoverratio          | float64   |  -   |

接口示例

```python
import mssdk as ms
stock_sector_detail_df = ms.stock_sector_detail(sector="hangye_ZL01")
print(stock_sector_detail_df)
```

数据示例

```
      symbol    code   name  ...        mktcap           nmc turnoverratio
0   sh600373  600373   中文传媒  ...  1.619301e+06  1.619301e+06       0.64600
1   sh600551  600551   时代出版  ...  3.616651e+05  3.616651e+05       0.22616
2   sh600633  600633   浙数文化  ...  1.249847e+06  1.249847e+06       1.06662
3   sh600757  600757   长江传媒  ...  6.310981e+05  6.310185e+05       0.26325
4   sh601098  601098   中南传媒  ...  1.925312e+06  1.925312e+06       0.23095
5   sh601801  601801   皖新传媒  ...  9.727211e+05  9.727211e+05       0.22932
6   sh601858  601858   中国科传  ...  7.280505e+05  7.280505e+05       0.59413
7   sh601900  601900   南方传媒  ...  8.206229e+05  8.147362e+05       0.31126
8   sh601928  601928   凤凰传媒  ...  1.702538e+06  1.702538e+06       0.11763
9   sh601999  601999   出版传媒  ...  3.261415e+05  3.261415e+05       0.60498
10  sh603999  603999   读者传媒  ...  3.317760e+05  3.317760e+05       0.61157
11  sz000504  000504  *ST生物  ...  2.246448e+05  2.239954e+05       0.83369
12  sz000719  000719   中原传媒  ...  6.855465e+05  4.469889e+05       0.32643
13  sz300148  300148   天舟文化  ...  2.999517e+05  2.770519e+05       4.02933
```

#### 股票列表-A股

接口: stock_info_a_code_name

目标地址: 沪深京三个交易所

描述: 沪深京 A 股股票代码和股票简称数据

限量: 单次获取所有 A 股股票代码和简称数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- | --- |
| - | - |  -|

输出参数

| 名称          | 类型 | 描述     |
| ------------ | ----- |  ---------------- |
| item          | str   |    -   |
| value          | str   |  -   |

接口示例

```python
import mssdk as ms
stock_info_a_code_name_df = ms.stock_info_a_code_name()
print(stock_info_a_code_name_df)
```

数据示例

```
        code   name
0     000001   平安银行
1     000002  万  科Ａ
2     000004   国华网安
3     000005   ST星源
4     000006   深振业Ａ
      ...    ...
4623  871396   常辅股份
4624  871553   凯腾精工
4625  871642   通易航天
4626  871981   晶赛科技
4627  872925   锦好医疗
```

#### 股票列表-上证

接口: stock_info_sh_name_code

目标地址: 上海证券交易所

描述: 上海证券交易所股票代码和简称数据

限量: 单次获取所有上海证券交易所股票代码和简称数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| indicator | str |  indicator="主板A股"; choice of {"主板A股", "主板B股", "科创板"}|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 公司代码          | object   |    -   |
| 公司简称          | object   |    -   |
| 代码          | object   |    -   |
| 简称          | object   |    -   |
| 上市日期          | object   |    -   |

接口示例

```python
import mssdk as ms
stock_info_sh_df = ms.stock_info_sh_name_code(indicator="主板A股")
print(stock_info_sh_df)
```

数据示例

```
      公司代码  公司简称  代码    简称        上市日期
0     600000  浦发银行  600000  浦发银行  1999-11-10
1     600004  白云机场  600004  白云机场  2003-04-28
2     600006  东风汽车  600006  东风汽车  1999-07-27
3     600007  中国国贸  600007  中国国贸  1999-03-12
4     600008  首创环保  600008  首创环保  2000-04-27
      ...   ...     ...   ...         ...
1644  605580  恒盛能源  605580  恒盛能源  2021-08-19
1645  605588  冠石科技  605588  冠石科技  2021-08-12
1646  605589  圣泉集团  605589  圣泉集团  2021-08-10
1647  605598  上海港湾  605598  上海港湾  2021-09-17
1648  605599  菜百股份  605599  菜百股份  2021-09-09
```

#### 股票列表-深证

接口: stock_info_sz_name_code

目标地址: http://www.szse.cn/market/product/stock/list/index.html

描述: 深证证券交易所股票代码和股票简称数据

限量: 单次获取深证证券交易所股票代码和简称数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| indicator | str |  indicator="A股列表"; choice of {"A股列表", "B股列表", "CDR列表", "AB股列表"}|

输出参数-A股列表

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 板块          | object   |    -   |
| A股代码          | object   |    -   |
| A股简称          | object   |    -   |
| A股上市日期          | object   |   -   |
| A股总股本          | object   |  -   |
| A股流通股本          | object   |    -   |
| 所属行业          | object   |   -   |

接口示例-A股列表

```python
import mssdk as ms
stock_info_sz_name_code_df = ms.stock_info_sz_name_code(indicator="A股列表")
print(stock_info_sz_name_code_df)
```

数据示例-A股列表

```
       板块    A股代码   A股简称   A股上市日期      A股总股本      A股流通股本    所属行业
0      主板  000001   平安银行  1991-04-03  19,405,918,198  19,405,754,475   J 金融业
1      主板  000002  万  科Ａ  1991-01-29   9,724,196,533   9,717,553,265   K 房地产
2      主板  000004   国华网安  1990-12-01     165,052,625     115,125,619  I 信息技术
3      主板  000005   ST星源  1990-12-10   1,058,536,842   1,057,946,242  N 公共环保
4      主板  000006   深振业Ａ  1992-04-27   1,349,995,046   1,349,995,046   K 房地产
   ...     ...    ...         ...             ...             ...     ...
2426  创业板  300999    金龙鱼  2020-10-15   5,421,591,536     394,582,508   C 制造业
2427  创业板  301000   肇民科技  2021-05-28      53,333,500      13,333,500   C 制造业
2428  创业板  301001   凯淳股份  2021-05-28      80,000,000      20,000,000  I 信息技术
2429  创业板  301003    C博云  2021-06-01      58,266,667      14,566,667   C 制造业
2430  创业板  301005    C超捷  2021-06-01      57,126,903      14,281,726   C 制造业
```

#### 股票列表-北证

接口: stock_info_bj_name_code

目标地址: http://www.bse.cn/nq/listedcompany.html

描述: 北京证券交易所股票代码和简称数据

限量: 单次获取北京证券交易所所有的股票代码和简称数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| - | - |  -|

输出参数

| 名称          | 类型 | 描述           |
| ------------ | ----- | ---------------- |
| 证券代码          | object   |    -   |
| 证券简称          | object   |    -   |
| 总股本          | int64   |    注意单位: 股   |
| 流通股本          | int64   |    注意单位: 股   |
| 上市日期          | object   |    -   |
| 所属行业          | object   |    -   |
| 地区          | object   |    -   |
| 报告日期          | object   |    -   |

接口示例

```python
import mssdk as ms
stock_info_bj_name_code_df = ms.stock_info_bj_name_code()
print(stock_info_bj_name_code_df)
```

数据示例

```
      证券代码  证券简称        总股本  ...              所属行业   地区      报告日期
0   430047  诺思兰德  257250203  ...             医药制造业  北京市  20211119
1   430090  同辉信息  153333497  ...        软件和信息技术服务业  北京市  20211119
2   430198  微创光电  124126056  ...  计算机、通信和其他电子设备制造业  湖北省  20211119
3   430418  苏轴股份   80600000  ...           通用设备制造业  江苏省  20211119
4   430489  佳先股份   85287000  ...      化学原料和化学制品制造业  安徽省  20211119
..     ...   ...        ...  ...               ...  ...       ...
76  871396  常辅股份   53263891  ...           仪器仪表制造业  江苏省  20211119
77  871553  凯腾精工  143690460  ...           专用设备制造业  北京市  20211119
78  871642  通易航天   74050199  ...          橡胶和塑料制品业  江苏省  20211119
79  871981  晶赛科技   52838300  ...  计算机、通信和其他电子设备制造业  安徽省  20211119
80  872925  锦好医疗   46970000  ...           专用设备制造业  广东省  20211119
```

#### 终止(暂停)上市-深证

接口: stock_info_sz_delist

目标地址: http://www.szse.cn/market/stock/suspend/index.html

描述: 获取深证证券交易所终止(暂停)上市股票

限量: 单次获取深证证券交易所终止(暂停)上市股票

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| indicator | str | Y    | indicator="终止上市公司"; choice of {"暂停上市公司", "终止上市公司"}|

输出参数

| 名称          | 类型 | 描述           |
| ------------ | ----- |  ---------------- |
| 证券代码          | str   |  -   |
| 证券简称          | str   |    -   |
| 上市日期          | str   |   -   |
| 终止上市日期          | str   |    -   |

接口示例

```python
import mssdk as ms
stock_info_sz_delist_df = ms.stock_info_sz_delist(indicator="终止上市公司")
print(stock_info_sz_delist_df)
```

数据示例

```
    证券代码    证券简称        上市日期      终止上市日期
0   000003   PT金田Ａ  1991-01-14  2002-06-14
1   000013  *ST石化A  1992-05-06  2004-09-20
2   000015   PT中浩Ａ  1992-06-25  2001-10-25
3   000018    神城A退  1992-06-16  2020-01-07
4   000024    招商地产  1993-06-07  2015-12-30
..     ...     ...         ...         ...
65  200418    小天鹅Ｂ  1996-07-18  2019-05-27
66  200513   丽  珠Ｂ  1993-07-20  2014-01-10
67  200770    武锅B退  1998-04-15  2015-07-13
68  300186     大华农  2011-03-08  2015-11-02
69  300372     欣泰退  2014-01-27  2017-08-28
```

#### 两网及退市

接口: stock_staq_net_stop

目标地址: http://quote.eastmoney.com/center/gridlist.html#staq_net_board

描述: 东方财富网-行情中心-沪深个股-两网及退市

限量: 单次获取所有两网及退市的股票数据

输入参数

| 名称   | 类型 | 描述   |
| -------- | ---- |  --- |
| - | - |  -|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- | ---------------- |
| 序号          | int32   |   -   |
| 代码          | object   |    -   |
| 名称          | object   |    -   |

接口示例

```python
import mssdk as ms
stock_staq_net_stop_df = ms.stock_staq_net_stop()
print(stock_staq_net_stop_df)
```

数据示例

```
   序号    代码     名称
0    1  400084    乐视网3
1    2  400068     昆机3
2    3  420008   水仙Ｂ 5
3    4  400045     猴王5
4    5  400046     大菲5
..  ..     ...     ...
93  94  400021    华夏 3
94  95  400080     华业3
95  96  400070     烯碳3
96  97  400027  生  态 5
97  98  400025  宏  业 3
```

#### 终止(暂停)上市-上证

接口: stock_info_sh_delist

目标地址: http://www.sse.com.cn/assortment/stock/list/firstissue/

描述: 上海证券交易所终止(暂停)上市股票

限量: 单次获取上海证券交易所终止(暂停)上市股票

输入参数

| 名称   | 类型 | 描述   |
| -------- | ---- |  --- |
| indicator | str | indicator="终止上市公司"; choice of {"暂停上市公司", "终止上市公司"}|

输出参数

| 名称          | 类型 | 描述           |
| ------------ | ----- |  ---------------- |
| 原公司代码          | object   |   -   |
| 原公司简称          | object   |   -   |
| 上市日期          | object   |   -   |
| 终止上市日期          | object   |   -   |
| 终止上市后股份转让代码          | object   |   -   |
| 终止上市后股份转让主办券商          | object   |   -   |
| 终止上市后股份转让副主办券商          | object   |   -   |

接口示例

```python
import mssdk as ms
stock_info_sh_delist_df = ms.stock_info_sh_delist(indicator="终止上市公司")
print(stock_info_sh_delist_df)
```

数据示例

```
     原公司代码  原公司简称   上市日期  ... 终止上市后股份转让代码 终止上市后股份转让主办券商 终止上市后股份转让副主办券商
0   600723   首商股份  1996-07-16  ...           -             -              -
1   600068    葛洲坝  1997-05-26  ...           -             -              -
2   600634   退市富控  1993-03-04  ...           -             -              -
3   600614   退市鹏起  1992-08-28  ...           -             -              -
4   600485  *ST信威  2003-08-07  ...           -             -              -
..     ...    ...         ...  ...         ...           ...            ...
70  600878  *ST北科  1995-10-13  ...      400030    大鹏证券有限责任公司              -
71  600646   ST国嘉  1993-05-04  ...      400017  申银万国证券股份有限公司              -
72  600709   ST生态  1996-06-18  ...      400027  国泰君安证券股份有限公司              -
73  600813  ST鞍一工  1994-01-14  ...      400021  申银万国证券股份有限公司              -
74  600625   PT水仙  1993-01-06  ...      400008  申银万国证券股份有限公司   国泰君安证券股份有限公司
```

#### 股票更名

接口: stock_info_change_name

目标地址: http://vip.stock.finance.sina.com.cn/corp/go.php/vCI_CorpInfo/stockid/300378.phtml

描述: 新浪财经-股票曾用名

限量: 单次获取新浪财经-股票曾用名所有历史曾用名称

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| stock | str | Y    | stock="000503"; 股票代码|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| list or None          | str   | Y        |  有曾用名则返回列表,  无曾用名则返回 None    |

接口示例

```python
import mssdk as ms
stock_info_change_name_list = ms.stock_info_change_name(stock="000503")
print(stock_info_change_name_list)
```

数据示例

```
['琼海虹', '海虹控股', 'ST海虹', '海虹控股', 'G海虹', '海虹控股', '国新健康']
```

#### 股票更名-深证

接口: stock_info_sz_change_name

目标地址: http://www.szse.cn/market/companys/changename/index.html

描述: 获取深证证券交易所-更名公司(暂无上海交易所的数据)

限量: 单次获取深证证券交易所-更名公司所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| indicator | str | Y    | indicator="全称变更"; choice of {"全称变更", "简称变更"}|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 变更日期          | str   | Y        |  -    |
| 证券代码          | str   | Y        |  -    |
| 证券简称          | str   | Y        |  -    |
| 变更前全称          | str   | Y        |  -    |
| 变更后全称          | str   | Y        |  -    |

接口示例

```python
import mssdk as ms
stock_info_sz_change_name_df = ms.stock_info_sz_change_name(indicator="全称变更")
print(stock_info_sz_change_name_df)
```

数据示例

```
            变更日期    证券代码   证券简称              变更前全称            变更后全称
0     2020-05-18  300456   赛微电子       北京耐威科技股份有限公司     北京赛微电子股份有限公司
1     2020-05-13  002057   中钢天源   中钢集团安徽天源科技股份有限公司       中钢天源股份有限公司
2     2020-05-12  002811   郑中设计    深圳市亚泰国际建设股份有限公司    深圳市郑中设计股份有限公司
3     2020-05-12  300466   赛摩智能         赛摩电气股份有限公司   赛摩智能科技集团股份有限公司
4     2020-04-30  002283   天润工业         天润曲轴股份有限公司     天润工业技术股份有限公司
          ...     ...    ...                ...              ...
1334  1993-12-19  000005   世纪星源       深圳原野实业股份有限公司     深圳世纪星源股份有限公司
1335  1993-07-12  000009   中国宝安  深圳市宝安企业(集团)股份有限公司     中国宝安集团股份有限公司
1336  1993-03-08  000012  南  玻Ａ       中国南方玻璃股份有限公司     中国南玻集团股份有限公司
1337  1993-03-08  200012  南  玻Ｂ       中国南方玻璃股份有限公司     中国南玻集团股份有限公司
1338  1992-02-28  000004   国农科技       蛇口安达运输股份有限公司  深圳市蛇口安达实业股份有限公司
```

#### 基金持股

接口: stock_fund_stock_holder

目标地址: https://vip.stock.finance.sina.com.cn/corp/go.php/vCI_FundStockHolder/stockid/600004.phtml

描述: 获取新浪财经-股本股东-基金持股

限量: 单次获取新浪财经-股本股东-基金持股所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| stock | str | Y    | stock="600004"; 股票代码|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 基金名称          | str   | Y        |  -    |
| 基金代码          | str   | Y        |  -    |
| 持仓数量(股)          | str   | Y        |  -    |
| 占流通股比例(%)          | str   | Y        |  -    |
| 持股市值（元）          | str   | Y        |  -    |
| 截止日期          | str   | Y        |  -    |

接口示例

```python
import mssdk as ms
stock_fund_stock_holder_df = ms.stock_fund_stock_holder(stock="300270")
print(stock_fund_stock_holder_df)
```

数据示例

```
                     基金名称    基金代码 持仓数量(股) 占流通股比例(%)   持股市值（元）        截止日期
0    大成中证360互联网+大数据100指数C  003359  100100    0.0331    822822  2019-12-31
1    大成中证360互联网+大数据100指数A  002236  100100    0.0331    822822  2019-12-31
2             大成智惠量化多策略混合  004209   31200    0.0103    256464  2019-12-31
3               国金量化多策略混合  005443  210518    0.0695   1597830  2019-06-30
4           广发中证全指信息技术ETF  159939   61501    0.0203    466793  2019-06-30
..                    ...     ...     ...       ...       ...         ...
196              长盛积极配置债券  080003  500000         0  17500000  2011-09-30
197             农银恒久增利债券C  660102   48445         0   1517780  2011-09-30
198             农银增强收益债券C  660109     500         0     17500  2011-09-30
199             农银增强收益债券A  660009     500         0     17500  2011-09-30
200             海富通稳固收益债券  519030     500         0     17500  2011-09-30
```

#### 主要股东

接口: stock_main_stock_holder

目标地址: https://vip.stock.finance.sina.com.cn/corp/go.php/vCI_StockHolder/stockid/600004.phtml

描述: 获取新浪财经-股本股东-主要股东

限量: 单次获取新浪财经-股本股东-主要股东所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| stock | str | Y    | stock="600004"; 股票代码|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 编号          | str   | Y        |  -    |
| 股东名称          | str   | Y        |  -    |
| 持股数量(股)          | float   | Y        |  -    |
| 持股比例(%)          | str   | Y        |  -    |
| 股本性质          | str   | Y        |  -    |
| 截至日期          | str   | Y        |  -    |
| 公告日期          | str   | Y        |  -    |
| 股东说明          | str   | Y        |  -    |
| 股东总数          | float   | Y        |  -    |
| 平均持股数          | float   | Y        |  备注: 按总股本计算    |

接口示例

```python
import mssdk as ms
stock_main_stock_holder_df = ms.stock_main_stock_holder(stock="600004")
print(stock_main_stock_holder_df)
```

数据示例

```
0   编号                              股东名称     持股数量(股)  ... 股东说明   股东总数  平均持股数
0    1                     广东省机场管理集团有限公司  1056346783  ...  NaN  62931  32881
1    2                        香港中央结算有限公司  170420835↓  ...  NaN  62931  32881
2    3                    中央汇金资产管理有限责任公司    41964740  ...  NaN  62931  32881
3    4  中国人寿保险股份有限公司－分红－个人分红－005L－FH002沪   40373549↑  ...  NaN  62931  32881
4    5                       全国社保基金一零九组合   26840612↑  ...  NaN  62931  32881
..  ..                               ...         ...  ...  ...    ...    ...
568  1                              机场集团   576000000  ...  NaN              
569  2                        广州交通投资有限公司     6000000  ...  NaN              
570  3                             新机场公司     6000000  ...  NaN              
571  4                       中国民航机场建设总公司     6000000  ...  NaN              
572  5                          中国国际航空公司     6000000  ...  NaN              
```

#### 机构持股

##### 机构持股一览表

接口: stock_institute_hold

目标地址: http://vip.stock.finance.sina.com.cn/q/go.php/vComStockHold/kind/jgcg/index.phtml

描述: 获取新浪财经-机构持股-机构持股一览表

限量: 单次获取新浪财经-机构持股-机构持股一览表所有数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| quarter | str | Y    | quarter="20051"; 从 2005 年开始, {"一季报":1, "中报":2 "三季报":3 "年报":4}, e.g., "20191", 其中的 1 表示一季报; "20193", 其中的 3 表示三季报;|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 证券代码          | str   | Y        |  -    |
| 证券简称          | str   | Y        |  -    |
| 机构数          | float   | Y        |  -    |
| 机构数变化          | float   | Y        |  -    |
| 持股比例          | float   | Y        |  注意单位: %    |
| 持股比例增幅          | float   | Y        |  注意单位: %    |
| 占流通股比例         | float   | Y        |  注意单位: %    |
| 占流通股比例增幅        | float   | Y        |  注意单位: %    |

接口示例

```python
import mssdk as ms
stock_institute_hold_df = ms.stock_institute_hold(quarter="20201")
print(stock_institute_hold_df)
```

数据示例

```
        证券代码  证券简称  机构数  机构数变化   持股比例  持股比例增幅  占流通股比例  占流通股比例增幅
0     002296  辉煌科技    1      1   0.85    0.85    0.85      0.85
1     300354  东华测试    1      0   0.21   -0.59    0.21     -0.59
2     000656  金科股份    1      0   2.12    0.04    2.14      0.03
3     002859  洁美科技    1      0   0.97    0.00    2.28      0.00
4     603866  桃李面包    1      0   1.34    0.00    1.34      0.00
      ...   ...  ...    ...    ...     ...     ...       ...
1787  300782   卓胜微   10      2   6.00    2.02   24.00      8.07
1788  300788  中信出版   10      0  10.26    2.88   41.03     11.50
1789  300785   值得买   10      1  11.62    4.14   46.48     16.56
1790  688188  柏楚电子   10      0   5.17   -0.13   21.43     -1.70
1791  300003  乐普医疗   16      1  11.16    0.99   11.78      1.05        
```

##### 机构持股详情

接口: stock_institute_hold_detail

目标地址: http://vip.stock.finance.sina.com.cn/q/go.php/vComStockHold/kind/jgcg/index.phtml

描述: 获取新浪财经-机构持股-机构持股详情

限量: 单次获取新浪财经-机构持股-机构持股详情所有数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| stock | str | Y    | stock="300003"; 股票代码|
| quarter | str | Y    | quarter="20201"; 从 2005 年开始, {"一季报":1, "中报":2 "三季报":3 "年报":4}, e.g., "20191", 其中的 1 表示一季报; "20193", 其中的 3 表示三季报;|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 持股机构类型          | str   | Y        |  -    |
| 持股机构代码          | str   | Y        |  -    |
| 持股机构简称          | float   | Y        |  -    |
| 持股机构全称          | float   | Y        |  -    |
| 持股数          | float   | Y        |  注意单位: 万股   |
| 最新持股数          | float   | Y        |  注意单位: 万股    |
| 持股比例         | float   | Y        |  注意单位: %    |
| 最新持股比例        | float   | Y        |  注意单位: %    |
| 占流通股比例        | float   | Y        |  注意单位: %    |
| 最新占流通股比例        | float   | Y        |  注意单位: %    |
| 持股比例增幅        | float   | Y        |  注意单位: %    |
| 占流通股比例增幅        | float   | Y        |  注意单位: %    |

接口示例

```python
import mssdk as ms
stock_institute_hold_detail_df = ms.stock_institute_hold_detail(stock="300003", quarter="20201")
print(stock_institute_hold_detail_df)
```

数据示例

```
       持股机构类型    持股机构代码              持股机构简称  ... 最新占流通股比例 持股比例增幅 占流通股比例增幅
0          基金    519069          汇添富价值精选混合A  ...     1.18  -0.22    -0.23
1          基金    159915           易方达创业板ETF  ...     0.73   0.02     0.02
2          基金    001417           汇添富医疗服务混合  ...     1.01  -0.35    -0.37
3          基金    470009          汇添富民营活力混合A  ...     0.48   0.03     0.02
4          基金    159949          华安创业板50ETF  ...     0.36   0.13     0.13
5          基金    000831            工银医疗保健股票  ...     0.57  -0.09    -0.10
6        全国社保  70010117         全国社保基金一一七组合  ...     1.30  -0.22    -0.23
7        全国社保  70010104         全国社保基金一零四组合  ...     0.60  -0.06    -0.07
8        全国社保  70010503         全国社保基金五零三组合  ...     0.38   0.07     0.07
9   insurance  70304136  华夏人寿保险股份有限公司－自有...  ...     0.00   1.39     1.47
10       QFII  70304002         挪威中央银行－自有资金  ...     0.90   0.25     0.27
11       QFII  70304274        澳门金融管理局－自有资金  ...     0.99   0.00     0.00
12       QFII  80126479           魁北克储蓄投资集团  ...     0.71   0.00     0.00
13       QFII  70304150  鼎晖投资咨询新加坡有限公司－鼎...  ...     0.57   0.01     0.01
14       QFII  80128964             阿布达比投资局  ...     0.56   0.02     0.02
15       QFII  80195934            科威特政府投资局  ...     0.39   0.04     0.04    
```

#### 机构推荐

##### 机构推荐池

接口: stock_institute_recommend

目标地址: http://stock.finance.sina.com.cn/stock/go.php/vIR_RatingNewest/index.phtml

描述: 获取新浪财经-机构推荐池-具体指标的数据

限量: 单次获取新浪财经-机构推荐池-具体指标的所有数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| indicator | str | Y    | indicator="行业关注度"; choice of {'最新投资评级', '上调评级股票', '下调评级股票', '股票综合评级', '首次评级股票', '目标涨幅排名', '机构关注度', '行业关注度', '投资评级选股'}|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| -          | -   | -        |  根据特定 indicator 而定    |

接口示例

```python
import mssdk as ms
stock_institute_recommend_df = ms.stock_institute_recommend(indicator="投资评级选股")
print(stock_institute_recommend_df)
```

数据示例

```
        股票代码   股票名称 最新评级     目标价       评级日期↓ 综合评级    平均涨幅    行业
0     000001   平安银行   买入   19.73  2020-05-27   买入  51.75%    银行
1     300403   汉宇集团   中性    5.70  2020-05-27   中性  18.26%  白色家电
2     603288   海天味业   买入  112.85  2020-05-27   买入  -1.32%  食品加工
3     601238   广汽集团   买入   12.72  2020-05-27   买入  34.62%  汽车整车
4     002709   天赐材料   增持   34.24  2020-05-27   买入   18.1%  化学制品
      ...    ...  ...     ...         ...  ...     ...   ...
1053  601398   工商银行   买入    7.14  2020-05-27   买入  39.54%    银行
1054  002078   太阳纸业   买入   11.22  2020-05-27   买入  35.64%    造纸
1055  002080   中材科技   买入   14.59  2020-05-27   买入  22.61%  化学制品
1056  002081  金 螳 螂   增持   12.55  2020-05-27   买入  55.51%  装修装饰
1057  601658   邮储银行   增持    6.52  2020-05-27   买入  28.25%    银行
```

##### 股票评级记录

接口: stock_institute_recommend_detail

目标地址: http://stock.finance.sina.com.cn/stock/go.php/vIR_StockSearch/key/sz000001.phtml

描述: 新浪财经-机构推荐池-股票评级记录

限量: 单次获取新浪财经-机构推荐池-股票评级记录的所有数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| stock | str | Y    | stock="000001"|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 股票代码          | str   | Y        |  -    |
| 股票名称          | str   | Y        |  -    |
| 目标价          | str   | Y        |  -    |
| 最新评级          | str   | Y        |  -    |
| 评级机构          | str   | Y        |  -    |
| 分析师          | str   | Y        |  -    |
| 行业          | str   | Y        |  -    |
| 评级日期          | str   | Y        |  -    |

接口示例

```python
import mssdk as ms
stock_institute_recommend_detail_df = ms.stock_institute_recommend_detail(stock="002709")
print(stock_institute_recommend_detail_df)
```

数据示例

```
       股票代码  股票名称    目标价 最新评级  评级机构        分析师    行业        评级日期
0    002709  天赐材料    NaN   增持  国海证券      谭倩,尹斌  化学制品  2020-05-27
1    002709  天赐材料    NaN   增持  光大证券     吴裕,裘孝锋  化学制品  2020-05-07
2    002709  天赐材料  35.20   买入  华创证券  杨达伟,于潇,邱迪  化学制品  2020-05-06
3    002709  天赐材料  33.25   买入  东吴证券        曾朵红  化学制品  2020-05-06
4    002709  天赐材料  35.50   买入  招商证券    游家训,刘珺涵  化学制品  2020-05-01
..      ...   ...    ...  ...   ...        ...   ...         ...
241  002709  天赐材料    NaN   买入  招商证券    游家训,陈雁冰  化学制品  2017-09-07
242  002709  天赐材料    NaN   买入  方正证券        韩振国  化学制品  2017-09-07
243  002709  天赐材料  61.82   买入  招商证券    游家训,陈雁冰  化学制品  2017-09-07
244  002709  天赐材料  59.82   买入  中泰证券        邵晶鑫  化学制品  2017-09-06
245  002709  天赐材料    NaN   买入  国海证券        代鹏举  化学制品  2017-09-04
```

##### 投资评级

接口: stock_rank_forecast_cninfo

目标地址: http://webapi.cninfo.com.cn/#/thematicStatistics?name=%E6%8A%95%E8%B5%84%E8%AF%84%E7%BA%A7

描述: 巨潮资讯-数据中心-评级预测-投资评级

限量: 单次获取指定交易日的所有数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| date | str |  date="20210910"; 交易日|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 证券代码          | object   |   -    |
| 证券简称          | object   |   -    |
| 发布日期          | object   |  -    |
| 研究机构简称          | object   |   -    |
| 研究员名称          | object   |  -    |
| 投资评级          | object   |   -    |
| 是否首次评级          | object   |   -    |
| 评级变化          | object   |   -    |
| 前一次投资评级          | object   |   -    |
| 目标价格-下限          | float64   | -    |
| 目标价格-上限          | float64   |   -    |

接口示例

```python
import mssdk as ms
stock_rank_forecast_cninfo_df = ms.stock_rank_forecast_cninfo(date="20210907")
print(stock_rank_forecast_cninfo_df)
```

数据示例

```
     证券代码   证券简称  发布日期  研究机构简称  ... 评级变化 前一次投资评级 目标价格-下限 目标价格-上限
0    000001   平安银行  2021-09-07     中金  ...   维持      增持   30.21   30.21
1    000001   平安银行  2021-09-07   招商证券  ...   维持      买入   28.60   28.60
2    000002  万  科Ａ  2021-09-07   兴业证券  ...   维持      买入     NaN     NaN
3    000066   中国长城  2021-09-07   东吴证券  ...   维持      买入     NaN     NaN
4    000069   华侨城Ａ  2021-09-07     中金  ...   维持      增持    8.42    8.42
..      ...    ...         ...    ...  ...  ...     ...     ...     ...
164  688499    利元亨  2021-09-07   东北证券  ...   未知     不评级  360.00  360.00
165  688499    利元亨  2021-09-07   德邦证券  ...   未知     不评级     NaN     NaN
166  688608   恒玄科技  2021-09-07   银河证券  ...   未知     不评级     NaN     NaN
167  688636    智明达  2021-09-07   安信证券  ...   维持      买入     NaN     NaN
168  689009   九号公司  2021-09-07   安信证券  ...   维持      买入  100.00  100.00
```

##### 行业市盈率

接口: stock_industry_pe_ratio_cninfo

目标地址: http://webapi.cninfo.com.cn/#/thematicStatistics

描述: 巨潮资讯-数据中心-行业分析-行业市盈率

限量: 单次获取指定行业在指定交易日的所有数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| symbol | str |  symbol="证监会行业分类"; choice of {"证监会行业分类", "国证行业分类"}|
| date | str |  date="20210910"; 交易日|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 变动日期          | object   |   -    |
| 行业分类          | object   |   -    |
| 行业层级          | int64   |  -    |
| 行业编码          | object   |   -    |
| 行业名称          | object   |  -    |
| 公司数量          | float64   |   -    |
| 纳入计算公司数量          | float64   |   -    |
| 总市值-静态          | float64   |   注意单位: 亿元    |
| 净利润-静态          | float64   |   注意单位: 亿元    |
| 静态市盈率-加权平均          | float64   | -    |
| 静态市盈率-中位数          | float64   |   -    |
| 静态市盈率-算术平均          | float64   |   -    |

接口示例

```python
import mssdk as ms
stock_industry_pe_ratio_cninfo_df = ms.stock_industry_pe_ratio_cninfo(symbol="国证行业分类", date="20210907")
print(stock_industry_pe_ratio_cninfo_df)
```

数据示例

```
     变动日期       行业分类      行业层级  ... 静态市盈率-加权平均 静态市盈率-中位数 静态市盈率-算术平均
0    2021-09-07  国证行业分类标准2019     1  ...      21.58     30.65       89.91
1    2021-09-07  国证行业分类标准2019     2  ...      21.58     30.65       89.91
2    2021-09-07  国证行业分类标准2019     3  ...      29.31     54.97      175.68
3    2021-09-07  国证行业分类标准2019     4  ...      32.04     83.21      206.47
4    2021-09-07  国证行业分类标准2019     4  ...      28.02     51.41      136.10
..          ...           ...   ...  ...        ...       ...         ...
288  2021-09-07  国证行业分类标准2019     4  ...        NaN       NaN         NaN
289  2021-09-07  国证行业分类标准2019     3  ...      25.21     28.40       59.29
290  2021-09-07  国证行业分类标准2019     4  ...      25.21     28.40       59.29
291  2021-09-07  国证行业分类标准2019     3  ...      49.63     46.34       63.90
292  2021-09-07  国证行业分类标准2019     4  ...      49.63     46.34       63.90
```

##### 新股过会

接口: stock_new_gh_cninfo

目标地址: http://webapi.cninfo.com.cn/#/xinguList

描述: 巨潮资讯-数据中心-新股数据-新股过会

限量: 单次获取近一年所有新股过会的数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| - | - |  -|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 公司名称          | object   |   -    |
| 上会日期          | object   |   -    |
| 审核类型          | object   |  -    |
| 审议内容          | object   |   -    |
| 审核结果          | object   |   -    |
| 审核公告日          | object   |   -    |

接口示例

```python
import mssdk as ms
stock_new_gh_cninfo_df = ms.stock_new_gh_cninfo()
print(stock_new_gh_cninfo_df)
```

数据示例

```
              公司名称        上会日期  审核类型 审议内容 审核结果       审核公告日
0          兰州银行股份有限公司  2021-09-09  首发新股   首发   通过  2021-09-09
1          永安期货股份有限公司  2021-09-09  首发新股   首发   通过  2021-09-09
2        杭州福莱蒽特股份有限公司  2021-09-09  首发新股   首发   通过  2021-09-09
3    新疆派特罗尔能源服务股份有限公司  2021-09-02  首发新股   首发  未通过  2021-09-02
4      浙江盛泰服装集团股份有限公司  2021-08-26  首发新股   首发   通过  2021-08-26
..                ...         ...   ...  ...  ...         ...
125      河南蓝天燃气股份有限公司  2020-09-17  首发新股   首发   通过  2020-09-17
126      北京声迅电子股份有限公司  2020-09-17  首发新股   首发   通过  2020-09-17
127    天津友发钢管集团股份有限公司  2020-09-17  首发新股   首发   通过  2020-09-17
128     联泓新材料科技股份有限公司  2020-09-17  首发新股   首发   通过  2020-09-17
129      中国国际金融股份有限公司  2020-09-17  首发新股   首发   通过  2020-09-17
```

##### 新股发行

接口: stock_new_ipo_cninfo

目标地址: http://webapi.cninfo.com.cn/#/xinguList

描述: 巨潮资讯-数据中心-新股数据-新股发行

限量: 单次获取近三年所有新股发行的数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| - | - |  -|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 证劵代码          | object   |   -    |
| 证券简称          | object   |   -    |
| 上市日期          | object   |  -    |
| 申购日期          | object   |   -    |
| 发行价          | float64   |   注意单位: 元    |
| 总发行数量          | float64   |   注意单位: 万股    |
| 发行市盈率          | float64   |   -    |
| 上网发行中签率          | float64   |   注意单位: %    |
| 摇号结果公告日          | object   |   -    |
| 中签公告日          | object   |   -    |
| 中签缴款日          | object   |   -    |
| 网上申购上限          | float64   |   -    |
| 上网发行数量          | float64   |   -    |

接口示例

```python
import mssdk as ms
stock_new_ipo_cninfo_df = ms.stock_new_ipo_cninfo()
print(stock_new_ipo_cninfo_df)
```

数据示例

```
      证劵代码 证券简称  上市日期  ...      中签缴款日  网上申购上限 上网发行数量
0     001216  华瓷股份         NaT  ...  2021-10-12     2.5   2518.65
1     001217   华尔泰         NaT  ...  2021-09-22     3.3   7467.30
2     001218  丽臣实业         NaT  ...  2021-09-28     NaN    900.00
3     301063  海锅股份         NaT  ...  2021-09-09     0.6   1021.40
4     301068  大地海洋         NaT  ...  2021-09-16     0.5    913.50
      ...   ...         ...  ...         ...     ...       ...
999   601577  长沙银行  2018-09-26  ...  2018-09-14    10.2  30794.00
1000  300749  顶固集创  2018-09-25  ...  2018-09-17     1.1   2565.00
1001  300748  金力永磁  2018-09-21  ...  2018-09-10     1.2   3744.00
1002  603583  捷昌驱动  2018-09-21  ...  2018-09-13     1.2   2718.00
1003  002936  郑州银行  2018-09-19  ...  2018-09-11    18.0  54000.00
```

##### 股东人数及持股集中度

接口: stock_hold_num_cninfo

目标地址: http://webapi.cninfo.com.cn/#/thematicStatistics

描述: 巨潮资讯-数据中心-专题统计-股东股本-股东人数及持股集中度

限量: 单次指定 date 的股东人数及持股集中度数据, 从 20170331 开始

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| date | str |  date="20210630"; choice of {"XXXX0331", "XXXX0630", "XXXX0930", "XXXX1231"}; 从 20170331 开始 |

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 证劵代码          | object   |   -    |
| 证券简称          | object   |   -    |
| 变动日期          | object   |  -    |
| 本期股东人数          | int64   |  -    |
| 上期股东人数          | float64   |  -    |
| 股东人数增幅          | float64   |  注意单位: %    |
| 本期人均持股数量          | int64   |  注意单位: 万股    |
| 上期人均持股数量          | float64   |  注意单位: %    |
| 人均持股数量增幅          | float64   |  注意单位: %    |

接口示例

```python
import mssdk as ms
stock_hold_num_cninfo_df = ms.stock_hold_num_cninfo(date="20210630")
print(stock_hold_num_cninfo_df)
```

数据示例

```
      证券代码  证券简称  变动日期 本期股东人数  ...股东人数增幅 本期人均持股数量 上期人均持股数量 人均持股数量增幅
0     002054  德美化工  2021-06-30   17768  ...   -8.71     27134   24771.0      9.54
1     002055  得润电子  2021-06-30   57449  ...   15.55      8242    9524.0    -13.46
2     002056  横店东磁  2021-06-30   94339  ...    8.63     17243   18927.0     -8.90
3     600048  保利地产  2021-06-30  264212  ...    5.63     45303   47855.0     -5.33
4     002057  中钢天源  2021-06-30   44197  ...   -3.58     16883   12550.0     34.53
      ...   ...         ...     ...  ...     ...       ...       ...       ...
4317  600918  中泰证券  2021-06-30  152424  ...   11.38     45719   50923.0    -10.22
4318  601375  中原证券  2021-06-30  158626  ...    2.38     29269   29966.0     -2.33
4319  601108  财通证券  2021-06-30  158061  ...   -5.50     22706   21458.0      5.82
4320  002945  华林证券  2021-06-30   54407  ...  -11.32     49626   44008.0     12.77
4321  601066  中信建投  2021-06-30  201162  ...    1.18     38559   39013.0     -1.16
```

##### 实际控制人持股变动

接口: stock_hold_control_cninfo

目标地址: http://webapi.cninfo.com.cn/#/thematicStatistics

描述: 巨潮资讯-数据中心-专题统计-股东股本-实际控制人持股变动

限量: 单次指定 symbol 的实际控制人持股变动数据, 从 2010 开始

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| symbol | str |  symbol="全部"; choice of {"单独控制", "实际控制人", "一致行动人", "家族控制", "全部"}; 从 2010 开始 |

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 证劵代码          | object   |   -    |
| 证券简称          | object   |   -    |
| 变动日期          | object   |  -    |
| 实际控制人名称          | object   |  -    |
| 控股数量          | float64   |  注意单位: 万股    |
| 控股比例          | float64   |  注意单位: %    |
| 直接控制人名称          | object   |  -    |
| 控制类型          | object   |  -    |

接口示例

```python
import mssdk as ms
stock_hold_control_cninfo_df = ms.stock_hold_control_cninfo(symbol="全部")
print(stock_hold_control_cninfo_df)
```

数据示例

```
        证券代码    证券简称  ...                                       直接控制人名称   控制类型
0     000001    平安银行  ...                                    重庆国际信托有限公司   单独控制
1     000002   万  科Ａ  ...                                    意华控股集团有限公司   None
2     000004    国华网安  ...                                 深圳中农大科技投资有限公司   单独控制
3     000005    ST星源  ...                       中国投资有限公司;深圳市博睿意碳源科技有限公司  实际控制人
4     000006    深振业Ａ  ...  深圳市国有资产监督管理局;深圳市特区建设发展集团有限公司;深圳市长城投资控股股份有限公司   单独控制
      ...     ...  ...                                           ...    ...
4600  900953     凯马Ｂ  ...                                    中国恒天集团有限公司   单独控制
4601  900955  *ST海创B  ...                                  盛唐发展(洋浦)有限公司   单独控制
4602  900957    凌云Ｂ股  ...                                 广州市东愉实业发展有限公司   单独控制
4603   C0488    侨源气体  ...                                           乔志涌   家族控制
4604   K0002    安翰科技  ...         吉朋松;肖国华;张丽;XIAODONG DUAN;XINHONG WANG  实际控制人
```

##### 高管持股变动明细

接口: stock_hold_management_detail_cninfo

目标地址: http://webapi.cninfo.com.cn/#/thematicStatistics

描述: 巨潮资讯-数据中心-专题统计-股东股本-高管持股变动明细

限量: 单次指定 symbol 的高管持股变动明细数据, 返回近一年的数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| symbol | str |  symbol="增持"; choice of {"增持", "减持"} |

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 证劵代码          | object   |   -    |
| 证券简称          | object   |   -    |
| 截止日期          | object   |  -    |
| 公告日期          | object   |  -    |
| 高管姓名          | object   |  -    |
| 董监高姓名          | object   |  -    |
| 董监高职务          | object   |  -    |
| 变动人与董监高关系          | object   |  -    |
| 期初持股数量          | float64   |  注意单位: 万股    |
| 期末持股数量          | float64   |  注意单位: 万股    |
| 变动数量          | float64   |  -    |
| 变动比例          | int64   |  注意单位: %    |
| 成交均价          | float64   |  注意单位: 元    |
| 期末市值          | float64   |  注意单位: 万元    |
| 持股变动原因          | object   |  -    |
| 数据来源          | object   |  -    |

接口示例

```python
import mssdk as ms
stock_hold_management_detail_cninfo_df = ms.stock_hold_management_detail_cninfo(symbol="增持")
print(stock_hold_management_detail_cninfo_df)
```

数据示例

```
         证券代码  证券简称 截止日期    公告日期  ...   成交均价 期末市值  持股变动原因  数据来源
0      000001  平安银行  2021-09-01  2021-09-02  ...  17.79  NaN    竞价交易  临时公告
1      000001  平安银行  2021-09-02  2021-09-03  ...  18.50  NaN    竞价交易  临时公告
2      000001  平安银行  2021-09-02  2021-09-03  ...  18.56  NaN    竞价交易  临时公告
3      000001  平安银行  2021-09-02  2021-09-03  ...  18.32  NaN    竞价交易  临时公告
4      000001  平安银行  2021-09-03  2021-09-06  ...  18.15  NaN    竞价交易  临时公告
       ...   ...         ...         ...  ...    ...  ...     ...   ...
11915  900933  华新Ｂ股  2021-07-28  2021-07-30  ...  14.99  NaN  二级市场买卖  临时公告
11916  900933  华新Ｂ股  2021-07-28  2021-07-30  ...   1.67  NaN  二级市场买卖  临时公告
11917  900933  华新Ｂ股  2021-07-28  2021-07-30  ...   1.66  NaN  二级市场买卖  临时公告
11918  900934  锦江Ｂ股  2021-05-31  2021-06-01  ...  61.05  NaN  二级市场买卖  临时公告
11919  900934  锦江Ｂ股  2021-06-30  2021-08-31  ...    NaN  NaN    None  定期报告
```

##### 对外担保

接口: stock_cg_guarantee_cninfo

目标地址: http://webapi.cninfo.com.cn/#/thematicStatistics

描述: 巨潮资讯-数据中心-专题统计-公司治理-对外担保

限量: 单次指定 symbol 和起始日期的对外担保数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| symbol | str |  symbol="全部"; choice of {"全部", "深市主板", "沪市", "创业板", "科创板"} |
| start_date | str |  start_date="20180630" |
| end_date | str |  end_date="20210927" |

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 证劵代码          | object   |   -    |
| 证券简称          | object   |   -    |
| 公告统计区间          | object   |  -    |
| 担保笔数          | int64   |  -    |
| 担保金额          | float64   |  注意单位: 万元    |
| 归属于母公司所有者权益          | float64   |  注意单位: 万元    |
| 担保金融占净资产比例          | float64   |  注意单位: %    |

接口示例

```python
import mssdk as ms
stock_corporate_governance_guarantee_df = ms.stock_cg_guarantee_cninfo(symbol="全部", start_date="20180630", end_date="20210927")
print(stock_corporate_governance_guarantee_df)
```

数据示例

```
    证券代码   证券简称  ... 归属于母公司所有者权益  担保金融占净资产比例
0     000031    大悦城  ...  1923219.96     1282.60
1     000671  阳 光 城  ...  3009075.98     1573.69
2     000851   高鸿股份  ...   441512.63      580.65
3     002092   中泰化学  ...  2057758.92      534.41
4     002195   二三四五  ...   910560.47       60.57
      ...    ...  ...         ...         ...
3094  603759   海天股份  ...   206665.52        1.94
3095  688025    杰普特  ...   165088.74        6.06
3096  300822   贝仕达克  ...   117215.70        4.27
3097  300907   康平科技  ...    75107.82       10.65
3098  688296   和达科技  ...    36850.84        2.71
```

##### 公司诉讼

接口: stock_cg_lawsuit_cninfo

目标地址: http://webapi.cninfo.com.cn/#/thematicStatistics

描述: 巨潮资讯-数据中心-专题统计-公司治理-公司诉讼

限量: 单次指定 symbol 和起始日期的公司诉讼数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| symbol | str |  symbol="全部"; choice of {"全部", "深市主板", "沪市", "创业板", "科创板"} |
| start_date | str |  start_date="20180630" |
| end_date | str |  end_date="20210927" |

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 证劵代码          | object   |   -    |
| 证券简称          | object   |   -    |
| 公告统计区间          | object   |  -    |
| 诉讼次数          | int64   |  -    |
| 诉讼金额          | float64   |  注意单位: 万元    |

接口示例

```python
import mssdk as ms
stock_cg_lawsuit_cninfo_df = ms.stock_cg_lawsuit_cninfo(symbol="全部", start_date="20180630", end_date="20210927")
print(stock_cg_lawsuit_cninfo_df)
```

数据示例

```
        证券代码  证券简称                   公告统计区间  诉讼次数      诉讼金额
0     002524  光正眼科  2018-09-28---2021-09-27     1       NaN
1     603507  振江股份  2018-09-28---2021-09-27     1       NaN
2     600410  华胜天成  2018-09-28---2021-09-27     2       NaN
3     601333  广深铁路  2018-09-28---2021-09-27     1       NaN
4     301013   利和兴  2018-09-28---2021-09-27     1       NaN
      ...   ...                      ...   ...       ...
1020  600310  桂东电力  2018-09-28---2021-09-27     2   5360.63
1021  600815  厦工股份  2018-09-28---2021-09-27    75  75569.33
1022  600830  香溢融通  2018-09-28---2021-09-27     6  17109.27
1023  603986  兆易创新  2018-09-28---2021-09-27     6  29200.00
1024  002673  西部证券  2018-09-28---2021-09-27     4  75380.45
```

##### 股权质押

接口: stock_cg_equity_mortgage_cninfo

目标地址: http://webapi.cninfo.com.cn/#/thematicStatistics

描述: 巨潮资讯-数据中心-专题统计-公司治理-股权质押

限量: 单次指定 date 的股权质押数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| date | str |  date="20210930" |

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 股票代码          | object   |   -    |
| 股票简称          | object   |   -    |
| 公告日期          | object   |  -    |
| 出质人          | object   |  -    |
| 质权人          | object   |  -    |
| 质押数量          | float64   |  注意单位: 万股    |
| 占总股本比例          | float64   |  注意单位: %    |
| 质押解除数量          | float64   |  注意单位: 万股    |
| 质押事项          | object   |  注意单位: 万元    |
| 累计质押占总股本比例          | float64   |  注意单位: %    |

接口示例

```python
import mssdk as ms
stock_cg_equity_mortgage_cninfo_df = ms.stock_cg_equity_mortgage_cninfo(date="20210930")
print(stock_cg_equity_mortgage_cninfo_df)
```

数据示例

```
      股票代码   股票简称  ...                                               质押事项  \
0   000892   欢瑞世纪  ...  本公司持股5%以上股东欢瑞世纪(天津)资产管理合伙企业(有限合伙)将2020年04月20日质...   
1   000892   欢瑞世纪  ...  本公司持股5%以上股东赵枳程将持有的本公司4743836股流通A股质押给方正证券股份有限公司...   
2   000948   南天信息  ...  本公司控股股东云南省工业投资控股集团有限责任公司将2020年09月18日质押给云南国际信托有...   
3   002074   国轩高科  ...  本公司控股股东南京国轩控股集团有限公司将持有的本公司20620000股质押给海通证券股份有限...   
4   002074   国轩高科  ...  本公司实际控制人李缜将2019年09月25日质押给华安证券股份有限公司的11270000股解...   
5   002074   国轩高科  ...  本公司实际控制人李缜将2019年09月27日质押给华安证券股份有限公司的11100000股解...   
6   002138   顺络电子  ...  本公司股东新余市恒顺通电子科技开发有限公司将持有的本公司3635000股流通A股质押给广发证...   
7   002375   亚厦股份  ...  本公司控股股东亚厦控股有限公司将持有的本公司68000000股流通A股质押给杭州银行股份有限...   
8   002375   亚厦股份  ...  本公司控股股东亚厦控股有限公司将持有的本公司97000000股流通A股质押给绍兴银行股份有限...   
9   002466   天齐锂业  ...  本公司控股股东成都天齐实业(集团)有限公司将持有的本公司12000000股流通A股质押给中国...   
10  002466   天齐锂业  ...  本公司控股股东成都天齐实业(集团)有限公司将持有的本公司4600000股流通A股质押给交通银...   
11  002475   立讯精密  ...  本公司控股股东香港立讯有限公司将持有的本公司72620000股流通A股质押给招商银行股份有限...   
12  002584   西陇科学  ...  本公司实际控制人黄伟波将持有的本公司8470000股流通受限股份质押给华鑫证券有限责任公司用...   
13  002584   西陇科学  ...  本公司实际控制人黄伟波将持有的本公司9480000股流通受限股份质押给华鑫证券有限责任公司用...   
14  002584   西陇科学  ...  本公司实际控制人黄伟鹏将2017年08月10日质押给华鑫证券有限责任公司的4480000股解...   
15  002584   西陇科学  ...  本公司实际控制人黄伟鹏将持有的本公司5260000股流通受限股份质押给华鑫证券有限责任公司用...   
16  002584   西陇科学  ...  本公司实际控制人黄伟鹏将持有的本公司7680000股流通受限股份质押给华鑫证券有限责任公司用...   
17  002584   西陇科学  ...  本公司实际控制人黄伟鹏将持有的本公司9970000股流通受限股份质押给华鑫证券有限责任公司用...   
18  002584   西陇科学  ...  本公司实际控制人黄伟鹏将持有的本公司5260000股流通受限股份质押给华鑫证券有限责任公司用...   
19  002584   西陇科学  ...  本公司实际控制人黄少群将持有的本公司6290000股流通A股质押给华鑫证券有限责任公司用于办...   
20  002584   西陇科学  ...  本公司实际控制人黄少群将持有的本公司7360000股流通受限股份质押给华鑫证券有限责任公司用...   
21  002584   西陇科学  ...  本公司实际控制人黄少群将持有的本公司8200000股流通受限股份质押给华鑫证券有限责任公司用...   
22  002584   西陇科学  ...  本公司实际控制人黄少群将持有的本公司9700000股流通受限股份质押给华鑫证券有限责任公司用...   
23  002584   西陇科学  ...  本公司实际控制人黄少群将持有的本公司6290000股流通A股质押给华鑫证券有限责任公司用于办...   
24  002602   世纪华通  ...  本公司大股东王佶将2018年02月12日质押给大连银行股份有限公司上海分行的25000000...   
25  002602   世纪华通  ...  本公司大股东王佶将2018年02月12日质押给大连银行股份有限公司上海分行的26000000...   
26  002602   世纪华通  ...  本公司大股东王佶将持有的本公司26000000股流通A股质押给泰安复星招银壹号股权投资基金合...   
27  002602   世纪华通  ...  本公司大股东王佶将持有的本公司5000000股流通A股质押给泰安复星招银壹号股权投资基金合伙...   
28  002677   浙江美大  ...  本公司股东夏鼎将2020年12月28日质押给上海海通证券资产管理有限公司用于办理质押式回购业...   
29  002677   浙江美大  ...  本公司股东夏鼎将2021年05月18日质押给上海海通证券资产管理有限公司用于办理质押式回购业...   
30  002677   浙江美大  ...  本公司股东夏鼎将2021年08月25日质押给上海海通证券资产管理有限公司用于办理质押式回购业...   
31  002853    皮阿诺  ...  本公司控股股东、实际控制人马礼斌将持有的本公司1000000股流通A股质押给中信证券股份有限...   
32  002922    伊戈尔  ...  本公司控股股东佛山市麦格斯投资有限公司将持有的本公司5000000股流通A股质押给国金证券股...   
33  300175   朗源股份  ...  本公司控股股东新疆尚龙股权投资管理有限公司将持有的本公司17000000股流通A股质押给邳州...   
34  300275    梅安森  ...  本公司控股股东马焰将持有的本公司2000000股流通受限股份质押给交通银行股份有限公司重庆市...   
35  600093  *ST易见  ...  本公司股东云南省滇中产业发展集团有限责任公司将质押给中国工商银行股份有限公司昆明正义支行的8...   
36  600093  *ST易见  ...  本公司股东云南省滇中产业发展集团有限责任公司将持有的本公司86380000股流通A股质押给中...   
37  600176   中国巨石  ...  本公司股东振石控股集团有限公司将持有的本公司126680000股流通A股质押给中国民生银行股...   
38  600176   中国巨石  ...  本公司股东振石控股集团有限公司将质押的211672605股解除质押，解除日期为2021年09...   
39  600246   万通发展  ...  本公司第二大股东万通投资控股股份有限公司将2021年07月12日质押给江苏银行股份有限公司北...   
40  600516   方大炭素  ...  本公司控股股东辽宁方大集团实业有限公司将持有的本公司56000000股流通A股质押给平安银行...   
41  600516   方大炭素  ...  本公司控股股东辽宁方大集团实业有限公司将质押给平安银行股份有限公司沈阳分行的70700000...   
42  600572    康恩贝  ...  本公司持股5%以上股东胡季强将持有的本公司27000000股流通A股质押给中信证券股份有限公...   
43  600572    康恩贝  ...  本公司持股5%以上股东胡季强将质押给中信证券股份有限公司用于办理质押式回购业务的210000...   
44  600739   辽宁成大  ...  本公司控股股东辽宁省国有资产经营有限公司将持有的本公司5500000股流通A股质押给华夏银行...   
45  600745   闻泰科技  ...  本公司股东张丹琳将持有的本公司171095股流通A股质押给云南国际信托有限公司，质押开始日期...   
46  600745   闻泰科技  ...  本公司股东张秋红将持有的本公司305364股流通A股质押给云南国际信托有限公司，质押开始日期...   
47  600866   星湖科技  ...  本公司股东深圳长城汇理资产服务企业(有限合伙)将质押给东方证券股份有限公司的13080000...   
48  600903   贵州燃气  ...  本公司控股股东北京东嘉投资有限公司将质押给华能贵诚信托有限公司的91507780股解除质押，...   
49  600998    九州通  ...  本公司股东上海弘康实业投资有限公司将持有的本公司15600000股流通A股质押给汉口银行股份...   
50  601012   隆基股份  ...  本公司控股股东李振国将质押给国信证券股份有限公司的28000000股流通A股解除质押，解除日...   
51  603501   韦尔股份  ...  本公司控股股东虞仁荣将持有的本公司590000股流通A股质押给平安证券股份有限公司，质押开始...   
52  603619   中曼石油  ...     本公司实际控制人李玉池将质押的16038460股解除质押，解除日期为2021年09月28日。   
53  603638   艾迪精密  ...  本公司控股股东烟台翔宇投资有限公司将持有的本公司6000000股流通A股质押给云南国际信托有...   
54  603661   恒林股份  ...  本公司持股5%以上股东安吉恒林商贸有限公司将持有的本公司1500000股流通A股质押给浙商证...   
```

#### 美港目标价

接口: stock_js_price

目标地址: https://www.ushknews.com/report.html

描述: 美港电讯-美港目标价数据

限量: 单次获取所有数据, 数据从 2019-至今

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- | --- |
| category | str | category="us"; choice of {"us", "hk"}|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 日期          | object   |   -    |
| 个股名称          | object   |   -    |
| 评级          | object   |   -    |
| 先前目标价          | float64   |   -    |
| 最新目标价          | float64   |   -    |
| 机构名称          | object   |   -    |

接口示例

```python
import mssdk as ms
stock_js_price_df = ms.stock_js_price(category="us")
print(stock_js_price_df)
```

数据示例

```
            日期                个股名称  ...         最新目标价              机构名称
0      2021-09-14 00:00:00  Draftkings(DKNG.O)  ...   70.0    投行Craig-Hallum
1      2021-09-14 00:00:00         甲骨文(ORCL.N)  ...   66.0                高盛
2      2021-09-14 00:00:00          电子艺界(EA.O)  ...  179.0             德意志银行
3      2021-09-14 00:00:00         甲骨文(ORCL.N)  ...   77.0            投行斯蒂费尔
4      2021-09-14 00:00:00         甲骨文(ORCL.N)  ...   88.0  Societe Generale
                    ...                 ...  ...    ...               ...
35395  2019-01-02 00:00:00         亚马逊(AMZN.O)  ...    NaN           加拿大皇家银行
35396  2019-01-02 00:00:00          苹果(AAPL.O)  ...  228.0              摩根大通
35397  2019-01-02 00:00:00          苹果(AAPL.O)  ...  220.0           加拿大皇家银行
35398  2019-01-01 16:00:00           强生(JNJ.N)  ...  148.0                花旗
35399  2019-01-01 00:00:00           辉瑞(PFE.N)  ...   45.0              瑞士信贷
```

#### 券商业绩月报

接口: stock_em_qsjy

目标地址: http://data.eastmoney.com/other/qsjy.html

描述: 获取东方财富网-数据中心-特色数据-券商业绩月报

限量: 单次获取所有数据, 数据从 20100601-至今, 月频率

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| category | str | Y    | category="us"; choice of {"us", "hk"}|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 开始日期          | datetime   | Y        |  -    |
| 结束日期          | datetime   | Y        |  -    |
| 简称          | str   | Y        |  -    |
| 代码          | str   | Y        |  -    |
| 当月净利润_净利润          | str   | Y        |  注意单位: 万元    |
| 当月净利润_同比增长          | str   | Y        |  -    |
| 当月净利润_环比增长          | str   | Y        |  -    |
| 当年累计净利润_累计净利润          | str   | Y        |  注意单位: 万元    |
| 当年累计净利润_同比增长          | float   | Y        |  -    |
| 当月营业收入_营业收入          | str   | Y        |  注意单位: 万元    |
| 当月营业收入_环比增长          | float   | Y        |  -    |
| 当月营业收入_同比增长          | float   | Y        |  -    |
| 当年累计营业收入_累计营业收入          | float   | Y        |  注意单位: 万元    |
| 当年累计营业收入_同比增长          | float   | Y        |  -    |
| 净资产_净资产          | float   | Y        |  注意单位: 万元    |
| 净资产_同比增长          | float   | Y        |  -    |

接口示例

```python
import mssdk as ms
stock_em_qsjy_df = ms.stock_em_qsjy(trade_date="2020-04-01")
print(stock_em_qsjy_df)
```

数据示例

```
         开始日期       结束日期  ...       净资产_净资产               净资产_同比增长
0  2020-04-01 2020-04-30  ...  2.069308e+06   0.047883529560703887
1  2020-04-01 2020-04-30  ...  1.508543e+06   0.041195641938702586
2  2020-04-01 2020-04-30  ...  1.828071e+06   0.017508095233963131
3  2020-04-01 2020-04-30  ...  1.683170e+07    0.23936906503939626
4  2020-04-01 2020-04-30  ...  2.002422e+06   0.061985224934598904
5  2020-04-01 2020-04-30  ...  2.664589e+06    0.30763185742541721
6  2020-04-01 2020-04-30  ...  9.662962e+05   0.053962078637377307
7  2020-04-01 2020-04-30  ...  1.139362e+06   0.054307941831631346
8  2020-04-01 2020-04-30  ...  6.125237e+05    0.14145368430232949
9  2020-04-01 2020-04-30  ...  1.687778e+06    0.50755090072449471
10 2020-04-01 2020-04-30  ...  1.352354e+06                      -
11 2020-04-01 2020-04-30  ...  1.364813e+07              0.0178408
12 2020-04-01 2020-04-30  ...  1.976813e+06   0.051824431984798747
13 2020-04-01 2020-04-30  ...  1.203286e+07   0.038224297643292326
14 2020-04-01 2020-04-30  ...  1.004165e+06   0.021149077960926948
15 2020-04-01 2020-04-30  ...  2.116647e+06   0.062410298710401504
16 2020-04-01 2020-04-30  ...  1.234187e+07    0.14817958408693779
17 2020-04-01 2020-04-30  ...  5.598729e+06              0.0453828
18 2020-04-01 2020-04-30  ...  5.799100e+06    0.20862475122122759
19 2020-04-01 2020-04-30  ...  3.430436e+06   0.054413321028859971
20 2020-04-01 2020-04-30  ...  8.878713e+06   0.060983834175780967
21 2020-04-01 2020-04-30  ...  8.590377e+06              0.0603824
22 2020-04-01 2020-04-30  ...  7.297874e+06   0.075434910971599933
23 2020-04-01 2020-04-30  ...  1.415213e+06                      -
24 2020-04-01 2020-04-30  ...  4.278250e+06  -0.081352722974166583
25 2020-04-01 2020-04-30  ...  2.097736e+06   0.067479835000551283
26 2020-04-01 2020-04-30  ...  5.191309e+06   0.023431862887757126
27 2020-04-01 2020-04-30  ...  1.046198e+06   0.033026522589556823
28 2020-04-01 2020-04-30  ...  1.371776e+06              0.0965256
29 2020-04-01 2020-04-30  ...  5.492524e+05   0.086178373347898712
30 2020-04-01 2020-04-30  ...  7.945952e+06    0.10579253141598383
31 2020-04-01 2020-04-30  ...  5.529023e+06   0.029951506566922369
32 2020-04-01 2020-04-30  ...  2.366435e+06  -0.011107332427942608
33 2020-04-01 2020-04-30  ...  1.411993e+06   0.044246467734188527
34 2020-04-01 2020-04-30  ...  1.725532e+06   0.031145003703478637
35 2020-04-01 2020-04-30  ...  1.776790e+06    0.33096526422414257
36 2020-04-01 2020-04-30  ...  1.618389e+06   0.043754441257710656
37 2020-04-01 2020-04-30  ...  3.115692e+06    0.10237273392499335
```

#### A 股市盈率

接口: stock_a_pe

目标地址: https://www.legulegu.com/stockdata/market_pe

描述: 获取乐咕乐股网站-A股市盈率

限量: 单次获取指定 market 的所有数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| market | str | Y    | market="000016.XSHG"; 参见 **stock_a_pe** 一览表|

stock_a_pe 一览表

|栏目|参数|
| ------------ | ----- |
| 上证A股市盈率          | sh   |
| 深圳A股市盈率          | sz   |
| 中小板市盈率          | zx   |
| 创业板市盈率          | cy   |
| 科创板市盈率          | kc   |
| 全部A股市盈率-平均数-中位数 | all   |
| 沪深300市盈率 | 000300.XSHG   |
| 上证50市盈率 | 000016.XSHG   |
| 上证180市盈率 | 000010.XSHG   |
| 上证380市盈率 | 000009.XSHG   |
| 中证流通市盈率 | 000902.XSHG   |
| 中证100市盈率 | 000903.XSHG   |
| 中证500市盈率 | 000905.XSHG   |
| 中证800市盈率 | 000906.XSHG   |
| 中证1000市盈率 | 000852.XSHG   |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| averagePELYR          | datetime   | Y        |  中位数    |
| averagePETTM          | datetime   | Y        |  中位数    |
| middlePELYR          | str   | Y        |  等权平均    |
| middlePETTM          | str   | Y        |  等权平均    |
| close          | str   | Y        |  收盘价    |

接口示例

```python
import mssdk as ms
stock_a_pe_df = ms.stock_a_pe(market="000016.XSHG")
print(stock_a_pe_df)
```

数据示例

```
            averagePELYR  averagePETTM  middlePELYR  middlePETTM    close
date                                                                     
2005-01-04         35.64         29.52        17.91        18.97   831.43
2005-01-05         35.85         29.88        17.95        18.88   822.50
2005-01-06         37.17         29.74        19.17        18.81   823.62
2005-01-09         35.27         29.81        17.98        18.73   832.99
2005-01-10         37.49         30.14        19.35        19.07   837.86
                  ...           ...          ...          ...      ...
2020-07-06         36.48         36.32        17.85        21.10  3374.14
2020-07-07         36.45         36.33        17.88        21.16  3381.76
2020-07-08         37.53         37.04        18.29        21.82  3429.94
2020-07-09         38.33         37.60        18.40        21.79  3442.02
2020-07-12         37.57         37.09        17.77        21.14  3351.78
```

#### A 股市净率

接口: stock_a_pb

目标地址: https://www.legulegu.com/stockdata/market_pb

描述: 乐咕乐股网站-A 股市净率

限量: 单次获取指定 market 的所有数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| market | str | Y    | market="000016.XSHG"; 参见 **stock_a_pb** 一览表|

stock_a_pb 一览表

|栏目|参数|
| ------------ | ----- |
| 上证A股市净率          | sh   |
| 深圳A股市净率          | sz   |
| 中小板市净率          | zx   |
| 创业板市净率          | cy   |
| 沪深300市净率 | 000300.XSHG   |
| 上证50市净率 | 000016.XSHG   |
| 上证180市净率 | 000010.XSHG   |
| 上证380市净率 | 000009.XSHG   |
| 中证流通市净率 | 000902.XSHG   |
| 中证100市净率 | 000903.XSHG   |
| 中证500市净率 | 000905.XSHG   |
| 中证800市净率 | 000906.XSHG   |
| 中证1000市净率 | 000852.XSHG   |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| equalWeightAveragePB          | datetime   | Y        |  等权平均    |
| middlePB          | datetime   | Y        |  中位数    |
| weightingAveragePB          | str   | Y        |  -    |
| close          | str   | Y        |  收盘价    |

接口示例

```python
import mssdk as ms
stock_a_pb_df = ms.stock_a_pb(market="000016.XSHG")
print(stock_a_pb_df)
```

数据示例

```
            equalWeightAveragePB  middlePB  weightingAveragePB    close
date                                                                   
2005-01-04                  2.32      2.07                 0.0   831.43
2005-01-05                  2.33      2.07                 0.0   822.50
2005-01-06                  2.31      2.08                 0.0   823.62
2005-01-09                  2.31      2.08                 0.0   832.99
2005-01-10                  2.33      2.11                 0.0   837.86
                          ...       ...                 ...      ...
2020-07-06                  4.41      2.02                 0.0  3374.14
2020-07-07                  4.46      1.99                 0.0  3381.76
2020-07-08                  4.56      2.06                 0.0  3429.94
2020-07-09                  4.64      2.06                 0.0  3442.02
2020-07-12                  4.58      1.96                 0.0  3351.78
```

#### A 股个股指标

接口: stock_a_lg_indicator

目标地址: https://www.legulegu.com/stocklist

描述: 乐咕乐股网站-A 股个股指标: 市盈率, 市净率, 股息率

限量: 单次获取指定 stock 的所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| stock | str | Y    | stock="000001"; 参见 **stock_a_lg_indicator(stock="all")** 获取股票代码|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| trade_date          | datetime   | Y        |  交易日    |
| pe          | float   | Y        |  市盈率    |
| pe_ttm          | float   | Y        |  市盈率TTM    |
| pb          | float   | Y        |  市净率    |
| ps          | float   | Y        |  市销率    |
| ps_ttm          | float   | Y        |  市销率TTM    |
| dv_ratio          | float   | Y        |  股息率    |
| dv_ttm          | float   | Y        |  股息率TTM    |
| total_mv          | float   | Y        |  总市值    |

接口示例

```python
import mssdk as ms
stock_a_indicator_df = ms.stock_a_lg_indicator(stock="000001")
print(stock_a_indicator_df)
```

数据示例

```
                 pe   pe_ttm      pb  ...  dv_ratio  dv_ttm     total_mv
trade_date                            ...                               
2020-07-13  46.3530  55.9041  6.2434  ...       NaN     NaN  1528399.120
2020-07-10  47.1162  56.8245  6.3462  ...       NaN     NaN  1553564.604
2020-07-09  48.2786  58.2264  6.5027  ...       NaN     NaN  1591890.020
2020-07-08  47.0532  56.7485  6.3377  ...       NaN     NaN  1551486.720
2020-07-07  44.2874  53.4129  5.9651  ...       NaN     NaN  1460290.700
             ...      ...     ...  ...       ...     ...          ...
2019-07-26  75.4664  43.4415  5.6073  ...       NaN     NaN  1331461.892
2019-07-25  77.1806  44.4283  5.7346  ...       NaN     NaN  1361706.648
2019-07-24  72.7053  41.8521  5.4021  ...       NaN     NaN  1282747.056
2019-07-23  66.6988  38.3945  4.9558  ...       NaN     NaN  1176774.972
2019-07-22  74.1447  42.6807  5.5091  ...       NaN     NaN  1308143.416
```

#### A 股等权重与中位数市盈率

接口: stock_a_ttm_lyr

目标地址: https://www.legulegu.com/stockdata/a-ttm-lyr

描述: 乐咕乐股网站-A 股等权重市盈率与中位数市盈率

限量: 单次返回所有数据

输入参数

| 名称   | 类型 | 描述   |
| -------- | ---- |  --- |
| - | - |  -|

输出参数

| 名称          | 类型 | 描述           |
| ------------ | ----- |  ---------------- |
| date          | object   |   日期    |
| middlePETTM          | float64   |   全A股滚动市盈率(TTM)中位数    |
| averagePETTM          | float64   |   全A股滚动市盈率(TTM)等权平均    |
| middlePELYR          | float64   |  全A股静态市盈率(LYR)中位数    |
| averagePELYR          | float64   |  全A股静态市盈率(LYR)等权平均    |
| quantileInAllHistoryMiddlePeTtm          | float64   |  当前"TTM(滚动市盈率)中位数"在历史数据上的分位数    |
| quantileInRecent10YearsMiddlePeTtm          | float64   |  当前"TTM(滚动市盈率)中位数"在最近10年数据上的分位数    |
| quantileInAllHistoryAveragePeTtm          | float64   |  当前"TTM(滚动市盈率)等权平均"在历史数据上的分位数    |
| quantileInRecent10YearsAveragePeTtm          | float64   |  当前"TTM(滚动市盈率)等权平均"在在最近10年数据上的分位数    |
| quantileInAllHistoryMiddlePeLyr          | float64   |  当前"LYR(静态市盈率)中位数"在历史数据上的分位数    |
| quantileInRecent10YearsMiddlePeLyr          | float64   |  当前"LYR(静态市盈率)中位数"在最近10年数据上的分位数    |
| quantileInAllHistoryAveragePeLyr          | float64   |  当前"LYR(静态市盈率)等权平均"在历史数据上的分位数    |
| quantileInRecent10YearsAveragePeLyr          | float64   |  当前"LYR(静态市盈率)等权平均"在最近10年数据上的分位数    |
| close          | float64   |  沪深300指数    |

接口示例

```python
import mssdk as ms
stock_a_ttm_lyr_df = ms.stock_a_ttm_lyr()
print(stock_a_ttm_lyr_df)
```

数据示例

```
            date  middlePETTM  ...  quantileInRecent10YearsAveragePeLyr    close
0     2005-01-04        28.79  ...                              1.00000     0.00
1     2005-01-05        29.18  ...                              1.00000     0.00
2     2005-01-06        28.73  ...                              0.66667     0.00
3     2005-01-09        28.84  ...                              0.50000     0.00
4     2005-01-10        29.09  ...                              1.00000     0.00
          ...          ...  ...                                  ...      ...
4028  2021-08-05        32.66  ...                              0.45016  4948.67
4029  2021-08-08        32.78  ...                              0.45181  4921.56
4030  2021-08-09        33.15  ...                              0.47364  4985.56
4031  2021-08-10        33.60  ...                              0.49012  5043.15
4032  2021-08-11        33.71  ...                              0.49217  5015.34
```

#### A 股等权重与中位数市净率

接口: stock_a_all_pb

目标地址: https://www.legulegu.com/stockdata/all-pb

描述: 乐咕乐股网站-A 股等权重与中位数市净率

限量: 单次返回所有数据

输入参数

| 名称   | 类型 | 描述   |
| -------- | ---- |  --- |
| - | - |  -|

输出参数

| 名称          | 类型 | 描述           |
| ------------ | ----- |  ---------------- |
| date          | object   |   日期    |
| middlePB          | float64   |   全部A股市净率中位数    |
| equalWeightAveragePB          | float64   |   全部A股市净率等权平均    |
| close          | float64   |   上证指数    |
| quantileInAllHistoryMiddlePB          | float64   |   当前市净率中位数在历史数据上的分位数    |
| quantileInRecent10YearsMiddlePB          | float64   |   当前市净率中位数在最近10年数据上的分位数    |
| quantileInAllHistoryEqualWeightAveragePB          | float64   |   当前市净率等权平均在历史数据上的分位数    |
| quantileInRecent10YearsEqualWeightAveragePB          | float64   |   当前市净率等权平均在最近10年数据上的分位数    |


接口示例

```python
import mssdk as ms
stock_a_all_pb_df = ms.stock_a_all_pb()
print(stock_a_all_pb_df)
```

数据示例

```
            date  ...  quantileInRecent10YearsEqualWeightAveragePB
0     2005-01-03  ...                                      1.00000
1     2005-01-04  ...                                      1.00000
2     2005-01-05  ...                                      0.66667
3     2005-01-06  ...                                      0.75000
4     2005-01-09  ...                                      1.00000
          ...  ...                                          ...
4032  2021-08-04  ...                                      0.65817
4033  2021-08-05  ...                                      0.66242
4034  2021-08-08  ...                                      0.67421
4035  2021-08-09  ...                                      0.69519
4036  2021-08-10  ...                                      0.69148
```

#### 港股个股指标

接口: stock_hk_eniu_indicator

目标地址: https://eniu.com/gu/hk01093/roe

描述: 获取亿牛网-港股个股指标: 市盈率, 市净率, 股息率, ROE, 市值

限量: 单次获取指定 symbol 和 indicator 的所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| symbol | str | Y    | symbol="hk01093"; 可通过调用 **stock_hk_eniu_indicator(symbol="hk01093", indicator="港股")** 获取股票代码|
| indicator | str | Y    | indicator="港股"; choice of {"港股", "市盈率", "市净率", "股息率", "ROE", "市值"}|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| -          | -   | -        |  根据 indicator 而异    |

接口示例-ROE

```python
import mssdk as ms
stock_hk_eniu_indicator_df = ms.stock_hk_eniu_indicator(symbol="hk01093", indicator="市净率")
print(stock_hk_eniu_indicator_df)
```

数据示例-ROE

```
            date    pb  price
0     2000-01-03  1.17   0.00
1     2000-01-04  1.24   0.00
2     2000-01-05  1.19   0.00
3     2000-01-06  1.06   0.00
4     2000-01-07  1.08   0.00
          ...   ...    ...
5041  2020-08-07  7.31  15.74
5042  2020-08-10  7.22  15.54
5043  2020-08-11  7.31  15.74
5044  2020-08-12  7.15  15.40
5045  2020-08-13  7.18  15.46
```

#### 创新高和新低的股票数量

接口: stock_a_high_low_statistics

目标地址: https://www.legulegu.com/stockdata/high-low-statistics

描述: 获取不同市场的创新高和新低的股票数量

限量: 单次获取指定 market 的所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| market | str | Y    | market="all"; {"all": "全部A股", "sz50": "上证50", "hs300": "沪深300", "zz500": "中证500"}|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| date          | datetime   | Y        |  交易日    |
| close          | float   | Y        |  收盘价    |
| high20          | float   | Y        |  20日新高    |
| low20          | float   | Y        |  20日新低    |
| high60          | float   | Y        |  60日新高    |
| low60          | float   | Y        |  60日新低    |
| high120          | float   | Y        |  120日新高    |
| low120          | float   | Y        |  60日新低    |

接口示例

```python
import mssdk as ms
stock_a_high_low_statistics_df = ms.stock_a_high_low_statistics(market="zz500")
print(stock_a_high_low_statistics_df)
```

数据示例

```
              close  high20  low20  high60  low60  high120  low120
date                                                              
2020-07-14  6807.73     114      0      96      0       71       0
2020-07-13  6899.52     319      0     280      0      164       0
2020-07-10  6676.44     139      0     123      0       92       0
2020-07-09  6693.75     375      0     310      0      142       0
2020-07-08  6535.42     333      1     265      1      134       1
             ...     ...    ...     ...    ...      ...     ...
2018-06-29  5217.76      18      1       7      1        6       1
2018-06-28  5055.11       2    150       0    121        0     109
2018-06-27  5109.50       3    100       0     77        0      71
2018-06-26  5160.28       6     56       4     46        2      41
2018-06-25  5125.03       5    104       3     89        2      73
```

#### 破净股统计

接口: stock_a_below_net_asset_statistics

目标地址: https://www.legulegu.com/stockdata/below-net-asset-statistics

描述: 获取 A 股破净股统计数据

限量: 单次获取所有历史数据

输入参数

| 名称   | 类型 | 描述   |
| -------- | ---- |--- |
| symbol | str |  symbol="全部A股"; choice of {"全部A股", "沪深300"}|

输出参数-全部A股

| 名称          | 类型 |  描述           |
| ------------ | ----- | ---------------- |
| date          | object   |   交易日    |
| below_net_asset          | float64   |   破净股家数    |
| total_company          | float64   |  总公司数    |
| below_net_asset_ratio          | float64   |  破净股比率    |

接口示例-全部 A 股

```python
import mssdk as ms
stock_a_below_net_asset_statistics_df = ms.stock_a_below_net_asset_statistics(symbol="全部A股")
print(stock_a_below_net_asset_statistics_df)
```

数据示例-全部 A 股

```
            date  below_net_asset  total_company  below_net_asset_ratio
0     2005-01-04             36.0         1352.0               0.026627
1     2005-01-05             31.0         1352.0               0.022929
2     2005-01-06             32.0         1352.0               0.023669
3     2005-01-09             33.0         1352.0               0.024408
4     2005-01-10             29.0         1352.0               0.021450
          ...              ...            ...                    ...
3887  2021-01-07            368.0         4147.0               0.088739
3888  2021-01-08            370.0         4147.0               0.089221
3890  2021-01-11            391.0         4149.0               0.094240
3889  2021-01-12            393.0         4150.0               0.094699
3891  2021-01-13            406.0         4150.0               0.097831
```

输出参数-沪深 300

| 名称          | 类型 |描述           |
| ------------ | ----- | ---------------- |
| date          | object   |   交易日    |
| below_net_asset          | float64   |  破净股家数    |
| total_company          | float64   |  总公司数    |
| below_net_asset_ratio          | float64   |   破净股比率    |

接口示例-沪深 300

```python
import mssdk as ms
stock_a_below_net_asset_statistics_df = ms.stock_a_below_net_asset_statistics(symbol="沪深300")
print(stock_a_below_net_asset_statistics_df)
```

数据示例-沪深 300

```
            date  below_net_asset  total_company  below_net_asset_ratio
0     2005-04-08             22.0          299.0                 0.0736
1     2005-04-11             21.0          299.0                 0.0702
2     2005-04-12             23.0          299.0                 0.0769
3     2005-04-13             20.0          299.0                 0.0669
4     2005-04-14             22.0          299.0                 0.0736
          ...              ...            ...                    ...
3904  2021-04-26             46.0          300.0                 0.1533
3905  2021-04-27             48.0          300.0                 0.1600
3906  2021-04-28             48.0          300.0                 0.1600
3907  2021-04-29             48.0          300.0                 0.1600
3908  2021-05-05             49.0          300.0                 0.1633
```

#### 基金持股

接口: stock_report_fund_hold

目标地址: http://data.eastmoney.com/zlsj/2020-06-30-1-2.html

描述: 获取个股的基金持股数据

限量: 单次返回指定 symbol 和 date 的所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| symbol | str | Y    | symbol="基金持仓"; choice of {"基金持仓", "QFII持仓", "社保持仓", "券商持仓", "保险持仓", "信托持仓"}|
| date | str | Y    | date="20200630"; 财报发布日期, xxxx-03-31, xxxx-06-30, xxxx-09-30, xxxx-12-31|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          | datetime   | Y        |  -    |
| 股票代码          | float   | Y        |  -    |
| 股票简称          | float   | Y        |  -    |
| 持有基金家数          | float   | Y        |  注意单位: 家    |
| 持股总数          | float   | Y        |  注意单位: 股    |
| 持股市值          | float   | Y     |  注意单位: 元    |
| 持股变化          | float   | Y     |  -    |
| 持股变动数值          | float   | Y     |  注意单位: 股    |
| 持股变动比例          | float   | Y   |  注意单位: %    |

接口示例

```python
import mssdk as ms
stock_report_fund_hold_df = ms.stock_report_fund_hold(symbol="基金持仓", date="20200630")
print(stock_report_fund_hold_df)
```

数据示例

```
        序号    股票代码  股票简称  ... 持股变化   持股变动数值             持股变动比例
0        1  300846  首都在线  ...   新进  3024892         0.00219976
1        2  300843  胜蓝股份  ...   新进  1984496         0.00293824
2        3  300842  帝科股份  ...   新进  1190928   1.19092800000001
3        4  600956  新天绿能  ...   新进  6460517  0.167734880000004
4        5  300845  捷安高科  ...   新进  1211353         0.00388496
    ...     ...   ...  ...  ...      ...                ...
3555  3556  300752  隆利科技  ...   增持     3100         0.00258868
3556  3557  300778   新城市  ...   新进      125           0.000125
3557  3558  300786  国林科技  ...   增持     2800         0.00327715
3558  3559  300818  耐普矿机  ...   新进      500         0.00071429
3559  3560  688981  中芯国际  ...   新进   139500         0.00255926
```

#### 基金持股明细

接口: stock_report_fund_hold_detail

目标地址: http://data.eastmoney.com/zlsj/ccjj/2020-12-31-008286.html

描述: 获取东方财富网-数据中心-主力数据-基金持仓-基金持仓明细表

限量: 单次返回指定 symbol 和 date 的所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| symbol | str | Y    | symbol="005827"; 基金代码|
| date | str | Y    | date="20200630"; 财报发布日期, xxxx-03-31, xxxx-06-30, xxxx-09-30, xxxx-12-31|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          | datetime   | Y        |  -    |
| 股票代码          | float   | Y        |  -    |
| 股票简称          | float   | Y        |  -    |
| 持股数          | float   | Y        |  注意单位: 股    |
| 持股市值          | float   | Y        |  注意单位: 元    |
| 占总股本比例          | float   | Y     |  注意单位: %    |
| 占流通股本比例          | float   | Y     |  注意单位: %    |

接口示例

```python
import mssdk as ms
stock_report_fund_hold_detail_df = ms.stock_report_fund_hold_detail(symbol="005827", date="20201231")
print(stock_report_fund_hold_detail_df)
```

数据示例

```
   序号       股票代码  股票简称       持股数           持股市值 占总股本比例 占流通股本比例
0   1  600519.SH  贵州茅台   3265532     6524532936   0.26    0.26
1   2  300015.SZ  爱尔眼科  32000005  2396480374.45   0.78    0.80
2   3  002415.SZ  海康威视  70000025  3395701212.75   0.75    0.85
3   4  002304.SZ  洋河股份  27200000     6418928000   1.80    2.16
4   5  000858.SZ   五粮液  21858499  6379402933.15   0.56    0.58
5   6  000568.SZ  泸州老窖  27700000     6264632000   1.89    1.89
```

#### 龙虎榜

##### 龙虎榜-营业部排行

###### 龙虎榜-营业部排行-上榜次数最多

接口: stock_lh_yyb_most

目标地址: http://data.10jqka.com.cn/market/longhu/

描述: 获取龙虎榜-营业部排行-上榜次数最多

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| - | - | -    | - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          | int64   | Y        |  -    |
| 营业部名称          | object   | Y        |  -    |
| 上榜次数          | int64   | Y        |  -    |
| 合计动用资金          | object   | Y        |  -    |
| 年内上榜次数          | int64   | Y        |  -    |
| 年内买入股票只数          | int64   | Y     |  -    |
| 年内3日跟买成功率          | object   | Y     |  -    |

接口示例

```python
import mssdk as ms
stock_lh_yyb_most_df = ms.stock_lh_yyb_most()
print(stock_lh_yyb_most_df)
```

数据示例

```
      序号                    营业部名称  上榜次数  ... 年内上榜次数  年内买入股票只数  年内3日跟买成功率
0      1  东方财富证券股份有限公司拉萨团结路第二...  一线游资    18  ...   4090      3031     42.82%
1      2        东方财富证券股份有限公司拉萨团结路第一...    11  ...   1417       983     41.56%
2      3         招商证券股份有限公司上海牡丹江路证券营业部     7  ...   1161       782     37.55%
3      4         招商证券股份有限公司深圳深南东路证券营业部     7  ...    977       546     43.81%
4      5        中国中金财富证券有限公司北京宋庄路证券...     7  ...   1263       816     44.09%
..   ...                           ...   ...  ...    ...       ...        ...
188  189          长城国瑞证券有限公司晋江东华街证券营业部     1  ...    106        75     44.59%
189  190          长城证券股份有限公司合肥临泉路证券营业部     1  ...      2         2      无符合数据
190  191         金元证券股份有限公司慈溪孙塘北路证券营业部     1  ...     10         7      无符合数据
191  192  华泰证券股份有限公司上海普陀区江宁路证...  一线游资     1  ...    266       165     46.24%
192  193         华创证券有限责任公司上海肇嘉浜路证券营业部     1  ...     23        10     88.89%
```

###### 龙虎榜-营业部排行-资金实力最强

接口: stock_lh_yyb_capital

目标地址: http://data.10jqka.com.cn/market/longhu/

描述: 获取龙虎榜-营业部排行-资金实力最强

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| - | - | -    | - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          | int64   | Y        |  -    |
| 营业部名称          | object   | Y        |  -    |
| 今日最高操作          | int64   | Y        |  -    |
| 今日最高金额          | object   | Y        |  -    |
| 今日最高买入金额          | object   | Y        |  -    |
| 累计参与金额          | object   | Y     |  -    |
| 累计买入金额          | object   | Y     |  -    |

接口示例

```python
import mssdk as ms
stock_lh_yyb_capital_df = ms.stock_lh_yyb_capital()
print(stock_lh_yyb_capital_df)
```

数据示例

```
      序号                       营业部名称  今日最高操作  ...  今日最高买入金额  累计参与金额    累计买入金额
0      1                 深股通专用  一线游资       4  ...     6.79亿  19.03亿    12.66亿
1      2        国信证券股份有限公司深圳振华路证券营业部       1  ...     4.21亿   4.22亿     4.21亿
2      3      国泰君安证券股份有限公司上海新闸路证券...       3  ...     2.15亿   2.86亿     2.84亿
3      4  广发证券股份有限公司上海东方路证券营业部  知名游资       1  ...     1.49亿   1.50亿     1.49亿
4      5      招商证券交易单元(353800)  知名游资       2  ...  5680.22万   1.44亿  6239.91万
..   ...                         ...     ...  ...       ...     ...       ...
188  189        中泰证券股份有限公司泰安龙潭路证券营业部       1  ...    4620.0  4620.0    4620.0
189  190      中国银河证券股份有限公司成都益州大道证...       1  ...     231.0   231.0     231.0
190  191      东方财富证券股份有限公司拉萨八一路证券...       1  ...     231.0   231.0     231.0
191  192             华泰证券股份有限公司湖南分公司       1  ...     231.0   231.0     231.0
192  193        广发证券股份有限公司北京安立路证券营业部       1  ...     231.0   231.0     231.0
```

###### 龙虎榜-营业部排行-抱团操作实力

接口: stock_lh_yyb_control

目标地址: http://data.10jqka.com.cn/market/longhu/

描述: 获取龙虎榜-营业部排行-抱团操作实力

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| - | - | -    | - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          | int64   | Y        |  -    |
| 营业部名称          | object   | Y        |  -    |
| 携手营业部家数          | int64   | Y        |  -    |
| 年内最佳携手对象          | object   | Y        |  -    |
| 年内最佳携手股票数          | int64   | Y        |  -    |
| 年内最佳携手成功率          | object   | Y     |  -    |

接口示例

```python
import mssdk as ms
stock_lh_yyb_control_df = ms.stock_lh_yyb_control()
print(stock_lh_yyb_control_df)
```

数据示例

```
      序号                         营业部名称  ...  年内最佳携手股票数 年内最佳携手成功率
0      1  东方财富证券股份有限公司拉萨团结路第二...  一线游资  ...        243    48.13%
1      2        东方财富证券股份有限公司拉萨团结路第一...  ...        235    44.21%
2      3        中国中金财富证券有限公司北京宋庄路证券...  ...        144    53.52%
3      4         招商证券股份有限公司上海牡丹江路证券营业部  ...        220    42.66%
4      5  东方财富证券股份有限公司拉萨东环路第二...  一线游资  ...        243    48.13%
..   ...                           ...  ...        ...       ...
184  185        国都证券股份有限公司北京中关村南大街证...  ...          1     无符合数据
185  186          申万宏源证券有限公司桐乡和平路证券营业部  ...          4     无符合数据
186  187             中国国际金融股份有限公司上海分公司  ...         33    62.50%
187  188               财通证券股份有限公司温州分公司  ...          2     无符合数据
188  189          华福证券有限责任公司龙岩中山路证券营业部  ...          3     无符合数据
```

##### 龙虎榜-每日详情

接口: stock_sina_lhb_detail_daily

目标地址: http://vip.stock.finance.sina.com.cn/q/go.php/vInvestConsult/kind/lhb/index.phtml

描述: 获取新浪财经-龙虎榜-每日详情

限量: 单次返回指定 trade_date 和 symbol 的所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| trade_date | str | Y    | trade_date="20200730"; 交易日 |
| symbol | str | Y    | symbol="涨幅偏离值达7%的证券"; 调用**ms.stock_sina_lhb_detail_daily(trade_date="指定交易日", symbol="返回当前交易日所有可查询的指标")**返回可以获取的指标 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          | str   | Y        |  股票代码    |
| 股票代码          | str   | Y        |  股票简称    |
| 股票名称          | str   | Y        |  发布时间    |
| 收盘价          | str   | Y        |  注意单位: 元    |
| 对应值          | str   | Y        |  注意单位: %    |
| 成交量          | str   | Y     |  注意单位: 万股    |
| 成交额          | str   | Y     |  注意单位: 万元    |

接口示例

```python
import mssdk as ms
indicator_name_list = ms.stock_sina_lhb_detail_daily(trade_date="20200730", symbol="返回当前交易日所有可查询的指标")
print(indicator_name_list)  # 输出当前交易日可以查询的指标
stock_sina_lhb_detail_daily_df = ms.stock_sina_lhb_detail_daily(trade_date="20200730", symbol="涨幅偏离值达7%的证券")
print(stock_sina_lhb_detail_daily_df)
```

数据示例

```
    序号    股票代码  股票名称    收盘价    对应值          成交量          成交额
0    1  000153  丰原药业  12.49  10.43    5557.0037   67219.8132
1    2  002030  达安基因  40.83  10.33   17674.6085  702130.7001
2    3  000518  四环生物   5.81  10.43   24000.9936  136374.7225
3    4  002080  中材科技  21.41  10.33    5467.7608  111211.8131
4    5  000698  沈阳化工  10.47  10.43   14371.0766  146957.0365
5    6  002151  北斗星通  45.93  10.33    2784.7750  126670.0000
6    7  000710  贝瑞基因  90.78  10.43     789.0226   70435.7913
7    8  300146  汤臣倍健  23.69  10.76    4694.6306  109195.9714
8    9  000789   万年青  18.81  10.43    7196.6080  134261.7201
9   10  002202  金风科技  11.85  10.33   17670.6062  202096.2865
10  11  300199  翰宇药业   8.75  10.76    7339.7293   62268.9428
11  12  300327  中颖电子  37.30  10.76    3896.9080  142907.4260
12  13  300378  鼎捷软件  29.30  10.76    3568.6673   99835.8516
13  14  002610  爱康科技   2.78  10.33  101493.1314  276012.6241
14  15  601016  节能风电   2.81  10.43   16838.7467   46247.2700
15  16  600135  乐凯胶片   7.87  10.31    1446.6728   11187.6300
16  17  601216  君正集团   6.79  10.28   50568.4745  337035.7400
17  18  900921  丹科B股   0.21  10.22     446.9862      90.5800
18  19  300016  北陆药业  14.08  10.76    8330.1927  113627.0487
```

##### 龙虎榜-个股上榜统计

接口: stock_sina_lhb_ggtj

目标地址: http://vip.stock.finance.sina.com.cn/q/go.php/vLHBData/kind/ggtj/index.phtml

描述: 获取新浪财经-龙虎榜-个股上榜统计

限量: 单次返回指定 recent_day 的所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| recent_day | str | Y    | recent_day="5"; choice of {"5": 最近 5 天; "10": 最近 10 天; "30": 最近 30 天; "60": 最近 60 天;}  |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 股票代码          | str   | Y        |  -    |
| 股票名称          | str   | Y        |  -    |
| 上榜次数          | str   | Y        |  -    |
| 累积购买额          | str   | Y        |  注意单位: 万    |
| 累积卖出额          | str   | Y        |  注意单位: 万    |
| 净额          | str   | Y     |  注意单位: 万    |
| 买入席位数          | str   | Y     |  -    |
| 卖出席位数          | str   | Y     |  -    |

接口示例

```python
import mssdk as ms
stock_sina_lhb_ggtj_df = ms.stock_sina_lhb_ggtj(recent_day="5")
print(stock_sina_lhb_ggtj_df)
```

数据示例

```
    股票代码  股票名称  上榜次数      累积购买额      累积卖出额         净额  买入席位数  卖出席位数
0    002415  海康威视     1  301832.02  111932.27  189899.75      5      4
1    002625  光启技术     3  188974.51  110632.86   78341.65     13     11
2    002030  达安基因     1  129640.18   56229.02   73411.16      5      5
3    002028  思源电气     1   76507.29   24156.38   52350.92      5      5
4    002557  洽洽食品     1   61385.91   19129.47   42256.44      3      4
..      ...   ...   ...        ...        ...        ...    ...    ...
203  600685  中船防务     1   51551.44   71149.70  -19598.26      5      5
204  600988  赤峰黄金     1   29905.23   50559.51  -20654.28      5      5
205  002626   金达威     4  229037.33  251697.41  -22660.08     14     15
206  600211  西藏药业     1   47912.79   85004.67  -37091.88      8      7
207  300123  亚光科技     1   17645.48   63111.54  -45466.06      5      5
```

##### 龙虎榜-营业上榜统计

接口: stock_sina_lhb_yytj

目标地址: http://vip.stock.finance.sina.com.cn/q/go.php/vLHBData/kind/yytj/index.phtml

描述: 获取新浪财经-龙虎榜-营业上榜统计

限量: 单次返回指定 recent_day 的所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| recent_day | str | Y    | recent_day="5"; choice of {"5": 最近 5 天; "10": 最近 10 天; "30": 最近 30 天; "60": 最近 60 天;} |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 营业部名称          | str   | Y        |  -    |
| 上榜次数          | str   | Y        |  -    |
| 累积购买额          | str   | Y        |  注意单位: 万    |
| 买入席位数          | str   | Y        |  -    |
| 累积卖出额          | str   | Y        |  注意单位: 万    |
| 卖出席位数          | str   | Y     |  -    |
| 买入前三股票          | str   | Y     |  -    |

接口示例

```python
import mssdk as ms
stock_sina_lhb_yytj_df = ms.stock_sina_lhb_yytj(recent_day="5")
print(stock_sina_lhb_yytj_df)
```

数据示例

```
                        营业部名称  上榜次数    累积购买额  ...     累积卖出额  卖出席位数          买入前三股票
0       长城证券股份有限公司资阳娇子大道证券营业部     2  2494.35  ...      0.00      0       展鹏科技,山东威达
1       上海证券有限责任公司苏州干将西路证券营业部     2  3519.09  ...      0.00      0            展鹏科技
2        华泰证券股份有限公司武汉新华路证券营业部    11  8460.95  ...  10178.39      4  西藏天路,澳柯玛,沈阳化工,
3     海通证券股份有限公司深圳分公司华富路证券营业部     3  1589.52  ...      0.00      0  展鹏科技,三维工程,蓝英装备
4           东亚前海证券有限责任公司湖北分公司     3  2800.88  ...      0.00      0       英特集团,展鹏科技
..                        ...   ...      ...  ...       ...    ...             ...
235           华鑫证券有限责任公司深圳分公司     1  1256.33  ...      0.00      0           *ST东科
236      华泰证券股份有限公司深圳红荔路证券营业部     2  1056.43  ...    716.98      1      *ST东科,山东海化
237  国泰君安证券股份有限公司吉安井冈山大道证券营业部     1   833.11  ...      0.00      0           *ST东科
238           国信证券股份有限公司浙江分公司     3  1044.56  ...    155.42      1     *ST东科,*ST群兴
239     中信证券股份有限公司惠州麦地东路证券营业部     1     0.00  ...   3601.39      1           *ST东科
```

##### 龙虎榜-机构席位追踪

接口: stock_sina_lhb_jgzz

目标地址: http://vip.stock.finance.sina.com.cn/q/go.php/vLHBData/kind/jgzz/index.phtml

描述: 获取新浪财经-龙虎榜-机构席位追踪

限量: 单次返回指定 recent_day 的所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| recent_day | str | Y    | recent_day="5"; choice of {"5": 最近 5 天; "10": 最近 10 天; "30": 最近 30 天; "60": 最近 60 天;} |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 股票代码          | str   | Y        |  -    |
| 股票名称          | str   | Y        |  -    |
| 累积买入额          | str   | Y        |  注意单位: 万    |
| 买入次数          | str   | Y        |  -    |
| 累积卖出额          | str   | Y        |  注意单位: 万    |
| 卖出次数          | str   | Y     |  -    |
| 净额          | str   | Y     |  注意单位: 万    |

接口示例

```python
import mssdk as ms
stock_sina_lhb_jgzz_df = ms.stock_sina_lhb_jgzz(recent_day="5")
print(stock_sina_lhb_jgzz_df)
```

数据示例

```
       股票代码  股票名称     累积买入额  买入次数     累积卖出额  卖出次数        净额
0    600316  洪都航空  65583.87     6      0.00     0  65583.87
1    300758  七彩化学  22994.81     4      0.00     0  22994.81
2    000698  沈阳化工  30499.57     9  14099.30     5  16400.27
3    600297  广汇汽车  20612.11     3   6156.50     2  14455.61
4    000789   万年青  12938.07     3      0.00     0  12938.07
..      ...   ...       ...   ...       ...   ...       ...
112  002080  中材科技      0.00     0   8885.15     2  -8885.15
113  600211  西藏药业  20082.79     2  31766.00     3 -11683.21
114  002626   金达威   4162.68     1  18767.99     3 -14605.31
115  600685  中船防务      0.00     0  22549.90     1 -22549.90
116  600196  复星医药  30846.00     1  69593.30     2 -38747.30
```

##### 龙虎榜-机构席位成交明细

接口: stock_sina_lhb_jgmx

目标地址: http://vip.stock.finance.sina.com.cn/q/go.php/vLHBData/kind/jgzz/index.phtml

描述: 新浪财经-龙虎榜-机构席位成交明细

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| - | - | -    | - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 股票代码          | str   | Y        |  -    |
| 股票名称          | str   | Y        |  -    |
| 交易日期          | str   | Y        |  -    |
| 机构席位买入额          | str   | Y        |  注意单位: 万    |
| 机构席位卖出额          | str   | Y        |  注意单位: 万    |
| 类型          | str   | Y     |  -    |

接口示例

```python
import mssdk as ms
stock_sina_lhb_jgmx_df = ms.stock_sina_lhb_jgmx()
print(stock_sina_lhb_jgmx_df)
```

数据示例

```
       股票代码  ...                                                 类型
0    002202  ...                                        涨幅偏离值达7%的证券
1    002946  ...                            连续三个交易日内，涨幅偏离值累计达20%的证券
2    000789  ...                                        涨幅偏离值达7%的证券
3    600175  ...                                                NaN
4    600331  ...                            连续三个交易日内，涨幅偏离值累计达20%的证券
..      ...  ...                                                ...
164  002389  ...                            连续三个交易日内，涨幅偏离值累计达20%的证券
165  300845  ...                                         换手率达20%的证券
166  300840  ...  连续三个交易日内，日均换手率与前五个交易日的日均换手率的比值达到30倍，且换手率累计达20%的股票
167  000526  ...                                         振幅值达15%的证券
168  300366  ...                                        涨幅偏离值达7%的证券
```

#### 首发申报信息

接口: stock_ipo_declare

目标地址: https://data.eastmoney.com/xg/xg/sbqy.html

描述: 获取东方财富网-数据中心-新股申购-首发申报信息-首发申报企业信息

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| - | - | -    | - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          | int32   | Y        |  -    |
| 申报企业          | object   | Y        |  -    |
| 拟上市地          | object   | Y        |  -    |
| 保荐机构          | object   | Y        |  -    |
| 会计师事务所          | object   | Y        |  -    |
| 律师事务所          | object   | Y        |  -    |
| 备注          | object   | Y        |  -    |

接口示例

```python
import mssdk as ms
stock_ipo_declare_df = ms.stock_ipo_declare()
print(stock_ipo_declare_df)
```

数据示例

```
      序号     申报企业 拟上市地  ...               会计师事务所        律师事务所      备注
0      1     奥精医疗科技股份有限公司  科创板  ...     立信会计师事务所(特殊普通合伙)  北京观韬中茂律师事务所  进一步问询中
1      2       爱威科技股份有限公司  科创板  ...     天健会计师事务所(特殊普通合伙)    湖南启元律师事务所  进一步问询中
2      3   北京弘成立业科技股份有限公司  创业板  ...     大华会计师事务所(特殊普通合伙)   北京市君合律师事务所  进一步问询中
3      4   北京海天瑞声科技股份有限公司  科创板  ...  毕马威华振会计师事务所(特殊普通合伙)   北京市天元律师事务所  进一步问询中
4      5  北京挖金客信息科技股份有限公司  创业板  ...     容诚会计师事务所(特殊普通合伙)  国浩律师(北京)事务所  进一步问询中
..   ...              ...  ...  ...                  ...          ...     ...
106  107   浙江嘉益保温科技股份有限公司  创业板  ...     天健会计师事务所(特殊普通合伙)   北京市金杜律师事务所  进一步问询中
107  108   浙江日发纺织机械股份有限公司  创业板  ...     天健会计师事务所(特殊普通合伙)    浙江天册律师事务所  进一步问询中
108  109     浙江泰福泵业股份有限公司  创业板  ...     天健会计师事务所(特殊普通合伙)  国浩律师(杭州)事务所  进一步问询中
109  110     中兰环保科技股份有限公司  创业板  ...     立信会计师事务所(特殊普通合伙)    北京国枫律师事务所  进一步问询中
110  111   中联云港数据科技股份有限公司  创业板  ...   天职国际会计师事务所(特殊普通合伙)  国浩律师(北京)事务所  进一步问询中
```

#### 注册制审核

##### 注册制审批

###### 科创板

接口: stock_register_kcb

目标地址: https://data.eastmoney.com/zcz/

描述: 东方财富网-数据中心-新股数据-注册制审核-科创板

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| - | - | -    | - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          | int32   | Y        |  -    |
| 发行人全称          | object   | Y        |  -    |
| 审核状态          | object   | Y        |  -    |
| 注册地          | object   | Y        |  -    |
| 证监会行业          | object   | Y        |  -    |
| 保荐机构          | object   | Y        |  -    |
| 律师事务所          | object   | Y     |  -    |
| 会计师事务所          | object   | Y     |  -    |
| 更新日期          | object   | Y     |  -    |
| 受理日期          | object   | Y     |  -    |
| 拟上市地点          | object   | Y     |  -    |

接口示例

```python
import mssdk as ms
stock_register_kcb_df = ms.stock_register_kcb()
print(stock_register_kcb_df)
```

数据示例

```
      序号            发行人全称  审核状态  ...             更新日期                受理日期 拟上市地点
0      1     长春百克生物科技股份公司  提交注册  ...  2021-04-02 00:00:00  2020-08-25 00:00:00   科创板
1      2     苏州明志科技股份有限公司  注册生效  ...  2021-04-02 00:00:00  2020-06-30 00:00:00   科创板
2      3   南京茂莱光学科技股份有限公司   已问询  ...  2021-04-02 00:00:00  2020-08-07 00:00:00   科创板
3      4  江苏金迪克生物技术股份有限公司   已问询  ...  2021-04-02 00:00:00  2020-10-26 00:00:00   科创板
4      5       科德数控股份有限公司  提交注册  ...  2021-04-02 00:00:00  2020-05-28 00:00:00   科创板
..   ...              ...   ...  ...                  ...                  ...   ...
534  535       澜起科技股份有限公司  注册生效  ...  2019-06-26 00:00:00  2019-04-01 00:00:00   科创板
535  536     浙江杭可科技股份有限公司  注册生效  ...  2019-06-24 00:00:00  2019-04-15 00:00:00   科创板
536  537     苏州天准科技股份有限公司  注册生效  ...  2019-06-20 00:00:00  2019-04-02 00:00:00   科创板
537  538   苏州华兴源创科技股份有限公司  注册生效  ...  2019-06-18 00:00:00  2019-03-27 00:00:00   科创板
538  539   烟台睿创微纳技术股份有限公司  注册生效  ...  2019-06-18 00:00:00  2019-03-22 00:00:00   科创板
```

###### 创业板

接口: stock_register_cyb

目标地址: http://data.eastmoney.com/xg/cyb/

描述: 获取东方财富网-数据中心-新股数据-注册制审核-创业板

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| - | - | -    | - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          | int32   | Y        |  -    |
| 发行人全称          | object   | Y        |  -    |
| 审核状态          | object   | Y        |  -    |
| 注册地          | object   | Y        |  -    |
| 证监会行业          | object   | Y        |  -    |
| 保荐机构          | object   | Y        |  -    |
| 律师事务所          | object   | Y     |  -    |
| 会计师事务所          | object   | Y     |  -    |
| 更新日期          | object   | Y     |  -    |
| 受理日期          | object   | Y     |  -    |
| 拟上市地点          | object   | Y     |  -    |

接口示例

```python
import mssdk as ms
stock_register_cyb_df = ms.stock_register_cyb()
print(stock_register_cyb_df)
```

数据示例

```
      序号              发行人全称  ...                 受理日期 拟上市地点
0      1      河南省力量钻石股份有限公司  ...  2020-07-24 00:00:00   创业板
1      2     安徽晶奇网络科技股份有限公司  ...  2020-12-17 00:00:00   创业板
2      3       杭州正强传动股份有限公司  ...  2020-07-17 00:00:00   创业板
3      4   北京百普赛斯生物科技股份有限公司  ...  2020-10-09 00:00:00   创业板
4      5         金埔园林股份有限公司  ...  2020-06-29 00:00:00   创业板
..   ...                ...  ...                  ...   ...
552  553    宁波卡倍亿电气技术股份有限公司  ...  2020-06-22 00:00:00   创业板
553  554      杨凌美畅新材料股份有限公司  ...  2020-06-24 00:00:00   创业板
554  555  康泰医学系统(秦皇岛)股份有限公司  ...  2020-07-02 00:00:00   创业板
555  556   北京锋尚世纪文化传媒股份有限公司  ...  2020-06-22 00:00:00   创业板
556  557      安徽蓝盾光电子股份有限公司  ...  2020-06-30 00:00:00   创业板
```

##### 达标企业

接口: stock_register_db

目标地址: http://data.eastmoney.com/xg/cyb/

描述: 获取东方财富网-数据中心-新股数据-注册制审核-达标企业

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| - | - | -    | - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          | int32   | Y        |  -    |
| 企业名称          | object   | Y        |  -    |
| 经营范围          | object   | Y        |  -    |
| 近三年营业收入-2019          | float64   | Y        |  注意单位: 元    |
| 近三年净利润-2019          | float64   | Y        |  注意单位: 元    |
| 近三年研发费用-2019          | object   | Y        |  注意单位: 元    |
| 近三年营业收入-2018          | float64   | Y        |  注意单位: 元    |
| 近三年净利润-2018          | float64   | Y        |  注意单位: 元    |
| 近三年研发费用-2018          | object   | Y        |  注意单位: 元    |
| 近三年营业收入-2017          | object   | Y        |  注意单位: 元    |
| 近三年净利润-2017          | object   | Y        |  注意单位: 元    |
| 近三年研发费用-2017          | object   | Y        |  注意单位: 元    |
| 近两年累计净利润          | float64   | Y        |  注意单位: 元    |

接口示例

```python
import mssdk as ms
stock_register_db_df = ms.stock_register_db()
print(stock_register_db_df)
```

数据示例

```
        序号              企业名称  ... 近三年研发费用-2017      近两年累计净利润
0        1   上海宏力达信息技术股份有限公司  ...  19932141.20  3.360614e+08
1        2   上海阿拉丁生化科技股份有限公司  ...   8962209.85  1.171064e+08
2        3  河北华友文化遗产保护股份有限公司  ...   2203545.49  5.992881e+07
3        4    大连豪森设备制造股份有限公司  ...  38364081.96  6.224462e+07
4        5            九号有限公司  ...  91330278.85 -2.258809e+09
    ...               ...  ...          ...           ...
1713  1714  武汉同济现代医药科技股份有限公司  ...   2796051.27  2.762509e+07
1714  1715      上海雷腾软件股份有限公司  ...   7793124.89  1.014579e+08
1715  1716    上海银音信息科技股份有限公司  ...  12518776.19  1.107391e+07
1716  1717    上海致远绿色能源股份有限公司  ...  18035201.48  3.533665e+07
1717  1718    上海四维文化传媒股份有限公司  ...  16961496.21  2.896218e+07
```

#### 增发

接口: stock_em_qbzf

目标地址: http://data.eastmoney.com/other/gkzf.html

描述: 获取东方财富网-数据中心-新股数据-增发-全部增发

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| - | - | -    | - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 股票代码          | object   | Y        |  -    |
| 股票简称          | object   | Y        |  -    |
| 增发代码          | object   | Y        |  -    |
| 发行方式          | object   | Y        |  -    |
| 发行总数          | object   | Y        | 注意单位: 股    |
| 网上发行          | object   | Y     |  注意单位: 股    |
| 发行价格          | object   | Y     |  -    |
| 最新价          | object   | Y     |  -    |
| 发行日期          | object   | Y     |  -    |
| 增发上市日期          | object   | Y     |  -    |
| 锁定期          | object   | Y     |  -    |

接口示例

```python
import mssdk as ms
stock_em_qbzf_df = ms.stock_em_qbzf()
print(stock_em_qbzf_df)
```

数据示例

```
  股票代码   股票简称 增发代码  发行方式  ...    最新价  发行日期      增发上市日期   锁定期
0     300758   七彩化学    -  定向增发  ...  21.16  2021-05-19  2021-05-19  1-3年
1     300161   华中数控    -  定向增发  ...  19.92  2021-05-19  2021-05-19  1-3年
2     002507   涪陵榨菜    -  定向增发  ...  41.24  2021-05-18  2021-05-18  1-3年
3     300473   德尔股份    -  定向增发  ...  20.58  2021-05-18  2021-05-18  1-3年
4     000032   深桑达A    -  定向增发  ...  20.31  2021-05-14  2021-05-17  1-3年
      ...    ...  ...   ...  ...    ...         ...         ...   ...
4333  002039   黔源电力    -  定向增发  ...  14.43  2011-01-05  2011-01-12  1-3年
4334  600461   洪城环境    -  定向增发  ...   7.50  2011-01-05  2011-01-05  1-3年
4335  000528     柳工    -  定向增发  ...   8.93  2011-01-05  2011-01-24  1-3年
4336  002259  *ST升达    -  定向增发  ...   3.78  2011-01-05  2011-01-13  1-3年
4337  002205   国统股份    -  定向增发  ...   6.92  2011-01-04  2011-01-11  1-3年
```

#### 配股

接口: stock_em_pg

目标地址: http://data.eastmoney.com/xg/pg/

描述: 获取东方财富网-数据中心-新股数据-配股

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| - | - | -    | - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 股票代码          | object   | Y        |  -    |
| 股票简称          | object   | Y        |  -    |
| 配售代码          | object   | Y        |  -    |
| 配股数量          | object   | Y        |  注意单位: 股    |
| 配股比例          | object   | Y        |  -   |
| 配股价          | object   | Y     |  -    |
| 最新价          | object   | Y     |  -    |
| 配股前总股本          | object   | Y     |  注意单位: 股    |
| 配股后总股本          | object   | Y     |  注意单位: 股    |
| 股权登记日          | object   | Y     |  -    |
| 缴款起始日期          | object   | Y     |  -    |
| 缴款截止日期          | object   | Y     |  -    |
| 上市日          | object   | Y     |  -    |

接口示例

```python
import mssdk as ms
stock_em_pg_df = ms.stock_em_pg()
print(stock_em_pg_df)
```

数据示例

```
        股票代码   股票简称    配售代码  ...      缴款起始日期      缴款截止日期         上市日
0     600888   新疆众和  700888  ...  2021-04-13  2021-04-19  2021-05-07
1     600919   江苏银行  700919  ...  2020-12-09  2020-12-15  2021-01-14
2     000728   国元证券  080728  ...  2020-10-14  2020-10-20  2020-10-30
3     600008   首创股份  700008  ...  2020-09-21  2020-09-25  2020-10-16
4     002788   鹭燕医药  082788  ...  2020-09-09  2020-09-15  2020-10-13
      ...    ...     ...  ...         ...         ...         ...
1031  600651   飞乐音响          ...                          1994-04-25
1032  600653   申华控股          ...                          1993-06-10
1033  600652  *ST游久          ...                          1993-03-15
1034  600609   金杯汽车          ...                          1993-01-29
1035  600601   ST方科          ...                          1992-06-10
```

### 大宗交易

#### 市场统计

接口: stock_dzjy_sctj

目标地址: http://data.eastmoney.com/dzjy/dzjy_sctj.aspx

描述: 获取东方财富网-数据中心-大宗交易-市场统计

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| - | - | -    | - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 交易日期          | str   | Y        |  -    |
| 上证指数          | str   | Y        |  -    |
| 上证指数涨跌幅          | str   | Y        |  -    |
| 大宗交易成交总额          | str   | Y        |  -    |
| 溢价成交总额          | str   | Y        |  -    |
| 溢价成交总额占比          | str   | Y     |  -    |
| 折价成交总额          | str   | Y     |  -    |
| 折价成交总额占比          | str   | Y     |  -    |

接口示例

```python
import mssdk as ms
stock_dzjy_sctj_df = ms.stock_dzjy_sctj()
print(stock_dzjy_sctj_df)
```

数据示例

```
           交易日期     上证指数  上证指数涨跌幅  ...  溢价成交总额占比     折价成交总额  折价成交总额占比
0    2020-12-04  3436.73  -0.0034  ...    0.1585  237339.21    0.7869
1    2020-12-03  3448.54  -0.0014  ...    0.1346  347855.54    0.7910
2    2020-12-02  3453.52   0.0190  ...    0.0304  384158.90    0.8590
3    2020-12-01  3388.99  -0.0085  ...    0.0273  264430.27    0.7405
4    2020-11-30  3418.16   0.0131  ...    0.3282  185178.08    0.5837
         ...      ...      ...  ...       ...        ...       ...
2647 2010-01-08  3177.26  -0.0236  ...    0.0000   22085.22    1.0000
2648 2010-01-07  3253.99  -0.0072  ...    0.0000   20953.26    1.0000
2649 2010-01-06  3277.52   0.0071  ...    0.0000   45197.73    1.0000
2650 2010-01-05  3254.47  -0.0107  ...    0.0000   19188.66    1.0000
2651 2010-01-04  3289.75   0.0076  ...    0.0000   22476.90    1.0000
```

#### 每日明细

接口: stock_dzjy_mrmx

目标地址: http://data.eastmoney.com/dzjy/dzjy_mrmxa.aspx

描述: 获取东方财富网-数据中心-大宗交易-每日明细

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| symbol | str | Y    | symbol='债券'; choice of {'A股', 'B股', '债券'} |
| start_date | str | Y    | start_date='2020-11-23'; 开始日期 |
| end_date | sr | Y    | end_date='2020-12-04'; 结束日期 |

输出参数-A股

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          | int   | Y        |  -    |
| 交易日期          | str   | Y        |  -    |
| 证券代码          | str   | Y        |  -    |
| 证券简称          | str   | Y        |  -    |
| 涨跌幅          | float   | Y        |  -    |
| 收盘价          | float   | Y     |  -    |
| 成交价          | float   | Y     |  -    |
| 折溢率          | float   | Y     |  -    |
| 成交量          | float   | Y     |  注意单位: 万股    |
| 成交额          | float   | Y     |  注意单位: 万元    |
| 成交额/流通市值          | float   | Y     |  -    |
| 买方营业部          | str   | Y     |  -    |
| 卖方营业部          | str   | Y     |  -    |

接口示例-A股

```python
import mssdk as ms
stock_dzjy_mrmx_df = ms.stock_dzjy_mrmx(symbol='A股', start_date='2020-12-04', end_date='2020-12-04')
print(stock_dzjy_mrmx_df)
```

数据示例-A股

```
      序号       交易日期    证券代码  ...  成交额/流通市值               买方营业部               卖方营业部
0      1 2020-12-04  000002  ...  0.000064     国联证券无锡金融一街证券营业部     国联证券泰州济川东路证券营业部
1      2 2020-12-04  000333  ...  0.000010  光大证券佛山顺德北滘怡福路证券营业部           华金证券广东分公司
2      3 2020-12-04  000333  ...  0.000005                机构专用                机构专用
3      4 2020-12-04  000338  ...  0.000205                机构专用                机构专用
4      5 2020-12-04  000417  ...  0.001272     东方证券莆田胜利北街证券营业部    东方证券交易单元(225900)
..   ...        ...     ...  ...       ...                 ...                 ...
159  160 2020-12-04  688111  ...  0.000054                机构专用  中国国际金融北京科学院南路证券营业部
160  161 2020-12-04  688111  ...  0.000049                机构专用  中国国际金融北京科学院南路证券营业部
161  162 2020-12-04  688111  ...  0.000041                机构专用  中国国际金融北京科学院南路证券营业部
162  163 2020-12-04  688111  ...  0.000041       东吴证券苏州石路证券营业部  中国国际金融北京科学院南路证券营业部
163  164 2020-12-04  688333  ...  0.000587                机构专用    中信建投证券兰州皋兰路证券营业部
```

输出参数-B股

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          | int   | Y        |  -    |
| 交易日期          | str   | Y        |  -    |
| 证券代码          | str   | Y        |  -    |
| 证券简称          | str   | Y        |  -    |
| 成交价          | float   | Y     |  -    |
| 成交量          | float   | Y     |  注意单位: 万股    |
| 成交额          | float   | Y     |  注意单位: 万元    |
| 买方营业部          | str   | Y     |  -    |
| 卖方营业部          | str   | Y     |  -    |

接口示例-B股

```python
import mssdk as ms
stock_dzjy_mrmx_df = ms.stock_dzjy_mrmx(symbol='B股', start_date='2020-11-04', end_date='2020-12-04')
print(stock_dzjy_mrmx_df)
```

数据示例-B股

```
   序号       交易日期    证券代码  ...       成交额                买方营业部                卖方营业部
0   1 2020-11-30  900948  ...  84.08924  中国国际金融北京建国门外大街证券营业部  中国国际金融北京建国门外大街证券营业部
1   2 2020-11-30  900948  ...  21.48332  中国国际金融北京建国门外大街证券营业部  中国国际金融北京建国门外大街证券营业部
```

输出参数-债券

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          | int   | Y        |  -    |
| 交易日期          | str   | Y        |  -    |
| 证券代码          | str   | Y        |  -    |
| 证券简称          | str   | Y        |  -    |
| 成交价          | float   | Y     |  -    |
| 成交量          | float   | Y     |  注意单位: 万股    |
| 成交额          | float   | Y     |  注意单位: 万元    |
| 买方营业部          | str   | Y     |  -    |
| 卖方营业部          | str   | Y     |  -    |

接口示例-债券

```python
import mssdk as ms
stock_dzjy_mrmx_df = ms.stock_dzjy_mrmx(symbol='债券', start_date='2020-12-04', end_date='2020-12-04')
print(stock_dzjy_mrmx_df)
```

数据示例-债券

```
      序号       交易日期    证券代码  ...        成交额             买方营业部            卖方营业部
0      1 2020-12-04  111081  ...  2011.4000              机构专用             机构专用
1      2 2020-12-04  111081  ...  2011.0000              机构专用             机构专用
2      3 2020-12-04  112115  ...  1031.7000              机构专用             机构专用
3      4 2020-12-04  112292  ...   247.4128  中国银河证券西安和平路证券营业部  华泰证券西安丈八东路证券营业部
4      5 2020-12-04  112386  ...  2001.6000        平安证券北京市分公司             机构专用
..   ...        ...     ...  ...        ...               ...              ...
214  215 2020-12-04  149281  ...  4957.0000              机构专用             机构专用
215  216 2020-12-04  149281  ...  4956.5000              机构专用             机构专用
216  217 2020-12-04  149286  ...  3994.4000              机构专用             机构专用
217  218 2020-12-04  149314  ...  3000.0000              机构专用             机构专用
218  219 2020-12-04  149314  ...  2000.0000              机构专用             机构专用
```

#### 每日统计

接口: stock_dzjy_mrtj

目标地址: http://data.eastmoney.com/dzjy/dzjy_mrtj.aspx

描述: 获取东方财富网-数据中心-大宗交易-每日统计

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| start_date | str | Y    | start_date='2020-12-04'; 开始日期 |
| end_date | sr | Y    | end_date='2020-12-04'; 结束日期 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          | int   | Y        |  -    |
| 交易日期          | str   | Y        |  -    |
| 证券代码          | str   | Y        |  -    |
| 证券简称          | str   | Y        |  -    |
| 涨跌幅          | float   | Y        |  注意单位: %    |
| 收盘价          | float   | Y     |  -    |
| 成交均价          | float   | Y     |  -    |
| 折溢率          | float   | Y     |  -    |
| 成交笔数          | float   | Y     |      |
| 成交总量          | float   | Y     |  注意单位: 万股    |
| 成交总额          | float   | Y     |  注意单位: 万元    |
| 成交总额/流通市值          | str   | Y     |  -    |

接口示例

```python
import mssdk as ms
stock_dzjy_mrtj_df = ms.stock_dzjy_mrtj(start_date='2020-12-04', end_date='2020-12-04')
print(stock_dzjy_mrtj_df)
```

数据示例

```
    序号       交易日期    证券代码  证券简称  ...  成交笔数    成交总量     成交总额  成交总额/流通市值
0    1 2020-12-04  300718  长盛轴承  ...   1.0  198.00  3817.44   0.021468
1    2 2020-12-04  688068  热景生物  ...   2.0   71.90  2708.47   0.016290
2    3 2020-12-04  603086  先达股份  ...   1.0  190.00   3368.7   0.012145
3    4 2020-12-04  300132  青松股份  ...   1.0  582.00  11209.3   0.011384
4    5 2020-12-04  603027  千禾味业  ...  22.0  746.99  25494.8   0.010150
..  ..        ...     ...   ...  ...   ...     ...      ...        ...
87  88 2020-12-04  600519  贵州茅台  ...   3.0    5.35  9671.11   0.000043
88  89 2020-12-04  600276  恒瑞医药  ...   1.0   10.95  999.954   0.000021
89  90 2020-12-04  600887  伊利股份  ...   1.0   10.50   408.87   0.000017
90  91 2020-12-04  000333  美的集团  ...   2.0    9.66   911.05   0.000015
91  92 2020-12-04  601988  中国银行  ...   1.0  100.00      328   0.000005
```

#### 活跃A股统计

接口: stock_dzjy_hygtj

目标地址: http://data.eastmoney.com/dzjy/dzjy_hygtj.aspx

描述: 获取东方财富网-数据中心-大宗交易-活跃 A 股统计

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| period | str | Y    | period='近三月'; choice of {'近一月', '近三月', '近六月', '近一年'} |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          | int   | Y        |  -    |
| 证券代码          | str   | Y        |  -    |
| 证券简称          | str   | Y        |  -    |
| 最新价          | str   | Y        |  -    |
| 涨跌幅          | float   | Y        |  注意单位: %    |
| 最近上榜日          | float   | Y     |  -    |
| 上榜次数-总计          | float   | Y     |  -    |
| 上榜次数-溢价          | float   | Y     |  -    |
| 上榜次数-折价          | float   | Y     |      |
| 总成交额          | float   | Y     |  注意单位: 万元    |
| 折溢率          | float   | Y     |  注意单位: 万元    |
| 成交总额/流通市值          | str   | Y     |  -    |
| 上榜日后平均涨跌幅-1日          | str   | Y     |  注意符号: %    |
| 上榜日后平均涨跌幅-5日          | str   | Y     |  注意符号: %    |
| 上榜日后平均涨跌幅-10日          | str   | Y     |  注意符号: %    |
| 上榜日后平均涨跌幅-20日          | str   | Y     |  注意符号: %    |

接口示例

```python
import mssdk as ms
stock_dzjy_hygtj_df = ms.stock_dzjy_hygtj(period='近三月')
print(stock_dzjy_hygtj_df)
```

数据示例

```
        序号    证券代码  ...         上榜日后平均涨跌幅-10日        上榜日后平均涨跌幅-20日
0        1  603501  ...              -2.17058   4.4287555084745742
1        2  600989  ...    13.116939344262336   6.8297114754098418
2        3  600519  ...   0.17680629921259783  0.81875039370078784
3        4  600399  ...               0.51943                    0
4        5  000538  ...  -0.87625888888888881  -1.1747266666666667
    ...     ...  ...                   ...                  ...
1180  1181  000301  ...               23.9453                    0
1181  1182  603283  ...                 -8.02                    0
1182  1183  600633  ...               -0.6508                    0
1183  1184  600363  ...                -1.339                    0
1184  1185  300238  ...               16.4905                    0
```

#### 活跃营业部统计

接口: stock_dzjy_hyyybtj

目标地址: http://data.eastmoney.com/dzjy/dzjy_hyyybtj.aspx

描述: 获取东方财富网-数据中心-大宗交易-活跃营业部统计

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| period | str | Y    | period='近3日'; choice of {'当前交易日', '近3日', '近5日', '近10日', '近30日'} |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          | int   | Y        |  -    |
| 最近上榜日          | int   | Y        |  -    |
| 营业部名称          | str   | Y        |  -    |
| 次数总计-买入          | str   | Y        |  -    |
| 次数总计-卖出          | float   | Y        |  注意单位: %    |
| 成交金额统计-买入          | float   | Y     |  -    |
| 成交金额统计-卖出          | float   | Y     |  -    |
| 成交金额统计-净买入额          | float   | Y     |  -    |
| 买入的股票          | float   | Y     |      |

接口示例

```python
import mssdk as ms
stock_dzjy_hyyybtj_df = ms.stock_dzjy_hyyybtj(period='近3日')
print(stock_dzjy_hyyybtj_df)
```

数据示例

```
      序号  ...                                              买入的股票
0      1  ...  000538|云南白药,000568|泸州老窖,000617|中油资本,002171|楚江新...
1      2  ...  002111|威海广泰,002498|汉缆股份,600027|华电国际,600030|中信证...
2      3  ...  600085|同仁堂,688036|传音控股,688068|热景生物,600036|招商银行...
3      4  ...                                        000923|河钢资源
4      5  ...  002740|爱迪尔,600399|ST抚钢,688369|致远互联,300210|森远股份...
..   ...  ...                                                ...
339  340  ...                                                  -
340  341  ...                                                  -
341  342  ...                                                  -
342  343  ...                                                  -
343  344  ...                                                  -
```

#### 营业部排行

接口: stock_dzjy_yybph

目标地址: http://data.eastmoney.com/dzjy/dzjy_yybph.aspx

描述: 获取东方财富网-数据中心-大宗交易-营业部排行

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| period | str | Y    | period='近三月'; choice of {'近一月', '近三月', '近六月', '近一年'} |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          | int   | Y        |  -    |
| 营业部名称          | int   | Y        |  -    |
| 上榜后1天-买入次数          | str   | Y        |  -    |
| 上榜后1天-平均涨幅          | str   | Y        |  注意单位: %    |
| 上榜后1天-上涨概率          | float   | Y        |  -    |
| 上榜后5天-平均涨幅          | float   | Y     |  注意单位: %    |
| 上榜后5天-上涨概率          | float   | Y     |  -    |
| 上榜后10天-平均涨幅          | float   | Y     |  注意单位: %    |
| 上榜后10天-上涨概率          | float   | Y     |      |
| 上榜后20天-平均涨幅          | float   | Y     |  注意单位: %    |
| 上榜后20天-上涨概率          | float   | Y     |      |

接口示例

```python
import mssdk as ms
stock_dzjy_yybph_df = ms.stock_dzjy_yybph(period='近三月')
print(stock_dzjy_yybph_df)
```

数据示例

```
        序号                 营业部名称  ...           上榜后20天-平均涨幅          上榜后20天-上涨概率
0        1                  机构专用  ...   0.47139628498727815  0.28956743002544527
1        2        兴业证券上海民生路证券营业部  ...  -0.73471122448979587  0.22448979591836735
2        3         中信证券总部(非营业场所)  ...    5.1690111111111126  0.34722222222222221
3        4             国都证券江苏分公司  ...    2.7906707692307693  0.33846153846153848
4        5       中信证券北京安外大街证券营业部  ...               4.14982                0.625
    ...                   ...  ...                   ...                  ...
1179  1180     第一创业证券深圳深南大道证券营业部  ...                     0                    0
1180  1181      中国国际金融宁波杨帆路证券营业部  ...                     0                    0
1181  1182  申万宏源西部证券北京东四环中路证券营业部  ...                     0                    0
1182  1183        光大证券佛山绿景路证券营业部  ...                     0                    0
1183  1184             渤海证券上海分公司  ...                     0                    0
```

### 一致行动人

接口: stock_em_yzxdr

目标地址: http://data.eastmoney.com/yzxdr/

描述: 获取东方财富网-数据中心-特色数据-一致行动人

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| date | str | Y    | date="20200930"; 每年的季度末时间点 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 序号          | int32   | Y        |  -    |
| 股票代码          | object   | Y        |  -    |
| 股票简称         | object   | Y        |  -    |
| 一致行动人          | object   | Y        |  -    |
| 股东排名          | object   | Y        |  -    |
| 持股数量          | int64   | Y     |  -    |
| 持股比例          | float64   | Y     |  -    |
| 持股数量变动          | object   | Y     |  注意单位: %    |
| 行业          | object   | Y     |    -  |
| 公告日期          | object   | Y     |  -    |

接口示例

```python
import mssdk as ms
stock_em_yzxdr_df = ms.stock_em_yzxdr(date="20210331")
print(stock_em_yzxdr_df)
```

数据示例

```
    序号    股票代码   股票简称  ... 持股数量变动   行业    公告日期
0        1  603836   海程邦达  ...    NaN  交运物流  2021-05-14
1        2  000835   *ST长动  ...     NaN  文化传媒  2021-05-11
2        3  603358   华达科技  ...    NaN  汽车行业  2021-05-06
3        4  002277   友阿股份  ...    NaN  商业百货  2021-04-30
4        5  002597   金禾实业  ...    NaN  化工行业  2021-04-30
    ...     ...    ...  ...    ...   ...         ...
3036  3037  300208   青岛中程  ...   None  输配电气  2021-04-09
3037  3038  300208   青岛中程  ...   None  输配电气  2021-04-09
3038  3039  300208   青岛中程  ...   None  输配电气  2021-04-09
3039  3040  002825   纳尔股份  ...   None  塑胶制品  2021-04-08
3040  3041  300584   海辰药业  ...   None  医药制造  2021-04-08
```

### 融资融券

#### 上海证券交易所

##### 融资融券汇总

接口: stock_margin_sse

目标地址: http://www.sse.com.cn/market/othersdata/margin/sum/

描述: 获取上海证券交易所-融资融券数据-融资融券汇总数据

限量: 单次返回指定时间段内的所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| start_date | str | Y    | start_date="20010106" |
| end_date | str | Y    | end_date="20010106" |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 信用交易日期          | str   | Y        |  -    |
| 融资余额          | float   | Y        |  注意单位: 元    |
| 融资买入额         | float   | Y        |  注意单位: 元    |
| 融券余量          | float   | Y        |  -    |
| 融券余量金额          | float   | Y        |  注意单位: 元    |
| 融券卖出量          | float   | Y     |  -    |
| 融资融券余额          | float   | Y     |  注意单位: 元    |

接口示例

```python
import mssdk as ms
stock_margin_sse_df = ms.stock_margin_sse(start_date="20010106", end_date="20210208")
print(stock_margin_sse_df)
```

数据示例

```
     信用交易日期 融资余额        融资买入额  ... 融券余量金额  融券卖出量   融资融券余额
0     20210205  798537947597  39256505179  ...  87230537840  169481352  885768485437
1     20210204  802902827539  41486860920  ...  87780973049  164920794  890683800588
2     20210203  807189978760  42621756166  ...  88548469683  251518719  895738448443
3     20210202  807418158794  37533872673  ...  88303226275  230032183  895721385069
4     20210201  807900109492  33787419612  ...  87699520622  149203855  895599630114
        ...           ...          ...  ...          ...        ...           ...
1995  20121126   52224867623   1322180521  ...   1366826765  234474541   53591694388
1996  20121123   52163842479   1543727769  ...   1347840020  257859771   53511682499
1997  20121122   52326315202   1332145449  ...   1302639373  214932697   53628954575
1998  20121121   52338359165   1943146103  ...   1306569346  308581665   53644928511
1999  20121120   52232906651   1509399872  ...   1208322014  225334923   53441228665
```

##### 融资融券明细

接口: stock_margin_detail_sse

目标地址: http://www.sse.com.cn/market/othersdata/margin/detail/

描述: 上海证券交易所-融资融券数据-融资融券明细数据

限量: 单次返回交易日的所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| date | str | Y    | date="20210205" |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 信用交易日期          | str   | Y        |  -    |
| 标的证券代码          | str   | Y        |  -    |
| 标的证券简称          | str   | Y        |  -    |
| 融资余额          | float   | Y        |  注意单位: 元    |
| 融资买入额         | float   | Y        |  注意单位: 元    |
| 融资偿还额         | float   | Y        |  注意单位: 元    |
| 融券余量          | float   | Y        |  -    |
| 融券卖出量          | float   | Y        |  -    |
| 融券偿还量          | float   | Y     |  -    |

接口示例

```python
import mssdk as ms
stock_margin_detail_sse_df = ms.stock_margin_detail_sse(date="20210201")
print(stock_margin_detail_sse_df)
```

数据示例

```
    信用交易日期  标的证券代码  标的证券简称  ...  融券余量 融券卖出量  融券偿还量
0     20210201  510050   50ETF  ...  35579000  11401300   3105145
1     20210201  510150   消费ETF  ...         0         0         0
2     20210201  510180  180ETF  ...    616800     18800      1300
3     20210201  510230   金融ETF  ...         0         0         0
4     20210201  510300  300ETF  ...  68534680  13358800  14957571
        ...     ...     ...  ...       ...       ...       ...
1103  20210201  688777    中控技术  ...    324312      2850      7526
1104  20210201  688788    科思科技  ...         0         0         0
1105  20210201  688819    天能股份  ...   1986124    203807    547152
1106  20210201  688981    中芯国际  ...  63791387    399906   1394406
1107  20210201  689009    九号公司  ...    895753    236200    197020
```

#### 深圳证券交易所

##### 融资融券汇总

接口: stock_margin_szse

目标地址: http://www.szse.cn/disclosure/margin/margin/index.html

描述: 深圳证券交易所-融资融券数据-融资融券汇总数据

限量: 单次返回指定时间内的所有历史数据

输入参数

| 名称   | 类型 | 描述   |
| -------- | ---- |  --- |
| date | str |  start_date="20210401" |

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 融资买入额          | float64   |   注意单位: 亿元    |
| 融资余额         | float64   |  注意单位: 亿元    |
| 融券卖出量          | float64   |   注意单位: 亿股/亿份    |
| 融券余量          | float64   |  注意单位: 亿股/亿份    |
| 融券余额          | float64   |  注意单位: 亿元    |
| 融资融券余额          | float64   |   注意单位: 亿元    |

接口示例

```python
import mssdk as ms
stock_margin_sse_df = ms.stock_margin_szse(date="20210401")
print(stock_margin_sse_df)
```

数据示例

```
   融资买入额     融资余额  融券卖出量   融券余量    融券余额   融资融券余额
0  267.8  7113.05   0.93  31.99  579.71  7692.76
```

##### 融资融券明细

接口: stock_margin_detail_szse

目标地址: http://www.szse.cn/disclosure/margin/margin/index.html

描述: 深证证券交易所-融资融券数据-融资融券明细数据

限量: 单次返回交易日的所有历史数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| date | str |  date="20210205" |

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 证券代码          | object   |   -    |
| 证券简称          | object   |   -    |
| 融资买入额          | float64   |   注意单位: 亿元    |
| 融资余额          | float64   |  注意单位: 亿元    |
| 融券卖出量         | float64   |   注意单位: 万股/万份    |
| 融券余量         | float64   |   注意单位: 万股/万份    |
| 融券余额          | float64   |   注意单位: 万元    |
| 融资融券余额          | float64   |   注意单位: 亿元    |

接口示例

```python
import mssdk as ms
stock_margin_detail_sse_df = ms.stock_margin_detail_szse(date="20210727")
print(stock_margin_detail_sse_df)
```

数据示例

```
     证券代码  证券简称  融资买入额   融资余额   融券卖出量 融券余量 融券余额 融资融券余额
0     000001  平安银行   1.99  30.84  127.17  8968.96  159288.88   46.77
1     000002   万科Ａ   3.58  77.68   25.41  7026.75  141659.43   91.84
2     000006  深振业Ａ   0.02   4.44    0.40     9.08      40.86    4.45
3     000008  神州高铁   0.02   2.52    0.00    19.18      40.27    2.53
4     000009  中国宝安   1.18  16.52   46.80   693.32   14844.03   18.01
      ...   ...    ...    ...     ...      ...        ...     ...
1015  000036  华联控股   0.03   2.42    0.45    40.78     167.20    2.44
1016  000039  中集集团   0.22  12.17    6.45   290.28    4577.78   12.62
1017  000040  东旭蓝天   0.04   1.45    0.00    10.48      29.76    1.45
1018  000046  泛海控股   0.01   3.79    0.49   406.00     807.94    3.88
1019  000049  德赛电池   0.31   5.02    1.96     2.56     104.98    5.03
```

##### 标的证券信息

接口: stock_margin_underlying_info_szse

目标地址: http://www.szse.cn/disclosure/margin/object/index.html

描述: 深圳证券交易所-融资融券数据-标的证券信息

限量: 单次返回交易日的所有历史数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| date | str |  date="20210205" |

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 证券代码          | object   |   -    |
| 证券简称          | object   |   -    |
| 融资标的          | object   |   -    |
| 融券标的          | object   |  -    |
| 当日可融资         | object   |   -    |
| 当日可融券         | object   |   -    |
| 融券卖出价格限制          | object   |   -    |
| 涨跌幅限制          | object   |   -   |

接口示例

```python
import mssdk as ms
stock_margin_underlying_info_szse_df = ms.stock_margin_underlying_info_szse(date="20210727")
print(stock_margin_underlying_info_szse_df)
```

数据示例

```
    证券代码  证券简称 融资标的 融券标的 当日可融资 当日可融券 融券卖出价格限制 涨跌幅限制
0     000001  平安银行    Y    Y     Y     Y        Y   10%
1     000002   万科Ａ    Y    Y     Y     Y        Y   10%
2     000006  深振业Ａ    Y    Y     Y     Y        Y   10%
3     000008  神州高铁    Y    Y     Y     Y        Y   10%
4     000009  中国宝安    Y    Y     Y     Y        Y   10%
      ...   ...  ...  ...   ...   ...      ...   ...
1000  301030   C仕净    Y    Y     Y     Y        Y   无限制
1001  301031  中熔电气    Y    Y     Y     Y        Y   20%
1002  301032   C新柴    Y    Y     Y     Y        Y   无限制
1003  301033   C迈普    Y    Y     Y     Y        Y   无限制
1004  301039  中集车辆    Y    Y     Y     Y        Y   20%
```

### 盈利预测

接口: stock_profit_forecast

目标地址: http://data.eastmoney.com/report/profitforecast.jshtml

描述: 东方财富网-数据中心-研究报告-盈利预测

限量: 单次返回所有历史数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| - | - |  - |

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 序号          | int32   |  -    |
| 代码          | object   |   -    |
| 名称          | object   |   -    |
| 研报数          | int64   |   -    |
| 机构投资评级(近六个月)-买入         | int64   |   -    |
| 机构投资评级(近六个月)-增持         | int64   |   -    |
| 机构投资评级(近六个月)-中性          | int64   |   -    |
| 机构投资评级(近六个月)-减持          | int64   |   -    |
| 机构投资评级(近六个月)-卖出          | int64   |  -    |
| xxxx预测每股收益          | object   |  -    |
| xxxx预测每股收益          | object   |   -    |
| xxxx预测每股收益          | object   |   -    |

接口示例

```python
import mssdk as ms
stock_profit_forecast_df = ms.stock_profit_forecast()
print(stock_profit_forecast_df)
```

数据示例

```
        序号      代码    名称  研报数  ...  2020预测每股收益  2021预测每股收益  2022预测每股收益  2023预测每股收益
0        1  600309  万华化学   89  ...      3.1982      4.9287                        
1        2  601633  长城汽车   88  ...      0.5844       0.765                        
2        3  600519  贵州茅台   78  ...     37.1735     48.4156                        
3        4  601888  中国中免   56  ...      3.1447       3.186                        
4        5  000625  长安汽车   55  ...      0.6111      1.0858                        
    ...     ...   ...  ...  ...         ...         ...         ...         ...
1676  1677  600171  上海贝岭    1  ...      0.7502                                    
1677  1678  600158  中体产业    1  ...      0.0562      0.2232                        
1678  1679  002838  道恩股份    1  ...      2.0958      0.8373                        
1679  1680  000027  深圳能源    1  ...      0.8374      0.5429                        
1680  1681  000012   南玻A    1  ...      0.2538      0.2997                        
```

### 概念板块

#### 同花顺-概念时间表

接口: stock_board_concept_name_ths

目标地址: http://q.10jqka.com.cn/gn/detail/code/301558/

描述: 同花顺-板块-概念板块-概念

限量: 单次返回当前所有概念时间表数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| - | - | -|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 日期          | object   |   -    |
| 概念名称          | object   |   -    |
| 成分股数量          | int64   |   -    |
| 代码          | object   |   -    |

接口示例

```python
import mssdk as ms
stock_board_concept_name_ths_df = ms.stock_board_concept_name_ths()
print(stock_board_concept_name_ths_df)
```

数据示例

```
        日期   概念名称  成分股数量                                         代码
0    2021-10-18   换电概念     15  http://q.10jqka.com.cn/gn/detail/code/308775/
1    2021-10-15   培育钻石      8  http://q.10jqka.com.cn/gn/detail/code/308774/
2    2021-09-23  三季报预增    432  http://q.10jqka.com.cn/gn/detail/code/308458/
3    2021-09-22   绿色电力     70  http://q.10jqka.com.cn/gn/detail/code/308760/
4    2021-09-08    元宇宙     26  http://q.10jqka.com.cn/gn/detail/code/308752/
..          ...    ...    ...                                            ...
280  2012-09-05  氟化工概念     21  http://q.10jqka.com.cn/gn/detail/code/300085/
281  2012-09-05   横琴新区     44  http://q.10jqka.com.cn/gn/detail/code/300087/
282  2012-09-05    磷化工     35  http://q.10jqka.com.cn/gn/detail/code/300098/
283  2012-09-05   参股券商    124  http://q.10jqka.com.cn/gn/detail/code/300100/
284  2012-09-05   生物疫苗     53  http://q.10jqka.com.cn/gn/detail/code/300106/
```

#### 同花顺-成份股-概念名称

接口: stock_board_concept_cons_ths

目标地址: http://q.10jqka.com.cn/gn/detail/code/301558/

描述: 同花顺-板块-概念板块-成份股数据

限量: 单次返回当前时刻所有成份股, 调用 **ms.stock_board_concept_info_ths** 返回该板块信息

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| symbol | str |  symbol="阿里巴巴概念"; 可以通过调用 **ms.stock_board_concept_name_ths** 查看同花顺的所有概念名称; 注意：其中 "国家大基金持股" 为 "国家大基金持股 ", 最后有一个空格|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 序号          | int64   |   -    |
| 代码          | object   |   -    |
| 名称          | object   |  -    |
| 现价          | float64   |  -    |
| 涨跌幅         | float64   |   注意单位: %    |
| 涨跌         | float64   |   -    |
| 涨速          | float64   |   注意单位: %    |
| 换手          | float64   |  注意单位: %    |
| 量比          | float64   |  -    |
| 振幅          | float64   |   注意单位: %    |
| 成交额          | object   |   -    |
| 流通股          | object   |   -    |
| 流通市值          | object   |   -    |
| 市盈率          | object   |   -    |

接口示例

```python
import mssdk as ms
stock_board_concept_cons_ths_df = ms.stock_board_concept_cons_ths(symbol="人脸识别")
print(stock_board_concept_cons_ths_df)
```

数据示例

```
   序号  代码     名称      现价  ...   成交额    流通股    流通市值        市盈率
0    1  002415   海康威视   53.40  ...  19.10亿  83.44亿  4455.66亿       37.23
1    2  002230   科大讯飞   47.60  ...  25.86亿  20.26亿   964.60亿      143.30
2    3  688039   当虹科技   67.98  ...   0.17亿   0.48亿    32.85亿       49.23
3    4  300807   天迈科技   27.76  ...   1.00亿   0.30亿     8.36亿          --
4    5  002236   大华股份   24.18  ...  16.83亿  18.58亿   449.33亿       18.56
5    6  002990   盛视科技   67.84  ...   0.20亿   0.32亿    21.41亿       41.74
6    7  300884    狄耐克   38.76  ...   0.51亿   0.28亿    11.03亿       31.41
7    8  002177   御银股份    6.42  ...  14.27亿   7.61亿    48.87亿       65.54
8    9  002456    欧菲光    8.44  ...   7.06亿  26.68亿   225.22亿       25.83
9   10  300188   美亚柏科   18.07  ...   0.95亿   6.01亿   108.65亿       38.80
10  11  002189    中光学   16.10  ...   0.30亿   2.22亿    35.76亿   28.740000
11  12  002065   东华软件    7.67  ...   1.87亿  28.08亿   215.35亿   35.440000
12  13  002362   汉王科技   19.79  ...   0.53亿   1.79亿    35.40亿   46.530000
13  14  002373   千方科技   16.07  ...   1.41亿  11.43亿   183.61亿   23.730000
14  15  300076  GQY视讯    4.59  ...   0.22亿   3.82亿    17.55亿  118.080000
15  16  002819   东方中科   33.95  ...   0.20亿   1.39亿    47.35亿   98.350000
16  17  300306   远方信息    8.62  ...   0.22亿   1.50亿    12.96亿   34.040000
17  18  300248    新开普    9.17  ...   1.36亿   3.31亿    30.39亿   23.840000
18  19  600728   佳都科技    6.69  ...   0.52亿  17.30亿   115.72亿  152.380000
19  20  300711   广哈通信   14.01  ...   0.53亿   2.06亿    28.93亿   94.380000
20  21  600355   精伦电子    2.22  ...   0.13亿   4.92亿    10.92亿          --
21  22  300561   汇金科技   15.01  ...   0.99亿   1.34亿    20.18亿      176.12
22  23  300367   ST网力    2.74  ...   0.19亿   9.48亿    25.99亿          --
23  24  600271   航天信息   11.89  ...   1.16亿  18.53亿   220.30亿       93.77
24  25  300098    高新兴    3.10  ...   0.49亿  13.79亿    42.76亿          --
25  26  300386   飞天诚信   20.75  ...   4.54亿   2.26亿    46.92亿      192.55
26  27  300053    欧比特    8.97  ...   0.75亿   6.15亿    55.16亿       95.61
27  28  600701   退市工新    0.41  ...   0.00亿   8.32亿     3.41亿          --
28  29  600167   联美控股   10.56  ...   0.84亿  22.88亿   241.62亿       15.63
29  30  300044   赛为智能    5.31  ...   0.80亿   6.36亿    33.77亿       29.01
30  31  603660   苏州科达    8.03  ...   0.42亿   4.94亿    39.68亿       47.18
31  32  300130    新国都   10.22  ...   1.61亿   3.54亿    36.19亿       22.37
32  33  300479   神思电子   11.23  ...   0.19亿   1.68亿    18.86亿      904.43
33  34  300449   汉邦高科    8.55  ...   1.39亿   2.44亿    20.89亿       54.89
34  35  300300   海峡创新    4.15  ...   0.66亿   6.71亿    27.86亿          --
35  36  000997    新大陆   14.74  ...   1.36亿  10.27亿   151.43亿       25.91
36  37  002152   广电运通   11.01  ...  11.68亿  23.94亿   263.61亿       39.06
37  38  002253   川大智胜   13.94  ...   0.52亿   2.07亿    28.91亿       46.67
38  39  603160   汇顶科技  108.96  ...   3.11亿   4.53亿   493.96亿       34.00
39  40  300546   雄帝科技   13.97  ...   0.66亿   0.85亿    11.94亿          --
40  41  688088   虹软科技   51.58  ...   0.96亿   2.64亿   136.19亿   80.110000
```

#### 同花顺-成份股-概念代码

接口: stock_board_cons_ths

目标地址: http://q.10jqka.com.cn/thshy/detail/code/885611/

描述: 同花顺-板块-概念板块-成份股数据

限量: 单次返回当前时刻所有成份股, 调用 **ms.stock_board_concept_info_ths** 返回该板块信息

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| symbol | str |  symbol="885611"; 输入概念代码|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 序号          | int64   |   -    |
| 代码          | object   |   -    |
| 名称          | object   |  -    |
| 现价          | float64   |  -    |
| 涨跌幅         | float64   |   注意单位: %    |
| 涨跌         | float64   |   -    |
| 涨速          | float64   |   注意单位: %    |
| 换手          | float64   |  注意单位: %    |
| 量比          | float64   |  -    |
| 振幅          | float64   |   注意单位: %    |
| 成交额          | object   |   -    |
| 流通股          | object   |   -    |
| 流通市值          | object   |   -    |
| 市盈率          | object   |   -    |

接口示例

```python
import mssdk as ms
stock_board_cons_ths_df = ms.stock_board_cons_ths(symbol="885611")
print(stock_board_cons_ths_df)
```

数据示例

```
    序号代码    名称       现价   涨跌幅  ...     振幅 成交额    流通股   流通市值  市盈率
0    1  600258  首旅酒店  26.94  8.28  ...   8.68   9.40亿   9.82亿  264.57亿  159.44
1    2  002368  太极股份  29.47  7.28  ...   9.39   6.77亿   5.76亿  169.80亿  148.83
2    3  002335  科华数据  45.42  6.15  ...  12.13  23.09亿   3.97亿  180.25亿   55.29
3    4  002488  金固股份   7.61  6.14  ...  11.30   4.34亿   9.11亿   69.34亿   45.63
4    5  002707  众信旅游   5.30  5.37  ...  10.34   2.58亿   6.40亿   33.92亿      --
..  ..     ...   ...    ...   ...  ...    ...     ...     ...      ...     ...
91  92  002120  韵达股份  17.05 -2.90  ...   4.16   2.31亿  28.10亿  479.11亿   47.52
92  93  600640   新国脉  12.68 -3.57  ...   4.87   2.35亿   7.96亿  100.89亿      --
93  94  300556  丝路视觉  26.37 -3.72  ...   5.55   3.77亿   0.90亿   23.77亿   56.57
94  95  300459   汤姆猫   5.15 -3.92  ...   6.72  24.97亿  28.53亿  146.92亿   22.62
95  96  300781  因赛集团  25.66 -4.15  ...   3.62   1.84亿   0.36亿    9.19亿   42.27
```

#### 同花顺-指数

接口: stock_board_concept_hist_ths

目标地址: http://q.10jqka.com.cn/gn/detail/code/301558/

描述: 同花顺-板块-概念板块-指数日频率数据

限量: 单次返回所有日频指数数据

输入参数

| 名称   | 类型 | 描述   |
| -------- | ---- |  --- |
| start_year | str |  start_year='2000'; 指定开始年份|
| symbol | str |  symbol="阿里巴巴概念"; 可以通过调用 **ms.stock_board_concept_name_ths** 查看同花顺的所有概念名称|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 日期          | object   |   -    |
| 开盘价          | float64   |  -    |
| 最高价          | float64   |   -    |
| 最低价          | float64   |  -    |
| 收盘价          | float64   |  -    |
| 成交量          | int64   |  -    |
| 成交额          | float64   |   -    |

接口示例

```python
import mssdk as ms
stock_board_concept_hist_ths_df = ms.stock_board_concept_hist_ths(start_year='2020', symbol="一带一路")
print(stock_board_concept_hist_ths_df)
```

数据示例

```
  日期       开盘价       最高价  ...       收盘价         成交量              成交额
0   2020-01-02  1154.249  1165.727  ...  1165.089  6151305100  44674952000.000
1   2020-01-03  1167.015  1174.117  ...  1172.325  5041909100  35835388000.000
2   2020-01-06  1170.345  1186.953  ...  1178.527  6790413500  47935278000.000
3   2020-01-07  1178.083  1190.517  ...  1190.517  5416339900  37899162000.000
4   2020-01-08  1189.191  1189.824  ...  1176.491  6084009300  42706830000.000
..         ...       ...       ...  ...       ...         ...              ...
360 2021-06-30  1315.572  1320.357  ...  1318.736  5218780500  52146582000.000
361 2021-07-01  1322.871  1323.448  ...  1302.545  5748184400  50141903000.000
362 2021-07-02  1301.641  1306.141  ...  1301.976  6840299100  58940041000.000
363 2021-07-05  1301.644  1316.040  ...  1316.040  6811110700  58032126000.000
364 2021-07-06  1316.929  1320.690  ...  1314.917  4395948300  36338664000.000
```

#### 东方财富-概念板块

接口: stock_board_concept_name_em

目标地址: http://quote.eastmoney.com/center/boardlist.html#concept_board

描述: 东方财富-沪深板块-概念板块

限量: 单次返回当前时刻所有概念板块数据

输入参数

| 名称   | 类型 | 描述   |
| -------- | ---- |  --- |
| - | - |  -|

输出参数

| 名称          | 类型 | 描述           |
| ------------ | ----- |  ---------------- |
| 排名          | int64   |   -    |
| 板块名称          | object   |   -    |
| 板块代码          | object   |   -    |
| 最新价          | float64   |   -    |
| 涨跌额          | float64   |   -    |
| 涨跌幅          | float64   |   注意单位：%    |
| 总市值          | int64   |   -    |
| 换手率          | float64   |   注意单位：%    |
| 上涨家数          | int64   |   -    |
| 下跌家数          | int64   |   -    |
| 领涨股票          | object   |   -    |
| 领涨股票-涨跌幅          | float64   |   注意单位：%    |

接口示例

```python
import mssdk as ms
stock_board_concept_name_em_df = ms.stock_board_concept_name_em()
print(stock_board_concept_name_em_df)
```

数据示例

```
      排名 板块名称  板块代码  最新价    涨跌额  ... 换手率 上涨家数 下跌家数 领涨股票 领涨股票-涨跌幅
0      1   盲盒经济  BK0954   946.66  39.33  ...  3.82    10     1  沐邦高科      9.98
1      2  元宇宙概念  BK1009  1615.64  44.87  ...  7.04    54    19  大富科技     20.00
2      3    CRO  BK0899  2442.12  61.21  ...  1.48    18     3  诺泰生物     13.43
3      4   稀土永磁  BK0578  2323.35  54.45  ...  5.54    37    16   英洛华      9.95
4      5    云游戏  BK0903  1155.49  24.82  ...  6.38    20     6  佳创视讯     20.02
..   ...    ...     ...      ...    ...  ...   ...   ...   ...   ...       ...
326  327  钠离子电池  BK0988  1815.33 -29.36  ...  3.19     4    12  博众精工      4.31
327  328  HIT电池  BK0908  3460.08 -56.95  ...  4.21     6    18  帝科股份      4.65
328  329   虚拟电厂  BK0958  1611.20 -26.74  ...  4.70     4     6  恒实科技      3.91
329  330     储能  BK0989  1833.43 -33.86  ...  3.52    26   103  天永智能     10.00
330  331    转基因  BK0907  1680.38 -47.34  ...  4.11     1    10  节能铁汉      1.06
```

#### 东方财富-成份股

接口: stock_board_concept_cons_em

目标地址: http://quote.eastmoney.com/center/boardlist.html#boards-BK06551(示例)

描述: 东方财富-沪深板块-概念板块-板块成份

限量: 单次返回当前时刻所有成份股

输入参数

| 名称   | 类型 | 描述   |
| -------- | ---- |  --- |
| symbol | str |  symbol="车联网"; 可以通过调用 **ms.stock_board_concept_name_em** 查看东方财富-概念板块的所有行业名称|

输出参数

| 名称          | 类型 | 描述           |
| ------------ | ----- |  ---------------- |
| 序号          | int64   |   -    |
| 代码          | object   |   -    |
| 名称          | object   |  -    |
| 最新价          | float64   |   -    |
| 涨跌幅         | float64   |   注意单位: %    |
| 涨跌额         | float64   |   -    |
| 成交量          | float64   |  注意单位: 手    |
| 成交额          | float64   |   -    |
| 振幅          | float64   |   注意单位: %    |
| 最高          | float64   |  -    |
| 最低          | float64   |  -    |
| 今开          | float64   |   -    |
| 昨收          | float64   |   -    |
| 换手率          | float64   |  注意单位: %    |
| 市盈率-动态          | float64   |  -    |
| 市净率          | float64   |  -    |

接口示例

```python
import mssdk as ms
stock_board_concept_cons_em_df = ms.stock_board_concept_cons_em(symbol="车联网")
print(stock_board_concept_cons_em_df)
```

数据示例

```
    序号      代码     名称     最新价    涨跌幅  ...      今开      昨收    换手率  市盈率-动态   市净率
0    1  688561  奇安信-U  122.76  20.00  ...  106.30  102.30  13.04  -38.86  8.74
1    2  300369   绿盟科技   18.00  20.00  ...   15.25   15.00   4.97  -79.35  4.46
2    3  688080    映翰通   50.46  13.70  ...   44.39   44.38   4.22  268.85  4.05
3    4  300184   力源信息    6.24  11.63  ...    5.81    5.59  11.51   26.15  2.45
4    5  002813   路畅科技   30.09  10.02  ...   28.51   27.35  15.06  664.00  9.40
..  ..     ...    ...     ...    ...  ...     ...     ...    ...     ...   ...
91  92  002355   兴民智通    7.38  -1.86  ...    7.45    7.52   2.62  308.66  1.86
92  93  002352   顺丰控股   64.18  -2.02  ...   65.55   65.50   0.41  -73.92  5.19
93  94  600198  *ST大唐    7.59  -2.44  ...    7.76    7.78   1.64  -26.32 -4.87
94  95  601238   广汽集团   15.42  -2.65  ...   16.90   15.84   2.63   16.87  1.84
95  96  603023   威帝股份    4.13  -3.28  ...    4.30    4.27   0.94  930.36  3.07
```

#### 东方财富-指数

接口: stock_board_concept_hist_em

目标地址: http://quote.eastmoney.com/bk/90.BK0715.html(示例)

描述: 东方财富-沪深板块-概念板块-历史行情数据

限量: 单次返回指定 symbol 和 adjust 的历史数据

输入参数

| 名称   | 类型 | 描述   |
| -------- | ---- |  --- |
| symbol | str |  symbol="网络安全"; 可以通过调用 **ms.stock_board_concept_name_em** 查看东方财富-概念板块的所有概念代码|
| adjust | str |  adjust=""; choice of {'': 不复权, 默认; "qfq": 前复权, "hfq": 后复权}|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 日期          | object   |   -    |
| 开盘          | float64   |  -    |
| 收盘          | float64   |   -    |
| 最高          | float64   |  -    |
| 最低          | float64   |  -    |
| 涨跌幅          | float64   |  注意单位: %    |
| 涨跌额          | float64   |   -    |
| 成交量          | int64   |   -    |
| 成交额          | float64   |   -    |
| 振幅          | float64   |   注意单位: %    |
| 换手率          | float64   |   注意单位: %    |

接口示例

```python
import mssdk as ms
stock_board_concept_hist_em_df = ms.stock_board_concept_hist_em(symbol="车联网", adjust="")
print(stock_board_concept_hist_em_df)
```

数据示例

```
     日期       开盘       收盘       最高  ...       成交量           成交额    振幅   换手率
0     2016-08-04  1000.88  1023.96  1030.47  ...   4091759  7.033443e+09  3.01  0.40
1     2016-08-05  1020.29  1010.61  1021.40  ...   3339364  5.955541e+09  1.24  0.33
2     2016-08-08  1007.68  1019.98  1020.14  ...   3084151  5.708624e+09  2.11  0.30
3     2016-08-09  1018.21  1026.30  1026.43  ...   3072901  6.021514e+09  1.18  0.30
4     2016-08-10  1025.49  1020.78  1032.55  ...   3337731  6.269758e+09  1.15  0.33
          ...      ...      ...      ...  ...       ...           ...   ...   ...
1195  2021-07-06  1008.56  1005.16  1009.05  ...  21784473  5.069878e+10  1.55  2.14
1196  2021-07-07   998.02  1008.04  1008.72  ...  20210308  4.399336e+10  1.73  1.99
1197  2021-07-08  1009.25  1005.06  1010.19  ...  21400342  4.684282e+10  0.86  2.10
1198  2021-07-09   999.04  1006.95  1009.49  ...  21191818  4.731037e+10  1.65  2.08
1199  2021-07-12  1014.22  1038.18  1039.31  ...  27744057  6.210378e+10  2.63  2.73
```

### 行业板块

#### 同花顺-成份股-行业名称

接口: stock_board_industry_cons_ths

目标地址: http://q.10jqka.com.cn/thshy/

描述: 同花顺-板块-行业板块-成份股数据

限量: 单次返回当前时刻所有成份股, 调用 **ms.stock_board_industry_info_ths** 返回该板块信息

输入参数

| 名称   | 类型 | 描述   |
| -------- | ---- |  --- |
| symbol | str |  symbol="半导体及元件"; 可以通过调用 **ms.stock_board_industry_name_ths** 查看同花顺的所有行业名称|

输出参数

| 名称          | 类型 | 描述           |
| ------------ | ----- |  ---------------- |
| 序号          | int64   |   -    |
| 代码          | int64   |   -    |
| 名称          | object   |  -    |
| 现价          | float64   |   -    |
| 涨跌幅         | float64   |   注意单位: %    |
| 涨跌         | float64   |   -    |
| 涨速          | float64   |  注意单位: %    |
| 换手          | float64   |   注意单位: %    |
| 量比          | float64   |   -    |
| 振幅          | float64   |  注意单位: %    |
| 成交额          | object   |  -    |
| 流通股          | object   |   -    |
| 流通市值          | object   |   -    |
| 市盈率          | object   |  -    |

接口示例

```python
import mssdk as ms
stock_board_industry_cons_ths_df = ms.stock_board_industry_cons_ths(symbol="半导体及元件")
print(stock_board_industry_cons_ths_df)
```

数据示例

```
     序号      代码    名称      现价  ...     成交额     流通股   流通市值   市盈率
0      1  600237  铜峰电子    6.69  ...   4.21亿   5.64亿   37.76亿      537.87
1      2  002618  丹邦科技    5.61  ...   3.79亿   5.48亿   30.74亿          --
2      3  688368  晶丰明源  271.83  ...   1.17亿   0.15亿   41.17亿      243.16
3      4  688699  明微电子   94.80  ...   1.78亿   0.17亿   16.03亿       64.52
4      5  002222  福晶科技   18.28  ...  12.28亿   4.23亿   77.31亿       54.44
..   ...     ...   ...     ...  ...     ...     ...      ...         ...
110  111  003026  中晶科技   80.80  ...   4.20亿   0.25亿   20.16亿   92.810000
111  112  300458  全志科技   41.65  ...   9.31亿   2.60亿  108.48亿   67.330000
112  113  603986  兆易创新  174.00  ...  10.91亿   4.39亿  764.15亿   92.000000
113  114  600460   士兰微   27.09  ...  15.11亿  13.12亿  355.44亿  525.820000
114  115  300666  江丰电子   41.97  ...   3.59亿   1.36亿   56.97亿  133.870000
```

#### 同花顺-成份股-行业代码

接口: stock_board_cons_ths

目标地址: http://q.10jqka.com.cn/thshy/detail/code/881121/

描述: 同花顺-板块-行业板块-成份股数据

限量: 单次返回当前时刻所有成份股, 调用 **ms.stock_board_industry_info_ths** 返回该板块信息

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| symbol | str |  symbol="881121"; 输入行业代码|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 序号          | int64   |   -    |
| 代码          | object   |   -    |
| 名称          | object   |  -    |
| 现价          | float64   |  -    |
| 涨跌幅         | float64   |   注意单位: %    |
| 涨跌         | float64   |   -    |
| 涨速          | float64   |   注意单位: %    |
| 换手          | float64   |  注意单位: %    |
| 量比          | float64   |  -    |
| 振幅          | float64   |   注意单位: %    |
| 成交额          | object   |   -    |
| 流通股          | object   |   -    |
| 流通市值          | object   |   -    |
| 市盈率          | object   |   -    |

接口示例

```python
import mssdk as ms
stock_board_cons_ths_df = ms.stock_board_cons_ths(symbol="881121")
print(stock_board_cons_ths_df)
```

数据示例

```
      序号  代码    名称      现价    涨跌幅  ... 振幅     成交额    流通股     流通市值    市盈率
0      1  603386   广东骏亚   25.80  10.02  ...  12.92   8.07亿  2.22亿   57.27亿  25.48
1      2  603690   至纯科技   55.02   9.97  ...  10.37  14.58亿  3.08亿  169.32亿  69.85
2      3  688233   神工股份   75.45   8.88  ...  11.24   3.72亿  0.82亿   61.50亿  53.60
3      4  300903   科翔股份   26.30   8.19  ...  19.91   2.33亿  0.91亿   24.01亿  52.75
4      5  688699   明微电子  228.78   7.98  ...   8.45   4.00亿  0.18亿   40.41亿  21.27
..   ...     ...    ...     ...    ...  ...    ...     ...    ...      ...    ...
118  119  300852   四会富仕   54.35  -1.65  ...   3.62   1.09亿  0.36亿   19.35亿  29.46
119  120  600198  *ST大唐    8.22  -2.03  ...   6.79   1.22亿  8.80亿   72.37亿     --
120  121  003043   华亚智能   78.65  -2.40  ...   4.96   2.74亿  0.20亿   15.73亿  57.01
121  122  603893    瑞芯微  112.41  -2.62  ...   5.37   6.34亿  1.89亿  212.54亿  86.19
122  123  300657   弘信电子   16.56  -4.00  ...   7.42   2.59亿  4.23亿   70.03亿     --
```

#### 同花顺-指数

接口: stock_board_industry_index_ths

目标地址: http://q.10jqka.com.cn/gn/detail/code/301558/

描述: 同花顺-板块-行业板块-指数日频率数据

限量: 单次返回所有日频指数数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- | --- |
| symbol | str | symbol="半导体及元件"; 可以通过调用 **ms.stock_board_industry_name_ths** 查看同花顺的所有行业名称|
| start_date | str | start_date="20200101"; 开始时间|
| end_date | str | end_date="20211027"; 结束时间|

输出参数

| 名称            | 类型  | 描述           |
| ------------   | ----- |  ---------------- |
| 日期            | object   |   -    |
| 开盘价          | float64   |   -    |
| 最高价          | float64   |   -    |
| 最低价          | float64   |   -    |
| 收盘价          | float64   |   -    |
| 成交量          | int64   |   -    |
| 成交额          | float64   |   -    |

接口示例

```python
import mssdk as ms
stock_board_industry_index_ths_df = ms.stock_board_industry_index_ths(symbol="半导体及元件", start_date="20200101", end_date="20211027")
print(stock_board_industry_index_ths_df)
```

数据示例

```
      日期         开盘价     最高价  ...     收盘价       成交量           成交额
3023  2020-01-02  4654.408  4797.587  ...  4786.644  2002317700  4.009537e+10
3024  2020-01-03  4809.805  4856.752  ...  4832.662  1962690500  4.124743e+10
3025  2020-01-06  4786.632  4929.431  ...  4903.621  2176324200  4.169037e+10
3026  2020-01-07  4926.955  4945.314  ...  4945.314  1917439400  3.713441e+10
3027  2020-01-08  4906.977  4943.064  ...  4862.565  2093042900  4.104522e+10
...          ...       ...       ...  ...       ...         ...           ...
3456  2021-10-20  8075.738  8108.520  ...  8055.036   995390630  3.739079e+10
3457  2021-10-21  8048.168  8048.168  ...  7924.214   972587170  3.697853e+10
3458  2021-10-22  7964.273  8116.254  ...  8029.454  1182554640  5.501477e+10
3459  2021-10-25  8032.028  8081.339  ...  8081.339   961068090  4.505136e+10
3460  2021-10-26  8071.109  8141.174  ...  8094.707  1341869440  5.715445e+10
```

#### 东方财富-行业板块

接口: stock_board_industry_name_em

目标地址: http://quote.eastmoney.com/center/boardlist.html#industry_board

描述: 东方财富-沪深京板块-行业板块

限量: 单次返回当前时刻所有行业板块数据

输入参数

| 名称   | 类型 | 描述   |
| -------- | ---- |  --- |
| - | - |  -|

输出参数

| 名称          | 类型 | 描述           |
| ------------ | ----- |  ---------------- |
| 排名          | int64   |   -    |
| 板块名称          | object   |   -    |
| 板块代码          | object   |   -    |
| 最新价          | float64   |   -    |
| 涨跌额          | float64   |   -    |
| 涨跌幅          | float64   |   注意单位：%    |
| 总市值          | int64   |   -    |
| 换手率          | float64   |   注意单位：%    |
| 上涨家数          | int64   |   -    |
| 下跌家数          | int64   |   -    |
| 领涨股票          | object   |   -    |
| 领涨股票-涨跌幅          | float64   |   注意单位：%    |

接口示例

```python
import mssdk as ms
stock_board_industry_name_em_df = ms.stock_board_industry_name_em()
print(stock_board_industry_name_em_df)
```

数据示例

```
    排名  板块名称 板块代码   最新价   涨跌额  ... 换手率 上涨家数 下跌家数 领涨股票 领涨股票-涨跌幅
0    1   小金属  BK1027   1928.58   59.34  ...  3.02    33     7   英洛华      9.98
1    2  能源金属  BK1015   1135.19   32.39  ...  3.66     6     1  盛新锂能      8.50
2    3    电池  BK1033   1862.93   48.74  ...  2.07    35     4   璞泰来     10.00
3    4  环保行业  BK0728    475.91    9.00  ...  1.95    80    18   倍杰特     20.01
4    5  化肥行业  BK0731   1350.50   23.05  ...  2.25    21     5  芭田股份      8.17
..  ..   ...     ...       ...     ...  ...   ...   ...   ...   ...       ...
79  80  电信运营  BK0736    839.54  -10.51  ...  0.36     0     6  中国电信     -0.23
80  81  旅游酒店  BK0485  11173.08 -145.74  ...  0.69     3    35  金马游乐      7.19
81  82    电机  BK1030   1635.07  -24.86  ...  3.57     4    16  江特电机      3.25
82  83  煤炭行业  BK0437   8014.74 -126.25  ...  0.80     1    35  ST大洲      1.95
83  84   半导体  BK1036   1628.37  -36.14  ...  2.23     8    72   阿石创      3.84
```

#### 东方财富-成份股

接口: stock_board_industry_cons_em

目标地址: https://data.eastmoney.com/bkzj/BK1027.html

描述: 东方财富-沪深板块-行业板块-板块成份

限量: 单次返回指定 symbol 的所有成份股

输入参数

| 名称   | 类型 | 描述   |
| -------- | ---- |  --- |
| symbol | str |  symbol="小金属"; 可以通过调用 **ms.stock_board_industry_name_em()** 查看东方财富-行业板块的所有行业代码|

输出参数

| 名称          | 类型 | 描述           |
| ------------ | ----- |  ---------------- |
| 序号          | int64   |   -    |
| 代码          | object   |   -    |
| 名称          | object   |  -    |
| 最新价          | float64   |   -    |
| 涨跌幅         | float64   |   注意单位: %    |
| 涨跌额         | float64   |   -    |
| 成交量          | float64   |  注意单位: 手    |
| 成交额          | float64   |   -    |
| 振幅          | float64   |   注意单位: %    |
| 最高          | float64   |  -    |
| 最低          | float64   |  -    |
| 今开          | float64   |   -    |
| 昨收          | float64   |   -    |
| 换手率          | float64   |  注意单位: %    |
| 市盈率-动态          | float64   |  -    |
| 市净率          | float64   |  -    |

接口示例

```python
import mssdk as ms
stock_board_industry_cons_em_df = ms.stock_board_industry_cons_em(symbol="小金属")
print(stock_board_industry_cons_em_df)
```

数据示例

```
    序号 代码     名称     最新价   涨跌幅  ...   今开   昨收   换手率   市盈率-动态  市净率
0    1  688190    N云路  123.05  163.89  ...  120.00  46.63  57.34   124.09   8.20
1    2  300127   银河磁体   31.40   19.35  ...   26.06  26.31  17.18    50.84   7.63
2    3  600259   广晟有色   56.40   10.01  ...   50.95  51.27   3.90   101.36   9.38
3    4  000795    英洛华    8.82    9.98  ...    8.20   8.02   7.67    52.16   4.03
4    5  600392   盛和资源   23.12    8.90  ...   21.12  21.23   8.03    36.60   4.97
5    6  002182   云海金属   22.92    7.71  ...   21.22  21.28   7.95    42.14   4.91
6    7  300811   铂科新材  106.23    7.43  ...   99.28  98.88   2.49    97.92  11.72
7    8  300835   龙磁科技   80.83    7.06  ...   75.50  75.50  11.04    41.31   6.17
8    9  002057   中钢天源    9.31    5.68  ...    8.75   8.81   6.62    33.76   2.43
9   10  000970   中科三环   15.10    5.45  ...   14.34  14.32   6.10    58.71   3.36
10  11  002378   章源钨业    9.98    5.27  ...    9.40   9.48   3.40    74.12   5.15
11  12  300748   金力永磁   53.02    4.53  ...   50.81  50.72   4.71    80.45  13.68
12  13  600111   北方稀土   56.47    4.28  ...   53.42  54.15   3.42    48.86  15.29
13  14  600980   北矿科技   19.32    4.09  ...   18.46  18.56   6.92    45.35   3.70
14  15  603399   吉翔股份    7.83    3.98  ...    7.61   7.53   3.27    69.61   2.06
15  16  000657   中钨高新   18.82    3.29  ...   17.87  18.22   4.32    38.12   4.21
16  17  601958   金钼股份    7.62    3.25  ...    7.45   7.38   0.82    43.80   2.06
17  18  002056   横店东磁   19.21    3.17  ...   18.59  18.62   4.44    26.47   4.82
18  19  600366   宁波韵升   15.02    2.95  ...   14.75  14.59   8.08    29.78   3.16
19  20  002167   东方锆业    8.83    2.67  ...    8.52   8.60   3.79    41.53   5.54
20  21  300328   宜安科技    8.54    2.28  ...    8.34   8.35   1.74  3281.86   4.59
21  22  002149   西部材料   20.35    2.06  ...   20.06  19.94   2.62    72.11   3.83
22  23  002842   翔鹭钨业   10.02    2.04  ...    9.78   9.82   3.48    51.94   2.83
23  24  000831   五矿稀土   46.16    2.03  ...   44.50  45.24   5.10   171.60  17.33
24  25  000633   合金投资    7.08    2.02  ...    6.90   6.94   0.70  1025.38  16.34
25  26  002428   云南锗业   12.33    1.99  ...   12.04  12.09   2.70   393.12   5.47
26  27  000962   东方钽业   11.86    1.98  ...   11.53  11.63   2.01    42.17   4.00
27  28  300224   正海磁材   22.00    1.85  ...   21.42  21.60  10.93    73.73   6.74
28  29  603993   洛阳钼业    5.95    1.19  ...    5.85   5.88   1.01    27.09   3.26
29  30  600549   厦门钨业   26.18    0.81  ...   25.92  25.97   3.25    27.98   4.23
30  31  301026   浩通科技   70.59    0.38  ...   70.20  70.32   2.69    27.58   6.40
31  32  600615  *ST丰华    7.93    0.38  ...    7.86   7.90   0.07  -588.83   2.36
32  33  002738   中矿资源   65.99    0.17  ...   65.05  65.88   3.17    52.91   5.74
33  34  605376   博迁新材   78.40   -0.23  ...   77.90  78.58   1.50    86.77  13.43
34  35  600459   贵研铂业   26.27   -0.49  ...   26.35  26.40   0.71    32.88   4.07
35  36  600206   有研新材   15.67   -0.76  ...   15.69  15.79   2.90    46.93   3.93
36  37  688077    大地熊   92.43   -2.09  ...   94.81  94.40   8.42    52.77   7.42
37  38  600456   宝钛股份   66.11   -2.35  ...   67.39  67.70   1.61    50.27   5.31
38  39  600281   华阳新材    6.35   -2.46  ...    6.22   6.51   5.01  -219.18   6.34
39  40  000960   锡业股份   18.71   -2.86  ...   18.60  19.26   2.21    13.04   2.11
```

#### 东方财富-指数

接口: stock_board_industry_hist_em

目标地址: http://quote.eastmoney.com/bk/90.BK1027.html

描述: 东方财富-沪深板块-行业板块-历史行情数据

限量: 单次返回指定 symbol 和 adjust 的所有历史数据

输入参数

| 名称   | 类型 | 描述   |
| -------- | ---- |  --- |
| symbol | str |  symbol="小金属"; 可以通过调用 **ms.stock_board_industry_name_em()** 查看东方财富-行业板块的所有行业代码|
| adjust | str |  adjust=""; choice of {'': 不复权, 默认; "qfq": 前复权, "hfq": 后复权}|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 日期          | object   |   -    |
| 开盘          | float64   |  -    |
| 收盘          | float64   |   -    |
| 最高          | float64   |  -    |
| 最低          | float64   |  -    |
| 涨跌幅          | float64   |  注意单位: %    |
| 涨跌额          | float64   |   -    |
| 成交量          | int64   |   -    |
| 成交额          | float64   |   -    |
| 振幅          | float64   |   注意单位: %    |
| 换手率          | float64   |   注意单位: %    |

接口示例

```python
import mssdk as ms
stock_board_industry_hist_em_df = ms.stock_board_industry_hist_em(symbol="小金属", adjust="")
print(stock_board_industry_hist_em_df)
```

数据示例

```
     日期        开盘     收盘      最高  ...      成交量         成交额    振幅   换手率
0   2021-11-11  1591.31  1598.59  1602.89  ...   8124603  1.750088e+10  1.39  1.71
1   2021-11-12  1599.67  1626.93  1629.78  ...   9248886  2.046088e+10  1.98  1.95
2   2021-11-15  1625.94  1613.04  1628.86  ...   9026045  1.994419e+10  1.57  1.90
3   2021-11-16  1612.02  1600.04  1634.06  ...  10005669  1.789646e+10  2.14  2.10
4   2021-11-17  1605.80  1668.03  1668.51  ...  11711331  2.374065e+10  4.02  2.46
5   2021-11-18  1671.05  1699.13  1711.97  ...  13753307  2.825816e+10  2.60  2.89
6   2021-11-19  1694.93  1703.41  1707.85  ...  12996768  2.394017e+10  1.68  2.73
7   2021-11-22  1702.00  1757.05  1758.11  ...  16228282  3.377453e+10  3.31  3.41
8   2021-11-23  1799.49  1791.99  1820.29  ...  17687105  4.072045e+10  2.19  3.72
9   2021-11-24  1790.58  1853.12  1870.43  ...  19868719  4.603598e+10  4.46  4.18
10  2021-11-25  1861.31  1869.24  1889.48  ...  17536732  3.905647e+10  2.89  3.69
11  2021-11-26  1860.50  1928.58  1943.30  ...  14364735  3.203453e+10  4.45  3.02
```

### 股票热度

接口: stock_wc_hot_rank

目标地址: http://www.iwencai.com/unifiedwap/home/index

描述: 问财-热门股票排名数据

限量: 单次返回所有股票的热门排名数据, 当前交易日的数据请在夜间访问

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| date | str |  date="20210218"; 查询日期|

输出参数

| 名称          | 类型 | 描述           |
| ------------ | ----- |  ---------------- |
| 序号          | int32   |   -    |
| 股票代码          | object   |   -    |
| 股票简称          | object   |  -    |
| 现价          | float64   |   注意单位: 元    |
| 涨跌幅          | float64   |   注意单位: %    |
| 个股热度          | float64   |   -    |
| 个股热度排名          | object   |   -    |
| 排名日期          | object   |   -    |

接口示例

```python
import mssdk as ms
stock_wc_hot_rank_df = ms.stock_wc_hot_rank(date="20210928")
print(stock_wc_hot_rank_df)
```

数据示例

```
        序号    股票代码  股票简称     现价    涨跌幅      个股热度     个股热度排名      排名日期
0        1  601868  中国能建   3.03  10.18  387436.0     1/4525  20210929
1        2  000591   太阳能  12.27  -1.60  290365.0     2/4525  20210929
2        3  000993  闽东电力  16.24  10.03  241791.0     3/4525  20210929
3        4  000651  格力电器  39.30   3.12  225477.5     4/4525  20210929
4        5  601857  中国石油   6.04  -6.93  187272.0     5/4525  20210929
...    ...     ...   ...    ...    ...       ...        ...       ...
4520  4521  688255   凯尔达    NaN    NaN      45.5  4521/4525  20210929
4521  4522  601206   海尔施    NaN    NaN      39.0  4522/4525  20210929
4522  4523  688285  高铁电气    NaN    NaN      35.0  4523/4525  20210929
4523  4524  300728  天常股份    NaN    NaN      31.5  4524/4525  20210929
4524  4525  603302  鑫广绿环    NaN    NaN      20.0  4525/4525  20210929
```

### 盘口异动

接口: stock_changes_em

目标地址: http://quote.eastmoney.com/changes/

描述: 获取东方财富-行情中心-盘口异动数据

限量: 单次指定 symbol 的最近交易日的盘口异动数据

输入参数

| 名称   | 类型 | 必选 | 描述   |
| -------- | ---- | ---- | --- |
| symbol | str | Y    | symbol="大笔买入"; choice of {'火箭发射', '快速反弹', '大笔买入', '封涨停板', '打开跌停板', '有大买盘', '竞价上涨', '高开5日线', '向上缺口', '60日新高', '60日大幅上涨', '加速下跌', '高台跳水', '大笔卖出', '封跌停板', '打开涨停板', '有大卖盘', '竞价下跌', '低开5日线', '向下缺口', '60日新低', '60日大幅下跌'}|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| ------------ | ----- | -------- | ---------------- |
| 时间          | object   | Y        |  -    |
| 代码          | object   | Y        |  -    |
| 名称          | object   | Y        |  -    |
| 板块          | object   | Y        |  -    |
| 相关信息       | object   | Y        |  注意: 不同的 symbol 的单位不同    |

接口示例

```python
import mssdk as ms
stock_changes_em_df = ms.stock_changes_em(symbol="大笔买入")
print(stock_changes_em_df)
```

数据示例

```
         时间      代码    名称    板块     相关信息
0    14:55:46  300820  英杰电气  大笔买入    31500
1    14:55:45  002593  日上集团  大笔买入   768700
2    14:55:34  300282  三盛教育  大笔买入   400000
3    14:55:16  300987  川网传媒  大笔买入    29000
4    14:54:58  300987  川网传媒  大笔买入    30400
..        ...     ...   ...   ...      ...
976  09:30:00  603777   来伊份  大笔买入  1562200
977  09:30:00  603778  乾景园林  大笔买入   906500
978  09:30:00  688396   华润微  大笔买入   497589
979  09:30:00  688689  银河微电  大笔买入   147954
980  09:30:00  600360  华微电子  大笔买入  2628800
```

### 涨停板行情

#### 涨停股池

接口: stock_em_zt_pool

目标地址: http://quote.eastmoney.com/ztb/detail#type=ztgc

描述: 东方财富网-行情中心-涨停板行情-涨停股池

限量: 单次返回所有涨停股池数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| date | str |  date='20210525'|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 序号          | int64   |   -    |
| 代码          | object   |   -    |
| 名称          | object   |  -    |
| 涨跌幅          | float64   |   注意单位: %    |
| 最新价          | int64   |   -    |
| 成交额          | int64   |   -    |
| 流通市值          | float64   |   -    |
| 总市值          | float64   |   -    |
| 换手率          | float64   |   注意单位: %    |
| 封板资金          | int64   |  -    |
| 首次封板时间          | object   |  注意格式: 09:25:00    |
| 最后封板时间          | object   |   注意格式: 09:25:00    |
| 炸板次数          | int64   |   -    |
| 涨停统计          | object   |   -    |
| 连板数          | int64   |   注意格式: 1 为首板    |
| 所属行业          | object   |  -    |

接口示例

```python
import mssdk as ms
stock_em_zt_pool_df = ms.stock_em_zt_pool(date='20210525')
print(stock_em_zt_pool_df)
```

数据示例

```
    序号 代码     名称      涨跌幅      最新价  ...  最后封板时间 炸板次数 涨停统计 连板数 所属行业
0    1  002282   博深股份  10.021322   10.32  ...  092500     0   1/1    1  机械行业
1    2  002976   瑞玛工业  10.014800   22.30  ...  092500     0   1/1    1  金属制品
2    3  002131   利欧股份  10.112359    2.94  ...  092503     0   2/2    2  电子信息
3    4  603048   浙江黎明   9.996365   30.26  ...  092506     0   3/3    3  汽车行业
4    5  002270   华明装备  10.000000   10.67  ...  093000     0   2/2    2  专用设备
5    6  002943   宇晶股份   9.993490   33.79  ...  093145     0   7/6    4  专用设备
6    7  605222   起帆电缆  10.006998   31.44  ...  145507     8   2/2    2  输配电气
7    8  600262   北方股份   9.978308   15.21  ...  093612     1   1/1    1  机械行业
8    9  001267   汇绿生态   9.966777    6.62  ...  093330     0   1/1    1  园林工程
9   10  601890   亚星锚链  10.036276    9.10  ...  101833     5   2/2    2  船舶制造
10  11  300354   东华测试  20.010672   44.98  ...  144921     1   1/1    1  仪器仪表
11  12  600691   阳煤化工   9.923664    4.32  ...  093918     0   1/1    1  化肥行业
12  13  600338   西藏珠峰  10.000000   32.01  ...  093938     0   2/2    2  有色金属
13  14  603213   镇洋发展   9.976247   13.89  ...  093949     0   6/6    6  化学原料
14  15  603050   科林电气  10.019455   22.62  ...  102046     3   4/2    1  输配电气
15  16  600796   钱江生化   9.929078    6.20  ...  094258     2   1/1    1  农药兽药
16  17  601608   中信重工  10.022779    4.83  ...  095148     1   1/1    1  机械行业
17  18  000816   智慧农业   9.887006    3.89  ...  094954     1   1/1    1  机械行业
18  19  002196   方正电机  10.010427   10.55  ...  100357     2   1/1    1  机械行业
19  20  002432   九安医疗  10.055248    9.96  ...  131857     7   4/4    4  医疗行业
20  21  601015   陕西黑猫   9.952607    6.96  ...  112329     3   1/1    1  煤炭行业
21  22  605399   晨光新材   9.989345   41.29  ...  095312     0   1/1    1  化学制品
22  23  300831   派瑞股份  19.988642   21.13  ...  111212     1   1/1    1  电子元件
23  24  603527   众源新材   9.964726   12.47  ...  095916     0   1/1    1  有色金属
24  25  600876   洛阳玻璃   9.987918   27.31  ...  103616     1   1/1    1  玻璃陶瓷
25  26  600552   凯盛科技   9.979210   10.58  ...  101711     0   1/1    1  材料行业
26  27  601369   陕鼓动力  10.000000   13.75  ...  103231     2   1/1    1  机械行业
27  28  002418   康盛股份  10.057471    3.83  ...  102915     0   1/1    1  金属制品
28  29  603338   浙江鼎力   9.995875   80.00  ...  103008     0   1/1    1  机械行业
29  30  301072   中捷精工  19.987831   39.44  ...  144633     4   2/2    2  汽车行业
30  31  000657   中钨高新   9.993012   15.74  ...  103818     0   1/1    1   小金属
31  32  601609   金田铜业   9.963985    9.16  ...  132916     1   1/1    1  有色金属
32  33  300305   裕兴股份  19.989723   23.35  ...  142506     5   1/1    1  塑料制品
33  34  002182   云海金属  10.000000   20.57  ...  110015     0   1/1    1   小金属
34  35  002121   科陆电子  10.000000    6.60  ...  110130     0   1/1    1  仪器仪表
35  36  002342   巨力索具   9.900990    4.44  ...  145006     7   1/1    1  金属制品
36  37  000058  深 赛 格  10.034014    6.47  ...  112500     1   1/1    1  商业百货
37  38  000155   川能动力  10.011779   28.02  ...  145318    10   1/1    1  电力行业
38  39  600821   金开新能   9.989594   10.57  ...  111432     0   1/1    1  电力行业
39  40  603681   永冠新材   9.994305   38.63  ...  141808    11   1/1    1  化学制品
40  41  600499   科达制造   9.995052   22.23  ...  142600     2   2/2    2  机械行业
41  42  000400   许继电气  10.024331   22.61  ...  130009     0   1/1    1  输配电气
42  43  603916    苏博特   9.977949   19.95  ...  134504     6   1/1    1  化学制品
43  44  000762   西藏矿业   9.997972   54.24  ...  141527     6   1/1    1  采掘行业
44  45  002350   北京科锐  10.067114    8.20  ...  130657     0   1/1    1  输配电气
45  46  300774    倍杰特  20.011736   20.45  ...  132621     0   1/1    1  环保工程
46  47  002756   永兴材料  10.003275  134.38  ...  143821     2   2/2    2  钢铁行业
47  48  000099   中信海直  10.052910    8.32  ...  133124     1   1/1    1  民航机场
48  49  300776   帝尔激光  20.002470  194.44  ...  145200     1   1/1    1  专用设备
49  50  600556    天下秀  10.039525   13.92  ...  134035     0   1/1    1  文化传媒
50  51  002717   岭南股份  10.029498    3.73  ...  144048     5   2/2    2  环保工程
51  52  002906   华阳集团   9.997926   53.03  ...  140915     0   1/1    1  汽车行业
52  53  603848    好太太  10.014728   14.94  ...  141420     0   1/1    1  金属制品
```

#### 昨日涨停股池

接口: stock_em_zt_pool_previous

目标地址: http://quote.eastmoney.com/ztb/detail#type=zrzt

描述: 东方财富网-行情中心-涨停板行情-昨日涨停股池

限量: 单次返回所有昨日涨停股池数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| date | str |  date='20210521'|

输出参数

| 名称          | 类型 | 描述           |
| ------------ | ----- |  ---------------- |
| 序号          | int32   |   -    |
| 代码          | object   |   -    |
| 名称          | object   |  -    |
| 涨跌幅          | float64   |  注意单位: %    |
| 最新价          | int64   |   -    |
| 涨停价          | int64   |   -    |
| 成交额          | int64   |   -    |
| 流通市值          | float64   |   -    |
| 总市值          | float64   |   -    |
| 换手率          | float64   |   注意单位: %    |
| 涨速          | float64   |   注意单位: %     |
| 振幅          | float64   |  注意单位: %     |
| 昨日封板时间          | int64   |  注意格式: 09:25:00    |
| 昨日连板数          | int64   |   注意格式: 1 为首板    |
| 涨停统计          | object   |   -    |
| 所属行业          | object   |  -    |

接口示例

```python
import mssdk as ms
stock_em_zt_pool_previous_df = ms.stock_em_zt_pool_previous(date='20210521')
print(stock_em_zt_pool_previous_df)
```

数据示例

```
    序号 代码     名称       涨跌幅      最新价  ...   振幅   昨日封板时间  昨日连板数   涨停统计  所属行业
0    1  603933   睿能科技   2.367688   14700  ...   8.844011   94149      1    2/1  电子元件
1    2  603726   朗迪集团  -6.464647   13890  ...   7.272727  102502      2    3/2  家电行业
2    3  603690   至纯科技  -2.432859   30880  ...   4.802527  102051      1    2/1  专用设备
3    4  000838   财信发展  -5.341246    3190  ...  13.946587  100739      2    3/2   房地产
4    5  605108    同庆楼  -9.753874   29700  ...   8.386508   93918      3    4/3  旅游酒店
46  47  600381   青海春天  -0.595238    6680  ...   7.440476  140706      1    2/1  食品饮料
47  48  002248   华东数控  -0.807537    7370  ...   9.690444  135051      1    4/2  机械行业
48  49  002417   深南股份  -2.891933    6380  ...   9.284628   93730      1    2/1  软件服务
49  50  600864   哈投股份  -0.640000    6210  ...   6.720000  112233      1    2/1  券商信托
50  51  002471   中超控股  -2.960526    2950  ...   8.552631  112824      1    2/1  输配电气
```

#### 强势股池

接口: stock_em_zt_pool_strong

目标地址: http://quote.eastmoney.com/ztb/detail#type=qsgc

描述: 东方财富网-行情中心-涨停板行情-强势股池

限量: 单次返回所有昨日涨停股池数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| date | str |date='20210521'|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- | ---------------- |
| 序号          | int32   |   -    |
| 代码          | object   |   -    |
| 名称          | object   |   -    |
| 涨跌幅          | float64   |  注意单位: %    |
| 最新价          | float64   |   -    |
| 涨停价          | float64   |  -    |
| 成交额          | int64   |   -    |
| 流通市值          | float64   |  -    |
| 总市值          | float64   |  -    |
| 换手率          | float64   |   注意单位: %    |
| 涨速          | float64   |   注意单位: %     |
| 是否新高          | int64   |   -     |
| 量比          | float64   |   -    |
| 涨停统计          | object   |   -    |
| 入选理由          | object   |   {'1': '60日新高', '2': '近期多次涨停', '3': '60日新高且近期多次涨停'}    |
| 所属行业          | object   |  -    |

接口示例

```python
import mssdk as ms
stock_em_zt_pool_strong_df = ms.stock_em_zt_pool_strong(date='20210521')
print(stock_em_zt_pool_strong_df)
```

数据示例

```
      序号      代码    名称        涨跌幅    最新价  ...  是否新高        量比  涨停统计  入选理由  所属行业
0      1  300588  熙菱信息  20.046619  10.30  ...     1  4.502030   1/1     1  电子信息
1      2  300546  雄帝科技  20.013803  17.39  ...     1  2.140777   1/1     1  专用设备
2      3  300745  欣锐科技  18.975740  22.07  ...     1  8.078884   0/0     1  汽车行业
3      4  300513  恒实科技  14.069767   9.81  ...     1  7.898016   0/0     1  软件服务
4      5  300157  恒泰艾普  13.548388   5.28  ...     1  1.570052   0/0     1  石油行业
..   ...     ...   ...        ...    ...  ...   ...       ...   ...   ...   ...
165  166  603578  三星新材  -1.319381  21.69  ...     1  0.602178   0/0     1  玻璃陶瓷
166  167  603659   璞泰来  -1.415571  87.75  ...     1  1.660134   0/0     1  材料行业
167  168  600165  新日恒力  -1.459854   6.75  ...     1  1.930563   0/0     1  金属制品
168  169  300584  海辰药业  -1.540684  20.45  ...     1  1.057702   0/0     1  医药制造
169  170  603156  养元饮品  -1.560110  32.18  ...     1  0.951661   0/0     1  食品饮料
```

#### 次新股池

接口: stock_em_zt_pool_sub_new

目标地址: http://quote.eastmoney.com/ztb/detail#type=cxgc

描述: 东方财富网-行情中心-涨停板行情-次新股池

限量: 单次返回所有次新股池数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- | --- |
| date | str |  date='20210521'|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 序号          | int32   |  -    |
| 代码          | object   |   -    |
| 名称          | object   |   -    |
| 涨跌幅          | float64   |   注意单位: %    |
| 最新价          | float64   |  -    |
| 涨停价          | float64   |   -    |
| 成交额          | int64   | -    |
| 流通市值          | float64   |   -    |
| 总市值          | float64   |  -    |
| 转手率          | float64   |  注意单位: %    |
| 开板几日          | int64   |   -     |
| 开板日期          | int64   |   -     |
| 上市日期          | int64   |   -    |
| 是否新高          | int64   |   -    |
| 涨停统计          | object  |   -    |
| 所属行业          | object  |   -    |

接口示例

```python
import mssdk as ms
stock_em_zt_pool_sub_new_df = ms.stock_em_zt_pool_sub_new(date='20210521')
print(stock_em_zt_pool_sub_new_df)
```

数据示例

```
      序号  代码  名称      涨跌幅  ...    上市日期  是否新高   涨停统计  所属行业
0      1  300991  C创益通 -14.412846  ...  20210520     0    0/0  电子元件
1      2  001206  依依股份  10.000000  ...  20210518     0    4/4  造纸印刷
2      3  605339  南侨食品  10.003380  ...  20210518     0    4/4  食品饮料
3      4  605089   味知香  -5.118957  ...  20210427     0  16/13  食品饮料
4      5  001205  盛航股份  -9.370707  ...  20210513     0    7/5  港口水运
..   ...     ...   ...        ...  ...       ...   ...    ...   ...
165  166  300905   宝丽迪  -3.583888  ...  20201105     0    0/0  化工行业
166  167  300906   日月明  -0.581703  ...  20201105     0    0/0  专用设备
167  168  601995  中金公司   0.195848  ...  20201102     0    0/0  券商信托
168  169  605169  洪通燃气   5.377808  ...  20201030     0    0/0  公用事业
169  170  300900  广联航空  -2.261867  ...  20201029     0    0/0  航天航空
```

#### 炸板股池

接口: stock_em_zt_pool_zbgc

目标地址: http://quote.eastmoney.com/ztb/detail#type=zbgc

描述: 东方财富网-行情中心-涨停板行情-炸板股池

限量: 单次返回所有炸板股池数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| date | str |  date='20210525'|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 序号          | int32   |  -    |
| 代码          | object   |   -    |
| 名称          | object   |   -    |
| 涨跌幅          | float64   |   注意单位: %    |
| 最新价          | float64   |  -    |
| 涨停价          | float64   |  -    |
| 成交额          | int64   |   -    |
| 流通市值          | float64   |   -    |
| 总市值          | float64   |   -    |
| 换手率          | float64   |   注意单位: %    |
| 涨速          | int64   |   -     |
| 首次封板时间          | object   |   注意格式: 09:25:00     |
| 炸板次数          | int64   |   -    |
| 涨停统计          | int64   |   -    |
| 振幅          | object   |   -    |
| 所属行业          | object   |   -    |

接口示例

```python
import mssdk as ms
stock_em_zt_pool_zbgc_df = ms.stock_em_zt_pool_zbgc(date='20210525')
print(stock_em_zt_pool_zbgc_df)
```

数据示例

```
    序号 代码    名称    涨跌幅    最新价  ...  首次封板时间  炸板次数   涨停统计  振幅  所属行业
0    1  600328  中盐化工   5.445544  10.65  ...  093053     2    2/1   6.336634  化工行业
1    2  002580  圣阳股份   3.139718   6.57  ...  093206     2    2/1   7.692308  输配电气
2    3  600152  维科技术   3.860072   8.61  ...  093416     1    0/0   9.529553  电子元件
3    4  000639  西王食品   3.092783   6.00  ...  093418     1    0/0  10.652921  食品饮料
4    5  002688  金河生物   7.177033   6.72  ...  094354     2    0/0   9.569378  农牧饲渔
5    6  600439   瑞贝卡   5.263158   3.40  ...  094449     1    6/3  12.693499  工艺商品
6    7  002712  思美传媒   2.504472   5.73  ...  094521     3    2/1   9.838999  文化传媒
7    8  601567  三星医疗   3.676471  15.51  ...  094706     1    2/1   9.759358  仪器仪表
8    9  603518  锦泓集团   7.247900  20.42  ...  094930     1  20/13  10.819328  纺织服装
9   10  603155   新亚强   7.918263  42.25  ...  095124     2    0/0   9.425287  化工行业
10  11  605090   N九丰  24.529940  43.05  ...  100000     1    0/0  24.009256  石油行业
11  12  600610   中毅达   7.597173  12.18  ...  102951     3    4/3  12.367492  化工行业
12  13  600155  华创阳安   6.300631  11.81  ...  103300     1    0/0  10.711071  券商信托
13  14  002824  和胜股份   8.611213  29.64  ...  112806     1    0/0  11.982411  有色金属
14  15  000762  西藏矿业   9.766829  24.95  ...  132448     5    0/0  11.658601  有色金属
15  16  600644  乐山电力   3.752039   6.36  ...  133237     2    2/1  13.539967  电力行业
16  17  601828   美凯龙   7.448979  10.53  ...  140925     2    0/0  12.346939  商业百货
```

#### 跌停股池

接口: stock_em_zt_pool_dtgc

目标地址: http://quote.eastmoney.com/ztb/detail#type=zbgc

描述: 东方财富网-行情中心-涨停板行情-跌停股池

限量: 单次返回所有跌停股池数据

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| date | str | date='20210525'|

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 序号          | int32   |   -    |
| 代码          | object   |   -    |
| 名称          | object   |  -    |
| 涨跌幅          | float64   |   注意单位: %    |
| 最新价          | float64   |   -    |
| 成交额          | int64   |   -    |
| 流通市值          | float64   |   -    |
| 总市值          | float64   |   -    |
| 动态市盈率          | float64   |   -    |
| 换手率          | float64   |   注意单位: %    |
| 封单资金          | int64   |   -     |
| 最后封板时间          | object   |   注意格式: 09:25:00     |
| 板上成交额          | int64   |   -    |
| 连续跌停          | int64   |   -    |
| 开板次数          | object   |   -    |
| 所属行业          | object   |   -    |

接口示例

```python
import mssdk as ms
stock_em_zt_pool_dtgc_df = ms.stock_em_zt_pool_dtgc(date='20210525')
print(stock_em_zt_pool_dtgc_df)
```

数据示例

```
   序号      代码    名称        涨跌幅   最新价  ...  最后封板时间      板上成交额  连续跌停  开板次数  所属行业
0   1  002450   康得退  -8.695652  0.21  ...  140800  127081015    27     7  材料行业
1   2  000889  中嘉博创 -10.055866  4.83  ...  144700  187293731     2     9  通讯行业
2   3  300157  恒泰艾普 -20.075758  4.22  ...  140548   73337399     1     9  石油行业
```

### 赚钱效应分析

接口: stock_market_activity_legu

目标地址: https://www.legulegu.com/stockdata/market-activity

描述: 乐咕乐股网-赚钱效应分析数据

限量: 单次返回当前赚钱效应分析数据

说明：
1. 涨跌比：即沪深两市上涨个股所占比例，体现的是市场整体涨跌，占比越大则代表大部分个股表现活跃。
2. 涨停板数与跌停板数的意义：涨停家数在一定程度上反映了市场的投机氛围。当涨停家数越多，则市场的多头氛围越强。真实涨停是非一字无量涨停。真实跌停是非一字无量跌停。

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| - | - |  -|

输出参数

| 名称          | 类型 |  描述     |
| ------------ | ----- |  ---------------- |
| item          | object   |   -    |
| value          | object   |   -    |

接口示例

```python
import mssdk as ms
stock_market_activity_legu_df = ms.stock_market_activity_legu()
print(stock_market_activity_legu_df)
```

数据示例

```
        item                value
0         上涨               2547.0
1         涨停                 90.0
2       真实涨停                 75.0
3   st st*涨停                 31.0
4         下跌               1594.0
5         跌停                 30.0
6       真实跌停                 10.0
7   st st*跌停                 21.0
8         平盘                128.0
9         停牌                 26.0
10       活跃度               59.30%
11      统计日期  2021-05-11 15:00:00
```

### 调查平均持仓

接口: stock_average_position_legu

目标地址: https://www.legulegu.com/stockdata/averageposition

描述: 乐咕乐股网-调查平均持仓数据; 该数据近期未更新

限量: 单次返回所有平均持仓数据

说明：
1. 目前仓位调查的数据来源是通过微信公众号在每周最后一个交易日投票获得，并在下个交易日前公布，希望朋友们关注公众号积极参与，公众号在最下方可见，获取的数据直接公布在本页面上，所有用户均可使用。
2. 持仓调查的数据是市场参与者心理、行为表现的结果。 市场行为会因为交易规则、政策面消息、媒体噪声等因素的变化而变化。 若排除以上因素，在稳定、可重复的博弈环境下，市场行为的历史数据对于判断市场阶段、拐点有一定的参考价值。
3. 声明：仓位调查得到的结论也未见得正确，持仓调查数据的结果，虽在过往的时间中显示出了一定的规律，但对市场的判断、具体交易决策，此数据只能作为一种数据工具，参考要素之一。

输入参数

| 名称   | 类型 |  描述   |
| -------- | ---- |  --- |
| - | - | -    |

输出参数

| 名称          | 类型 |  描述           |
| ------------ | ----- |  ---------------- |
| 日期          | object   |   -    |
| 上证指数          | float64   |   -    |
| 满仓+融资          | int64   |   -    |
| 80%~99%          | int64   |   -    |
| 60%~79%          | int64   |  -    |
| 40%~59%          | int64   |   -    |
| 20%~39%          | int64   |   -    |
| 0%~19%          | int64   |   -    |
| 平均持仓         | int64   |   -    |

接口示例

```python
import mssdk as ms
stock_average_position_legu_df = ms.stock_average_position_legu()
print(stock_average_position_legu_df)
```

数据示例

```
            日期     上证指数  满仓+融资  80%~99%  ...  40%~59%  20%~39%  0%~19%   平均持仓
0   2020-02-13  2917.01     14       35  ...       12       15      16  62.41
1   2020-02-20  3039.67     14       55  ...       13       20      25  62.03
2   2020-02-27  2880.30     15       45  ...       14       13      22  63.19
3   2020-03-05  3034.51     18       37  ...       15        9      22  63.18
4   2020-03-12  2887.43     24       53  ...       31       13      24  64.02
5   2020-03-19  2745.62     20       64  ...       16       25      40  60.05
6   2020-03-26  2772.20     20       53  ...       22       19      28  61.70
7   2020-04-02  2763.99     26       49  ...       13       17      31  61.93
8   2020-04-09  2796.63     21       46  ...       25       21      20  62.21
9   2020-04-16  2838.49     19       40  ...       23       16      16  63.53
10  2020-04-23  2808.53      7       39  ...       14        6      23  60.93
11  2020-04-29  2860.08     15       34  ...       16       14      17  62.46
12  2020-05-07  2895.34     17       35  ...       13       14      20  62.16
13  2020-05-14  2868.46     16       35  ...       14       12      22  60.70
14  2020-05-23  2813.77     14       32  ...       17       11      19  60.99
15  2020-05-30  2852.35     13       31  ...       17       24      16  58.69
16  2020-06-06  2930.80     13       36  ...       11        8      11  67.84
17  2020-06-13  2919.74     20       54  ...       21       14      27  63.04
18  2020-06-20  2967.63      7       24  ...        9        5      10  64.29
19  2020-07-11  3383.32     35      110  ...       37       24      44  65.15
20  2020-07-18  3214.13     31       75  ...       28       24      65  57.26
21  2020-07-25  3196.77     18       37  ...       17       18      40  54.68
22  2020-08-03  3371.69     38       64  ...       23       15      33  65.05
23  2020-08-12  3320.73      9       28  ...        8        5      10  66.94
24  2020-08-29  3403.81     25       66  ...       25       18      33  62.85
25  2021-03-04  3501.99     63      131  ...       87       60      79  60.31
26  2021-03-11  3453.08     82      151  ...      105       86     124  57.45
27  2021-03-18  3404.60     74      133  ...      102       70     109  57.56
28  2021-03-25  3418.33     89      207  ...      119      115     126  59.17
29  2021-04-01  3484.39     76      138  ...       87       58      82  61.25
30  2021-04-08  3450.68     59       98  ...       79       56      57  60.28
31  2021-04-15  3426.62     70      125  ...       72       66      71  60.92
32  2021-04-22  3474.17     71      150  ...       98       76      75  61.13
33  2021-04-29  3446.87     52      131  ...       66       58      69  60.72
```

### 资讯数据

#### 每日快讯

接口：stock_zh_a_alerts_cls

目标地址：https://www.cls.cn/searchPage?keyword=%E5%BF%AB%E8%AE%AF&type=all

描述：财联社-快讯数据

限量：单次返回财联社-快讯最近的 10000 条数据

输入参数

| 名称 | 类型 |  描述 |
| ---- | ---- |  ---- |
| -    | -    | -    |

输出参数

| 名称     | 类型        | 描述 |
| -------- | -------- |  ---- |
| 时间     | object |  -    |
| 快讯信息 | object  |  -    |


接口示例：

```python
import mssdk as ms
stock_zh_a_alerts_cls_df = ms.stock_zh_a_alerts_cls()
print(stock_zh_a_alerts_cls_df)
```

数据示例

```
              时间                                               快讯信息
0     2021-06-01  【快讯：污水处理概念股异动】财联社6月1日讯，南方汇通直线拉升封板，津膜科技、金达莱、三达膜...
1     2021-06-01  【快讯：铁矿石概念股异动】财联社6月1日讯，海南矿业直线拉升封板，金岭矿业、大中矿业、酒钢宏...
2     2021-06-01  【快讯：软件股继续走强 科创板青云科技2连板】财联社6月1日讯，科创板青云科技午后涨停2连板...
3     2021-06-01  【快讯：传媒股异动 新华网领涨】财联社6月1日讯，新华网拉升封板，人民网、川网传媒、新华传媒...
4     2021-06-01  【快讯：创业板指跌逾2%】财联社6月1日讯，指数走弱，创业板指下挫跌逾2%，沪指跌0.93%...
          ...                                                ...
9995  2018-03-29  【快讯：上证50早盘跌1.3% 三安光电大跌8%】财联社2018年3月29日讯，上证50指数...
9996  2018-03-29  【快讯：独角兽概念股集体拉升】财联社2018年3月29日讯，独角兽概念股集体拉升。截至发稿，...
9997  2018-03-29  【快讯：上证50指数持续走弱】财联社2018年3月29日讯，上证50指数高开低走跌0.6%，...
9998  2018-03-29  【快讯】财联社2018年3月29日讯，上海国改股集体拉升，上工申贝直线封涨停，中华企业大涨8...
9999  2018-03-29  【快讯】财联社2018年3月29日讯，工业互联网板块开盘活跃，瑞斯康达、华中数控双双封涨停，...
```

### 手续费

#### 国内券商佣金

##### 以万 2.5 佣金结构为例

深证证券交易所

|项目|费用|收取部门|
|---|---|---|
|过户费|万 0.2|由中国结算收取|
|证管费|万 0.2|由证监会收取|
|经手费|万 0.487|由交易所收取|
|券商收入|万 1.613|由券商收取|

上海证券交易所

|项目|费用|收取部门|
|---|---|---|
|证管费|万 0.2|由证监会收取|
|经手费|万 0.487|由交易所收取|
|券商收入|万 1.813|由券商收取|

##### 以万 1.2 佣金结构为例

深证证券交易所

|项目|费用|收取部门|
|---|---|---|
|过户费|万 0.2|由中国结算收取|
|证管费|万 0.2|由证监会收取|
|经手费|万 0.487|由交易所收取|
|券商收入|万 0.313|由券商收取|

上海证券交易所

|项目|费用|收取部门|
|---|---|---|
|证管费|万 0.2|由证监会收取|
|经手费|万 0.487|由交易所收取|
|券商收入|万 0.513|由券商收取|

##### 结构图

![交易费用](https://jfds-1252952517.cos.ap-chengdu.myqcloud.com/mssdk/readme/mindmap/cost_of_trade.svg)


### 技术指标

#### 创新高

接口：stock_rank_cxg_ths

目标地址：http://data.10jqka.com.cn/rank/cxg/

描述：同花顺-数据中心-技术选股-创新高

限量：单次指定 symbol 的所有数据

输入参数

| 名称 | 类型 |  描述 |
| ---- | ---- |  ---- |
| symbol    | str    | symbol="创月新高"; choice of {"创月新高", "半年新高", "一年新高", "历史新高"}    |

输出参数

| 名称     | 类型        | 描述 |
| -------- | -------- |  ---- |
| 序号     | int64 |  -    |
| 股票代码     | object |  -    |
| 股票简称 | object  |  -    |
| 涨跌幅 | float64  |  注意单位: %    |
| 换手率 | float64  |  注意单位: %    |
| 最新价 | float64  |  注意单位: 元    |
| 前期高点 | float64  |  -    |
| 前期高点日期 | object  |  -    |

接口示例：

```python
import mssdk as ms
stock_rank_cxg_ths_df = ms.stock_rank_cxg_ths(symbol="创月新高")
print(stock_rank_cxg_ths_df)
```

数据示例

```
     序号 股票代码 股票简称  涨跌幅 换手率   最新价  前期高点  前期高点日期
0      1  000061   农产品   4.36   1.86    6.94    6.81  2021-10-20
1      2  000567  海德股份   2.61   1.27   18.47   18.38  2021-10-26
2      3  000598  兴蓉环境   1.55   1.45    5.91    5.85  2021-10-08
3      4  000626  远大控股   3.91   0.97   23.66   23.07  2021-10-27
4      5  000650  仁和药业   6.86   3.59    9.50    9.00  2021-10-13
..   ...     ...   ...    ...    ...     ...     ...         ...
327  328  605123  派克新材   2.73   3.07   94.39   91.88  2021-10-28
328  329  605178  时空科技   2.71   2.19   40.98   40.43  2021-10-26
329  330  605286  同力日升  10.02  30.00   30.75   27.95  2021-10-28
330  331  605289  罗曼股份   1.91  11.49   25.66   25.18  2021-10-28
331  332  605305  中际联合   4.38   4.15  117.95  113.00  2021-10-28
```

#### 创新低

接口：stock_rank_cxd_ths

目标地址：http://data.10jqka.com.cn/rank/cxd/

描述：同花顺-数据中心-技术选股-创新低

限量：单次指定 symbol 的所有数据

输入参数

| 名称 | 类型 |  描述 |
| ---- | ---- |  ---- |
| symbol    | str    | symbol="创月新低"; choice of {"创月新低", "半年新低", "一年新低", "历史新低"}    |

输出参数

| 名称     | 类型        | 描述 |
| -------- | -------- |  ---- |
| 序号     | int64 |  -    |
| 股票代码     | object |  -    |
| 股票简称 | object  |  -    |
| 涨跌幅 | float64  |  注意单位: %    |
| 换手率 | float64  |  注意单位: %    |
| 最新价 | float64  |  注意单位: 元    |
| 前期低点 | float64  |  -    |
| 前期低点日期 | object  |  -    |

接口示例：

```python
import mssdk as ms
stock_rank_cxd_ths_df = ms.stock_rank_cxd_ths(symbol="创月新低")
print(stock_rank_cxd_ths_df)
```

数据示例

```
    序号 股票代码 股票简称  涨跌幅  换手率  最新价   前期低点   前期低点日期
0      1  000002   万科A -4.81   2.52   18.21   19.13  2021-10-28
1      2  000030  富奥股份 -1.05   0.41    5.66    5.66  2021-09-29
2      3  000034  神州数码  0.00   0.53   14.90   14.90  2021-10-28
3      4  000038   深大通  0.00   0.42    8.04    8.04  2021-10-28
4      5  000059  华锦股份 -0.84   1.68    5.90    5.95  2021-10-28
..   ...     ...   ...   ...    ...     ...     ...         ...
426  427  605333  沪光股份 -2.00   1.27   11.76   12.00  2021-10-28
427  428  605338  巴比食品 -6.45   4.30   30.04   31.50  2021-10-15
428  429  605499  东鹏饮料 -1.33   3.84  177.11  179.49  2021-10-28
429  430  605555  德昌股份 -3.58  16.38   32.04   32.51  2021-10-26
430  431  605566  福莱蒽特 -1.37  17.29   29.59   30.00  2021-10-28
```

#### 连续上涨

接口：stock_rank_lxsz_ths

目标地址：http://data.10jqka.com.cn/rank/lxsz/

描述：同花顺-数据中心-技术选股-连续上涨

限量：单次返回所有数据

输入参数

| 名称 | 类型 |  描述 |
| ---- | ---- |  ---- |
| -    | -    | -    |

输出参数

| 名称     | 类型        | 描述 |
| -------- | -------- |  ---- |
| 序号     | int64 |  -    |
| 股票代码     | object |  -    |
| 股票简称 | object  |  -    |
| 收盘价 | float64  |  注意单位: 元    |
| 最高价 | float64  |  注意单位: 元    |
| 最低价 | float64  |  注意单位: 元    |
| 连涨天数 | int64  |  -    |
| 连续涨跌幅 | float64  |  注意单位: %    |
| 累计换手率 | float64  |  注意单位: %    |
| 所属行业 | object  |  -    |

接口示例

```python
import mssdk as ms
stock_rank_lxsz_ths_df = ms.stock_rank_lxsz_ths()
print(stock_rank_lxsz_ths_df)
```

数据示例

```
    序号股票代码  股票简称  收盘价  最高价  最低价  连涨天数  连续涨跌幅 累计换手率 所属行业
0    1  603192  汇得科技   27.33   27.87   24.31     7   2.90  10.05   化学制品
1    2  688330   宏力达   98.50   99.30   83.24     7   6.41  21.48   电力设备
2    3  300870   欧陆通   67.60   67.99   58.08     5   6.46   7.75   电力设备
3    4  603507  振江股份   47.70   48.21   35.28     5  21.59  36.38   电力设备
4    5  603855  华荣股份   23.50   24.12   20.91     5   8.60   6.72   专用设备
..  ..     ...   ...     ...     ...     ...   ...    ...    ...    ...
58  59  688122  西部超导   81.26   82.50   75.37     3   5.12   5.13   国防军工
59  60  688166  博瑞医药   33.39   34.16   30.31     3   0.57   4.75   化学制药
60  61  688369  致远互联   59.30   60.97   55.22     3   6.23   1.74  计算机应用
61  62  688395  正弦电气   25.45   25.93   23.85     3   6.71  10.89  自动化设备
62  63  688788  科思科技  139.13  140.20  126.53     3   7.84   7.82   国防军工
```

#### 连续下跌

接口：stock_rank_lxxd_ths

目标地址：http://data.10jqka.com.cn/rank/lxxd/

描述：同花顺-数据中心-技术选股-连续下跌

限量：单次返回所有数据

输入参数

| 名称 | 类型 |  描述 |
| ---- | ---- |  ---- |
| -    | -    | -    |

输出参数

| 名称     | 类型        | 描述 |
| -------- | -------- |  ---- |
| 序号     | int64 |  -    |
| 股票代码     | object |  -    |
| 股票简称 | object  |  -    |
| 收盘价 | float64  |  注意单位: 元    |
| 最高价 | float64  |  注意单位: 元    |
| 最低价 | float64  |  注意单位: 元    |
| 连涨天数 | int64  |  -    |
| 连续涨跌幅 | float64  |  注意单位: %    |
| 累计换手率 | float64  |  注意单位: %    |
| 所属行业 | object  |  -    |

接口示例：

```python
import mssdk as ms
stock_rank_lxxd_ths_df = ms.stock_rank_lxxd_ths()
print(stock_rank_lxxd_ths_df)
```

数据示例

```
      序号 股票代码股票简称   收盘价   最高价  最低价 连涨天数 连续涨跌幅 累计换手率 所属行业
0      1  000687  *ST华讯    1.78    2.98    1.78    11 -38.83   6.56  国防军工
1      2  600739   辽宁成大   19.42   25.89   19.22    11 -23.48  12.20  生物制品
2      3  600145  *ST新亿    1.49    2.25    1.49    10 -32.58   3.92    贸易
3      4  601010   文峰股份    2.89    3.30    2.86    10 -12.16   4.50    零售
4      5  300396   迪瑞医疗   16.19   18.08   16.01     9 -10.30   2.71  医疗器械
..   ...     ...    ...     ...     ...     ...   ...    ...    ...   ...
251  252  605580   恒盛能源   17.40   18.99   17.17     3  -9.14  65.41    电力
252  253  688117   圣诺生物   32.43   34.81   31.86     3  -5.73  11.64  化学制药
253  254  688185    康希诺  262.50  299.00  261.61     3 -17.00  11.28  生物制品
254  255  688389   普门科技   21.75   23.75   21.51     3  -4.61   6.50  医疗器械
255  256  688677   海泰新光   86.47   98.88   86.33     3 -12.03   4.74  医疗器械
```

#### 持续放量

接口: stock_rank_cxfl_ths

目标地址: http://data.10jqka.com.cn/rank/cxfl/

描述: 同花顺-数据中心-技术选股-持续放量

限量: 单次返回所有数据

输入参数

| 名称 | 类型 |  描述 |
| ---- | ---- |  ---- |
| -    | -    | -    |

输出参数

| 名称     | 类型        | 描述 |
| -------- | -------- |  ---- |
| 序号     | int64 |  -    |
| 股票代码     | object |  -    |
| 股票简称 | object  |  -    |
| 涨跌幅 | float64  |  注意单位: %    |
| 最新价 | float64  |  注意单位: 元    |
| 成交量 | object  |  注意单位: 股    |
| 基准日成交量 | object  |  注意单位: 股    |
| 放量天数 | int64  |  -    |
| 阶段涨跌幅 | float64  |  注意单位: %    |
| 所属行业 | object  |  -    |

接口示例

```python
import mssdk as ms
stock_rank_cxfl_ths_df = ms.stock_rank_cxfl_ths()
print(stock_rank_cxfl_ths_df)
```

数据示例

```
      序号 股票代码  股票简称   涨跌幅  ...  基准日成交量 放量天数  阶段涨跌幅    所属行业
0      1  000892  欢瑞世纪  5.33  ...   430.18万(10月26日)    6  13.26      传媒
1      2  002180   纳思达  0.91  ...   279.60万(10月27日)    5   7.06   计算机设备
2      3  300511  雪榕生物  4.77  ...  1313.76万(10月27日)    5  11.57  种植业与林业
3      4  600105  永鼎股份  2.15  ...  3576.74万(10月27日)    5  15.05    通信设备
4      5  600305  恒顺醋业  2.98  ...  1115.00万(10月27日)    5   9.30  食品加工制造
..   ...     ...   ...   ...  ...               ...  ...    ...     ...
132  133  688196  卓越新能  4.22  ...    73.76万(10月29日)    3   4.10    化学制品
133  134  688305  科德数控  2.28  ...    57.36万(10月29日)    3   5.31    通用设备
134  135  688456  有研粉材 -1.27  ...    53.42万(10月29日)    3  -0.80    工业金属
135  136  688597  煜邦电力  2.71  ...   126.71万(10月29日)    3   1.79    电力设备
136  137  688660  电气风电  1.00  ...  3588.18万(10月29日)    3   2.82    电力设备
```

#### 持续缩量

接口: stock_rank_cxsl_ths

目标地址: http://data.10jqka.com.cn/rank/cxsl/

描述: 同花顺-数据中心-技术选股-持续缩量

限量: 单次返回所有数据

输入参数

| 名称 | 类型 |  描述 |
| ---- | ---- |  ---- |
| -    | -    | -    |

输出参数

| 名称     | 类型        | 描述 |
| -------- | -------- |  ---- |
| 序号     | int64 |  -    |
| 股票代码     | object |  -    |
| 股票简称 | object  |  -    |
| 涨跌幅 | float64  |  注意单位: %    |
| 最新价 | float64  |  注意单位: 元    |
| 成交量 | object  |  注意单位: 股    |
| 基准日成交量 | object  |  注意单位: 股    |
| 缩量天数 | int64  |  -    |
| 阶段涨跌幅 | float64  |  注意单位: %    |
| 所属行业 | object  |  -    |

接口示例

```python
import mssdk as ms
stock_rank_cxsl_ths_df = ms.stock_rank_cxsl_ths()
print(stock_rank_cxsl_ths_df)
```

数据示例

```
     序号  股票代码 股票简称 涨跌幅  ...      基准日成交量 缩量天数  阶段涨跌幅    所属行业
0      1  002118  紫鑫药业  0.78  ...     1.22亿(10月21日)    9 -10.96      中药
1      2  605077  华康股份  0.48  ...    51.42万(10月22日)    8  -2.83    化学制品
2      3  600322  天房发展 -0.57  ...   990.03万(10月25日)    7  -5.91   房地产开发
3      4  688255   凯尔达  3.18  ...  1211.44万(10月25日)    7 -24.07   自动化设备
4      5  000700  模塑科技 -0.67  ...  2037.27万(10月26日)    6  -5.35   汽车零部件
..   ...     ...   ...   ...  ...               ...  ...    ...     ...
408  409  688536   思瑞浦 -0.25  ...   152.89万(10月29日)    3   2.46  半导体及元件
409  410  688550  瑞联新材  0.79  ...    92.52万(10月29日)    3   0.89   电子化学品
410  411  688561   奇安信  0.21  ...   328.65万(10月29日)    3  -3.08   计算机应用
411  412  688626  翔宇医疗  0.61  ...   224.52万(10月29日)    3  -0.02    医疗器械
412  413  688682   霍莱沃 -2.05  ...   110.75万(10月29日)    3   2.24    国防军工
```

#### 向上突破

接口: stock_rank_xstp_ths

目标地址: http://data.10jqka.com.cn/rank/xstp/

描述: 同花顺-数据中心-技术选股-向上突破

限量: 单次返回所有数据

输入参数

| 名称 | 类型 |  描述 |
| ---- | ---- |  ---- |
| symbol    | str    | symbol="500日均线"; choice of {"5日均线", "10日均线", "20日均线", "30日均线", "60日均线", "90日均线", "250日均线", "500日均线"}    |

输出参数

| 名称     | 类型        | 描述 |
| -------- | -------- |  ---- |
| 序号     | int64 |  -    |
| 股票代码     | object |  -    |
| 股票简称 | object  |  -    |
| 最新价 | float64  |  注意单位: 元    |
| 成交额 | object  |  注意单位: 元    |
| 成交量 | object  |  注意单位: 股    |
| 涨跌幅 | float64  |  注意单位: %    |
| 换手率 | float64  |  注意单位: %    |

接口示例

```python
import mssdk as ms
stock_rank_xstp_ths_df = ms.stock_rank_xstp_ths(symbol="500日均线")
print(stock_rank_xstp_ths_df)
```

数据示例

```
      序号  股票代码  股票简称  最新价   成交额   成交量    涨跌幅    换手率
0        1  300472  新元科技  21.88  12.45亿  5267.07万 -14.43  22.99
1        2  300082  奥克股份  17.40   8.15亿  4449.17万 -12.78   6.57
2        3  300693  盛弘股份  49.55  10.66亿  2059.53万 -10.74  14.64
3        4  300499  高澜股份  17.25   8.57亿  4797.09万 -10.62  20.06
4        5  002610  爱康科技   4.73  37.02亿     7.60亿 -10.08  17.33
...    ...     ...   ...    ...     ...       ...    ...    ...
1553  1554  300366  创意信息  16.93  14.75亿  9456.62万  19.99  23.49
1554  1555  300688  创业黑马  53.18  17.12亿  3447.57万  19.99  39.12
1555  1556  300148  天舟文化   4.62   6.01亿     1.40亿  20.00  18.40
1556  1557  300437   清水源  42.77  20.26亿  4914.12万  20.01  32.17
1557  1558  300264  佳创视讯   9.34  15.31亿     1.76亿  20.05  52.03
```

#### 向下突破

接口: stock_rank_xxtp_ths

目标地址: http://data.10jqka.com.cn/rank/xxtp/

描述: 同花顺-数据中心-技术选股-向下突破

限量: 单次返回所有数据

输入参数

| 名称 | 类型 |  描述 |
| ---- | ---- |  ---- |
| symbol    | str    | symbol="500日均线"; choice of {"5日均线", "10日均线", "20日均线", "30日均线", "60日均线", "90日均线", "250日均线", "500日均线"}    |

输出参数

| 名称     | 类型        | 描述 |
| -------- | -------- |  ---- |
| 序号     | int64 |  -    |
| 股票代码     | object |  -    |
| 股票简称 | object  |  -    |
| 最新价 | float64  |  注意单位: 元    |
| 成交额 | object  |  注意单位: 元    |
| 成交量 | object  |  注意单位: 股    |
| 涨跌幅 | float64  |  注意单位: %    |
| 换手率 | float64  |  注意单位: %    |

接口示例

```python
import mssdk as ms
stock_rank_xxtp_ths_df = ms.stock_rank_xxtp_ths(symbol="500日均线")
print(stock_rank_xxtp_ths_df)
```

数据示例

```
        序号  股票代码   股票简称    最新价   成交额    成交量  涨跌幅    换手率
0        1  300472   新元科技  21.88    12.45亿  5267.07万 -14.43  22.99
1        2  300082   奥克股份  17.40     8.15亿  4449.17万 -12.78   6.57
2        3  300693   盛弘股份  49.55    10.66亿  2059.53万 -10.74  14.64
3        4  002143  *ST印纪   0.25   967.64万  3580.04万 -10.71   3.17
4        5  300499   高澜股份  17.25     8.57亿  4797.09万 -10.62  20.06
...    ...     ...    ...    ...       ...       ...    ...    ...
1889  1890  600656   退市博元   4.49  8756.26万  1975.00万   2.75  10.38
1890  1891  300922   天秦装备  45.54     3.20亿   709.12万   2.75  25.32
1891  1892  300278  *ST华昌   4.77  4417.39万   945.22万   3.47   2.15
1892  1893  000979   中弘股份   0.22  4626.11万     2.15亿   4.76   2.57
1893  1894  002071  *ST长城   0.31   702.53万  2319.26万   6.90   4.41
```

#### 量价齐升

接口: stock_rank_ljqs_ths

目标地址: http://data.10jqka.com.cn/rank/ljqs/

描述: 同花顺-数据中心-技术选股-量价齐升

限量: 单次返回所有数据

输入参数

| 名称 | 类型 |  描述 |
| ---- | ---- |  ---- |
| -    | -    | -    |

输出参数

| 名称     | 类型        | 描述 |
| -------- | -------- |  ---- |
| 序号     | int64 |  -    |
| 股票代码     | object |  -    |
| 股票简称 | object  |  -    |
| 最新价 | float64  |  注意单位: 元    |
| 量价齐升天数 | int64  |  -    |
| 阶段涨幅 | float64  |  注意单位: %    |
| 累计换手率 | float64  |  注意单位: %    |
| 所属行业 | object  |  -    |

接口示例

```python
import mssdk as ms
stock_rank_ljqs_ths_df = ms.stock_rank_ljqs_ths()
print(stock_rank_ljqs_ths_df)
```

数据示例

```
        序号 股票代码 股票简称 最新价  量价齐升天数 阶段涨幅  累计换手率    所属行业
0        1  000836  富通信息    2.67       6  13.14  16.70    通信设备
1        2  002870  香山股份   43.54       5  48.30  40.08   汽车零部件
2        3  003019  宸展光电   32.21       5  28.84  67.54   光学光电子
3        4  300379   东方通   34.05       5  18.11  28.78   计算机应用
4        5  300253  卫宁健康   13.75       4   7.34   4.62   计算机应用
...    ...     ...   ...     ...     ...    ...    ...     ...
1395  1396  688728   格科微   31.31       1   1.99   5.85  半导体及元件
1396  1397  688737  中自科技   52.84       1   0.67   7.89   汽车零部件
1397  1398  688789  宏华数科  268.29       1   4.33   1.56    专用设备
1398  1399  688799  华纳药厂   36.29       1   0.39   2.53    化学制药
1399  1400  688981  中芯国际   57.27       1   0.77   2.11  半导体及元件
```

#### 量价齐跌

接口: stock_rank_ljqd_ths

目标地址: http://data.10jqka.com.cn/rank/ljqd/

描述: 同花顺-数据中心-技术选股-量价齐跌

限量: 单次返回所有数据

输入参数

| 名称 | 类型 |  描述 |
| ---- | ---- |  ---- |
| -    | -    | -    |

输出参数

| 名称     | 类型        | 描述 |
| -------- | -------- |  ---- |
| 序号     | int64 |  -    |
| 股票代码     | object |  -    |
| 股票简称 | object  |  -    |
| 最新价 | float64  |  注意单位: 元    |
| 量价齐跌天数 | int64  |  -    |
| 阶段涨幅 | float64  |  注意单位: %    |
| 累计换手率 | float64  |  注意单位: %    |
| 所属行业 | object  |  -    |

接口示例

```python
import mssdk as ms
stock_rank_ljqd_ths_df = ms.stock_rank_ljqd_ths()
print(stock_rank_ljqd_ths_df)
```

数据示例

```
        序号 股票代码  股票简称 最新价 量价齐跌天数 阶段涨幅 累计换手率 所属行业
0        1  002801  微光股份   18.19       4 -3.81  15.44   电力设备
1        2  600018  上港集团    4.71       4 -7.65   1.11   港口航运
2        3  603326  我乐家居    8.90       4 -2.41   0.43   家用轻工
3        4  603588  高能环境   15.35       4 -4.12   2.60     环保
4        5  603889  新澳股份    5.86       4 -5.64   4.27   纺织制造
...    ...     ...   ...     ...     ...   ...    ...    ...
1509  1510  688776  国光电气  159.00       1 -2.27   1.75   国防军工
1510  1511  688777  中控技术   88.16       1 -2.19   2.08  自动化设备
1511  1512  688793   倍轻松   93.40       1 -0.90   1.80    小家电
1512  1513  688819  天能股份   42.85       1 -1.04   2.10   电力设备
1513  1514  689009  九号公司   63.00       1 -2.36   0.26  非汽车交运
```

#### 险资举牌

接口: stock_rank_xzjp_ths

目标地址: http://data.10jqka.com.cn/financial/xzjp/

描述: 同花顺-数据中心-技术选股-险资举牌

限量: 单次返回所有数据

输入参数

| 名称 | 类型 |  描述 |
| ---- | ---- |  ---- |
| -    | -    | -    |

输出参数

| 名称     | 类型        | 描述 |
| -------- | -------- |  ---- |
| 序号     | int64 |  -    |
| 举牌公告日     | object |  -    |
| 股票代码 | object  |  -    |
| 股票简称 | object  |  -    |
| 现价 | float64  |  注意单位: 元    |
| 涨跌幅 | float64  |  注意单位: %    |
| 举牌方 | object  |  -    |
| 增持数量 | object  |  注意单位: 股    |
| 交易均价 | float64  |  注意单位: 元    |
| 增持数量占总股本比例 | float64  |  注意单位: %    |
| 变动后持股总数 | object  |  注意单位: 股    |
| 变动后持股比例 | float64  |  注意单位: %    |

接口示例

```python
import mssdk as ms
stock_rank_xzjp_ths_df = ms.stock_rank_xzjp_ths()
print(stock_rank_xzjp_ths_df)
```

数据示例

```
    序号 举牌公告日   股票代码  股票简称  ...   交易均价 增持数量占总股本比例  变动后持股总数 变动后持股比例
0    1  2021-11-09  601200   上海环境  ...   11.59        0.74     1.12亿   10.00
1    2  2021-11-05  600183   生益科技  ...   24.70        1.00     5.72亿   24.78
2    3  2021-10-29  600739   辽宁成大  ...   20.42        0.06  7648.55万    5.00
3    4  2021-10-29  600739   辽宁成大  ...   20.42        0.06  7648.55万    5.00
4    5  2021-10-27  002083   孚日股份  ...    4.05        0.64  5080.00万    5.60
5    6  2021-10-21  300226   上海钢联  ...   63.16        0.00  1130.00万    5.92
6    7  2021-10-19  300472   新元科技  ...   20.82        1.95  1422.24万    5.33
7    8  2021-10-19  300472   新元科技  ...   20.82        1.95  1422.24万    5.33
8    9  2021-10-15  301066    万事利  ...   20.05        0.33   711.00万    5.28
9   10  2021-10-14  300635    中达安  ...   16.11        0.00   682.00万    5.00
10  11  2021-10-11  688093   世华科技  ...   36.98        0.00   957.35万    5.57
11  12  2021-10-09  600881   亚泰集团  ...    3.03        5.00     1.62亿    5.00
12  13  2021-10-09  000546   金圆股份  ...   11.48        0.01  3576.60万    5.00
13  14  2021-09-25  600919   江苏银行  ...    5.69        0.32     7.38亿    5.00
14  15  2021-09-16  600183   生益科技  ...   24.70        1.85     5.49亿   23.85
15  16  2021-09-08  603236   移远通信  ...  161.80        1.51  1144.82万    7.88
16  17  2021-09-07  300469   信息发展  ...   10.64        0.12  1037.43万    5.06
17  18  2021-09-06  300469   信息发展  ...   10.76        0.38  1037.43万    5.06
18  19  2021-08-21  000598   兴蓉环境  ...    5.11        0.65     4.48亿   15.00
19  20  2021-08-13  300004   南风股份  ...    6.35        0.81  6042.67万   12.59
20  21  2021-08-06  600886   国投电力  ...    9.53        1.00    12.54亿   18.00
21  22  2021-08-06  600886   国投电力  ...    9.53        1.00    12.54亿   18.00
22  23  2021-08-05  603729   ST龙韵  ...   13.25        0.51   578.50万    6.20
23  24  2021-08-04  603236   移远通信  ...  143.74        0.06   726.87万    5.00
24  25  2021-08-04  601866   中远海发  ...    3.94        0.00     5.86亿    5.05
25  26  2021-08-04  601866   中远海发  ...    3.94        0.11     5.86亿    5.05
26  27  2021-07-28  600615  *ST丰华  ...    6.60        3.10  1510.99万    8.04
27  28  2021-07-20  600173   卧龙地产  ...    4.58        0.92  9759.53万   13.92
28  29  2021-07-14  600288   大恒科技  ...   11.74        0.13  2190.44万    5.01
29  30  2021-07-06  000598   兴蓉环境  ...    5.25        1.09     4.28亿   14.35
30  31  2021-07-03  002168   惠程科技  ...    4.31        0.00  5935.91万    7.40
31  32  2021-06-30  601200   上海环境  ...   11.97        1.05     1.04亿    9.26
32  33  2021-06-19  600236   桂冠电力  ...    5.34        0.00     7.88亿   10.00
33  34  2021-06-17  601200   上海环境  ...   11.47        1.10  9202.57万    8.20
34  35  2021-06-16  002168   惠程科技  ...    4.31        0.00  4009.74万    5.00
35  36  2021-06-11  300345   华民股份  ...    4.21        1.35  2830.64万    6.41
36  37  2021-06-09  300345   华民股份  ...    4.20        1.35  2830.64万    6.41
37  38  2021-06-03  600236   桂冠电力  ...    5.16        1.00     7.83亿    9.93
38  39  2021-06-02  000598   兴蓉环境  ...    5.17        1.00     3.96亿   13.26
39  40  2021-06-02  002726   龙大肉食  ...   10.84        5.00  5005.68万    5.00
40  41  2021-06-01  600886   国投电力  ...    9.60        1.00    11.84亿   17.00
41  42  2021-06-01  600886   国投电力  ...    9.60        1.00    11.84亿   17.00
42  43  2021-05-25  300478   杭州高新  ...    9.10        0.00   710.25万    5.61
43  44  2021-05-22  002668   奥马电器  ...    5.39        0.00     2.71亿   25.00
44  45  2021-05-22  603729   ST龙韵  ...   11.62        5.25   531.00万    5.69
45  46  2021-05-15  002490   山东墨龙  ...    5.32        0.13     1.55亿   19.43
46  47  2021-05-11  002490   山东墨龙  ...    4.38        0.61     1.40亿   17.54
```
